import { IgxGridNavigationService } from '../grid-navigation.service';
import { IgxHierarchicalGridComponent } from './hierarchical-grid.component';
import { IgxColumnComponent } from '../../grids/column.component';
import { ISelectionNode } from '../../core/grid-selection';
export declare class IgxHierarchicalGridNavigationService extends IgxGridNavigationService {
    grid: IgxHierarchicalGridComponent;
    protected getCellSelector(visibleIndex?: number, isSummary?: boolean): "igx-grid-summary-cell" | "igx-hierarchical-grid-cell";
    protected getRowSelector(): string;
    protected getRowByIndex(index: any): any;
    private getChildContainer;
    private getChildGridRowContainer;
    private getChildGrid;
    private _isScrolledToBottom;
    private getIsChildAtIndex;
    getCellElementByVisibleIndex(rowIndex: any, visibleColumnIndex: any, isSummary?: boolean): any;
    navigateUp(rowElement: any, selectedNode: ISelectionNode): void;
    navigateDown(rowElement: any, selectedNode: ISelectionNode): void;
    navigateTop(visibleColumnIndex: any): void;
    navigateBottom(visibleColumnIndex: any): void;
    goToLastCell(): void;
    onKeydownEnd(rowIndex: any, isSummary?: boolean): void;
    goToFirstCell(): void;
    performTab(currentRowEl: any, selectedNode: ISelectionNode): void;
    private _navigateToNextParentRow;
    private focusNextChildDOMElem;
    navigatePrevFilterCell(column: IgxColumnComponent, eventArgs: any): void;
    navigateNextFilterCell(column: IgxColumnComponent, eventArgs: any): void;
    performShiftTabKey(currentRowEl: any, selectedNode: ISelectionNode): void;
    getFocusableGrid(): IgxHierarchicalGridComponent;
    private getLastGridElem;
    private performShiftTabIntoChild;
    private getSibling;
    private focusNextChild;
    private focusPrevChild;
    private focusPrev;
    private getNextParentInfo;
    private getNextScrollable;
    private focusNext;
    private getNextScrollableDown;
    private _getMinBottom;
    private _getMaxTop;
    private focusNextRow;
    getColumnUnpinnedIndex(visibleColumnIndex: number, grid?: IgxHierarchicalGridComponent): number;
    private focusPrevRow;
    private horizontalScrollGridToIndex;
    private scrollGrid;
    private _navigateUpInChild;
    private _navigateDownInChild;
    private getClosestElemByTag;
    protected getNextRowByIndex(nextIndex: any): any;
}
