import { ElementRef, QueryList, TemplateRef } from '@angular/core';
import { IgxHierarchicalGridComponent } from './hierarchical-grid.component';
import { IgxRowComponent } from '../row.component';
import { IgxHierarchicalGridCellComponent } from './hierarchical-cell.component';
export declare class IgxHierarchicalRowComponent extends IgxRowComponent<IgxHierarchicalGridComponent> {
    /**
     * The rendered cells in the row component.
     *
     * ```typescript
     * // get the cells of the third selected row
     * let selectedRowCells = this.grid.selectedRows[2].cells;
     * ```
     */
    cells: QueryList<IgxHierarchicalGridCellComponent>;
    expander: ElementRef;
    readonly viewIndex: number;
    /**
    * @hidden
    */
    protected defaultExpandedTemplate: TemplateRef<any>;
    /**
    * @hidden
    */
    protected defaultEmptyTemplate: TemplateRef<any>;
    /**
    * @hidden
    */
    protected defaultCollapsedTemplate: TemplateRef<any>;
    /**
     * @hidden
     */
    tabindex: number;
    /**
 * Returns whether the row is expanded.
 * ```typescript
 * const RowExpanded = this.grid1.rowList.first.expanded;
 * ```
 */
    readonly expanded: boolean;
    readonly hasChildren: boolean;
    /**
     * @hidden
     */
    readonly highlighted: boolean;
    /**
    * @hidden
    */
    expanderClick(event: any): void;
    /**
     * Toggles the hierarchical row.
     * ```typescript
     * this.grid1.rowList.first.toggle()
     * ```
     */
    toggle(): void;
    /**
     * @hidden
     * @internal
     */
    select: () => void;
    /**
     * @hidden
     * @internal
     */
    deselect: () => void;
    /**
    * @hidden
    */
    readonly iconTemplate: TemplateRef<any>;
    private endEdit;
}
