import { ChangeDetectorRef, ElementRef, NgZone, OnInit, TemplateRef } from '@angular/core';
import { IgxGridCellComponent } from '../cell.component';
import { GridBaseAPIService } from '../api.service';
import { PlatformUtil } from '../../core/utils';
import { IgxGridBaseComponent, IGridDataBindable } from '../grid';
import { IgxGridSelectionService, IgxGridCRUDService } from '../../core/grid-selection';
import { HammerGesturesManager } from '../../core/touch';
export declare class IgxTreeGridCellComponent extends IgxGridCellComponent implements OnInit {
    protected zone: NgZone;
    document: any;
    protected platformUtil: PlatformUtil;
    private treeGridAPI;
    constructor(selectionService: IgxGridSelectionService, crudService: IgxGridCRUDService, gridAPI: GridBaseAPIService<IgxGridBaseComponent & IGridDataBindable>, cdr: ChangeDetectorRef, element: ElementRef, zone: NgZone, touchManager: HammerGesturesManager, document: any, platformUtil: PlatformUtil);
    /**
     * @hidden
     */
    expanded: boolean;
    /**
     * @hidden
     */
    level: number;
    /**
     * @hidden
     */
    showIndicator: boolean;
    indicator: ElementRef;
    indentationDiv: ElementRef;
    defaultContentElement: ElementRef;
    /**
    * @hidden
    */
    protected defaultExpandedTemplate: TemplateRef<any>;
    /**
    * @hidden
    */
    protected defaultCollapsedTemplate: TemplateRef<any>;
    /**
     * @hidden
     */
    isLoading: boolean;
    /**
     * @hidden
     */
    ngOnInit(): void;
    /**
     * @hidden
     */
    toggle(event: Event): void;
    /**
     * @hidden
     */
    onIndicatorFocus(): void;
    /**
     * @hidden
     */
    onLoadingDblClick(event: Event): void;
    /**
     * @hidden
     */
    calculateSizeToFit(range: any): number;
    /**
     * @hidden
    */
    readonly iconTemplate: any;
}
