import { QueryList, DoCheck } from '@angular/core';
import { IgxTreeGridComponent } from './tree-grid.component';
import { IgxRowComponent } from '../row.component';
import { ITreeGridRecord } from './tree-grid.interfaces';
export declare class IgxTreeGridRowComponent extends IgxRowComponent<IgxTreeGridComponent> implements DoCheck {
    private _treeRow;
    /**
     * The rendered cells in the row component.
     *
     * ```typescript
     * const row = this.grid.getRowByKey(1);
     * const cells = row.cells;
     * ```
     */
    cells: QueryList<any>;
    /**
     * The `ITreeGridRecord` passed to the row component.
     *
     * ```typescript
     * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
     * const treeRow = row.treeRow;
     * ```
     */
    treeRow: ITreeGridRecord;
    /**
     * Returns a value indicating whether the row component is expanded.
     *
     * ```typescript
     * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
     * const expanded = row.expanded;
     * ```
     */
    /**
    * Sets a value indicating whether the row component is expanded.
    *
    * ```typescript
    * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
    * row.expanded = true;
    * ```
    */
    expanded: boolean;
    /**
     * @hidden
     */
    isLoading: boolean;
    /**
     * @hidden
     * @internal
     */
    readonly viewIndex: number;
    /**
     * @hidden
     */
    readonly showIndicator: any;
    /**
     * @hidden
     */
    protected resolveClasses(): string;
    /**
     * @hidden
     */
    ngDoCheck(): void;
}
