import { IgxDropDownItemComponent } from './../drop-down/drop-down-item.component';
import { DoCheck } from '@angular/core';
export declare class IgxSelectItemComponent extends IgxDropDownItemComponent implements DoCheck {
    private _text;
    /**
     * An @Input property that gets/sets the item's text to be displayed in the select component's input when the item is selected.
     *
     * ```typescript
     *  //get
     *  let mySelectedItem = this.dropDown.selectedItem;
     *  let selectedItemText = mySelectedItem.text;
     * ```

     * ```html
     * // set
     * <igx-select-item [text]="'London'"></igx-select-item>
     * ```
     */
    text: string;
    /** @hidden @internal */
    readonly itemText: any;
    /**
     * Sets/Gets if the item is the currently selected one in the select
     *
     * ```typescript
     *  let mySelectedItem = this.select.selectedItem;
     *  let isMyItemSelected = mySelectedItem.selected; // true
     * ```
     */
    selected: any;
    /** @hidden @internal */
    isHeader: boolean;
    ngDoCheck(): void;
}
