import { ElementRef, QueryList, EventEmitter } from '@angular/core';
/** @hidden */
export declare abstract class IgxTabsBase {
    selectedIndicator: ElementRef<any>;
    tabs: QueryList<IgxTabItemBase>;
    groups: QueryList<IgxTabsGroupBase>;
    offset: number;
    selectedIndex: number;
    viewPort: ElementRef;
    contentsContainer: ElementRef;
    tabsContainer: ElementRef;
    itemsContainer: ElementRef;
    headerContainer: ElementRef;
    onTabItemSelected: EventEmitter<{}>;
    hasContentTabs: boolean;
    scrollElement(element: any, scrollRight: boolean): void;
    performSelectionChange(newTab: IgxTabItemBase): void;
    transformContentAnimation(tab: IgxTabItemBase, duration: number): void;
    transformIndicatorAnimation(element: HTMLElement, duration?: number): void;
}
/** @hidden */
export declare abstract class IgxTabItemBase {
    nativeTabItem: ElementRef;
    readonly index: number;
    select(): void;
    setSelectedInternal(newValue: boolean): void;
}
/** @hidden */
export declare abstract class IgxTabsGroupBase {
    select(): void;
    setSelectedInternal(newValue: boolean): void;
}
