(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/animations'), require('@angular/core'), require('@angular/forms'), require('@angular/common'), require('rxjs'), require('rxjs/operators'), require('jszip/dist/jszip'), require('resize-observer-polyfill'), require('@angular/platform-browser')) :
    typeof define === 'function' && define.amd ? define('igniteui-angular', ['exports', '@angular/animations', '@angular/core', '@angular/forms', '@angular/common', 'rxjs', 'rxjs/operators', 'jszip/dist/jszip', 'resize-observer-polyfill', '@angular/platform-browser'], factory) :
    (global = global || self, factory(global['igniteui-angular'] = {}, global.ng.animations, global.ng.core, global.ng.forms, global.ng.common, global.rxjs, global.rxjs.operators, global.JSZip, global.ResizeObserver, global.ng.platformBrowser));
}(this, function (exports, animations, core, forms, common, rxjs, operators, JSZip, ResizeObserver, platformBrowser) { 'use strict';

    ResizeObserver = ResizeObserver && ResizeObserver.hasOwnProperty('default') ? ResizeObserver['default'] : ResizeObserver;

    /*! *****************************************************************************
    Copyright (c) Microsoft Corporation. All rights reserved.
    Licensed under the Apache License, Version 2.0 (the "License"); you may not use
    this file except in compliance with the License. You may obtain a copy of the
    License at http://www.apache.org/licenses/LICENSE-2.0

    THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
    KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
    WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
    MERCHANTABLITY OR NON-INFRINGEMENT.

    See the Apache Version 2.0 License for specific language governing permissions
    and limitations under the License.
    ***************************************************************************** */
    /* global Reflect, Promise */

    var extendStatics = function(d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };

    function __extends(d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    }

    var __assign = function() {
        __assign = Object.assign || function __assign(t) {
            for (var s, i = 1, n = arguments.length; i < n; i++) {
                s = arguments[i];
                for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p)) t[p] = s[p];
            }
            return t;
        };
        return __assign.apply(this, arguments);
    };

    function __decorate(decorators, target, key, desc) {
        var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
        if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
        else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
        return c > 3 && r && Object.defineProperty(target, key, r), r;
    }

    function __metadata(metadataKey, metadataValue) {
        if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(metadataKey, metadataValue);
    }

    function __values(o) {
        var m = typeof Symbol === "function" && o[Symbol.iterator], i = 0;
        if (m) return m.call(o);
        return {
            next: function () {
                if (o && i >= o.length) o = void 0;
                return { value: o && o[i++], done: !o };
            }
        };
    }

    function __read(o, n) {
        var m = typeof Symbol === "function" && o[Symbol.iterator];
        if (!m) return o;
        var i = m.call(o), r, ar = [], e;
        try {
            while ((n === void 0 || n-- > 0) && !(r = i.next()).done) ar.push(r.value);
        }
        catch (error) { e = { error: error }; }
        finally {
            try {
                if (r && !r.done && (m = i["return"])) m.call(i);
            }
            finally { if (e) throw e.error; }
        }
        return ar;
    }

    function __spread() {
        for (var ar = [], i = 0; i < arguments.length; i++)
            ar = ar.concat(__read(arguments[i]));
        return ar;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var EaseIn = {
        quad: (/** @type {?} */ ("cubic-bezier(0.550, 0.085, 0.680, 0.530)")),
        cubic: (/** @type {?} */ ("cubic-bezier(0.550, 0.055, 0.675, 0.190)")),
        quart: (/** @type {?} */ ("cubic-bezier(0.895, 0.030, 0.685, 0.220)")),
        quint: (/** @type {?} */ ("cubic-bezier(0.755, 0.050, 0.855, 0.060)")),
        sine: (/** @type {?} */ ("cubic-bezier(0.470, 0.000, 0.745, 0.715)")),
        expo: (/** @type {?} */ ("cubic-bezier(0.950, 0.050, 0.795, 0.035)")),
        circ: (/** @type {?} */ ("cubic-bezier(0.600, 0.040, 0.980, 0.335)")),
        back: (/** @type {?} */ ("cubic-bezier(0.600, -0.280, 0.735, 0.045)")),
    };
    /** @enum {string} */
    var EaseOut = {
        quad: (/** @type {?} */ ("cubic-bezier(0.250, 0.460, 0.450, 0.940)")),
        cubic: (/** @type {?} */ ("cubic-bezier(0.215, 0.610, 0.355, 1.000)")),
        quart: (/** @type {?} */ ("cubic-bezier(0.165, 0.840, 0.440, 1.000)")),
        quint: (/** @type {?} */ ("cubic-bezier(0.230, 1.000, 0.320, 1.000)")),
        sine: (/** @type {?} */ ("cubic-bezier(0.390, 0.575, 0.565, 1.000)")),
        expo: (/** @type {?} */ ("cubic-bezier(0.190, 1.000, 0.220, 1.000)")),
        circ: (/** @type {?} */ ("cubic-bezier(0.075, 0.820, 0.165, 1.000)")),
        back: (/** @type {?} */ ("cubic-bezier(0.175, 0.885, 0.320, 1.275)")),
    };
    /** @enum {string} */
    var EaseInOut = {
        quad: (/** @type {?} */ ("cubic-bezier(0.455, 0.030, 0.515, 0.955)")),
        cubic: (/** @type {?} */ ("cubic-bezier(0.645, 0.045, 0.355, 1.000)")),
        quart: (/** @type {?} */ ("cubic-bezier(0.770, 0.000, 0.175, 1.000)")),
        quint: (/** @type {?} */ ("cubic-bezier(0.860, 0.000, 0.070, 1.000)")),
        sine: (/** @type {?} */ ("cubic-bezier(0.445, 0.050, 0.550, 0.950)")),
        expo: (/** @type {?} */ ("cubic-bezier(1.000, 0.000, 0.000, 1.000)")),
        circ: (/** @type {?} */ ("cubic-bezier(0.785, 0.135, 0.150, 0.860)")),
        back: (/** @type {?} */ ("cubic-bezier(0.680, -0.550, 0.265, 1.550)")),
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var base = [
        animations.style({
            opacity: "{{startOpacity}}"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.style({
            opacity: "{{endOpacity}}"
        }))
    ];
    /** @type {?} */
    var baseParams = {
        delay: '0s',
        duration: '350ms',
        easing: EaseOut.sine,
        endOpacity: 1,
        startOpacity: 0
    };
    /** @type {?} */
    var fadeIn = animations.animation(base, {
        params: baseParams
    });
    /** @type {?} */
    var fadeOut = animations.animation(base, {
        params: {
            delay: '0s',
            duration: '350ms',
            easing: EaseOut.sine,
            endOpacity: 0,
            startOpacity: 1
        }
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var baseRecipe = [
        animations.style({
            backfaceVisibility: 'hidden',
            transformStyle: 'preserve-3d'
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.keyframes([
            animations.style({
                offset: 0,
                transform: "translateZ({{startDistance}})\n                rotate3d({{rotateX}}, {{rotateY}}, {{rotateZ}}, {{startAngle}}deg)"
            }),
            animations.style({
                offset: 1,
                transform: "translateZ({{endDistance}})\n                rotate3d({{rotateX}}, {{rotateY}}, {{rotateZ}}, {{endAngle}}deg)"
            })
        ]))
    ];
    /** @type {?} */
    var baseParams$1 = {
        delay: '0s',
        duration: '600ms',
        easing: EaseOut.quad,
        endAngle: 180,
        endDistance: '0px',
        rotateX: 1,
        rotateY: 0,
        rotateZ: 0,
        startAngle: 0,
        startDistance: '0px'
    };
    /** @type {?} */
    var flipTop = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1)
    });
    /** @type {?} */
    var flipBottom = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { endAngle: -180 })
    });
    /** @type {?} */
    var flipLeft = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { rotateX: 0, rotateY: 1 })
    });
    /** @type {?} */
    var flipRight = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { endAngle: -180, rotateX: 0, rotateY: 1 })
    });
    /** @type {?} */
    var flipHorFwd = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { endDistance: '170px' })
    });
    /** @type {?} */
    var flipHorBck = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { endDistance: '-170px' })
    });
    /** @type {?} */
    var flipVerFwd = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { endDistance: '170px', rotateX: 0, rotateY: 1 })
    });
    /** @type {?} */
    var flipVerBck = animations.animation(baseRecipe, {
        params: __assign({}, baseParams$1, { endDistance: '-170px', rotateX: 0, rotateY: 1 })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var baseRecipe$1 = [
        animations.style({
            opacity: "{{startOpacity}}",
            transform: "rotate3d({{rotateX}},{{rotateY}},{{rotateZ}},{{startAngle}}deg)",
            transformOrigin: "{{xPos}} {{yPos}}"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.style({
            offset: 0,
            opacity: "{{endOpacity}}",
            transform: "rotate3d({{rotateX}},{{rotateY}},{{rotateZ}},{{endAngle}}deg)",
            transformOrigin: "{{xPos}} {{yPos}}"
        }))
    ];
    /** @type {?} */
    var baseInParams = {
        delay: '0s',
        duration: '600ms',
        easing: EaseOut.quad,
        endAngle: 0,
        endOpacity: 1,
        rotateX: 0,
        rotateY: 0,
        rotateZ: 1,
        startAngle: -360,
        startOpacity: 0,
        xPos: 'center',
        yPos: 'center'
    };
    /** @type {?} */
    var baseOutParams = __assign({}, baseInParams, { easing: EaseIn.quad, endOpacity: 0, startOpacity: 1 });
    /** @type {?} */
    var rotateInCenter = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams)
    });
    /** @type {?} */
    var rotateOutCenter = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams)
    });
    /** @type {?} */
    var rotateInTop = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'top' })
    });
    /** @type {?} */
    var rotateOutTop = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'top' })
    });
    /** @type {?} */
    var rotateInRight = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'right' })
    });
    /** @type {?} */
    var rotateOutRight = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'right' })
    });
    /** @type {?} */
    var rotateInBottom = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'bottom' })
    });
    /** @type {?} */
    var rotateOutBottom = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'bottom' })
    });
    /** @type {?} */
    var rotateInLeft = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'left' })
    });
    /** @type {?} */
    var rotateOutLeft = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'left' })
    });
    /** @type {?} */
    var rotateInTr = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'right', yPos: 'top' })
    });
    /** @type {?} */
    var rotateOutTr = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'right', yPos: 'top' })
    });
    /** @type {?} */
    var rotateInBr = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'right', yPos: 'bottom' })
    });
    /** @type {?} */
    var rotateOutBr = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'right', yPos: 'bottom' })
    });
    /** @type {?} */
    var rotateInBl = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'left', yPos: 'bottom' })
    });
    /** @type {?} */
    var rotateOutBl = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'left', yPos: 'bottom' })
    });
    /** @type {?} */
    var rotateInTl = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { xPos: 'left', yPos: 'top' })
    });
    /** @type {?} */
    var rotateOutTl = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { xPos: 'left', yPos: 'top' })
    });
    /** @type {?} */
    var rotateInDiagonal1 = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { rotateX: 1, rotateY: 1, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateOutDiagonal1 = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { rotateX: 1, rotateY: 1, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateInDiagonal2 = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { rotateX: -1, rotateY: 1, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateOutDiagonal2 = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { rotateX: -1, rotateY: 1, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateInHor = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { rotateX: 0, rotateY: 1, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateOutHor = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { rotateX: 0, rotateY: 1, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateInVer = animations.animation(baseRecipe$1, {
        params: __assign({}, baseInParams, { rotateX: 1, rotateY: 0, rotateZ: 0 })
    });
    /** @type {?} */
    var rotateOutVer = animations.animation(baseRecipe$1, {
        params: __assign({}, baseOutParams, { rotateX: 1, rotateY: 0, rotateZ: 0 })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var baseRecipe$2 = [
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.keyframes([
            animations.style({
                offset: 0,
                transform: "rotate(0deg) translate{{direction}}(0)",
                transformOrigin: "{{xPos}} {{yPos}}"
            }),
            animations.style({
                offset: 0.1,
                transform: "rotate({{endAngle}}deg) translate{{direction}}(-{{startDistance}})"
            }),
            animations.style({
                offset: 0.2,
                transform: "rotate(-{{startAngle}}deg) translate{{direction}}({{startDistance}})"
            }),
            animations.style({
                offset: 0.3,
                transform: "rotate({{startAngle}}deg) translate{{direction}}(-{{startDistance}})"
            }),
            animations.style({
                offset: 0.4,
                transform: "rotate(-{{startAngle}}deg) translate{{direction}}({{startDistance}})"
            }),
            animations.style({
                offset: 0.5,
                transform: "rotate({{startAngle}}deg) translate{{direction}}(-{{startDistance}})"
            }),
            animations.style({
                offset: 0.6,
                transform: "rotate(-{{startAngle}}deg) translate{{direction}}({{startDistance}})"
            }),
            animations.style({
                offset: 0.7,
                transform: "rotate({{startAngle}}deg) translate{{direction}}(-{{startDistance}})"
            }),
            animations.style({
                offset: 0.8,
                transform: "rotate(-{{endAngle}}deg) translate{{direction}}({{endDistance}})"
            }),
            animations.style({
                offset: 0.9,
                transform: "rotate({{endAngle}}deg) translate{{direction}}(-{{endDistance}})"
            }),
            animations.style({
                offset: 1,
                transform: "rotate(0deg) translate{{direction}}(0)",
                transformOrigin: "{{xPos}} {{yPos}}"
            })
        ]))
    ];
    /** @type {?} */
    var baseParams$2 = {
        delay: '0s',
        direction: 'X',
        duration: '800ms',
        easing: EaseInOut.quad,
        endAngle: 0,
        endDistance: '8px',
        startAngle: 0,
        startDistance: '10px',
        xPos: 'center',
        yPos: 'center'
    };
    /** @type {?} */
    var shakeHor = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'X' })
    });
    /** @type {?} */
    var shakeVer = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y' })
    });
    /** @type {?} */
    var shakeTop = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', yPos: 'top' })
    });
    /** @type {?} */
    var shakeBottom = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', yPos: 'bottom' })
    });
    /** @type {?} */
    var shakeRight = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', xPos: 'right', yPos: 'center' })
    });
    /** @type {?} */
    var shakeLeft = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', xPos: 'left', yPos: 'center' })
    });
    /** @type {?} */
    var shakeCenter = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 8, endDistance: '0', startAngle: 10, startDistance: '0', xPos: 'center', yPos: 'center' })
    });
    /** @type {?} */
    var shakeTr = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', xPos: 'right', yPos: 'top' })
    });
    /** @type {?} */
    var shakeBr = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', xPos: 'right', yPos: 'bottom' })
    });
    /** @type {?} */
    var shakeBl = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', xPos: 'left', yPos: 'bottom' })
    });
    /** @type {?} */
    var shakeTl = animations.animation(baseRecipe$2, {
        params: __assign({}, baseParams$2, { direction: 'Y', endAngle: 2, endDistance: '0', startAngle: 4, startDistance: '0', xPos: 'left', yPos: 'top' })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var heartbeatBase = [
        animations.style({
            animationTimingFunction: "ease-out",
            transform: "scale(1)",
            transformOrigin: "center center"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.keyframes([
            animations.style({
                animationTimingFunction: "ease-in",
                offset: 0.1,
                transform: "scale(0.91)"
            }),
            animations.style({
                animationTimingFunction: "ease-out",
                offset: 0.17,
                transform: "scale(0.98)"
            }),
            animations.style({
                animationTimingFunction: "ease-in",
                offset: 0.33,
                transform: "scale(0.87)"
            }),
            animations.style({
                animationTimingFunction: "ease-out",
                offset: 0.45,
                transform: "scale(1)"
            })
        ]))
    ];
    /** @type {?} */
    var heartbeatParams = {
        delay: '0s',
        duration: '1.5s',
        easing: 'ease-in-out'
    };
    /** @type {?} */
    var pulsateBase = [
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.keyframes([
            animations.style({
                offset: 0,
                transform: "scale({{fromScale}})"
            }),
            animations.style({
                offset: 0.5,
                transform: "scale({{toScale}})"
            }),
            animations.style({
                offset: 1,
                transform: "scale({{fromScale}})"
            })
        ]))
    ];
    /** @type {?} */
    var pulsateParams = {
        delay: '0s',
        duration: '.5s',
        easing: 'ease-in-out',
        fromScale: 1,
        toScale: 1.1
    };
    /** @type {?} */
    var blinkBase = [
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.keyframes([
            animations.style({
                offset: 0,
                opacity: .8,
                transform: "scale({{fromScale}})"
            }),
            animations.style({
                offset: 0.8,
                opacity: 0,
                transform: "scale({{midScale}})"
            }),
            animations.style({
                offset: 1,
                opacity: 0,
                transform: "scale({{toScale}})"
            })
        ]))
    ];
    /** @type {?} */
    var blinkParams = {
        delay: '0s',
        duration: '.8s',
        easing: 'ease-in-out',
        fromScale: .2,
        midScale: 1.2,
        toScale: 2.2
    };
    /** @type {?} */
    var pulsateFwd = animations.animation(pulsateBase, {
        params: __assign({}, pulsateParams)
    });
    /** @type {?} */
    var pulsateBck = animations.animation(pulsateBase, {
        params: __assign({}, pulsateParams, { toScale: .9 })
    });
    /** @type {?} */
    var heartbeat = animations.animation(heartbeatBase, {
        params: __assign({}, heartbeatParams)
    });
    /** @type {?} */
    var blink = animations.animation(blinkBase, {
        params: __assign({}, blinkParams)
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var base$1 = [
        animations.style({
            opacity: "{{startOpacity}}",
            transform: "scale{{direction}}({{fromScale}})",
            transformOrigin: "{{xPos}} {{yPos}}"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.style({
            opacity: "{{endOpacity}}",
            transform: "scale{{direction}}({{toScale}})",
            transformOrigin: "{{xPos}} {{yPos}}"
        }))
    ];
    /** @type {?} */
    var baseInParams$1 = {
        delay: '0s',
        direction: '',
        duration: '350ms',
        easing: EaseOut.quad,
        endOpacity: 1,
        fromScale: .5,
        startOpacity: 0,
        toScale: 1,
        xPos: '50%',
        yPos: '50%'
    };
    /** @type {?} */
    var baseOutParams$1 = __assign({}, baseInParams$1, { easing: EaseOut.sine, endOpacity: 0, fromScale: 1, startOpacity: 1, toScale: .5 });
    /** @type {?} */
    var scaleInCenter = animations.animation(base$1, { params: baseInParams$1 });
    /** @type {?} */
    var scaleInBl = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '0', yPos: '100%' })
    });
    /** @type {?} */
    var scaleInVerCenter = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { direction: 'Y', fromScale: .4 })
    });
    /** @type {?} */
    var scaleInTop = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '50%', yPos: '0' })
    });
    /** @type {?} */
    var scaleInLeft = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '0', yPos: '50%' })
    });
    /** @type {?} */
    var scaleInVerTop = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { direction: 'Y', fromScale: .4, xPos: '100%', yPos: '0' })
    });
    /** @type {?} */
    var scaleInTr = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '100%', yPos: '0' })
    });
    /** @type {?} */
    var scaleInTl = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '0', yPos: '0' })
    });
    /** @type {?} */
    var scaleInVerBottom = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { direction: 'Y', fromScale: .4, xPos: '0', yPos: '100%' })
    });
    /** @type {?} */
    var scaleInRight = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '100%', yPos: '50%' })
    });
    /** @type {?} */
    var scaleInHorCenter = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { direction: 'X', fromScale: .4 })
    });
    /** @type {?} */
    var scaleInBr = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '100%', yPos: '100%' })
    });
    /** @type {?} */
    var scaleInHorLeft = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { direction: 'X', fromScale: .4, xPos: '0', yPos: '0' })
    });
    /** @type {?} */
    var scaleInBottom = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { xPos: '50%', yPos: '100%' })
    });
    /** @type {?} */
    var scaleInHorRight = animations.animation(base$1, {
        params: __assign({}, baseInParams$1, { direction: 'X', fromScale: .4, xPos: '100%', yPos: '100%' })
    });
    /** @type {?} */
    var scaleOutCenter = animations.animation(base$1, { params: baseOutParams$1 });
    /** @type {?} */
    var scaleOutBl = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '0', yPos: '100%' })
    });
    /** @type {?} */
    var scaleOutBr = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '100%', yPos: '100%' })
    });
    /** @type {?} */
    var scaleOutVerCenter = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { direction: 'Y', toScale: .3 })
    });
    /** @type {?} */
    var scaleOutVerTop = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { direction: 'Y', toScale: .3, xPos: '100%', yPos: '0' })
    });
    /** @type {?} */
    var scaleOutVerBottom = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { direction: 'Y', toScale: .3, xPos: '0', yPos: '100%' })
    });
    /** @type {?} */
    var scaleOutTop = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '50%', yPos: '0' })
    });
    /** @type {?} */
    var scaleOutLeft = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '0', yPos: '50%' })
    });
    /** @type {?} */
    var scaleOutTr = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '100%', yPos: '0' })
    });
    /** @type {?} */
    var scaleOutTl = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '0', yPos: '0' })
    });
    /** @type {?} */
    var scaleOutRight = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '100%', yPos: '50%' })
    });
    /** @type {?} */
    var scaleOutBottom = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { xPos: '50%', yPos: '100%' })
    });
    /** @type {?} */
    var scaleOutHorCenter = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { direction: 'X', toScale: .3 })
    });
    /** @type {?} */
    var scaleOutHorLeft = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { direction: 'X', toScale: .3, xPos: '0', yPos: '0' })
    });
    /** @type {?} */
    var scaleOutHorRight = animations.animation(base$1, {
        params: __assign({}, baseOutParams$1, { direction: 'X', toScale: .3, xPos: '100%', yPos: '100%' })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var base$2 = [
        animations.style({
            opacity: "{{startOpacity}}",
            transform: "{{fromPosition}}"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.style({
            opacity: "{{endOpacity}}",
            transform: "{{toPosition}}"
        }))
    ];
    /** @type {?} */
    var baseInParams$2 = {
        delay: '0s',
        duration: '350ms',
        easing: EaseOut.quad,
        endOpacity: 1,
        fromPosition: 'translateY(-500px)',
        startOpacity: 0,
        toPosition: 'translateY(0)'
    };
    /** @type {?} */
    var baseOutParams$2 = {
        delay: '0s',
        duration: '350ms',
        easing: EaseIn.quad,
        endOpacity: 0,
        fromPosition: 'translateY(0)',
        startOpacity: 1,
        toPosition: 'translateY(-500px)'
    };
    /** @type {?} */
    var slideInTop = animations.animation(base$2, { params: baseInParams$2 });
    /** @type {?} */
    var slideInLeft = animations.animation(base$2, {
        params: {
            delay: '0s',
            duration: '350ms',
            easing: EaseOut.quad,
            endOpacity: 1,
            fromPosition: 'translateX(-500px)',
            startOpacity: 0,
            toPosition: 'translateY(0)'
        }
    });
    /** @type {?} */
    var slideInRight = animations.animation(base$2, {
        params: {
            delay: '0s',
            duration: '350ms',
            easing: EaseOut.quad,
            endOpacity: 1,
            fromPosition: 'translateX(500px)',
            startOpacity: 0,
            toPosition: 'translateY(0)'
        }
    });
    /** @type {?} */
    var slideInBottom = animations.animation(base$2, {
        params: {
            delay: '0s',
            duration: '350ms',
            easing: EaseOut.quad,
            endOpacity: 1,
            fromPosition: 'translateY(500px)',
            startOpacity: 0,
            toPosition: 'translateY(0)'
        }
    });
    /** @type {?} */
    var slideInTr = animations.animation(base$2, {
        params: __assign({}, baseInParams$2, { fromPosition: 'translateY(-500px) translateX(500px)', toPosition: 'translateY(0) translateX(0)' })
    });
    /** @type {?} */
    var slideInTl = animations.animation(base$2, {
        params: __assign({}, baseInParams$2, { fromPosition: 'translateY(-500px) translateX(-500px)', toPosition: 'translateY(0) translateX(0)' })
    });
    /** @type {?} */
    var slideInBr = animations.animation(base$2, {
        params: __assign({}, baseInParams$2, { fromPosition: 'translateY(500px) translateX(500px)', toPosition: 'translateY(0) translateX(0)' })
    });
    /** @type {?} */
    var slideInBl = animations.animation(base$2, {
        params: __assign({}, baseInParams$2, { fromPosition: 'translateY(500px) translateX(-500px)', toPosition: 'translateY(0) translateX(0)' })
    });
    /** @type {?} */
    var slideOutTop = animations.animation(base$2, { params: baseOutParams$2 });
    /** @type {?} */
    var slideOutRight = animations.animation(base$2, {
        params: __assign({}, baseOutParams$2, { toPosition: 'translateX(500px)' })
    });
    /** @type {?} */
    var slideOutBottom = animations.animation(base$2, {
        params: {
            delay: '0s',
            duration: '350ms',
            easing: EaseIn.quad,
            endOpacity: 0,
            fromPosition: 'translateY(0)',
            startOpacity: 1,
            toPosition: 'translateY(500px)'
        }
    });
    /** @type {?} */
    var slideOutLeft = animations.animation(base$2, {
        params: __assign({}, baseOutParams$2, { toPosition: 'translateX(-500px)' })
    });
    /** @type {?} */
    var slideOutTr = animations.animation(base$2, {
        params: __assign({}, baseOutParams$2, { fromPosition: 'translateY(0) translateX(0)', toPosition: 'translateY(-500px) translateX(500px)' })
    });
    /** @type {?} */
    var slideOutBr = animations.animation(base$2, {
        params: __assign({}, baseOutParams$2, { fromPosition: 'translateY(0) translateX(0)', toPosition: 'translateY(500px) translateX(500px)' })
    });
    /** @type {?} */
    var slideOutBl = animations.animation(base$2, {
        params: __assign({}, baseOutParams$2, { fromPosition: 'translateY(0) translateX(0)', toPosition: 'translateY(500px) translateX(-500px)' })
    });
    /** @type {?} */
    var slideOutTl = animations.animation(base$2, {
        params: __assign({}, baseOutParams$2, { fromPosition: 'translateY(0) translateX(0)', toPosition: 'translateY(-500px) translateX(-500px)' })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var swingBase = [
        animations.style({
            opacity: "{{startOpacity}}",
            transform: "rotate{{direction}}({{startAngle}}deg)",
            transformOrigin: "{{xPos}} {{yPos}}"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.style({
            opacity: "{{endOpacity}}",
            transform: "rotate{{direction}}({{endAngle}}deg)",
            transformOrigin: "{{xPos}} {{yPos}}"
        }))
    ];
    /** @type {?} */
    var swingParams = {
        delay: '0s',
        direction: 'X',
        duration: '.5s',
        easing: EaseOut.back,
        endAngle: 0,
        endOpacity: 1,
        startAngle: -100,
        startOpacity: 0,
        xPos: 'top',
        yPos: 'center'
    };
    /** @type {?} */
    var swingOutParams = __assign({}, swingParams, { duration: '.55s', easing: EaseIn.back, endAngle: 70, endOpacity: 0, startAngle: 0, startOpacity: 1 });
    /** @type {?} */
    var swingInTopFwd = animations.animation(swingBase, {
        params: __assign({}, swingParams)
    });
    /** @type {?} */
    var swingInRightFwd = animations.animation(swingBase, {
        params: __assign({}, swingParams, { direction: 'Y', xPos: 'center', yPos: 'right' })
    });
    /** @type {?} */
    var swingInBottomFwd = animations.animation(swingBase, {
        params: __assign({}, swingParams, { startAngle: 100, xPos: 'bottom' })
    });
    /** @type {?} */
    var swingInLeftFwd = animations.animation(swingBase, {
        params: __assign({}, swingParams, { direction: 'Y', startAngle: 100, xPos: 'center', yPos: 'left' })
    });
    /** @type {?} */
    var swingInTopBck = animations.animation(swingBase, {
        params: __assign({}, swingParams, { duration: '.6s', startAngle: 70 })
    });
    /** @type {?} */
    var swingInRightBck = animations.animation(swingBase, {
        params: __assign({}, swingParams, { direction: 'Y', duration: '.6s', startAngle: 70, xPos: 'center', yPos: 'right' })
    });
    /** @type {?} */
    var swingInBottomBck = animations.animation(swingBase, {
        params: __assign({}, swingParams, { duration: '.6s', startAngle: -70, xPos: 'bottom' })
    });
    /** @type {?} */
    var swingInLeftBck = animations.animation(swingBase, {
        params: __assign({}, swingParams, { direction: 'Y', duration: '.6s', startAngle: -70, xPos: 'center', yPos: 'left' })
    });
    /** @type {?} */
    var swingOutTopFwd = animations.animation(swingBase, {
        params: __assign({}, swingOutParams)
    });
    /** @type {?} */
    var swingOutRightFwd = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { direction: 'Y', xPos: 'center', yPos: 'right' })
    });
    /** @type {?} */
    var swingOutBottomFwd = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { endAngle: -70, xPos: 'bottom' })
    });
    /** @type {?} */
    var swingOutLefttFwd = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { direction: 'Y', endAngle: -70, xPos: 'center', yPos: 'left' })
    });
    /** @type {?} */
    var swingOutTopBck = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { duration: '.45s', endAngle: -100 })
    });
    /** @type {?} */
    var swingOutRightBck = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { direction: 'Y', duration: '.45s', endAngle: -100, xPos: 'center', yPos: 'right' })
    });
    /** @type {?} */
    var swingOutBottomBck = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { duration: '.45s', endAngle: 100, xPos: 'bottom' })
    });
    /** @type {?} */
    var swingOutLeftBck = animations.animation(swingBase, {
        params: __assign({}, swingOutParams, { direction: 'Y', duration: '.45s', endAngle: 100, xPos: 'center', yPos: 'left' })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var base$3 = [
        animations.style({
            opacity: "{{ startOpacity }}",
            height: "{{ startHeight }}"
        }),
        animations.animate("{{duration}} {{delay}} {{easing}}", animations.style({
            opacity: "{{ endOpacity }}",
            height: "{{ endHeight }}"
        }))
    ];
    /** @type {?} */
    var baseParams$3 = {
        delay: '0s',
        duration: '350ms',
        easing: EaseIn.quad,
        startOpacity: 0,
        endOpacity: 1,
        startHeight: '',
        endHeight: ''
    };
    /** @type {?} */
    var growVerIn = animations.animation(base$3, {
        params: __assign({}, baseParams$3, { easing: EaseOut.quad, startOpacity: 0, endOpacity: 1, startHeight: '0px', endHeight: '*' })
    });
    /** @type {?} */
    var growVerOut = animations.animation(base$3, {
        params: __assign({}, baseParams$3, { easing: EaseOut.quad, startOpacity: 1, endOpacity: 0, startHeight: '*', endHeight: '0px' })
    });

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Common service to be injected between components where those implementing common
     * ToggleView interface can register and toggle directives can call their methods.
     * TODO: Track currently active? Events?
     */
    var   /**
     * Common service to be injected between components where those implementing common
     * ToggleView interface can register and toggle directives can call their methods.
     * TODO: Track currently active? Events?
     */
    IgxNavigationService = /** @class */ (function () {
        function IgxNavigationService() {
            this.navs = {};
        }
        /**
         * @param {?} id
         * @param {?} navItem
         * @return {?}
         */
        IgxNavigationService.prototype.add = /**
         * @param {?} id
         * @param {?} navItem
         * @return {?}
         */
        function (id, navItem) {
            this.navs[id] = navItem;
        };
        /**
         * @param {?} id
         * @return {?}
         */
        IgxNavigationService.prototype.remove = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            delete this.navs[id];
        };
        /**
         * @param {?} id
         * @return {?}
         */
        IgxNavigationService.prototype.get = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            if (id) {
                return this.navs[id];
            }
        };
        /**
         * @param {?} id
         * @param {...?} args
         * @return {?}
         */
        IgxNavigationService.prototype.toggle = /**
         * @param {?} id
         * @param {...?} args
         * @return {?}
         */
        function (id) {
            var _a;
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            if (this.navs[id]) {
                return (_a = this.navs[id]).toggle.apply(_a, __spread(args));
            }
        };
        /**
         * @param {?} id
         * @param {...?} args
         * @return {?}
         */
        IgxNavigationService.prototype.open = /**
         * @param {?} id
         * @param {...?} args
         * @return {?}
         */
        function (id) {
            var _a;
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            if (this.navs[id]) {
                return (_a = this.navs[id]).open.apply(_a, __spread(args));
            }
        };
        /**
         * @param {?} id
         * @param {...?} args
         * @return {?}
         */
        IgxNavigationService.prototype.close = /**
         * @param {?} id
         * @param {...?} args
         * @return {?}
         */
        function (id) {
            var _a;
            var args = [];
            for (var _i = 1; _i < arguments.length; _i++) {
                args[_i - 1] = arguments[_i];
            }
            if (this.navs[id]) {
                return (_a = this.navs[id]).close.apply(_a, __spread(args));
            }
        };
        return IgxNavigationService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Directive that can toggle targets through provided NavigationService.
     *
     * Usage:
     * ```
     * <button igxNavToggle="ID"> Toggle </button>
     * ```
     * Where the `ID` matches the ID of compatible `IToggleView` component.
     */
    var IgxNavigationToggleDirective = /** @class */ (function () {
        function IgxNavigationToggleDirective(nav) {
            this.state = nav;
        }
        /**
         * @return {?}
         */
        IgxNavigationToggleDirective.prototype.toggleNavigationDrawer = /**
         * @return {?}
         */
        function () {
            this.state.toggle(this.target, true);
        };
        IgxNavigationToggleDirective.decorators = [
            { type: core.Directive, args: [{ selector: '[igxNavToggle]' },] }
        ];
        /** @nocollapse */
        IgxNavigationToggleDirective.ctorParameters = function () { return [
            { type: IgxNavigationService }
        ]; };
        IgxNavigationToggleDirective.propDecorators = {
            target: [{ type: core.Input, args: ['igxNavToggle',] }],
            toggleNavigationDrawer: [{ type: core.HostListener, args: ['click',] }]
        };
        return IgxNavigationToggleDirective;
    }());
    /**
     * Directive that can close targets through provided NavigationService.
     *
     * Usage:
     * ```
     * <button igxNavClose="ID"> Close </button>
     * ```
     * Where the `ID` matches the ID of compatible `IToggleView` component.
     */
    var IgxNavigationCloseDirective = /** @class */ (function () {
        function IgxNavigationCloseDirective(nav) {
            this.state = nav;
        }
        /**
         * @return {?}
         */
        IgxNavigationCloseDirective.prototype.closeNavigationDrawer = /**
         * @return {?}
         */
        function () {
            this.state.close(this.target, true);
        };
        IgxNavigationCloseDirective.decorators = [
            { type: core.Directive, args: [{ selector: '[igxNavClose]' },] }
        ];
        /** @nocollapse */
        IgxNavigationCloseDirective.ctorParameters = function () { return [
            { type: IgxNavigationService }
        ]; };
        IgxNavigationCloseDirective.propDecorators = {
            target: [{ type: core.Input, args: ['igxNavClose',] }],
            closeNavigationDrawer: [{ type: core.HostListener, args: ['click',] }]
        };
        return IgxNavigationCloseDirective;
    }());
    /**
     * @hidden
     */
    var IgxNavigationModule = /** @class */ (function () {
        function IgxNavigationModule() {
        }
        IgxNavigationModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxNavigationCloseDirective, IgxNavigationToggleDirective],
                        exports: [IgxNavigationCloseDirective, IgxNavigationToggleDirective],
                        providers: [IgxNavigationService]
                    },] }
        ];
        return IgxNavigationModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @param {?} array
     * @param {?=} deep
     * @return {?}
     */
    function cloneArray(array, deep) {
        /** @type {?} */
        var arr = [];
        if (!array) {
            return arr;
        }
        /** @type {?} */
        var i = array.length;
        while (i--) {
            arr[i] = deep ? cloneValue(array[i]) : array[i];
        }
        return arr;
    }
    /**
     * Doesn't clone leaf items
     * @hidden
     * @param {?} array
     * @param {?} childDataKey
     * @return {?}
     */
    function cloneHierarchicalArray(array, childDataKey) {
        var e_1, _a;
        /** @type {?} */
        var result = [];
        if (!array) {
            return result;
        }
        try {
            for (var array_1 = __values(array), array_1_1 = array_1.next(); !array_1_1.done; array_1_1 = array_1.next()) {
                var item = array_1_1.value;
                /** @type {?} */
                var clonedItem = cloneValue(item);
                if (Array.isArray(item[childDataKey])) {
                    clonedItem[childDataKey] = cloneHierarchicalArray(clonedItem[childDataKey], childDataKey);
                }
                result.push(clonedItem);
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (array_1_1 && !array_1_1.done && (_a = array_1.return)) _a.call(array_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return result;
    }
    /**
     * Deep clones all first level keys of Obj2 and merges them to Obj1
     * @hidden
     * @param {?} obj1 Object to merge into
     * @param {?} obj2 Object to merge from
     * @return {?} Obj1 with merged cloned keys from Obj2
     */
    function mergeObjects(obj1, obj2) {
        var e_2, _a;
        if (!isObject(obj1)) {
            throw new Error("Cannot merge into " + obj1 + ". First param must be an object.");
        }
        if (!isObject(obj2)) {
            return obj1;
        }
        try {
            for (var _b = __values(Object.keys(obj2)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var key = _c.value;
                obj1[key] = cloneValue(obj2[key]);
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_2) throw e_2.error; }
        }
        return obj1;
    }
    /**
     * Creates deep clone of provided value.
     * Supports primitive values, dates and objects.
     * If passed value is array returns shallow copy of the array.
     * @hidden
     * @param {?} value value to clone
     * @return {?} Deep copy of provided value
     */
    function cloneValue(value) {
        var e_3, _a;
        if (isDate(value)) {
            return new Date(value.getTime());
        }
        if (Array.isArray(value)) {
            return __spread(value);
        }
        if (value instanceof Map || value instanceof Set) {
            return value;
        }
        if (isObject(value)) {
            /** @type {?} */
            var result = {};
            try {
                for (var _b = __values(Object.keys(value)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var key = _c.value;
                    result[key] = cloneValue(value[key]);
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_3) throw e_3.error; }
            }
            return result;
        }
        return value;
    }
    /**
     * Checks if provided variable is Object
     * @hidden
     * @param {?} value Value to check
     * @return {?} true if provided variable is Object
     */
    function isObject(value) {
        return value && value.toString() === '[object Object]';
    }
    /**
     * Checks if provided variable is Date
     * @hidden
     * @param {?} value Value to check
     * @return {?} true if provided variable is Date
     */
    function isDate(value) {
        return Object.prototype.toString.call(value) === '[object Date]';
    }
    /**
     * Checks if the two passed arguments are equal
     * Currently supports date objects
     * \@returns: `boolean`
     * @hidden
     * @param {?} obj1
     * @param {?} obj2
     * @return {?}
     */
    function isEqual(obj1, obj2) {
        if (isDate(obj1) && isDate(obj2)) {
            return obj1.getTime() === obj2.getTime();
        }
        return obj1 === obj2;
    }
    /**
     * @hidden
     * Returns the actual size of the node content, using Range
     * ```typescript
     * let range = document.createRange();
     * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
     *
     * let size = getNodeSizeViaRange(range, column.cells[0].nativeElement);
     * ```
     * @param {?} range
     * @param {?} node
     * @return {?}
     */
    function getNodeSizeViaRange(range, node) {
        /** @type {?} */
        var overflow = null;
        if (!isFirefox()) {
            overflow = node.style.overflow;
            // we need that hack - otherwise content won't be measured correctly in IE/Edge
            node.style.overflow = 'visible';
        }
        range.selectNodeContents(node);
        /** @type {?} */
        var width = range.getBoundingClientRect().width;
        if (!isFirefox()) {
            // we need that hack - otherwise content won't be measured correctly in IE/Edge
            node.style.overflow = overflow;
        }
        return width;
    }
    /**
     * @hidden
     * @return {?}
     */
    function isIE() {
        return navigator.appVersion.indexOf('Trident/') > 0;
    }
    /**
     * @hidden
     * @return {?}
     */
    function isEdge() {
        /** @type {?} */
        var edgeBrowser = /Edge[\/\s](\d+\.\d+)/.test(navigator.userAgent);
        return edgeBrowser;
    }
    /**
     * @hidden
     * @return {?}
     */
    function isFirefox() {
        /** @type {?} */
        var firefoxBrowser = /Firefox[\/\s](\d+\.\d+)/.test(navigator.userAgent);
        return firefoxBrowser;
    }
    /**
     * @hidden
     */
    var PlatformUtil = /** @class */ (function () {
        function PlatformUtil(platformId) {
            this.platformId = platformId;
            this.isBrowser = common.isPlatformBrowser(this.platformId);
            this.isIOS = this.isBrowser && /iPad|iPhone|iPod/.test(navigator.userAgent) && !('MSStream' in window);
        }
        PlatformUtil.decorators = [
            { type: core.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */
        PlatformUtil.ctorParameters = function () { return [
            { type: Object, decorators: [{ type: core.Inject, args: [core.PLATFORM_ID,] }] }
        ]; };
        /** @nocollapse */ PlatformUtil.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function PlatformUtil_Factory() { return new PlatformUtil(core.ɵɵinject(core.PLATFORM_ID)); }, token: PlatformUtil, providedIn: "root" });
        return PlatformUtil;
    }());
    /**
     * @hidden
     * @param {?} event
     * @return {?}
     */
    function isLeftClick(event) {
        return event.button === 0;
    }
    /**
     * @hidden
     * @param {?} key
     * @return {?}
     */
    function isNavigationKey(key) {
        return [
            'down',
            'up',
            'left',
            'right',
            'arrowdown',
            'arrowup',
            'arrowleft',
            'arrowright',
            'home',
            'end',
            'space',
            'spacebar',
            ' '
        ].indexOf(key) !== -1;
    }
    /**
     * @hidden
     * @param {?} arr
     * @return {?}
     */
    function flatten(arr) {
        /** @type {?} */
        var result = [];
        arr.forEach(function (el) {
            result.push(el);
            if (el.children) {
                /** @type {?} */
                var children = Array.isArray(el.children) ? el.children : el.children.toArray();
                result = result.concat(flatten(children));
            }
        });
        return result;
    }
    /** @type {?} */
    var NAVIGATION_KEYS = new Set([
        'down',
        'up',
        'left',
        'right',
        'arrowdown',
        'arrowup',
        'arrowleft',
        'arrowright',
        'home',
        'end',
        'space',
        'spacebar',
        ' '
    ]);
    /** @type {?} */
    var ROW_EXPAND_KEYS = new Set('right down arrowright arrowdown'.split(' '));
    /** @type {?} */
    var ROW_COLLAPSE_KEYS = new Set('left up arrowleft arrowup'.split(' '));
    /** @type {?} */
    var SUPPORTED_KEYS = new Set(__spread(Array.from(NAVIGATION_KEYS), ['tab', 'enter', 'f2', 'escape', 'esc']));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var SortingDirection = {
        None: 0,
        Asc: 1,
        Desc: 2,
    };
    SortingDirection[SortingDirection.None] = 'None';
    SortingDirection[SortingDirection.Asc] = 'Asc';
    SortingDirection[SortingDirection.Desc] = 'Desc';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @param {?} h1
     * @param {?} h2
     * @return {?}
     */
    function isHierarchyMatch(h1, h2) {
        if (h1.length !== h2.length) {
            return false;
        }
        return h1.every(function (level, index) {
            return level.fieldName === h2[index].fieldName && level.value === h2[index].value;
        });
    }
    /**
     * @param {?} gRow
     * @return {?}
     */
    function getHierarchy(gRow) {
        /** @type {?} */
        var hierarchy = [];
        if (gRow !== undefined && gRow.expression) {
            hierarchy.push({ fieldName: gRow.expression.fieldName, value: gRow.value });
            while (gRow.groupParent) {
                gRow = gRow.groupParent;
                hierarchy.unshift({ fieldName: gRow.expression.fieldName, value: gRow.value });
            }
        }
        return hierarchy;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DefaultSortingStrategy = /** @class */ (function () {
        function DefaultSortingStrategy() {
        }
        /**
         * @return {?}
         */
        DefaultSortingStrategy.instance = /**
         * @return {?}
         */
        function () {
            return this._instance || (this._instance = new this());
        };
        /**
         * @param {?} data
         * @param {?} fieldName
         * @param {?} dir
         * @param {?} ignoreCase
         * @param {?} valueResolver
         * @return {?}
         */
        DefaultSortingStrategy.prototype.sort = /**
         * @param {?} data
         * @param {?} fieldName
         * @param {?} dir
         * @param {?} ignoreCase
         * @param {?} valueResolver
         * @return {?}
         */
        function (data, fieldName, dir, ignoreCase, valueResolver) {
            var _this = this;
            /** @type {?} */
            var key = fieldName;
            /** @type {?} */
            var reverse = (dir === SortingDirection.Desc ? -1 : 1);
            /** @type {?} */
            var cmpFunc = function (obj1, obj2) {
                return _this.compareObjects(obj1, obj2, key, reverse, ignoreCase, valueResolver);
            };
            return this.arraySort(data, cmpFunc);
        };
        /**
         * @param {?} a
         * @param {?} b
         * @return {?}
         */
        DefaultSortingStrategy.prototype.compareValues = /**
         * @param {?} a
         * @param {?} b
         * @return {?}
         */
        function (a, b) {
            /** @type {?} */
            var an = (a === null || a === undefined);
            /** @type {?} */
            var bn = (b === null || b === undefined);
            if (an) {
                if (bn) {
                    return 0;
                }
                return -1;
            }
            else if (bn) {
                return 1;
            }
            return a > b ? 1 : a < b ? -1 : 0;
        };
        /**
         * @protected
         * @param {?} obj1
         * @param {?} obj2
         * @param {?} key
         * @param {?} reverse
         * @param {?} ignoreCase
         * @param {?} valueResolver
         * @return {?}
         */
        DefaultSortingStrategy.prototype.compareObjects = /**
         * @protected
         * @param {?} obj1
         * @param {?} obj2
         * @param {?} key
         * @param {?} reverse
         * @param {?} ignoreCase
         * @param {?} valueResolver
         * @return {?}
         */
        function (obj1, obj2, key, reverse, ignoreCase, valueResolver) {
            /** @type {?} */
            var a = valueResolver(obj1, key);
            /** @type {?} */
            var b = valueResolver(obj2, key);
            if (ignoreCase) {
                a = a && a.toLowerCase ? a.toLowerCase() : a;
                b = b && b.toLowerCase ? b.toLowerCase() : b;
            }
            return reverse * this.compareValues(a, b);
        };
        /**
         * @protected
         * @param {?} data
         * @param {?=} compareFn
         * @return {?}
         */
        DefaultSortingStrategy.prototype.arraySort = /**
         * @protected
         * @param {?} data
         * @param {?=} compareFn
         * @return {?}
         */
        function (data, compareFn) {
            return data.sort(compareFn);
        };
        DefaultSortingStrategy._instance = null;
        return DefaultSortingStrategy;
    }());
    var IgxSorting = /** @class */ (function () {
        function IgxSorting() {
        }
        /**
         * @param {?} data
         * @param {?} expressions
         * @return {?}
         */
        IgxSorting.prototype.sort = /**
         * @param {?} data
         * @param {?} expressions
         * @return {?}
         */
        function (data, expressions) {
            return this.sortDataRecursive(data, expressions);
        };
        /**
         * @private
         * @param {?} data
         * @param {?} index
         * @param {?} expression
         * @return {?}
         */
        IgxSorting.prototype.groupedRecordsByExpression = /**
         * @private
         * @param {?} data
         * @param {?} index
         * @param {?} expression
         * @return {?}
         */
        function (data, index, expression) {
            /** @type {?} */
            var i;
            /** @type {?} */
            var groupval;
            /** @type {?} */
            var res = [];
            /** @type {?} */
            var key = expression.fieldName;
            /** @type {?} */
            var len = data.length;
            res.push(data[index]);
            groupval = this.getFieldValue(data[index], key);
            index++;
            /** @type {?} */
            var comparer = expression.groupingComparer || DefaultSortingStrategy.instance().compareValues;
            for (i = index; i < len; i++) {
                if (comparer(this.getFieldValue(data[i], key), groupval) === 0) {
                    res.push(data[i]);
                }
                else {
                    break;
                }
            }
            return res;
        };
        /**
         * @private
         * @template T
         * @param {?} data
         * @param {?} expressions
         * @param {?=} expressionIndex
         * @return {?}
         */
        IgxSorting.prototype.sortDataRecursive = /**
         * @private
         * @template T
         * @param {?} data
         * @param {?} expressions
         * @param {?=} expressionIndex
         * @return {?}
         */
        function (data, expressions, expressionIndex) {
            if (expressionIndex === void 0) { expressionIndex = 0; }
            /** @type {?} */
            var i;
            /** @type {?} */
            var j;
            /** @type {?} */
            var expr;
            /** @type {?} */
            var gbData;
            /** @type {?} */
            var gbDataLen;
            /** @type {?} */
            var exprsLen = expressions.length;
            /** @type {?} */
            var dataLen = data.length;
            expressionIndex = expressionIndex || 0;
            if (expressionIndex >= exprsLen || dataLen <= 1) {
                return data;
            }
            expr = expressions[expressionIndex];
            if (!expr.strategy) {
                expr.strategy = DefaultSortingStrategy.instance();
            }
            data = expr.strategy.sort(data, expr.fieldName, expr.dir, expr.ignoreCase, this.getFieldValue);
            if (expressionIndex === exprsLen - 1) {
                return data;
            }
            // in case of multiple sorting
            for (i = 0; i < dataLen; i++) {
                gbData = this.groupedRecordsByExpression(data, i, expr);
                gbDataLen = gbData.length;
                if (gbDataLen > 1) {
                    gbData = this.sortDataRecursive(gbData, expressions, expressionIndex + 1);
                }
                for (j = 0; j < gbDataLen; j++) {
                    data[i + j] = gbData[j];
                }
                i += gbDataLen - 1;
            }
            return data;
        };
        /**
         * @protected
         * @template T
         * @param {?} data
         * @param {?} state
         * @param {?} level
         * @param {?} parent
         * @param {?} metadata
         * @param {?=} grid
         * @param {?=} groupsRecords
         * @param {?=} fullResult
         * @return {?}
         */
        IgxSorting.prototype.groupDataRecursive = /**
         * @protected
         * @template T
         * @param {?} data
         * @param {?} state
         * @param {?} level
         * @param {?} parent
         * @param {?} metadata
         * @param {?=} grid
         * @param {?=} groupsRecords
         * @param {?=} fullResult
         * @return {?}
         */
        function (data, state, level, parent, metadata, grid, groupsRecords, fullResult) {
            if (grid === void 0) { grid = null; }
            if (groupsRecords === void 0) { groupsRecords = []; }
            if (fullResult === void 0) { fullResult = { data: [], metadata: [] }; }
            /** @type {?} */
            var expressions = state.expressions;
            /** @type {?} */
            var expansion = state.expansion;
            /** @type {?} */
            var i = 0;
            /** @type {?} */
            var result = [];
            var _loop_1 = function () {
                var e_1, _a;
                /** @type {?} */
                var group = this_1.groupedRecordsByExpression(data, i, expressions[level]);
                /** @type {?} */
                var groupRow = {
                    expression: expressions[level],
                    level: level,
                    records: cloneArray(group),
                    value: group[0][expressions[level].fieldName],
                    groupParent: parent,
                    groups: [],
                    height: grid ? grid.renderedRowHeight : null
                };
                if (parent) {
                    parent.groups.push(groupRow);
                }
                else {
                    groupsRecords.push(groupRow);
                }
                /** @type {?} */
                var hierarchy = getHierarchy(groupRow);
                /** @type {?} */
                var expandState = expansion.find(function (s) {
                    return isHierarchyMatch(s.hierarchy || [{ fieldName: groupRow.expression.fieldName, value: groupRow.value }], hierarchy);
                });
                /** @type {?} */
                var expanded = expandState ? expandState.expanded : state.defaultExpanded;
                /** @type {?} */
                var recursiveResult = void 0;
                result.push(groupRow);
                metadata.push(null);
                fullResult.data.push(groupRow);
                fullResult.metadata.push(null);
                if (level < expressions.length - 1) {
                    recursiveResult = this_1.groupDataRecursive(group, state, level + 1, groupRow, expanded ? metadata : [], grid, groupsRecords, fullResult);
                    if (expanded) {
                        result = result.concat(recursiveResult);
                    }
                }
                else {
                    try {
                        for (var group_1 = __values(group), group_1_1 = group_1.next(); !group_1_1.done; group_1_1 = group_1.next()) {
                            var groupItem = group_1_1.value;
                            fullResult.metadata.push(groupRow);
                            fullResult.data.push(groupItem);
                        }
                    }
                    catch (e_1_1) { e_1 = { error: e_1_1 }; }
                    finally {
                        try {
                            if (group_1_1 && !group_1_1.done && (_a = group_1.return)) _a.call(group_1);
                        }
                        finally { if (e_1) throw e_1.error; }
                    }
                    if (expanded) {
                        metadata.push.apply(metadata, __spread(fullResult.metadata.slice(fullResult.metadata.length - group.length)));
                        result.push.apply(result, __spread(fullResult.data.slice(fullResult.data.length - group.length)));
                    }
                }
                i += group.length;
            };
            var this_1 = this;
            while (i < data.length) {
                _loop_1();
            }
            return result;
        };
        /**
         * @protected
         * @param {?} obj
         * @param {?} key
         * @return {?}
         */
        IgxSorting.prototype.getFieldValue = /**
         * @protected
         * @param {?} obj
         * @param {?} key
         * @return {?}
         */
        function (obj, key) {
            return obj[key];
        };
        return IgxSorting;
    }());
    var IgxDataRecordSorting = /** @class */ (function (_super) {
        __extends(IgxDataRecordSorting, _super);
        function IgxDataRecordSorting() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @protected
         * @param {?} obj
         * @param {?} key
         * @return {?}
         */
        IgxDataRecordSorting.prototype.getFieldValue = /**
         * @protected
         * @param {?} obj
         * @param {?} key
         * @return {?}
         */
        function (obj, key) {
            return obj.data[key];
        };
        return IgxDataRecordSorting;
    }(IgxSorting));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGrouping = /** @class */ (function (_super) {
        __extends(IgxGrouping, _super);
        function IgxGrouping() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} data
         * @param {?} state
         * @param {?=} grid
         * @param {?=} groupsRecords
         * @param {?=} fullResult
         * @return {?}
         */
        IgxGrouping.prototype.groupBy = /**
         * @param {?} data
         * @param {?} state
         * @param {?=} grid
         * @param {?=} groupsRecords
         * @param {?=} fullResult
         * @return {?}
         */
        function (data, state, grid, groupsRecords, fullResult) {
            if (fullResult === void 0) { fullResult = { data: [], metadata: [] }; }
            /** @type {?} */
            var metadata = [];
            /** @type {?} */
            var grouping = this.groupDataRecursive(data, state, 0, null, metadata, grid, groupsRecords, fullResult);
            return {
                data: grouping,
                metadata: metadata
            };
        };
        return IgxGrouping;
    }(IgxSorting));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var PagingError = {
        None: 0,
        IncorrectPageIndex: 1,
        IncorrectRecordsPerPage: 2,
    };
    PagingError[PagingError.None] = 'None';
    PagingError[PagingError.IncorrectPageIndex] = 'IncorrectPageIndex';
    PagingError[PagingError.IncorrectRecordsPerPage] = 'IncorrectRecordsPerPage';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var FilteringLogic = {
        And: 0,
        Or: 1,
    };
    FilteringLogic[FilteringLogic.And] = 'And';
    FilteringLogic[FilteringLogic.Or] = 'Or';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var FilteringExpressionsTreeType = {
        Regular: 0,
        Advanced: 1,
    };
    FilteringExpressionsTreeType[FilteringExpressionsTreeType.Regular] = 'Regular';
    FilteringExpressionsTreeType[FilteringExpressionsTreeType.Advanced] = 'Advanced';
    var FilteringExpressionsTree = /** @class */ (function () {
        function FilteringExpressionsTree(operator, fieldName) {
            /**
             * Sets/gets the filtering operands.
             * ```typescript
             * const gridExpressionsTree = new FilteringExpressionsTree(FilteringLogic.And);
             * const expression = [
             * {
             *   condition: IgxStringFilteringOperand.instance().condition('contains'),
             *   fieldName: 'Column Field',
             *   searchVal: 'Value',
             *   ignoreCase: false
             * }];
             * gridExpressionsTree.filteringOperands.push(expression);
             * this.grid.filteringExpressionsTree = gridExpressionsTree;
             * ```
             * ```typescript
             * let filteringOperands = gridExpressionsTree.filteringOperands;
             * ```
             * \@memberof FilteringExpressionsTree
             */
            this.filteringOperands = [];
            this.operator = operator;
            this.fieldName = fieldName;
        }
        /**
         * Checks if filtering expressions tree is empty.
         * @param expressionTree filtering expressions tree.
         */
        /**
         * Checks if filtering expressions tree is empty.
         * @param {?} expressionTree filtering expressions tree.
         * @return {?}
         */
        FilteringExpressionsTree.empty = /**
         * Checks if filtering expressions tree is empty.
         * @param {?} expressionTree filtering expressions tree.
         * @return {?}
         */
        function (expressionTree) {
            return !expressionTree || !expressionTree.filteringOperands || !expressionTree.filteringOperands.length;
        };
        /**
         * Returns the filtering expression for a column with the provided fieldName.
         * ```typescript
         * let filteringExpression = gridExpressionTree.find('Column Field');
         * ```
         * @memberof FilteringExpressionsTree
         */
        /**
         * Returns the filtering expression for a column with the provided fieldName.
         * ```typescript
         * let filteringExpression = gridExpressionTree.find('Column Field');
         * ```
         * \@memberof FilteringExpressionsTree
         * @param {?} fieldName
         * @return {?}
         */
        FilteringExpressionsTree.prototype.find = /**
         * Returns the filtering expression for a column with the provided fieldName.
         * ```typescript
         * let filteringExpression = gridExpressionTree.find('Column Field');
         * ```
         * \@memberof FilteringExpressionsTree
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            /** @type {?} */
            var index = this.findIndex(fieldName);
            if (index > -1) {
                return this.filteringOperands[index];
            }
            return null;
        };
        /**
         * Returns the index of the filtering expression for a column with the provided fieldName.
         * ```typescript
         * let filteringExpressionIndex = gridExpressionTree.findIndex('Column Field');
         * ```
         * @memberof FilteringExpressionsTree
         */
        /**
         * Returns the index of the filtering expression for a column with the provided fieldName.
         * ```typescript
         * let filteringExpressionIndex = gridExpressionTree.findIndex('Column Field');
         * ```
         * \@memberof FilteringExpressionsTree
         * @param {?} fieldName
         * @return {?}
         */
        FilteringExpressionsTree.prototype.findIndex = /**
         * Returns the index of the filtering expression for a column with the provided fieldName.
         * ```typescript
         * let filteringExpressionIndex = gridExpressionTree.findIndex('Column Field');
         * ```
         * \@memberof FilteringExpressionsTree
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            /** @type {?} */
            var expr;
            for (var i = 0; i < this.filteringOperands.length; i++) {
                expr = this.filteringOperands[i];
                if (expr instanceof FilteringExpressionsTree) {
                    if (this.isFilteringExpressionsTreeForColumn(expr, fieldName)) {
                        return i;
                    }
                }
                else {
                    if (((/** @type {?} */ (expr))).fieldName === fieldName) {
                        return i;
                    }
                }
            }
            return -1;
        };
        /**
         * @protected
         * @param {?} expressionsTree
         * @param {?} fieldName
         * @return {?}
         */
        FilteringExpressionsTree.prototype.isFilteringExpressionsTreeForColumn = /**
         * @protected
         * @param {?} expressionsTree
         * @param {?} fieldName
         * @return {?}
         */
        function (expressionsTree, fieldName) {
            if (expressionsTree.fieldName === fieldName) {
                return true;
            }
            /** @type {?} */
            var expr;
            for (var i = 0; i < expressionsTree.filteringOperands.length; i++) {
                expr = expressionsTree.filteringOperands[i];
                if ((expr instanceof FilteringExpressionsTree)) {
                    return this.isFilteringExpressionsTreeForColumn(expr, fieldName);
                }
                else {
                    return ((/** @type {?} */ (expr))).fieldName === fieldName;
                }
            }
            return false;
        };
        return FilteringExpressionsTree;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    BaseFilteringStrategy = /** @class */ (function () {
        function BaseFilteringStrategy() {
        }
        /**
         * @param {?} rec
         * @param {?} expr
         * @return {?}
         */
        BaseFilteringStrategy.prototype.findMatchByExpression = /**
         * @param {?} rec
         * @param {?} expr
         * @return {?}
         */
        function (rec, expr) {
            /** @type {?} */
            var cond = expr.condition;
            /** @type {?} */
            var val = this.getFieldValue(rec, expr.fieldName);
            return cond.logic(val, expr.searchVal, expr.ignoreCase);
        };
        /**
         * @param {?} rec
         * @param {?} expressions
         * @return {?}
         */
        BaseFilteringStrategy.prototype.matchRecord = /**
         * @param {?} rec
         * @param {?} expressions
         * @return {?}
         */
        function (rec, expressions) {
            if (expressions) {
                if (expressions instanceof FilteringExpressionsTree) {
                    /** @type {?} */
                    var expressionsTree = (/** @type {?} */ (expressions));
                    /** @type {?} */
                    var operator = (/** @type {?} */ (expressionsTree.operator));
                    /** @type {?} */
                    var matchOperand = void 0;
                    /** @type {?} */
                    var operand = void 0;
                    if (expressionsTree.filteringOperands && expressionsTree.filteringOperands.length) {
                        for (var i = 0; i < expressionsTree.filteringOperands.length; i++) {
                            operand = expressionsTree.filteringOperands[i];
                            matchOperand = this.matchRecord(rec, operand);
                            // Return false if at least one operand does not match and the filtering logic is And
                            if (!matchOperand && operator === FilteringLogic.And) {
                                return false;
                            }
                            // Return true if at least one operand matches and the filtering logic is Or
                            if (matchOperand && operator === FilteringLogic.Or) {
                                return true;
                            }
                        }
                        return matchOperand;
                    }
                    return true;
                }
                else {
                    /** @type {?} */
                    var expression = (/** @type {?} */ (expressions));
                    return this.findMatchByExpression(rec, expression);
                }
            }
            return true;
        };
        return BaseFilteringStrategy;
    }());
    var FilteringStrategy = /** @class */ (function (_super) {
        __extends(FilteringStrategy, _super);
        function FilteringStrategy() {
            return _super.call(this) || this;
        }
        /**
         * @return {?}
         */
        FilteringStrategy.instance = /**
         * @return {?}
         */
        function () {
            return this._instace || (this._instace = new this());
        };
        /**
         * @template T
         * @param {?} data
         * @param {?} expressionsTree
         * @param {?=} advancedExpressionsTree
         * @return {?}
         */
        FilteringStrategy.prototype.filter = /**
         * @template T
         * @param {?} data
         * @param {?} expressionsTree
         * @param {?=} advancedExpressionsTree
         * @return {?}
         */
        function (data, expressionsTree, advancedExpressionsTree) {
            /** @type {?} */
            var i;
            /** @type {?} */
            var rec;
            /** @type {?} */
            var len = data.length;
            /** @type {?} */
            var res = [];
            if ((FilteringExpressionsTree.empty(expressionsTree) && FilteringExpressionsTree.empty(advancedExpressionsTree)) || !len) {
                return data;
            }
            for (i = 0; i < len; i++) {
                rec = data[i];
                if (this.matchRecord(rec, expressionsTree) && this.matchRecord(rec, advancedExpressionsTree)) {
                    res.push(rec);
                }
            }
            return res;
        };
        /**
         * @protected
         * @param {?} rec
         * @param {?} fieldName
         * @return {?}
         */
        FilteringStrategy.prototype.getFieldValue = /**
         * @protected
         * @param {?} rec
         * @param {?} fieldName
         * @return {?}
         */
        function (rec, fieldName) {
            return rec[fieldName];
        };
        FilteringStrategy._instace = null;
        return FilteringStrategy;
    }(BaseFilteringStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var TransactionType = {
        ADD: 'add',
        DELETE: 'delete',
        UPDATE: 'update',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var DataType = {
        String: 'string',
        Number: 'number',
        Boolean: 'boolean',
        Date: 'date',
    };
    /**
     * @hidden
     */
    var   /**
     * @hidden
     */
    DataUtil = /** @class */ (function () {
        function DataUtil() {
        }
        /**
         * @template T
         * @param {?} data
         * @param {?} expressions
         * @param {?=} sorting
         * @return {?}
         */
        DataUtil.sort = /**
         * @template T
         * @param {?} data
         * @param {?} expressions
         * @param {?=} sorting
         * @return {?}
         */
        function (data, expressions, sorting) {
            if (sorting === void 0) { sorting = new IgxSorting(); }
            return sorting.sort(data, expressions);
        };
        /**
         * @param {?} hierarchicalData
         * @param {?} expressions
         * @param {?=} parent
         * @return {?}
         */
        DataUtil.treeGridSort = /**
         * @param {?} hierarchicalData
         * @param {?} expressions
         * @param {?=} parent
         * @return {?}
         */
        function (hierarchicalData, expressions, parent) {
            /** @type {?} */
            var res = [];
            hierarchicalData.forEach(function (hr) {
                /** @type {?} */
                var rec = DataUtil.cloneTreeGridRecord(hr);
                rec.parent = parent;
                if (rec.children) {
                    rec.children = DataUtil.treeGridSort(rec.children, expressions, rec);
                }
                res.push(rec);
            });
            res = DataUtil.sort(res, expressions, new IgxDataRecordSorting());
            return res;
        };
        /**
         * @param {?} hierarchicalRecord
         * @return {?}
         */
        DataUtil.cloneTreeGridRecord = /**
         * @param {?} hierarchicalRecord
         * @return {?}
         */
        function (hierarchicalRecord) {
            /** @type {?} */
            var rec = {
                rowID: hierarchicalRecord.rowID,
                data: hierarchicalRecord.data,
                children: hierarchicalRecord.children,
                isFilteredOutParent: hierarchicalRecord.isFilteredOutParent,
                level: hierarchicalRecord.level,
                expanded: hierarchicalRecord.expanded
            };
            return rec;
        };
        /**
         * @template T
         * @param {?} data
         * @param {?} state
         * @param {?=} grid
         * @param {?=} groupsRecords
         * @param {?=} fullResult
         * @return {?}
         */
        DataUtil.group = /**
         * @template T
         * @param {?} data
         * @param {?} state
         * @param {?=} grid
         * @param {?=} groupsRecords
         * @param {?=} fullResult
         * @return {?}
         */
        function (data, state, grid, groupsRecords, fullResult) {
            if (grid === void 0) { grid = null; }
            if (groupsRecords === void 0) { groupsRecords = []; }
            if (fullResult === void 0) { fullResult = { data: [], metadata: [] }; }
            /** @type {?} */
            var grouping = new IgxGrouping();
            groupsRecords.splice(0, groupsRecords.length);
            return grouping.groupBy(data, state, grid, groupsRecords, fullResult);
        };
        /**
         * @template T
         * @param {?} data
         * @param {?} state
         * @return {?}
         */
        DataUtil.page = /**
         * @template T
         * @param {?} data
         * @param {?} state
         * @return {?}
         */
        function (data, state) {
            if (!state) {
                return data;
            }
            /** @type {?} */
            var len = data.length;
            /** @type {?} */
            var index = state.index;
            /** @type {?} */
            var res = [];
            /** @type {?} */
            var recordsPerPage = state.recordsPerPage;
            state.metadata = {
                countPages: 0,
                countRecords: data.length,
                error: PagingError.None
            };
            if (index < 0 || isNaN(index)) {
                state.metadata.error = PagingError.IncorrectPageIndex;
                return res;
            }
            if (recordsPerPage <= 0 || isNaN(recordsPerPage)) {
                state.metadata.error = PagingError.IncorrectRecordsPerPage;
                return res;
            }
            state.metadata.countPages = Math.ceil(len / recordsPerPage);
            if (!len) {
                return data;
            }
            if (index >= state.metadata.countPages) {
                state.metadata.error = PagingError.IncorrectPageIndex;
                return res;
            }
            return data.slice(index * recordsPerPage, (index + 1) * recordsPerPage);
        };
        /**
         * @template T
         * @param {?} data
         * @param {?} state
         * @return {?}
         */
        DataUtil.filter = /**
         * @template T
         * @param {?} data
         * @param {?} state
         * @return {?}
         */
        function (data, state) {
            if (!state.strategy) {
                state.strategy = new FilteringStrategy();
            }
            return state.strategy.filter(data, state.expressionsTree, state.advancedExpressionsTree);
        };
        /**
         * @param {?} state
         * @param {?} length
         * @return {?}
         */
        DataUtil.correctPagingState = /**
         * @param {?} state
         * @param {?} length
         * @return {?}
         */
        function (state, length) {
            /** @type {?} */
            var maxPage = Math.ceil(length / state.recordsPerPage) - 1;
            if (!isNaN(maxPage) && state.index > maxPage) {
                state.index = maxPage;
            }
        };
        /**
         * @param {?} gRow
         * @return {?}
         */
        DataUtil.getHierarchy = /**
         * @param {?} gRow
         * @return {?}
         */
        function (gRow) {
            return getHierarchy(gRow);
        };
        /**
         * @param {?} h1
         * @param {?} h2
         * @return {?}
         */
        DataUtil.isHierarchyMatch = /**
         * @param {?} h1
         * @param {?} h2
         * @return {?}
         */
        function (h1, h2) {
            return isHierarchyMatch(h1, h2);
        };
        /**
         * Merges all changes from provided transactions into provided data collection
         * @param data Collection to merge
         * @param transactions Transactions to merge into data
         * @param primaryKey Primary key of the collection, if any
         * @param deleteRows Should delete rows with DELETE transaction type from data
         * @returns Provided data collections updated with all provided transactions
         */
        /**
         * Merges all changes from provided transactions into provided data collection
         * @template T
         * @param {?} data Collection to merge
         * @param {?} transactions Transactions to merge into data
         * @param {?=} primaryKey Primary key of the collection, if any
         * @param {?=} deleteRows Should delete rows with DELETE transaction type from data
         * @return {?} Provided data collections updated with all provided transactions
         */
        DataUtil.mergeTransactions = /**
         * Merges all changes from provided transactions into provided data collection
         * @template T
         * @param {?} data Collection to merge
         * @param {?} transactions Transactions to merge into data
         * @param {?=} primaryKey Primary key of the collection, if any
         * @param {?=} deleteRows Should delete rows with DELETE transaction type from data
         * @return {?} Provided data collections updated with all provided transactions
         */
        function (data, transactions, primaryKey, deleteRows) {
            if (deleteRows === void 0) { deleteRows = false; }
            data.forEach(function (item, index) {
                /** @type {?} */
                var rowId = primaryKey ? item[primaryKey] : item;
                /** @type {?} */
                var transaction = transactions.find(function (t) { return t.id === rowId; });
                if (transaction && transaction.type === TransactionType.UPDATE) {
                    data[index] = transaction.newValue;
                }
            });
            if (deleteRows) {
                transactions
                    .filter(function (t) { return t.type === TransactionType.DELETE; })
                    .forEach(function (t) {
                    /** @type {?} */
                    var index = primaryKey ? data.findIndex(function (d) { return d[primaryKey] === t.id; }) : data.findIndex(function (d) { return d === t.id; });
                    if (0 <= index && index < data.length) {
                        data.splice(index, 1);
                    }
                });
            }
            data.push.apply(data, __spread(transactions
                .filter(function (t) { return t.type === TransactionType.ADD; })
                .map(function (t) { return t.newValue; })));
            return data;
        };
        /**
         * Merges all changes from provided transactions into provided hierarchical data collection
         * @param data Collection to merge
         * @param transactions Transactions to merge into data
         * @param childDataKey Data key of child collections
         * @param primaryKey Primary key of the collection, if any
         * @param deleteRows Should delete rows with DELETE transaction type from data
         * @returns Provided data collections updated with all provided transactions
         */
        /**
         * Merges all changes from provided transactions into provided hierarchical data collection
         * @param {?} data Collection to merge
         * @param {?} transactions Transactions to merge into data
         * @param {?} childDataKey Data key of child collections
         * @param {?=} primaryKey Primary key of the collection, if any
         * @param {?=} deleteRows Should delete rows with DELETE transaction type from data
         * @return {?} Provided data collections updated with all provided transactions
         */
        DataUtil.mergeHierarchicalTransactions = /**
         * Merges all changes from provided transactions into provided hierarchical data collection
         * @param {?} data Collection to merge
         * @param {?} transactions Transactions to merge into data
         * @param {?} childDataKey Data key of child collections
         * @param {?=} primaryKey Primary key of the collection, if any
         * @param {?=} deleteRows Should delete rows with DELETE transaction type from data
         * @return {?} Provided data collections updated with all provided transactions
         */
        function (data, transactions, childDataKey, primaryKey, deleteRows) {
            var e_1, _a;
            if (deleteRows === void 0) { deleteRows = false; }
            var _loop_1 = function (transaction) {
                if (transaction.path) {
                    /** @type {?} */
                    var parent_1 = this_1.findParentFromPath(data, primaryKey, childDataKey, transaction.path);
                    /** @type {?} */
                    var collection = parent_1 ? parent_1[childDataKey] : data;
                    switch (transaction.type) {
                        case TransactionType.ADD:
                            //  if there is no parent this is ADD row at root level
                            if (parent_1 && !parent_1[childDataKey]) {
                                parent_1[childDataKey] = collection = [];
                            }
                            collection.push(transaction.newValue);
                            break;
                        case TransactionType.UPDATE:
                            /** @type {?} */
                            var updateIndex = collection.findIndex(function (x) { return x[primaryKey] === transaction.id; });
                            if (updateIndex !== -1) {
                                collection[updateIndex] = mergeObjects(cloneValue(collection[updateIndex]), transaction.newValue);
                            }
                            break;
                        case TransactionType.DELETE:
                            if (deleteRows) {
                                /** @type {?} */
                                var deleteIndex = collection.findIndex(function (r) { return r[primaryKey] === transaction.id; });
                                if (deleteIndex !== -1) {
                                    collection.splice(deleteIndex, 1);
                                }
                            }
                            break;
                    }
                }
                else {
                    //  if there is no path this is ADD row in root. Push the newValue to data
                    data.push(transaction.newValue);
                }
            };
            var this_1 = this;
            try {
                for (var transactions_1 = __values(transactions), transactions_1_1 = transactions_1.next(); !transactions_1_1.done; transactions_1_1 = transactions_1.next()) {
                    var transaction = transactions_1_1.value;
                    _loop_1(transaction);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (transactions_1_1 && !transactions_1_1.done && (_a = transactions_1.return)) _a.call(transactions_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return data;
        };
        /**
         * @param {?} dataType
         * @param {?} value
         * @return {?}
         */
        DataUtil.parseValue = /**
         * @param {?} dataType
         * @param {?} value
         * @return {?}
         */
        function (dataType, value) {
            if (dataType === DataType.Number) {
                value = parseFloat(value);
            }
            return value;
        };
        /**
         * @private
         * @param {?} data
         * @param {?} primaryKey
         * @param {?} childDataKey
         * @param {?} path
         * @return {?}
         */
        DataUtil.findParentFromPath = /**
         * @private
         * @param {?} data
         * @param {?} primaryKey
         * @param {?} childDataKey
         * @param {?} path
         * @return {?}
         */
        function (data, primaryKey, childDataKey, path) {
            var e_2, _a;
            /** @type {?} */
            var collection = data;
            /** @type {?} */
            var result;
            var _loop_2 = function (id) {
                result = collection && collection.find(function (x) { return x[primaryKey] === id; });
                if (!result) {
                    return "break";
                }
                collection = result[childDataKey];
            };
            try {
                for (var path_1 = __values(path), path_1_1 = path_1.next(); !path_1_1.done; path_1_1 = path_1.next()) {
                    var id = path_1_1.value;
                    var state_1 = _loop_2(id);
                    if (state_1 === "break")
                        break;
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (path_1_1 && !path_1_1.done && (_a = path_1.return)) _a.call(path_1);
                }
                finally { if (e_2) throw e_2.error; }
            }
            return result;
        };
        return DataUtil;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ExportUtilities = /** @class */ (function () {
        function ExportUtilities() {
        }
        /**
         * @param {?} data
         * @return {?}
         */
        ExportUtilities.getKeysFromData = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            /** @type {?} */
            var length = data.length;
            if (length === 0) {
                return [];
            }
            /** @type {?} */
            var dataEntry = data[0];
            /** @type {?} */
            var dataEntryMiddle = data[Math.floor(length / 2)];
            /** @type {?} */
            var dataEntryLast = data[length - 1];
            /** @type {?} */
            var keys1 = Object.keys(dataEntry);
            /** @type {?} */
            var keys2 = Object.keys(dataEntryMiddle);
            /** @type {?} */
            var keys3 = Object.keys(dataEntryLast);
            /** @type {?} */
            var keys = new Set(keys1.concat(keys2).concat(keys3));
            return !ExportUtilities.isSpecialData(data) ? Array.from(keys) : ['Column 1'];
        };
        /**
         * @param {?} blob
         * @param {?} fileName
         * @return {?}
         */
        ExportUtilities.saveBlobToFile = /**
         * @param {?} blob
         * @param {?} fileName
         * @return {?}
         */
        function (blob, fileName) {
            /** @type {?} */
            var a = document.createElement('a');
            if (window.navigator && window.navigator.msSaveOrOpenBlob) {
                window.navigator.msSaveOrOpenBlob(blob, fileName);
            }
            else {
                /** @type {?} */
                var url = window.URL.createObjectURL(blob);
                a.download = fileName;
                a.href = url;
                document.body.appendChild(a);
                a.click();
                document.body.removeChild(a);
                window.URL.revokeObjectURL(url);
            }
        };
        /**
         * @param {?} s
         * @return {?}
         */
        ExportUtilities.stringToArrayBuffer = /**
         * @param {?} s
         * @return {?}
         */
        function (s) {
            /** @type {?} */
            var buf = new ArrayBuffer(s.length);
            /** @type {?} */
            var view = new Uint8Array(buf);
            for (var i = 0; i !== s.length; ++i) {
                /* tslint:disable no-bitwise */
                view[i] = s.charCodeAt(i) & 0xFF;
                /* tslint:enable no-bitwise */
            }
            return buf;
        };
        /**
         * @param {?} data
         * @return {?}
         */
        ExportUtilities.isSpecialData = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            /** @type {?} */
            var dataEntry = data[0];
            return (typeof dataEntry === 'string' ||
                typeof dataEntry === 'number' ||
                dataEntry instanceof Date);
        };
        /**
         * @param {?} value
         * @return {?}
         */
        ExportUtilities.hasValue = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value !== undefined && value !== null;
        };
        /**
         * @param {?} value
         * @return {?}
         */
        ExportUtilities.isNullOrWhitespaces = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value === undefined || value === null || !value.trim();
        };
        return ExportUtilities;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @template T
     */
    var GridBaseAPIService = /** @class */ (function () {
        function GridBaseAPIService() {
            this.editCellState = new Map();
            this.editRowState = new Map();
            this.destroyMap = new Map();
        }
        /**
         * @param {?} name
         * @return {?}
         */
        GridBaseAPIService.prototype.get_column_by_name = /**
         * @param {?} name
         * @return {?}
         */
        function (name) {
            return this.grid.columnList.find(function (col) { return col.field === name; });
        };
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.get_summary_data = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var data = grid.filteredData;
            if (!data) {
                if (grid.transactions.enabled) {
                    data = DataUtil.mergeTransactions(cloneArray(grid.data), grid.transactions.getAggregatedChanges(true), grid.primaryKey);
                    /** @type {?} */
                    var deletedRows = grid.transactions.getTransactionLog().filter(function (t) { return t.type === TransactionType.DELETE; }).map(function (t) { return t.id; });
                    deletedRows.forEach(function (rowID) {
                        /** @type {?} */
                        var tempData = grid.primaryKey ? data.map(function (rec) { return rec[grid.primaryKey]; }) : data;
                        /** @type {?} */
                        var index = tempData.indexOf(rowID);
                        if (index !== -1) {
                            data.splice(index, 1);
                        }
                    });
                }
                else {
                    data = grid.data;
                }
            }
            return data;
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} rowID
         * @return {?}
         */
        GridBaseAPIService.prototype.getRowData = /**
         * @hidden
         * \@internal
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var data = this.get_all_data(this.grid.transactions.enabled);
            /** @type {?} */
            var index = this.get_row_index_in_data(rowID);
            return data[index];
        };
        // TODO: Refactor
        // TODO: Refactor
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.escape_editMode = 
        // TODO: Refactor
        /**
         * @return {?}
         */
        function () {
            this.grid.crudService.end();
        };
        // TODO: Refactor
        // TODO: Refactor
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.get_cell_inEditMode = 
        // TODO: Refactor
        /**
         * @return {?}
         */
        function () {
            return this.grid.crudService.cell;
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        GridBaseAPIService.prototype.get_row_index_in_data = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var grid = (/** @type {?} */ (this.grid));
            if (!grid) {
                return -1;
            }
            /** @type {?} */
            var data = this.get_all_data(grid.transactions.enabled);
            return grid.primaryKey ? data.findIndex(function (record) { return record[grid.primaryKey] === rowID; }) : data.indexOf(rowID);
        };
        /**
         * @param {?} rowSelector
         * @return {?}
         */
        GridBaseAPIService.prototype.get_row_by_key = /**
         * @param {?} rowSelector
         * @return {?}
         */
        function (rowSelector) {
            /** @type {?} */
            var primaryKey = this.grid.primaryKey;
            if (primaryKey !== undefined && primaryKey !== null) {
                return this.grid.dataRowList.find(function (row) { return row.rowData[primaryKey] === rowSelector; });
            }
            else {
                return this.grid.dataRowList.find(function (row) { return row.rowData === rowSelector; });
            }
        };
        /**
         * @param {?} rowIndex
         * @return {?}
         */
        GridBaseAPIService.prototype.get_row_by_index = /**
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowIndex) {
            return this.grid.rowList.find(function (row) { return row.index === rowIndex; });
        };
        /**
         * @param {?} rowSelector
         * @param {?} field
         * @return {?}
         */
        GridBaseAPIService.prototype.get_cell_by_key = /**
         * @param {?} rowSelector
         * @param {?} field
         * @return {?}
         */
        function (rowSelector, field) {
            /** @type {?} */
            var row = this.get_row_by_key(rowSelector);
            if (row && row.cells) {
                return row.cells.find(function (cell) { return cell.column.field === field; });
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        GridBaseAPIService.prototype.get_cell_by_index = /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        function (rowIndex, columnIndex) {
            /** @type {?} */
            var row = this.get_row_by_index(rowIndex);
            if (row && row.cells) {
                return row.cells.find(function (cell) { return cell.columnIndex === columnIndex; });
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        GridBaseAPIService.prototype.get_cell_by_visible_index = /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        function (rowIndex, columnIndex) {
            /** @type {?} */
            var row = this.get_row_by_index(rowIndex);
            if (row && row.cells) {
                return row.cells.find(function (cell) { return cell.visibleColumnIndex === columnIndex; });
            }
        };
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.submit_value = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var cell = this.grid.crudService.cell;
            if (cell) {
                /** @type {?} */
                var args = this.update_cell(cell, cell.editValue);
                if (args.cancel) {
                    return;
                }
                this.escape_editMode();
            }
        };
        /**
         * @param {?} cell
         * @param {?} value
         * @return {?}
         */
        GridBaseAPIService.prototype.update_cell = /**
         * @param {?} cell
         * @param {?} value
         * @return {?}
         */
        function (cell, value) {
            var _a;
            /** @type {?} */
            var data = this.get_all_data(this.grid.transactions.enabled);
            /** @type {?} */
            var index = this.get_row_index_in_data(cell.id.rowID);
            cell.editValue = value;
            /** @type {?} */
            var args = cell.createEditEventArgs();
            this.grid.onCellEdit.emit(args);
            if (args.cancel) {
                return args;
            }
            // Cast to number after emit
            // TODO: Clean up this
            args.newValue = cell.castToNumber(args.newValue);
            if (isEqual(args.oldValue, args.newValue)) {
                return args;
            }
            this.grid.summaryService.clearSummaryCache(args);
            this.updateData(this.grid, cell.id.rowID, data[index], cell.rowData, (_a = {}, _a[cell.column.field] = args.newValue, _a));
            if (this.grid.primaryKey === cell.column.field) {
                if (this.grid.selectionService.isRowSelected(cell.id.rowID)) {
                    this.grid.selectionService.deselectRow(cell.id.rowID);
                    this.grid.selectionService.selectRowById(args.newValue);
                }
                if (this.grid.hasSummarizedColumns) {
                    this.grid.summaryService.removeSummaries(cell.id.rowID);
                }
            }
            if (!this.grid.rowEditable || !this.grid.crudService.row ||
                this.grid.crudService.row.id !== cell.id.rowID || !this.grid.transactions.enabled) {
                this.grid.summaryService.clearSummaryCache(args);
                ((/** @type {?} */ (this.grid)))._pipeTrigger++;
            }
            return args;
        };
        /**
         * Updates related row of provided grid's data source with provided new row value
         * @param grid Grid to update data for
         * @param rowID ID of the row to update
         * @param rowValueInDataSource Initial value of the row as it is in data source
         * @param rowCurrentValue Current value of the row as it is with applied previous transactions
         * @param rowNewValue New value of the row
         */
        /**
         * Updates related row of provided grid's data source with provided new row value
         * @protected
         * @param {?} grid Grid to update data for
         * @param {?} rowID ID of the row to update
         * @param {?} rowValueInDataSource Initial value of the row as it is in data source
         * @param {?} rowCurrentValue Current value of the row as it is with applied previous transactions
         * @param {?} rowNewValue New value of the row
         * @return {?}
         */
        GridBaseAPIService.prototype.updateData = /**
         * Updates related row of provided grid's data source with provided new row value
         * @protected
         * @param {?} grid Grid to update data for
         * @param {?} rowID ID of the row to update
         * @param {?} rowValueInDataSource Initial value of the row as it is in data source
         * @param {?} rowCurrentValue Current value of the row as it is with applied previous transactions
         * @param {?} rowNewValue New value of the row
         * @return {?}
         */
        function (grid, rowID, rowValueInDataSource, rowCurrentValue, rowNewValue) {
            if (grid.transactions.enabled) {
                /** @type {?} */
                var transaction = {
                    id: rowID,
                    type: TransactionType.UPDATE,
                    newValue: rowNewValue
                };
                grid.transactions.add(transaction, rowCurrentValue);
            }
            else {
                mergeObjects(rowValueInDataSource, rowNewValue);
            }
        };
        /**
         * @param {?} row
         * @param {?=} value
         * @return {?}
         */
        GridBaseAPIService.prototype._update_row = /**
         * @param {?} row
         * @param {?=} value
         * @return {?}
         */
        function (row, value) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var rowInEditMode = grid.crudService.row;
            row.newData = value ? value : grid.transactions.getAggregatedValue(row.id, true);
            if (rowInEditMode && row.id === rowInEditMode.id) {
                row.data = __assign({}, row.data, rowInEditMode.transactionState);
                // TODO: Workaround for updating a row in edit mode through the API
            }
            else if (this.grid.transactions.enabled) {
                /** @type {?} */
                var state = grid.transactions.getState(row.id);
                row.data = state ? Object.assign({}, row.data, state.value) : row.data;
            }
        };
        /**
         * @param {?} row
         * @param {?} value
         * @return {?}
         */
        GridBaseAPIService.prototype.update_row = /**
         * @param {?} row
         * @param {?} value
         * @return {?}
         */
        function (row, value) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var selected = grid.selectionService.isRowSelected(row.id);
            /** @type {?} */
            var rowInEditMode = grid.crudService.row;
            /** @type {?} */
            var data = this.get_all_data(grid.transactions.enabled);
            /** @type {?} */
            var index = this.get_row_index_in_data(row.id);
            /** @type {?} */
            var hasSummarized = grid.hasSummarizedColumns;
            this._update_row(row, value);
            /** @type {?} */
            var args = row.createEditEventArgs();
            // If no valid row is found
            if (index === -1) {
                return args;
            }
            grid.onRowEdit.emit(args);
            if (args.cancel) {
                return args;
            }
            if (rowInEditMode) {
                /** @type {?} */
                var hasChanges = grid.transactions.getState(args.rowID, true);
                grid.transactions.endPending(false);
                if (!hasChanges) {
                    return args;
                }
            }
            if (!args.newValue) {
                return args;
            }
            if (hasSummarized) {
                grid.summaryService.removeSummaries(args.rowID);
            }
            this.updateData(grid, row.id, data[index], args.oldValue, args.newValue);
            /** @type {?} */
            var newId = grid.primaryKey ? args.newValue[grid.primaryKey] : args.newValue;
            if (selected) {
                grid.selectionService.deselectRow(row.id);
                grid.selectionService.selectRowById(newId);
            }
            if (hasSummarized) {
                grid.summaryService.removeSummaries(newId);
            }
            ((/** @type {?} */ (grid)))._pipeTrigger++;
            return args;
        };
        /**
         * @protected
         * @param {?} value
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        GridBaseAPIService.prototype.update_row_in_array = /**
         * @protected
         * @param {?} value
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        function (value, rowID, index) {
            /** @type {?} */
            var grid = this.grid;
            grid.data[index] = value;
        };
        /**
         * @param {?} expression
         * @return {?}
         */
        GridBaseAPIService.prototype.sort = /**
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            if (expression.dir === SortingDirection.None) {
                this.remove_grouping_expression(expression.fieldName);
            }
            /** @type {?} */
            var sortingState = cloneArray(this.grid.sortingExpressions);
            this.prepare_sorting_expression([sortingState], expression);
            this.grid.sortingExpressions = sortingState;
        };
        /**
         * @param {?} expressions
         * @return {?}
         */
        GridBaseAPIService.prototype.sort_multiple = /**
         * @param {?} expressions
         * @return {?}
         */
        function (expressions) {
            var e_1, _a;
            /** @type {?} */
            var sortingState = cloneArray(this.grid.sortingExpressions);
            try {
                for (var expressions_1 = __values(expressions), expressions_1_1 = expressions_1.next(); !expressions_1_1.done; expressions_1_1 = expressions_1.next()) {
                    var each = expressions_1_1.value;
                    if (each.dir === SortingDirection.None) {
                        this.remove_grouping_expression(each.fieldName);
                    }
                    this.prepare_sorting_expression([sortingState], each);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (expressions_1_1 && !expressions_1_1.done && (_a = expressions_1.return)) _a.call(expressions_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            this.grid.sortingExpressions = sortingState;
        };
        /**
         * @param {?} fieldName
         * @param {?} term
         * @param {?} conditionOrExpressionsTree
         * @param {?} ignoreCase
         * @return {?}
         */
        GridBaseAPIService.prototype.filter = /**
         * @param {?} fieldName
         * @param {?} term
         * @param {?} conditionOrExpressionsTree
         * @param {?} ignoreCase
         * @return {?}
         */
        function (fieldName, term, conditionOrExpressionsTree, ignoreCase) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var filteringTree = grid.filteringExpressionsTree;
            grid.endEdit(false);
            if (grid.paging) {
                grid.page = 0;
            }
            /** @type {?} */
            var fieldFilterIndex = filteringTree.findIndex(fieldName);
            if (fieldFilterIndex > -1) {
                filteringTree.filteringOperands.splice(fieldFilterIndex, 1);
            }
            this.prepare_filtering_expression(filteringTree, fieldName, term, conditionOrExpressionsTree, ignoreCase, fieldFilterIndex);
            grid.filteringExpressionsTree = filteringTree;
        };
        /**
         * @param {?} term
         * @param {?} condition
         * @param {?} ignoreCase
         * @return {?}
         */
        GridBaseAPIService.prototype.filter_global = /**
         * @param {?} term
         * @param {?} condition
         * @param {?} ignoreCase
         * @return {?}
         */
        function (term, condition, ignoreCase) {
            var e_2, _a;
            if (!condition) {
                return;
            }
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var filteringTree = grid.filteringExpressionsTree;
            grid.endEdit(false);
            if (grid.paging) {
                grid.page = 0;
            }
            filteringTree.filteringOperands = [];
            try {
                for (var _b = __values(grid.columns), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var column = _c.value;
                    this.prepare_filtering_expression(filteringTree, column.field, term, condition, ignoreCase || column.filteringIgnoreCase);
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
            grid.filteringExpressionsTree = filteringTree;
        };
        /**
         * @param {?} fieldName
         * @return {?}
         */
        GridBaseAPIService.prototype.clear_filter = /**
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            /** @type {?} */
            var grid = this.grid;
            grid.endEdit(false);
            /** @type {?} */
            var filteringState = grid.filteringExpressionsTree;
            /** @type {?} */
            var index = filteringState.findIndex(fieldName);
            if (index > -1) {
                filteringState.filteringOperands.splice(index, 1);
            }
            else if (!fieldName) {
                filteringState.filteringOperands = [];
            }
            grid.filteringExpressionsTree = filteringState;
        };
        /**
         * @param {?} fieldName
         * @return {?}
         */
        GridBaseAPIService.prototype.clear_sort = /**
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            /** @type {?} */
            var sortingState = this.grid.sortingExpressions;
            /** @type {?} */
            var index = sortingState.findIndex(function (expr) { return expr.fieldName === fieldName; });
            if (index > -1) {
                sortingState.splice(index, 1);
                this.grid.sortingExpressions = sortingState;
            }
        };
        /**
         * @protected
         * @param {?} filteringState
         * @param {?} fieldName
         * @param {?} searchVal
         * @param {?} conditionOrExpressionsTree
         * @param {?} ignoreCase
         * @param {?=} insertAtIndex
         * @return {?}
         */
        GridBaseAPIService.prototype.prepare_filtering_expression = /**
         * @protected
         * @param {?} filteringState
         * @param {?} fieldName
         * @param {?} searchVal
         * @param {?} conditionOrExpressionsTree
         * @param {?} ignoreCase
         * @param {?=} insertAtIndex
         * @return {?}
         */
        function (filteringState, fieldName, searchVal, conditionOrExpressionsTree, ignoreCase, insertAtIndex) {
            if (insertAtIndex === void 0) { insertAtIndex = -1; }
            /** @type {?} */
            var newExpressionsTree;
            /** @type {?} */
            var oldExpressionsTreeIndex = filteringState.findIndex(fieldName);
            /** @type {?} */
            var expressionsTree = conditionOrExpressionsTree instanceof FilteringExpressionsTree ?
                (/** @type {?} */ (conditionOrExpressionsTree)) : null;
            /** @type {?} */
            var condition = conditionOrExpressionsTree instanceof FilteringExpressionsTree ?
                null : (/** @type {?} */ (conditionOrExpressionsTree));
            /** @type {?} */
            var newExpression = { fieldName: fieldName, searchVal: searchVal, condition: condition, ignoreCase: ignoreCase };
            if (oldExpressionsTreeIndex === -1) {
                // no expressions tree found for this field
                if (expressionsTree) {
                    if (insertAtIndex > -1) {
                        filteringState.filteringOperands.splice(insertAtIndex, 0, expressionsTree);
                    }
                    else {
                        filteringState.filteringOperands.push(expressionsTree);
                    }
                }
                else if (condition) {
                    // create expressions tree for this field and add the new expression to it
                    newExpressionsTree = new FilteringExpressionsTree(filteringState.operator, fieldName);
                    newExpressionsTree.filteringOperands.push(newExpression);
                    filteringState.filteringOperands.push(newExpressionsTree);
                }
            }
        };
        /**
         * @protected
         * @param {?} stateCollections
         * @param {?} expression
         * @return {?}
         */
        GridBaseAPIService.prototype.prepare_sorting_expression = /**
         * @protected
         * @param {?} stateCollections
         * @param {?} expression
         * @return {?}
         */
        function (stateCollections, expression) {
            if (expression.dir === SortingDirection.None) {
                stateCollections.forEach(function (state) {
                    state.splice(state.findIndex(function (expr) { return expr.fieldName === expression.fieldName; }), 1);
                });
                return;
            }
            /**
             * We need to make sure the states in each collection with same fields point to the same object reference.
             * If the different state collections provided have different sizes we need to get the largest one.
             * That way we can get the state reference from the largest one that has the same fieldName as the expression to prepare.
             * @type {?}
             */
            var maxCollection = stateCollections[0];
            for (var i = 1; i < stateCollections.length; i++) {
                if (maxCollection.length < stateCollections[i].length) {
                    maxCollection = stateCollections[i];
                }
            }
            /** @type {?} */
            var maxExpr = maxCollection.find(function (expr) { return expr.fieldName === expression.fieldName; });
            stateCollections.forEach(function (collection) {
                /** @type {?} */
                var myExpr = collection.find(function (expr) { return expr.fieldName === expression.fieldName; });
                if (!myExpr && !maxExpr) {
                    // Expression with this fieldName is missing from the current and the max collection.
                    collection.push(expression);
                }
                else if (!myExpr && maxExpr) {
                    // Expression with this fieldName is missing from the current and but the max collection has.
                    collection.push(maxExpr);
                    Object.assign(maxExpr, expression);
                }
                else {
                    // The current collection has the expression so just update it.
                    Object.assign(myExpr, expression);
                }
            });
        };
        /**
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        GridBaseAPIService.prototype.remove_grouping_expression = /**
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
        };
        /**
         * @param {?=} name
         * @return {?}
         */
        GridBaseAPIService.prototype.clear_groupby = /**
         * @param {?=} name
         * @return {?}
         */
        function (name) {
        };
        /**
         * @param {?} column
         * @return {?}
         */
        GridBaseAPIService.prototype.should_apply_number_style = /**
         * @param {?} column
         * @return {?}
         */
        function (column) {
            return column.dataType === DataType.Number;
        };
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.get_data = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var data = grid.data ? grid.data : [];
            return data;
        };
        /**
         * @param {?=} includeTransactions
         * @return {?}
         */
        GridBaseAPIService.prototype.get_all_data = /**
         * @param {?=} includeTransactions
         * @return {?}
         */
        function (includeTransactions) {
            if (includeTransactions === void 0) { includeTransactions = false; }
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var data = grid.data ? grid.data : [];
            data = includeTransactions ? grid.dataWithAddedInTransactionRows : data;
            return data;
        };
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.get_filtered_data = /**
         * @return {?}
         */
        function () {
            return this.grid.filteredData;
        };
        /**
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        GridBaseAPIService.prototype.getSortStrategyPerColumn = /**
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            return this.get_column_by_name(fieldName) ?
                this.get_column_by_name(fieldName).sortStrategy : undefined;
        };
        /**
         * @param {?} rowData
         * @return {?}
         */
        GridBaseAPIService.prototype.addRowToData = /**
         * @param {?} rowData
         * @return {?}
         */
        function (rowData) {
            // Add row goes to transactions and if rowEditable is properly implemented, added rows will go to pending transactions
            // If there is a row in edit - > commit and close
            /** @type {?} */
            var grid = this.grid;
            if (grid.transactions.enabled) {
                /** @type {?} */
                var transactionId = grid.primaryKey ? rowData[grid.primaryKey] : rowData;
                /** @type {?} */
                var transaction = { id: transactionId, type: TransactionType.ADD, newValue: rowData };
                grid.transactions.add(transaction);
            }
            else {
                grid.data.push(rowData);
            }
        };
        /**
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        GridBaseAPIService.prototype.deleteRowFromData = /**
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        function (rowID, index) {
            //  if there is a row (index !== 0) delete it
            //  if there is a row in ADD or UPDATE state change it's state to DELETE
            /** @type {?} */
            var grid = this.grid;
            if (index !== -1) {
                if (grid.transactions.enabled) {
                    /** @type {?} */
                    var transaction = { id: rowID, type: TransactionType.DELETE, newValue: null };
                    grid.transactions.add(transaction, grid.data[index]);
                }
                else {
                    grid.data.splice(index, 1);
                }
            }
            else {
                /** @type {?} */
                var state = grid.transactions.getState(rowID);
                grid.transactions.add({ id: rowID, type: TransactionType.DELETE, newValue: null }, state && state.recordRef);
            }
        };
        /**
         * @param {?} rowId
         * @return {?}
         */
        GridBaseAPIService.prototype.deleteRowById = /**
         * @param {?} rowId
         * @return {?}
         */
        function (rowId) {
            /** @type {?} */
            var index;
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var data = this.get_all_data();
            if (grid.primaryKey) {
                index = data.map(function (record) { return record[grid.primaryKey]; }).indexOf(rowId);
            }
            else {
                index = data.indexOf(rowId);
            }
            /** @type {?} */
            var state = grid.transactions.getState(rowId);
            /** @type {?} */
            var hasRowInNonDeletedState = state && state.type !== TransactionType.DELETE;
            //  if there is a row (index !== -1) and the we have cell in edit mode on same row exit edit mode
            //  if there is no row (index === -1), but there is a row in ADD or UPDATE state do as above
            //  Otherwise just exit - there is nothing to delete
            if (index !== -1 || hasRowInNonDeletedState) {
                // Always exit edit when row is deleted
                grid.endEdit(true);
            }
            else {
                return;
            }
            //  TODO: should we emit this when cascadeOnDelete is true for each row?!?!
            grid.onRowDeleted.emit({ data: data[index] });
            this.deleteRowFromData(rowId, index);
            grid.selectionService.isRowSelected(rowId) ? grid.selectionService.deselectRow(rowId) : grid.selectionService.clearHeaderCBState();
            ((/** @type {?} */ (grid)))._pipeTrigger++;
            grid.notifyChanges();
            // Data needs to be recalculated if transactions are in place
            // If no transactions, `data` will be a reference to the grid getter, otherwise it will be stale
            /** @type {?} */
            var dataAfterDelete = grid.transactions.enabled ? grid.dataWithAddedInTransactionRows : data;
            grid.refreshSearch();
            if (dataAfterDelete.length % grid.perPage === 0 && dataAfterDelete.length / grid.perPage - 1 < grid.page && grid.page !== 0) {
                grid.page--;
            }
        };
        /**
         * @param {?} rowData
         * @return {?}
         */
        GridBaseAPIService.prototype.get_row_id = /**
         * @param {?} rowData
         * @return {?}
         */
        function (rowData) {
            return this.grid.primaryKey ? rowData[this.grid.primaryKey] : rowData;
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        GridBaseAPIService.prototype.row_deleted_transaction = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var grid = this.grid;
            if (!grid) {
                return false;
            }
            if (!grid.transactions.enabled) {
                return false;
            }
            /** @type {?} */
            var state = grid.transactions.getState(rowID);
            if (state) {
                return state.type === TransactionType.DELETE;
            }
            return false;
        };
        /**
         * @return {?}
         */
        GridBaseAPIService.prototype.atInexistingPage = /**
         * @return {?}
         */
        function () {
            return this.grid.totalPages - 1 > this.grid.page;
        };
        GridBaseAPIService.decorators = [
            { type: core.Injectable }
        ];
        return GridBaseAPIService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    TreeGridFilteringStrategy = /** @class */ (function (_super) {
        __extends(TreeGridFilteringStrategy, _super);
        function TreeGridFilteringStrategy() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} data
         * @param {?} expressionsTree
         * @param {?=} advancedExpressionsTree
         * @return {?}
         */
        TreeGridFilteringStrategy.prototype.filter = /**
         * @param {?} data
         * @param {?} expressionsTree
         * @param {?=} advancedExpressionsTree
         * @return {?}
         */
        function (data, expressionsTree, advancedExpressionsTree) {
            return this.filterImpl(data, expressionsTree, advancedExpressionsTree, undefined);
        };
        /**
         * @private
         * @param {?} data
         * @param {?} expressionsTree
         * @param {?} advancedExpressionsTree
         * @param {?} parent
         * @return {?}
         */
        TreeGridFilteringStrategy.prototype.filterImpl = /**
         * @private
         * @param {?} data
         * @param {?} expressionsTree
         * @param {?} advancedExpressionsTree
         * @param {?} parent
         * @return {?}
         */
        function (data, expressionsTree, advancedExpressionsTree, parent) {
            /** @type {?} */
            var i;
            /** @type {?} */
            var rec;
            /** @type {?} */
            var len = data.length;
            /** @type {?} */
            var res = [];
            if ((FilteringExpressionsTree.empty(expressionsTree) && FilteringExpressionsTree.empty(advancedExpressionsTree)) || !len) {
                return data;
            }
            for (i = 0; i < len; i++) {
                rec = DataUtil.cloneTreeGridRecord(data[i]);
                rec.parent = parent;
                if (rec.children) {
                    /** @type {?} */
                    var filteredChildren = this.filterImpl(rec.children, expressionsTree, advancedExpressionsTree, rec);
                    rec.children = filteredChildren.length > 0 ? filteredChildren : null;
                }
                if (this.matchRecord(rec, expressionsTree) && this.matchRecord(rec, advancedExpressionsTree)) {
                    res.push(rec);
                }
                else if (rec.children && rec.children.length > 0) {
                    rec.isFilteredOutParent = true;
                    res.push(rec);
                }
            }
            return res;
        };
        /**
         * @protected
         * @param {?} rec
         * @param {?} fieldName
         * @return {?}
         */
        TreeGridFilteringStrategy.prototype.getFieldValue = /**
         * @protected
         * @param {?} rec
         * @param {?} fieldName
         * @return {?}
         */
        function (rec, fieldName) {
            /** @type {?} */
            var hierarchicalRecord = (/** @type {?} */ (rec));
            return hierarchicalRecord.data[fieldName];
        };
        return TreeGridFilteringStrategy;
    }(BaseFilteringStrategy));
    /**
     * @hidden
     */
    var IgxTreeGridFilteringPipe = /** @class */ (function () {
        function IgxTreeGridFilteringPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} hierarchyData
         * @param {?} expressionsTree
         * @param {?} filterStrategy
         * @param {?} advancedFilteringExpressionsTree
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} filteringPipeTrigger
         * @return {?}
         */
        IgxTreeGridFilteringPipe.prototype.transform = /**
         * @param {?} hierarchyData
         * @param {?} expressionsTree
         * @param {?} filterStrategy
         * @param {?} advancedFilteringExpressionsTree
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} filteringPipeTrigger
         * @return {?}
         */
        function (hierarchyData, expressionsTree, filterStrategy, advancedFilteringExpressionsTree, id, pipeTrigger, filteringPipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var state = {
                expressionsTree: expressionsTree,
                advancedExpressionsTree: advancedFilteringExpressionsTree,
                strategy: new TreeGridFilteringStrategy()
            };
            if (filterStrategy) {
                state.strategy = filterStrategy;
            }
            this.resetFilteredOutProperty(grid.records);
            if (FilteringExpressionsTree.empty(state.expressionsTree) && FilteringExpressionsTree.empty(state.advancedExpressionsTree)) {
                grid.filteredData = null;
                return hierarchyData;
            }
            /** @type {?} */
            var result = this.filter(hierarchyData, state);
            /** @type {?} */
            var filteredData = [];
            this.expandAllRecursive(grid, result, grid.expansionStates, filteredData);
            grid.filteredData = filteredData;
            return result;
        };
        /**
         * @private
         * @param {?} map
         * @return {?}
         */
        IgxTreeGridFilteringPipe.prototype.resetFilteredOutProperty = /**
         * @private
         * @param {?} map
         * @return {?}
         */
        function (map) {
            /** @type {?} */
            var keys = Array.from(map.keys());
            for (var i = 0; i < keys.length; i++) {
                map.get(keys[i]).isFilteredOutParent = undefined;
            }
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} data
         * @param {?} expandedStates
         * @param {?} filteredData
         * @return {?}
         */
        IgxTreeGridFilteringPipe.prototype.expandAllRecursive = /**
         * @private
         * @param {?} grid
         * @param {?} data
         * @param {?} expandedStates
         * @param {?} filteredData
         * @return {?}
         */
        function (grid, data, expandedStates, filteredData) {
            for (var i = 0; i < data.length; i++) {
                /** @type {?} */
                var rec = data[i];
                filteredData.push(rec.data);
                this.updateNonProcessedRecord(grid, rec);
                if (rec.children && rec.children.length > 0) {
                    expandedStates.set(rec.rowID, true);
                    this.expandAllRecursive(grid, rec.children, expandedStates, filteredData);
                }
            }
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} record
         * @return {?}
         */
        IgxTreeGridFilteringPipe.prototype.updateNonProcessedRecord = /**
         * @private
         * @param {?} grid
         * @param {?} record
         * @return {?}
         */
        function (grid, record) {
            /** @type {?} */
            var rec = grid.records.get(record.rowID);
            rec.isFilteredOutParent = record.isFilteredOutParent;
        };
        /**
         * @private
         * @param {?} data
         * @param {?} state
         * @return {?}
         */
        IgxTreeGridFilteringPipe.prototype.filter = /**
         * @private
         * @param {?} data
         * @param {?} state
         * @return {?}
         */
        function (data, state) {
            return state.strategy.filter(data, state.expressionsTree, state.advancedExpressionsTree);
        };
        IgxTreeGridFilteringPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridFiltering',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridFilteringPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridFilteringPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var IgxBaseExporter = /** @class */ (function () {
        function IgxBaseExporter() {
            this.flatRecords = [];
            this._isTreeGrid = false;
            this._indexOfLastPinnedColumn = -1;
            this._sort = null;
            /**
             * This event is emitted when a row is exported.
             * ```typescript
             * this.exporterService.onRowExport.subscribe((args: IRowExportingEventArgs) => {
             * // put event handler code here
             * });
             * ```
             * \@memberof IgxBaseExporter
             */
            this.onRowExport = new core.EventEmitter();
            /**
             * This event is emitted when a column is exported.
             * ```typescript
             * this.exporterService.onColumnExport.subscribe((args: IColumnExportingEventArgs) => {
             * // put event handler code here
             * });
             * ```
             * \@memberof IgxBaseExporter
             */
            this.onColumnExport = new core.EventEmitter();
        }
        /**
         * Method for exporting IgxGrid component's data.
         * ```typescript
         * this.exporterService.export(this.igxGridForExport, this.exportOptions);
         * ```
         * @memberof IgxBaseExporter
         */
        /**
         * Method for exporting IgxGrid component's data.
         * ```typescript
         * this.exporterService.export(this.igxGridForExport, this.exportOptions);
         * ```
         * \@memberof IgxBaseExporter
         * @param {?} grid
         * @param {?} options
         * @return {?}
         */
        IgxBaseExporter.prototype.export = /**
         * Method for exporting IgxGrid component's data.
         * ```typescript
         * this.exporterService.export(this.igxGridForExport, this.exportOptions);
         * ```
         * \@memberof IgxBaseExporter
         * @param {?} grid
         * @param {?} options
         * @return {?}
         */
        function (grid, options) {
            var _this = this;
            if (options === undefined || options === null) {
                throw Error('No options provided!');
            }
            /** @type {?} */
            var columns = grid.columnList.toArray();
            this._columnList = new Array(columns.length);
            /** @type {?} */
            var hiddenColumns = [];
            /** @type {?} */
            var lastVisbleColumnIndex = -1;
            columns.forEach(function (column) {
                /** @type {?} */
                var columnHeader = column.header !== '' ? column.header : column.field;
                /** @type {?} */
                var exportColumn = !column.hidden || options.ignoreColumnsVisibility;
                /** @type {?} */
                var index = options.ignoreColumnsOrder ? column.index : column.visibleIndex;
                /** @type {?} */
                var columnInfo = {
                    header: columnHeader,
                    field: column.field,
                    skip: !exportColumn,
                    formatter: column.formatter,
                    skipFormatter: false
                };
                if (index !== -1) {
                    _this._columnList[index] = columnInfo;
                    lastVisbleColumnIndex = Math.max(lastVisbleColumnIndex, index);
                }
                else {
                    hiddenColumns.push(columnInfo);
                }
                if (column.pinned && exportColumn) {
                    _this._indexOfLastPinnedColumn++;
                }
            });
            // Append the hidden columns to the end of the list
            hiddenColumns.forEach(function (hiddenColumn) {
                _this._columnList[++lastVisbleColumnIndex] = hiddenColumn;
            });
            /** @type {?} */
            var data = this.prepareData(grid, options);
            this.exportData(data, options);
        };
        /**
         * Method for exporting any kind of array data.
         * ```typescript
         * this.exporterService.exportData(this.arrayForExport, this.exportOptions);
         * ```
         * @memberof IgxBaseExporter
         */
        /**
         * Method for exporting any kind of array data.
         * ```typescript
         * this.exporterService.exportData(this.arrayForExport, this.exportOptions);
         * ```
         * \@memberof IgxBaseExporter
         * @param {?} data
         * @param {?} options
         * @return {?}
         */
        IgxBaseExporter.prototype.exportData = /**
         * Method for exporting any kind of array data.
         * ```typescript
         * this.exporterService.exportData(this.arrayForExport, this.exportOptions);
         * ```
         * \@memberof IgxBaseExporter
         * @param {?} data
         * @param {?} options
         * @return {?}
         */
        function (data, options) {
            var _this = this;
            if (options === undefined || options === null) {
                throw Error('No options provided!');
            }
            if (!this._columnList || this._columnList.length === 0) {
                /** @type {?} */
                var keys = ExportUtilities.getKeysFromData(data);
                this._columnList = keys.map(function (k) { return ({ header: k, field: k, skip: false }); });
            }
            /** @type {?} */
            var skippedPinnedColumnsCount = 0;
            /** @type {?} */
            var columnsWithoutHeaderCount = 1;
            this._columnList.forEach(function (column, index) {
                if (!column.skip) {
                    /** @type {?} */
                    var columnExportArgs = {
                        header: ExportUtilities.isNullOrWhitespaces(column.header) ?
                            'Column' + columnsWithoutHeaderCount++ : column.header,
                        field: column.field,
                        columnIndex: index,
                        cancel: false,
                        skipFormatter: false
                    };
                    _this.onColumnExport.emit(columnExportArgs);
                    column.header = columnExportArgs.header;
                    column.skip = columnExportArgs.cancel;
                    column.skipFormatter = columnExportArgs.skipFormatter;
                    if (column.skip && index <= _this._indexOfLastPinnedColumn) {
                        skippedPinnedColumnsCount++;
                    }
                    if (_this._sort && _this._sort.fieldName === column.field) {
                        if (column.skip) {
                            _this._sort = null;
                        }
                        else {
                            _this._sort.fieldName = column.header;
                        }
                    }
                }
            });
            this._indexOfLastPinnedColumn -= skippedPinnedColumnsCount;
            /** @type {?} */
            var dataToExport = new Array();
            /** @type {?} */
            var isSpecialData = ExportUtilities.isSpecialData(data);
            data.forEach(function (row, index) {
                _this.exportRow(dataToExport, row, index, isSpecialData);
            });
            this.exportDataImplementation(dataToExport, options);
            this.resetDefaults();
        };
        /**
         * @private
         * @param {?} data
         * @param {?} rowData
         * @param {?} index
         * @param {?} isSpecialData
         * @return {?}
         */
        IgxBaseExporter.prototype.exportRow = /**
         * @private
         * @param {?} data
         * @param {?} rowData
         * @param {?} index
         * @param {?} isSpecialData
         * @return {?}
         */
        function (data, rowData, index, isSpecialData) {
            var _this = this;
            /** @type {?} */
            var row;
            if (!isSpecialData) {
                row = this._columnList.reduce(function (a, e) {
                    if (!e.skip) {
                        /** @type {?} */
                        var rawValue = _this._isTreeGrid ? rowData.data[e.field] : rowData[e.field];
                        a[e.header] = e.formatter && !e.skipFormatter ? e.formatter(rawValue) : rawValue;
                    }
                    return a;
                }, {});
            }
            else {
                row = this._isTreeGrid ? rowData.data : rowData;
            }
            /** @type {?} */
            var rowArgs = {
                rowData: row,
                rowIndex: index,
                cancel: false
            };
            this.onRowExport.emit(rowArgs);
            if (!rowArgs.cancel) {
                data.push({ rowData: rowArgs.rowData, originalRowData: rowData });
            }
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} options
         * @return {?}
         */
        IgxBaseExporter.prototype.prepareData = /**
         * @private
         * @param {?} grid
         * @param {?} options
         * @return {?}
         */
        function (grid, options) {
            this.flatRecords = [];
            /** @type {?} */
            var rootRecords = grid.rootRecords;
            this._isTreeGrid = rootRecords !== undefined;
            if (this._isTreeGrid) {
                this.prepareHierarchicalData(rootRecords);
            }
            /** @type {?} */
            var data = this._isTreeGrid ? this.flatRecords : grid.data;
            if (((grid.filteringExpressionsTree &&
                grid.filteringExpressionsTree.filteringOperands.length > 0) ||
                (grid.advancedFilteringExpressionsTree &&
                    grid.advancedFilteringExpressionsTree.filteringOperands.length > 0)) &&
                !options.ignoreFiltering) {
                /** @type {?} */
                var filteringState = {
                    expressionsTree: grid.filteringExpressionsTree,
                    advancedExpressionsTree: grid.advancedFilteringExpressionsTree,
                    logic: grid.filteringLogic
                };
                if (this._isTreeGrid) {
                    this.flatRecords = [];
                    filteringState.strategy = new TreeGridFilteringStrategy();
                    rootRecords = filteringState.strategy.filter(rootRecords, filteringState.expressionsTree, filteringState.advancedExpressionsTree);
                    this.prepareHierarchicalData(rootRecords);
                    data = this.flatRecords;
                }
                else {
                    data = DataUtil.filter(data, filteringState);
                }
            }
            if (grid.sortingExpressions &&
                grid.sortingExpressions.length > 0 &&
                !options.ignoreSorting) {
                this._sort = cloneValue(grid.sortingExpressions[0]);
                if (this._isTreeGrid) {
                    this.flatRecords = [];
                    rootRecords = DataUtil.treeGridSort(rootRecords, grid.sortingExpressions);
                    this.prepareHierarchicalData(rootRecords);
                    data = this.flatRecords;
                }
                else {
                    data = DataUtil.sort(data, grid.sortingExpressions);
                }
            }
            return data;
        };
        /**
         * @private
         * @param {?} records
         * @return {?}
         */
        IgxBaseExporter.prototype.prepareHierarchicalData = /**
         * @private
         * @param {?} records
         * @return {?}
         */
        function (records) {
            if (!records) {
                return;
            }
            for (var i = 0; i < records.length; i++) {
                /** @type {?} */
                var hierarchicalRecord = records[i];
                this.flatRecords.push(hierarchicalRecord);
                this.prepareHierarchicalData(hierarchicalRecord.children);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxBaseExporter.prototype.resetDefaults = /**
         * @private
         * @return {?}
         */
        function () {
            this._columnList = [];
            this._indexOfLastPinnedColumn = -1;
            this._sort = null;
            this.flatRecords = [];
        };
        IgxBaseExporter.propDecorators = {
            onRowExport: [{ type: core.Output }],
            onColumnExport: [{ type: core.Output }]
        };
        return IgxBaseExporter;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    CharSeparatedValueData = /** @class */ (function () {
        function CharSeparatedValueData(_data, valueDelimiter) {
            this._data = _data;
            this._headerRecord = '';
            this._dataRecords = '';
            this._eor = '\r\n';
            this._escapeCharacters = ['\r', '\n', '\r\n'];
            this._delimiterLength = 1;
            this._isSpecialData = false;
            this.setDelimiter(valueDelimiter);
        }
        /**
         * @return {?}
         */
        CharSeparatedValueData.prototype.prepareData = /**
         * @return {?}
         */
        function () {
            if (!this._data || this._data.length === 0) {
                return '';
            }
            /** @type {?} */
            var keys = ExportUtilities.getKeysFromData(this._data);
            if (keys.length === 0) {
                return '';
            }
            this._isSpecialData = ExportUtilities.isSpecialData(this._data);
            this._escapeCharacters.push(this._delimiter);
            this._headerRecord = this.processHeaderRecord(keys, this._escapeCharacters);
            this._dataRecords = this.processDataRecords(this._data, keys, this._escapeCharacters);
            return this._headerRecord + this._dataRecords;
        };
        /**
         * @private
         * @param {?} value
         * @param {?} escapeChars
         * @return {?}
         */
        CharSeparatedValueData.prototype.processField = /**
         * @private
         * @param {?} value
         * @param {?} escapeChars
         * @return {?}
         */
        function (value, escapeChars) {
            /** @type {?} */
            var safeValue = ExportUtilities.hasValue(value) ? String(value) : '';
            if (escapeChars.some(function (v) { return safeValue.includes(v); })) {
                safeValue = "\"" + safeValue + "\"";
            }
            return safeValue + this._delimiter;
        };
        /**
         * @private
         * @param {?} keys
         * @param {?} escapeChars
         * @return {?}
         */
        CharSeparatedValueData.prototype.processHeaderRecord = /**
         * @private
         * @param {?} keys
         * @param {?} escapeChars
         * @return {?}
         */
        function (keys, escapeChars) {
            var e_1, _a;
            /** @type {?} */
            var recordData = '';
            try {
                for (var keys_1 = __values(keys), keys_1_1 = keys_1.next(); !keys_1_1.done; keys_1_1 = keys_1.next()) {
                    var keyName = keys_1_1.value;
                    recordData += this.processField(keyName, this._escapeCharacters);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (keys_1_1 && !keys_1_1.done && (_a = keys_1.return)) _a.call(keys_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return recordData.slice(0, -this._delimiterLength) + this._eor;
        };
        /**
         * @private
         * @param {?} record
         * @param {?} keys
         * @param {?} escapeChars
         * @return {?}
         */
        CharSeparatedValueData.prototype.processRecord = /**
         * @private
         * @param {?} record
         * @param {?} keys
         * @param {?} escapeChars
         * @return {?}
         */
        function (record, keys, escapeChars) {
            var e_2, _a;
            /** @type {?} */
            var recordData = '';
            try {
                for (var keys_2 = __values(keys), keys_2_1 = keys_2.next(); !keys_2_1.done; keys_2_1 = keys_2.next()) {
                    var keyName = keys_2_1.value;
                    /** @type {?} */
                    var value = (record[keyName] !== undefined) ? record[keyName] : this._isSpecialData ? record : '';
                    recordData += this.processField(value, this._escapeCharacters);
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (keys_2_1 && !keys_2_1.done && (_a = keys_2.return)) _a.call(keys_2);
                }
                finally { if (e_2) throw e_2.error; }
            }
            return recordData.slice(0, -this._delimiterLength) + this._eor;
        };
        /**
         * @private
         * @param {?} currentData
         * @param {?} keys
         * @param {?} escapeChars
         * @return {?}
         */
        CharSeparatedValueData.prototype.processDataRecords = /**
         * @private
         * @param {?} currentData
         * @param {?} keys
         * @param {?} escapeChars
         * @return {?}
         */
        function (currentData, keys, escapeChars) {
            var e_3, _a;
            /** @type {?} */
            var dataRecords = '';
            try {
                for (var currentData_1 = __values(currentData), currentData_1_1 = currentData_1.next(); !currentData_1_1.done; currentData_1_1 = currentData_1.next()) {
                    var row = currentData_1_1.value;
                    dataRecords += this.processRecord(row, keys, escapeChars);
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (currentData_1_1 && !currentData_1_1.done && (_a = currentData_1.return)) _a.call(currentData_1);
                }
                finally { if (e_3) throw e_3.error; }
            }
            return dataRecords;
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        CharSeparatedValueData.prototype.setDelimiter = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._delimiter = value;
            this._delimiterLength = value.length;
        };
        return CharSeparatedValueData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    IgxExporterOptionsBase = /** @class */ (function () {
        function IgxExporterOptionsBase(fileName, _fileExtension) {
            this._fileExtension = _fileExtension;
            /**
             * Specifies whether hidden columns should be exported.
             * ```typescript
             * let ignoreColumnsVisibility = this.exportOptions.ignoreColumnsVisibility;
             * this.exportOptions.ignoreColumnsVisibility = true;
             * ```
             * \@memberof IgxExporterOptionsBase
             */
            this.ignoreColumnsVisibility = false;
            /**
             * Specifies whether filtered out rows should be exported.
             * ```typescript
             * let ignoreFiltering = this.exportOptions.ignoreFiltering;
             * this.exportOptions.ignoreFiltering = true;
             * ```
             * \@memberof IgxExporterOptionsBase
             */
            this.ignoreFiltering = false;
            /**
             * Specifies if the exporter should ignore the current column order in the IgxGrid.
             * ```typescript
             * let ignoreColumnsOrder = this.exportOptions.ignoreColumnsOrder;
             * this.exportOptions.ignoreColumnsOrder = true;
             * ```
             * \@memberof IgxExporterOptionsBase
             */
            this.ignoreColumnsOrder = false;
            /**
             * Specifies whether the exported data should be sorted as in the provided IgxGrid.
             * ```typescript
             * let ignoreSorting = this.exportOptions.ignoreSorting;
             * this.exportOptions.ignoreSorting = true;
             * ```
             * \@memberof IgxExporterOptionsBase
             */
            this.ignoreSorting = false;
            this.setFileName(fileName);
        }
        /**
         * @private
         * @param {?} fileName
         * @return {?}
         */
        IgxExporterOptionsBase.prototype.setFileName = /**
         * @private
         * @param {?} fileName
         * @return {?}
         */
        function (fileName) {
            this._fileName = fileName + (fileName.endsWith(this._fileExtension) === false ? this._fileExtension : '');
        };
        Object.defineProperty(IgxExporterOptionsBase.prototype, "fileName", {
            /**
             * Gets the file name which will be used for the exporting operation.
             * ```typescript
             * let fileName = this.exportOptions.fileName;
             * ```
             * @memberof IgxExporterOptionsBase
             */
            get: /**
             * Gets the file name which will be used for the exporting operation.
             * ```typescript
             * let fileName = this.exportOptions.fileName;
             * ```
             * \@memberof IgxExporterOptionsBase
             * @return {?}
             */
            function () {
                return this._fileName;
            },
            /**
             * Sets the file name which will be used for the exporting operation.
             * ```typescript
             * this.exportOptions.fileName = 'exportedData01';
             * ```
             * @memberof IgxExporterOptionsBase
             */
            set: /**
             * Sets the file name which will be used for the exporting operation.
             * ```typescript
             * this.exportOptions.fileName = 'exportedData01';
             * ```
             * \@memberof IgxExporterOptionsBase
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.setFileName(value);
            },
            enumerable: true,
            configurable: true
        });
        return IgxExporterOptionsBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Objects of this class are used to configure the CSV exporting process.
     */
    var   /**
     * Objects of this class are used to configure the CSV exporting process.
     */
    IgxCsvExporterOptions = /** @class */ (function (_super) {
        __extends(IgxCsvExporterOptions, _super);
        function IgxCsvExporterOptions(fileName, fileType) {
            var _this = _super.call(this, fileName, IgxCsvExporterOptions.getExtensionFromFileType(fileType)) || this;
            _this.setFileType(fileType);
            _this.setDelimiter();
            return _this;
        }
        /**
         * @private
         * @param {?} fType
         * @return {?}
         */
        IgxCsvExporterOptions.getExtensionFromFileType = /**
         * @private
         * @param {?} fType
         * @return {?}
         */
        function (fType) {
            /** @type {?} */
            var extension = '';
            switch (fType) {
                case CsvFileTypes.CSV:
                    extension = '.csv';
                    break;
                case CsvFileTypes.TSV:
                    extension = '.tsv';
                    break;
                case CsvFileTypes.TAB:
                    extension = '.tab';
                    break;
                default:
                    throw Error('Unsupported CSV file type!');
            }
            return extension;
        };
        Object.defineProperty(IgxCsvExporterOptions.prototype, "valueDelimiter", {
            /**
             * Gets the value delimiter which will be used for the exporting operation.
             * ```typescript
             * let delimiter = this.exportOptions.valueDelimiter;
             * ```
             * @memberof IgxCsvExporterOptions
             */
            get: /**
             * Gets the value delimiter which will be used for the exporting operation.
             * ```typescript
             * let delimiter = this.exportOptions.valueDelimiter;
             * ```
             * \@memberof IgxCsvExporterOptions
             * @return {?}
             */
            function () {
                return this._valueDelimiter;
            },
            /**
             * Sets a value delimiter which will overwrite the default delimiter of the selected export format.
             * ```typescript
             * this.exportOptions.valueDelimiter = '|';
             * ```
             * @memberof IgxCsvExporterOptions
             */
            set: /**
             * Sets a value delimiter which will overwrite the default delimiter of the selected export format.
             * ```typescript
             * this.exportOptions.valueDelimiter = '|';
             * ```
             * \@memberof IgxCsvExporterOptions
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.setDelimiter(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCsvExporterOptions.prototype, "fileType", {
            /**
             * Gets the CSV export format.
             * ```typescript
             * let filetype = this.exportOptions.fileType;
             * ```
             * @memberof IgxCsvExporterOptions
             */
            get: /**
             * Gets the CSV export format.
             * ```typescript
             * let filetype = this.exportOptions.fileType;
             * ```
             * \@memberof IgxCsvExporterOptions
             * @return {?}
             */
            function () {
                return this._fileType;
            },
            /**
             * Sets the CSV export format.
             * ```typescript
             * this.exportOptions.fileType = CsvFileTypes.TAB;
             * ```
             * @memberof IgxCsvExporterOptions
             */
            set: /**
             * Sets the CSV export format.
             * ```typescript
             * this.exportOptions.fileType = CsvFileTypes.TAB;
             * ```
             * \@memberof IgxCsvExporterOptions
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.setFileType(value);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCsvExporterOptions.prototype.setFileType = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (value !== undefined && value !== null && value !== this._fileType) {
                this._fileType = value;
                /** @type {?} */
                var extension = IgxCsvExporterOptions.getExtensionFromFileType(value);
                if (!this.fileName.endsWith(extension)) {
                    /** @type {?} */
                    var oldExt = '.' + this.fileName.split('.').pop();
                    /** @type {?} */
                    var newName = this.fileName.replace(oldExt, extension);
                    this._fileExtension = extension;
                    this.fileName = newName;
                }
            }
        };
        /**
         * @private
         * @param {?=} value
         * @return {?}
         */
        IgxCsvExporterOptions.prototype.setDelimiter = /**
         * @private
         * @param {?=} value
         * @return {?}
         */
        function (value) {
            if (value !== undefined && value !== '' && value !== null) {
                this._valueDelimiter = value;
            }
            else {
                switch (this.fileType) {
                    case CsvFileTypes.CSV:
                        this._valueDelimiter = ',';
                        break;
                    case CsvFileTypes.TSV:
                    case CsvFileTypes.TAB:
                        this._valueDelimiter = '\t';
                        break;
                }
            }
        };
        return IgxCsvExporterOptions;
    }(IgxExporterOptionsBase));
    /** @enum {number} */
    var CsvFileTypes = {
        /**
         * Character Separated Values, default separator is "comma", default file extension is .csv
         */
        CSV: 0,
        /**
         * Tab Separated Values, default separator is tab, default file extension is .tsv
         */
        TSV: 1,
        /**
         * Tab Separated Values, default separator is tab, default file extension is .tab
         */
        TAB: 2,
    };
    CsvFileTypes[CsvFileTypes.CSV] = 'CSV';
    CsvFileTypes[CsvFileTypes.TSV] = 'TSV';
    CsvFileTypes[CsvFileTypes.TAB] = 'TAB';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular CSV Exporter Service** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/exporter_csv.html)
     *
     * The Ignite UI for Angular CSV Exporter service can export data in a Character Separated Values format from
     * both raw data (array) or from an `IgxGrid`.
     *
     * Example:
     * ```typescript
     * public localData = [
     *   { Name: "Eric Ridley", Age: "26" },
     *   { Name: "Alanis Brook", Age: "22" },
     *   { Name: "Jonathan Morris", Age: "23" }
     * ];
     *
     * constructor(private csvExportService: IgxCsvExporterService) {
     * }
     *
     * const opt: IgxCsvExporterOptions = new IgxCsvExporterOptions("FileName", CsvFileTypes.CSV);
     * this.csvExportService.exportData(this.localData, opt);
     * ```
     */
    var IgxCsvExporterService = /** @class */ (function (_super) {
        __extends(IgxCsvExporterService, _super);
        function IgxCsvExporterService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            /**
             * This event is emitted when the export process finishes.
             * ```typescript
             * this.exporterService.onExportEnded.subscribe((args: ICsvExportEndedEventArgs) => {
             * // put event handler code here
             * });
             * ```
             * \@memberof IgxCsvExporterService
             */
            _this.onExportEnded = new core.EventEmitter();
            return _this;
        }
        /**
         * @protected
         * @param {?} data
         * @param {?} options
         * @return {?}
         */
        IgxCsvExporterService.prototype.exportDataImplementation = /**
         * @protected
         * @param {?} data
         * @param {?} options
         * @return {?}
         */
        function (data, options) {
            data = data.map(function (item) { return item.rowData; });
            /** @type {?} */
            var csvData = new CharSeparatedValueData(data, options.valueDelimiter);
            this._stringData = csvData.prepareData();
            this.saveFile(options);
            this.onExportEnded.emit({ csvData: this._stringData });
        };
        /**
         * @private
         * @param {?} options
         * @return {?}
         */
        IgxCsvExporterService.prototype.saveFile = /**
         * @private
         * @param {?} options
         * @return {?}
         */
        function (options) {
            switch (options.fileType) {
                case CsvFileTypes.CSV:
                    this.exportFile(this._stringData, options.fileName, 'text/csv;charset=utf-8;');
                    break;
                case CsvFileTypes.TSV:
                case CsvFileTypes.TAB:
                    this.exportFile(this._stringData, options.fileName, 'text/tab-separated-values;charset=utf-8;');
                    break;
            }
        };
        /**
         * @private
         * @param {?} data
         * @param {?} fileName
         * @param {?} fileType
         * @return {?}
         */
        IgxCsvExporterService.prototype.exportFile = /**
         * @private
         * @param {?} data
         * @param {?} fileName
         * @param {?} fileType
         * @return {?}
         */
        function (data, fileName, fileType) {
            /** @type {?} */
            var blob = new Blob(['\ufeff', data], { type: fileType });
            ExportUtilities.saveBlobToFile(blob, fileName);
        };
        IgxCsvExporterService.decorators = [
            { type: core.Injectable }
        ];
        IgxCsvExporterService.propDecorators = {
            onExportEnded: [{ type: core.Output }]
        };
        return IgxCsvExporterService;
    }(IgxBaseExporter));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var ExcelFolderTypes = {
        RootExcelFolder: 0,
        RootRelsExcelFolder: 1,
        DocPropsExcelFolder: 2,
        XLExcelFolder: 3,
        XLRelsExcelFolder: 4,
        ThemeExcelFolder: 5,
        WorksheetsExcelFolder: 6,
        WorksheetsRelsExcelFolder: 7,
        TablesExcelFolder: 8,
    };
    ExcelFolderTypes[ExcelFolderTypes.RootExcelFolder] = 'RootExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.RootRelsExcelFolder] = 'RootRelsExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.DocPropsExcelFolder] = 'DocPropsExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.XLExcelFolder] = 'XLExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.XLRelsExcelFolder] = 'XLRelsExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.ThemeExcelFolder] = 'ThemeExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.WorksheetsExcelFolder] = 'WorksheetsExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.WorksheetsRelsExcelFolder] = 'WorksheetsRelsExcelFolder';
    ExcelFolderTypes[ExcelFolderTypes.TablesExcelFolder] = 'TablesExcelFolder';
    /** @enum {number} */
    var ExcelFileTypes = {
        RootRelsFile: 0,
        AppFile: 1,
        CoreFile: 2,
        WorkbookRelsFile: 3,
        ThemeFile: 4,
        WorksheetFile: 5,
        StyleFile: 6,
        WorkbookFile: 7,
        ContentTypesFile: 8,
        SharedStringsFile: 9,
        WorksheetRelsFile: 10,
        TablesFile: 11,
    };
    ExcelFileTypes[ExcelFileTypes.RootRelsFile] = 'RootRelsFile';
    ExcelFileTypes[ExcelFileTypes.AppFile] = 'AppFile';
    ExcelFileTypes[ExcelFileTypes.CoreFile] = 'CoreFile';
    ExcelFileTypes[ExcelFileTypes.WorkbookRelsFile] = 'WorkbookRelsFile';
    ExcelFileTypes[ExcelFileTypes.ThemeFile] = 'ThemeFile';
    ExcelFileTypes[ExcelFileTypes.WorksheetFile] = 'WorksheetFile';
    ExcelFileTypes[ExcelFileTypes.StyleFile] = 'StyleFile';
    ExcelFileTypes[ExcelFileTypes.WorkbookFile] = 'WorkbookFile';
    ExcelFileTypes[ExcelFileTypes.ContentTypesFile] = 'ContentTypesFile';
    ExcelFileTypes[ExcelFileTypes.SharedStringsFile] = 'SharedStringsFile';
    ExcelFileTypes[ExcelFileTypes.WorksheetRelsFile] = 'WorksheetRelsFile';
    ExcelFileTypes[ExcelFileTypes.TablesFile] = 'TablesFile';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var ExcelStrings = /** @class */ (function () {
        function ExcelStrings() {
        }
        /**
         * @return {?}
         */
        ExcelStrings.getRels = /**
         * @return {?}
         */
        function () {
            return ExcelStrings.XML_STRING + '<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId3" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/extended-properties" Target="docProps/app.xml"/><Relationship Id="rId2" Type="http://schemas.openxmlformats.org/package/2006/relationships/metadata/core-properties" Target="docProps/core.xml"/><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/officeDocument" Target="xl/workbook.xml"/></Relationships>';
        };
        /**
         * @return {?}
         */
        ExcelStrings.getApp = /**
         * @return {?}
         */
        function () {
            return ExcelStrings.XML_STRING + '<Properties xmlns="http://schemas.openxmlformats.org/officeDocument/2006/extended-properties" xmlns:vt="http://schemas.openxmlformats.org/officeDocument/2006/docPropsVTypes"><Application>Microsoft Excel</Application><DocSecurity>0</DocSecurity><ScaleCrop>false</ScaleCrop><HeadingPairs><vt:vector size="2" baseType="variant"><vt:variant><vt:lpstr>Worksheets</vt:lpstr></vt:variant><vt:variant><vt:i4>1</vt:i4></vt:variant></vt:vector></HeadingPairs><TitlesOfParts><vt:vector size="1" baseType="lpstr"><vt:lpstr>Sheet1</vt:lpstr></vt:vector></TitlesOfParts><Company></Company><LinksUpToDate>false</LinksUpToDate><SharedDoc>false</SharedDoc><HyperlinksChanged>false</HyperlinksChanged><AppVersion>16.0300</AppVersion></Properties>';
        };
        /**
         * @return {?}
         */
        ExcelStrings.getCore = /**
         * @return {?}
         */
        function () {
            return ExcelStrings.XML_STRING + '<cp:coreProperties xmlns:cp="http://schemas.openxmlformats.org/package/2006/metadata/core-properties" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:dcterms="http://purl.org/dc/terms/" xmlns:dcmitype="http://purl.org/dc/dcmitype/" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><dc:creator></dc:creator><cp:lastModifiedBy></cp:lastModifiedBy><dcterms:created xsi:type="dcterms:W3CDTF">2015-06-05T18:17:20Z</dcterms:created><dcterms:modified xsi:type="dcterms:W3CDTF">2015-06-05T18:17:26Z</dcterms:modified></cp:coreProperties>';
        };
        /**
         * @return {?}
         */
        ExcelStrings.getTheme = /**
         * @return {?}
         */
        function () {
            return ExcelStrings.XML_STRING + '<a:theme xmlns:a="http://schemas.openxmlformats.org/drawingml/2006/main" name="Office Theme"><a:themeElements><a:clrScheme name="Office"><a:dk1><a:sysClr val="windowText" lastClr="000000"/></a:dk1><a:lt1><a:sysClr val="window" lastClr="FFFFFF"/></a:lt1><a:dk2><a:srgbClr val="44546A"/></a:dk2><a:lt2><a:srgbClr val="E7E6E6"/></a:lt2><a:accent1><a:srgbClr val="5B9BD5"/></a:accent1><a:accent2><a:srgbClr val="ED7D31"/></a:accent2><a:accent3><a:srgbClr val="A5A5A5"/></a:accent3><a:accent4><a:srgbClr val="FFC000"/></a:accent4><a:accent5><a:srgbClr val="4472C4"/></a:accent5><a:accent6><a:srgbClr val="70AD47"/></a:accent6><a:hlink><a:srgbClr val="0563C1"/></a:hlink><a:folHlink><a:srgbClr val="954F72"/></a:folHlink></a:clrScheme><a:fontScheme name="Office"><a:majorFont><a:latin typeface="Calibri Light" panose="020F0302020204030204"/><a:ea typeface=""/><a:cs typeface=""/><a:font script="Jpan" typeface="游ゴシック Light"/><a:font script="Hang" typeface="맑은 고딕"/><a:font script="Hans" typeface="等线 Light"/><a:font script="Hant" typeface="新細明體"/><a:font script="Arab" typeface="Times New Roman"/><a:font script="Hebr" typeface="Times New Roman"/><a:font script="Thai" typeface="Tahoma"/><a:font script="Ethi" typeface="Nyala"/><a:font script="Beng" typeface="Vrinda"/><a:font script="Gujr" typeface="Shruti"/><a:font script="Khmr" typeface="MoolBoran"/><a:font script="Knda" typeface="Tunga"/><a:font script="Guru" typeface="Raavi"/><a:font script="Cans" typeface="Euphemia"/><a:font script="Cher" typeface="Plantagenet Cherokee"/><a:font script="Yiii" typeface="Microsoft Yi Baiti"/><a:font script="Tibt" typeface="Microsoft Himalaya"/><a:font script="Thaa" typeface="MV Boli"/><a:font script="Deva" typeface="Mangal"/><a:font script="Telu" typeface="Gautami"/><a:font script="Taml" typeface="Latha"/><a:font script="Syrc" typeface="Estrangelo Edessa"/><a:font script="Orya" typeface="Kalinga"/><a:font script="Mlym" typeface="Kartika"/><a:font script="Laoo" typeface="DokChampa"/><a:font script="Sinh" typeface="Iskoola Pota"/><a:font script="Mong" typeface="Mongolian Baiti"/><a:font script="Viet" typeface="Times New Roman"/><a:font script="Uigh" typeface="Microsoft Uighur"/><a:font script="Geor" typeface="Sylfaen"/></a:majorFont><a:minorFont><a:latin typeface="Calibri" panose="020F0502020204030204"/><a:ea typeface=""/><a:cs typeface=""/><a:font script="Jpan" typeface="游ゴシック"/><a:font script="Hang" typeface="맑은 고딕"/><a:font script="Hans" typeface="等线"/><a:font script="Hant" typeface="新細明體"/><a:font script="Arab" typeface="Arial"/><a:font script="Hebr" typeface="Arial"/><a:font script="Thai" typeface="Tahoma"/><a:font script="Ethi" typeface="Nyala"/><a:font script="Beng" typeface="Vrinda"/><a:font script="Gujr" typeface="Shruti"/><a:font script="Khmr" typeface="DaunPenh"/><a:font script="Knda" typeface="Tunga"/><a:font script="Guru" typeface="Raavi"/><a:font script="Cans" typeface="Euphemia"/><a:font script="Cher" typeface="Plantagenet Cherokee"/><a:font script="Yiii" typeface="Microsoft Yi Baiti"/><a:font script="Tibt" typeface="Microsoft Himalaya"/><a:font script="Thaa" typeface="MV Boli"/><a:font script="Deva" typeface="Mangal"/><a:font script="Telu" typeface="Gautami"/><a:font script="Taml" typeface="Latha"/><a:font script="Syrc" typeface="Estrangelo Edessa"/><a:font script="Orya" typeface="Kalinga"/><a:font script="Mlym" typeface="Kartika"/><a:font script="Laoo" typeface="DokChampa"/><a:font script="Sinh" typeface="Iskoola Pota"/><a:font script="Mong" typeface="Mongolian Baiti"/><a:font script="Viet" typeface="Arial"/><a:font script="Uigh" typeface="Microsoft Uighur"/><a:font script="Geor" typeface="Sylfaen"/></a:minorFont></a:fontScheme><a:fmtScheme name="Office"><a:fillStyleLst><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:gradFill rotWithShape="1"><a:gsLst><a:gs pos="0"><a:schemeClr val="phClr"><a:lumMod val="110000"/><a:satMod val="105000"/><a:tint val="67000"/></a:schemeClr></a:gs><a:gs pos="50000"><a:schemeClr val="phClr"><a:lumMod val="105000"/><a:satMod val="103000"/><a:tint val="73000"/></a:schemeClr></a:gs><a:gs pos="100000"><a:schemeClr val="phClr"><a:lumMod val="105000"/><a:satMod val="109000"/><a:tint val="81000"/></a:schemeClr></a:gs></a:gsLst><a:lin ang="5400000" scaled="0"/></a:gradFill><a:gradFill rotWithShape="1"><a:gsLst><a:gs pos="0"><a:schemeClr val="phClr"><a:satMod val="103000"/><a:lumMod val="102000"/><a:tint val="94000"/></a:schemeClr></a:gs><a:gs pos="50000"><a:schemeClr val="phClr"><a:satMod val="110000"/><a:lumMod val="100000"/><a:shade val="100000"/></a:schemeClr></a:gs><a:gs pos="100000"><a:schemeClr val="phClr"><a:lumMod val="99000"/><a:satMod val="120000"/><a:shade val="78000"/></a:schemeClr></a:gs></a:gsLst><a:lin ang="5400000" scaled="0"/></a:gradFill></a:fillStyleLst><a:lnStyleLst><a:ln w="6350" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/><a:miter lim="800000"/></a:ln><a:ln w="12700" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/><a:miter lim="800000"/></a:ln><a:ln w="19050" cap="flat" cmpd="sng" algn="ctr"><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:prstDash val="solid"/><a:miter lim="800000"/></a:ln></a:lnStyleLst><a:effectStyleLst><a:effectStyle><a:effectLst/></a:effectStyle><a:effectStyle><a:effectLst/></a:effectStyle><a:effectStyle><a:effectLst><a:outerShdw blurRad="57150" dist="19050" dir="5400000" algn="ctr" rotWithShape="0"><a:srgbClr val="000000"><a:alpha val="63000"/></a:srgbClr></a:outerShdw></a:effectLst></a:effectStyle></a:effectStyleLst><a:bgFillStyleLst><a:solidFill><a:schemeClr val="phClr"/></a:solidFill><a:solidFill><a:schemeClr val="phClr"><a:tint val="95000"/><a:satMod val="170000"/></a:schemeClr></a:solidFill><a:gradFill rotWithShape="1"><a:gsLst><a:gs pos="0"><a:schemeClr val="phClr"><a:tint val="93000"/><a:satMod val="150000"/><a:shade val="98000"/><a:lumMod val="102000"/></a:schemeClr></a:gs><a:gs pos="50000"><a:schemeClr val="phClr"><a:tint val="98000"/><a:satMod val="130000"/><a:shade val="90000"/><a:lumMod val="103000"/></a:schemeClr></a:gs><a:gs pos="100000"><a:schemeClr val="phClr"><a:shade val="63000"/><a:satMod val="120000"/></a:schemeClr></a:gs></a:gsLst><a:lin ang="5400000" scaled="0"/></a:gradFill></a:bgFillStyleLst></a:fmtScheme></a:themeElements><a:objectDefaults/><a:extraClrSchemeLst/><a:extLst><a:ext uri="{05A4C25C-085E-4340-85A3-A5531E510DB2}"><thm15:themeFamily xmlns:thm15="http://schemas.microsoft.com/office/thememl/2012/main" name="Office Theme" id="{62F939B6-93AF-4DB8-9C6B-D6C7DFDC589F}" vid="{4A3C46E8-61CC-4603-A589-7422A47A8E4A}"/></a:ext></a:extLst></a:theme>';
        };
        /**
         * @param {?} hasNonStringValues
         * @return {?}
         */
        ExcelStrings.getStyles = /**
         * @param {?} hasNonStringValues
         * @return {?}
         */
        function (hasNonStringValues) {
            /** @type {?} */
            var additionalCellXF = '<xf numFmtId="0" fontId="0" fillId="0" borderId="0" xfId="0" applyNumberFormat="1"/>';
            /** @type {?} */
            var cellXFCount = hasNonStringValues ? 2 : 1;
            return ExcelStrings.XML_STRING + '<styleSheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac x16r2" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac" xmlns:x16r2="http://schemas.microsoft.com/office/spreadsheetml/2015/02/main"><fonts count="1" x14ac:knownFonts="1"><font><sz val="11"/><color theme="1"/><name val="Calibri"/><family val="2"/><scheme val="minor"/></font></fonts><fills count="2"><fill><patternFill patternType="none"/></fill><fill><patternFill patternType="gray125"/></fill></fills><borders count="1"><border><left/><right/><top/><bottom/><diagonal/></border></borders><cellStyleXfs count="1"><xf numFmtId="0" fontId="0" fillId="0" borderId="0"/></cellStyleXfs><cellXfs count="' + cellXFCount + '"><xf numFmtId="0" fontId="0" fillId="0" borderId="0" xfId="0"/>' + additionalCellXF + '</cellXfs><cellStyles count="1"><cellStyle name="Normal" xfId="0" builtinId="0"/></cellStyles><dxfs count="0"/><tableStyles count="0" defaultTableStyle="TableStyleMedium2" defaultPivotStyle="PivotStyleLight16"/><extLst><ext uri="{EB79DEF2-80B8-43e5-95BD-54CBDDF9020C}" xmlns:x14="http://schemas.microsoft.com/office/spreadsheetml/2009/9/main"><x14:slicerStyles defaultSlicerStyle="SlicerStyleLight1"/></ext><ext uri="{9260A510-F301-46a8-8635-F512D64BE5F5}" xmlns:x15="http://schemas.microsoft.com/office/spreadsheetml/2010/11/main"><x15:timelineStyles defaultTimelineStyle="TimeSlicerStyleLight1"/></ext></extLst></styleSheet>';
        };
        /**
         * @return {?}
         */
        ExcelStrings.getWorkbook = /**
         * @return {?}
         */
        function () {
            return ExcelStrings.XML_STRING + '<workbook xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x15" xmlns:x15="http://schemas.microsoft.com/office/spreadsheetml/2010/11/main"><fileVersion appName="xl" lastEdited="6" lowestEdited="6" rupBuild="14420"/><workbookPr filterPrivacy="1" defaultThemeVersion="164011"/><bookViews><workbookView xWindow="0" yWindow="0" windowWidth="22260" windowHeight="12645"/></bookViews><sheets><sheet name="Sheet1" sheetId="1" r:id="rId1"/></sheets><calcPr calcId="162913"/><extLst><ext uri="{140A7094-0E35-4892-8432-C4D2E57EDEB5}" xmlns:x15="http://schemas.microsoft.com/office/spreadsheetml/2010/11/main"><x15:workbookPr chartTrackingRefBase="1"/></ext></extLst></workbook>';
        };
        /**
         * @return {?}
         */
        ExcelStrings.getWorksheetRels = /**
         * @return {?}
         */
        function () {
            return ExcelStrings.XML_STRING + "<Relationships xmlns=\"http://schemas.openxmlformats.org/package/2006/relationships\"><Relationship Id=\"rId1\" Type=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships/table\" Target=\"../tables/table1.xml\"/></Relationships>";
        };
        /**
         * @param {?} hasSharedStrings
         * @return {?}
         */
        ExcelStrings.getWorkbookRels = /**
         * @param {?} hasSharedStrings
         * @return {?}
         */
        function (hasSharedStrings) {
            /** @type {?} */
            var retVal = ExcelStrings.XML_STRING + '<Relationships xmlns="http://schemas.openxmlformats.org/package/2006/relationships"><Relationship Id="rId3" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/styles" Target="styles.xml"/><Relationship Id="rId2" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/theme" Target="theme/theme1.xml"/><Relationship Id="rId1" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/worksheet" Target="worksheets/sheet1.xml"/>';
            if (hasSharedStrings) {
                retVal += ExcelStrings.SHARED_STRING_RELATIONSHIP;
            }
            retVal += '</Relationships>';
            return retVal;
        };
        /**
         * @param {?} dimension
         * @param {?} freezePane
         * @param {?} cols
         * @param {?} sheetData
         * @param {?} hasTable
         * @param {?=} hasGroupedRows
         * @param {?=} outlineLevel
         * @return {?}
         */
        ExcelStrings.getSheetXML = /**
         * @param {?} dimension
         * @param {?} freezePane
         * @param {?} cols
         * @param {?} sheetData
         * @param {?} hasTable
         * @param {?=} hasGroupedRows
         * @param {?=} outlineLevel
         * @return {?}
         */
        function (dimension, freezePane, cols, sheetData, hasTable, hasGroupedRows, outlineLevel) {
            if (hasGroupedRows === void 0) { hasGroupedRows = false; }
            if (outlineLevel === void 0) { outlineLevel = 0; }
            /** @type {?} */
            var tableParts = hasTable ? '<tableParts count="1"><tablePart r:id="rId1"/></tableParts>' : '';
            /** @type {?} */
            var sheetOutlineProp = hasGroupedRows ? '<sheetPr><outlinePr summaryBelow="0"/></sheetPr>' : '';
            /** @type {?} */
            var sOutlineLevel = outlineLevel > 0 ? "outlineLevelRow=\"" + outlineLevel + "\"" : '';
            // return ExcelStrings.XML_STRING +
            //     '<worksheet xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" xmlns:r="http://schemas.openxmlformats.org/officeDocument/2006/relationships" xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" mc:Ignorable="x14ac" xmlns:x14ac="http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac"><dimension ref="' + dimension + '"/><sheetViews><sheetView tabSelected="1" workbookViewId="0">' + freezePane + '</sheetView></sheetViews><sheetFormatPr defaultRowHeight="15" x14ac:dyDescent="0.25"/>' + cols + sheetData + '<pageMargins left="0.7" right="0.7" top="0.75" bottom="0.75" header="0.3" footer="0.3"/>' + tableParts + '</worksheet>';
            return ExcelStrings.XML_STRING + "\n<worksheet xmlns=\"http://schemas.openxmlformats.org/spreadsheetml/2006/main\" xmlns:r=\"http://schemas.openxmlformats.org/officeDocument/2006/relationships\" xmlns:mc=\"http://schemas.openxmlformats.org/markup-compatibility/2006\" mc:Ignorable=\"x14ac\" xmlns:x14ac=\"http://schemas.microsoft.com/office/spreadsheetml/2009/9/ac\">\n" + sheetOutlineProp + "\n<dimension ref=\"" + dimension + "\"/>\n<sheetViews><sheetView tabSelected=\"1\" workbookViewId=\"0\">" + freezePane + "</sheetView></sheetViews>\n<sheetFormatPr defaultRowHeight=\"15\" " + sOutlineLevel + " x14ac:dyDescent=\"0.25\"/>\n" + cols + "\n" + sheetData + "\n<pageMargins left=\"0.7\" right=\"0.7\" top=\"0.75\" bottom=\"0.75\" header=\"0.3\" footer=\"0.3\"/>\n" + tableParts + "</worksheet>";
        };
        /**
         * @param {?} count
         * @param {?} uniqueCount
         * @param {?} table
         * @return {?}
         */
        ExcelStrings.getSharedStringXML = /**
         * @param {?} count
         * @param {?} uniqueCount
         * @param {?} table
         * @return {?}
         */
        function (count, uniqueCount, table) {
            return ExcelStrings.XML_STRING + '<sst xmlns="http://schemas.openxmlformats.org/spreadsheetml/2006/main" count="' + count + '" uniqueCount="' + uniqueCount + '">' + table + '</sst>';
        };
        /**
         * @param {?} hasSharedStrings
         * @param {?} hasTable
         * @return {?}
         */
        ExcelStrings.getContentTypesXML = /**
         * @param {?} hasSharedStrings
         * @param {?} hasTable
         * @return {?}
         */
        function (hasSharedStrings, hasTable) {
            /** @type {?} */
            var contentTypes = ExcelStrings.XML_STRING +
                "<Types xmlns=\"http://schemas.openxmlformats.org/package/2006/content-types\">\n            <Default Extension=\"rels\" ContentType=\"application/vnd.openxmlformats-package.relationships+xml\"/>\n            <Default Extension=\"xml\" ContentType=\"application/xml\"/>\n            <Override PartName=\"/xl/workbook.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.spreadsheetml.sheet.main+xml\"/>\n            <Override PartName=\"/xl/worksheets/sheet1.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.spreadsheetml.worksheet+xml\"/>\n            <Override PartName=\"/xl/theme/theme1.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.theme+xml\"/>\n            <Override PartName=\"/xl/styles.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.spreadsheetml.styles+xml\"/>\n            <Override PartName=\"/docProps/core.xml\" ContentType=\"application/vnd.openxmlformats-package.core-properties+xml\"/>\n            <Override PartName=\"/docProps/app.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.extended-properties+xml\"/>";
            contentTypes += hasSharedStrings ?
                "\t<Override PartName=\"/xl/sharedStrings.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.spreadsheetml.sharedStrings+xml\"/>" : '';
            contentTypes += hasTable ?
                "<Override PartName=\"/xl/tables/table1.xml\" ContentType=\"application/vnd.openxmlformats-officedocument.spreadsheetml.table+xml\"/>" : '';
            contentTypes += "</Types>";
            return contentTypes;
        };
        /**
         * @param {?} dimension
         * @param {?} tableColumns
         * @param {?} sort
         * @return {?}
         */
        ExcelStrings.getTablesXML = /**
         * @param {?} dimension
         * @param {?} tableColumns
         * @param {?} sort
         * @return {?}
         */
        function (dimension, tableColumns, sort) {
            return ExcelStrings.XML_STRING + "<table xmlns=\"http://schemas.openxmlformats.org/spreadsheetml/2006/main\" id=\"1\" name=\"Table1\" displayName=\"Table1\" ref=\"" + dimension + "\" totalsRowShown=\"0\">\n    <autoFilter ref=\"" + dimension + "\"/>" + sort + tableColumns + "<tableStyleInfo name=\"TableStyleMedium2\" showFirstColumn=\"0\" showLastColumn=\"0\" showRowStripes=\"1\" showColumnStripes=\"0\"/>\n</table>";
        };
        /* tslint:enable max-line-length */
        /* tslint:enable max-line-length */
        /**
         * @param {?} index
         * @return {?}
         */
        ExcelStrings.getExcelColumn = /* tslint:enable max-line-length */
        /**
         * @param {?} index
         * @return {?}
         */
        function (index) {
            // Returns the excel column name for given 0-based index
            // For example 27 should return "AB"
            /** @type {?} */
            var returnString = '';
            while (index >= 0) {
                /** @type {?} */
                var char = index % 26;
                returnString = String.fromCharCode(65 + char) + returnString;
                index = Math.floor(index / 26) - 1;
            }
            return returnString;
        };
        /* tslint:disable max-line-length */
        ExcelStrings.XML_STRING = '<?xml version="1.0" encoding="UTF-8"?>\r\n';
        ExcelStrings.SHARED_STRING_RELATIONSHIP = '<Relationship Id="rId4" Type="http://schemas.openxmlformats.org/officeDocument/2006/relationships/sharedStrings" Target="sharedStrings.xml" />';
        return ExcelStrings;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    RootRelsFile = /** @class */ (function () {
        function RootRelsFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        RootRelsFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('.rels', ExcelStrings.getRels());
        };
        return RootRelsFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    AppFile = /** @class */ (function () {
        function AppFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        AppFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('app.xml', ExcelStrings.getApp());
        };
        return AppFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    CoreFile = /** @class */ (function () {
        function CoreFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        CoreFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('core.xml', ExcelStrings.getCore());
        };
        return CoreFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    WorkbookRelsFile = /** @class */ (function () {
        function WorkbookRelsFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        WorkbookRelsFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            /** @type {?} */
            var hasSharedStrings = worksheetData.isEmpty === false;
            folder.file('workbook.xml.rels', ExcelStrings.getWorkbookRels(hasSharedStrings));
        };
        return WorkbookRelsFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ThemeFile = /** @class */ (function () {
        function ThemeFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        ThemeFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('theme1.xml', ExcelStrings.getTheme());
        };
        return ThemeFile;
    }());
    /**
     * @hidden
     */
    var WorksheetFile = /** @class */ (function () {
        function WorksheetFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        WorksheetFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            /** @type {?} */
            var sheetData = [];
            /** @type {?} */
            var cols = [];
            /** @type {?} */
            var dimension;
            /** @type {?} */
            var dictionary = worksheetData.dataDictionary;
            /** @type {?} */
            var freezePane = '';
            /** @type {?} */
            var maxOutlineLevel = 0;
            if (worksheetData.isEmpty) {
                sheetData.push('<sheetData/>');
                dimension = 'A1';
            }
            else {
                sheetData.push('<sheetData>');
                /** @type {?} */
                var height = worksheetData.options.rowHeight;
                /** @type {?} */
                var rowHeight = height ? ' ht="' + height + '" customHeight="1"' : '';
                sheetData.push("<row r=\"1\"" + rowHeight + ">");
                for (var i = 0; i < worksheetData.columnCount; i++) {
                    /** @type {?} */
                    var column = ExcelStrings.getExcelColumn(i) + 1;
                    /** @type {?} */
                    var value = dictionary.saveValue(worksheetData.keys[i], i, true);
                    sheetData.push("<c r=\"" + column + "\" t=\"s\"><v>" + value + "</v></c>");
                }
                sheetData.push('</row>');
                for (var i = 1; i < worksheetData.rowCount; i++) {
                    if (!worksheetData.isTreeGridData) {
                        sheetData.push("<row r=\"" + (i + 1) + "\"" + rowHeight + ">");
                    }
                    else {
                        /** @type {?} */
                        var rowData = worksheetData.data[i - 1].originalRowData;
                        /** @type {?} */
                        var sCollapsed = (!rowData.expanded) ? '' : (rowData.expanded === true) ? '' : " collapsed=\"1\"";
                        /** @type {?} */
                        var sHidden = (rowData.parent && this.hasCollapsedParent(rowData)) ? " hidden=\"1\"" : '';
                        /** @type {?} */
                        var rowOutlineLevel = rowData.level ? rowData.level : 0;
                        /** @type {?} */
                        var sOutlineLevel = rowOutlineLevel > 0 ? " outlineLevel=\"" + rowOutlineLevel + "\"" : '';
                        maxOutlineLevel = maxOutlineLevel < rowOutlineLevel ? rowOutlineLevel : maxOutlineLevel;
                        sheetData.push("<row r=\"" + (i + 1) + "\"" + rowHeight + sOutlineLevel + sCollapsed + sHidden + ">");
                    }
                    for (var j = 0; j < worksheetData.columnCount; j++) {
                        /** @type {?} */
                        var cellData = WorksheetFile.getCellData(worksheetData, i, j);
                        sheetData.push(cellData);
                    }
                    sheetData.push('</row>');
                }
                sheetData.push('</sheetData>');
                dimension = 'A1:' + ExcelStrings.getExcelColumn(worksheetData.columnCount - 1) + worksheetData.rowCount;
                cols.push('<cols>');
                for (var i = 0; i < worksheetData.columnCount; i++) {
                    /** @type {?} */
                    var width = dictionary.columnWidths[i];
                    // Use the width provided in the options if it exists
                    /** @type {?} */
                    var widthInTwips = worksheetData.options.columnWidth ?
                        worksheetData.options.columnWidth :
                        Math.max(((width / 96) * 14.4), WorksheetFile.MIN_WIDTH);
                    cols.push("<col min=\"" + (i + 1) + "\" max=\"" + (i + 1) + "\" width=\"" + widthInTwips + "\" customWidth=\"1\"/>");
                }
                cols.push('</cols>');
                if (worksheetData.indexOfLastPinnedColumn !== -1 &&
                    !worksheetData.options.ignorePinning &&
                    !worksheetData.options.ignoreColumnsOrder) {
                    /** @type {?} */
                    var frozenColumnCount = worksheetData.indexOfLastPinnedColumn + 1;
                    /** @type {?} */
                    var firstCell = ExcelStrings.getExcelColumn(frozenColumnCount) + '1';
                    freezePane = "<pane xSplit=\"" + frozenColumnCount + "\" topLeftCell=\"" + firstCell + "\" activePane=\"topRight\" state=\"frozen\"/>";
                }
            }
            /** @type {?} */
            var hasTable = !worksheetData.isEmpty && worksheetData.options.exportAsTable;
            folder.file('sheet1.xml', ExcelStrings.getSheetXML(dimension, freezePane, cols.join(''), sheetData.join(''), hasTable, worksheetData.isTreeGridData, maxOutlineLevel));
        };
        /**
         * @private
         * @param {?} rowData
         * @return {?}
         */
        WorksheetFile.prototype.hasCollapsedParent = /**
         * @private
         * @param {?} rowData
         * @return {?}
         */
        function (rowData) {
            /** @type {?} */
            var result = !rowData.parent.expanded;
            while (rowData.parent) {
                result = result || !rowData.parent.expanded;
                rowData = rowData.parent;
            }
            return result;
        };
        /* tslint:disable member-ordering */
        /* tslint:disable member-ordering */
        /**
         * @private
         * @param {?} worksheetData
         * @param {?} row
         * @param {?} column
         * @return {?}
         */
        WorksheetFile.getCellData = /* tslint:disable member-ordering */
        /**
         * @private
         * @param {?} worksheetData
         * @param {?} row
         * @param {?} column
         * @return {?}
         */
        function (worksheetData, row, column) {
            /** @type {?} */
            var dictionary = worksheetData.dataDictionary;
            /** @type {?} */
            var columnName = ExcelStrings.getExcelColumn(column) + (row + 1);
            /** @type {?} */
            var columnHeader = worksheetData.keys[column];
            /** @type {?} */
            var rowData = worksheetData.data[row - 1].rowData;
            /** @type {?} */
            var cellValue = worksheetData.isSpecialData ? rowData : rowData[columnHeader];
            if (cellValue === undefined || cellValue === null) {
                return "<c r=\"" + columnName + "\" s=\"1\"/>";
            }
            else {
                /** @type {?} */
                var savedValue = dictionary.saveValue(cellValue, column, false);
                /** @type {?} */
                var isSavedAsString = savedValue !== -1;
                /** @type {?} */
                var value = isSavedAsString ? savedValue : cellValue;
                /** @type {?} */
                var type = isSavedAsString ? " t=\"s\"" : '';
                /** @type {?} */
                var format = isSavedAsString ? '' : " s=\"1\"";
                return "<c r=\"" + columnName + "\"" + type + format + "><v>" + value + "</v></c>";
            }
        };
        WorksheetFile.MIN_WIDTH = 8.34;
        return WorksheetFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    StyleFile = /** @class */ (function () {
        function StyleFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        StyleFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('styles.xml', ExcelStrings.getStyles(worksheetData.dataDictionary && worksheetData.dataDictionary.hasNonStringValues));
        };
        return StyleFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    WorkbookFile = /** @class */ (function () {
        function WorkbookFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        WorkbookFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('workbook.xml', ExcelStrings.getWorkbook());
        };
        return WorkbookFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ContentTypesFile = /** @class */ (function () {
        function ContentTypesFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        ContentTypesFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('[Content_Types].xml', ExcelStrings.getContentTypesXML(!worksheetData.isEmpty, worksheetData.options.exportAsTable));
        };
        return ContentTypesFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    SharedStringsFile = /** @class */ (function () {
        function SharedStringsFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        SharedStringsFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            var e_1, _a;
            /** @type {?} */
            var dict = worksheetData.dataDictionary;
            /** @type {?} */
            var sortedValues = dict.getKeys();
            /** @type {?} */
            var sharedStrings = new Array(sortedValues.length);
            try {
                for (var sortedValues_1 = __values(sortedValues), sortedValues_1_1 = sortedValues_1.next(); !sortedValues_1_1.done; sortedValues_1_1 = sortedValues_1.next()) {
                    var value = sortedValues_1_1.value;
                    sharedStrings[dict.getSanitizedValue(value)] = '<si><t>' + value + '</t></si>';
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (sortedValues_1_1 && !sortedValues_1_1.done && (_a = sortedValues_1.return)) _a.call(sortedValues_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            folder.file('sharedStrings.xml', ExcelStrings.getSharedStringXML(dict.stringsCount, sortedValues.length, sharedStrings.join('')));
        };
        return SharedStringsFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    TablesFile = /** @class */ (function () {
        function TablesFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        TablesFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            /** @type {?} */
            var columnCount = worksheetData.columnCount;
            /** @type {?} */
            var lastColumn = ExcelStrings.getExcelColumn(columnCount - 1) + worksheetData.rowCount;
            /** @type {?} */
            var dimension = 'A1:' + lastColumn;
            /** @type {?} */
            var values = worksheetData.keys;
            /** @type {?} */
            var sortString = '';
            /** @type {?} */
            var tableColumns = '<tableColumns count="' + columnCount + '">';
            for (var i = 0; i < columnCount; i++) {
                /** @type {?} */
                var value = values[i];
                tableColumns += '<tableColumn id="' + (i + 1) + '" name="' + value + '"/>';
            }
            tableColumns += '</tableColumns>';
            if (worksheetData.sort) {
                /** @type {?} */
                var sortingExpression = worksheetData.sort;
                /** @type {?} */
                var sc = ExcelStrings.getExcelColumn(values.indexOf(sortingExpression.fieldName));
                /** @type {?} */
                var dir = sortingExpression.dir - 1;
                sortString = "<sortState ref=\"A2:" + lastColumn + "\"><sortCondition descending=\"" + dir + "\" ref=\"" + sc + "1:" + sc + "15\"/></sortState>";
            }
            folder.file('table1.xml', ExcelStrings.getTablesXML(dimension, tableColumns, sortString));
        };
        return TablesFile;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    WorksheetRelsFile = /** @class */ (function () {
        function WorksheetRelsFile() {
        }
        /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        WorksheetRelsFile.prototype.writeElement = /**
         * @param {?} folder
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, worksheetData) {
            folder.file('sheet1.xml.rels', ExcelStrings.getWorksheetRels());
        };
        return WorksheetRelsFile;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    RootExcelFolder = /** @class */ (function () {
        function RootExcelFolder() {
        }
        Object.defineProperty(RootExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return '';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        RootExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.ContentTypesFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        RootExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [
                ExcelFolderTypes.RootRelsExcelFolder,
                ExcelFolderTypes.DocPropsExcelFolder,
                ExcelFolderTypes.XLExcelFolder
            ];
        };
        return RootExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    RootRelsExcelFolder = /** @class */ (function () {
        function RootRelsExcelFolder() {
        }
        Object.defineProperty(RootRelsExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return '_rels';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        RootRelsExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.RootRelsFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        RootRelsExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [];
        };
        return RootRelsExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    DocPropsExcelFolder = /** @class */ (function () {
        function DocPropsExcelFolder() {
        }
        Object.defineProperty(DocPropsExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return 'docProps';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        DocPropsExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [
                ExcelFileTypes.AppFile,
                ExcelFileTypes.CoreFile
            ];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        DocPropsExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [];
        };
        return DocPropsExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    XLExcelFolder = /** @class */ (function () {
        function XLExcelFolder() {
        }
        Object.defineProperty(XLExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return 'xl';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        XLExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            /** @type {?} */
            var retVal = [
                ExcelFileTypes.StyleFile,
                ExcelFileTypes.WorkbookFile
            ];
            if (!data.isEmpty) {
                retVal.push(ExcelFileTypes.SharedStringsFile);
            }
            return retVal;
        };
        /**
         * @param {?} data
         * @return {?}
         */
        XLExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            /** @type {?} */
            var retVal = [
                ExcelFolderTypes.XLRelsExcelFolder,
                ExcelFolderTypes.ThemeExcelFolder,
                ExcelFolderTypes.WorksheetsExcelFolder
            ];
            if (!data.isEmpty && data.options.exportAsTable) {
                retVal.push(ExcelFolderTypes.TablesExcelFolder);
            }
            return retVal;
        };
        return XLExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    XLRelsExcelFolder = /** @class */ (function () {
        function XLRelsExcelFolder() {
        }
        Object.defineProperty(XLRelsExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return '_rels';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        XLRelsExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.WorkbookRelsFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        XLRelsExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [];
        };
        return XLRelsExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ThemeExcelFolder = /** @class */ (function () {
        function ThemeExcelFolder() {
        }
        Object.defineProperty(ThemeExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return 'theme';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        ThemeExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.ThemeFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        ThemeExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [];
        };
        return ThemeExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    WorksheetsExcelFolder = /** @class */ (function () {
        function WorksheetsExcelFolder() {
        }
        Object.defineProperty(WorksheetsExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return 'worksheets';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        WorksheetsExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.WorksheetFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        WorksheetsExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.isEmpty || !data.options.exportAsTable ? [] : [ExcelFolderTypes.WorksheetsRelsExcelFolder];
        };
        return WorksheetsExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    TablesExcelFolder = /** @class */ (function () {
        function TablesExcelFolder() {
        }
        Object.defineProperty(TablesExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return 'tables';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        TablesExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.TablesFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        TablesExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [];
        };
        return TablesExcelFolder;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    WorksheetsRelsExcelFolder = /** @class */ (function () {
        function WorksheetsRelsExcelFolder() {
        }
        Object.defineProperty(WorksheetsRelsExcelFolder.prototype, "folderName", {
            get: /**
             * @return {?}
             */
            function () {
                return '_rels';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} data
         * @return {?}
         */
        WorksheetsRelsExcelFolder.prototype.childFiles = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [ExcelFileTypes.WorksheetRelsFile];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        WorksheetsRelsExcelFolder.prototype.childFolders = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return [];
        };
        return WorksheetsRelsExcelFolder;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ExcelElementsFactory = /** @class */ (function () {
        function ExcelElementsFactory() {
        }
        /**
         * @param {?} type
         * @return {?}
         */
        ExcelElementsFactory.getExcelFolder = /**
         * @param {?} type
         * @return {?}
         */
        function (type) {
            switch (type) {
                case ExcelFolderTypes.RootExcelFolder:
                    return new RootExcelFolder();
                case ExcelFolderTypes.RootRelsExcelFolder:
                    return new RootRelsExcelFolder();
                case ExcelFolderTypes.DocPropsExcelFolder:
                    return new DocPropsExcelFolder();
                case ExcelFolderTypes.XLExcelFolder:
                    return new XLExcelFolder();
                case ExcelFolderTypes.XLRelsExcelFolder:
                    return new XLRelsExcelFolder();
                case ExcelFolderTypes.ThemeExcelFolder:
                    return new ThemeExcelFolder();
                case ExcelFolderTypes.WorksheetsExcelFolder:
                    return new WorksheetsExcelFolder();
                case ExcelFolderTypes.WorksheetsRelsExcelFolder:
                    return new WorksheetsRelsExcelFolder();
                case ExcelFolderTypes.TablesExcelFolder:
                    return new TablesExcelFolder();
                default:
                    throw new Error('Unknown excel folder type!');
            }
        };
        /**
         * @param {?} type
         * @return {?}
         */
        ExcelElementsFactory.getExcelFile = /**
         * @param {?} type
         * @return {?}
         */
        function (type) {
            switch (type) {
                case ExcelFileTypes.RootRelsFile:
                    return new RootRelsFile();
                case ExcelFileTypes.AppFile:
                    return new AppFile();
                case ExcelFileTypes.CoreFile:
                    return new CoreFile();
                case ExcelFileTypes.WorkbookRelsFile:
                    return new WorkbookRelsFile();
                case ExcelFileTypes.ThemeFile:
                    return new ThemeFile();
                case ExcelFileTypes.WorksheetFile:
                    return new WorksheetFile();
                case ExcelFileTypes.StyleFile:
                    return new StyleFile();
                case ExcelFileTypes.WorkbookFile:
                    return new WorkbookFile();
                case ExcelFileTypes.ContentTypesFile:
                    return new ContentTypesFile();
                case ExcelFileTypes.SharedStringsFile:
                    return new SharedStringsFile();
                case ExcelFileTypes.WorksheetRelsFile:
                    return new WorksheetRelsFile();
                case ExcelFileTypes.TablesFile:
                    return new TablesFile();
                default:
                    throw Error('Unknown excel file type!');
            }
        };
        return ExcelElementsFactory;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var WorksheetDataDictionary = /** @class */ (function () {
        function WorksheetDataDictionary(columnCount, columnWidth) {
            this.hasNonStringValues = false;
            this._dictionary = {};
            this._widthsDictionary = {};
            this._counter = 0;
            this.dirtyKeyCollections();
            this._calculateColumnWidth = !columnWidth;
            this._columnWidths = new Array(columnCount);
            this._columnTypeInfo = new Array(columnCount);
            if (!this._calculateColumnWidth) {
                this._columnWidths.fill(columnWidth);
            }
            this.stringsCount = 0;
        }
        Object.defineProperty(WorksheetDataDictionary.prototype, "columnWidths", {
            get: /**
             * @return {?}
             */
            function () {
                return this._columnWidths;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @param {?} column
         * @param {?} isHeader
         * @return {?}
         */
        WorksheetDataDictionary.prototype.saveValue = /**
         * @param {?} value
         * @param {?} column
         * @param {?} isHeader
         * @return {?}
         */
        function (value, column, isHeader) {
            if (this._columnTypeInfo[column] === undefined && isHeader === false) {
                this._columnTypeInfo[column] = typeof value === 'string' ||
                    typeof value === 'boolean' ||
                    value instanceof Date;
            }
            /** @type {?} */
            var sanitizedValue = '';
            /** @type {?} */
            var isSavedAsString = this._columnTypeInfo[column] || isHeader;
            if (isSavedAsString) {
                sanitizedValue = this.sanitizeValue(value);
                if (this._dictionary[sanitizedValue] === undefined) {
                    this._dictionary[sanitizedValue] = this._counter++;
                    this.dirtyKeyCollections();
                }
                this.stringsCount++;
            }
            else {
                this.hasNonStringValues = true;
            }
            if (this._calculateColumnWidth) {
                /** @type {?} */
                var width = this.getTextWidth(value);
                /** @type {?} */
                var maxWidth = Math.max(this._columnWidths[column] || 0, width);
                this._columnWidths[column] = maxWidth;
            }
            return isSavedAsString ? this.getSanitizedValue(sanitizedValue) : -1;
        };
        /**
         * @param {?} value
         * @return {?}
         */
        WorksheetDataDictionary.prototype.getValue = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.getSanitizedValue(this.sanitizeValue(value));
        };
        /**
         * @param {?} sanitizedValue
         * @return {?}
         */
        WorksheetDataDictionary.prototype.getSanitizedValue = /**
         * @param {?} sanitizedValue
         * @return {?}
         */
        function (sanitizedValue) {
            return this._dictionary[sanitizedValue];
        };
        /**
         * @return {?}
         */
        WorksheetDataDictionary.prototype.getKeys = /**
         * @return {?}
         */
        function () {
            if (!this._keysAreValid) {
                this._keys = Object.keys(this._dictionary);
                this._keysAreValid = true;
            }
            return this._keys;
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        WorksheetDataDictionary.prototype.getTextWidth = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this._widthsDictionary[value] === undefined) {
                /** @type {?} */
                var context = this.getContext();
                /** @type {?} */
                var metrics = context.measureText(value);
                this._widthsDictionary[value] = metrics.width + WorksheetDataDictionary.TEXT_PADDING;
            }
            return this._widthsDictionary[value];
        };
        /**
         * @private
         * @return {?}
         */
        WorksheetDataDictionary.prototype.getContext = /**
         * @private
         * @return {?}
         */
        function () {
            if (!this._context) {
                /** @type {?} */
                var canvas = document.createElement('canvas');
                this._context = canvas.getContext('2d');
                this._context.font = WorksheetDataDictionary.DEFAULT_FONT;
            }
            return this._context;
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        WorksheetDataDictionary.prototype.sanitizeValue = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (ExportUtilities.hasValue(value) === false) {
                return '';
            }
            else {
                /** @type {?} */
                var stringValue = String(value);
                return stringValue.replace(/&/g, '&amp;')
                    .replace(/</g, '&lt;')
                    .replace(/>/g, '&gt;')
                    .replace(/"/g, '&quot;')
                    .replace(/'/g, '&apos;');
            }
        };
        /**
         * @private
         * @return {?}
         */
        WorksheetDataDictionary.prototype.dirtyKeyCollections = /**
         * @private
         * @return {?}
         */
        function () {
            this._keysAreValid = false;
        };
        WorksheetDataDictionary.DEFAULT_FONT = '11pt Calibri';
        WorksheetDataDictionary.TEXT_PADDING = 5;
        return WorksheetDataDictionary;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    WorksheetData = /** @class */ (function () {
        function WorksheetData(_data, options, indexOfLastPinnedColumn, sort, isTreeGridData) {
            if (isTreeGridData === void 0) { isTreeGridData = false; }
            this._data = _data;
            this.options = options;
            this.indexOfLastPinnedColumn = indexOfLastPinnedColumn;
            this.sort = sort;
            this.isTreeGridData = isTreeGridData;
            this.initializeData();
        }
        Object.defineProperty(WorksheetData.prototype, "data", {
            get: /**
             * @return {?}
             */
            function () {
                return this._data;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(WorksheetData.prototype, "columnCount", {
            get: /**
             * @return {?}
             */
            function () {
                return this._columnCount;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(WorksheetData.prototype, "rowCount", {
            get: /**
             * @return {?}
             */
            function () {
                return this._rowCount;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(WorksheetData.prototype, "isEmpty", {
            get: /**
             * @return {?}
             */
            function () {
                return !this.rowCount || !this._columnCount;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(WorksheetData.prototype, "keys", {
            get: /**
             * @return {?}
             */
            function () {
                return this._keys;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(WorksheetData.prototype, "isSpecialData", {
            get: /**
             * @return {?}
             */
            function () {
                return this._isSpecialData;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(WorksheetData.prototype, "dataDictionary", {
            get: /**
             * @return {?}
             */
            function () {
                return this._dataDictionary;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @return {?}
         */
        WorksheetData.prototype.initializeData = /**
         * @private
         * @return {?}
         */
        function () {
            if (!this._data || this._data.length === 0) {
                return;
            }
            /** @type {?} */
            var actualData = this._data.map(function (item) { return item.rowData; });
            this._keys = ExportUtilities.getKeysFromData(actualData);
            if (this._keys.length === 0) {
                return;
            }
            this._isSpecialData = ExportUtilities.isSpecialData(actualData);
            this._columnCount = this._keys.length;
            this._rowCount = this._data.length + 1;
            this._dataDictionary = new WorksheetDataDictionary(this._columnCount, this.options.columnWidth);
        };
        return WorksheetData;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Excel Exporter Service** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/exporter_excel.html)
     *
     * The Ignite UI for Angular Excel Exporter service can export data in Microsoft® Excel® format from both raw data
     * (array) or from an `IgxGrid`.
     *
     * Example:
     * ```typescript
     * public localData = [
     *   { Name: "Eric Ridley", Age: "26" },
     *   { Name: "Alanis Brook", Age: "22" },
     *   { Name: "Jonathan Morris", Age: "23" }
     * ];
     *
     * constructor(private excelExportService: IgxExcelExporterService) {
     * }
     *
     * this.excelExportService.exportData(this.localData, new IgxExcelExporterOptions("FileName"));
     * ```
     */
    var IgxExcelExporterService = /** @class */ (function (_super) {
        __extends(IgxExcelExporterService, _super);
        function IgxExcelExporterService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            /**
             * This event is emitted when the export process finishes.
             * ```typescript
             * this.exporterService.onExportEnded.subscribe((args: IExcelExportEndedEventArgs) => {
             * // put event handler code here
             * });
             * ```
             * \@memberof IgxExcelExporterService
             */
            _this.onExportEnded = new core.EventEmitter();
            return _this;
        }
        /**
         * @private
         * @param {?} folder
         * @param {?} zip
         * @param {?} worksheetData
         * @return {?}
         */
        IgxExcelExporterService.populateFolder = /**
         * @private
         * @param {?} folder
         * @param {?} zip
         * @param {?} worksheetData
         * @return {?}
         */
        function (folder, zip, worksheetData) {
            var e_1, _a, e_2, _b;
            try {
                for (var _c = __values(folder.childFolders(worksheetData)), _d = _c.next(); !_d.done; _d = _c.next()) {
                    var childFolder = _d.value;
                    /** @type {?} */
                    var folderIntance = ExcelElementsFactory.getExcelFolder(childFolder);
                    /** @type {?} */
                    var zipFolder = zip.folder(folderIntance.folderName);
                    IgxExcelExporterService.populateFolder(folderIntance, zipFolder, worksheetData);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                }
                finally { if (e_1) throw e_1.error; }
            }
            try {
                for (var _e = __values(folder.childFiles(worksheetData)), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var childFile = _f.value;
                    /** @type {?} */
                    var fileInstance = ExcelElementsFactory.getExcelFile(childFile);
                    fileInstance.writeElement(zip, worksheetData);
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        /**
         * @protected
         * @param {?} data
         * @param {?} options
         * @return {?}
         */
        IgxExcelExporterService.prototype.exportDataImplementation = /**
         * @protected
         * @param {?} data
         * @param {?} options
         * @return {?}
         */
        function (data, options) {
            var _this = this;
            if (this._isTreeGrid) {
                /** @type {?} */
                var maxLevel_1 = 0;
                data.forEach(function (r) {
                    maxLevel_1 = Math.max(maxLevel_1, r.originalRowData.level);
                });
                if (maxLevel_1 > 7) {
                    throw Error('Can create an outline of up to eight levels!');
                }
            }
            /** @type {?} */
            var worksheetData = new WorksheetData(data, options, this._indexOfLastPinnedColumn, this._sort, this._isTreeGrid);
            this._xlsx = new JSZip();
            /** @type {?} */
            var rootFolder = ExcelElementsFactory.getExcelFolder(ExcelFolderTypes.RootExcelFolder);
            IgxExcelExporterService.populateFolder(rootFolder, this._xlsx, worksheetData);
            this._xlsx.generateAsync(IgxExcelExporterService.ZIP_OPTIONS).then(function (result) {
                _this.saveFile(result, options.fileName);
                _this.onExportEnded.emit({ xlsx: _this._xlsx });
            });
        };
        /**
         * @private
         * @param {?} data
         * @param {?} fileName
         * @return {?}
         */
        IgxExcelExporterService.prototype.saveFile = /**
         * @private
         * @param {?} data
         * @param {?} fileName
         * @return {?}
         */
        function (data, fileName) {
            /** @type {?} */
            var blob = new Blob([ExportUtilities.stringToArrayBuffer(atob(data))], {
                type: ''
            });
            ExportUtilities.saveBlobToFile(blob, fileName);
        };
        IgxExcelExporterService.ZIP_OPTIONS = { compression: 'DEFLATE', type: 'base64' };
        IgxExcelExporterService.decorators = [
            { type: core.Injectable }
        ];
        IgxExcelExporterService.propDecorators = {
            onExportEnded: [{ type: core.Output }]
        };
        return IgxExcelExporterService;
    }(IgxBaseExporter));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Objects of this class are used to configure the Excel exporting process.
     */
    var   /**
     * Objects of this class are used to configure the Excel exporting process.
     */
    IgxExcelExporterOptions = /** @class */ (function (_super) {
        __extends(IgxExcelExporterOptions, _super);
        function IgxExcelExporterOptions(fileName) {
            var _this = _super.call(this, fileName, '.xlsx') || this;
            /**
             * Specifies if column pinning should be ignored. If ignoreColumnsOrder is set to true,
             * this option will always be considered as set to true.
             * ```typescript
             * let ignorePinning = this.exportOptions.ignorePinning;
             * this.exportOptions.ignorePinning = true;
             * ```
             * \@memberof IgxExcelExporterOptions
             */
            _this.ignorePinning = false;
            /**
             * Specifies whether the exported data should be formatted as Excel table. (True by default)
             * ```typescript
             * let exportAsTable = this.exportOptions.exportAsTable;
             * this.exportOptions.exportAsTable = false;
             * ```
             * \@memberof IgxExcelExporterOptions
             */
            _this.exportAsTable = true;
            return _this;
        }
        Object.defineProperty(IgxExcelExporterOptions.prototype, "columnWidth", {
            /**
             * Gets the width of the columns in the exported excel file.
             * ```typescript
             * let width = this.exportOptions.columnWidth;
             * ```
             * @memberof IgxExcelExporterOptions
             */
            get: /**
             * Gets the width of the columns in the exported excel file.
             * ```typescript
             * let width = this.exportOptions.columnWidth;
             * ```
             * \@memberof IgxExcelExporterOptions
             * @return {?}
             */
            function () {
                return this._columnWidth;
            },
            /**
             * Sets the width of the columns in the exported excel file. If left unspecified or 0,
             * the width of the largest string in the column will be used.
             * ```typescript
             * this.exportOptions.columnWidth = 55;
             * ```
             * @memberof IgxExcelExporterOptions
             */
            set: /**
             * Sets the width of the columns in the exported excel file. If left unspecified or 0,
             * the width of the largest string in the column will be used.
             * ```typescript
             * this.exportOptions.columnWidth = 55;
             * ```
             * \@memberof IgxExcelExporterOptions
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value < 0) {
                    throw Error('Invalid value for column width!');
                }
                this._columnWidth = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelExporterOptions.prototype, "rowHeight", {
            /**
             * Gets the height of the rows in the exported excel file.
             * ```typescript
             * let height = this.exportOptions.rowHeight;
             * ```
             * @memberof IgxExcelExporterOptions
             */
            get: /**
             * Gets the height of the rows in the exported excel file.
             * ```typescript
             * let height = this.exportOptions.rowHeight;
             * ```
             * \@memberof IgxExcelExporterOptions
             * @return {?}
             */
            function () {
                return this._rowHeight;
            },
            /**
             * Sets the height of the rows in the exported excel file. If left unspecified or 0,
             * the default height of the excel rows will be used.
             * ```typescript
             * this.exportOptions.rowHeight = 25;
             * ```
             * @memberof IgxExcelExporterOptions
             */
            set: /**
             * Sets the height of the rows in the exported excel file. If left unspecified or 0,
             * the default height of the excel rows will be used.
             * ```typescript
             * this.exportOptions.rowHeight = 25;
             * ```
             * \@memberof IgxExcelExporterOptions
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value < 0) {
                    throw Error('Invalid value for row height!');
                }
                this._rowHeight = value;
            },
            enumerable: true,
            configurable: true
        });
        return IgxExcelExporterOptions;
    }(IgxExporterOptionsBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var HorizontalAlignment = {
        Left: -1,
        Center: -0.5,
        Right: 0,
    };
    HorizontalAlignment[HorizontalAlignment.Left] = 'Left';
    HorizontalAlignment[HorizontalAlignment.Center] = 'Center';
    HorizontalAlignment[HorizontalAlignment.Right] = 'Right';
    /** @enum {number} */
    var VerticalAlignment = {
        Top: -1,
        Middle: -0.5,
        Bottom: 0,
    };
    VerticalAlignment[VerticalAlignment.Top] = 'Top';
    VerticalAlignment[VerticalAlignment.Middle] = 'Middle';
    VerticalAlignment[VerticalAlignment.Bottom] = 'Bottom';
    var Point = /** @class */ (function () {
        function Point(x, y) {
            this.x = x;
            this.y = y;
        }
        return Point;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    Util = /** @class */ (function () {
        function Util() {
        }
        /**
         * @hidden
         * Calculates the rectangle of target for provided overlay settings. Defaults to 0,0,0,0,0,0 rectangle
         * if no target is provided
         * @param settings Overlay settings for which to calculate target rectangle
         */
        /**
         * @hidden
         * Calculates the rectangle of target for provided overlay settings. Defaults to 0,0,0,0,0,0 rectangle
         * if no target is provided
         * @param {?} settings Overlay settings for which to calculate target rectangle
         * @return {?}
         */
        Util.getTargetRect = /**
         * @hidden
         * Calculates the rectangle of target for provided overlay settings. Defaults to 0,0,0,0,0,0 rectangle
         * if no target is provided
         * @param {?} settings Overlay settings for which to calculate target rectangle
         * @return {?}
         */
        function (settings) {
            /** @type {?} */
            var targetRect = {
                bottom: 0,
                height: 0,
                left: 0,
                right: 0,
                top: 0,
                width: 0
            };
            if (settings.target instanceof HTMLElement) {
                targetRect = ((/** @type {?} */ (settings.target))).getBoundingClientRect();
            }
            else if (settings.target instanceof Point) {
                /** @type {?} */
                var targetPoint = (/** @type {?} */ (settings.target));
                targetRect = {
                    bottom: targetPoint.y,
                    height: 0,
                    left: targetPoint.x,
                    right: targetPoint.x,
                    top: targetPoint.y,
                    width: 0
                };
            }
            return targetRect;
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} document
         * @return {?}
         */
        Util.getViewportRect = /**
         * @hidden \@internal
         * @param {?} document
         * @return {?}
         */
        function (document) {
            /** @type {?} */
            var width = document.documentElement.clientWidth;
            /** @type {?} */
            var height = document.documentElement.clientHeight;
            /** @type {?} */
            var scrollPosition = Util.getViewportScrollPosition(document);
            return {
                top: scrollPosition.y,
                left: scrollPosition.x,
                right: scrollPosition.x + width,
                bottom: scrollPosition.y + height,
                width: width,
                height: height,
            };
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} document
         * @return {?}
         */
        Util.getViewportScrollPosition = /**
         * @hidden \@internal
         * @param {?} document
         * @return {?}
         */
        function (document) {
            /** @type {?} */
            var documentElement = document.documentElement;
            /** @type {?} */
            var documentRect = documentElement.getBoundingClientRect();
            /** @type {?} */
            var horizontalScrollPosition = -documentRect.left || document.body.scrollLeft || window.scrollX || documentElement.scrollLeft || 0;
            /** @type {?} */
            var verticalScrollPosition = -documentRect.top || document.body.scrollTop || window.scrollY || documentElement.scrollTop || 0;
            return new Point(horizontalScrollPosition, verticalScrollPosition);
        };
        /** @hidden @internal*/
        /**
         * @hidden \@internal
         * @param {?} object
         * @return {?}
         */
        Util.cloneInstance = /**
         * @hidden \@internal
         * @param {?} object
         * @return {?}
         */
        function (object) {
            /** @type {?} */
            var clonedObj = Object.assign(Object.create(Object.getPrototypeOf(object)), object);
            clonedObj.settings = cloneValue(clonedObj.settings);
            return clonedObj;
        };
        return Util;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Positions the element based on the directions passed in trough PositionSettings.
     * These are Top/Middle/Bottom for verticalDirection and Left/Center/Right for horizontalDirection
     */
    var   /**
     * Positions the element based on the directions passed in trough PositionSettings.
     * These are Top/Middle/Bottom for verticalDirection and Left/Center/Right for horizontalDirection
     */
    GlobalPositionStrategy = /** @class */ (function () {
        function GlobalPositionStrategy(settings) {
            this._defaultSettings = {
                horizontalDirection: HorizontalAlignment.Center,
                verticalDirection: VerticalAlignment.Middle,
                horizontalStartPoint: HorizontalAlignment.Center,
                verticalStartPoint: VerticalAlignment.Middle,
                openAnimation: fadeIn,
                closeAnimation: fadeOut,
                minSize: { width: 0, height: 0 }
            };
            this.settings = Object.assign({}, this._defaultSettings, settings);
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?=} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        GlobalPositionStrategy.prototype.position = /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?=} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        function (contentElement, size, document, initialCall) {
            contentElement.classList.add('igx-overlay__content--relative');
            contentElement.parentElement.classList.add('igx-overlay__wrapper--flex');
            this.setPosition(contentElement, this.settings);
        };
        /**
         * @protected
         * @param {?} contentElement
         * @param {?} settings
         * @return {?}
         */
        GlobalPositionStrategy.prototype.setPosition = /**
         * @protected
         * @param {?} contentElement
         * @param {?} settings
         * @return {?}
         */
        function (contentElement, settings) {
            switch (this.settings.horizontalDirection) {
                case HorizontalAlignment.Left:
                    contentElement.parentElement.style.justifyContent = 'flex-start';
                    break;
                case HorizontalAlignment.Center:
                    contentElement.parentElement.style.justifyContent = 'center';
                    break;
                case HorizontalAlignment.Right:
                    contentElement.parentElement.style.justifyContent = 'flex-end';
                    break;
                default:
                    break;
            }
            switch (this.settings.verticalDirection) {
                case VerticalAlignment.Top:
                    contentElement.parentElement.style.alignItems = 'flex-start';
                    break;
                case VerticalAlignment.Middle:
                    contentElement.parentElement.style.alignItems = 'center';
                    break;
                case VerticalAlignment.Bottom:
                    contentElement.parentElement.style.alignItems = 'flex-end';
                    break;
                default:
                    break;
            }
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        GlobalPositionStrategy.prototype.clone = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            return Util.cloneInstance(this);
        };
        return GlobalPositionStrategy;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    ScrollStrategy = /** @class */ (function () {
        function ScrollStrategy(scrollContainer) {
        }
        return ScrollStrategy;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Empty scroll strategy. Does nothing.
     */
    var   /**
     * Empty scroll strategy. Does nothing.
     */
    NoOpScrollStrategy = /** @class */ (function (_super) {
        __extends(NoOpScrollStrategy, _super);
        function NoOpScrollStrategy(scrollContainer) {
            return _super.call(this, scrollContainer) || this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        NoOpScrollStrategy.prototype.initialize = /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        function (document, overlayService, id) { };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        NoOpScrollStrategy.prototype.attach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () { };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        NoOpScrollStrategy.prototype.detach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () { };
        return NoOpScrollStrategy;
    }(ScrollStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @param {?} message
     * @return {?}
     */
    function DeprecateMethod(message) {
        /** @type {?} */
        var isMessageShown = false;
        return function (target, key, descriptor) {
            if (descriptor && descriptor.value) {
                /** @type {?} */
                var originalMethod_1 = descriptor.value;
                descriptor.value = function () {
                    /** @type {?} */
                    var targetName = typeof target === 'function' ? target.name : target.constructor.name;
                    isMessageShown = showMessage(targetName + "." + key + ": " + message, isMessageShown);
                    return originalMethod_1.call(this, arguments);
                };
                return descriptor;
            }
        };
    }
    /**
     * @hidden
     * @param {?} message
     * @return {?}
     */
    function DeprecateProperty(message) {
        return function (target, key) {
            /** @type {?} */
            var isMessageShown = false;
            /** @type {?} */
            var messageToDisplay = target.constructor.name + "." + key + ": " + message;
            // if the target already has the property defined
            /** @type {?} */
            var originalDescriptor = Object.getOwnPropertyDescriptor(target, key);
            if (originalDescriptor) {
                /** @type {?} */
                var getter_1;
                /** @type {?} */
                var setter_1;
                getter_1 = originalDescriptor.get;
                setter_1 = originalDescriptor.set;
                if (getter_1) {
                    originalDescriptor.get = function () {
                        isMessageShown = showMessage(messageToDisplay, isMessageShown);
                        return getter_1.call(this);
                    };
                }
                if (setter_1) {
                    originalDescriptor.set = function (value) {
                        isMessageShown = showMessage(messageToDisplay, isMessageShown);
                        setter_1.call(this, value);
                    };
                }
                return originalDescriptor;
            }
            // the target doesn't contain a descriptor for that property, so create one
            // use backing field to set/get the value of the property to ensure there won't be infinite recursive calls
            /** @type {?} */
            var newKey = generateUniqueKey(target, key);
            Object.defineProperty(target, key, {
                configurable: true,
                enumerable: true,
                set: function (value) {
                    isMessageShown = showMessage(messageToDisplay, isMessageShown);
                    this[newKey] = value;
                },
                get: function () {
                    isMessageShown = showMessage(messageToDisplay, isMessageShown);
                    return this[newKey];
                }
            });
        };
    }
    /**
     * @hidden
     * @param {?} target
     * @param {?} key
     * @return {?}
     */
    function generateUniqueKey(target, key) {
        /** @type {?} */
        var newKey = '_' + key;
        while (target.hasOwnProperty(newKey)) {
            newKey = '_' + newKey;
        }
        return newKey;
    }
    /**
     * @hidden
     * @param {?} message
     * @param {?} isMessageShown
     * @return {?}
     */
    function showMessage(message, isMessageShown) {
        if (!isMessageShown && core.isDevMode()) {
            console.warn(message);
        }
        return true;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var warningShown = false;
    /**
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/overlay_main.html)
     * The overlay service allows users to show components on overlay div above all other elements in the page.
     */
    var IgxOverlayService = /** @class */ (function () {
        function IgxOverlayService(_factoryResolver, _appRef, _injector, builder, document, _zone) {
            var _this = this;
            this._factoryResolver = _factoryResolver;
            this._appRef = _appRef;
            this._injector = _injector;
            this.builder = builder;
            this.document = document;
            this._zone = _zone;
            this._componentId = 0;
            this._overlayInfos = [];
            this.destroy$ = new rxjs.Subject();
            this._defaultSettings = {
                positionStrategy: new GlobalPositionStrategy(),
                scrollStrategy: new NoOpScrollStrategy(),
                modal: true,
                closeOnOutsideClick: true
            };
            /**
             * Emitted before the component is opened.
             * ```typescript
             * onOpening(event: OverlayCancelableEventArgs){
             *     const onOpening = event;
             * }
             * ```
             */
            this.onOpening = new core.EventEmitter();
            /**
             * Emitted after the component is opened and all animations are finished.
             * ```typescript
             * onOpened(event: OverlayEventArgs){
             *     const onOpened = event;
             * }
             * ```
             */
            this.onOpened = new core.EventEmitter();
            /**
             * Emitted before the component is closed.
             * ```typescript
             * onClosing(event: OverlayCancelableEventArgs){
             *     const onClosing = event;
             * }
             * ```
             */
            this.onClosing = new core.EventEmitter();
            /**
             * Emitted after the component is closed and all animations are finished.
             * ```typescript
             * onClosed(event: OverlayEventArgs){
             *     const onClosed = event;
             * }
             * ```
             */
            this.onClosed = new core.EventEmitter();
            /**
             * Emitted before animation is started
             * ```typescript
             * onAnimation(event: OverlayAnimationEventArgs){
             *     const onAnimation = event;
             * }
             * ```
             */
            this.onAnimation = new core.EventEmitter();
            this.documentClicked = function (ev) {
                //  if we get to modal overlay just return - we should not close anything under it
                //  if we get to non-modal overlay do the next:
                //   1. Check it has close on outside click. If not go on to next overlay;
                //   2. If true check if click is on the element. If it is on the element we have closed
                //  already all previous non-modal with close on outside click elements, so we return. If
                //  not close the overlay and check next
                for (var i = _this._overlayInfos.length; i--;) {
                    /** @type {?} */
                    var info = _this._overlayInfos[i];
                    if (info.settings.modal) {
                        return;
                    }
                    if (info.settings.closeOnOutsideClick) {
                        /** @type {?} */
                        var target = (/** @type {?} */ (ev.target));
                        //  if the click is on the element do not close this overlay
                        if (!info.elementRef.nativeElement.contains(target)) {
                            // if we should exclude position target check if the click is over it. If so do not close overlay
                            /** @type {?} */
                            var positionTarget = (/** @type {?} */ (info.settings.positionStrategy.settings.target));
                            /** @type {?} */
                            var clickOnPositionTarget = false;
                            if (positionTarget) {
                                clickOnPositionTarget = positionTarget.contains(target);
                            }
                            if (!(info.settings.excludePositionTarget && clickOnPositionTarget)) {
                                //  if the click is outside click, but close animation has started do nothing
                                if (!(info.closeAnimationPlayer && info.closeAnimationPlayer.hasStarted())) {
                                    _this._hide(info.id, ev);
                                }
                            }
                        }
                        else {
                            //  TODO: should we return here, or continue with next overlays
                            return;
                        }
                    }
                }
            };
            /**
             * @hidden
             */
            this.repositionAll = function () {
                for (var i = _this._overlayInfos.length; i--;) {
                    _this.reposition(_this._overlayInfos[i].id);
                }
            };
            this._document = (/** @type {?} */ (this.document));
        }
        /**
         * @param {?} component
         * @param {?=} settings
         * @param {?=} moduleRef
         * @return {?}
         */
        IgxOverlayService.prototype.attach = /**
         * @param {?} component
         * @param {?=} settings
         * @param {?=} moduleRef
         * @return {?}
         */
        function (component, settings, moduleRef) {
            /** @type {?} */
            var info;
            info = this.getOverlayInfo(component, moduleRef);
            //  if there is no info most probably wrong type component was provided and we just go out
            if (!info) {
                return null;
            }
            info.id = (this._componentId++).toString();
            settings = Object.assign({}, this._defaultSettings, settings);
            info.settings = settings;
            this._overlayInfos.push(info);
            return info.id;
        };
        /**
         * @param {?} compOrId
         * @param {?=} settings
         * @return {?}
         */
        IgxOverlayService.prototype.show = /**
         * @param {?} compOrId
         * @param {?=} settings
         * @return {?}
         */
        function (compOrId, settings) {
            /** @type {?} */
            var info;
            /** @type {?} */
            var id;
            if (typeof compOrId === 'string') {
                id = compOrId;
                info = this.getOverlayById(compOrId);
                if (!info) {
                    console.warn('igxOverlay.show was called with wrong id: ' + compOrId);
                    return null;
                }
            }
            else {
                warningShown = showMessage('`show(component, settings?)` overload is deprecated. Use `attach(component)` to obtain an Id.' +
                    'Then `show(id, settings?)` with provided Id.', warningShown);
                id = (this._componentId++).toString();
                info = this.getOverlayInfo(compOrId);
                //  if there is no info most probably wrong type component was provided and we just go out
                if (!info) {
                    return;
                }
                info.id = id;
            }
            settings = Object.assign({}, this._defaultSettings, info.settings, settings);
            info.settings = settings;
            this._show(info);
            return id;
        };
        /**
         * Hides the component with the ID provided as a parameter.
         * ```typescript
         * this.overlay.hide(id);
         * ```
         */
        /**
         * Hides the component with the ID provided as a parameter.
         * ```typescript
         * this.overlay.hide(id);
         * ```
         * @param {?} id
         * @return {?}
         */
        IgxOverlayService.prototype.hide = /**
         * Hides the component with the ID provided as a parameter.
         * ```typescript
         * this.overlay.hide(id);
         * ```
         * @param {?} id
         * @return {?}
         */
        function (id) {
            this._hide(id);
        };
        /**
         * Hides all the components and the overlay.
         * ```typescript
         * this.overlay.hideAll();
         * ```
         */
        /**
         * Hides all the components and the overlay.
         * ```typescript
         * this.overlay.hideAll();
         * ```
         * @return {?}
         */
        IgxOverlayService.prototype.hideAll = /**
         * Hides all the components and the overlay.
         * ```typescript
         * this.overlay.hideAll();
         * ```
         * @return {?}
         */
        function () {
            // since overlays are removed on animation done, que all hides
            for (var i = this._overlayInfos.length; i--;) {
                this.hide(this._overlayInfos[i].id);
            }
        };
        /**
         * Repositions the component with ID provided as a parameter.
         * ```typescript
         * this.overlay.reposition(id);
         * ```
         */
        /**
         * Repositions the component with ID provided as a parameter.
         * ```typescript
         * this.overlay.reposition(id);
         * ```
         * @param {?} id
         * @return {?}
         */
        IgxOverlayService.prototype.reposition = /**
         * Repositions the component with ID provided as a parameter.
         * ```typescript
         * this.overlay.reposition(id);
         * ```
         * @param {?} id
         * @return {?}
         */
        function (id) {
            /** @type {?} */
            var overlayInfo = this.getOverlayById(id);
            if (!overlayInfo || !overlayInfo.settings) {
                console.error('Wrong id provided in overlay.reposition method. Id: ' + id);
                return;
            }
            /** @type {?} */
            var contentElement = overlayInfo.elementRef.nativeElement.parentElement;
            /** @type {?} */
            var contentElementRect = contentElement.getBoundingClientRect();
            overlayInfo.settings.positionStrategy.position(contentElement, {
                width: contentElementRect.width,
                height: contentElementRect.height
            }, this._document, false);
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype._show = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            /** @type {?} */
            var eventArgs = { id: info.id, componentRef: info.componentRef, cancel: false };
            this.onOpening.emit(eventArgs);
            if (eventArgs.cancel) {
                if (info.componentRef) {
                    this._appRef.detachView(info.componentRef.hostView);
                    info.componentRef.destroy();
                }
                return;
            }
            //  if there is no close animation player, or there is one but it is not started yet we are in clear
            //  opening. Otherwise, if there is close animation player playing animation now we should not setup
            //  overlay this is already done
            if (!info.closeAnimationPlayer || (info.closeAnimationPlayer && !info.closeAnimationPlayer.hasStarted())) {
                /** @type {?} */
                var elementRect = info.elementRef.nativeElement.getBoundingClientRect();
                info.initialSize = { width: elementRect.width, height: elementRect.height };
                info.hook = this.placeElementHook(info.elementRef.nativeElement);
                this.moveElementToOverlay(info);
                if (info.componentRef) {
                    info.componentRef.changeDetectorRef.detectChanges();
                }
                this.updateSize(info);
                if (this._overlayInfos.indexOf(info) === -1) {
                    this._overlayInfos.push(info);
                }
                info.settings.positionStrategy.position(info.elementRef.nativeElement.parentElement, { width: info.initialSize.width, height: info.initialSize.height }, document, true);
                info.settings.scrollStrategy.initialize(this._document, this, info.id);
                info.settings.scrollStrategy.attach();
            }
            this.addOutsideClickListener(info);
            this.addResizeHandler(info.id);
            if (info.settings.modal) {
                this.setupModalWrapper(info);
            }
            if (info.settings.positionStrategy.settings.openAnimation) {
                this.playOpenAnimation(info);
            }
            else {
                //  to eliminate flickering show the element just before onOpened fire
                info.elementRef.nativeElement.parentElement.style.visibility = '';
                this.onOpened.emit({ id: info.id, componentRef: info.componentRef });
            }
        };
        /**
         * @private
         * @param {?} id
         * @param {?=} event
         * @return {?}
         */
        IgxOverlayService.prototype._hide = /**
         * @private
         * @param {?} id
         * @param {?=} event
         * @return {?}
         */
        function (id, event) {
            /** @type {?} */
            var info = this.getOverlayById(id);
            if (!info) {
                console.warn('igxOverlay.hide was called with wrong id: ' + id);
                return;
            }
            /** @type {?} */
            var eventArgs = { id: id, componentRef: info.componentRef, cancel: false, event: event };
            this.onClosing.emit(eventArgs);
            if (eventArgs.cancel) {
                return;
            }
            //  TODO: synchronize where these are added/attached and where removed/detached
            info.settings.scrollStrategy.detach();
            this.removeOutsideClickListener(info);
            this.removeResizeHandler(info.id);
            /** @type {?} */
            var child = info.elementRef.nativeElement;
            if (info.settings.modal) {
                /** @type {?} */
                var parent_1 = (/** @type {?} */ (child.parentNode.parentNode));
                this.applyAnimationParams(parent_1, info.settings.positionStrategy.settings.closeAnimation);
                parent_1.classList.remove('igx-overlay__wrapper--modal');
                parent_1.classList.add('igx-overlay__wrapper');
            }
            if (info.settings.positionStrategy.settings.closeAnimation) {
                this.playCloseAnimation(info);
            }
            else {
                this.onCloseDone(info);
            }
        };
        /**
         * @private
         * @param {?} component
         * @param {?=} moduleRef
         * @return {?}
         */
        IgxOverlayService.prototype.getOverlayInfo = /**
         * @private
         * @param {?} component
         * @param {?=} moduleRef
         * @return {?}
         */
        function (component, moduleRef) {
            /** @type {?} */
            var info = { ngZone: this._zone };
            if (component instanceof core.ElementRef) {
                info.elementRef = (/** @type {?} */ (component));
            }
            else {
                /** @type {?} */
                var dynamicFactory = void 0;
                /** @type {?} */
                var factoryResolver = moduleRef ? moduleRef.componentFactoryResolver : this._factoryResolver;
                try {
                    dynamicFactory = factoryResolver.resolveComponentFactory(component);
                }
                catch (error) {
                    console.error(error);
                    return null;
                }
                /** @type {?} */
                var injector = moduleRef ? moduleRef.injector : this._injector;
                /** @type {?} */
                var dynamicComponent = dynamicFactory.create(injector);
                this._appRef.attachView(dynamicComponent.hostView);
                // If the element is newly created from a Component, it is wrapped in 'ng-component' tag - we do not want that.
                /** @type {?} */
                var element = dynamicComponent.location.nativeElement;
                info.elementRef = (/** @type {?} */ ({ nativeElement: element }));
                info.componentRef = dynamicComponent;
            }
            return info;
        };
        /**
         * @private
         * @param {?} element
         * @return {?}
         */
        IgxOverlayService.prototype.placeElementHook = /**
         * @private
         * @param {?} element
         * @return {?}
         */
        function (element) {
            if (!element.parentElement) {
                return null;
            }
            /** @type {?} */
            var hook = this._document.createElement('div');
            element.parentElement.insertBefore(hook, element);
            return hook;
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.moveElementToOverlay = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            /** @type {?} */
            var wrapperElement = this.getWrapperElement();
            /** @type {?} */
            var contentElement = this.getContentElement(wrapperElement, info.settings.modal);
            this.getOverlayElement(info).appendChild(wrapperElement);
            /** @type {?} */
            var elementScrollTop = info.elementRef.nativeElement.scrollTop;
            contentElement.appendChild(info.elementRef.nativeElement);
            if (elementScrollTop) {
                info.elementRef.nativeElement.scrollTop = elementScrollTop;
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxOverlayService.prototype.getWrapperElement = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var wrapper = this._document.createElement('div');
            wrapper.classList.add('igx-overlay__wrapper');
            return wrapper;
        };
        /**
         * @private
         * @param {?} wrapperElement
         * @param {?} modal
         * @return {?}
         */
        IgxOverlayService.prototype.getContentElement = /**
         * @private
         * @param {?} wrapperElement
         * @param {?} modal
         * @return {?}
         */
        function (wrapperElement, modal) {
            /** @type {?} */
            var content = this._document.createElement('div');
            if (modal) {
                content.classList.add('igx-overlay__content--modal');
                content.addEventListener('click', function (ev) {
                    ev.stopPropagation();
                });
            }
            else {
                content.classList.add('igx-overlay__content');
            }
            content.addEventListener('scroll', function (ev) {
                ev.stopPropagation();
            });
            //  hide element to eliminate flickering. Show the element exactly before animation starts
            content.style.visibility = 'hidden';
            wrapperElement.appendChild(content);
            return content;
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.getOverlayElement = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            if (info.settings.outlet) {
                return info.settings.outlet.nativeElement;
            }
            if (!this._overlayElement) {
                this._overlayElement = this._document.createElement('div');
                this._overlayElement.classList.add('igx-overlay');
                this._document.body.appendChild(this._overlayElement);
            }
            return this._overlayElement;
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.updateSize = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            if (info.componentRef) {
                //  if we are positioning component this is first time it gets visible
                //  and we can finally get its size
                info.initialSize = info.elementRef.nativeElement.getBoundingClientRect();
            }
            // set content div width only if element to show has width
            if (info.initialSize.width !== 0) {
                info.elementRef.nativeElement.parentElement.style.width = info.initialSize.width + 'px';
            }
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.setupModalWrapper = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            var _this = this;
            /** @type {?} */
            var wrapperElement = info.elementRef.nativeElement.parentElement.parentElement;
            rxjs.fromEvent(wrapperElement, 'keydown').pipe(operators.filter(function (ev) { return ev.key === 'Escape' || ev.key === 'Esc'; }), operators.takeUntil(this.destroy$)).subscribe(function () { return _this.hide(info.id); });
            wrapperElement.classList.remove('igx-overlay__wrapper');
            this.applyAnimationParams(wrapperElement, info.settings.positionStrategy.settings.openAnimation);
            wrapperElement.classList.add('igx-overlay__wrapper--modal');
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.onCloseDone = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            this.cleanUp(info);
            this.onClosed.emit({ id: info.id, componentRef: info.componentRef });
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.cleanUp = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            /** @type {?} */
            var child = info.elementRef.nativeElement;
            /** @type {?} */
            var outlet = this.getOverlayElement(info);
            if (!outlet.contains(child)) {
                console.warn('Component with id:' + info.id + ' is already removed!');
                return;
            }
            outlet.removeChild(child.parentNode.parentNode);
            if (info.componentRef) {
                this._appRef.detachView(info.componentRef.hostView);
                info.componentRef.destroy();
            }
            if (info.hook) {
                info.hook.parentElement.insertBefore(info.elementRef.nativeElement, info.hook);
                info.hook.parentElement.removeChild(info.hook);
            }
            /** @type {?} */
            var index = this._overlayInfos.indexOf(info);
            this._overlayInfos.splice(index, 1);
            // this._overlayElement.parentElement check just for tests that manually delete the element
            if (this._overlayInfos.length === 0 && this._overlayElement && this._overlayElement.parentElement) {
                this._overlayElement.parentElement.removeChild(this._overlayElement);
                this._overlayElement = null;
            }
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.playOpenAnimation = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            var _this = this;
            if (!info.openAnimationPlayer) {
                /** @type {?} */
                var animationBuilder = this.builder.build(info.settings.positionStrategy.settings.openAnimation);
                info.openAnimationPlayer = animationBuilder.create(info.elementRef.nativeElement);
                //  AnimationPlayer.getPosition returns always 0. To workaround this we are getting inner WebAnimationPlayer
                //  and then getting the positions from it.
                //  This is logged in Angular here - https://github.com/angular/angular/issues/18891
                //  As soon as this is resolved we can remove this hack
                /** @type {?} */
                var innerRenderer = ((/** @type {?} */ (info.openAnimationPlayer)))._renderer;
                info.openAnimationInnerPlayer = innerRenderer.engine.players[innerRenderer.engine.players.length - 1];
                info.openAnimationPlayer.onDone(function () {
                    _this.onOpened.emit({ id: info.id, componentRef: info.componentRef });
                    if (info.openAnimationPlayer) {
                        info.openAnimationPlayer.reset();
                        info.openAnimationPlayer = null;
                    }
                    if (info.closeAnimationPlayer && info.closeAnimationPlayer.hasStarted()) {
                        info.closeAnimationPlayer.reset();
                    }
                });
            }
            //  if there is opening animation already started do nothing
            if (info.openAnimationPlayer.hasStarted()) {
                return;
            }
            //  if there is closing animation already started start open animation from where close one has reached
            //  and remove close animation
            if (info.closeAnimationPlayer && info.closeAnimationPlayer.hasStarted()) {
                //  getPosition() returns what part of the animation is passed, e.g. 0.5 if half the animation
                //  is done, 0.75 if 3/4 of the animation is done. As we need to start next animation from where
                //  the previous has finished we need the amount up to 1, therefore we are subtracting what
                //  getPosition() returns from one
                /** @type {?} */
                var position = 1 - info.closeAnimationInnerPlayer.getPosition();
                info.closeAnimationPlayer.reset();
                info.closeAnimationPlayer = null;
                info.openAnimationPlayer.init();
                info.openAnimationPlayer.setPosition(position);
            }
            this.onAnimation.emit({ id: info.id, animationPlayer: info.openAnimationPlayer, animationType: 'open' });
            //  to eliminate flickering show the element just before animation start
            info.elementRef.nativeElement.parentElement.style.visibility = '';
            info.openAnimationPlayer.play();
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.playCloseAnimation = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            var _this = this;
            if (!info.closeAnimationPlayer) {
                /** @type {?} */
                var animationBuilder = this.builder.build(info.settings.positionStrategy.settings.closeAnimation);
                info.closeAnimationPlayer = animationBuilder.create(info.elementRef.nativeElement);
                //  AnimationPlayer.getPosition returns always 0. To workaround this we are getting inner WebAnimationPlayer
                //  and then getting the positions from it.
                //  This is logged in Angular here - https://github.com/angular/angular/issues/18891
                //  As soon as this is resolved we can remove this hack
                /** @type {?} */
                var innerRenderer = ((/** @type {?} */ (info.closeAnimationPlayer)))._renderer;
                info.closeAnimationInnerPlayer = innerRenderer.engine.players[innerRenderer.engine.players.length - 1];
                info.closeAnimationPlayer.onDone(function () {
                    if (info.closeAnimationPlayer) {
                        info.closeAnimationPlayer.reset();
                        info.closeAnimationPlayer = null;
                    }
                    if (info.openAnimationPlayer && info.openAnimationPlayer.hasStarted()) {
                        info.openAnimationPlayer.reset();
                    }
                    _this.onCloseDone(info);
                });
            }
            //  if there is closing animation already started do nothing
            if (info.closeAnimationPlayer.hasStarted()) {
                return;
            }
            //  if there is opening animation already started start close animation from where open one has reached
            //  and remove open animation
            if (info.openAnimationPlayer && info.openAnimationPlayer.hasStarted()) {
                //  getPosition() returns what part of the animation is passed, e.g. 0.5 if half the animation
                //  is done, 0.75 if 3/4 of the animation is done. As we need to start next animation from where
                //  the previous has finished we need the amount up to 1, therefore we are subtracting what
                //  getPosition() returns from one
                /** @type {?} */
                var position = 1 - info.openAnimationInnerPlayer.getPosition();
                info.openAnimationPlayer.reset();
                info.openAnimationPlayer = null;
                info.closeAnimationPlayer.init();
                info.closeAnimationPlayer.setPosition(position);
            }
            this.onAnimation.emit({ id: info.id, animationPlayer: info.closeAnimationPlayer, animationType: 'close' });
            info.closeAnimationPlayer.play();
        };
        //  TODO: check if applyAnimationParams will work with complex animations
        //  TODO: check if applyAnimationParams will work with complex animations
        /**
         * @private
         * @param {?} wrapperElement
         * @param {?} animationOptions
         * @return {?}
         */
        IgxOverlayService.prototype.applyAnimationParams = 
        //  TODO: check if applyAnimationParams will work with complex animations
        /**
         * @private
         * @param {?} wrapperElement
         * @param {?} animationOptions
         * @return {?}
         */
        function (wrapperElement, animationOptions) {
            if (!animationOptions) {
                wrapperElement.style.transitionDuration = '0ms';
                return;
            }
            if (animationOptions.type === 10 /* AnimateRef */) {
                animationOptions = ((/** @type {?} */ (animationOptions))).animation;
            }
            if (!animationOptions.options || !animationOptions.options.params) {
                return;
            }
            /** @type {?} */
            var params = (/** @type {?} */ (animationOptions.options.params));
            if (params.duration) {
                wrapperElement.style.transitionDuration = params.duration;
            }
            if (params.easing) {
                wrapperElement.style.transitionTimingFunction = params.easing;
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} id
         * @return {?}
         */
        IgxOverlayService.prototype.getOverlayById = /**
         * @hidden \@internal
         * @param {?} id
         * @return {?}
         */
        function (id) {
            if (!id) {
                return null;
            }
            /** @type {?} */
            var info = this._overlayInfos.find(function (e) { return e.id === id; });
            return info;
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.addOutsideClickListener = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            var _this = this;
            if (info.settings.closeOnOutsideClick) {
                if (info.settings.modal) {
                    rxjs.fromEvent(info.elementRef.nativeElement.parentElement.parentElement, 'click')
                        .pipe(operators.takeUntil(this.destroy$))
                        .subscribe(function (e) { return _this._hide(info.id, e); });
                }
                else if (
                //  if all overlays minus closing overlays equals one add the handler
                this._overlayInfos.filter(function (x) { return x.settings.closeOnOutsideClick && !x.settings.modal; }).length -
                    this._overlayInfos.filter(function (x) { return x.settings.closeOnOutsideClick && !x.settings.modal &&
                        x.closeAnimationPlayer &&
                        x.closeAnimationPlayer.hasStarted(); }).length === 1) {
                    this._document.addEventListener('click', this.documentClicked, true);
                }
            }
        };
        /**
         * @private
         * @param {?} info
         * @return {?}
         */
        IgxOverlayService.prototype.removeOutsideClickListener = /**
         * @private
         * @param {?} info
         * @return {?}
         */
        function (info) {
            if (info.settings.modal === false) {
                /** @type {?} */
                var shouldRemoveClickEventListener_1 = true;
                this._overlayInfos.forEach(function (o) {
                    if (o.settings.modal === false && o.id !== info.id) {
                        shouldRemoveClickEventListener_1 = false;
                    }
                });
                if (shouldRemoveClickEventListener_1) {
                    this._document.removeEventListener('click', this.documentClicked, true);
                }
            }
        };
        /**
         * @private
         * @param {?} id
         * @return {?}
         */
        IgxOverlayService.prototype.addResizeHandler = /**
         * @private
         * @param {?} id
         * @return {?}
         */
        function (id) {
            /** @type {?} */
            var closingOverlaysCount = this._overlayInfos
                .filter(function (o) { return o.closeAnimationPlayer && o.closeAnimationPlayer.hasStarted(); })
                .length;
            if (this._overlayInfos.length - closingOverlaysCount === 1) {
                this._document.defaultView.addEventListener('resize', this.repositionAll);
            }
        };
        /**
         * @private
         * @param {?} id
         * @return {?}
         */
        IgxOverlayService.prototype.removeResizeHandler = /**
         * @private
         * @param {?} id
         * @return {?}
         */
        function (id) {
            /** @type {?} */
            var closingOverlaysCount = this._overlayInfos
                .filter(function (o) { return o.closeAnimationPlayer && o.closeAnimationPlayer.hasStarted(); })
                .length;
            if (this._overlayInfos.length - closingOverlaysCount === 1) {
                this._document.defaultView.removeEventListener('resize', this.repositionAll);
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxOverlayService.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        IgxOverlayService.decorators = [
            { type: core.Injectable, args: [{ providedIn: 'root' },] }
        ];
        /** @nocollapse */
        IgxOverlayService.ctorParameters = function () { return [
            { type: core.ComponentFactoryResolver },
            { type: core.ApplicationRef },
            { type: core.Injector },
            { type: animations.AnimationBuilder },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.NgZone }
        ]; };
        /** @nocollapse */ IgxOverlayService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function IgxOverlayService_Factory() { return new IgxOverlayService(core.ɵɵinject(core.ComponentFactoryResolver), core.ɵɵinject(core.ApplicationRef), core.ɵɵinject(core.INJECTOR), core.ɵɵinject(animations.AnimationBuilder), core.ɵɵinject(common.DOCUMENT), core.ɵɵinject(core.NgZone)); }, token: IgxOverlayService, providedIn: "root" });
        return IgxOverlayService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Positions the element inside the containing outlet based on the directions passed in trough PositionSettings.
     * These are Top/Middle/Bottom for verticalDirection and Left/Center/Right for horizontalDirection
     */
    var   /**
     * Positions the element inside the containing outlet based on the directions passed in trough PositionSettings.
     * These are Top/Middle/Bottom for verticalDirection and Left/Center/Right for horizontalDirection
     */
    ContainerPositionStrategy = /** @class */ (function (_super) {
        __extends(ContainerPositionStrategy, _super);
        function ContainerPositionStrategy(settings) {
            return _super.call(this, settings) || this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?=} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        ContainerPositionStrategy.prototype.position = /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?=} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        function (contentElement, size, document, initialCall) {
            contentElement.classList.add('igx-overlay__content--relative');
            contentElement.parentElement.classList.add('igx-overlay__wrapper--flex-container');
            this.setPosition(contentElement, this.settings);
        };
        return ContainerPositionStrategy;
    }(GlobalPositionStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Positions the element based on the directions and start point passed in trough PositionSettings.
     * It is possible to either pass a start point or an HTMLElement as a positioning base.
     */
    var   /**
     * Positions the element based on the directions and start point passed in trough PositionSettings.
     * It is possible to either pass a start point or an HTMLElement as a positioning base.
     */
    ConnectedPositioningStrategy = /** @class */ (function () {
        function ConnectedPositioningStrategy(settings) {
            this._defaultSettings = {
                // default Point(0, 0) in getPointFromPositionsSettings
                target: null,
                horizontalDirection: HorizontalAlignment.Right,
                verticalDirection: VerticalAlignment.Bottom,
                horizontalStartPoint: HorizontalAlignment.Left,
                verticalStartPoint: VerticalAlignment.Bottom,
                openAnimation: scaleInVerTop,
                closeAnimation: scaleOutVerTop,
                minSize: { width: 0, height: 0 }
            };
            this.settings = Object.assign({}, this._defaultSettings, settings);
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        ConnectedPositioningStrategy.prototype.position = /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        function (contentElement, size, document, initialCall) {
            /** @type {?} */
            var targetRect = Util.getTargetRect(this.settings);
            /** @type {?} */
            var contentElementRect = contentElement.getBoundingClientRect();
            this.setStyle(contentElement, targetRect, contentElementRect);
        };
        /**
         * @inheritdoc
         * Creates clone of this position strategy
         * @returns clone of this position strategy
         */
        /**
         * \@inheritdoc
         * Creates clone of this position strategy
         * @return {?} clone of this position strategy
         */
        ConnectedPositioningStrategy.prototype.clone = /**
         * \@inheritdoc
         * Creates clone of this position strategy
         * @return {?} clone of this position strategy
         */
        function () {
            return Util.cloneInstance(this);
        };
        /**
         * Sets element's style which effectively positions provided element according
         * to provided position settings
         * @param element Element to position
         * @param targetRect Bounding rectangle of strategy target
         * @param elementRect Bounding rectangle of the element
         */
        /**
         * Sets element's style which effectively positions provided element according
         * to provided position settings
         * @protected
         * @param {?} element Element to position
         * @param {?} targetRect Bounding rectangle of strategy target
         * @param {?} elementRect Bounding rectangle of the element
         * @return {?}
         */
        ConnectedPositioningStrategy.prototype.setStyle = /**
         * Sets element's style which effectively positions provided element according
         * to provided position settings
         * @protected
         * @param {?} element Element to position
         * @param {?} targetRect Bounding rectangle of strategy target
         * @param {?} elementRect Bounding rectangle of the element
         * @return {?}
         */
        function (element, targetRect, elementRect) {
            /** @type {?} */
            var startPoint = {
                x: targetRect.right + targetRect.width * this.settings.horizontalStartPoint,
                y: targetRect.bottom + targetRect.height * this.settings.verticalStartPoint,
            };
            /** @type {?} */
            var wrapperRect = element.parentElement.getBoundingClientRect();
            //  clean up styles - if auto position strategy is chosen we may pass here several times
            element.style.right = '';
            element.style.left = '';
            element.style.bottom = '';
            element.style.top = '';
            switch (this.settings.horizontalDirection) {
                case HorizontalAlignment.Left:
                    element.style.right = Math.round(wrapperRect.right - startPoint.x) + "px";
                    break;
                case HorizontalAlignment.Center:
                    element.style.left = Math.round(startPoint.x - wrapperRect.left - elementRect.width / 2) + "px";
                    break;
                case HorizontalAlignment.Right:
                    element.style.left = Math.round(startPoint.x - wrapperRect.left) + "px";
                    break;
            }
            switch (this.settings.verticalDirection) {
                case VerticalAlignment.Top:
                    element.style.bottom = Math.round(wrapperRect.bottom - startPoint.y) + "px";
                    break;
                case VerticalAlignment.Middle:
                    element.style.top = Math.round(startPoint.y - wrapperRect.top - elementRect.height / 2) + "px";
                    break;
                case VerticalAlignment.Bottom:
                    element.style.top = Math.round(startPoint.y - wrapperRect.top) + "px";
                    break;
            }
        };
        return ConnectedPositioningStrategy;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     */
    var /**
     * @abstract
     */
    BaseFitPositionStrategy = /** @class */ (function (_super) {
        __extends(BaseFitPositionStrategy, _super);
        function BaseFitPositionStrategy() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        BaseFitPositionStrategy.prototype.position = /**
         * \@inheritdoc
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        function (contentElement, size, document, initialCall) {
            /** @type {?} */
            var targetRect = Util.getTargetRect(this.settings);
            /** @type {?} */
            var contentElementRect = contentElement.getBoundingClientRect();
            if (initialCall) {
                /** @type {?} */
                var connectedFit = {};
                connectedFit.targetRect = targetRect;
                connectedFit.contentElementRect = contentElementRect;
                this._initialSettings = this._initialSettings || Object.assign({}, this.settings);
                this.settings = Object.assign({}, this._initialSettings);
                connectedFit.viewPortRect = Util.getViewportRect(document);
                this.updateViewPortFit(connectedFit);
                if (!connectedFit.fitHorizontal || !connectedFit.fitVertical) {
                    this.fitInViewport(contentElement, connectedFit);
                }
            }
            this.setStyle(contentElement, targetRect, contentElementRect);
        };
        /**
         * Checks if element can fit in viewport and updates provided connectedFit
         * with the result
         * @param connectedFit connectedFit to update
         */
        /**
         * Checks if element can fit in viewport and updates provided connectedFit
         * with the result
         * @protected
         * @param {?} connectedFit connectedFit to update
         * @return {?}
         */
        BaseFitPositionStrategy.prototype.updateViewPortFit = /**
         * Checks if element can fit in viewport and updates provided connectedFit
         * with the result
         * @protected
         * @param {?} connectedFit connectedFit to update
         * @return {?}
         */
        function (connectedFit) {
            connectedFit.left = this.calculateLeft(connectedFit.targetRect, connectedFit.contentElementRect, this.settings.horizontalStartPoint, this.settings.horizontalDirection);
            connectedFit.right = connectedFit.left + connectedFit.contentElementRect.width;
            connectedFit.fitHorizontal =
                0 < connectedFit.left && connectedFit.right < connectedFit.viewPortRect.width;
            connectedFit.top = this.calculateTop(connectedFit.targetRect, connectedFit.contentElementRect, this.settings.verticalStartPoint, this.settings.verticalDirection);
            connectedFit.bottom = connectedFit.top + connectedFit.contentElementRect.height;
            connectedFit.fitVertical =
                0 < connectedFit.top && connectedFit.bottom < connectedFit.viewPortRect.height;
        };
        /**
         * Calculates the position of the left border of the element if it gets positioned
         * with provided start point and direction
         * @param targetRect Rectangle of the target where element is attached
         * @param elementRect Rectangle of the element
         * @param startPoint Start point of the target
         * @param direction Direction in which to show the element
         */
        /**
         * Calculates the position of the left border of the element if it gets positioned
         * with provided start point and direction
         * @protected
         * @param {?} targetRect Rectangle of the target where element is attached
         * @param {?} elementRect Rectangle of the element
         * @param {?} startPoint Start point of the target
         * @param {?} direction Direction in which to show the element
         * @return {?}
         */
        BaseFitPositionStrategy.prototype.calculateLeft = /**
         * Calculates the position of the left border of the element if it gets positioned
         * with provided start point and direction
         * @protected
         * @param {?} targetRect Rectangle of the target where element is attached
         * @param {?} elementRect Rectangle of the element
         * @param {?} startPoint Start point of the target
         * @param {?} direction Direction in which to show the element
         * @return {?}
         */
        function (targetRect, elementRect, startPoint, direction) {
            return targetRect.right + targetRect.width * startPoint + elementRect.width * direction;
        };
        /**
         * Calculates the position of the top border of the element if it gets positioned
         * with provided position settings related to the target
         * @param targetRect Rectangle of the target where element is attached
         * @param elementRect Rectangle of the element
         * @param startPoint Start point of the target
         * @param direction Direction in which to show the element
         */
        /**
         * Calculates the position of the top border of the element if it gets positioned
         * with provided position settings related to the target
         * @protected
         * @param {?} targetRect Rectangle of the target where element is attached
         * @param {?} elementRect Rectangle of the element
         * @param {?} startPoint Start point of the target
         * @param {?} direction Direction in which to show the element
         * @return {?}
         */
        BaseFitPositionStrategy.prototype.calculateTop = /**
         * Calculates the position of the top border of the element if it gets positioned
         * with provided position settings related to the target
         * @protected
         * @param {?} targetRect Rectangle of the target where element is attached
         * @param {?} elementRect Rectangle of the element
         * @param {?} startPoint Start point of the target
         * @param {?} direction Direction in which to show the element
         * @return {?}
         */
        function (targetRect, elementRect, startPoint, direction) {
            return targetRect.bottom + targetRect.height * startPoint + elementRect.height * direction;
        };
        return BaseFitPositionStrategy;
    }(ConnectedPositioningStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Positions the element as in **Connected** positioning strategy and re-positions the element in
     * the view port (calculating a different start point) in case the element is partially getting out of view
     */
    var   /**
     * Positions the element as in **Connected** positioning strategy and re-positions the element in
     * the view port (calculating a different start point) in case the element is partially getting out of view
     */
    AutoPositionStrategy = /** @class */ (function (_super) {
        __extends(AutoPositionStrategy, _super);
        function AutoPositionStrategy() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @protected
         * @param {?} element
         * @param {?} connectedFit
         * @return {?}
         */
        AutoPositionStrategy.prototype.fitInViewport = /**
         * \@inheritdoc
         * @protected
         * @param {?} element
         * @param {?} connectedFit
         * @return {?}
         */
        function (element, connectedFit) {
            /** @type {?} */
            var transformString = [];
            if (!connectedFit.fitHorizontal) {
                if (this.canFlipHorizontal(connectedFit)) {
                    this.flipHorizontal();
                }
                else {
                    /** @type {?} */
                    var horizontalPush = this.horizontalPush(connectedFit);
                    transformString.push("translateX(" + horizontalPush + "px)");
                }
            }
            if (!connectedFit.fitVertical) {
                if (this.canFlipVertical(connectedFit)) {
                    this.flipVertical();
                }
                else {
                    /** @type {?} */
                    var verticalPush = this.verticalPush(connectedFit);
                    transformString.push("translateY(" + verticalPush + "px)");
                }
            }
            element.style.transform = transformString.join(' ').trim();
        };
        /**
         * Checks if element can be flipped without get off the viewport
         * @param connectedFit connectedFit object containing all necessary parameters
         * @returns true if element can be flipped and stain in viewport
         */
        /**
         * Checks if element can be flipped without get off the viewport
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} true if element can be flipped and stain in viewport
         */
        AutoPositionStrategy.prototype.canFlipHorizontal = /**
         * Checks if element can be flipped without get off the viewport
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} true if element can be flipped and stain in viewport
         */
        function (connectedFit) {
            //  HorizontalAlignment can be Left = -1; Center = -0.5 or Right = 0.
            //  To virtually flip direction and start point (both are HorizontalAlignment) we can do this:
            //  flippedAlignment = (-1) * (HorizontalAlignment + 1)
            //  this way:
            //  (-1) * (Left + 1) = 0 = Right
            //  (-1) * (Center + 1) = -0.5 = Center
            //  (-1) * (Right + 1) = -1 = Left
            /** @type {?} */
            var flippedStartPoint = (-1) * (this.settings.horizontalStartPoint + 1);
            /** @type {?} */
            var flippedDirection = (-1) * (this.settings.horizontalDirection + 1);
            /** @type {?} */
            var leftBorder = this.calculateLeft(connectedFit.targetRect, connectedFit.contentElementRect, flippedStartPoint, flippedDirection);
            /** @type {?} */
            var rightBorder = leftBorder + connectedFit.contentElementRect.width;
            return 0 < leftBorder && rightBorder < connectedFit.viewPortRect.width;
        };
        /**
         * Checks if element can be flipped without get off the viewport
         * @param connectedFit connectedFit object containing all necessary parameters
         * @returns true if element can be flipped and stain in viewport
         */
        /**
         * Checks if element can be flipped without get off the viewport
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} true if element can be flipped and stain in viewport
         */
        AutoPositionStrategy.prototype.canFlipVertical = /**
         * Checks if element can be flipped without get off the viewport
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} true if element can be flipped and stain in viewport
         */
        function (connectedFit) {
            /** @type {?} */
            var flippedStartPoint = (-1) * (this.settings.verticalStartPoint + 1);
            /** @type {?} */
            var flippedDirection = (-1) * (this.settings.verticalDirection + 1);
            /** @type {?} */
            var topBorder = this.calculateTop(connectedFit.targetRect, connectedFit.contentElementRect, flippedStartPoint, flippedDirection);
            /** @type {?} */
            var bottomBorder = topBorder + connectedFit.contentElementRect.height;
            return 0 < topBorder && bottomBorder < connectedFit.viewPortRect.height;
        };
        /**
         * Flips direction and start point of the position settings
         */
        /**
         * Flips direction and start point of the position settings
         * @private
         * @return {?}
         */
        AutoPositionStrategy.prototype.flipHorizontal = /**
         * Flips direction and start point of the position settings
         * @private
         * @return {?}
         */
        function () {
            switch (this.settings.horizontalDirection) {
                case HorizontalAlignment.Left:
                    this.settings.horizontalDirection = HorizontalAlignment.Right;
                    break;
                case HorizontalAlignment.Right:
                    this.settings.horizontalDirection = HorizontalAlignment.Left;
                    break;
            }
            switch (this.settings.horizontalStartPoint) {
                case HorizontalAlignment.Left:
                    this.settings.horizontalStartPoint = HorizontalAlignment.Right;
                    break;
                case HorizontalAlignment.Right:
                    this.settings.horizontalStartPoint = HorizontalAlignment.Left;
                    break;
            }
        };
        /**
         * Flips direction and start point of the position settings
         */
        /**
         * Flips direction and start point of the position settings
         * @private
         * @return {?}
         */
        AutoPositionStrategy.prototype.flipVertical = /**
         * Flips direction and start point of the position settings
         * @private
         * @return {?}
         */
        function () {
            switch (this.settings.verticalDirection) {
                case VerticalAlignment.Top:
                    this.settings.verticalDirection = VerticalAlignment.Bottom;
                    break;
                case VerticalAlignment.Bottom:
                    this.settings.verticalDirection = VerticalAlignment.Top;
                    break;
            }
            switch (this.settings.verticalStartPoint) {
                case VerticalAlignment.Top:
                    this.settings.verticalStartPoint = VerticalAlignment.Bottom;
                    break;
                case VerticalAlignment.Bottom:
                    this.settings.verticalStartPoint = VerticalAlignment.Top;
                    break;
            }
        };
        /**
         * Calculates necessary horizontal push according to provided connectedFit
         * @param connectedFit connectedFit object containing all necessary parameters
         * @returns amount of necessary translation which will push the element into viewport
         */
        /**
         * Calculates necessary horizontal push according to provided connectedFit
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} amount of necessary translation which will push the element into viewport
         */
        AutoPositionStrategy.prototype.horizontalPush = /**
         * Calculates necessary horizontal push according to provided connectedFit
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} amount of necessary translation which will push the element into viewport
         */
        function (connectedFit) {
            /** @type {?} */
            var leftExtend = connectedFit.left;
            /** @type {?} */
            var rightExtend = connectedFit.right - connectedFit.viewPortRect.right;
            //  if leftExtend < 0 overlay goes beyond left end of the screen. We should push it back with exactly
            //  as much as it is beyond the screen.
            //  if rightExtend > 0 overlay goes beyond right end of the screen. We should push it back with the
            //  extend but with amount not bigger than what left between left border of screen and left border of
            //  overlay, e.g. leftExtend
            if (leftExtend < 0) {
                return Math.abs(leftExtend);
            }
            else if (rightExtend > 0) {
                return -Math.min(rightExtend, leftExtend);
            }
            else {
                return 0;
            }
        };
        /**
         * Calculates necessary vertical push according to provided connectedFit
         * @param connectedFit connectedFit object containing all necessary parameters
         * @returns amount of necessary translation which will push the element into viewport
         */
        /**
         * Calculates necessary vertical push according to provided connectedFit
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} amount of necessary translation which will push the element into viewport
         */
        AutoPositionStrategy.prototype.verticalPush = /**
         * Calculates necessary vertical push according to provided connectedFit
         * @private
         * @param {?} connectedFit connectedFit object containing all necessary parameters
         * @return {?} amount of necessary translation which will push the element into viewport
         */
        function (connectedFit) {
            /** @type {?} */
            var topExtend = connectedFit.top;
            /** @type {?} */
            var bottomExtend = connectedFit.bottom - connectedFit.viewPortRect.bottom;
            if (topExtend < 0) {
                return Math.abs(topExtend);
            }
            else if (bottomExtend > 0) {
                return -Math.min(bottomExtend, topExtend);
            }
            else {
                return 0;
            }
        };
        return AutoPositionStrategy;
    }(BaseFitPositionStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Positions the element as in **Connected** positioning strategy and resize the element
     * to fit in the view port in case the element is partially getting out of view
     */
    var   /**
     * Positions the element as in **Connected** positioning strategy and resize the element
     * to fit in the view port in case the element is partially getting out of view
     */
    ElasticPositionStrategy = /** @class */ (function (_super) {
        __extends(ElasticPositionStrategy, _super);
        function ElasticPositionStrategy() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @protected
         * @param {?} element
         * @param {?} connectedFit
         * @return {?}
         */
        ElasticPositionStrategy.prototype.fitInViewport = /**
         * \@inheritdoc
         * @protected
         * @param {?} element
         * @param {?} connectedFit
         * @return {?}
         */
        function (element, connectedFit) {
            element.classList.add('igx-overlay__content--elastic');
            /** @type {?} */
            var transformString = [];
            if (!connectedFit.fitHorizontal) {
                /** @type {?} */
                var maxReduction = Math.max(0, connectedFit.contentElementRect.width - this.settings.minSize.width);
                /** @type {?} */
                var leftExtend = Math.max(0, 0 - connectedFit.left);
                /** @type {?} */
                var rightExtend = Math.max(0, connectedFit.right - connectedFit.viewPortRect.width);
                /** @type {?} */
                var reduction = Math.min(maxReduction, leftExtend + rightExtend);
                element.style.width = connectedFit.contentElementRect.width - reduction + "px";
                //  if direction is center and element goes off the screen in left direction we should push the
                //  element to the right. Prevents left still going out of view when normally positioned
                if (this.settings.horizontalDirection === HorizontalAlignment.Center) {
                    //  the amount of translation depends on whether element goes off the screen to the left,
                    //  to the right or in both directions, as well as how much it goes of the screen and finally
                    //  on the minSize. The translation should be proportional between left and right extend
                    //  taken from the reduction
                    /** @type {?} */
                    var translation = leftExtend * reduction / (leftExtend + rightExtend);
                    if (translation > 0) {
                        transformString.push("translateX(" + translation + "px)");
                    }
                }
            }
            if (!connectedFit.fitVertical) {
                /** @type {?} */
                var maxReduction = Math.max(0, connectedFit.contentElementRect.height - this.settings.minSize.height);
                /** @type {?} */
                var topExtend = Math.max(0, 0 - connectedFit.top);
                /** @type {?} */
                var bottomExtend = Math.max(0, connectedFit.bottom - connectedFit.viewPortRect.height);
                /** @type {?} */
                var reduction = Math.min(maxReduction, topExtend + bottomExtend);
                element.style.height = connectedFit.contentElementRect.height - reduction + "px";
                //  if direction is middle and element goes off the screen in top direction we should push the
                //  element to the bottom. Prevents top still going out of view when normally positioned
                if (this.settings.verticalDirection === VerticalAlignment.Middle) {
                    //  the amount of translation depends on whether element goes off the screen to the top,
                    //  to the bottom or in both directions, as well as how much it goes of the screen and finally
                    //  on the minSize. The translation should be proportional between top and bottom extend
                    //  taken from the reduction
                    /** @type {?} */
                    var translation = topExtend * reduction / (topExtend + bottomExtend);
                    if (translation > 0) {
                        transformString.push("translateY(" + translation + "px)");
                    }
                }
            }
            element.style.transform = transformString.join(' ').trim();
        };
        return ElasticPositionStrategy;
    }(BaseFitPositionStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * On scroll reposition the overlay content.
     */
    var   /**
     * On scroll reposition the overlay content.
     */
    AbsoluteScrollStrategy = /** @class */ (function (_super) {
        __extends(AbsoluteScrollStrategy, _super);
        function AbsoluteScrollStrategy(scrollContainer) {
            var _this = _super.call(this, scrollContainer) || this;
            _this._initialized = false;
            _this.onScroll = function () {
                _this._overlayService.repositionAll();
            };
            _this._scrollContainer = scrollContainer;
            return _this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        AbsoluteScrollStrategy.prototype.initialize = /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        function (document, overlayService, id) {
            if (this._initialized) {
                return;
            }
            this._overlayService = overlayService;
            this._id = id;
            this._document = document;
            this._zone = overlayService.getOverlayById(id).ngZone;
            this._initialized = true;
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        AbsoluteScrollStrategy.prototype.attach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            var _this = this;
            if (this._zone) {
                this._zone.runOutsideAngular(function () {
                    _this.addScrollEventListener();
                });
            }
            else {
                this.addScrollEventListener();
            }
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        AbsoluteScrollStrategy.prototype.detach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            if (this._scrollContainer) {
                this._scrollContainer.removeEventListener('scroll', this.onScroll, true);
            }
            else {
                this._document.removeEventListener('scroll', this.onScroll, true);
            }
            this._initialized = false;
        };
        /**
         * @private
         * @return {?}
         */
        AbsoluteScrollStrategy.prototype.addScrollEventListener = /**
         * @private
         * @return {?}
         */
        function () {
            if (this._scrollContainer) {
                this._scrollContainer.addEventListener('scroll', this.onScroll, true);
            }
            else {
                this._document.addEventListener('scroll', this.onScroll, true);
            }
        };
        return AbsoluteScrollStrategy;
    }(ScrollStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Prevents scrolling while the overlay content is shown.
     */
    var   /**
     * Prevents scrolling while the overlay content is shown.
     */
    BlockScrollStrategy = /** @class */ (function (_super) {
        __extends(BlockScrollStrategy, _super);
        function BlockScrollStrategy(scrollContainer) {
            var _this = _super.call(this, scrollContainer) || this;
            _this._initialized = false;
            _this.onScroll = function (ev) {
                ev.preventDefault();
                if (!_this._sourceElement || _this._sourceElement !== ev.target) {
                    _this._sourceElement = (/** @type {?} */ (ev.target));
                    _this._initialScrollTop = _this._sourceElement.scrollTop;
                    _this._initialScrollLeft = _this._sourceElement.scrollLeft;
                }
                _this._sourceElement.scrollTop = _this._initialScrollTop;
                _this._sourceElement.scrollLeft = _this._initialScrollLeft;
            };
            return _this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        BlockScrollStrategy.prototype.initialize = /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        function (document, overlayService, id) {
            if (this._initialized) {
                return;
            }
            this._document = document;
            this._initialized = true;
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        BlockScrollStrategy.prototype.attach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            this._document.addEventListener('scroll', this.onScroll, true);
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        BlockScrollStrategy.prototype.detach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            this._document.removeEventListener('scroll', this.onScroll, true);
            this._sourceElement = null;
            this._initialScrollTop = 0;
            this._initialScrollLeft = 0;
            this._initialized = false;
        };
        return BlockScrollStrategy;
    }(ScrollStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Uses a tolerance and closes the shown component upon scrolling if the tolerance is exceeded
     */
    var   /**
     * Uses a tolerance and closes the shown component upon scrolling if the tolerance is exceeded
     */
    CloseScrollStrategy = /** @class */ (function (_super) {
        __extends(CloseScrollStrategy, _super);
        function CloseScrollStrategy(scrollContainer) {
            var _this = _super.call(this, scrollContainer) || this;
            _this._initialized = false;
            _this.onScroll = function (ev) {
                if (!_this._sourceElement) {
                    return;
                }
                _this.cumulativeScrollTop += _this._sourceElement.scrollTop;
                _this.cumulativeScrollLeft += _this._sourceElement.scrollLeft;
                if (Math.abs(_this.cumulativeScrollTop - _this.initialScrollTop) > _this._threshold ||
                    Math.abs(_this.cumulativeScrollLeft - _this.initialScrollLeft) > _this._threshold) {
                    _this._document.removeEventListener('scroll', _this.onScroll, true);
                    _this._overlayService.hide(_this._id);
                }
            };
            _this._scrollContainer = scrollContainer;
            _this._threshold = 10;
            _this.cumulativeScrollTop = 0;
            _this.cumulativeScrollLeft = 0;
            return _this;
        }
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        CloseScrollStrategy.prototype.initialize = /**
         * \@inheritdoc
         * @param {?} document
         * @param {?} overlayService
         * @param {?} id
         * @return {?}
         */
        function (document, overlayService, id) {
            if (this._initialized) {
                return;
            }
            this._overlayService = overlayService;
            this._id = id;
            this._document = document;
            this._initialized = true;
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        CloseScrollStrategy.prototype.attach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            if (this._scrollContainer) {
                this._scrollContainer.addEventListener('scroll', this.onScroll);
                this._sourceElement = this._scrollContainer;
            }
            else {
                this._document.addEventListener('scroll', this.onScroll);
                if (document.documentElement.scrollHeight > document.documentElement.clientHeight) {
                    this._sourceElement = (/** @type {?} */ (document.documentElement));
                }
                else if (document.body.scrollHeight > document.body.clientHeight) {
                    this._sourceElement = (/** @type {?} */ (document.body));
                }
            }
            if (!this._sourceElement) {
                return;
            }
            this.cumulativeScrollTop = 0;
            this.cumulativeScrollLeft = 0;
            this.initialScrollTop = this._sourceElement.scrollTop;
            this.initialScrollLeft = this._sourceElement.scrollLeft;
        };
        /** @inheritdoc */
        /**
         * \@inheritdoc
         * @return {?}
         */
        CloseScrollStrategy.prototype.detach = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            // TODO: check why event listener removes only on first call and remains on each next!!!
            if (this._scrollContainer) {
                this._scrollContainer.removeEventListener('scroll', this.onScroll);
            }
            else {
                this._document.removeEventListener('scroll', this.onScroll);
            }
            this._sourceElement = null;
            this.cumulativeScrollTop = 0;
            this.cumulativeScrollLeft = 0;
            this.initialScrollTop = 0;
            this.initialScrollLeft = 0;
            this._initialized = false;
        };
        return CloseScrollStrategy;
    }(ScrollStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T, S
     */
    var IgxBaseTransactionService = /** @class */ (function () {
        function IgxBaseTransactionService() {
            this._isPending = false;
            this._pendingTransactions = [];
            this._pendingStates = new Map();
            /**
             * \@inheritdoc
             */
            this.onStateUpdate = new core.EventEmitter();
        }
        Object.defineProperty(IgxBaseTransactionService.prototype, "canRedo", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBaseTransactionService.prototype, "canUndo", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBaseTransactionService.prototype, "enabled", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                return this._isPending;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} transaction
         * @param {?=} recordRef
         * @return {?}
         */
        IgxBaseTransactionService.prototype.add = /**
         * \@inheritdoc
         * @param {?} transaction
         * @param {?=} recordRef
         * @return {?}
         */
        function (transaction, recordRef) {
            if (this._isPending) {
                this.updateState(this._pendingStates, transaction, recordRef);
                this._pendingTransactions.push(transaction);
            }
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        IgxBaseTransactionService.prototype.getTransactionLog = /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        function (id) { return []; };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @return {?}
         */
        IgxBaseTransactionService.prototype.undo = /**
         * \@inheritdoc
         * @return {?}
         */
        function () { };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @return {?}
         */
        IgxBaseTransactionService.prototype.redo = /**
         * \@inheritdoc
         * @return {?}
         */
        function () { };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} mergeChanges
         * @return {?}
         */
        IgxBaseTransactionService.prototype.getAggregatedChanges = /**
         * \@inheritdoc
         * @param {?} mergeChanges
         * @return {?}
         */
        function (mergeChanges) {
            var _this = this;
            /** @type {?} */
            var result = [];
            this._pendingStates.forEach(function (state, key) {
                /** @type {?} */
                var value = mergeChanges ? _this.getAggregatedValue(key, mergeChanges) : state.value;
                result.push((/** @type {?} */ ({ id: key, newValue: value, type: state.type })));
            });
            return result;
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} id
         * @return {?}
         */
        IgxBaseTransactionService.prototype.getState = /**
         * \@inheritdoc
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this._pendingStates.get(id);
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} id
         * @param {?} mergeChanges
         * @return {?}
         */
        IgxBaseTransactionService.prototype.getAggregatedValue = /**
         * \@inheritdoc
         * @param {?} id
         * @param {?} mergeChanges
         * @return {?}
         */
        function (id, mergeChanges) {
            /** @type {?} */
            var state = this._pendingStates.get(id);
            if (!state) {
                return null;
            }
            if (mergeChanges) {
                return this.updateValue(state);
            }
            return state.value;
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} data
         * @param {?=} id
         * @return {?}
         */
        IgxBaseTransactionService.prototype.commit = /**
         * \@inheritdoc
         * @param {?} data
         * @param {?=} id
         * @return {?}
         */
        function (data, id) { };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        IgxBaseTransactionService.prototype.clear = /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        function (id) {
            this._pendingStates.clear();
            this._pendingTransactions = [];
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @return {?}
         */
        IgxBaseTransactionService.prototype.startPending = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            this._isPending = true;
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} commit
         * @return {?}
         */
        IgxBaseTransactionService.prototype.endPending = /**
         * \@inheritdoc
         * @param {?} commit
         * @return {?}
         */
        function (commit) {
            this._isPending = false;
            this._pendingStates.clear();
            this._pendingTransactions = [];
        };
        /**
         * Updates the provided states collection according to passed transaction and recordRef
         * @param states States collection to apply the update to
         * @param transaction Transaction to apply to the current state
         * @param recordRef Reference to the value of the record in data source, if any, where transaction should be applied
         */
        /**
         * Updates the provided states collection according to passed transaction and recordRef
         * @protected
         * @param {?} states States collection to apply the update to
         * @param {?} transaction Transaction to apply to the current state
         * @param {?=} recordRef Reference to the value of the record in data source, if any, where transaction should be applied
         * @return {?}
         */
        IgxBaseTransactionService.prototype.updateState = /**
         * Updates the provided states collection according to passed transaction and recordRef
         * @protected
         * @param {?} states States collection to apply the update to
         * @param {?} transaction Transaction to apply to the current state
         * @param {?=} recordRef Reference to the value of the record in data source, if any, where transaction should be applied
         * @return {?}
         */
        function (states, transaction, recordRef) {
            /** @type {?} */
            var state = states.get(transaction.id);
            if (state) {
                if (isObject(state.value)) {
                    mergeObjects(state.value, transaction.newValue);
                }
                else {
                    state.value = transaction.newValue;
                }
            }
            else {
                state = (/** @type {?} */ ({ value: cloneValue(transaction.newValue), recordRef: recordRef, type: transaction.type }));
                states.set(transaction.id, state);
            }
        };
        /**
         * Updates the recordRef of the provided state with all the changes in the state. Accepts primitive and object value types
         * @param state State to update value for
         * @returns updated value including all the changes in provided state
         */
        /**
         * Updates the recordRef of the provided state with all the changes in the state. Accepts primitive and object value types
         * @protected
         * @param {?} state State to update value for
         * @return {?} updated value including all the changes in provided state
         */
        IgxBaseTransactionService.prototype.updateValue = /**
         * Updates the recordRef of the provided state with all the changes in the state. Accepts primitive and object value types
         * @protected
         * @param {?} state State to update value for
         * @return {?} updated value including all the changes in provided state
         */
        function (state) {
            return this.mergeValues(state.recordRef, state.value);
        };
        /**
         * Merges second values in first value and the result in empty object. If values are primitive type
         * returns second value if exists, or first value.
         * @param first Value to merge into
         * @param second Value to merge
         */
        /**
         * Merges second values in first value and the result in empty object. If values are primitive type
         * returns second value if exists, or first value.
         * @protected
         * @template U
         * @param {?} first Value to merge into
         * @param {?} second Value to merge
         * @return {?}
         */
        IgxBaseTransactionService.prototype.mergeValues = /**
         * Merges second values in first value and the result in empty object. If values are primitive type
         * returns second value if exists, or first value.
         * @protected
         * @template U
         * @param {?} first Value to merge into
         * @param {?} second Value to merge
         * @return {?}
         */
        function (first, second) {
            /** @type {?} */
            var result;
            if (isObject(first) || isObject(second)) {
                result = mergeObjects(mergeObjects({}, first), second);
            }
            else {
                result = second ? second : first;
            }
            return result;
        };
        IgxBaseTransactionService.decorators = [
            { type: core.Injectable }
        ];
        return IgxBaseTransactionService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @template T, S
     */
    var IgxTransactionService = /** @class */ (function (_super) {
        __extends(IgxTransactionService, _super);
        function IgxTransactionService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this._transactions = [];
            _this._redoStack = [];
            _this._undoStack = [];
            _this._states = new Map();
            /**
             * \@inheritdoc
             */
            _this.onStateUpdate = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxTransactionService.prototype, "canUndo", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                return this._undoStack.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTransactionService.prototype, "canRedo", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                return this._redoStack.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} transaction
         * @param {?=} recordRef
         * @return {?}
         */
        IgxTransactionService.prototype.add = /**
         * \@inheritdoc
         * @param {?} transaction
         * @param {?=} recordRef
         * @return {?}
         */
        function (transaction, recordRef) {
            /** @type {?} */
            var states = this._isPending ? this._pendingStates : this._states;
            this.verifyAddedTransaction(states, transaction, recordRef);
            this.addTransaction(transaction, states, recordRef);
        };
        /**
         * @protected
         * @param {?} transaction
         * @param {?} states
         * @param {?=} recordRef
         * @return {?}
         */
        IgxTransactionService.prototype.addTransaction = /**
         * @protected
         * @param {?} transaction
         * @param {?} states
         * @param {?=} recordRef
         * @return {?}
         */
        function (transaction, states, recordRef) {
            this.updateState(states, transaction, recordRef);
            /** @type {?} */
            var transactions = this._isPending ? this._pendingTransactions : this._transactions;
            transactions.push(transaction);
            if (!this._isPending) {
                this._undoStack.push([{ transaction: transaction, recordRef: recordRef }]);
                this._redoStack = [];
                this.onStateUpdate.emit();
            }
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        IgxTransactionService.prototype.getTransactionLog = /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        function (id) {
            if (id !== undefined) {
                return this._transactions.filter(function (t) { return t.id === id; });
            }
            return __spread(this._transactions);
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} mergeChanges
         * @return {?}
         */
        IgxTransactionService.prototype.getAggregatedChanges = /**
         * \@inheritdoc
         * @param {?} mergeChanges
         * @return {?}
         */
        function (mergeChanges) {
            var _this = this;
            /** @type {?} */
            var result = [];
            this._states.forEach(function (state, key) {
                /** @type {?} */
                var value = mergeChanges ? _this.mergeValues(state.recordRef, state.value) : state.value;
                result.push((/** @type {?} */ ({ id: key, newValue: value, type: state.type })));
            });
            return result;
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} id
         * @param {?=} pending
         * @return {?}
         */
        IgxTransactionService.prototype.getState = /**
         * \@inheritdoc
         * @param {?} id
         * @param {?=} pending
         * @return {?}
         */
        function (id, pending) {
            if (pending === void 0) { pending = false; }
            return pending ? this._pendingStates.get(id) : this._states.get(id);
        };
        Object.defineProperty(IgxTransactionService.prototype, "enabled", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} id
         * @param {?} mergeChanges
         * @return {?}
         */
        IgxTransactionService.prototype.getAggregatedValue = /**
         * \@inheritdoc
         * @param {?} id
         * @param {?} mergeChanges
         * @return {?}
         */
        function (id, mergeChanges) {
            /** @type {?} */
            var state = this._states.get(id);
            /** @type {?} */
            var pendingState = _super.prototype.getState.call(this, id);
            //  if there is no state and there is no pending state return null
            if (!state && !pendingState) {
                return null;
            }
            /** @type {?} */
            var pendingChange = _super.prototype.getAggregatedValue.call(this, id, false);
            /** @type {?} */
            var change = state && state.value;
            /** @type {?} */
            var aggregatedValue = this.mergeValues(change, pendingChange);
            if (mergeChanges) {
                /** @type {?} */
                var originalValue = state ? state.recordRef : pendingState.recordRef;
                aggregatedValue = this.mergeValues(originalValue, aggregatedValue);
            }
            return aggregatedValue;
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} commit
         * @return {?}
         */
        IgxTransactionService.prototype.endPending = /**
         * \@inheritdoc
         * @param {?} commit
         * @return {?}
         */
        function (commit) {
            var e_1, _a;
            this._isPending = false;
            if (commit) {
                /** @type {?} */
                var actions = [];
                try {
                    // don't use addTransaction due to custom undo handling
                    for (var _b = __values(this._pendingTransactions), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var transaction = _c.value;
                        /** @type {?} */
                        var pendingState = this._pendingStates.get(transaction.id);
                        this._transactions.push(transaction);
                        this.updateState(this._states, transaction, pendingState.recordRef);
                        actions.push({ transaction: transaction, recordRef: pendingState.recordRef });
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                this._undoStack.push(actions);
                this._redoStack = [];
                this.onStateUpdate.emit();
            }
            _super.prototype.endPending.call(this, commit);
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?} data
         * @param {?=} id
         * @return {?}
         */
        IgxTransactionService.prototype.commit = /**
         * \@inheritdoc
         * @param {?} data
         * @param {?=} id
         * @return {?}
         */
        function (data, id) {
            var _this = this;
            if (id !== undefined) {
                /** @type {?} */
                var state = this.getState(id);
                if (state) {
                    this.updateRecord(data, state);
                }
            }
            else {
                this._states.forEach(function (s) {
                    _this.updateRecord(data, s);
                });
            }
            this.clear(id);
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        IgxTransactionService.prototype.clear = /**
         * \@inheritdoc
         * @param {?=} id
         * @return {?}
         */
        function (id) {
            if (id !== undefined) {
                this._transactions = this._transactions.filter(function (t) { return t.id !== id; });
                this._states.delete(id);
                //  Undo stack is an array of actions. Each action is array of transaction like objects
                //  We are going trough all the actions. For each action we are filtering out transactions
                //  with provided id. Finally if any action ends up as empty array we are removing it from
                //  undo stack
                this._undoStack = this._undoStack.map(function (a) { return a.filter(function (t) { return t.transaction.id !== id; }); }).filter(function (a) { return a.length > 0; });
            }
            else {
                this._transactions = [];
                this._states.clear();
                this._undoStack = [];
            }
            this._redoStack = [];
            this.onStateUpdate.emit();
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @return {?}
         */
        IgxTransactionService.prototype.undo = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            var e_2, _a, e_3, _b;
            if (this._undoStack.length <= 0) {
                return;
            }
            /** @type {?} */
            var lastActions = this._undoStack.pop();
            this._transactions.splice(this._transactions.length - lastActions.length);
            this._redoStack.push(lastActions);
            this._states.clear();
            try {
                for (var _c = __values(this._undoStack), _d = _c.next(); !_d.done; _d = _c.next()) {
                    var currentActions = _d.value;
                    try {
                        for (var currentActions_1 = __values(currentActions), currentActions_1_1 = currentActions_1.next(); !currentActions_1_1.done; currentActions_1_1 = currentActions_1.next()) {
                            var transaction = currentActions_1_1.value;
                            this.updateState(this._states, transaction.transaction, transaction.recordRef);
                        }
                    }
                    catch (e_3_1) { e_3 = { error: e_3_1 }; }
                    finally {
                        try {
                            if (currentActions_1_1 && !currentActions_1_1.done && (_b = currentActions_1.return)) _b.call(currentActions_1);
                        }
                        finally { if (e_3) throw e_3.error; }
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                }
                finally { if (e_2) throw e_2.error; }
            }
            this.onStateUpdate.emit();
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @return {?}
         */
        IgxTransactionService.prototype.redo = /**
         * \@inheritdoc
         * @return {?}
         */
        function () {
            var e_4, _a;
            if (this._redoStack.length > 0) {
                /** @type {?} */
                var actions = void 0;
                actions = this._redoStack.pop();
                try {
                    for (var actions_1 = __values(actions), actions_1_1 = actions_1.next(); !actions_1_1.done; actions_1_1 = actions_1.next()) {
                        var action = actions_1_1.value;
                        this.updateState(this._states, action.transaction, action.recordRef);
                        this._transactions.push(action.transaction);
                    }
                }
                catch (e_4_1) { e_4 = { error: e_4_1 }; }
                finally {
                    try {
                        if (actions_1_1 && !actions_1_1.done && (_a = actions_1.return)) _a.call(actions_1);
                    }
                    finally { if (e_4) throw e_4.error; }
                }
                this._undoStack.push(actions);
                this.onStateUpdate.emit();
            }
        };
        /**
         * Verifies if the passed transaction is correct. If not throws an exception.
         * @param transaction Transaction to be verified
         */
        /**
         * Verifies if the passed transaction is correct. If not throws an exception.
         * @protected
         * @param {?} states
         * @param {?} transaction Transaction to be verified
         * @param {?=} recordRef
         * @return {?}
         */
        IgxTransactionService.prototype.verifyAddedTransaction = /**
         * Verifies if the passed transaction is correct. If not throws an exception.
         * @protected
         * @param {?} states
         * @param {?} transaction Transaction to be verified
         * @param {?=} recordRef
         * @return {?}
         */
        function (states, transaction, recordRef) {
            /** @type {?} */
            var state = states.get(transaction.id);
            switch (transaction.type) {
                case TransactionType.ADD:
                    if (state) {
                        //  cannot add same item twice
                        throw new Error("Cannot add this transaction. Transaction with id: " + transaction.id + " has been already added.");
                    }
                    break;
                case TransactionType.DELETE:
                case TransactionType.UPDATE:
                    if (state && state.type === TransactionType.DELETE) {
                        //  cannot delete or update deleted items
                        throw new Error("Cannot add this transaction. Transaction with id: " + transaction.id + " has been already deleted.");
                    }
                    if (!state && !recordRef && !this._isPending) {
                        //  cannot initially add transaction or delete item with no recordRef
                        throw new Error("Cannot add this transaction. This is first transaction of type " + transaction.type + " " +
                            ("for id " + transaction.id + ". For first transaction of this type recordRef is mandatory."));
                    }
                    break;
            }
        };
        /**
         * Updates the provided states collection according to passed transaction and recordRef
         * @param states States collection to apply the update to
         * @param transaction Transaction to apply to the current state
         * @param recordRef Reference to the value of the record in data source, if any, where transaction should be applied
         */
        /**
         * Updates the provided states collection according to passed transaction and recordRef
         * @protected
         * @param {?} states States collection to apply the update to
         * @param {?} transaction Transaction to apply to the current state
         * @param {?=} recordRef Reference to the value of the record in data source, if any, where transaction should be applied
         * @return {?}
         */
        IgxTransactionService.prototype.updateState = /**
         * Updates the provided states collection according to passed transaction and recordRef
         * @protected
         * @param {?} states States collection to apply the update to
         * @param {?} transaction Transaction to apply to the current state
         * @param {?=} recordRef Reference to the value of the record in data source, if any, where transaction should be applied
         * @return {?}
         */
        function (states, transaction, recordRef) {
            /** @type {?} */
            var state = states.get(transaction.id);
            //  if TransactionType is ADD simply add transaction to states;
            //  if TransactionType is DELETE:
            //    - if there is state with this id of type ADD remove it from the states;
            //    - if there is state with this id of type UPDATE change its type to DELETE;
            //    - if there is no state with this id add transaction to states;
            //  if TransactionType is UPDATE:
            //    - if there is state with this id of type ADD merge new value and state recordRef into state new value
            //    - if there is state with this id of type UPDATE merge new value into state new value
            //    - if there is state with this id and state type is DELETE change its type to UPDATE
            //    - if there is no state with this id add transaction to states;
            if (state) {
                switch (transaction.type) {
                    case TransactionType.DELETE:
                        if (state.type === TransactionType.ADD) {
                            states.delete(transaction.id);
                        }
                        else if (state.type === TransactionType.UPDATE) {
                            state.value = transaction.newValue;
                            state.type = TransactionType.DELETE;
                        }
                        break;
                    case TransactionType.UPDATE:
                        if (isObject(state.value)) {
                            if (state.type === TransactionType.ADD) {
                                state.value = this.mergeValues(state.value, transaction.newValue);
                            }
                            if (state.type === TransactionType.UPDATE) {
                                mergeObjects(state.value, transaction.newValue);
                            }
                        }
                        else {
                            state.value = transaction.newValue;
                        }
                }
            }
            else {
                state = (/** @type {?} */ ({ value: cloneValue(transaction.newValue), recordRef: recordRef, type: transaction.type }));
                states.set(transaction.id, state);
            }
            //  should not clean pending state. This will happen automatically on endPending call
            if (!this._isPending) {
                this.cleanState(transaction.id, states);
            }
        };
        /**
         * Compares the state with recordRef and clears all duplicated values. If any state ends as
         * empty object removes it from states.
         * @param state State to clean
         */
        /**
         * Compares the state with recordRef and clears all duplicated values. If any state ends as
         * empty object removes it from states.
         * @protected
         * @param {?} id
         * @param {?} states
         * @return {?}
         */
        IgxTransactionService.prototype.cleanState = /**
         * Compares the state with recordRef and clears all duplicated values. If any state ends as
         * empty object removes it from states.
         * @protected
         * @param {?} id
         * @param {?} states
         * @return {?}
         */
        function (id, states) {
            var e_5, _a;
            /** @type {?} */
            var state = states.get(id);
            //  do nothing if
            //  there is no state, or
            //  there is no state value (e.g. DELETED transaction), or
            //  there is no recordRef (e.g. ADDED transaction)
            if (state && state.value && state.recordRef) {
                //  if state's value is object compare each key with the ones in recordRef
                //  if values in any key are the same delete it from state's value
                //  if state's value is not object, simply compare with recordRef and remove
                //  the state if they are equal
                if (isObject(state.recordRef)) {
                    try {
                        for (var _b = __values(Object.keys(state.value)), _c = _b.next(); !_c.done; _c = _b.next()) {
                            var key = _c.value;
                            if (JSON.stringify(state.recordRef[key]) === JSON.stringify(state.value[key])) {
                                delete state.value[key];
                            }
                        }
                    }
                    catch (e_5_1) { e_5 = { error: e_5_1 }; }
                    finally {
                        try {
                            if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                        }
                        finally { if (e_5) throw e_5.error; }
                    }
                    //  if state's value is empty remove the state from the states, only if state is not DELETE type
                    if (state.type !== TransactionType.DELETE && Object.keys(state.value).length === 0) {
                        states.delete(id);
                    }
                }
                else {
                    if (state.recordRef === state.value) {
                        states.delete(id);
                    }
                }
            }
        };
        /**
         * Updates state related record in the provided data
         * @param data Data source to update
         * @param state State to update data from
         */
        /**
         * Updates state related record in the provided data
         * @protected
         * @param {?} data Data source to update
         * @param {?} state State to update data from
         * @return {?}
         */
        IgxTransactionService.prototype.updateRecord = /**
         * Updates state related record in the provided data
         * @protected
         * @param {?} data Data source to update
         * @param {?} state State to update data from
         * @return {?}
         */
        function (data, state) {
            /** @type {?} */
            var index = data.findIndex(function (i) { return JSON.stringify(i) === JSON.stringify(state.recordRef || {}); });
            switch (state.type) {
                case TransactionType.ADD:
                    data.push(state.value);
                    break;
                case TransactionType.DELETE:
                    if (0 <= index && index < data.length) {
                        data.splice(index, 1);
                    }
                    break;
                case TransactionType.UPDATE:
                    if (0 <= index && index < data.length) {
                        data[index] = this.updateValue(state);
                    }
                    break;
            }
        };
        IgxTransactionService.decorators = [
            { type: core.Injectable }
        ];
        return IgxTransactionService;
    }(IgxBaseTransactionService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * \@experimental \@hidden
     * @template T, S
     */
    var IgxHierarchicalTransactionService = /** @class */ (function (_super) {
        __extends(IgxHierarchicalTransactionService, _super);
        function IgxHierarchicalTransactionService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} mergeChanges
         * @return {?}
         */
        IgxHierarchicalTransactionService.prototype.getAggregatedChanges = /**
         * @param {?} mergeChanges
         * @return {?}
         */
        function (mergeChanges) {
            var _this = this;
            /** @type {?} */
            var result = [];
            this._states.forEach(function (state, key) {
                /** @type {?} */
                var value = mergeChanges ? _this.mergeValues(state.recordRef, state.value) : cloneValue(state.value);
                _this.clearArraysFromObject(value);
                result.push((/** @type {?} */ ({ id: key, path: state.path, newValue: value, type: state.type })));
            });
            return result;
        };
        /**
         * @protected
         * @param {?} states
         * @param {?} transaction
         * @param {?=} recordRef
         * @return {?}
         */
        IgxHierarchicalTransactionService.prototype.updateState = /**
         * @protected
         * @param {?} states
         * @param {?} transaction
         * @param {?=} recordRef
         * @return {?}
         */
        function (states, transaction, recordRef) {
            _super.prototype.updateState.call(this, states, transaction, recordRef);
            //  if transaction has no path, e.g. flat data source, get out
            if (!transaction.path) {
                return;
            }
            /** @type {?} */
            var currentState = states.get(transaction.id);
            if (currentState) {
                currentState.path = transaction.path;
            }
            //  if transaction has path, Hierarchical data source, and it is DELETE
            //  type transaction for all child rows remove ADD states and update
            //  transaction type and value of UPDATE states
            if (transaction.type === TransactionType.DELETE) {
                states.forEach(function (v, k) {
                    if (v.path && v.path.indexOf(transaction.id) !== -1) {
                        switch (v.type) {
                            case TransactionType.ADD:
                                states.delete(k);
                                break;
                            case TransactionType.UPDATE:
                                states.get(k).type = TransactionType.DELETE;
                                states.get(k).value = null;
                        }
                    }
                });
            }
        };
        /**
         * Applies all transactions over the provided data
         * @param data Data source to update
         * @param primaryKey Primary key of the hierarchical data
         * @param childDataKey Kye of child data collection
         * @param id Optional record id to commit transactions for
         */
        /**
         * Applies all transactions over the provided data
         * @param {?} data Data source to update
         * @param {?=} primaryKey Primary key of the hierarchical data
         * @param {?=} childDataKey Kye of child data collection
         * @param {?=} id Optional record id to commit transactions for
         * @return {?}
         */
        IgxHierarchicalTransactionService.prototype.commit = /**
         * Applies all transactions over the provided data
         * @param {?} data Data source to update
         * @param {?=} primaryKey Primary key of the hierarchical data
         * @param {?=} childDataKey Kye of child data collection
         * @param {?=} id Optional record id to commit transactions for
         * @return {?}
         */
        function (data, primaryKey, childDataKey, id) {
            if (childDataKey !== undefined) {
                /** @type {?} */
                var transactions = this.getAggregatedChanges(true);
                if (id !== undefined) {
                    transactions = transactions.filter(function (t) { return t.id === id; });
                }
                DataUtil.mergeHierarchicalTransactions(data, transactions, childDataKey, primaryKey, true);
            }
            else {
                _super.prototype.commit.call(this, data, id);
            }
            this.clear(id);
        };
        //  TODO: remove this method. Force cloning to strip child arrays when needed instead
        //  TODO: remove this method. Force cloning to strip child arrays when needed instead
        /**
         * @private
         * @param {?} obj
         * @return {?}
         */
        IgxHierarchicalTransactionService.prototype.clearArraysFromObject = 
        //  TODO: remove this method. Force cloning to strip child arrays when needed instead
        /**
         * @private
         * @param {?} obj
         * @return {?}
         */
        function (obj) {
            var e_1, _a;
            if (obj) {
                try {
                    for (var _b = __values(Object.keys(obj)), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var prop = _c.value;
                        if (Array.isArray(obj[prop])) {
                            delete obj[prop];
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
        };
        IgxHierarchicalTransactionService.decorators = [
            { type: core.Injectable }
        ];
        return IgxHierarchicalTransactionService;
    }(IgxTransactionService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxToggleDirective = /** @class */ (function () {
        /**
         * @hidden
         */
        function IgxToggleDirective(elementRef, cdr, overlayService, navigationService) {
            var _this = this;
            this.elementRef = elementRef;
            this.cdr = cdr;
            this.overlayService = overlayService;
            this.navigationService = navigationService;
            this.destroy$ = new rxjs.Subject();
            this._overlaySubFilter = [
                operators.filter(function (x) { return x.id === _this._overlayId; }),
                operators.takeUntil(this.destroy$)
            ];
            /**
             * Emits an event after the toggle container is opened.
             *
             * ```typescript
             * onToggleOpened(event) {
             *    alert("Toggle opened!");
             * }
             * ```
             *
             * ```html
             * <div
             *   igxToggle
             *   (onOpened)='onToggleOpened($event)'>
             * </div>
             * ```
             */
            this.onOpened = new core.EventEmitter();
            /**
             * Emits an event before the toggle container is opened.
             *
             * ```typescript
             * onToggleOpening(event) {
             *  alert("Toggle opening!");
             * }
             * ```
             *
             * ```html
             * <div
             *   igxToggle
             *   (onOpening)='onToggleOpening($event)'>
             * </div>
             * ```
             */
            this.onOpening = new core.EventEmitter();
            /**
             * Emits an event after the toggle container is closed.
             *
             * ```typescript
             * onToggleClosed(event) {
             *  alert("Toggle closed!");
             * }
             * ```
             *
             * ```html
             * <div
             *   igxToggle
             *   (onClosed)='onToggleClosed($event)'>
             * </div>
             * ```
             */
            this.onClosed = new core.EventEmitter();
            /**
             * Emits an event before the toggle container is closed.
             *
             * ```typescript
             * onToggleClosing(event) {
             *  alert("Toggle closing!");
             * }
             * ```
             *
             * ```html
             * <div
             *  igxToggle
             *  (onClosing)='onToggleClosing($event)'>
             * </div>
             * ```
             */
            this.onClosing = new core.EventEmitter();
            this._collapsed = true;
            this.overlayClosed = function () {
                _this._collapsed = true;
                _this.cdr.detectChanges();
                delete _this._overlayId;
                _this.unsubscribe();
                _this.onClosed.emit();
            };
        }
        Object.defineProperty(IgxToggleDirective.prototype, "collapsed", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxToggleDirective.prototype, "element", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxToggleDirective.prototype, "hiddenClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxToggleDirective.prototype, "defaultClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Opens the toggle.
         *
         * ```typescript
         * this.myToggle.open();
         * ```
         */
        /**
         * Opens the toggle.
         *
         * ```typescript
         * this.myToggle.open();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        IgxToggleDirective.prototype.open = /**
         * Opens the toggle.
         *
         * ```typescript
         * this.myToggle.open();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        function (overlaySettings) {
            var _this = this;
            var _a, _b, _c;
            //  if there is open animation do nothing
            //  if toggle is not collapsed and there is no close animation do nothing
            /** @type {?} */
            var info = this.overlayService.getOverlayById(this._overlayId);
            /** @type {?} */
            var hasOpenAnimation = info ? info.openAnimationPlayer : false;
            /** @type {?} */
            var hasCloseAnimation = info ? info.closeAnimationPlayer : false;
            if (hasOpenAnimation || !(this._collapsed || hasCloseAnimation)) {
                return;
            }
            if (!info) {
                this._overlayId = this.overlayService.attach(this.elementRef, overlaySettings);
            }
            this._collapsed = false;
            this.cdr.detectChanges();
            /** @type {?} */
            var openEventArgs = { cancel: false };
            this.onOpening.emit(openEventArgs);
            if (openEventArgs.cancel) {
                this._collapsed = true;
                this.cdr.detectChanges();
                return;
            }
            this.overlayService.show(this._overlayId, overlaySettings);
            this.unsubscribe();
            this._overlayOpenedSub = (_a = this.overlayService.onOpened).pipe.apply(_a, __spread(this._overlaySubFilter)).subscribe(function () {
                _this.onOpened.emit();
            });
            this._overlayClosingSub = (_b = this.overlayService
                .onClosing).pipe.apply(_b, __spread(this._overlaySubFilter)).subscribe(function (e) {
                /** @type {?} */
                var eventArgs = { cancel: false, event: e.event };
                _this.onClosing.emit(eventArgs);
                e.cancel = eventArgs.cancel;
                //  in case event is not canceled this will close the toggle and we need to unsubscribe.
                //  Otherwise if for some reason, e.g. close on outside click, close() gets called before
                //  onClosed was fired we will end with calling onClosing more than once
                if (!e.cancel) {
                    _this.clearSubscription(_this._overlayClosingSub);
                }
            });
            this._overlayClosedSub = (_c = this.overlayService.onClosed).pipe.apply(_c, __spread(this._overlaySubFilter)).subscribe(this.overlayClosed);
        };
        /**
         * Closes the toggle.
         *
         * ```typescript
         * this.myToggle.close();
         * ```
         */
        /**
         * Closes the toggle.
         *
         * ```typescript
         * this.myToggle.close();
         * ```
         * @return {?}
         */
        IgxToggleDirective.prototype.close = /**
         * Closes the toggle.
         *
         * ```typescript
         * this.myToggle.close();
         * ```
         * @return {?}
         */
        function () {
            //  if toggle is collapsed do nothing
            //  if there is close animation do nothing, toggle will close anyway
            /** @type {?} */
            var info = this.overlayService.getOverlayById(this._overlayId);
            /** @type {?} */
            var hasCloseAnimation = info ? info.closeAnimationPlayer : false;
            if (this._collapsed || hasCloseAnimation) {
                return;
            }
            this.overlayService.hide(this._overlayId);
        };
        /**
         * Opens or closes the toggle, depending on its current state.
         *
         * ```typescript
         * this.myToggle.toggle();
         * ```
         */
        /**
         * Opens or closes the toggle, depending on its current state.
         *
         * ```typescript
         * this.myToggle.toggle();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        IgxToggleDirective.prototype.toggle = /**
         * Opens or closes the toggle, depending on its current state.
         *
         * ```typescript
         * this.myToggle.toggle();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        function (overlaySettings) {
            //  if toggle is collapsed call open
            //  if there is close animation call open
            if (this.collapsed || this.isClosing) {
                this.open(overlaySettings);
            }
            else {
                this.close();
            }
        };
        Object.defineProperty(IgxToggleDirective.prototype, "isClosing", {
            /** @hidden @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                /** @type {?} */
                var info = this.overlayService.getOverlayById(this._overlayId);
                return info ? info.closeAnimationPlayer : false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Repositions the toggle.
         * ```typescript
         * this.myToggle.reposition();
         * ```
         */
        /**
         * Repositions the toggle.
         * ```typescript
         * this.myToggle.reposition();
         * ```
         * @return {?}
         */
        IgxToggleDirective.prototype.reposition = /**
         * Repositions the toggle.
         * ```typescript
         * this.myToggle.reposition();
         * ```
         * @return {?}
         */
        function () {
            this.overlayService.reposition(this._overlayId);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxToggleDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.navigationService && this.id) {
                this.navigationService.add(this.id, this);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxToggleDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.navigationService && this.id) {
                this.navigationService.remove(this.id);
            }
            if (!this.collapsed && this._overlayId) {
                this.overlayService.hide(this._overlayId);
            }
            this.unsubscribe();
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         * @private
         * @return {?}
         */
        IgxToggleDirective.prototype.unsubscribe = /**
         * @private
         * @return {?}
         */
        function () {
            this.clearSubscription(this._overlayOpenedSub);
            this.clearSubscription(this._overlayClosingSub);
            this.clearSubscription(this._overlayClosedSub);
        };
        /**
         * @private
         * @param {?} subscription
         * @return {?}
         */
        IgxToggleDirective.prototype.clearSubscription = /**
         * @private
         * @param {?} subscription
         * @return {?}
         */
        function (subscription) {
            if (subscription && !subscription.closed) {
                subscription.unsubscribe();
            }
        };
        IgxToggleDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'toggle',
                        selector: '[igxToggle]'
                    },] }
        ];
        /** @nocollapse */
        IgxToggleDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] }
        ]; };
        IgxToggleDirective.propDecorators = {
            onOpened: [{ type: core.Output }],
            onOpening: [{ type: core.Output }],
            onClosed: [{ type: core.Output }],
            onClosing: [{ type: core.Output }],
            id: [{ type: core.Input }],
            hiddenClass: [{ type: core.HostBinding, args: ['class.igx-toggle--hidden',] }, { type: core.HostBinding, args: ['attr.aria-hidden',] }],
            defaultClass: [{ type: core.HostBinding, args: ['class.igx-toggle',] }]
        };
        return IgxToggleDirective;
    }());
    var IgxToggleActionDirective = /** @class */ (function () {
        function IgxToggleActionDirective(element, navigationService) {
            this.element = element;
            this.navigationService = navigationService;
        }
        Object.defineProperty(IgxToggleActionDirective.prototype, "target", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (typeof this._target === 'string') {
                    return this.navigationService.get(this._target);
                }
                return this._target;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} target
             * @return {?}
             */
            function (target) {
                if (target !== null && target !== '') {
                    this._target = target;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxToggleActionDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._overlayDefaults = {
                positionStrategy: new ConnectedPositioningStrategy({ target: this.element.nativeElement }),
                scrollStrategy: new AbsoluteScrollStrategy(),
                closeOnOutsideClick: true,
                modal: false,
                excludePositionTarget: true
            };
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxToggleActionDirective.prototype.onClick = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.outlet) {
                this._overlayDefaults.outlet = this.outlet;
            }
            /** @type {?} */
            var clonedSettings = Object.assign({}, this._overlayDefaults, this.overlaySettings);
            this.updateOverlaySettings(clonedSettings);
            this.target.toggle(clonedSettings);
        };
        /**
         * Updates provided overlay settings
         * @param settings settings to update
         * @returns returns updated copy of provided overlay settings
         */
        /**
         * Updates provided overlay settings
         * @protected
         * @param {?} settings settings to update
         * @return {?} returns updated copy of provided overlay settings
         */
        IgxToggleActionDirective.prototype.updateOverlaySettings = /**
         * Updates provided overlay settings
         * @protected
         * @param {?} settings settings to update
         * @return {?} returns updated copy of provided overlay settings
         */
        function (settings) {
            if (settings && settings.positionStrategy) {
                /** @type {?} */
                var positionStrategyClone = settings.positionStrategy.clone();
                positionStrategyClone.settings.target = this.element.nativeElement;
                settings.positionStrategy = positionStrategyClone;
            }
            return settings;
        };
        IgxToggleActionDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'toggle-action',
                        selector: '[igxToggleAction]'
                    },] }
        ];
        /** @nocollapse */
        IgxToggleActionDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] }
        ]; };
        IgxToggleActionDirective.propDecorators = {
            overlaySettings: [{ type: core.Input }],
            outlet: [{ type: core.Input, args: ['igxToggleOutlet',] }],
            target: [{ type: core.Input, args: ['igxToggleAction',] }],
            onClick: [{ type: core.HostListener, args: ['click',] }]
        };
        return IgxToggleActionDirective;
    }());
    /**
     * Mark an element as an igxOverlay outlet container.
     * Directive instance is exported as `overlay-outlet` to be assigned to templates variables:
     * ```html
     * <div igxOverlayOutlet #outlet="overlay-outlet"></div>
     * ```
     */
    var IgxOverlayOutletDirective = /** @class */ (function () {
        function IgxOverlayOutletDirective(element) {
            this.element = element;
        }
        Object.defineProperty(IgxOverlayOutletDirective.prototype, "nativeElement", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        IgxOverlayOutletDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'overlay-outlet',
                        selector: '[igxOverlayOutlet]'
                    },] }
        ];
        /** @nocollapse */
        IgxOverlayOutletDirective.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        return IgxOverlayOutletDirective;
    }());
    /**
     * @hidden
     */
    var IgxToggleModule = /** @class */ (function () {
        function IgxToggleModule() {
        }
        IgxToggleModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxToggleDirective, IgxToggleActionDirective, IgxOverlayOutletDirective],
                        exports: [IgxToggleDirective, IgxToggleActionDirective, IgxOverlayOutletDirective],
                        providers: [IgxNavigationService]
                    },] }
        ];
        return IgxToggleModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var Navigate = {
        Up: -1,
        Down: 1,
    };
    Navigate[Navigate.Up] = 'Up';
    Navigate[Navigate.Down] = 'Down';
    /** @enum {string} */
    var DropDownActionKey = {
        ESCAPE: 'escape',
        ENTER: 'enter',
        SPACE: 'space',
    };
    /** @type {?} */
    var IGX_DROPDOWN_BASE = 'IgxDropDownBaseToken';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxSelectionAPIService = /** @class */ (function () {
        function IgxSelectionAPIService() {
            /**
             * If primaryKey is defined, then multiple selection is based on the primaryKey, and it is array of numbers, strings, etc.
             * If the primaryKey is omitted, then selection is based on the item data
             */
            this.selection = new Map();
        }
        /**
         * Get current component selection.
         * @param componentID ID of the component.
         */
        /**
         * Get current component selection.
         * @param {?} componentID ID of the component.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.get = /**
         * Get current component selection.
         * @param {?} componentID ID of the component.
         * @return {?}
         */
        function (componentID) {
            return this.selection.get(componentID);
        };
        /**
         * Set new component selection.
         * @param componentID ID of the component.
         * @param newSelection The new component selection to be set.
         */
        /**
         * Set new component selection.
         * @param {?} componentID ID of the component.
         * @param {?} newSelection The new component selection to be set.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.set = /**
         * Set new component selection.
         * @param {?} componentID ID of the component.
         * @param {?} newSelection The new component selection to be set.
         * @return {?}
         */
        function (componentID, newSelection) {
            if (!componentID) {
                throw Error('Invalid value for component id!');
            }
            this.selection.set(componentID, newSelection);
        };
        /**
         * Clears selection for component.
         * @param componentID ID of the component.
         */
        /**
         * Clears selection for component.
         * @param {?} componentID ID of the component.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.clear = /**
         * Clears selection for component.
         * @param {?} componentID ID of the component.
         * @return {?}
         */
        function (componentID) {
            this.selection.set(componentID, this.get_empty());
        };
        /**
         * Get current component selection length.
         * @param componentID ID of the component.
         */
        /**
         * Get current component selection length.
         * @param {?} componentID ID of the component.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.size = /**
         * Get current component selection length.
         * @param {?} componentID ID of the component.
         * @return {?}
         */
        function (componentID) {
            /** @type {?} */
            var sel = this.get(componentID);
            return sel ? sel.size : 0;
        };
        /**
         * Creates new selection that consist of the new item added to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the select_item() one.
         * @param componentID ID of the component, which we add new item to.
         * @param itemID ID of the item to add to component selection.
         * @param sel Used internally only by the selection (add_items method) to accumulate selection for multiple items.
         *
         * @returns Selection after the new item is added.
         */
        /**
         * Creates new selection that consist of the new item added to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the select_item() one.
         * @param {?} componentID ID of the component, which we add new item to.
         * @param {?} itemID ID of the item to add to component selection.
         * @param {?=} sel Used internally only by the selection (add_items method) to accumulate selection for multiple items.
         *
         * @return {?} Selection after the new item is added.
         */
        IgxSelectionAPIService.prototype.add_item = /**
         * Creates new selection that consist of the new item added to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the select_item() one.
         * @param {?} componentID ID of the component, which we add new item to.
         * @param {?} itemID ID of the item to add to component selection.
         * @param {?=} sel Used internally only by the selection (add_items method) to accumulate selection for multiple items.
         *
         * @return {?} Selection after the new item is added.
         */
        function (componentID, itemID, sel) {
            if (!sel) {
                sel = new Set(this.get(componentID));
            }
            if (sel === undefined) {
                sel = this.get_empty();
            }
            if (!itemID && itemID !== 0) {
                throw Error('Invalid value for item id!');
            }
            sel.add(itemID);
            return sel;
        };
        /**
         * Creates new selection that consist of the new items added to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the select_items() one.
         * @param componentID ID of the component, which we add new items to.
         * @param itemIDs Array of IDs of the items to add to component selection.
         * @param clearSelection If true it will clear previous selection.
         *
         * @returns Selection after the new items are added.
         */
        /**
         * Creates new selection that consist of the new items added to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the select_items() one.
         * @param {?} componentID ID of the component, which we add new items to.
         * @param {?} itemIDs Array of IDs of the items to add to component selection.
         * @param {?=} clearSelection If true it will clear previous selection.
         *
         * @return {?} Selection after the new items are added.
         */
        IgxSelectionAPIService.prototype.add_items = /**
         * Creates new selection that consist of the new items added to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the select_items() one.
         * @param {?} componentID ID of the component, which we add new items to.
         * @param {?} itemIDs Array of IDs of the items to add to component selection.
         * @param {?=} clearSelection If true it will clear previous selection.
         *
         * @return {?} Selection after the new items are added.
         */
        function (componentID, itemIDs, clearSelection) {
            var _this = this;
            /** @type {?} */
            var selection;
            if (clearSelection) {
                selection = this.get_empty();
            }
            else if (itemIDs && itemIDs.length === 0) {
                selection = new Set(this.get(componentID));
            }
            itemIDs.forEach(function (item) { return selection = _this.add_item(componentID, item, selection); });
            return selection;
        };
        /**
         * Add item to the current component selection.
         * @param componentID ID of the component, which we add new item to.
         * @param itemID ID of the item to add to component selection.
         * @param sel Used internally only by the selection (select_items method) to accumulate selection for multiple items.
         */
        /**
         * Add item to the current component selection.
         * @param {?} componentID ID of the component, which we add new item to.
         * @param {?} itemID ID of the item to add to component selection.
         * @param {?=} sel Used internally only by the selection (select_items method) to accumulate selection for multiple items.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.select_item = /**
         * Add item to the current component selection.
         * @param {?} componentID ID of the component, which we add new item to.
         * @param {?} itemID ID of the item to add to component selection.
         * @param {?=} sel Used internally only by the selection (select_items method) to accumulate selection for multiple items.
         * @return {?}
         */
        function (componentID, itemID, sel) {
            this.set(componentID, this.add_item(componentID, itemID, sel));
        };
        /**
         * Add items to the current component selection.
         * @param componentID ID of the component, which we add new items to.
         * @param itemIDs Array of IDs of the items to add to component selection.
         * @param clearSelection If true it will clear previous selection.
         */
        /**
         * Add items to the current component selection.
         * @param {?} componentID ID of the component, which we add new items to.
         * @param {?} itemID
         * @param {?=} clearSelection If true it will clear previous selection.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.select_items = /**
         * Add items to the current component selection.
         * @param {?} componentID ID of the component, which we add new items to.
         * @param {?} itemID
         * @param {?=} clearSelection If true it will clear previous selection.
         * @return {?}
         */
        function (componentID, itemID, clearSelection) {
            this.set(componentID, this.add_items(componentID, itemID, clearSelection));
        };
        /**
         * Creates new selection that consist of the new items excluded from the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the deselect_item() one.
         * @param componentID ID of the component, which we remove items from.
         * @param itemID ID of the item to remove from component selection.
         * @param sel Used internally only by the selection (delete_items method) to accumulate deselected items.
         *
         * @returns Selection after the item is removed.
         */
        /**
         * Creates new selection that consist of the new items excluded from the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the deselect_item() one.
         * @param {?} componentID ID of the component, which we remove items from.
         * @param {?} itemID ID of the item to remove from component selection.
         * @param {?=} sel Used internally only by the selection (delete_items method) to accumulate deselected items.
         *
         * @return {?} Selection after the item is removed.
         */
        IgxSelectionAPIService.prototype.delete_item = /**
         * Creates new selection that consist of the new items excluded from the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the deselect_item() one.
         * @param {?} componentID ID of the component, which we remove items from.
         * @param {?} itemID ID of the item to remove from component selection.
         * @param {?=} sel Used internally only by the selection (delete_items method) to accumulate deselected items.
         *
         * @return {?} Selection after the item is removed.
         */
        function (componentID, itemID, sel) {
            if (!sel) {
                sel = new Set(this.get(componentID));
            }
            if (sel === undefined) {
                return;
            }
            sel.delete(itemID);
            return sel;
        };
        /**
         * Creates new selection that consist of the new items removed to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the deselect_items() one.
         * @param componentID ID of the component, which we remove items from.
         * @param itemID ID of the items to remove from component selection.
         *
         * @returns Selection after the items are removed.
         */
        /**
         * Creates new selection that consist of the new items removed to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the deselect_items() one.
         * @param {?} componentID ID of the component, which we remove items from.
         * @param {?} itemIDs
         * @return {?} Selection after the items are removed.
         */
        IgxSelectionAPIService.prototype.delete_items = /**
         * Creates new selection that consist of the new items removed to the current component selection.
         * The returned collection is new Set,
         * therefore if you want to update component selection you need to call in addition the set_selection() method
         * or instead use the deselect_items() one.
         * @param {?} componentID ID of the component, which we remove items from.
         * @param {?} itemIDs
         * @return {?} Selection after the items are removed.
         */
        function (componentID, itemIDs) {
            var _this = this;
            /** @type {?} */
            var selection;
            itemIDs.forEach(function (deselectedItem) { return selection = _this.delete_item(componentID, deselectedItem, selection); });
            return selection;
        };
        /**
         * Remove item from the current component selection.
         * @param componentID ID of the component, which we remove item from.
         * @param itemID ID of the item to remove from component selection.
         * @param sel Used internally only by the selection (deselect_items method) to accumulate selection for multiple items.
         */
        /**
         * Remove item from the current component selection.
         * @param {?} componentID ID of the component, which we remove item from.
         * @param {?} itemID ID of the item to remove from component selection.
         * @param {?=} sel Used internally only by the selection (deselect_items method) to accumulate selection for multiple items.
         * @return {?}
         */
        IgxSelectionAPIService.prototype.deselect_item = /**
         * Remove item from the current component selection.
         * @param {?} componentID ID of the component, which we remove item from.
         * @param {?} itemID ID of the item to remove from component selection.
         * @param {?=} sel Used internally only by the selection (deselect_items method) to accumulate selection for multiple items.
         * @return {?}
         */
        function (componentID, itemID, sel) {
            this.set(componentID, this.delete_item(componentID, itemID, sel));
        };
        /**
         * Remove items to the current component selection.
         * @param componentID ID of the component, which we add new items to.
         * @param itemIDs Array of IDs of the items to add to component selection.
         */
        /**
         * Remove items to the current component selection.
         * @param {?} componentID ID of the component, which we add new items to.
         * @param {?} itemID
         * @param {?=} clearSelection
         * @return {?}
         */
        IgxSelectionAPIService.prototype.deselect_items = /**
         * Remove items to the current component selection.
         * @param {?} componentID ID of the component, which we add new items to.
         * @param {?} itemID
         * @param {?=} clearSelection
         * @return {?}
         */
        function (componentID, itemID, clearSelection) {
            this.set(componentID, this.delete_items(componentID, itemID));
        };
        /**
         * Check if the item is selected in the component selection.
         * @param componentID ID of the component.
         * @param itemID ID of the item to search.
         *
         * @returns If item is selected.
         */
        /**
         * Check if the item is selected in the component selection.
         * @param {?} componentID ID of the component.
         * @param {?} itemID ID of the item to search.
         *
         * @return {?} If item is selected.
         */
        IgxSelectionAPIService.prototype.is_item_selected = /**
         * Check if the item is selected in the component selection.
         * @param {?} componentID ID of the component.
         * @param {?} itemID ID of the item to search.
         *
         * @return {?} If item is selected.
         */
        function (componentID, itemID) {
            /** @type {?} */
            var sel = this.get(componentID);
            if (!sel) {
                return false;
            }
            return sel.has(itemID);
        };
        /**
         * Get first element in the selection.
         * This is correct when we have only one item in the collection (for single selection purposes)
         * and the method returns that item.
         * @param componentID ID of the component.
         *
         * @returns First element in the set.
         */
        /**
         * Get first element in the selection.
         * This is correct when we have only one item in the collection (for single selection purposes)
         * and the method returns that item.
         * @param {?} componentID ID of the component.
         *
         * @return {?} First element in the set.
         */
        IgxSelectionAPIService.prototype.first_item = /**
         * Get first element in the selection.
         * This is correct when we have only one item in the collection (for single selection purposes)
         * and the method returns that item.
         * @param {?} componentID ID of the component.
         *
         * @return {?} First element in the set.
         */
        function (componentID) {
            /** @type {?} */
            var sel = this.get(componentID);
            if (sel && sel.size > 0) {
                return sel.values().next().value;
            }
        };
        /**
         * Returns whether all items are selected.
         * @param componentID ID of the component.
         * @param dataCount: number Number of items in the data.
         *
         * @returns If all items are selected.
         */
        /**
         * Returns whether all items are selected.
         * @param {?} componentID ID of the component.
         * @param {?} dataCount
         * @return {?} If all items are selected.
         */
        IgxSelectionAPIService.prototype.are_all_selected = /**
         * Returns whether all items are selected.
         * @param {?} componentID ID of the component.
         * @param {?} dataCount
         * @return {?} If all items are selected.
         */
        function (componentID, dataCount) {
            return dataCount > 0 && dataCount === this.size(componentID);
        };
        /**
         * Returns whether any of the items is selected.
         * @param componentID ID of the component.
         * @param data Entire data array.
         *
         * @returns If there is any item selected.
         */
        /**
         * Returns whether any of the items is selected.
         * @param {?} componentID ID of the component.
         * @return {?} If there is any item selected.
         */
        IgxSelectionAPIService.prototype.are_none_selected = /**
         * Returns whether any of the items is selected.
         * @param {?} componentID ID of the component.
         * @return {?} If there is any item selected.
         */
        function (componentID) {
            return this.size(componentID) === 0;
        };
        /**
         * Get all primary key values from a data array. If there isn't a primary key defined that the entire data is returned instead.
         * @param data Entire data array.
         * @param primaryKey Data primary key.
         *
         * @returns Array of identifiers, either primary key values or the entire data array.
         */
        /**
         * Get all primary key values from a data array. If there isn't a primary key defined that the entire data is returned instead.
         * @param {?} data Entire data array.
         * @param {?=} primaryKey Data primary key.
         *
         * @return {?} Array of identifiers, either primary key values or the entire data array.
         */
        IgxSelectionAPIService.prototype.get_all_ids = /**
         * Get all primary key values from a data array. If there isn't a primary key defined that the entire data is returned instead.
         * @param {?} data Entire data array.
         * @param {?=} primaryKey Data primary key.
         *
         * @return {?} Array of identifiers, either primary key values or the entire data array.
         */
        function (data, primaryKey) {
            // If primaryKey is 0, this should still map to the property
            return primaryKey !== undefined && primaryKey !== null ? data.map(function (x) { return x[primaryKey]; }) : data;
        };
        /**
         * Returns empty selection collection.
         * @returns empty set.
        */
        /**
         * Returns empty selection collection.
         * @return {?} empty set.
         */
        IgxSelectionAPIService.prototype.get_empty = /**
         * Returns empty selection collection.
         * @return {?} empty set.
         */
        function () {
            return new Set();
        };
        IgxSelectionAPIService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root',
                    },] }
        ];
        /** @nocollapse */ IgxSelectionAPIService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function IgxSelectionAPIService_Factory() { return new IgxSelectionAPIService(); }, token: IgxSelectionAPIService, providedIn: "root" });
        return IgxSelectionAPIService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID = 0;
    /**
     * The `<igx-drop-down-item>` is a container intended for row items in
     * a `<igx-drop-down>` container.
     */
    var IgxDropDownGroupComponent = /** @class */ (function () {
        function IgxDropDownGroupComponent() {
            this._id = NEXT_ID++;
            /**
             * @hidden \@internal
             */
            this.role = 'group';
            /**
             * @hidden \@internal
             */
            this.groupClass = true;
            /**
             * Sets/gets if the item group is disabled
             *
             * ```typescript
             * const myDropDownGroup: IgxDropDownGroupComponent = this.dropdownGroup;
             * // get
             * ...
             * const groupState: boolean = myDropDownGroup.disabled;
             * ...
             * //set
             * ...
             * myDropDownGroup,disabled = false;
             * ...
             * ```
             *
             * ```html
             * <igx-drop-down-item-group [label]="'My Items'" [disabled]="true">
             *     <igx-drop-down-item *ngFor="let item of items[index]" [value]="item.value">
             *         {{ item.text }}
             *     </igx-drop-down-item>
             * </igx-drop-down-item-group>
             * ```
             *
             * **NOTE:** All items inside of a disabled drop down group will be treated as disabled
             */
            this.disabled = false;
        }
        Object.defineProperty(IgxDropDownGroupComponent.prototype, "labelId", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return "igx-item-group-label-" + this._id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownGroupComponent.prototype, "labelledBy", {
            get: /**
             * @return {?}
             */
            function () {
                return this.labelId;
            },
            enumerable: true,
            configurable: true
        });
        IgxDropDownGroupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-drop-down-item-group',
                        template: "\n        <label id=\"{{labelId}}\">{{ label }}</label>\n        <ng-content select=\"igx-drop-down-item\"></ng-content>\n    "
                    }] }
        ];
        IgxDropDownGroupComponent.propDecorators = {
            labelledBy: [{ type: core.HostBinding, args: ["attr.aria-labelledby",] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            groupClass: [{ type: core.HostBinding, args: ['class.igx-drop-down__group',] }],
            disabled: [{ type: core.Input }, { type: core.HostBinding, args: ["attr.aria-disabled",] }, { type: core.HostBinding, args: ['class.igx-drop-down__group--disabled',] }],
            label: [{ type: core.Input }]
        };
        return IgxDropDownGroupComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$1 = 0;
    /** @type {?} */
    var warningShown$1 = false;
    /**
     * An abstract class defining a drop-down item:
     * With properties / styles for selection, highlight, height
     * Bindable property for passing data (`value: any`)
     * Parent component (has to be used under a parent with type `IDropDownBase`)
     * Method for handling click on Host()
     * @abstract
     */
    var IgxDropDownItemBase = /** @class */ (function () {
        function IgxDropDownItemBase(dropDown, elementRef, group, selection) {
            this.dropDown = dropDown;
            this.elementRef = elementRef;
            this.group = group;
            this.selection = selection;
            /**
             * @hidden
             */
            this._focused = false;
            this._selected = false;
            this._index = null;
            this._disabled = false;
            /**
             * Sets/gets the `id` of the item.
             * ```html
             * <igx-drop-down-item [id] = 'igx-drop-down-item-0'></igx-drop-down-item>
             * ```
             * ```typescript
             * let itemId =  this.item.id;
             * ```
             * \@memberof IgxSelectItemComponent
             */
            this.id = "igx-drop-down-item-" + NEXT_ID$1++;
            /**
             * @hidden
             */
            this.selectedChange = new core.EventEmitter();
            /**
             * Gets/sets the `role` attribute of the item. Default is 'option'.
             *
             * ```html
             *  <igx-drop-down-item [role]="customRole"></igx-drop-down-item>
             * ```
             */
            this.role = 'option';
        }
        Object.defineProperty(IgxDropDownItemBase.prototype, "hasIndex", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this._index !== null && this._index !== undefined;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "itemID", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @template THIS
             * @this {THIS}
             * @return {THIS}
             */
            function () {
                return (/** @type {?} */ (this));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "index", {
            /**
             * The data index of the dropdown item.
             *
             * ```typescript
             * // get the data index of the selected dropdown item
             * let selectedItemIndex = this.dropdown.selectedItem.index
             * ```
             */
            get: /**
             * The data index of the dropdown item.
             *
             * ```typescript
             * // get the data index of the selected dropdown item
             * let selectedItemIndex = this.dropdown.selectedItem.index
             * ```
             * @return {?}
             */
            function () {
                if (this._index === null) {
                    warningShown$1 = showMessage('IgxDropDownItemBase: Automatic index is deprecated.' +
                        'Bind in the template instead using `<igx-drop-down-item [index]="i"` instead.`', warningShown$1);
                    return this.itemIndex;
                }
                return this._index;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._index = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "itemStyle", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return !this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "itemStyleCosy", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.dropDown.displayDensity === 'cosy' && !this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "itemStyleCompact", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.dropDown.displayDensity === 'compact' && !this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "selected", {
            /**
             * Sets/Gets if the item is the currently selected one in the dropdown
             *
             * ```typescript
             *  let mySelectedItem = this.dropdown.selectedItem;
             *  let isMyItemSelected = mySelectedItem.selected; // true
             * ```
             *
             * Two-way data binding
             * ```html
             * <igx-drop-down-item [(selected)]='model.isSelected'></igx-drop-down-item>
             * ```
             */
            get: /**
             * Sets/Gets if the item is the currently selected one in the dropdown
             *
             * ```typescript
             *  let mySelectedItem = this.dropdown.selectedItem;
             *  let isMyItemSelected = mySelectedItem.selected; // true
             * ```
             *
             * Two-way data binding
             * ```html
             * <igx-drop-down-item [(selected)]='model.isSelected'></igx-drop-down-item>
             * ```
             * @return {?}
             */
            function () {
                return this._selected;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.isHeader) {
                    return;
                }
                this._selected = value;
                this.selectedChange.emit(this._selected);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "isSelected", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.selected;
            },
            /**
             * @hidden @internal
             */
            set: /**
             * @hidden \@internal
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.selected = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "focused", {
            /**
             * Sets/gets if the given item is focused
             * ```typescript
             *  let mySelectedItem = this.dropdown.selectedItem;
             *  let isMyItemFocused = mySelectedItem.focused;
             * ```
             */
            get: /**
             * Sets/gets if the given item is focused
             * ```typescript
             *  let mySelectedItem = this.dropdown.selectedItem;
             *  let isMyItemFocused = mySelectedItem.focused;
             * ```
             * @return {?}
             */
            function () {
                return (!this.isHeader && !this.disabled) && this._focused;
            },
            /**
             * ```html
             *  <igx-drop-down-item *ngFor="let item of items" focused={{!item.focused}}>
             *      <div>
             *          {{item.field}}
             *      </div>
             *  </igx-drop-down-item>
             * ```
             */
            set: /**
             * ```html
             *  <igx-drop-down-item *ngFor="let item of items" focused={{!item.focused}}>
             *      <div>
             *          {{item.field}}
             *      </div>
             *  </igx-drop-down-item>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._focused = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "isFocused", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.focused;
            },
            /**
             * @hidden @internal
             */
            set: /**
             * @hidden \@internal
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.focused = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "headerClassCosy", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.isHeader && this.dropDown.displayDensity === 'cosy';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "headerClassCompact", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.isHeader && this.dropDown.displayDensity === 'compact';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "disabled", {
            /**
             * Sets/gets if the given item is disabled
             *
             * ```typescript
             *  // get
             *  let mySelectedItem = this.dropdown.selectedItem;
             *  let myItemIsDisabled = mySelectedItem.disabled;
             * ```
             *
             * ```html
             *  <igx-drop-down-item *ngFor="let item of items" disabled={{!item.disabled}}>
             *      <div>
             *          {{item.field}}
             *      </div>
             *  </igx-drop-down-item>
             * ```
             * **NOTE:** Drop-down items inside of a disabled `IgxDropDownGroup` will always count as disabled
             */
            get: /**
             * Sets/gets if the given item is disabled
             *
             * ```typescript
             *  // get
             *  let mySelectedItem = this.dropdown.selectedItem;
             *  let myItemIsDisabled = mySelectedItem.disabled;
             * ```
             *
             * ```html
             *  <igx-drop-down-item *ngFor="let item of items" disabled={{!item.disabled}}>
             *      <div>
             *          {{item.field}}
             *      </div>
             *  </igx-drop-down-item>
             * ```
             * **NOTE:** Drop-down items inside of a disabled `IgxDropDownGroup` will always count as disabled
             * @return {?}
             */
            function () {
                return this.group ? this.group.disabled || this._disabled : this._disabled;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._disabled = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "itemIndex", {
            /**
             * Gets item index
             * @hidden @internal
             */
            get: /**
             * Gets item index
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.dropDown.items.indexOf(this);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "elementHeight", {
            /**
             * Gets item element height
             * @hidden @internal
             */
            get: /**
             * Gets item element height
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement.clientHeight;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemBase.prototype, "element", {
            /**
             * Get item html element
             * @hidden @internal
             */
            get: /**
             * Get item html element
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.elementRef;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxDropDownItemBase.prototype.clicked = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
        };
        /**
         * @return {?}
         */
        IgxDropDownItemBase.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            if (this._selected) {
                /** @type {?} */
                var dropDownSelectedItem = this.dropDown.selectedItem;
                if (!dropDownSelectedItem) {
                    this.dropDown.selectItem(this);
                }
                else if (this.hasIndex
                    ? this._index !== dropDownSelectedItem.index || this.value !== dropDownSelectedItem.value :
                    this !== dropDownSelectedItem) {
                    this.dropDown.selectItem(this);
                }
            }
        };
        /** @nocollapse */
        IgxDropDownItemBase.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_DROPDOWN_BASE,] }] },
            { type: core.ElementRef },
            { type: IgxDropDownGroupComponent, decorators: [{ type: core.Optional }] },
            { type: IgxSelectionAPIService, decorators: [{ type: core.Optional }, { type: core.Inject, args: [IgxSelectionAPIService,] }] }
        ]; };
        IgxDropDownItemBase.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            index: [{ type: core.Input }],
            value: [{ type: core.Input }],
            itemStyle: [{ type: core.HostBinding, args: ['class.igx-drop-down__item',] }],
            itemStyleCosy: [{ type: core.HostBinding, args: ['class.igx-drop-down__item--cosy',] }],
            itemStyleCompact: [{ type: core.HostBinding, args: ['class.igx-drop-down__item--compact',] }],
            selected: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.aria-selected',] }, { type: core.HostBinding, args: ['class.igx-drop-down__item--selected',] }],
            selectedChange: [{ type: core.Output }],
            isSelected: [{ type: core.Input }],
            focused: [{ type: core.HostBinding, args: ['class.igx-drop-down__item--focused',] }],
            isHeader: [{ type: core.Input }, { type: core.HostBinding, args: ['class.igx-drop-down__header',] }],
            headerClassCosy: [{ type: core.HostBinding, args: ['class.igx-drop-down__header--cosy',] }],
            headerClassCompact: [{ type: core.HostBinding, args: ['class.igx-drop-down__header--compact',] }],
            disabled: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.aria-disabled',] }, { type: core.HostBinding, args: ['class.igx-drop-down__item--disabled',] }],
            role: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.role',] }],
            clicked: [{ type: core.HostListener, args: ['click', ['$event'],] }]
        };
        __decorate([
            DeprecateProperty("IgxDropDownItemBase `isSelected` property is deprecated.\n" +
                "Use `selected` instead."),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxDropDownItemBase.prototype, "isSelected", null);
        __decorate([
            DeprecateProperty("IgxDropDownItemBase `isFocused` property is depracated.\n" +
                "Use `focused` instead."),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxDropDownItemBase.prototype, "isFocused", null);
        return IgxDropDownItemBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * The `<igx-drop-down-item>` is a container intended for row items in
     * a `<igx-drop-down>` container.
     */
    var IgxDropDownItemComponent = /** @class */ (function (_super) {
        __extends(IgxDropDownItemComponent, _super);
        function IgxDropDownItemComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(IgxDropDownItemComponent.prototype, "focused", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                /** @type {?} */
                var focusedState = this._focused;
                if (this.hasIndex) {
                    /** @type {?} */
                    var focusedItem = this.selection.first_item(this.dropDown.id + "-active");
                    /** @type {?} */
                    var focusedIndex = focusedItem ? focusedItem.index : -1;
                    focusedState = this._index === focusedIndex;
                }
                return !this.isHeader && !this.disabled && focusedState;
            },
            /**
             * @inheritdoc
             */
            set: /**
             * \@inheritdoc
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._focused = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemComponent.prototype, "selected", {
            /**
             * @inheritdoc
             */
            get: /**
             * \@inheritdoc
             * @return {?}
             */
            function () {
                if (this.hasIndex) {
                    /** @type {?} */
                    var item = this.selection.first_item("" + this.dropDown.id);
                    return item ? item.index === this._index && item.value === this.value : false;
                }
                return this._selected;
            },
            /**
             * @inheritdoc
             */
            set: /**
             * \@inheritdoc
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.isHeader) {
                    return;
                }
                this._selected = value;
                this.selectedChange.emit(this._selected);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownItemComponent.prototype, "setTabIndex", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                /** @type {?} */
                var shouldSetTabIndex = this.dropDown.allowItemsFocus && !(this.disabled || this.isHeader);
                if (shouldSetTabIndex) {
                    return 0;
                }
                else {
                    return null;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxDropDownItemComponent.prototype.clicked = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.disabled || this.isHeader) {
                /** @type {?} */
                var focusedItem = this.dropDown.items.find(function (item) { return item.focused; });
                if (this.dropDown.allowItemsFocus && focusedItem) {
                    focusedItem.element.nativeElement.focus({ preventScroll: true });
                }
                return;
            }
            if (this.selection) {
                this.dropDown.selectItem(this, event);
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxDropDownItemComponent.prototype.mousedownHandler = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
        };
        IgxDropDownItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-drop-down-item',
                        template: "<ng-content></ng-content>"
                    }] }
        ];
        IgxDropDownItemComponent.propDecorators = {
            setTabIndex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            clicked: [{ type: core.HostListener, args: ['click', ['$event'],] }],
            mousedownHandler: [{ type: core.HostListener, args: ['mousedown', ['$event'],] }]
        };
        return IgxDropDownItemComponent;
    }(IgxDropDownItemBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var DisplayDensity = {
        comfortable: 'comfortable',
        cosy: 'cosy',
        compact: 'compact',
    };
    /**
     * Defines the DisplayDensity DI token.
     * @type {?}
     */
    var DisplayDensityToken = new core.InjectionToken('DisplayDensity');
    /**
     * Base class containing all logic required for implementing DisplayDensity.
     */
    var DisplayDensityBase = /** @class */ (function () {
        function DisplayDensityBase(displayDensityOptions) {
            this.displayDensityOptions = displayDensityOptions;
            this.onDensityChanged = new core.EventEmitter();
            this.oldDisplayDensityOptions = { displayDensity: DisplayDensity.comfortable };
            Object.assign(this.oldDisplayDensityOptions, displayDensityOptions);
        }
        Object.defineProperty(DisplayDensityBase.prototype, "displayDensity", {
            /**
             * Returns the theme of the component.
             * The default theme is `comfortable`.
             * Available options are `comfortable`, `cosy`, `compact`.
             * ```typescript
             * let componentTheme = this.component.displayDensity;
             * ```
             */
            get: /**
             * Returns the theme of the component.
             * The default theme is `comfortable`.
             * Available options are `comfortable`, `cosy`, `compact`.
             * ```typescript
             * let componentTheme = this.component.displayDensity;
             * ```
             * @return {?}
             */
            function () {
                return this._displayDensity ||
                    ((this.displayDensityOptions && this.displayDensityOptions.displayDensity) || DisplayDensity.comfortable);
            },
            /**
             * Sets the theme of the component.
             */
            set: /**
             * Sets the theme of the component.
             * @param {?} val
             * @return {?}
             */
            function (val) {
                /** @type {?} */
                var currentDisplayDensity = this._displayDensity;
                this._displayDensity = (/** @type {?} */ (val));
                if (currentDisplayDensity !== this._displayDensity) {
                    /** @type {?} */
                    var densityChangedArgs = {
                        oldDensity: currentDisplayDensity,
                        newDensity: this._displayDensity
                    };
                    this.onDensityChanged.emit(densityChangedArgs);
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        DisplayDensityBase.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.initialDensity = this._displayDensity;
        };
        /**
         * @return {?}
         */
        DisplayDensityBase.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            if (!this._displayDensity && this.displayDensityOptions &&
                this.oldDisplayDensityOptions.displayDensity !== this.displayDensityOptions.displayDensity) {
                /** @type {?} */
                var densityChangedArgs = {
                    oldDensity: this.oldDisplayDensityOptions.displayDensity,
                    newDensity: this.displayDensityOptions.displayDensity
                };
                this.onDensityChanged.emit(densityChangedArgs);
                this.oldDisplayDensityOptions = Object.assign(this.oldDisplayDensityOptions, this.displayDensityOptions);
            }
        };
        /**
         * Given a style class of a component/element returns the modified version of it based
         * on the current display density.
         */
        /**
         * Given a style class of a component/element returns the modified version of it based
         * on the current display density.
         * @protected
         * @param {?} baseStyleClass
         * @return {?}
         */
        DisplayDensityBase.prototype.getComponentDensityClass = /**
         * Given a style class of a component/element returns the modified version of it based
         * on the current display density.
         * @protected
         * @param {?} baseStyleClass
         * @return {?}
         */
        function (baseStyleClass) {
            switch (this.displayDensity) {
                case DisplayDensity.cosy:
                    return baseStyleClass + "--" + DisplayDensity.cosy;
                case DisplayDensity.compact:
                    return baseStyleClass + "--" + DisplayDensity.compact;
                default:
                    return baseStyleClass;
            }
        };
        DisplayDensityBase.propDecorators = {
            displayDensity: [{ type: core.Input }],
            onDensityChanged: [{ type: core.Output }]
        };
        return DisplayDensityBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$2 = 0;
    /**
     * An abstract class, defining a drop-down component, with:
     * Properties for display styles and classes
     * A collection items of type `IgxDropDownItemBase`
     * Properties and methods for navigating (highlighting/focusing) items from the collection
     * Properties and methods for selecting items from the collection
     * @abstract
     */
    var IgxDropDownBase = /** @class */ (function (_super) {
        __extends(IgxDropDownBase, _super);
        function IgxDropDownBase(elementRef, cdr, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._focusedItem = null;
            _this._id = "igx-drop-down-" + NEXT_ID$2++;
            /**
             * Emitted when item selection is changing, before the selection completes
             *
             * ```html
             * <igx-drop-down (onSelection)='handleSelection()'></igx-drop-down>
             * ```
             */
            _this.onSelection = new core.EventEmitter();
            /**
             * Gets/Sets the drop down's container max height.
             *
             * ```typescript
             * // get
             * let maxHeight = this.dropdown.maxHeight;
             * ```
             * ```html
             * <!--set-->
             * <igx-drop-down [maxHeight]='200px'></igx-drop-down>
             * ```
             */
            _this.maxHeight = null;
            /**
             * @hidden \@internal
             */
            _this.cssClass = true;
            return _this;
        }
        Object.defineProperty(IgxDropDownBase.prototype, "scrollContainer", {
            /**
             * Get dropdown's html element of it scroll container
             */
            get: /**
             * Get dropdown's html element of it scroll container
             * @protected
             * @return {?}
             */
            function () {
                return this.element;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownBase.prototype, "items", {
            /**
             * Get all non-header items
             *
             * ```typescript
             * let myDropDownItems = this.dropdown.items;
             * ```
             */
            get: /**
             * Get all non-header items
             *
             * ```typescript
             * let myDropDownItems = this.dropdown.items;
             * ```
             * @return {?}
             */
            function () {
                var e_1, _a;
                /** @type {?} */
                var items = [];
                if (this.children !== undefined) {
                    try {
                        for (var _b = __values(this.children.toArray()), _c = _b.next(); !_c.done; _c = _b.next()) {
                            var child = _c.value;
                            if (!child.isHeader) {
                                items.push(child);
                            }
                        }
                    }
                    catch (e_1_1) { e_1 = { error: e_1_1 }; }
                    finally {
                        try {
                            if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                        }
                        finally { if (e_1) throw e_1.error; }
                    }
                }
                return items;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownBase.prototype, "headers", {
            /**
             * Get all header items
             *
             * ```typescript
             * let myDropDownHeaderItems = this.dropdown.headers;
             * ```
             */
            get: /**
             * Get all header items
             *
             * ```typescript
             * let myDropDownHeaderItems = this.dropdown.headers;
             * ```
             * @return {?}
             */
            function () {
                var e_2, _a;
                /** @type {?} */
                var headers = [];
                if (this.children !== undefined) {
                    try {
                        for (var _b = __values(this.children.toArray()), _c = _b.next(); !_c.done; _c = _b.next()) {
                            var child = _c.value;
                            if (child.isHeader) {
                                headers.push(child);
                            }
                        }
                    }
                    catch (e_2_1) { e_2 = { error: e_2_1 }; }
                    finally {
                        try {
                            if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                        }
                        finally { if (e_2) throw e_2.error; }
                    }
                }
                return headers;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownBase.prototype, "element", {
            /**
             * Get dropdown html element
             *
             * ```typescript
             * let myDropDownElement = this.dropdown.element;
             * ```
             */
            get: /**
             * Get dropdown html element
             *
             * ```typescript
             * let myDropDownElement = this.dropdown.element;
             * ```
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /** Keydown Handler */
        /**
         * Keydown Handler
         * @param {?} key
         * @param {?=} event
         * @return {?}
         */
        IgxDropDownBase.prototype.onItemActionKey = /**
         * Keydown Handler
         * @param {?} key
         * @param {?=} event
         * @return {?}
         */
        function (key, event) {
            switch (key) {
                case DropDownActionKey.ENTER:
                case DropDownActionKey.SPACE:
                    this.selectItem(this.focusedItem, event);
                    break;
                case DropDownActionKey.ESCAPE:
            }
        };
        /**
         * Emits onSelection with the target item & event
         * @hidden @internal
         * @param newSelection the item selected
         * @param event the event that triggered the call
         */
        /**
         * Emits onSelection with the target item & event
         * @hidden \@internal
         * @param {?=} newSelection the item selected
         * @param {?=} event the event that triggered the call
         * @return {?}
         */
        IgxDropDownBase.prototype.selectItem = /**
         * Emits onSelection with the target item & event
         * @hidden \@internal
         * @param {?=} newSelection the item selected
         * @param {?=} event the event that triggered the call
         * @return {?}
         */
        function (newSelection, event) {
            this.onSelection.emit({
                newSelection: newSelection,
                oldSelection: null,
                cancel: false
            });
        };
        Object.defineProperty(IgxDropDownBase.prototype, "focusedItem", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this._focusedItem;
            },
            /**
             * @hidden @internal
             */
            set: /**
             * @hidden \@internal
             * @param {?} item
             * @return {?}
             */
            function (item) {
                this._focusedItem = item;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} direction
         * @param {?=} currentIndex
         * @return {?}
         */
        IgxDropDownBase.prototype.navigate = /**
         * @protected
         * @param {?} direction
         * @param {?=} currentIndex
         * @return {?}
         */
        function (direction, currentIndex) {
            /** @type {?} */
            var index = -1;
            if (this._focusedItem) {
                index = currentIndex ? currentIndex : this.focusedItem.itemIndex;
            }
            /** @type {?} */
            var newIndex = this.getNearestSiblingFocusableItemIndex(index, direction);
            this.navigateItem(newIndex);
        };
        /**
         * @protected
         * @param {?} startIndex
         * @param {?} direction
         * @return {?}
         */
        IgxDropDownBase.prototype.getNearestSiblingFocusableItemIndex = /**
         * @protected
         * @param {?} startIndex
         * @param {?} direction
         * @return {?}
         */
        function (startIndex, direction) {
            /** @type {?} */
            var index = startIndex;
            /** @type {?} */
            var items = this.items;
            while (items[index + direction] && items[index + direction].disabled) {
                index += direction;
            }
            index += direction;
            if (index >= 0 && index < items.length) {
                return index;
            }
            else {
                return -1;
            }
        };
        /**
         * Navigates to the item on the specified index
         * @param newIndex number - the index of the item in the `items` collection
         */
        /**
         * Navigates to the item on the specified index
         * @param {?} newIndex number - the index of the item in the `items` collection
         * @return {?}
         */
        IgxDropDownBase.prototype.navigateItem = /**
         * Navigates to the item on the specified index
         * @param {?} newIndex number - the index of the item in the `items` collection
         * @return {?}
         */
        function (newIndex) {
            if (newIndex !== -1) {
                /** @type {?} */
                var oldItem = this._focusedItem;
                /** @type {?} */
                var newItem = this.items[newIndex];
                if (oldItem) {
                    oldItem.focused = false;
                }
                this.focusedItem = newItem;
                this.scrollToHiddenItem(newItem);
                this.focusedItem.focused = true;
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownBase.prototype.navigateFirst = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.navigate(Navigate.Down, -1);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownBase.prototype.navigateLast = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.navigate(Navigate.Up, this.items.length);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownBase.prototype.navigateNext = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.navigate(Navigate.Down);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownBase.prototype.navigatePrev = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.navigate(Navigate.Up);
        };
        /**
         * @protected
         * @param {?} newItem
         * @return {?}
         */
        IgxDropDownBase.prototype.scrollToHiddenItem = /**
         * @protected
         * @param {?} newItem
         * @return {?}
         */
        function (newItem) {
            /** @type {?} */
            var elementRect = newItem.element.nativeElement.getBoundingClientRect();
            /** @type {?} */
            var parentRect = this.scrollContainer.getBoundingClientRect();
            if (parentRect.top > elementRect.top) {
                this.scrollContainer.scrollTop -= (parentRect.top - elementRect.top);
            }
            if (parentRect.bottom < elementRect.bottom) {
                this.scrollContainer.scrollTop += (elementRect.bottom - parentRect.bottom);
            }
        };
        /** @nocollapse */
        IgxDropDownBase.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxDropDownBase.propDecorators = {
            onSelection: [{ type: core.Output }],
            width: [{ type: core.Input }],
            height: [{ type: core.Input }],
            id: [{ type: core.Input }],
            maxHeight: [{ type: core.Input }, { type: core.HostBinding, args: ['style.maxHeight',] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-drop-down',] }]
        };
        return IgxDropDownBase;
    }(DisplayDensityBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var DisplayContainerComponent = /** @class */ (function () {
        function DisplayContainerComponent(cdr, _viewContainer) {
            this.cdr = cdr;
            this._viewContainer = _viewContainer;
            this.cssClass = 'igx-display-container';
            this.notVirtual = true;
        }
        DisplayContainerComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-display-container',
                        template: "\n        <ng-template\n            #display_container\n            igxScrollInertia\n            [IgxScrollInertiaScrollContainer]=\"scrollContainer\"\n            [IgxScrollInertiaDirection]=\"scrollDirection\">\n        </ng-template>\n    "
                    }] }
        ];
        /** @nocollapse */
        DisplayContainerComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core.ViewContainerRef }
        ]; };
        DisplayContainerComponent.propDecorators = {
            _vcr: [{ type: core.ViewChild, args: ['display_container', { read: core.ViewContainerRef, static: true },] }],
            cssClass: [{ type: core.HostBinding, args: ['class',] }],
            notVirtual: [{ type: core.HostBinding, args: ['class.igx-display-container--inactive',] }]
        };
        return DisplayContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var VirtualHelperBaseDirective = /** @class */ (function () {
        function VirtualHelperBaseDirective(elementRef, cdr) {
            this.elementRef = elementRef;
            this.cdr = cdr;
            this.scrollAmount = 0;
            this._size = 0;
        }
        /**
         * @param {?} event
         * @return {?}
         */
        VirtualHelperBaseDirective.prototype.onScroll = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.scrollAmount = event.target.scrollTop || event.target.scrollLeft;
        };
        Object.defineProperty(VirtualHelperBaseDirective.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        VirtualHelperBaseDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.destroyed = true;
        };
        Object.defineProperty(VirtualHelperBaseDirective.prototype, "size", {
            get: /**
             * @return {?}
             */
            function () {
                return this._size;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.destroyed) {
                    return;
                }
                this._size = value;
                this.cdr.detectChanges();
            },
            enumerable: true,
            configurable: true
        });
        VirtualHelperBaseDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxVirtualHelperBase]'
                    },] }
        ];
        /** @nocollapse */
        VirtualHelperBaseDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        VirtualHelperBaseDirective.propDecorators = {
            onScroll: [{ type: core.HostListener, args: ['scroll', ['$event'],] }]
        };
        return VirtualHelperBaseDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var HVirtualHelperComponent = /** @class */ (function (_super) {
        __extends(HVirtualHelperComponent, _super);
        function HVirtualHelperComponent(elementRef, cdr) {
            var _this = _super.call(this, elementRef, cdr) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.cssClasses = 'igx-vhelper--horizontal';
            return _this;
        }
        HVirtualHelperComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-horizontal-virtual-helper',
                        template: '<div #horizontal_container class="igx-vhelper__placeholder-content" [style.width.px]="size"></div>'
                    }] }
        ];
        /** @nocollapse */
        HVirtualHelperComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        HVirtualHelperComponent.propDecorators = {
            _vcr: [{ type: core.ViewChild, args: ['horizontal_container', { read: core.ViewContainerRef, static: true },] }],
            width: [{ type: core.Input }],
            cssClasses: [{ type: core.HostBinding, args: ['class',] }]
        };
        return HVirtualHelperComponent;
    }(VirtualHelperBaseDirective));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var VirtualHelperComponent = /** @class */ (function (_super) {
        __extends(VirtualHelperComponent, _super);
        function VirtualHelperComponent(elementRef, cdr) {
            var _this = _super.call(this, elementRef, cdr) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.cssClasses = 'igx-vhelper--vertical';
            return _this;
        }
        VirtualHelperComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-virtual-helper',
                        template: '<div #container class="igx-vhelper__placeholder-content" [style.height.px]="size"></div>'
                    }] }
        ];
        /** @nocollapse */
        VirtualHelperComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        VirtualHelperComponent.propDecorators = {
            scrollTop: [{ type: core.HostBinding, args: ['scrollTop',] }],
            _vcr: [{ type: core.ViewChild, args: ['container', { read: core.ViewContainerRef, static: true },] }],
            itemsLength: [{ type: core.Input }],
            cssClasses: [{ type: core.HostBinding, args: ['class',] }]
        };
        return VirtualHelperComponent;
    }(VirtualHelperBaseDirective));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxScrollInertiaDirective = /** @class */ (function () {
        function IgxScrollInertiaDirective(element, _zone) {
            this.element = element;
            this._zone = _zone;
            this.wheelStep = 50;
            this.inertiaStep = 1.5;
            this.swipeToleranceX = 20;
            this.inertiaDeltaY = 3;
            this.inertiaDeltaX = 2;
            this.inertiaDuration = 0.5;
            this._savedSpeedsX = [];
            this.setPointerCaptureFName = typeof Element.prototype['msSetPointerCapture'] === 'function' ?
                'msSetPointerCapture' :
                'setPointerCapture';
            this.releasePointerCaptureFName = typeof Element.prototype['msReleasePointerCapture'] === 'function' ?
                'msReleasePointerCapture' :
                'releasePointerCapture';
        }
        /**
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this._zone.runOutsideAngular(function () {
                /** @type {?} */
                var targetElem = _this.element.nativeElement.parentElement || _this.element.nativeElement.parentNode;
                targetElem.addEventListener('wheel', function (evt) { _this.onWheel(evt); });
                targetElem.addEventListener('touchstart', function (evt) { _this.onTouchStart(evt); });
                targetElem.addEventListener('touchmove', function (evt) { _this.onTouchMove(evt); });
                targetElem.addEventListener('touchend', function (evt) { _this.onTouchEnd(evt); });
                targetElem.addEventListener('pointerdown', function (evt) { _this.onPointerDown(evt); });
                targetElem.addEventListener('pointerup', function (evt) { _this.onPointerUp(evt); });
                targetElem.addEventListener('MSGestureStart', function (evt) { _this.onMSGestureStart(evt); });
                targetElem.addEventListener('MSGestureChange', function (evt) { _this.onMSGestureChange(evt); });
            });
        };
        /**
        * @hidden
        * Function that is called when scrolling with the mouse wheel or using touchpad
        */
        /**
         * @hidden
         * Function that is called when scrolling with the mouse wheel or using touchpad
         * @protected
         * @param {?} evt
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onWheel = /**
         * @hidden
         * Function that is called when scrolling with the mouse wheel or using touchpad
         * @protected
         * @param {?} evt
         * @return {?}
         */
        function (evt) {
            // if no scrollbar return
            if (!this.IgxScrollInertiaScrollContainer) {
                return;
            }
            /** @type {?} */
            var scrollDeltaX;
            /** @type {?} */
            var scrollDeltaY;
            /** @type {?} */
            var scrollStep = this.wheelStep;
            /** @type {?} */
            var minWheelStep = 1 / this.wheelStep;
            this._startX = this.IgxScrollInertiaScrollContainer.scrollLeft;
            this._startY = this.IgxScrollInertiaScrollContainer.scrollTop;
            if (evt.wheelDeltaX) {
                /* Option supported on Chrome, Safari, Opera.
                /* 120 is default for mousewheel on these browsers. Other values are for trackpads */
                scrollDeltaX = -evt.wheelDeltaX / 120;
                if (-minWheelStep < scrollDeltaX && scrollDeltaX < minWheelStep) {
                    scrollDeltaX = Math.sign(scrollDeltaX) * minWheelStep;
                }
            }
            else if (evt.deltaX) {
                /* For other browsers that don't provide wheelDelta, use the deltaY to determine direction and pass default values. */
                scrollDeltaX = this.calcAxisCoords(evt.deltaX, -1, 1);
            }
            /** Get delta for the Y axis*/
            if (evt.wheelDeltaY) {
                /* Option supported on Chrome, Safari, Opera.
                /* 120 is default for mousewheel on these browsers. Other values are for trackpads */
                scrollDeltaY = -evt.wheelDeltaY / 120;
                if (-minWheelStep < scrollDeltaY && scrollDeltaY < minWheelStep) {
                    scrollDeltaY = Math.sign(scrollDeltaY) * minWheelStep;
                }
            }
            else if (evt.deltaY) {
                /* For other browsers that don't provide wheelDelta, use the deltaY to determine direction and pass default values. */
                scrollDeltaY = this.calcAxisCoords(evt.deltaY, -1, 1);
            }
            if (scrollDeltaX && this.IgxScrollInertiaDirection === 'horizontal') {
                this._scrollToX(this._startX + scrollDeltaX * scrollStep);
                /** @type {?} */
                var curScrollLeft = this.IgxScrollInertiaScrollContainer.scrollLeft;
                /** @type {?} */
                var maxScrollLeft = parseInt(this.IgxScrollInertiaScrollContainer.children[0].style.width, 10);
                if (0 < curScrollLeft && curScrollLeft < maxScrollLeft) {
                    // Prevent navigating through pages when scrolling on Mac
                    evt.preventDefault();
                }
            }
            else if (scrollDeltaY && this.IgxScrollInertiaDirection === 'vertical') {
                this._scrollToY(this._startY + scrollDeltaY * scrollStep);
                this.preventParentScroll(evt, true);
            }
        };
        /**
         * @hidden
         * When there is still room to scroll up/down prevent the parent elements from scrolling too.
         */
        /**
         * @hidden
         * When there is still room to scroll up/down prevent the parent elements from scrolling too.
         * @protected
         * @param {?} evt
         * @param {?} preventDefault
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.preventParentScroll = /**
         * @hidden
         * When there is still room to scroll up/down prevent the parent elements from scrolling too.
         * @protected
         * @param {?} evt
         * @param {?} preventDefault
         * @return {?}
         */
        function (evt, preventDefault) {
            /** @type {?} */
            var curScrollTop = this.IgxScrollInertiaScrollContainer.scrollTop;
            /** @type {?} */
            var maxScrollTop = this.IgxScrollInertiaScrollContainer.children[0].scrollHeight -
                this.IgxScrollInertiaScrollContainer.offsetHeight;
            if (0 < curScrollTop && curScrollTop < maxScrollTop) {
                if (preventDefault) {
                    evt.preventDefault();
                }
                if (evt.stopPropagation) {
                    evt.stopPropagation();
                }
            }
        };
        /**
         * @hidden
         * Function that is called the first moment we start interacting with the content on a touch device
         */
        /**
         * @hidden
         * Function that is called the first moment we start interacting with the content on a touch device
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onTouchStart = /**
         * @hidden
         * Function that is called the first moment we start interacting with the content on a touch device
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (typeof MSGesture === 'function' || !this.IgxScrollInertiaScrollContainer) {
                return false;
            }
            // stops any current ongoing inertia
            cancelAnimationFrame(this._touchInertiaAnimID);
            /** @type {?} */
            var touch = event.touches[0];
            this._startX = this.IgxScrollInertiaScrollContainer.scrollLeft;
            this._startY = this.IgxScrollInertiaScrollContainer.scrollTop;
            this._touchStartX = touch.pageX;
            this._touchStartY = touch.pageY;
            this._lastTouchEnd = new Date().getTime();
            this._lastTouchX = touch.pageX;
            this._lastTouchY = touch.pageY;
            this._savedSpeedsX = [];
            this._savedSpeedsY = [];
            // Vars regarding swipe offset
            this._totalMovedX = 0;
            this._offsetRecorded = false;
            this._offsetDirection = 0;
            this._touchPrevented = false;
            if (this.IgxScrollInertiaDirection === 'vertical') {
                this.preventParentScroll(event, false);
            }
        };
        /**
         * @hidden
         * Function that is called when we need to scroll the content based on touch interactions
         */
        /**
         * @hidden
         * Function that is called when we need to scroll the content based on touch interactions
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onTouchMove = /**
         * @hidden
         * Function that is called when we need to scroll the content based on touch interactions
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (typeof MSGesture === 'function') {
                this._touchPrevented = false;
                return false;
            }
            if (!this.IgxScrollInertiaScrollContainer) {
                return;
            }
            /** @type {?} */
            var touch = event.touches[0];
            /** @type {?} */
            var destX = this._startX + (this._touchStartX - touch.pageX) * Math.sign(this.inertiaStep);
            /** @type {?} */
            var destY = this._startY + (this._touchStartY - touch.pageY) * Math.sign(this.inertiaStep);
            /* Handle complex touchmoves when swipe stops but the toch doesn't end and then a swipe is initiated again */
            /* **********************************************************/
            /** @type {?} */
            var timeFromLastTouch = (new Date().getTime()) - this._lastTouchEnd;
            if (timeFromLastTouch !== 0 && timeFromLastTouch < 100) {
                /** @type {?} */
                var speedX = (this._lastTouchX - touch.pageX) / timeFromLastTouch;
                /** @type {?} */
                var speedY = (this._lastTouchY - touch.pageY) / timeFromLastTouch;
                // Save the last 5 speeds between two touchmoves on X axis
                if (this._savedSpeedsX.length < 5) {
                    this._savedSpeedsX.push(speedX);
                }
                else {
                    this._savedSpeedsX.shift();
                    this._savedSpeedsX.push(speedX);
                }
                // Save the last 5 speeds between two touchmoves on Y axis
                if (this._savedSpeedsY.length < 5) {
                    this._savedSpeedsY.push(speedY);
                }
                else {
                    this._savedSpeedsY.shift();
                    this._savedSpeedsY.push(speedY);
                }
            }
            this._lastTouchEnd = new Date().getTime();
            this._lastMovedX = this._lastTouchX - touch.pageX;
            this._lastMovedY = this._lastTouchY - touch.pageY;
            this._lastTouchX = touch.pageX;
            this._lastTouchY = touch.pageY;
            this._totalMovedX += this._lastMovedX;
            /** @type {?} */
            var scrolledXY;
            /*	Do not scroll using touch untill out of the swipeToleranceX bounds */
            if (Math.abs(this._totalMovedX) < this.swipeToleranceX && !this._offsetRecorded) {
                scrolledXY = this._scrollTo(this._startX, destY);
            }
            else {
                /*	Record the direction the first time we are out of the swipeToleranceX bounds.
                *	That way we know which direction we apply the offset so it doesn't hickup when moving out of the swipeToleranceX bounds */
                if (!this._offsetRecorded) {
                    this._offsetDirection = Math.sign(destX - this._startX);
                    this._offsetRecorded = true;
                }
                /*	Scroll with offset ammout of swipeToleranceX in the direction we have exited the bounds and
                don't change it after that ever until touchend and again touchstart */
                scrolledXY = this._scrollTo(destX - this._offsetDirection * this.swipeToleranceX, destY);
            }
            if (scrolledXY.x === 0 && scrolledXY.y === 0) {
                this._touchPrevented = true;
            }
            // On Safari preventing the touchmove would prevent default page scroll behaviour even if there is the element doesn't have overflow
            if (this.IgxScrollInertiaDirection === 'vertical') {
                this.preventParentScroll(event, true);
            }
        };
        /**
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onTouchEnd = /**
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (typeof MSGesture === 'function') {
                return;
            }
            /** @type {?} */
            var speedX = 0;
            /** @type {?} */
            var speedY = 0;
            // savedSpeedsX and savedSpeedsY have same length
            for (var i = 0; i < this._savedSpeedsX.length; i++) {
                speedX += this._savedSpeedsX[i];
                speedY += this._savedSpeedsY[i];
            }
            speedX = this._savedSpeedsX.length ? speedX / this._savedSpeedsX.length : 0;
            speedY = this._savedSpeedsX.length ? speedY / this._savedSpeedsY.length : 0;
            // Use the lastMovedX and lastMovedY to determine if the swipe stops without lifting the finger so we don't start inertia
            if ((Math.abs(speedX) > 0.1 || Math.abs(speedY) > 0.1) &&
                (Math.abs(this._lastMovedX) > 2 || Math.abs(this._lastMovedY) > 2)) {
                this._inertiaInit(speedX, speedY);
            }
            if (this.IgxScrollInertiaDirection === 'vertical') {
                this.preventParentScroll(event, false);
            }
        };
        /**
         * @hidden
         * Function that is called when we need to detect touch starting on a touch device on IE/Edge
         */
        /**
         * @hidden
         * Function that is called when we need to detect touch starting on a touch device on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onPointerDown = /**
         * @hidden
         * Function that is called when we need to detect touch starting on a touch device on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!event || (event.pointerType !== 2 && event.pointerType !== 'touch') ||
                typeof MSGesture !== 'function') {
                return true;
            }
            if (!this.IgxScrollInertiaScrollContainer) {
                return;
            }
            // setPointerCaptureFName is the name of the function that is supported
            event.target[this.setPointerCaptureFName](this._pointer = event.pointerId);
            // create gestureObject only one time to prevent overlapping during intertia
            if (!this._gestureObject) {
                this._gestureObject = new MSGesture();
                this._gestureObject.target = this.element.nativeElement.parentElement || this.element.nativeElement.parentNode;
            }
            this._gestureObject.addPointer(this._pointer);
        };
        /**
         * @hidden
         * Function that is called when we need to detect touch ending on a touch device on IE/Edge
         */
        /**
         * @hidden
         * Function that is called when we need to detect touch ending on a touch device on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onPointerUp = /**
         * @hidden
         * Function that is called when we need to detect touch ending on a touch device on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this._pointer) {
                return true;
            }
            if (!this.IgxScrollInertiaScrollContainer) {
                return;
            }
            /* releasePointerCaptureFName is the name of the function that is supported */
            event.target[this.releasePointerCaptureFName](this._pointer);
            delete this._pointer;
        };
        /**
         * @hidden
         *  Function that is called when a gesture begins on IE/Edge
         */
        /**
         * @hidden
         *  Function that is called when a gesture begins on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onMSGestureStart = /**
         * @hidden
         *  Function that is called when a gesture begins on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this.IgxScrollInertiaScrollContainer) {
                return;
            }
            this._startX = this.IgxScrollInertiaScrollContainer.scrollLeft;
            this._startY = this.IgxScrollInertiaScrollContainer.scrollTop;
            this._touchStartX = event.screenX;
            this._touchStartY = event.screenY;
            // Vars regarding swipe offset
            this._totalMovedX = 0;
            this._offsetRecorded = false;
            this._offsetDirection = 0;
            return false;
        };
        /**
         * @hidden
         * Function that is called when a we need to scroll based on the gesture performed on IE/Edge
         */
        /**
         * @hidden
         * Function that is called when a we need to scroll based on the gesture performed on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.onMSGestureChange = /**
         * @hidden
         * Function that is called when a we need to scroll based on the gesture performed on IE/Edge
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this.IgxScrollInertiaScrollContainer) {
                return;
            }
            /** @type {?} */
            var touchPos = event;
            /** @type {?} */
            var destX = this._startX + this._touchStartX - touchPos.screenX;
            /** @type {?} */
            var destY = this._startY + this._touchStartY - touchPos.screenY;
            /* Logic regarding x tolerance to prevent accidental horizontal scrolling when scrolling vertically */
            this._totalMovedX = this._touchStartX - touchPos.screenX;
            if (Math.abs(this._totalMovedX) < this.swipeToleranceX && !this._offsetRecorded) {
                /* Do not scroll horizontally yet while in the tolerance range */
                this._scrollToY(destY);
            }
            else {
                if (!this._offsetRecorded) {
                    this._offsetDirection = Math.sign(destX - this._startX);
                    this._offsetRecorded = true;
                }
                /* Once the tolerance is exceeded it can be scrolled horizontally */
                this._scrollTo(destX - this._offsetDirection * this.swipeToleranceX, destY);
            }
            return false;
        };
        /**
         * @private
         * @param {?} target
         * @param {?} min
         * @param {?} max
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.calcAxisCoords = /**
         * @private
         * @param {?} target
         * @param {?} min
         * @param {?} max
         * @return {?}
         */
        function (target, min, max) {
            if (target === undefined || target < min) {
                target = min;
            }
            else if (target > max) {
                target = max;
            }
            return target;
        };
        /**
         * @private
         * @param {?} destX
         * @param {?} destY
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype._scrollTo = /**
         * @private
         * @param {?} destX
         * @param {?} destY
         * @return {?}
         */
        function (destX, destY) {
            /** @type {?} */
            var curPosX = this.IgxScrollInertiaScrollContainer.scrollLeft;
            /** @type {?} */
            var curPosY = this.IgxScrollInertiaScrollContainer.scrollTop;
            // TODO Trigger scrolling event?
            /** @type {?} */
            var scrolledX = this._scrollToX(destX);
            /** @type {?} */
            var scrolledY = this._scrollToY(destY);
            return { x: scrolledX, y: scrolledY };
        };
        /**
         * @private
         * @param {?} dest
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype._scrollToX = /**
         * @private
         * @param {?} dest
         * @return {?}
         */
        function (dest) {
            this.IgxScrollInertiaScrollContainer.scrollLeft = dest;
        };
        /**
         * @private
         * @param {?} dest
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype._scrollToY = /**
         * @private
         * @param {?} dest
         * @return {?}
         */
        function (dest) {
            this.IgxScrollInertiaScrollContainer.scrollTop = dest;
        };
        /**
         * @protected
         * @param {?} speedX
         * @param {?} speedY
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype._inertiaInit = /**
         * @protected
         * @param {?} speedX
         * @param {?} speedY
         * @return {?}
         */
        function (speedX, speedY) {
            var _this = this;
            /** @type {?} */
            var stepModifer = this.inertiaStep;
            /** @type {?} */
            var inertiaDuration = this.inertiaDuration;
            /** @type {?} */
            var x = 0;
            this._nextX = this.IgxScrollInertiaScrollContainer.scrollLeft;
            this._nextY = this.IgxScrollInertiaScrollContainer.scrollTop;
            // Sets timeout until executing next movement iteration of the inertia
            /** @type {?} */
            var inertiaStep = function () {
                if (x > 6) {
                    cancelAnimationFrame(_this._touchInertiaAnimID);
                    return;
                }
                if (Math.abs(speedX) > Math.abs(speedY)) {
                    x += 0.05 / (1 * inertiaDuration);
                }
                else {
                    x += 0.05 / (1 * inertiaDuration);
                }
                if (x <= 1) {
                    // We use constant quation to determine the offset without speed falloff befor x reaches 1
                    if (Math.abs(speedY) <= Math.abs(speedX) * _this.inertiaDeltaY) {
                        _this._nextX += 1 * speedX * 15 * stepModifer;
                    }
                    if (Math.abs(speedY) >= Math.abs(speedX) * _this.inertiaDeltaX) {
                        _this._nextY += 1 * speedY * 15 * stepModifer;
                    }
                }
                else {
                    // We use the quation "y = 2 / (x + 0.55) - 0.3" to determine the offset
                    if (Math.abs(speedY) <= Math.abs(speedX) * _this.inertiaDeltaY) {
                        _this._nextX += Math.abs(2 / (x + 0.55) - 0.3) * speedX * 15 * stepModifer;
                    }
                    if (Math.abs(speedY) >= Math.abs(speedX) * _this.inertiaDeltaX) {
                        _this._nextY += Math.abs(2 / (x + 0.55) - 0.3) * speedY * 15 * stepModifer;
                    }
                }
                // If we have mixed environment we use the default behaviour. i.e. touchscreen + mouse
                _this._scrollTo(_this._nextX, _this._nextY);
                _this._touchInertiaAnimID = requestAnimationFrame(inertiaStep);
            };
            // Start inertia and continue it recursively
            this._touchInertiaAnimID = requestAnimationFrame(inertiaStep);
        };
        /**
         * @return {?}
         */
        IgxScrollInertiaDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this._zone.runOutsideAngular(function () {
                /** @type {?} */
                var targetElem = _this.element.nativeElement.parentElement || _this.element.nativeElement.parentNode;
                targetElem.removeEventListener('wheel', function (evt) { _this.onWheel(evt); });
                targetElem.removeEventListener('touchstart', function (evt) { _this.onTouchStart(evt); });
                targetElem.removeEventListener('touchmove', function (evt) { _this.onTouchMove(evt); });
                targetElem.removeEventListener('touchend', function (evt) { _this.onTouchEnd(evt); });
                targetElem.removeEventListener('pointerdown', function (evt) { _this.onPointerDown(evt); });
                targetElem.removeEventListener('pointerup', function (evt) { _this.onPointerUp(evt); });
                targetElem.removeEventListener('MSGestureStart', function (evt) { _this.onMSGestureStart(evt); });
                targetElem.removeEventListener('MSGestureChange', function (evt) { _this.onMSGestureChange(evt); });
            });
        };
        IgxScrollInertiaDirective.decorators = [
            { type: core.Directive, args: [{ selector: '[igxScrollInertia]' },] }
        ];
        /** @nocollapse */
        IgxScrollInertiaDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.NgZone }
        ]; };
        IgxScrollInertiaDirective.propDecorators = {
            IgxScrollInertiaDirection: [{ type: core.Input }],
            IgxScrollInertiaScrollContainer: [{ type: core.Input }],
            wheelStep: [{ type: core.Input }],
            inertiaStep: [{ type: core.Input }],
            swipeToleranceX: [{ type: core.Input }],
            inertiaDeltaY: [{ type: core.Input }],
            inertiaDeltaX: [{ type: core.Input }],
            inertiaDuration: [{ type: core.Input }]
        };
        return IgxScrollInertiaDirective;
    }());
    /**
     * @hidden
     */
    var IgxScrollInertiaModule = /** @class */ (function () {
        function IgxScrollInertiaModule() {
        }
        IgxScrollInertiaModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxScrollInertiaDirective],
                        exports: [IgxScrollInertiaDirective],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxScrollInertiaModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxForOfSyncService = /** @class */ (function () {
        function IgxForOfSyncService() {
            this._master = new Map();
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} directive
         * @return {?}
         */
        IgxForOfSyncService.prototype.isMaster = /**
         * @hidden
         * @param {?} directive
         * @return {?}
         */
        function (directive) {
            return this._master.get(directive.igxForScrollOrientation) === directive;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} directive
         * @param {?=} forced
         * @return {?}
         */
        IgxForOfSyncService.prototype.setMaster = /**
         * @hidden
         * @param {?} directive
         * @param {?=} forced
         * @return {?}
         */
        function (directive, forced) {
            if (forced === void 0) { forced = false; }
            /** @type {?} */
            var orientation = directive.igxForScrollOrientation;
            if (orientation && (forced || !this._master.has(orientation))) {
                this._master.set(orientation, directive);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxForOfSyncService.prototype.resetMaster = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._master.clear();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} dir
         * @return {?}
         */
        IgxForOfSyncService.prototype.sizesCache = /**
         * @hidden
         * @param {?} dir
         * @return {?}
         */
        function (dir) {
            return this._master.get(dir).sizesCache;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} dir
         * @return {?}
         */
        IgxForOfSyncService.prototype.chunkSize = /**
         * @hidden
         * @param {?} dir
         * @return {?}
         */
        function (dir) {
            return this._master.get(dir).state.chunkSize;
        };
        IgxForOfSyncService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root',
                    },] }
        ];
        /** @nocollapse */ IgxForOfSyncService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function IgxForOfSyncService_Factory() { return new IgxForOfSyncService(); }, token: IgxForOfSyncService, providedIn: "root" });
        return IgxForOfSyncService;
    }());
    var IgxForOfScrollSyncService = /** @class */ (function () {
        function IgxForOfScrollSyncService() {
            this._masterScroll = new Map();
        }
        /**
         * @param {?} dir
         * @param {?} scroll
         * @return {?}
         */
        IgxForOfScrollSyncService.prototype.setScrollMaster = /**
         * @param {?} dir
         * @param {?} scroll
         * @return {?}
         */
        function (dir, scroll) {
            this._masterScroll.set(dir, scroll);
        };
        /**
         * @param {?} dir
         * @return {?}
         */
        IgxForOfScrollSyncService.prototype.getScrollMaster = /**
         * @param {?} dir
         * @return {?}
         */
        function (dir) {
            return this._masterScroll.get(dir);
        };
        IgxForOfScrollSyncService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root',
                    },] }
        ];
        /** @nocollapse */ IgxForOfScrollSyncService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function IgxForOfScrollSyncService_Factory() { return new IgxForOfScrollSyncService(); }, token: IgxForOfScrollSyncService, providedIn: "root" });
        return IgxForOfScrollSyncService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * \@publicApi
     * @template T
     */
    var   /**
     * \@publicApi
     * @template T
     */
    IgxForOfContext = /** @class */ (function () {
        function IgxForOfContext($implicit, index, count) {
            this.$implicit = $implicit;
            this.index = index;
            this.count = count;
        }
        Object.defineProperty(IgxForOfContext.prototype, "first", {
            /**
             * A function that returns whether the element is the first or not
             */
            get: /**
             * A function that returns whether the element is the first or not
             * @return {?}
             */
            function () { return this.index === 0; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfContext.prototype, "last", {
            /**
             * A function that returns whether the element is the last or not
             */
            get: /**
             * A function that returns whether the element is the last or not
             * @return {?}
             */
            function () { return this.index === this.count - 1; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfContext.prototype, "even", {
            /**
             * A function that returns whether the element is even or not
             */
            get: /**
             * A function that returns whether the element is even or not
             * @return {?}
             */
            function () { return this.index % 2 === 0; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfContext.prototype, "odd", {
            /**
             * A function that returns whether the element is odd or not
             */
            get: /**
             * A function that returns whether the element is odd or not
             * @return {?}
             */
            function () { return !this.even; },
            enumerable: true,
            configurable: true
        });
        return IgxForOfContext;
    }());
    /**
     * @template T
     */
    var IgxForOfDirective = /** @class */ (function () {
        function IgxForOfDirective(_viewContainer, _template, _differs, resolver, cdr, _zone, syncScrollService) {
            this._viewContainer = _viewContainer;
            this._template = _template;
            this._differs = _differs;
            this.resolver = resolver;
            this.cdr = cdr;
            this._zone = _zone;
            this.syncScrollService = syncScrollService;
            /**
             * An \@Input property that specifies the scroll orientation.
             * Scroll orientation can be "vertical" or "horizontal".
             * ```html
             * <ng-template igxFor let-item [igxForOf]="data" [igxForScrollOrientation]="'horizontal'"></ng-template>
             * ```
             */
            this.igxForScrollOrientation = 'vertical';
            /**
             * The current state of the directive. It contains `startIndex` and `chunkSize`.
             * state.startIndex - The index of the item at which the current visible chunk begins.
             * state.chunkSize - The number of items the current visible chunk holds.
             * These options can be used when implementing remote virtualization as they provide the necessary state information.
             * ```typescript
             * const gridState = this.parentVirtDir.state;
             * ```
             */
            this.state = {
                startIndex: 0,
                chunkSize: 0
            };
            /**
             * The total count of the virtual data items, when using remote service.
             * ```typescript
             * this.parentVirtDir.totalItemCount = data.Count;
             * ```
             */
            this.totalItemCount = null;
            /**
             * An event that is emitted after a new chunk has been loaded.
             * ```html
             * <ng-template igxFor [igxForOf]="data" [igxForScrollOrientation]="'horizontal'" (onChunkLoad)="chunkLoad($event)"></ng-template>
             * ```
             * ```typescript
             * chunkLoad(e){
             * alert("chunk loaded!");
             * }
             * ```
             */
            this.onChunkLoad = new core.EventEmitter();
            /**
             * @hidden \@internal
             * An event that is emitted when scrollbar visibility has changed.
             */
            this.onScrollbarVisibilityChanged = new core.EventEmitter();
            /**
             * An event that is emitted after the rendered content size of the igxForOf has been changed.
             */
            this.onContentSizeChange = new core.EventEmitter();
            /**
             * An event that is emitted after data has been changed.
             * ```html
             * <ng-template igxFor [igxForOf]="data" [igxForScrollOrientation]="'horizontal'" (onDataChanged)="dataChanged($event)"></ng-template>
             * ```
             * ```typescript
             * dataChanged(e){
             * alert("data changed!");
             * }
             * ```
             */
            this.onDataChanged = new core.EventEmitter();
            this.onBeforeViewDestroyed = new core.EventEmitter();
            /**
             * An event that is emitted on chunk loading to emit the current state information - startIndex, endIndex, totalCount.
             * Can be used for implementing remote load on demand for the igxFor data.
             * ```html
             * <ng-template igxFor [igxForOf]="data" [igxForScrollOrientation]="'horizontal'" (onChunkPreload)="chunkPreload($event)"></ng-template>
             * ```
             * ```typescript
             * chunkPreload(e){
             * alert("chunk is loading!");
             * }
             * ```
             */
            this.onChunkPreload = new core.EventEmitter();
            this._sizesCache = [];
            this._differ = null;
            this.heightCache = [];
            this.MAX_PERF_SCROLL_DIFF = 4;
            /**
             * Height that is being virtualized.
             */
            this._virtHeight = 0;
            /**
             * Ratio for height that's being virtualizaed and the one visible
             * If _virtHeightRatio = 1, the visible height and the virtualized are the same, also _maxHeight > _virtHeight.
             */
            this._virtHeightRatio = 1;
            /**
             * Internal track for scroll top that is being virtualized
             */
            this._virtScrollTop = 0;
            /**
             * If the next onScroll event is triggered due to internal setting of scrollTop
             */
            this._bScrollInternal = false;
            // End properties related to virtual height handling
            this._embeddedViews = [];
            this.contentResizeNotify = new rxjs.Subject();
            /**
             * @hidden
             */
            this.destroy$ = new rxjs.Subject();
        }
        Object.defineProperty(IgxForOfDirective.prototype, "displayContainer", {
            get: /**
             * @return {?}
             */
            function () {
                return this.dc.instance._viewContainer.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfDirective.prototype, "virtualHelper", {
            get: /**
             * @return {?}
             */
            function () {
                return this.scrollComponent.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfDirective.prototype, "sizesCache", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this._sizesCache;
            },
            set: /**
             * @protected
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._sizesCache = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfDirective.prototype, "_isScrolledToBottom", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                if (!this.getScroll()) {
                    return true;
                }
                /** @type {?} */
                var scrollHeight = this.getScroll().scrollHeight;
                // Use === and not >= because `scrollTop + container size` can't be bigger than `scrollHeight`, unless something isn't updated.
                // Also use Math.round because Chrome has some inconsistencies and `scrollTop + container` can be float when zooming the page.
                return Math.round(this.getScroll().scrollTop + this.igxForContainerSize) === scrollHeight;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfDirective.prototype, "_isAtBottomIndex", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.igxForOf && this.state.startIndex + this.state.chunkSize > this.igxForOf.length;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfDirective.prototype, "isRemote", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                return this.totalItemCount !== null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxForOfDirective.prototype, "scrollPosition", {
            /**
             *
             * Gets/Sets the scroll position.
             * ```typescript
             * const position = directive.scrollPosition;
             * directive.scrollPosition = value;
             * ```
             */
            get: /**
             *
             * Gets/Sets the scroll position.
             * ```typescript
             * const position = directive.scrollPosition;
             * directive.scrollPosition = value;
             * ```
             * @return {?}
             */
            function () {
                return this.scrollComponent.scrollAmount;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val === this.scrollComponent.scrollAmount) {
                    return;
                }
                if (this.igxForScrollOrientation === 'horizontal' && this.scrollComponent) {
                    this.scrollComponent.nativeElement.scrollLeft = val;
                }
                else if (this.scrollComponent) {
                    this.scrollComponent.nativeElement.scrollTop = val;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype.removeScrollEventListeners = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.igxForScrollOrientation === 'horizontal') {
                this._zone.runOutsideAngular(function () {
                    return _this.scrollComponent.nativeElement.removeEventListener('scroll', _this.func);
                });
            }
            else {
                this._zone.runOutsideAngular(function () {
                    return _this.scrollComponent.nativeElement.removeEventListener('scroll', _this.verticalScrollHandler);
                });
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxForOfDirective.prototype.verticalScrollHandler = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onScroll(event);
        };
        /**
         * @return {?}
         */
        IgxForOfDirective.prototype.isScrollable = /**
         * @return {?}
         */
        function () {
            return this.scrollComponent.size > parseInt(this.igxForContainerSize, 10);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxForOfDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var totalSize = 0;
            /** @type {?} */
            var vc = this.igxForScrollContainer ? this.igxForScrollContainer._viewContainer : this._viewContainer;
            this.igxForSizePropName = this.igxForSizePropName || 'width';
            /** @type {?} */
            var dcFactory = this.resolver.resolveComponentFactory(DisplayContainerComponent);
            this.dc = this._viewContainer.createComponent(dcFactory, 0);
            this.dc.instance.scrollDirection = this.igxForScrollOrientation;
            if (typeof MSGesture === 'function') {
                // On Edge and IE when scrolling on touch the page scroll instead of the grid.
                this.dc.instance._viewContainer.element.nativeElement.style.touchAction = 'none';
            }
            if (this.igxForOf && this.igxForOf.length) {
                totalSize = this.initSizesCache(this.igxForOf);
                this.scrollComponent = this.syncScrollService.getScrollMaster(this.igxForScrollOrientation);
                this.state.chunkSize = this._calculateChunkSize();
                this.dc.instance.notVirtual = !(this.igxForContainerSize && this.state.chunkSize < this.igxForOf.length);
                if (this.scrollComponent) {
                    this.state.startIndex = Math.min(this.getIndexAt(this.scrollPosition, this.sizesCache, 0), this.igxForOf.length - this.state.chunkSize);
                }
                for (var i = this.state.startIndex; i < this.state.startIndex + this.state.chunkSize &&
                    this.igxForOf[i] !== undefined; i++) {
                    /** @type {?} */
                    var input = this.igxForOf[i];
                    /** @type {?} */
                    var embeddedView = this.dc.instance._vcr.createEmbeddedView(this._template, new IgxForOfContext(input, this.getContextIndex(input), this.igxForOf.length));
                    this._embeddedViews.push(embeddedView);
                }
            }
            if (this.igxForScrollOrientation === 'vertical') {
                this.dc.instance._viewContainer.element.nativeElement.style.top = '0px';
                /** @type {?} */
                var factory = this.resolver.resolveComponentFactory(VirtualHelperComponent);
                this.scrollComponent = vc.createComponent(factory).instance;
                this._maxHeight = this._calcMaxBrowserHeight();
                this.scrollComponent.size = this.igxForOf ? this._calcHeight() : 0;
                this.syncScrollService.setScrollMaster(this.igxForScrollOrientation, this.scrollComponent);
                this._zone.runOutsideAngular(function () {
                    _this.verticalScrollHandler = _this.verticalScrollHandler.bind(_this);
                    _this.scrollComponent.nativeElement.addEventListener('scroll', _this.verticalScrollHandler);
                    _this.dc.instance.scrollContainer = _this.scrollComponent.nativeElement;
                });
                /** @type {?} */
                var destructor = operators.takeUntil(this.destroy$);
                this.contentResizeNotify.pipe(destructor, operators.filter(function () { return _this.igxForContainerSize && _this.igxForOf && _this.igxForOf.length > 0; }), operators.throttleTime(40, undefined, { leading: true, trailing: true }))
                    .subscribe(function () {
                    _this._zone.runTask(function () {
                        _this.updateSizes();
                    });
                });
            }
            if (this.igxForScrollOrientation === 'horizontal') {
                this.func = function (evt) { _this.onHScroll(evt); };
                this.scrollComponent = this.syncScrollService.getScrollMaster(this.igxForScrollOrientation);
                if (!this.scrollComponent) {
                    /** @type {?} */
                    var hvFactory = this.resolver.resolveComponentFactory(HVirtualHelperComponent);
                    this.scrollComponent = vc.createComponent(hvFactory).instance;
                    this.scrollComponent.size = totalSize;
                    this.syncScrollService.setScrollMaster(this.igxForScrollOrientation, this.scrollComponent);
                    this._zone.runOutsideAngular(function () {
                        _this.scrollComponent.nativeElement.addEventListener('scroll', _this.func);
                        _this.dc.instance.scrollContainer = _this.scrollComponent.nativeElement;
                    });
                }
                else {
                    this._zone.runOutsideAngular(function () {
                        _this.scrollComponent.nativeElement.addEventListener('scroll', _this.func);
                        _this.dc.instance.scrollContainer = _this.scrollComponent.nativeElement;
                    });
                }
                this._updateHScrollOffset();
            }
        };
        /**
         * @return {?}
         */
        IgxForOfDirective.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.igxForScrollOrientation === 'vertical') {
                this._zone.runOutsideAngular(function () {
                    _this.contentObserver = new ResizeObserver(function () { return _this.contentResizeNotify.next(); });
                    _this.contentObserver.observe(_this.dc.instance._viewContainer.element.nativeElement);
                });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxForOfDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.removeScrollEventListeners();
            this.destroy$.next(true);
            this.destroy$.complete();
            if (this.contentObserver) {
                this.contentObserver.disconnect();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        IgxForOfDirective.prototype.ngOnChanges = /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var forOf = 'igxForOf';
            if (forOf in changes) {
                /** @type {?} */
                var value = changes[forOf].currentValue;
                if (!this._differ && value) {
                    try {
                        this._differ = this._differs.find(value).create(this.igxForTrackBy);
                    }
                    catch (e) {
                        throw new Error("Cannot find a differ supporting object \"" + value + "\" of type \"" + getTypeNameForDebugging(value) + "\".\n                     NgFor only supports binding to Iterables such as Arrays.");
                    }
                }
            }
            /** @type {?} */
            var defaultItemSize = 'igxForItemSize';
            if (defaultItemSize in changes && !changes[defaultItemSize].firstChange &&
                this.igxForScrollOrientation === 'vertical' && this.igxForOf) {
                // handle default item size changed.
                this.initSizesCache(this.igxForOf);
                this._applyChanges();
            }
            /** @type {?} */
            var containerSize = 'igxForContainerSize';
            if (containerSize in changes && !changes[containerSize].firstChange && this.igxForOf) {
                this._recalcOnContainerChange(changes);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxForOfDirective.prototype.ngDoCheck = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this._differ) {
                /** @type {?} */
                var changes = this._differ.diff(this.igxForOf);
                if (changes) {
                    //  re-init cache.
                    if (!this.igxForOf) {
                        this.igxForOf = [];
                    }
                    this._updateSizeCache();
                    this._zone.run(function () {
                        _this._applyChanges();
                        _this.cdr.markForCheck();
                        _this._updateScrollOffset();
                        _this.onDataChanged.emit();
                    });
                }
            }
        };
        /**
         * Shifts the scroll thumb position.
         * ```typescript
         * this.parentVirtDir.addScrollTop(5);
         * ```
         * @param addTop negative value to scroll up and positive to scroll down;
         */
        /**
         * Shifts the scroll thumb position.
         * ```typescript
         * this.parentVirtDir.addScrollTop(5);
         * ```
         * @param {?} addTop negative value to scroll up and positive to scroll down;
         * @return {?}
         */
        IgxForOfDirective.prototype.addScrollTop = /**
         * Shifts the scroll thumb position.
         * ```typescript
         * this.parentVirtDir.addScrollTop(5);
         * ```
         * @param {?} addTop negative value to scroll up and positive to scroll down;
         * @return {?}
         */
        function (addTop) {
            if (addTop === 0 && this.igxForScrollOrientation === 'horizontal') {
                return false;
            }
            /** @type {?} */
            var originalVirtScrollTop = this._virtScrollTop;
            /** @type {?} */
            var containerSize = parseInt(this.igxForContainerSize, 10);
            /** @type {?} */
            var maxVirtScrollTop = this._virtHeight - containerSize;
            this._bScrollInternal = true;
            this._virtScrollTop += addTop;
            this._virtScrollTop = this._virtScrollTop > 0 ?
                (this._virtScrollTop < maxVirtScrollTop ? this._virtScrollTop : maxVirtScrollTop) :
                0;
            this.scrollPosition += addTop / this._virtHeightRatio;
            if (Math.abs(addTop / this._virtHeightRatio) < 1) {
                // Actual scroll delta that was added is smaller than 1 and onScroll handler doesn't trigger when scrolling < 1px
                /** @type {?} */
                var scrollOffset = this.fixedUpdateAllElements(this._virtScrollTop);
                // scrollOffset = scrollOffset !== parseInt(this.igxForItemSize, 10) ? scrollOffset : 0;
                this.dc.instance._viewContainer.element.nativeElement.style.top = -(scrollOffset) + 'px';
            }
            /** @type {?} */
            var maxRealScrollTop = this.scrollComponent.nativeElement.scrollHeight - containerSize;
            if ((this._virtScrollTop > 0 && this.scrollPosition === 0) ||
                (this._virtScrollTop < maxVirtScrollTop && this.scrollPosition === maxRealScrollTop)) {
                // Actual scroll position is at the top or bottom, but virtual one is not at the top or bottom (there's more to scroll)
                // Recalculate actual scroll position based on the virtual scroll.
                this.scrollPosition = this._virtScrollTop / this._virtHeightRatio;
            }
            else if (this._virtScrollTop === 0 && this.scrollPosition > 0) {
                // Actual scroll position is not at the top, but virtual scroll is. Just update the actual scroll
                this.scrollPosition = 0;
            }
            else if (this._virtScrollTop === maxVirtScrollTop && this.scrollPosition < maxRealScrollTop) {
                // Actual scroll position is not at the bottom, but virtual scroll is. Just update the acual scroll
                this.scrollPosition = maxRealScrollTop;
            }
            return this._virtScrollTop !== originalVirtScrollTop;
        };
        /**
         * Scrolls to the specified index.
         * ```typescript
         * this.parentVirtDir.scrollTo(5);
         * ```
         * @param index
         */
        /**
         * Scrolls to the specified index.
         * ```typescript
         * this.parentVirtDir.scrollTo(5);
         * ```
         * @param {?} index
         * @return {?}
         */
        IgxForOfDirective.prototype.scrollTo = /**
         * Scrolls to the specified index.
         * ```typescript
         * this.parentVirtDir.scrollTo(5);
         * ```
         * @param {?} index
         * @return {?}
         */
        function (index) {
            if (index < 0 || index > (this.isRemote ? this.totalItemCount : this.igxForOf.length) - 1) {
                return;
            }
            /** @type {?} */
            var containerSize = parseInt(this.igxForContainerSize, 10);
            /** @type {?} */
            var isPrevItem = index < this.state.startIndex || this.scrollPosition > this.sizesCache[index];
            /** @type {?} */
            var nextScroll = isPrevItem ? this.sizesCache[index] : this.sizesCache[index + 1] - containerSize;
            if (nextScroll < 0) {
                return;
            }
            if (this.igxForScrollOrientation === 'horizontal') {
                this.scrollPosition = nextScroll;
            }
            else {
                /** @type {?} */
                var maxVirtScrollTop = this._virtHeight - containerSize;
                if (nextScroll > maxVirtScrollTop) {
                    nextScroll = maxVirtScrollTop;
                }
                this._bScrollInternal = true;
                this._virtScrollTop = nextScroll;
                this.scrollPosition = this._virtScrollTop / this._virtHeightRatio;
                this._adjustToIndex = !isPrevItem ? index : null;
            }
        };
        /**
         * Scrolls by one item into the appropriate next direction.
         * For "horizontal" orientation that will be the right column and for "vertical" that is the lower row.
         * ```typescript
         * this.parentVirtDir.scrollNext();
         * ```
         */
        /**
         * Scrolls by one item into the appropriate next direction.
         * For "horizontal" orientation that will be the right column and for "vertical" that is the lower row.
         * ```typescript
         * this.parentVirtDir.scrollNext();
         * ```
         * @return {?}
         */
        IgxForOfDirective.prototype.scrollNext = /**
         * Scrolls by one item into the appropriate next direction.
         * For "horizontal" orientation that will be the right column and for "vertical" that is the lower row.
         * ```typescript
         * this.parentVirtDir.scrollNext();
         * ```
         * @return {?}
         */
        function () {
            /** @type {?} */
            var scr = Math.ceil(this.scrollPosition);
            /** @type {?} */
            var endIndex = this.getIndexAt(scr + parseInt(this.igxForContainerSize, 10), this.sizesCache, 0);
            this.scrollTo(endIndex);
        };
        /**
         * Scrolls by one item into the appropriate previous direction.
         * For "horizontal" orientation that will be the left column and for "vertical" that is the upper row.
         * ```typescript
         * this.parentVirtDir.scrollPrev();
         * ```
         */
        /**
         * Scrolls by one item into the appropriate previous direction.
         * For "horizontal" orientation that will be the left column and for "vertical" that is the upper row.
         * ```typescript
         * this.parentVirtDir.scrollPrev();
         * ```
         * @return {?}
         */
        IgxForOfDirective.prototype.scrollPrev = /**
         * Scrolls by one item into the appropriate previous direction.
         * For "horizontal" orientation that will be the left column and for "vertical" that is the upper row.
         * ```typescript
         * this.parentVirtDir.scrollPrev();
         * ```
         * @return {?}
         */
        function () {
            this.scrollTo(this.state.startIndex - 1);
        };
        /**
         * Scrolls by one page into the appropriate next direction.
         * For "horizontal" orientation that will be one view to the right and for "vertical" that is one view to the bottom.
         * ```typescript
         * this.parentVirtDir.scrollNextPage();
         * ```
         */
        /**
         * Scrolls by one page into the appropriate next direction.
         * For "horizontal" orientation that will be one view to the right and for "vertical" that is one view to the bottom.
         * ```typescript
         * this.parentVirtDir.scrollNextPage();
         * ```
         * @return {?}
         */
        IgxForOfDirective.prototype.scrollNextPage = /**
         * Scrolls by one page into the appropriate next direction.
         * For "horizontal" orientation that will be one view to the right and for "vertical" that is one view to the bottom.
         * ```typescript
         * this.parentVirtDir.scrollNextPage();
         * ```
         * @return {?}
         */
        function () {
            if (this.igxForScrollOrientation === 'horizontal') {
                this.scrollPosition += parseInt(this.igxForContainerSize, 10);
            }
            else {
                this.addScrollTop(parseInt(this.igxForContainerSize, 10));
            }
        };
        /**
         * Scrolls by one page into the appropriate previous direction.
         * For "horizontal" orientation that will be one view to the left and for "vertical" that is one view to the top.
         * ```typescript
         * this.parentVirtDir.scrollPrevPage();
         * ```
         */
        /**
         * Scrolls by one page into the appropriate previous direction.
         * For "horizontal" orientation that will be one view to the left and for "vertical" that is one view to the top.
         * ```typescript
         * this.parentVirtDir.scrollPrevPage();
         * ```
         * @return {?}
         */
        IgxForOfDirective.prototype.scrollPrevPage = /**
         * Scrolls by one page into the appropriate previous direction.
         * For "horizontal" orientation that will be one view to the left and for "vertical" that is one view to the top.
         * ```typescript
         * this.parentVirtDir.scrollPrevPage();
         * ```
         * @return {?}
         */
        function () {
            if (this.igxForScrollOrientation === 'horizontal') {
                this.scrollPosition -= parseInt(this.igxForContainerSize, 10);
            }
            else {
                /** @type {?} */
                var containerSize = (parseInt(this.igxForContainerSize, 10));
                this.addScrollTop(-containerSize);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} colIndex
         * @return {?}
         */
        IgxForOfDirective.prototype.getColumnScrollLeft = /**
         * @hidden
         * @param {?} colIndex
         * @return {?}
         */
        function (colIndex) {
            return this.sizesCache[colIndex];
        };
        /**
         * Returns the total number of items that are fully visible.
         * ```typescript
         * this.parentVirtDir.getItemCountInView();
         * ```
         */
        /**
         * Returns the total number of items that are fully visible.
         * ```typescript
         * this.parentVirtDir.getItemCountInView();
         * ```
         * @return {?}
         */
        IgxForOfDirective.prototype.getItemCountInView = /**
         * Returns the total number of items that are fully visible.
         * ```typescript
         * this.parentVirtDir.getItemCountInView();
         * ```
         * @return {?}
         */
        function () {
            /** @type {?} */
            var startIndex = this.getIndexAt(this.scrollPosition, this.sizesCache, 0);
            if (this.scrollPosition - this.sizesCache[startIndex] > 0) {
                // fisrt item is not fully in view
                startIndex++;
            }
            /** @type {?} */
            var endIndex = this.getIndexAt(this.scrollPosition + parseInt(this.igxForContainerSize, 10), this.sizesCache, 0);
            return endIndex - startIndex;
        };
        /**
         * Returns a reference to the scrollbar DOM element.
         * This is either a vertical or horizontal scrollbar depending on the specified igxForScrollOrientation.
         * ```typescript
         * dir.getScroll();
         * ```
         */
        /**
         * Returns a reference to the scrollbar DOM element.
         * This is either a vertical or horizontal scrollbar depending on the specified igxForScrollOrientation.
         * ```typescript
         * dir.getScroll();
         * ```
         * @return {?}
         */
        IgxForOfDirective.prototype.getScroll = /**
         * Returns a reference to the scrollbar DOM element.
         * This is either a vertical or horizontal scrollbar depending on the specified igxForScrollOrientation.
         * ```typescript
         * dir.getScroll();
         * ```
         * @return {?}
         */
        function () {
            return this.scrollComponent.nativeElement;
        };
        /**
         * Returns the size of the element at the specified index.
         * ```typescript
         * this.parentVirtDir.getSizeAt(1);
         * ```
         */
        /**
         * Returns the size of the element at the specified index.
         * ```typescript
         * this.parentVirtDir.getSizeAt(1);
         * ```
         * @param {?} index
         * @return {?}
         */
        IgxForOfDirective.prototype.getSizeAt = /**
         * Returns the size of the element at the specified index.
         * ```typescript
         * this.parentVirtDir.getSizeAt(1);
         * ```
         * @param {?} index
         * @return {?}
         */
        function (index) {
            return this.sizesCache[index + 1] - this.sizesCache[index];
        };
        /**
         * Returns the scroll offset of the element at the specified index.
         * ```typescript
         * this.parentVirtDir.getScrollForIndex(1);
         * ```
         */
        /**
         * Returns the scroll offset of the element at the specified index.
         * ```typescript
         * this.parentVirtDir.getScrollForIndex(1);
         * ```
         * @param {?} index
         * @param {?=} bottom
         * @return {?}
         */
        IgxForOfDirective.prototype.getScrollForIndex = /**
         * Returns the scroll offset of the element at the specified index.
         * ```typescript
         * this.parentVirtDir.getScrollForIndex(1);
         * ```
         * @param {?} index
         * @param {?=} bottom
         * @return {?}
         */
        function (index, bottom) {
            /** @type {?} */
            var containerSize = parseInt(this.igxForContainerSize, 10);
            /** @type {?} */
            var scroll = bottom ? Math.max(0, this.sizesCache[index + 1] - containerSize) : this.sizesCache[index];
            return scroll;
        };
        /**
         * @hidden
         * Function that is called when scrolling vertically
         */
        /**
         * @hidden
         * Function that is called when scrolling vertically
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxForOfDirective.prototype.onScroll = /**
         * @hidden
         * Function that is called when scrolling vertically
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /* in certain situations this may be called when no scrollbar is visible */
            if (!parseInt(this.scrollComponent.nativeElement.style.height, 10)) {
                return;
            }
            /** @type {?} */
            var containerSize = parseInt(this.igxForContainerSize, 10);
            /** @type {?} */
            var maxRealScrollTop = event.target.children[0].scrollHeight - containerSize;
            /** @type {?} */
            var realPercentScrolled = maxRealScrollTop !== 0 ? event.target.scrollTop / maxRealScrollTop : 0;
            if (!this._bScrollInternal) {
                /** @type {?} */
                var maxVirtScrollTop = this._virtHeight - containerSize;
                this._virtScrollTop = realPercentScrolled * maxVirtScrollTop;
            }
            else {
                this._bScrollInternal = false;
            }
            /** @type {?} */
            var prevStartIndex = this.state.startIndex;
            /** @type {?} */
            var scrollOffset = this.fixedUpdateAllElements(this._virtScrollTop);
            this.dc.instance._viewContainer.element.nativeElement.style.top = -(scrollOffset) + 'px';
            this.dc.changeDetectorRef.detectChanges();
            if (prevStartIndex !== this.state.startIndex) {
                this.onChunkLoad.emit(this.state);
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype.updateSizes = /**
         * @protected
         * @return {?}
         */
        function () {
            this.recalcUpdateSizes();
            this._applyChanges();
            this._updateScrollOffset();
            this.onContentSizeChange.emit();
        };
        /**
         * @hidden
         * Function that recaculates and updates cache sizes.
         */
        /**
         * @hidden
         * Function that recaculates and updates cache sizes.
         * @return {?}
         */
        IgxForOfDirective.prototype.recalcUpdateSizes = /**
         * @hidden
         * Function that recaculates and updates cache sizes.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var dimension = this.igxForScrollOrientation === 'horizontal' ?
                this.igxForSizePropName : 'height';
            /** @type {?} */
            var diffs = [];
            /** @type {?} */
            var totalDiff = 0;
            /** @type {?} */
            var l = this._embeddedViews.length;
            /** @type {?} */
            var rNodes = this._embeddedViews.map(function (view) {
                return view.rootNodes.find(function (node) { return node.nodeType === Node.ELEMENT_NODE; }) || view.rootNodes[0].nextElementSibling;
            });
            for (var i = 0; i < l; i++) {
                /** @type {?} */
                var rNode = rNodes[i];
                if (rNode) {
                    /** @type {?} */
                    var h = rNode.offsetHeight || parseInt(this.igxForItemSize, 10);
                    /** @type {?} */
                    var index = this.state.startIndex + i;
                    if (!this.isRemote && !this.igxForOf[index]) {
                        continue;
                    }
                    /** @type {?} */
                    var oldVal = dimension === 'height' ? this.heightCache[index] : this.igxForOf[index][dimension];
                    /** @type {?} */
                    var newVal = dimension === 'height' ? h : rNode.clientWidth;
                    if (dimension === 'height') {
                        this.heightCache[index] = newVal;
                    }
                    else {
                        this.igxForOf[index][dimension] = newVal;
                    }
                    /** @type {?} */
                    var currDiff = newVal - oldVal;
                    diffs.push(currDiff);
                    totalDiff += currDiff;
                    this.sizesCache[index + 1] += totalDiff;
                }
            }
            // update cache
            if (Math.abs(totalDiff) > 0) {
                for (var j = this.state.startIndex + this.state.chunkSize + 1; j < this.sizesCache.length; j++) {
                    this.sizesCache[j] += totalDiff;
                }
                // update scrBar heights/widths
                if (this.igxForScrollOrientation === 'horizontal') {
                    /** @type {?} */
                    var totalWidth = parseInt(this.scrollComponent.nativeElement.children[0].style.width, 10) + totalDiff;
                    this.scrollComponent.nativeElement.children[0].style.width = totalWidth + 'px';
                }
                /** @type {?} */
                var reducer = function (acc, val) { return acc + val; };
                if (this.igxForScrollOrientation === 'vertical') {
                    /** @type {?} */
                    var scrToBottom = this._isScrolledToBottom && !this.dc.instance.notVirtual;
                    /** @type {?} */
                    var hSum = this.heightCache.reduce(reducer);
                    if (hSum > this._maxHeight) {
                        this._virtHeightRatio = hSum / this._maxHeight;
                    }
                    this.scrollComponent.size = Math.min(this.scrollComponent.size + totalDiff, this._maxHeight);
                    this._virtHeight = hSum;
                    if (!this.scrollComponent.destroyed) {
                        this.scrollComponent.cdr.detectChanges();
                    }
                    if (scrToBottom && !this._isAtBottomIndex) {
                        /** @type {?} */
                        var containerSize = parseInt(this.igxForContainerSize, 10);
                        /** @type {?} */
                        var maxVirtScrollTop = this._virtHeight - containerSize;
                        this._bScrollInternal = true;
                        this._virtScrollTop = maxVirtScrollTop;
                        this.scrollPosition = maxVirtScrollTop;
                        return;
                    }
                    if (this._adjustToIndex) {
                        // in case scrolled to specific index where after scroll heights are changed
                        // need to adjust the offsets so that item is last in view.
                        /** @type {?} */
                        var updatesToIndex = this._adjustToIndex - this.state.startIndex + 1;
                        /** @type {?} */
                        var sumDiffs = diffs.slice(0, updatesToIndex).reduce(reducer);
                        /** @type {?} */
                        var currOffset = parseInt(this.dc.instance._viewContainer.element.nativeElement.style.top, 10);
                        this.dc.instance._viewContainer.element.nativeElement.style.top = (currOffset - sumDiffs) + 'px';
                        this._adjustToIndex = null;
                    }
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} inScrollTop
         * @return {?}
         */
        IgxForOfDirective.prototype.fixedUpdateAllElements = /**
         * @hidden
         * @protected
         * @param {?} inScrollTop
         * @return {?}
         */
        function (inScrollTop) {
            /** @type {?} */
            var count = this.isRemote ? this.totalItemCount : this.igxForOf.length;
            /** @type {?} */
            var newStart = this.getIndexAt(inScrollTop, this.sizesCache, 0);
            if (newStart + this.state.chunkSize > count) {
                newStart = count - this.state.chunkSize;
            }
            /** @type {?} */
            var prevStart = this.state.startIndex;
            /** @type {?} */
            var diff = newStart - this.state.startIndex;
            this.state.startIndex = newStart;
            if (diff) {
                this.onChunkPreload.emit(this.state);
                if (!this.isRemote) {
                    /*recalculate and apply page size.*/
                    if (diff > 0 && diff <= this.MAX_PERF_SCROLL_DIFF) {
                        this.moveApplyScrollNext(prevStart);
                    }
                    else if (diff < 0 && Math.abs(diff) <= this.MAX_PERF_SCROLL_DIFF) {
                        this.moveApplyScrollPrev(prevStart);
                    }
                    else {
                        this.fixedApplyScroll();
                    }
                }
            }
            return inScrollTop - this.sizesCache[this.state.startIndex];
        };
        /**
         * @hidden
         * The function applies an optimized state change for scrolling down/right employing context change with view rearrangement
         */
        /**
         * @hidden
         * The function applies an optimized state change for scrolling down/right employing context change with view rearrangement
         * @protected
         * @param {?} prevIndex
         * @return {?}
         */
        IgxForOfDirective.prototype.moveApplyScrollNext = /**
         * @hidden
         * The function applies an optimized state change for scrolling down/right employing context change with view rearrangement
         * @protected
         * @param {?} prevIndex
         * @return {?}
         */
        function (prevIndex) {
            /** @type {?} */
            var start = prevIndex + this.state.chunkSize;
            for (var i = start; i < start + this.state.startIndex - prevIndex && this.igxForOf[i] !== undefined; i++) {
                /** @type {?} */
                var input = this.igxForOf[i];
                /** @type {?} */
                var embView = this._embeddedViews.shift();
                /** @type {?} */
                var cntx = embView.context;
                cntx.$implicit = input;
                cntx.index = this.getContextIndex(input);
                cntx.count = this.igxForOf.length;
                /** @type {?} */
                var view = this.dc.instance._vcr.detach(0);
                this.dc.instance._vcr.insert(view);
                this._embeddedViews.push(embView);
            }
        };
        /**
         * @hidden
         * The function applies an optimized state change for scrolling up/left employing context change with view rearrangement
         */
        /**
         * @hidden
         * The function applies an optimized state change for scrolling up/left employing context change with view rearrangement
         * @protected
         * @param {?} prevIndex
         * @return {?}
         */
        IgxForOfDirective.prototype.moveApplyScrollPrev = /**
         * @hidden
         * The function applies an optimized state change for scrolling up/left employing context change with view rearrangement
         * @protected
         * @param {?} prevIndex
         * @return {?}
         */
        function (prevIndex) {
            for (var i = prevIndex - 1; i >= this.state.startIndex && this.igxForOf[i] !== undefined; i--) {
                /** @type {?} */
                var input = this.igxForOf[i];
                /** @type {?} */
                var embView = this._embeddedViews.pop();
                /** @type {?} */
                var cntx = embView.context;
                cntx.$implicit = input;
                cntx.index = this.getContextIndex(input);
                /** @type {?} */
                var view = this.dc.instance._vcr.detach(this.dc.instance._vcr.length - 1);
                this.dc.instance._vcr.insert(view, 0);
                this._embeddedViews.unshift(embView);
            }
        };
        /**
         * @hidden
        */
        /**
         * @hidden
         * @protected
         * @param {?} input
         * @return {?}
         */
        IgxForOfDirective.prototype.getContextIndex = /**
         * @hidden
         * @protected
         * @param {?} input
         * @return {?}
         */
        function (input) {
            return this.isRemote ? this.state.startIndex + this.igxForOf.indexOf(input) : this.igxForOf.indexOf(input);
        };
        /**
         * @hidden
         * The function applies an optimized state change through context change for each view
         */
        /**
         * @hidden
         * The function applies an optimized state change through context change for each view
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype.fixedApplyScroll = /**
         * @hidden
         * The function applies an optimized state change through context change for each view
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var j = 0;
            /** @type {?} */
            var endIndex = this.state.startIndex + this.state.chunkSize;
            for (var i = this.state.startIndex; i < endIndex && this.igxForOf[i] !== undefined; i++) {
                /** @type {?} */
                var input = this.igxForOf[i];
                /** @type {?} */
                var embView = this._embeddedViews[j++];
                /** @type {?} */
                var cntx = ((/** @type {?} */ (embView))).context;
                cntx.$implicit = input;
                cntx.index = this.getContextIndex(input);
                cntx.count = this.igxForOf.length;
            }
        };
        /**
         * @hidden
         * Function that is called when scrolling horizontally
         */
        /**
         * @hidden
         * Function that is called when scrolling horizontally
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxForOfDirective.prototype.onHScroll = /**
         * @hidden
         * Function that is called when scrolling horizontally
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /* in certain situations this may be called when no scrollbar is visible */
            if (!parseInt(this.scrollComponent.nativeElement.children[0].style.width, 10)) {
                return;
            }
            /** @type {?} */
            var prevStartIndex = this.state.startIndex;
            // Updating horizontal chunks
            /** @type {?} */
            var scrollOffset = this.fixedUpdateAllElements(event.target.scrollLeft);
            this.dc.instance._viewContainer.element.nativeElement.style.left = -scrollOffset + 'px';
            this.dc.changeDetectorRef.detectChanges();
            if (prevStartIndex !== this.state.startIndex) {
                this.onChunkLoad.emit(this.state);
            }
        };
        Object.defineProperty(IgxForOfDirective.prototype, "igxForTrackBy", {
            /**
             * Gets the function used to track changes in the items collection.
             * By default the object references are compared. However this can be optimized if you have unique identifier
             * value that can be used for the comparison instead of the object ref or if you have some other property values
             * in the item object that should be tracked for changes.
             * This option is similar to ngForTrackBy.
             * ```typescript
             * const trackFunc = this.parentVirtDir.igxForTrackBy;
             * ```
             */
            get: /**
             * Gets the function used to track changes in the items collection.
             * By default the object references are compared. However this can be optimized if you have unique identifier
             * value that can be used for the comparison instead of the object ref or if you have some other property values
             * in the item object that should be tracked for changes.
             * This option is similar to ngForTrackBy.
             * ```typescript
             * const trackFunc = this.parentVirtDir.igxForTrackBy;
             * ```
             * @return {?}
             */
            function () { return this._trackByFn; },
            /**
             * Sets the function used to track changes in the items collection.
             * This function can be set in scenarios where you want to optimize or
             * customize the tracking of changes for the items in the collection.
             * The igxForTrackBy function takes the index and the current item as arguments and needs to return the unique identifier for this item.
             * ```typescript
             * this.parentVirtDir.igxForTrackBy = (index, item) => {
             *      return item.id + item.width;
             * };
             * ```
             */
            set: /**
             * Sets the function used to track changes in the items collection.
             * This function can be set in scenarios where you want to optimize or
             * customize the tracking of changes for the items in the collection.
             * The igxForTrackBy function takes the index and the current item as arguments and needs to return the unique identifier for this item.
             * ```typescript
             * this.parentVirtDir.igxForTrackBy = (index, item) => {
             *      return item.id + item.width;
             * };
             * ```
             * @param {?} fn
             * @return {?}
             */
            function (fn) { this._trackByFn = fn; },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._applyChanges = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var prevChunkSize = this.state.chunkSize;
            this.applyChunkSizeChange();
            this._recalcScrollBarSize();
            if (this.igxForOf && this.igxForOf.length && this.dc) {
                /** @type {?} */
                var embeddedViewCopy = Object.assign([], this._embeddedViews);
                /** @type {?} */
                var startIndex = this.state.startIndex;
                /** @type {?} */
                var endIndex = this.state.chunkSize + this.state.startIndex;
                if (this.isRemote) {
                    startIndex = 0;
                    endIndex = this.igxForOf.length;
                }
                for (var i = startIndex; i < endIndex && this.igxForOf[i] !== undefined; i++) {
                    /** @type {?} */
                    var input = this.igxForOf[i];
                    /** @type {?} */
                    var embView = embeddedViewCopy.shift();
                    /** @type {?} */
                    var cntx = ((/** @type {?} */ (embView))).context;
                    cntx.$implicit = input;
                    cntx.index = this.getContextIndex(input);
                    cntx.count = this.igxForOf.length;
                }
                if (prevChunkSize !== this.state.chunkSize) {
                    this.onChunkLoad.emit(this.state);
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._calcMaxBrowserHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var div = document.createElement('div');
            /** @type {?} */
            var style = div.style;
            style.position = 'absolute';
            style.top = '9999999999999999px';
            document.body.appendChild(div);
            /** @type {?} */
            var size = Math.abs(div.getBoundingClientRect()['top']);
            document.body.removeChild(div);
            return size;
        };
        /**
         * @hidden
         * Recalculates the chunkSize based on current startIndex and returns the new size.
         * This should be called after this.state.startIndex is updated, not before.
         */
        /**
         * @hidden
         * Recalculates the chunkSize based on current startIndex and returns the new size.
         * This should be called after this.state.startIndex is updated, not before.
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._calculateChunkSize = /**
         * @hidden
         * Recalculates the chunkSize based on current startIndex and returns the new size.
         * This should be called after this.state.startIndex is updated, not before.
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var chunkSize = 0;
            if (this.igxForContainerSize !== null && this.igxForContainerSize !== undefined) {
                if (!this.sizesCache) {
                    this.initSizesCache(this.igxForOf);
                }
                chunkSize = this._calcMaxChunkSize();
                if (this.igxForOf && chunkSize > this.igxForOf.length) {
                    chunkSize = this.igxForOf.length;
                }
            }
            else {
                if (this.igxForOf) {
                    chunkSize = this.igxForOf.length;
                }
            }
            return chunkSize;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} viewref
         * @param {?} nodeName
         * @return {?}
         */
        IgxForOfDirective.prototype.getElement = /**
         * @hidden
         * @protected
         * @param {?} viewref
         * @param {?} nodeName
         * @return {?}
         */
        function (viewref, nodeName) {
            /** @type {?} */
            var elem = viewref.element.nativeElement.parentNode.getElementsByTagName(nodeName);
            return elem.length > 0 ? elem[0] : null;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} items
         * @return {?}
         */
        IgxForOfDirective.prototype.initSizesCache = /**
         * @hidden
         * @protected
         * @param {?} items
         * @return {?}
         */
        function (items) {
            /** @type {?} */
            var totalSize = 0;
            /** @type {?} */
            var size = 0;
            /** @type {?} */
            var dimension = this.igxForScrollOrientation === 'horizontal' ?
                this.igxForSizePropName : 'height';
            /** @type {?} */
            var i = 0;
            this.sizesCache = [];
            this.heightCache = [];
            this.sizesCache.push(0);
            /** @type {?} */
            var count = this.isRemote ? this.totalItemCount : items.length;
            for (i; i < count; i++) {
                if (dimension === 'height') {
                    // cols[i][dimension] = parseInt(this.igxForItemSize, 10) || 0;
                    size = parseInt(this.igxForItemSize, 10) || 0;
                    this.heightCache.push(size);
                }
                else {
                    size = this._getItemSize(items[i], dimension);
                }
                totalSize += size;
                this.sizesCache.push(totalSize);
            }
            return totalSize;
        };
        /**
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._updateSizeCache = /**
         * @protected
         * @return {?}
         */
        function () {
            if (this.igxForScrollOrientation === 'horizontal') {
                this.initSizesCache(this.igxForOf);
                return;
            }
            /** @type {?} */
            var oldHeight = this.heightCache.length > 0 ? this.heightCache.reduce(function (acc, val) { return acc + val; }) : 0;
            /** @type {?} */
            var newHeight = this.initSizesCache(this.igxForOf);
            /** @type {?} */
            var diff = oldHeight - newHeight;
            // if data has been changed while container is scrolled
            // should update scroll top/left according to change so that same startIndex is in view
            if (Math.abs(diff) > 0 && this.scrollPosition > 0) {
                this.recalcUpdateSizes();
                /** @type {?} */
                var offset = parseInt(this.dc.instance._viewContainer.element.nativeElement.style.top, 10);
                this.scrollPosition = this.sizesCache[this.state.startIndex] - offset;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._calcMaxChunkSize = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var i = 0;
            /** @type {?} */
            var length = 0;
            /** @type {?} */
            var maxLength = 0;
            /** @type {?} */
            var arr = [];
            /** @type {?} */
            var sum = 0;
            /** @type {?} */
            var availableSize = parseInt(this.igxForContainerSize, 10);
            if (!availableSize) {
                return 0;
            }
            /** @type {?} */
            var dimension = this.igxForScrollOrientation === 'horizontal' ?
                this.igxForSizePropName : 'height';
            /** @type {?} */
            var reducer = function (accumulator, currentItem) { return accumulator + _this._getItemSize(currentItem, dimension); };
            for (i; i < this.igxForOf.length; i++) {
                /** @type {?} */
                var item = this.igxForOf[i];
                if (dimension === 'height') {
                    item = { value: this.igxForOf[i], height: this.heightCache[i] };
                }
                /** @type {?} */
                var size = dimension === 'height' ?
                    this.heightCache[i] :
                    this._getItemSize(item, dimension);
                sum = arr.reduce(reducer, size);
                if (sum < availableSize) {
                    arr.push(item);
                    length = arr.length;
                    if (i === this.igxForOf.length - 1) {
                        // reached end without exceeding
                        // include prev items until size is filled or first item is reached.
                        /** @type {?} */
                        var curItem = dimension === 'height' ? arr[0].value : arr[0];
                        /** @type {?} */
                        var prevIndex = this.igxForOf.indexOf(curItem) - 1;
                        while (prevIndex >= 0 && sum <= availableSize) {
                            curItem = dimension === 'height' ? arr[0].value : arr[0];
                            prevIndex = this.igxForOf.indexOf(curItem) - 1;
                            /** @type {?} */
                            var prevItem = this.igxForOf[prevIndex];
                            /** @type {?} */
                            var prevSize = dimension === 'height' ?
                                this.heightCache[prevIndex] :
                                parseInt(prevItem[dimension], 10);
                            sum = arr.reduce(reducer, prevSize);
                            arr.unshift(prevItem);
                            length = arr.length;
                        }
                    }
                }
                else {
                    arr.push(item);
                    length = arr.length + 1;
                    arr.shift();
                }
                if (length > maxLength) {
                    maxLength = length;
                }
            }
            return maxLength;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} left
         * @param {?} set
         * @param {?} index
         * @return {?}
         */
        IgxForOfDirective.prototype.getIndexAt = /**
         * @hidden
         * @protected
         * @param {?} left
         * @param {?} set
         * @param {?} index
         * @return {?}
         */
        function (left, set, index) {
            /** @type {?} */
            var start = 0;
            /** @type {?} */
            var end = set.length - 1;
            if (left === 0) {
                return 0;
            }
            while (start <= end) {
                /** @type {?} */
                var midIdx = Math.floor((start + end) / 2);
                /** @type {?} */
                var midLeft = set[midIdx];
                /** @type {?} */
                var cmp = left - midLeft;
                if (cmp > 0) {
                    start = midIdx + 1;
                }
                else if (cmp < 0) {
                    end = midIdx - 1;
                }
                else {
                    return midIdx;
                }
            }
            return end;
        };
        /**
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._recalcScrollBarSize = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var count = this.isRemote ? this.totalItemCount : (this.igxForOf ? this.igxForOf.length : 0);
            this.dc.instance.notVirtual = !(this.igxForContainerSize && this.dc && this.state.chunkSize < count);
            /** @type {?} */
            var scrollable = this.isScrollable();
            if (this.igxForScrollOrientation === 'horizontal') {
                /** @type {?} */
                var totalWidth = this.igxForContainerSize ? this.initSizesCache(this.igxForOf) : 0;
                this.scrollComponent.nativeElement.style.width = this.igxForContainerSize + 'px';
                this.scrollComponent.size = totalWidth;
                if (totalWidth <= parseInt(this.igxForContainerSize, 10)) {
                    this.scrollPosition = 0;
                    // Need to reset the scrollAmount value here, because horizontalScrollBar is hidden, therefore
                    // onScroll event handler for VirtualHelperBaseDirective will not be called
                    this.scrollComponent.scrollAmount = 0;
                }
            }
            if (this.igxForScrollOrientation === 'vertical') {
                this.scrollComponent.nativeElement.style.height = parseInt(this.igxForContainerSize, 10) + 'px';
                this.scrollComponent.size = this._calcHeight();
                if (this.scrollComponent.size <= parseInt(this.igxForContainerSize, 10)) {
                    this.scrollPosition = 0;
                    // Need to reset the scrollAmount value here, because verticalScrollBar is hidden, therefore
                    // onScroll event handler for VirtualHelperBaseDirective will not be called
                    this.scrollComponent.scrollAmount = 0;
                }
            }
            if (scrollable !== this.isScrollable()) {
                // scrollbar visibility has changed
                this.onScrollbarVisibilityChanged.emit();
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._calcHeight = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var height;
            if (this.heightCache) {
                height = this.heightCache.reduce(function (acc, val) { return acc + val; }, 0);
            }
            else {
                height = this.initSizesCache(this.igxForOf);
            }
            this._virtHeight = height;
            if (height > this._maxHeight) {
                this._virtHeightRatio = height / this._maxHeight;
                height = this._maxHeight;
            }
            return height;
        };
        /**
         * @protected
         * @param {?} changes
         * @return {?}
         */
        IgxForOfDirective.prototype._recalcOnContainerChange = /**
         * @protected
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            this.dc.instance._viewContainer.element.nativeElement.style.top = '0px';
            this.dc.instance._viewContainer.element.nativeElement.style.left = '0px';
            /** @type {?} */
            var prevChunkSize = this.state.chunkSize;
            this.applyChunkSizeChange();
            this._recalcScrollBarSize();
            if (prevChunkSize !== this.state.chunkSize) {
                this.onChunkLoad.emit(this.state);
            }
            if (this.sizesCache && this.igxForScrollOrientation === 'horizontal') {
                // Updating horizontal chunks and offsets based on the new scrollLeft
                /** @type {?} */
                var scrollOffset = this.fixedUpdateAllElements(this.scrollPosition);
                this.dc.instance._viewContainer.element.nativeElement.style.left = -scrollOffset + 'px';
            }
        };
        /**
         * @hidden
         * Removes an elemenet from the embedded views and updates chunkSize.
         */
        /**
         * @hidden
         * Removes an elemenet from the embedded views and updates chunkSize.
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype.removeLastElem = /**
         * @hidden
         * Removes an elemenet from the embedded views and updates chunkSize.
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var oldElem = this._embeddedViews.pop();
            this.onBeforeViewDestroyed.emit(oldElem);
            oldElem.destroy();
            this.state.chunkSize--;
        };
        /**
         * @hidden
         * If there exists an element that we can create embedded view for creates it, appends it and updates chunkSize
         */
        /**
         * @hidden
         * If there exists an element that we can create embedded view for creates it, appends it and updates chunkSize
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype.addLastElem = /**
         * @hidden
         * If there exists an element that we can create embedded view for creates it, appends it and updates chunkSize
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var elemIndex = this.state.startIndex + this.state.chunkSize;
            if (!this.isRemote && !this.igxForOf) {
                return;
            }
            if (elemIndex >= this.igxForOf.length) {
                elemIndex = this.igxForOf.length - this.state.chunkSize;
            }
            /** @type {?} */
            var input = this.igxForOf[elemIndex];
            /** @type {?} */
            var embeddedView = this.dc.instance._vcr.createEmbeddedView(this._template, new IgxForOfContext(input, this.getContextIndex(input), this.igxForOf.length));
            this._embeddedViews.push(embeddedView);
            this.state.chunkSize++;
            this._zone.run(function () {
                _this.cdr.markForCheck();
            });
        };
        /**
         * Recalculates chunkSize and adds/removes elements if need due to the change.
         * this.state.chunkSize is updated in @addLastElem() or @removeLastElem()
         */
        /**
         * Recalculates chunkSize and adds/removes elements if need due to the change.
         * this.state.chunkSize is updated in \@addLastElem() or \@removeLastElem()
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype.applyChunkSizeChange = /**
         * Recalculates chunkSize and adds/removes elements if need due to the change.
         * this.state.chunkSize is updated in \@addLastElem() or \@removeLastElem()
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var chunkSize = this.isRemote ? (this.igxForOf ? this.igxForOf.length : 0) : this._calculateChunkSize();
            if (chunkSize > this.state.chunkSize) {
                /** @type {?} */
                var diff = chunkSize - this.state.chunkSize;
                for (var i = 0; i < diff; i++) {
                    this.addLastElem();
                }
            }
            else if (chunkSize < this.state.chunkSize) {
                /** @type {?} */
                var diff = this.state.chunkSize - chunkSize;
                for (var i = 0; i < diff; i++) {
                    this.removeLastElem();
                }
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxForOfDirective.prototype._updateScrollOffset = /**
         * @protected
         * @return {?}
         */
        function () {
            if (this.igxForScrollOrientation === 'horizontal') {
                this._updateHScrollOffset();
            }
            else {
                this._updateVScrollOffset();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxForOfDirective.prototype._updateVScrollOffset = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var scrollOffset = 0;
            /** @type {?} */
            var vScroll = this.scrollComponent.nativeElement;
            scrollOffset = vScroll && this.scrollComponent.size ?
                this.scrollPosition - this.sizesCache[this.state.startIndex] : 0;
            this.dc.instance._viewContainer.element.nativeElement.style.top = -(scrollOffset) + 'px';
        };
        /**
         * @private
         * @return {?}
         */
        IgxForOfDirective.prototype._updateHScrollOffset = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var scrollOffset = 0;
            scrollOffset = this.scrollComponent.nativeElement &&
                this.scrollComponent.size ?
                this.scrollPosition - this.sizesCache[this.state.startIndex] : 0;
            this.dc.instance._viewContainer.element.nativeElement.style.left = -scrollOffset + 'px';
        };
        /**
         * @private
         * @param {?} item
         * @param {?} dimension
         * @return {?}
         */
        IgxForOfDirective.prototype._getItemSize = /**
         * @private
         * @param {?} item
         * @param {?} dimension
         * @return {?}
         */
        function (item, dimension) {
            /** @type {?} */
            var dim = item[dimension];
            return typeof dim === 'number' ? dim : parseInt(this.igxForItemSize, 10) || 0;
        };
        IgxForOfDirective.decorators = [
            { type: core.Directive, args: [{ selector: '[igxFor][igxForOf]' },] }
        ];
        /** @nocollapse */
        IgxForOfDirective.ctorParameters = function () { return [
            { type: core.ViewContainerRef },
            { type: core.TemplateRef },
            { type: core.IterableDiffers },
            { type: core.ComponentFactoryResolver },
            { type: core.ChangeDetectorRef },
            { type: core.NgZone },
            { type: IgxForOfScrollSyncService }
        ]; };
        IgxForOfDirective.propDecorators = {
            igxForOf: [{ type: core.Input }],
            igxForSizePropName: [{ type: core.Input }],
            igxForScrollOrientation: [{ type: core.Input }],
            igxForScrollContainer: [{ type: core.Input }],
            igxForContainerSize: [{ type: core.Input }],
            igxForItemSize: [{ type: core.Input }],
            onChunkLoad: [{ type: core.Output }],
            onScrollbarVisibilityChanged: [{ type: core.Output }],
            onContentSizeChange: [{ type: core.Output }],
            onDataChanged: [{ type: core.Output }],
            onBeforeViewDestroyed: [{ type: core.Output }],
            onChunkPreload: [{ type: core.Output }],
            igxForTrackBy: [{ type: core.Input }]
        };
        return IgxForOfDirective;
    }());
    /**
     * @param {?} type
     * @return {?}
     */
    function getTypeNameForDebugging(type) {
        /** @type {?} */
        var name = 'name';
        return type[name] || typeof type;
    }
    /**
     * @template T
     */
    var IgxGridForOfDirective = /** @class */ (function (_super) {
        __extends(IgxGridForOfDirective, _super);
        function IgxGridForOfDirective(_viewContainer, _template, _differs, resolver, cdr, _zone, syncScrollService, syncService) {
            var _this = _super.call(this, _viewContainer, _template, _differs, resolver, cdr, _zone, syncScrollService) || this;
            _this.syncScrollService = syncScrollService;
            _this.syncService = syncService;
            /**
             * @hidden \@internal
             * An event that is emitted after data has been changed but before the view is refreshed
             */
            _this.onDataChanging = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxGridForOfDirective.prototype, "igxGridForOf", {
            get: /**
             * @return {?}
             */
            function () {
                return this.igxForOf;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.igxForOf = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridForOfDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.syncService.setMaster(this);
            _super.prototype.ngOnInit.call(this);
            this.removeScrollEventListeners();
        };
        /**
         * @param {?} changes
         * @return {?}
         */
        IgxGridForOfDirective.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var forOf = 'igxGridForOf';
            this.syncService.setMaster(this);
            if (forOf in changes) {
                /** @type {?} */
                var value = changes[forOf].currentValue;
                if (!this._differ && value) {
                    try {
                        this._differ = this._differs.find(value).create(this.igxForTrackBy);
                    }
                    catch (e) {
                        throw new Error("Cannot find a differ supporting object \"" + value + "\" of type \"" + getTypeNameForDebugging(value) + "\".\n                     NgFor only supports binding to Iterables such as Arrays.");
                    }
                }
            }
            /** @type {?} */
            var defaultItemSize = 'igxForItemSize';
            if (defaultItemSize in changes && !changes[defaultItemSize].firstChange &&
                this.igxForScrollOrientation === 'vertical' && this.igxForOf) {
                // handle default item size changed.
                this.initSizesCache(this.igxForOf);
            }
            /** @type {?} */
            var containerSize = 'igxForContainerSize';
            if (containerSize in changes && !changes[containerSize].firstChange && this.igxForOf) {
                this._recalcOnContainerChange(changes);
            }
        };
        Object.defineProperty(IgxGridForOfDirective.prototype, "sizesCache", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                if (this.syncService.isMaster(this)) {
                    return this._sizesCache;
                }
                return this.syncService.sizesCache(this.igxForScrollOrientation);
            },
            /**
             * @hidden
             * @internal
             */
            set: /**
             * @hidden
             * \@internal
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._sizesCache = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridForOfDirective.prototype, "itemsDimension", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.igxForScrollOrientation === 'horizontal' ? this.igxForSizePropName : 'height';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} item
         * @return {?}
         */
        IgxGridForOfDirective.prototype.getItemSize = /**
         * @protected
         * @param {?} item
         * @return {?}
         */
        function (item) {
            /** @type {?} */
            var size = 0;
            /** @type {?} */
            var dimension = this.igxForScrollOrientation === 'horizontal' ?
                this.igxForSizePropName : 'height';
            if (dimension === 'height') {
                size = parseInt(this.igxForItemSize, 10) || 0;
                if (item && item.summaries) {
                    size = item.max;
                }
                else if (item && item.groups && item.height) {
                    size = item.height;
                }
            }
            else {
                size = parseInt(item[dimension], 10) || 0;
            }
            return size;
        };
        /**
         * @protected
         * @param {?} items
         * @return {?}
         */
        IgxGridForOfDirective.prototype.initSizesCache = /**
         * @protected
         * @param {?} items
         * @return {?}
         */
        function (items) {
            if (!this.syncService.isMaster(this)) {
                /** @type {?} */
                var masterSizesCache = this.syncService.sizesCache(this.igxForScrollOrientation);
                return masterSizesCache[masterSizesCache.length - 1];
            }
            /** @type {?} */
            var totalSize = 0;
            /** @type {?} */
            var size = 0;
            /** @type {?} */
            var i = 0;
            this.sizesCache = [];
            this.heightCache = [];
            this.sizesCache.push(0);
            /** @type {?} */
            var count = this.isRemote ? this.totalItemCount : items.length;
            for (i; i < count; i++) {
                size = this.getItemSize(items[i]);
                if (this.itemsDimension === 'height') {
                    this.heightCache.push(size);
                }
                totalSize += size;
                this.sizesCache.push(totalSize);
            }
            return totalSize;
        };
        /**
         * @protected
         * @param {?=} changes
         * @return {?}
         */
        IgxGridForOfDirective.prototype._updateSizeCache = /**
         * @protected
         * @param {?=} changes
         * @return {?}
         */
        function (changes) {
            var _this = this;
            if (changes === void 0) { changes = null; }
            if (this.igxForScrollOrientation === 'horizontal') {
                this.initSizesCache(this.igxForOf);
                return;
            }
            /** @type {?} */
            var oldHeight = this.heightCache.length > 0 ? this.heightCache.reduce(function (acc, val) { return acc + val; }) : 0;
            /** @type {?} */
            var newHeight = oldHeight;
            if (changes && !this.isRemote) {
                newHeight = this.handleCacheChanges(changes);
            }
            else {
                newHeight = this.initSizesCache(this.igxForOf);
            }
            /** @type {?} */
            var diff = oldHeight - newHeight;
            // if data has been changed while container is scrolled
            // should update scroll top/left according to change so that same startIndex is in view
            if (Math.abs(diff) > 0) {
                // TODO: This code can be removed. However tests need to be rewritten in a way that they wait for ResizeObserved to complete.
                // So leaving as is for the moment.
                requestAnimationFrame(function () {
                    _this.recalcUpdateSizes();
                    /** @type {?} */
                    var offset = parseInt(_this.dc.instance._viewContainer.element.nativeElement.style.top, 10);
                    if (_this.scrollPosition !== 0) {
                        _this.scrollPosition = _this.sizesCache[_this.state.startIndex] - offset;
                    }
                    else {
                        _this._updateScrollOffset();
                    }
                });
            }
        };
        /**
         * @protected
         * @param {?} changes
         * @return {?}
         */
        IgxGridForOfDirective.prototype.handleCacheChanges = /**
         * @protected
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            var _this = this;
            /** @type {?} */
            var identityChanges = [];
            /** @type {?} */
            var newHeightCache = [];
            /** @type {?} */
            var newSizesCache = [];
            newSizesCache.push(0);
            /** @type {?} */
            var newHeight = 0;
            // When there are more than one removed items the changes are not reliable so those with identity change should be default size.
            /** @type {?} */
            var numRemovedItems = 0;
            changes.forEachRemovedItem(function () { return numRemovedItems++; });
            // Get the identity changes to determine later if those that have changed their indexes should be assigned default item size.
            changes.forEachIdentityChange(function (item) {
                if (item.currentIndex !== item.previousIndex) {
                    // Filter out ones that have not changed their index.
                    identityChanges[item.currentIndex] = item;
                }
            });
            // Processing each item that is passed to the igxForOf so far seem to be most reliable. We parse the updated list of items.
            changes.forEachItem(function (item) {
                if (item.previousIndex !== null &&
                    (numRemovedItems < 2 || !identityChanges.length || identityChanges[item.currentIndex])) {
                    // Reuse cache on those who have previousIndex.
                    // When there are more than one removed items currently the changes are not readable so ones with identity change
                    // should be racalculated.
                    newHeightCache[item.currentIndex] = _this.heightCache[item.previousIndex];
                }
                else {
                    // Assign default item size.
                    newHeightCache[item.currentIndex] = _this.getItemSize(item.item);
                }
                newSizesCache[item.currentIndex + 1] = newSizesCache[item.currentIndex] + newHeightCache[item.currentIndex];
                newHeight += newHeightCache[item.currentIndex];
            });
            this.heightCache = newHeightCache;
            this.sizesCache = newSizesCache;
            return newHeight;
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridForOfDirective.prototype.assumeMaster = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this._sizesCache = this.syncService.sizesCache(this.igxForScrollOrientation);
            this.syncService.setMaster(this, true);
        };
        /**
         * @return {?}
         */
        IgxGridForOfDirective.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            if (this._differ) {
                /** @type {?} */
                var changes = this._differ.diff(this.igxForOf);
                if (changes) {
                    /** @type {?} */
                    var args = {
                        containerSize: this.igxForContainerSize
                    };
                    this.onDataChanging.emit(args);
                    //  re-init cache.
                    if (!this.igxForOf) {
                        this.igxForOf = [];
                    }
                    /* we need to reset the master dir if all rows are removed
                    (e.g. because of filtering); if all columns are hidden, rows are
                    still rendered empty, so we should not reset master */
                    if (!this.igxForOf.length &&
                        this.igxForScrollOrientation === 'vertical') {
                        this.syncService.resetMaster();
                    }
                    this.syncService.setMaster(this);
                    this.igxForContainerSize = args.containerSize;
                    this._updateSizeCache(changes);
                    this._applyChanges();
                    this._updateScrollOffset();
                    this.onDataChanged.emit();
                }
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGridForOfDirective.prototype.onScroll = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!parseInt(this.scrollComponent.nativeElement.style.height, 10)) {
                return;
            }
            /** @type {?} */
            var containerSize = parseInt(this.igxForContainerSize, 10);
            /** @type {?} */
            var maxRealScrollTop = event.target.children[0].scrollHeight - containerSize;
            /** @type {?} */
            var realPercentScrolled = maxRealScrollTop !== 0 ? event.target.scrollTop / maxRealScrollTop : 0;
            if (!this._bScrollInternal) {
                /** @type {?} */
                var maxVirtScrollTop = this._virtHeight - containerSize;
                this._virtScrollTop = realPercentScrolled * maxVirtScrollTop;
            }
            else {
                this._bScrollInternal = false;
            }
            /** @type {?} */
            var scrollOffset = this.fixedUpdateAllElements(this._virtScrollTop);
            this.dc.instance._viewContainer.element.nativeElement.style.top = -(scrollOffset) + 'px';
            this._zone.onStable.pipe(operators.first()).subscribe(function () {
                _this.recalcUpdateSizes();
            });
            this.cdr.markForCheck();
        };
        /**
         * @param {?} scrollAmount
         * @return {?}
         */
        IgxGridForOfDirective.prototype.onHScroll = /**
         * @param {?} scrollAmount
         * @return {?}
         */
        function (scrollAmount) {
            /* in certain situations this may be called when no scrollbar is visible */
            if (!this.scrollComponent || !parseInt(this.scrollComponent.nativeElement.children[0].style.width, 10)) {
                return;
            }
            // Updating horizontal chunks
            /** @type {?} */
            var scrollOffset = this.fixedUpdateAllElements(scrollAmount);
            this.dc.instance._viewContainer.element.nativeElement.style.left = -scrollOffset + 'px';
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridForOfDirective.prototype.addLastElem = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var elemIndex = this.state.startIndex + this.state.chunkSize;
            if (!this.isRemote && !this.igxForOf) {
                return;
            }
            if (elemIndex >= this.igxForOf.length) {
                elemIndex = this.igxForOf.length - this.state.chunkSize;
            }
            /** @type {?} */
            var input = this.igxForOf[elemIndex];
            /** @type {?} */
            var embeddedView = this.dc.instance._vcr.createEmbeddedView(this._template, new IgxForOfContext(input, this.getContextIndex(input), this.igxForOf.length));
            this._embeddedViews.push(embeddedView);
            this.state.chunkSize++;
        };
        /**
         * @protected
         * @param {?} prevChunkSize
         * @return {?}
         */
        IgxGridForOfDirective.prototype._updateViews = /**
         * @protected
         * @param {?} prevChunkSize
         * @return {?}
         */
        function (prevChunkSize) {
            if (this.igxForOf && this.igxForOf.length && this.dc) {
                /** @type {?} */
                var embeddedViewCopy = Object.assign([], this._embeddedViews);
                /** @type {?} */
                var startIndex = void 0;
                /** @type {?} */
                var endIndex = void 0;
                if (this.isRemote) {
                    startIndex = 0;
                    endIndex = this.igxForOf.length;
                }
                else {
                    startIndex = this.getIndexAt(this.scrollPosition, this.sizesCache, 0);
                    if (startIndex + this.state.chunkSize > this.igxForOf.length) {
                        startIndex = this.igxForOf.length - this.state.chunkSize;
                    }
                    this.state.startIndex = startIndex;
                    endIndex = this.state.chunkSize + this.state.startIndex;
                }
                for (var i = startIndex; i < endIndex && this.igxForOf[i] !== undefined; i++) {
                    /** @type {?} */
                    var input = this.igxForOf[i];
                    /** @type {?} */
                    var embView = embeddedViewCopy.shift();
                    /** @type {?} */
                    var cntx = ((/** @type {?} */ (embView))).context;
                    cntx.$implicit = input;
                    cntx.index = this.getContextIndex(input);
                    cntx.count = this.igxForOf.length;
                }
                if (prevChunkSize !== this.state.chunkSize) {
                    this.onChunkLoad.emit(this.state);
                }
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridForOfDirective.prototype._applyChanges = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var prevChunkSize = this.state.chunkSize;
            this.applyChunkSizeChange();
            this._recalcScrollBarSize();
            this._updateViews(prevChunkSize);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridForOfDirective.prototype._calcMaxChunkSize = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            if (this.syncService.isMaster(this)) {
                return _super.prototype._calcMaxChunkSize.call(this);
            }
            return this.syncService.chunkSize(this.igxForScrollOrientation);
        };
        IgxGridForOfDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxGridFor][igxGridForOf]'
                    },] }
        ];
        /** @nocollapse */
        IgxGridForOfDirective.ctorParameters = function () { return [
            { type: core.ViewContainerRef },
            { type: core.TemplateRef },
            { type: core.IterableDiffers },
            { type: core.ComponentFactoryResolver },
            { type: core.ChangeDetectorRef },
            { type: core.NgZone },
            { type: IgxForOfScrollSyncService },
            { type: IgxForOfSyncService }
        ]; };
        IgxGridForOfDirective.propDecorators = {
            igxGridForOf: [{ type: core.Input }],
            onDataChanging: [{ type: core.Output }]
        };
        return IgxGridForOfDirective;
    }(IgxForOfDirective));
    /**
     * @hidden
     */
    var IgxForOfModule = /** @class */ (function () {
        function IgxForOfModule() {
        }
        IgxForOfModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxForOfDirective, IgxGridForOfDirective, DisplayContainerComponent, VirtualHelperComponent,
                            HVirtualHelperComponent, VirtualHelperBaseDirective],
                        entryComponents: [DisplayContainerComponent, VirtualHelperComponent, HVirtualHelperComponent],
                        exports: [IgxForOfDirective, IgxGridForOfDirective],
                        imports: [IgxScrollInertiaModule, common.CommonModule]
                    },] }
        ];
        return IgxForOfModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular DropDown** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/drop_down.html)
     *
     * The Ignite UI for Angular Drop Down displays a scrollable list of items which may be visually grouped and
     * supports selection of a single item. Clicking or tapping an item selects it and closes the Drop Down
     *
     * Example:
     * ```html
     * <igx-drop-down>
     *   <igx-drop-down-item *ngFor="let item of items" disabled={{item.disabled}} isHeader={{item.header}}>
     *     {{ item.value }}
     *   </igx-drop-down-item>
     * </igx-drop-down>
     * ```
     */
    var IgxDropDownComponent = /** @class */ (function (_super) {
        __extends(IgxDropDownComponent, _super);
        function IgxDropDownComponent(elementRef, cdr, selection, _displayDensityOptions) {
            var _this = _super.call(this, elementRef, cdr, _displayDensityOptions) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.selection = selection;
            _this._displayDensityOptions = _displayDensityOptions;
            _this.destroy$ = new rxjs.Subject();
            /**
             * Emitted before the dropdown is opened
             *
             * ```html
             * <igx-drop-down (onOpening)='handleOpening()'></igx-drop-down>
             * ```
             */
            _this.onOpening = new core.EventEmitter();
            /**
             * Emitted after the dropdown is opened
             *
             * ```html
             * <igx-drop-down (onOpened)='handleOpened()'></igx-drop-down>
             * ```
             */
            _this.onOpened = new core.EventEmitter();
            /**
             * Emitted before the dropdown is closed
             *
             * ```html
             * <igx-drop-down (onClosing)='handleClosing()'></igx-drop-down>
             * ```
             */
            _this.onClosing = new core.EventEmitter();
            /**
             * Emitted after the dropdown is closed
             *
             * ```html
             * <igx-drop-down (onClosed)='handleClosed()'></igx-drop-down>
             * ```
             */
            _this.onClosed = new core.EventEmitter();
            /**
             * Gets/sets whether items take focus. Disabled by default.
             * When enabled, drop down items gain tab index and are focused when active -
             * this includes activating the selected item when opening the drop down and moving with keyboard navigation.
             *
             * Note: Keep that focus shift in mind when using the igxDropDownItemNavigation directive
             * and ensure it's placed either on each focusable item or a common ancestor to allow it to handle keyboard events.
             *
             * ```typescript
             * // get
             * let dropDownAllowsItemFocus = this.dropdown.allowItemsFocus;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-drop-down [allowItemsFocus]='true'></igx-drop-down>
             * ```
             */
            _this.allowItemsFocus = false;
            return _this;
        }
        Object.defineProperty(IgxDropDownComponent.prototype, "focusedItem", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                var _this = this;
                if (this.virtDir) {
                    return this._focusedItem && this._focusedItem.index !== -1 ?
                        (this.children.find(function (e) { return e.index === _this._focusedItem.index; }) || null) :
                        null;
                }
                return this._focusedItem;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (!value) {
                    this.selection.clear(this.id + "-active");
                    this._focusedItem = null;
                    return;
                }
                this._focusedItem = value;
                if (this.virtDir) {
                    this._focusedItem = (/** @type {?} */ ({
                        value: value.value,
                        index: value.index
                    }));
                }
                this.selection.set(this.id + "-active", new Set([this._focusedItem]));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownComponent.prototype, "id", {
            get: /**
             * @return {?}
             */
            function () {
                return this._id;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.toggleDirective.id = value;
                this.selection.set(value, this.selection.get(this.id));
                this.selection.clear(this.id);
                this.selection.set(value, this.selection.get(this.id + "-active"));
                this.selection.clear(this.id + "-active");
                this._id = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownComponent.prototype, "listId", {
            /** Id of the internal listbox of the drop down */
            get: /**
             * Id of the internal listbox of the drop down
             * @return {?}
             */
            function () {
                return this.id + '-list';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownComponent.prototype, "selectedItem", {
            /**
             * Get currently selected item
             *
             * ```typescript
             * let currentItem = this.dropdown.selectedItem;
             * ```
             */
            get: /**
             * Get currently selected item
             *
             * ```typescript
             * let currentItem = this.dropdown.selectedItem;
             * ```
             * @return {?}
             */
            function () {
                /** @type {?} */
                var selectedItem = this.selection.first_item(this.id);
                if (selectedItem) {
                    return selectedItem;
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownComponent.prototype, "collapsed", {
            /**
             * Gets if the dropdown is collapsed
             *
             * ```typescript
             * let isCollapsed = this.dropdown.collapsed;
             * ```
             */
            get: /**
             * Gets if the dropdown is collapsed
             *
             * ```typescript
             * let isCollapsed = this.dropdown.collapsed;
             * ```
             * @return {?}
             */
            function () {
                return this.toggleDirective.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownComponent.prototype, "scrollContainer", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.toggleDirective.element;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDropDownComponent.prototype, "collectionLength", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                if (this.virtDir) {
                    return this.virtDir.totalItemCount || this.virtDir.igxForOf.length;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Opens the dropdown
         *
         * ```typescript
         * this.dropdown.open();
         * ```
         */
        /**
         * Opens the dropdown
         *
         * ```typescript
         * this.dropdown.open();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        IgxDropDownComponent.prototype.open = /**
         * Opens the dropdown
         *
         * ```typescript
         * this.dropdown.open();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        function (overlaySettings) {
            this.toggleDirective.open(overlaySettings);
            this.updateScrollPosition();
        };
        /**
         * Closes the dropdown
         *
         * ```typescript
         * this.dropdown.close();
         * ```
         */
        /**
         * Closes the dropdown
         *
         * ```typescript
         * this.dropdown.close();
         * ```
         * @return {?}
         */
        IgxDropDownComponent.prototype.close = /**
         * Closes the dropdown
         *
         * ```typescript
         * this.dropdown.close();
         * ```
         * @return {?}
         */
        function () {
            this.toggleDirective.close();
        };
        /**
         * Toggles the dropdown
         *
         * ```typescript
         * this.dropdown.toggle();
         * ```
         */
        /**
         * Toggles the dropdown
         *
         * ```typescript
         * this.dropdown.toggle();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        IgxDropDownComponent.prototype.toggle = /**
         * Toggles the dropdown
         *
         * ```typescript
         * this.dropdown.toggle();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        function (overlaySettings) {
            if (this.collapsed || this.toggleDirective.isClosing) {
                this.open(overlaySettings);
            }
            else {
                this.close();
            }
        };
        /**
         * Select an item by index
         * @param index of the item to select; If the drop down uses *igxFor, pass the index in data
         */
        /**
         * Select an item by index
         * @param {?} index of the item to select; If the drop down uses *igxFor, pass the index in data
         * @return {?}
         */
        IgxDropDownComponent.prototype.setSelectedItem = /**
         * Select an item by index
         * @param {?} index of the item to select; If the drop down uses *igxFor, pass the index in data
         * @return {?}
         */
        function (index) {
            if (index < 0 || index >= this.items.length) {
                return;
            }
            /** @type {?} */
            var newSelection;
            if (this.virtDir) {
                newSelection = (/** @type {?} */ ({
                    value: this.virtDir.igxForOf[index],
                    index: index
                }));
            }
            else {
                newSelection = this.items[index];
            }
            this.selectItem(newSelection);
        };
        /**
         * Navigates to the item on the specified index
         * If the data in the drop-down is virtualized, pass the index of the item in the virtualized data.
         * @param newIndex number
         */
        /**
         * Navigates to the item on the specified index
         * If the data in the drop-down is virtualized, pass the index of the item in the virtualized data.
         * @param {?} index
         * @return {?}
         */
        IgxDropDownComponent.prototype.navigateItem = /**
         * Navigates to the item on the specified index
         * If the data in the drop-down is virtualized, pass the index of the item in the virtualized data.
         * @param {?} index
         * @return {?}
         */
        function (index) {
            var _this = this;
            if (this.virtDir) {
                if (index === -1 || index >= this.collectionLength) {
                    return;
                }
                /** @type {?} */
                var direction_1 = index > (this.focusedItem ? this.focusedItem.index : -1) ? Navigate.Down : Navigate.Up;
                /** @type {?} */
                var subRequired = this.isIndexOutOfBounds(index, direction_1);
                this.focusedItem = (/** @type {?} */ ({
                    value: this.virtDir.igxForOf[index],
                    index: index
                }));
                if (subRequired) {
                    this.virtDir.scrollTo(index);
                }
                if (subRequired) {
                    this.virtDir.onChunkLoad.pipe(operators.take(1)).subscribe(function () {
                        _this.skipHeader(direction_1);
                    });
                }
                else {
                    this.skipHeader(direction_1);
                }
            }
            else {
                _super.prototype.navigateItem.call(this, index);
            }
            if (this.allowItemsFocus && this.focusedItem) {
                this.focusedItem.element.nativeElement.focus();
                this.cdr.markForCheck();
            }
        };
        /**
         * @private
         * @param {?} index
         * @param {?} direction
         * @return {?}
         */
        IgxDropDownComponent.prototype.isIndexOutOfBounds = /**
         * @private
         * @param {?} index
         * @param {?} direction
         * @return {?}
         */
        function (index, direction) {
            /** @type {?} */
            var virtState = this.virtDir.state;
            /** @type {?} */
            var currentPosition = this.virtDir.getScroll().scrollTop;
            /** @type {?} */
            var itemPosition = this.virtDir.getScrollForIndex(index, direction === Navigate.Down);
            /** @type {?} */
            var indexOutOfChunk = index < virtState.startIndex || index > virtState.chunkSize + virtState.startIndex;
            /** @type {?} */
            var scrollNeeded = direction === Navigate.Down ? currentPosition < itemPosition : currentPosition > itemPosition;
            /** @type {?} */
            var subRequired = indexOutOfChunk || scrollNeeded;
            return subRequired;
        };
        /**
         * @protected
         * @param {?} direction
         * @return {?}
         */
        IgxDropDownComponent.prototype.skipHeader = /**
         * @protected
         * @param {?} direction
         * @return {?}
         */
        function (direction) {
            if (!this.focusedItem) {
                return;
            }
            if (this.focusedItem.isHeader || this.focusedItem.disabled) {
                if (direction === Navigate.Up) {
                    this.navigatePrev();
                }
                else {
                    this.navigateNext();
                }
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.updateScrollPosition = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (!this.virtDir) {
                return;
            }
            if (!this.selectedItem) {
                this.virtDir.scrollTo(0);
                return;
            }
            /** @type {?} */
            var targetScroll = this.virtDir.getScrollForIndex(this.selectedItem.index);
            /** @type {?} */
            var itemsInView = this.virtDir.igxForContainerSize / this.virtDir.igxForItemSize;
            targetScroll -= (itemsInView / 2 - 1) * this.virtDir.igxForItemSize;
            this.virtDir.getScroll().scrollTop = targetScroll;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} e
         * @return {?}
         */
        IgxDropDownComponent.prototype.onToggleOpening = /**
         * @hidden \@internal
         * @param {?} e
         * @return {?}
         */
        function (e) {
            this.onOpening.emit(e);
            if (e.cancel) {
                return;
            }
            if (!this.virtDir && this.selectedItem) {
                this.scrollToItem(this.selectedItem);
            }
            if (this.virtDir) {
                this.virtDir.scrollPosition = this._scrollPosition;
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.onToggleOpened = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.selectedItem) {
                this.focusedItem = this.selectedItem;
                this._focusedItem.focused = true;
            }
            else if (this.allowItemsFocus) {
                this.navigateFirst();
            }
            this.onOpened.emit();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} e
         * @return {?}
         */
        IgxDropDownComponent.prototype.onToggleClosing = /**
         * @hidden \@internal
         * @param {?} e
         * @return {?}
         */
        function (e) {
            this.onClosing.emit(e);
            if (this.virtDir) {
                this._scrollPosition = this.virtDir.scrollPosition;
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.onToggleClosed = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this._focusedItem) {
                this._focusedItem.focused = false;
            }
            this.onClosed.emit();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.ngOnDestroy = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
            this.selection.clear(this.id);
            this.selection.clear(this.id + "-active");
        };
        /**
         * @protected
         * @param {?} item
         * @return {?}
         */
        IgxDropDownComponent.prototype.scrollToItem = /**
         * @protected
         * @param {?} item
         * @return {?}
         */
        function (item) {
            var _this = this;
            /** @type {?} */
            var itemPosition = this.calculateScrollPosition(item);
            //  in IE11 setting sctrollTop is somehow slow and forces dropdown
            //  to appear on screen before animation start. As a result dropdown
            //  flickers badly. This is why we set scrollTop just a little later
            //  allowing animation to start and prevent dropdown flickering
            if (isIE()) {
                setTimeout(function () {
                    _this.scrollContainer.scrollTop = (itemPosition);
                }, 1);
            }
            else {
                this.scrollContainer.scrollTop = (itemPosition);
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} item
         * @return {?}
         */
        IgxDropDownComponent.prototype.calculateScrollPosition = /**
         * @hidden \@internal
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (!item) {
                return 0;
            }
            /** @type {?} */
            var elementRect = item.element.nativeElement.getBoundingClientRect();
            /** @type {?} */
            var parentRect = this.scrollContainer.getBoundingClientRect();
            /** @type {?} */
            var scrollDelta = parentRect.top - elementRect.top;
            /** @type {?} */
            var scrollPosition = this.scrollContainer.scrollTop - scrollDelta;
            /** @type {?} */
            var dropDownHeight = this.scrollContainer.clientHeight;
            scrollPosition -= dropDownHeight / 2;
            scrollPosition += item.elementHeight / 2;
            return Math.floor(scrollPosition);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.ngOnInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.toggleDirective.id = this.id;
        };
        /**
         * @return {?}
         */
        IgxDropDownComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            if (this.virtDir) {
                this.virtDir.igxForItemSize = 28;
            }
        };
        /** Keydown Handler */
        /**
         * Keydown Handler
         * @param {?} key
         * @param {?=} event
         * @return {?}
         */
        IgxDropDownComponent.prototype.onItemActionKey = /**
         * Keydown Handler
         * @param {?} key
         * @param {?=} event
         * @return {?}
         */
        function (key, event) {
            _super.prototype.onItemActionKey.call(this, key, event);
            this.close();
        };
        /**
         * Virtual scroll implementation
         * @hidden @internal
         */
        /**
         * Virtual scroll implementation
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.navigateFirst = /**
         * Virtual scroll implementation
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.virtDir) {
                this.navigateItem(0);
            }
            else {
                _super.prototype.navigateFirst.call(this);
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.navigateLast = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.virtDir) {
                this.navigateItem(this.virtDir.totalItemCount ? this.virtDir.totalItemCount - 1 : this.virtDir.igxForOf.length - 1);
            }
            else {
                _super.prototype.navigateLast.call(this);
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.navigateNext = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.virtDir) {
                this.navigateItem(this._focusedItem ? this._focusedItem.index + 1 : 0);
            }
            else {
                _super.prototype.navigateNext.call(this);
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDropDownComponent.prototype.navigatePrev = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.virtDir) {
                this.navigateItem(this._focusedItem ? this._focusedItem.index - 1 : 0);
            }
            else {
                _super.prototype.navigatePrev.call(this);
            }
        };
        /**
         * Handles the `onSelection` emit and the drop down toggle when selection changes
         * @hidden
         * @internal
         * @param newSelection
         * @param event
         */
        /**
         * Handles the `onSelection` emit and the drop down toggle when selection changes
         * @hidden
         * \@internal
         * @param {?=} newSelection
         * @param {?=} event
         * @return {?}
         */
        IgxDropDownComponent.prototype.selectItem = /**
         * Handles the `onSelection` emit and the drop down toggle when selection changes
         * @hidden
         * \@internal
         * @param {?=} newSelection
         * @param {?=} event
         * @return {?}
         */
        function (newSelection, event) {
            /** @type {?} */
            var oldSelection = this.selectedItem;
            if (!newSelection) {
                newSelection = this.focusedItem;
            }
            if (newSelection === null) {
                return;
            }
            if (newSelection instanceof IgxDropDownItemBase && newSelection.isHeader) {
                return;
            }
            if (this.virtDir) {
                newSelection = (/** @type {?} */ ({
                    value: newSelection.value,
                    index: newSelection.index
                }));
            }
            /** @type {?} */
            var args = { oldSelection: oldSelection, newSelection: newSelection, cancel: false };
            this.onSelection.emit(args);
            if (!args.cancel) {
                if (this.isSelectionValid(args.newSelection)) {
                    this.selection.set(this.id, new Set([args.newSelection]));
                    if (!this.virtDir) {
                        if (oldSelection) {
                            oldSelection.selected = false;
                        }
                        if (args.newSelection) {
                            args.newSelection.selected = true;
                        }
                    }
                    if (event) {
                        this.toggleDirective.close();
                    }
                }
                else {
                    throw new Error('Please provide a valid drop-down item for the selection!');
                }
            }
        };
        /**
         * Checks whether the selection is valid
         * `null` - the selection should be emptied
         * Virtual? - the selection should at least have and `index` and `value` property
         * Non-virtual? - the selection should be a valid drop-down item and **not** be a header
         */
        /**
         * Checks whether the selection is valid
         * `null` - the selection should be emptied
         * Virtual? - the selection should at least have and `index` and `value` property
         * Non-virtual? - the selection should be a valid drop-down item and **not** be a header
         * @protected
         * @param {?} selection
         * @return {?}
         */
        IgxDropDownComponent.prototype.isSelectionValid = /**
         * Checks whether the selection is valid
         * `null` - the selection should be emptied
         * Virtual? - the selection should at least have and `index` and `value` property
         * Non-virtual? - the selection should be a valid drop-down item and **not** be a header
         * @protected
         * @param {?} selection
         * @return {?}
         */
        function (selection) {
            return selection === null
                || (this.virtDir && selection.hasOwnProperty('value') && selection.hasOwnProperty('index'))
                || (selection instanceof IgxDropDownItemComponent && !selection.isHeader);
        };
        IgxDropDownComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-drop-down',
                        template: "<div class=\"igx-drop-down__list\" igxToggle [style.width]=\"width\" [style.height]=\"height\"\n[style.maxHeight]=\"maxHeight\" [attr.id]=\"this.listId\" role=\"listbox\"\n    (onOpening)=\"onToggleOpening($event)\" (onOpened)=\"onToggleOpened()\"\n    (onClosing)=\"onToggleClosing($event)\" (onClosed)=\"onToggleClosed()\">\n    <ng-container *ngIf=\"!collapsed\">\n        <ng-content></ng-content>\n    </ng-container>\n</div>\n",
                        providers: [{ provide: IGX_DROPDOWN_BASE, useExisting: IgxDropDownComponent }]
                    }] }
        ];
        /** @nocollapse */
        IgxDropDownComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: IgxSelectionAPIService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxDropDownComponent.propDecorators = {
            virtDir: [{ type: core.ContentChild, args: [IgxForOfDirective, { read: IgxForOfDirective, static: false },] }],
            toggleDirective: [{ type: core.ViewChild, args: [IgxToggleDirective, { static: true },] }],
            children: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxDropDownItemComponent; }), { descendants: true },] }],
            onOpening: [{ type: core.Output }],
            onOpened: [{ type: core.Output }],
            onClosing: [{ type: core.Output }],
            onClosed: [{ type: core.Output }],
            allowItemsFocus: [{ type: core.Input }],
            id: [{ type: core.Input }]
        };
        return IgxDropDownComponent;
    }(IgxDropDownBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Navigation Directive that handles keyboard events on its host and controls a targeted IgxDropDownBase component
     */
    var IgxDropDownItemNavigationDirective = /** @class */ (function () {
        function IgxDropDownItemNavigationDirective(dropdown) {
            this.dropdown = dropdown;
            this._target = null;
        }
        Object.defineProperty(IgxDropDownItemNavigationDirective.prototype, "target", {
            /**
             * Gets the target of the navigation directive;
             *
             * ```typescript
             * // Get
             * export class MyComponent {
             *  ...
             *  @ContentChild(IgxDropDownNavigationDirective)
             *  navDirective: IgxDropDownNavigationDirective = null
             *  ...
             *  const navTarget: IgxDropDownBase = navDirective.navTarget
             * }
             * ```
             */
            get: /**
             * Gets the target of the navigation directive;
             *
             * ```typescript
             * // Get
             * export class MyComponent {
             *  ...
             * \@ContentChild(IgxDropDownNavigationDirective)
             *  navDirective: IgxDropDownNavigationDirective = null
             *  ...
             *  const navTarget: IgxDropDownBase = navDirective.navTarget
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._target;
            },
            /**
             * Sets the target of the navigation directive;
             * If no valid target is passed, it falls back to the drop down context
             *
             * ```html
             * <!-- Set -->
             * <input [igxDropDownItemNavigation]="dropdown" />
             * ...
             * <igx-drop-down #dropdown>
             * ...
             * </igx-drop-down>
             * ```
             */
            set: /**
             * Sets the target of the navigation directive;
             * If no valid target is passed, it falls back to the drop down context
             *
             * ```html
             * <!-- Set -->
             * <input [igxDropDownItemNavigation]="dropdown" />
             * ...
             * <igx-drop-down #dropdown>
             * ...
             * </igx-drop-down>
             * ```
             * @param {?} target
             * @return {?}
             */
            function (target) {
                this._target = target ? target : this.dropdown;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Captures keydown events and calls the appropriate handlers on the target component
         */
        /**
         * Captures keydown events and calls the appropriate handlers on the target component
         * @param {?} event
         * @return {?}
         */
        IgxDropDownItemNavigationDirective.prototype.handleKeyDown = /**
         * Captures keydown events and calls the appropriate handlers on the target component
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event) {
                /** @type {?} */
                var key = event.key.toLowerCase();
                if (!this.target.collapsed) { // If dropdown is opened
                    // If dropdown is opened
                    /** @type {?} */
                    var navKeys = ['esc', 'escape', 'enter', 'space', 'spacebar', ' ',
                        'arrowup', 'up', 'arrowdown', 'down', 'home', 'end'];
                    if (navKeys.indexOf(key) === -1) { // If key has appropriate function in DD
                        return;
                    }
                    event.preventDefault();
                    event.stopPropagation();
                }
                else { // If dropdown is closed, do nothing
                    return;
                }
                switch (key) {
                    case 'esc':
                    case 'escape':
                        this.target.onItemActionKey(DropDownActionKey.ESCAPE, event);
                        break;
                    case 'enter':
                        this.target.onItemActionKey(DropDownActionKey.ENTER, event);
                        break;
                    case 'space':
                    case 'spacebar':
                    case ' ':
                        this.target.onItemActionKey(DropDownActionKey.SPACE, event);
                        break;
                    case 'arrowup':
                    case 'up':
                        this.onArrowUpKeyDown();
                        break;
                    case 'arrowdown':
                    case 'down':
                        this.onArrowDownKeyDown();
                        break;
                    case 'home':
                        this.onHomeKeyDown();
                        break;
                    case 'end':
                        this.onEndKeyDown();
                        break;
                    default:
                        return;
                }
            }
        };
        /**
         * Navigates to previous item
         */
        /**
         * Navigates to previous item
         * @return {?}
         */
        IgxDropDownItemNavigationDirective.prototype.onArrowDownKeyDown = /**
         * Navigates to previous item
         * @return {?}
         */
        function () {
            this.target.navigateNext();
        };
        /**
         * Navigates to previous item
         */
        /**
         * Navigates to previous item
         * @return {?}
         */
        IgxDropDownItemNavigationDirective.prototype.onArrowUpKeyDown = /**
         * Navigates to previous item
         * @return {?}
         */
        function () {
            this.target.navigatePrev();
        };
        /**
         * Navigates to target's last item
         */
        /**
         * Navigates to target's last item
         * @return {?}
         */
        IgxDropDownItemNavigationDirective.prototype.onEndKeyDown = /**
         * Navigates to target's last item
         * @return {?}
         */
        function () {
            this.target.navigateLast();
        };
        /**
         * Navigates to target's first item
         */
        /**
         * Navigates to target's first item
         * @return {?}
         */
        IgxDropDownItemNavigationDirective.prototype.onHomeKeyDown = /**
         * Navigates to target's first item
         * @return {?}
         */
        function () {
            this.target.navigateFirst();
        };
        IgxDropDownItemNavigationDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDropDownItemNavigation]'
                    },] }
        ];
        /** @nocollapse */
        IgxDropDownItemNavigationDirective.ctorParameters = function () { return [
            { type: IgxDropDownBase, decorators: [{ type: core.Self }, { type: core.Optional }, { type: core.Inject, args: [IGX_DROPDOWN_BASE,] }] }
        ]; };
        IgxDropDownItemNavigationDirective.propDecorators = {
            target: [{ type: core.Input, args: ['igxDropDownItemNavigation',] }],
            handleKeyDown: [{ type: core.HostListener, args: ['keydown', ['$event'],] }]
        };
        return IgxDropDownItemNavigationDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxDropDownModule = /** @class */ (function () {
        function IgxDropDownModule() {
        }
        IgxDropDownModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxDropDownComponent, IgxDropDownItemComponent, IgxDropDownGroupComponent,
                            IgxDropDownItemNavigationDirective],
                        exports: [IgxDropDownComponent, IgxDropDownItemComponent, IgxDropDownGroupComponent,
                            IgxDropDownItemNavigationDirective],
                        imports: [common.CommonModule, IgxToggleModule],
                        providers: [IgxSelectionAPIService]
                    },] }
        ];
        return IgxDropDownModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var IgxHintPosition = {
        START: 0,
        END: 1,
    };
    IgxHintPosition[IgxHintPosition.START] = 'START';
    IgxHintPosition[IgxHintPosition.END] = 'END';
    var IgxHintDirective = /** @class */ (function () {
        function IgxHintDirective(_element) {
            this._element = _element;
            this._position = IgxHintPosition.START;
            /**
             * Sets/gets whether the hint position is at the start.
             * Default value is `false`.
             * ```typescript
             * \@ViewChild('hint', {read: IgxHintDirective})
             * public igxHint: IgxHintDirective;
             * this.igxHint.isPositionStart = true;
             * ```
             * ```typescript
             * let isHintPositionStart = this.igxHint.isPositionStart;
             * ```
             * \@memberof IgxHintDirective
             */
            this.isPositionStart = false;
            /**
             * Sets/gets whether the hint position is at the end.
             * Default value is `false`.
             * ```typescript
             * \@ViewChild('hint', {read: IgxHintDirective})
             * public igxHint: IgxHintDirective;
             * this.igxHint.isPositionEnd = true;
             * ```
             * ```typescript
             * let isHintPositionEnd = this.igxHint.isPositionEnd;
             * ```
             * \@memberof IgxHintDirective
             */
            this.isPositionEnd = false;
        }
        Object.defineProperty(IgxHintDirective.prototype, "position", {
            /**
             * Gets the position of the hint.
             * ```typescript
             * @ViewChild('hint', {read: IgxHintDirective})
             * public igxHint: IgxHintDirective;
             * let hintPosition =  this.igxHint.position;
             * ```
             * @memberof IgxHintDirective
             */
            get: /**
             * Gets the position of the hint.
             * ```typescript
             * \@ViewChild('hint', {read: IgxHintDirective})
             * public igxHint: IgxHintDirective;
             * let hintPosition =  this.igxHint.position;
             * ```
             * \@memberof IgxHintDirective
             * @return {?}
             */
            function () {
                return this._position.toString();
            },
            /**
             * Sets the position of the hint.
             * ```html
             * <igx-input-group>
             *  <input igxInput type="text"/>
             *  <igx-hint #hint [position]="'start'">IgxHint displayed at the start</igx-hint>
             * </igx-input-group>
             * ```
             * @memberof IgxHintDirective
             */
            set: /**
             * Sets the position of the hint.
             * ```html
             * <igx-input-group>
             *  <input igxInput type="text"/>
             *  <igx-hint #hint [position]="'start'">IgxHint displayed at the start</igx-hint>
             * </igx-input-group>
             * ```
             * \@memberof IgxHintDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                /** @type {?} */
                var position = ((/** @type {?} */ (IgxHintPosition)))[value.toUpperCase()];
                if (position !== undefined) {
                    this._position = position;
                    this._applyPosition(this._position);
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxHintDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._applyPosition(this._position);
        };
        /**
         * @private
         * @param {?} position
         * @return {?}
         */
        IgxHintDirective.prototype._applyPosition = /**
         * @private
         * @param {?} position
         * @return {?}
         */
        function (position) {
            this.isPositionStart = this.isPositionEnd = false;
            switch (position) {
                case IgxHintPosition.START:
                    this.isPositionStart = true;
                    break;
                case IgxHintPosition.END:
                    this.isPositionEnd = true;
                    break;
                default: break;
            }
        };
        IgxHintDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: 'igx-hint,[igxHint]'
                    },] }
        ];
        /** @nocollapse */
        IgxHintDirective.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxHintDirective.propDecorators = {
            isPositionStart: [{ type: core.HostBinding, args: ['class.igx-input-group__hint-item--start',] }],
            isPositionEnd: [{ type: core.HostBinding, args: ['class.igx-input-group__hint-item--end',] }],
            position: [{ type: core.Input, args: ['position',] }]
        };
        return IgxHintDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @abstract
     */
    var   /**
     * @hidden
     * @abstract
     */
    IgxInputGroupBase = /** @class */ (function () {
        function IgxInputGroupBase() {
        }
        return IgxInputGroupBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var nativeValidationAttributes = ['required', 'pattern', 'minlength', 'maxlength', 'min', 'max', 'step'];
    /** @enum {number} */
    var IgxInputState = {
        INITIAL: 0,
        VALID: 1,
        INVALID: 2,
    };
    IgxInputState[IgxInputState.INITIAL] = 'INITIAL';
    IgxInputState[IgxInputState.VALID] = 'VALID';
    IgxInputState[IgxInputState.INVALID] = 'INVALID';
    var IgxInputDirective = /** @class */ (function () {
        function IgxInputDirective(inputGroup, ngModel, formControl, element, cdr) {
            this.inputGroup = inputGroup;
            this.ngModel = ngModel;
            this.formControl = formControl;
            this.element = element;
            this.cdr = cdr;
            this._valid = IgxInputState.INITIAL;
            /**
             * Sets/gets whether the `"igx-input-group__input"` class is added to the host element.
             * Default value is `false`.
             * ```typescript
             * this.igxInput.isInput = true;
             * ```
             * ```typescript
             * let isCLassAdded = this.igxInput.isInput;
             * ```
             * \@memberof IgxInputDirective
             */
            this.isInput = false;
            /**
             * Sets/gets whether the `"class.igx-input-group__textarea"` class is added to the host element.
             * Default value is `false`.
             * ```typescript
             * this.igxInput.isTextArea = true;
             * ```
             * ```typescript
             * let isCLassAdded = this.igxInput.isTextArea;
             * ```
             * \@memberof IgxInputDirective
             */
            this.isTextArea = false;
        }
        Object.defineProperty(IgxInputDirective.prototype, "ngControl", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.ngModel ? this.ngModel : this.formControl;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputDirective.prototype, "value", {
            /**
             * Gets the `value` propery.
             * ```typescript
             * @ViewChild('igxInput', {read: IgxInputDirective})
             *  public igxInput: IgxInputDirective;
             * let inputValue = this.igxInput.value;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets the `value` propery.
             * ```typescript
             * \@ViewChild('igxInput', {read: IgxInputDirective})
             *  public igxInput: IgxInputDirective;
             * let inputValue = this.igxInput.value;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.nativeElement.value;
            },
            /**
             * Sets the `value` property.
             * ```html
             * <input-group>
             *  <input igxInput #igxInput [value]="'IgxInput Value'">
             * </input-group>
             * ```
             * @memberof IgxInputDirective
             */
            set: /**
             * Sets the `value` property.
             * ```html
             * <input-group>
             *  <input igxInput #igxInput [value]="'IgxInput Value'">
             * </input-group>
             * ```
             * \@memberof IgxInputDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.nativeElement.value = value;
                this.checkValidity();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputDirective.prototype, "disabled", {
            /**
             * Gets the `disabled` property
             * ```typescript
             * @ViewChild('igxInput', {read: IgxInputDirective})
             *  public igxInput: IgxInputDirective;
             * let isDisabled = this.igxInput.disabled;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets the `disabled` property
             * ```typescript
             * \@ViewChild('igxInput', {read: IgxInputDirective})
             *  public igxInput: IgxInputDirective;
             * let isDisabled = this.igxInput.disabled;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.nativeElement.hasAttribute('disabled');
            },
            /**
             * Sets the `disabled` property.
             * ```html
             * <input-group>
             *  <input igxInput #igxInput [disabled]="true">
             * </input-group>
             * ```
             * @memberof IgxInputDirective
             */
            set: /**
             * Sets the `disabled` property.
             * ```html
             * <input-group>
             *  <input igxInput #igxInput [disabled]="true">
             * </input-group>
             * ```
             * \@memberof IgxInputDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.nativeElement.disabled = value;
                this.inputGroup.disabled = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputDirective.prototype, "required", {
            /**
             * Gets whether the igxInput is required.
             * ```typescript
             * let isRequired = this.igxInput.required;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets whether the igxInput is required.
             * ```typescript
             * let isRequired = this.igxInput.required;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.nativeElement.hasAttribute('required');
            },
            /**
             * Sets the `required` property.
             * ```html
             * <input-group>
             *  <input igxInput #igxInput [required]="true">
             * </input-group>
             * ```
             * @memberof IgxInputDirective
             */
            set: /**
             * Sets the `required` property.
             * ```html
             * <input-group>
             *  <input igxInput #igxInput [required]="true">
             * </input-group>
             * ```
             * \@memberof IgxInputDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (typeof value === 'boolean') {
                    this.nativeElement.required = this.inputGroup.isRequired = value;
                    if (value && !this.nativeElement.checkValidity()) {
                        this._valid = IgxInputState.INVALID;
                    }
                    else {
                        this._valid = IgxInputState.INITIAL;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxInputDirective.prototype.onFocus = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.inputGroup.isFocused = true;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxInputDirective.prototype.onBlur = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.inputGroup.isFocused = false;
            this._valid = IgxInputState.INITIAL;
            if (this.ngControl) {
                if (!this.ngControl.valid) {
                    this._valid = IgxInputState.INVALID;
                }
            }
            else if (this._hasValidators() && !this.nativeElement.checkValidity()) {
                this._valid = IgxInputState.INVALID;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxInputDirective.prototype.onInput = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.checkValidity();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxInputDirective.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.inputGroup.hasPlaceholder = this.nativeElement.hasAttribute('placeholder');
            this.inputGroup.disabled = this.inputGroup.disabled || this.nativeElement.hasAttribute('disabled');
            this.inputGroup.isRequired = this.nativeElement.hasAttribute('required');
            // Make sure we do not invalidate the input on init
            if (!this.ngControl) {
                this._valid = IgxInputState.INITIAL;
            }
            // Also check the control's validators for required
            if (!this.inputGroup.isRequired && this.ngControl && this.ngControl.control.validator) {
                /** @type {?} */
                var validation = this.ngControl.control.validator((/** @type {?} */ ({})));
                this.inputGroup.isRequired = validation && validation.required;
            }
            /** @type {?} */
            var elTag = this.nativeElement.tagName.toLowerCase();
            if (elTag === 'textarea') {
                this.isTextArea = true;
            }
            else {
                this.isInput = true;
            }
            if (this.ngControl) {
                this._statusChanges$ = this.ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
            }
            this.cdr.detectChanges();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxInputDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this._statusChanges$) {
                this._statusChanges$.unsubscribe();
            }
        };
        /**
         * Sets a focus on the igxInput.
         * ```typescript
         * this.igxInput.focus();
         * ```
         * @memberof IgxInputDirective
         */
        /**
         * Sets a focus on the igxInput.
         * ```typescript
         * this.igxInput.focus();
         * ```
         * \@memberof IgxInputDirective
         * @return {?}
         */
        IgxInputDirective.prototype.focus = /**
         * Sets a focus on the igxInput.
         * ```typescript
         * this.igxInput.focus();
         * ```
         * \@memberof IgxInputDirective
         * @return {?}
         */
        function () {
            this.nativeElement.focus();
        };
        Object.defineProperty(IgxInputDirective.prototype, "nativeElement", {
            /**
             * Gets the `nativeElement` of the igxInput.
             * ```typescript
             * let igxInputNativeElement = this.igxInput.nativeElement;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets the `nativeElement` of the igxInput.
             * ```typescript
             * let igxInputNativeElement = this.igxInput.nativeElement;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxInputDirective.prototype.onStatusChanged = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            if (this.ngControl.control.validator || this.ngControl.control.asyncValidator) {
                if (this.ngControl.control.touched || this.ngControl.control.dirty) {
                    //  TODO: check the logic when control is touched or dirty
                    if (this.inputGroup.isFocused) {
                        // the user is still typing in the control
                        this._valid = this.ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
                    }
                    else {
                        // the user had touched the control previously but now the value is changing due to changes in the form
                        this._valid = this.ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
                    }
                }
                else {
                    //  if control is untouched and pristine its state is initial. This is when user did not interact
                    //  with the input or when form/control is reset
                    this._valid = IgxInputState.INITIAL;
                }
            }
        };
        Object.defineProperty(IgxInputDirective.prototype, "hasPlaceholder", {
            /**
             * Gets whether the igxInput has a placeholder.
             * ```typescript
             * let hasPlaceholder = this.igxInput.hasPlaceholder;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets whether the igxInput has a placeholder.
             * ```typescript
             * let hasPlaceholder = this.igxInput.hasPlaceholder;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.nativeElement.hasAttribute('placeholder');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputDirective.prototype, "placeholder", {
            /**
             * Gets the placeholder element of the igxInput.
             * ```typescript
             * let igxInputPlaceholder = this.igxInput.placeholder;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets the placeholder element of the igxInput.
             * ```typescript
             * let igxInputPlaceholder = this.igxInput.placeholder;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.nativeElement.placeholder;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @return {?}
         */
        IgxInputDirective.prototype._hasValidators = /**
         * @private
         * @return {?}
         */
        function () {
            var e_1, _a;
            try {
                for (var nativeValidationAttributes_1 = __values(nativeValidationAttributes), nativeValidationAttributes_1_1 = nativeValidationAttributes_1.next(); !nativeValidationAttributes_1_1.done; nativeValidationAttributes_1_1 = nativeValidationAttributes_1.next()) {
                    var nativeValidationAttribute = nativeValidationAttributes_1_1.value;
                    if (this.nativeElement.hasAttribute(nativeValidationAttribute)) {
                        return true;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (nativeValidationAttributes_1_1 && !nativeValidationAttributes_1_1.done && (_a = nativeValidationAttributes_1.return)) _a.call(nativeValidationAttributes_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return !!this.ngControl && (!!this.ngControl.control.validator || !!this.ngControl.control.asyncValidator);
        };
        Object.defineProperty(IgxInputDirective.prototype, "focused", {
            /**
             * Gets whether the igxInput is focused.
             * ```typescript
             * let isFocused = this.igxInput.focused;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets whether the igxInput is focused.
             * ```typescript
             * let isFocused = this.igxInput.focused;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.inputGroup.isFocused;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputDirective.prototype, "valid", {
            /**
             * Gets the state of the igxInput.
             * ```typescript
             * let igxInputState = this.igxInput.valid;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets the state of the igxInput.
             * ```typescript
             * let igxInputState = this.igxInput.valid;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this._valid;
            },
            /**
             * Sets the state of the igxInput.
             * ```typescript
             * this.igxInput.valid = IgxInputState.INVALID;
             * ```
             * @memberof IgxInputDirective
             */
            set: /**
             * Sets the state of the igxInput.
             * ```typescript
             * this.igxInput.valid = IgxInputState.INVALID;
             * ```
             * \@memberof IgxInputDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._valid = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputDirective.prototype, "isValid", {
            /**
             * Gets whether the igxInput is valid.
             * ```typescript
             * let valid = this.igxInput.isValid;
             * ```
             * @memberof IgxInputDirective
             */
            get: /**
             * Gets whether the igxInput is valid.
             * ```typescript
             * let valid = this.igxInput.isValid;
             * ```
             * \@memberof IgxInputDirective
             * @return {?}
             */
            function () {
                return this.valid !== IgxInputState.INVALID;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @return {?}
         */
        IgxInputDirective.prototype.checkValidity = /**
         * @private
         * @return {?}
         */
        function () {
            if (!this.ngControl && this._hasValidators()) {
                this._valid = this.nativeElement.checkValidity() ? IgxInputState.VALID : IgxInputState.INVALID;
            }
        };
        IgxInputDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxInput]',
                        exportAs: 'igxInput'
                    },] }
        ];
        /** @nocollapse */
        IgxInputDirective.ctorParameters = function () { return [
            { type: IgxInputGroupBase },
            { type: forms.NgModel, decorators: [{ type: core.Optional }, { type: core.Self }, { type: core.Inject, args: [forms.NgModel,] }] },
            { type: forms.FormControlName, decorators: [{ type: core.Optional }, { type: core.Self }, { type: core.Inject, args: [forms.FormControlName,] }] },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxInputDirective.propDecorators = {
            value: [{ type: core.Input, args: ['value',] }],
            disabled: [{ type: core.Input }],
            required: [{ type: core.Input }],
            isInput: [{ type: core.HostBinding, args: ['class.igx-input-group__input',] }],
            isTextArea: [{ type: core.HostBinding, args: ['class.igx-input-group__textarea',] }],
            onFocus: [{ type: core.HostListener, args: ['focus', ['$event'],] }],
            onBlur: [{ type: core.HostListener, args: ['blur', ['$event'],] }],
            onInput: [{ type: core.HostListener, args: ['input',] }]
        };
        return IgxInputDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$3 = 0;
    var IgxLabelDirective = /** @class */ (function () {
        function IgxLabelDirective() {
            this.defaultClass = true;
            /**
             * @hidden
             */
            this.id = "igx-label-" + NEXT_ID$3++;
        }
        IgxLabelDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxLabel]'
                    },] }
        ];
        IgxLabelDirective.propDecorators = {
            defaultClass: [{ type: core.HostBinding, args: ['class.igx-input-group__label',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }]
        };
        return IgxLabelDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxPrefixDirective = /** @class */ (function () {
        function IgxPrefixDirective() {
        }
        IgxPrefixDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: 'igx-prefix,[igxPrefix]'
                    },] }
        ];
        return IgxPrefixDirective;
    }());
    /**
     * @hidden
     */
    var IgxPrefixModule = /** @class */ (function () {
        function IgxPrefixModule() {
        }
        IgxPrefixModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxPrefixDirective],
                        exports: [IgxPrefixDirective]
                    },] }
        ];
        return IgxPrefixModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxSuffixDirective = /** @class */ (function () {
        function IgxSuffixDirective() {
        }
        IgxSuffixDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: 'igx-suffix,[igxSuffix]'
                    },] }
        ];
        return IgxSuffixDirective;
    }());
    /**
     * @hidden
     */
    var IgxSuffixModule = /** @class */ (function () {
        function IgxSuffixModule() {
        }
        IgxSuffixModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxSuffixDirective],
                        exports: [IgxSuffixDirective]
                    },] }
        ];
        return IgxSuffixModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$4 = 0;
    /** @enum {number} */
    var IgxInputGroupType = {
        LINE: 0,
        BOX: 1,
        BORDER: 2,
        FLUENT: 3,
        SEARCH: 4,
        FLUENT_SEARCH: 5,
    };
    IgxInputGroupType[IgxInputGroupType.LINE] = 'LINE';
    IgxInputGroupType[IgxInputGroupType.BOX] = 'BOX';
    IgxInputGroupType[IgxInputGroupType.BORDER] = 'BORDER';
    IgxInputGroupType[IgxInputGroupType.FLUENT] = 'FLUENT';
    IgxInputGroupType[IgxInputGroupType.SEARCH] = 'SEARCH';
    IgxInputGroupType[IgxInputGroupType.FLUENT_SEARCH] = 'FLUENT_SEARCH';
    var IgxInputGroupComponent = /** @class */ (function (_super) {
        __extends(IgxInputGroupComponent, _super);
        function IgxInputGroupComponent(_element, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this._element = _element;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._type = IgxInputGroupType.LINE;
            _this._filled = false;
            _this._supressInputAutofocus = false;
            /**
             * An \@Input property that sets the value of `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-input-group [id]="'igx-input-group-55'"></igx-input-group>
             * ```
             */
            _this.id = "igx-input-group-" + NEXT_ID$4++;
            /**
             * Property that enables/disables the autogenerated class of the `IgxInputGroupComponent`.
             * By default applied the class is applied.
             * ```typescript
             * \@ViewChild("MyInputGroup")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             * this.inputGroup.defaultClass = false;
             * ```
             * }
             */
            _this.defaultClass = true;
            /**
             * @hidden
             */
            _this.hasPlaceholder = false;
            /**
             * @hidden
             */
            _this.isRequired = false;
            /**
             * @hidden
             */
            _this.isFocused = false;
            /**
             * @hidden
             */
            _this.isBox = false;
            /**
             * @hidden
             */
            _this.isBorder = false;
            /**
             * @hidden
             */
            _this.isSearch = false;
            /**
             * @hidden
             */
            _this.isFluentSearch = false;
            /**
             * @hidden
             */
            _this.isFluent = false;
            /**
             * An \@Input property that disables the `IgxInputGroupComponent`.
             * ```html
             * <igx-input-group [disabled]="'true'"></igx-input-group>
             * ```
             */
            _this.disabled = false;
            /**
             * @hidden
             */
            _this.hasWarning = false;
            _this.element = _element;
            return _this;
        }
        Object.defineProperty(IgxInputGroupComponent.prototype, "validClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.input.valid === IgxInputState.VALID;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "invalidClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.input.valid === IgxInputState.INVALID;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxInputGroupComponent.prototype.onClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this._supressInputAutofocus) {
                this.input.focus();
            }
        };
        Object.defineProperty(IgxInputGroupComponent.prototype, "type", {
            /**
             * Returns the type of the `IgxInputGroupComponent`. How the input is styled.
             * Values are `line` - 0, `box` - 1, `border` - 2,  `fluent` - 3 `fluentSearch` - 4 and `search` - 5. The default is `line`.
             * ```typescript
             *@ViewChild("MyInputGroup")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let inputType = this.inputGroup.type;
             *}
             * ```
             */
            get: /**
             * Returns the type of the `IgxInputGroupComponent`. How the input is styled.
             * Values are `line` - 0, `box` - 1, `border` - 2,  `fluent` - 3 `fluentSearch` - 4 and `search` - 5. The default is `line`.
             * ```typescript
             * \@ViewChild("MyInputGroup")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let inputType = this.inputGroup.type;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type.toString();
            },
            /**
             * An @Input property that sets how the input will be styled.
             * The allowed values are `line`, `box`, `border`, `fluent`, `search` and `fluentSearch`. The default is `line`.
             * ```html
             *<igx-input-group [type]="'search'">
             * ```
             */
            set: /**
             * An \@Input property that sets how the input will be styled.
             * The allowed values are `line`, `box`, `border`, `fluent`, `search` and `fluentSearch`. The default is `line`.
             * ```html
             * <igx-input-group [type]="'search'">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                /** @type {?} */
                var type = ((/** @type {?} */ (IgxInputGroupType)))[value.toUpperCase()];
                if (type !== undefined) {
                    this.isBox = this.isFluent = this.isFluentSearch = this.isBorder = this.isSearch = false;
                    switch (type) {
                        case IgxInputGroupType.BOX:
                            this.isBox = true;
                            break;
                        case IgxInputGroupType.BORDER:
                            this.isBorder = true;
                            break;
                        case IgxInputGroupType.FLUENT:
                            this.isFluent = true;
                            break;
                        case IgxInputGroupType.FLUENT_SEARCH:
                            this.isFluentSearch = true;
                            break;
                        case IgxInputGroupType.SEARCH:
                            this.isSearch = true;
                            break;
                        default: break;
                    }
                    this._type = type;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "supressInputAutofocus", {
            /**
             * Returns whether the input element of the input group will be automatically focused on click.
             * ```typescript
             * let supressInputAutofocus = this.inputGroup.supressInputAutofocus;
             * ```
             */
            get: /**
             * Returns whether the input element of the input group will be automatically focused on click.
             * ```typescript
             * let supressInputAutofocus = this.inputGroup.supressInputAutofocus;
             * ```
             * @return {?}
             */
            function () {
                return this._supressInputAutofocus;
            },
            /**
             * Sets whether the input element of the input group will be automatically focused on click.
             * ```html
             * <igx-input-group [supressInputAutofocus]="true"></igx-input-group>
             * ```
             */
            set: /**
             * Sets whether the input element of the input group will be automatically focused on click.
             * ```html
             * <igx-input-group [supressInputAutofocus]="true"></igx-input-group>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._supressInputAutofocus = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isFilled", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._filled || (this.input && this.input.value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isDisplayDensityCosy", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.displayDensity === DisplayDensity.cosy;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isDisplayDensityComfortable", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.displayDensity === DisplayDensity.comfortable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isDisplayDensityCompact", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.displayDensity === DisplayDensity.compact;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "hasHints", {
            /**
             * Returns whether the `IgxInputGroupComponent` has hints.
             * ```typescript
             *@ViewChild("MyInputGroup")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let inputHints = this.inputGroup.hasHints;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` has hints.
             * ```typescript
             * \@ViewChild("MyInputGroup")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let inputHints = this.inputGroup.hasHints;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.hints.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "hasBorder", {
            /**
             * Returns whether the `IgxInputGroupComponent` has border.
             * ```typescript
             *@ViewChild("MyInputGroup")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let inputBroder = this.inputGroup.hasBorder;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` has border.
             * ```typescript
             * \@ViewChild("MyInputGroup")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let inputBroder = this.inputGroup.hasBorder;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.LINE ||
                    this._type === IgxInputGroupType.BOX;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isTypeLine", {
            /**
             * Returns whether the `IgxInputGroupComponent` type is line.
             * ```typescript
             *@ViewChild("MyInputGroup1")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let isTypeLine = this.inputGroup.isTypeLine;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` type is line.
             * ```typescript
             * \@ViewChild("MyInputGroup1")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let isTypeLine = this.inputGroup.isTypeLine;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.LINE;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isTypeBox", {
            /**
             * Returns whether the `IgxInputGroupComponent` type is box.
             * ```typescript
             *@ViewChild("MyInputGroup1")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let isTypeBox = this.inputGroup.isTypeBox;
             *}
             *```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` type is box.
             * ```typescript
             * \@ViewChild("MyInputGroup1")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let isTypeBox = this.inputGroup.isTypeBox;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.BOX;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isTypeBorder", {
            /**
             * Returns whether the `IgxInputGroupComponent` type is border.
             * ```typescript
             *@ViewChild("MyInputGroup1")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let isTypeBorder = this.inputGroup.isTypeBorder;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` type is border.
             * ```typescript
             * \@ViewChild("MyInputGroup1")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let isTypeBorder = this.inputGroup.isTypeBorder;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.BORDER;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isTypeFluent", {
            /**
             * Returns whether the `IgxInputGroupComponent` type is Fluent.
             * ```typescript
             *@ViewChild("MyInputGroup1")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let isTypeFluent = this.inputGroup.isTypeFluent;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` type is Fluent.
             * ```typescript
             * \@ViewChild("MyInputGroup1")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let isTypeFluent = this.inputGroup.isTypeFluent;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.FLUENT;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isTypeSearch", {
            /**
             * Returns whether the `IgxInputGroupComponent` type is search.
             * ```typescript
             *@ViewChild("MyInputGroup1")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let isTypeSearch = this.inputGroup.isTypeSearch;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` type is search.
             * ```typescript
             * \@ViewChild("MyInputGroup1")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let isTypeSearch = this.inputGroup.isTypeSearch;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.SEARCH;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "isTypeFluentSearch", {
            /**
             * Returns whether the `IgxInputGroupComponent` type is fluentSearch.
             * ```typescript
             *@ViewChild("MyInputGroup1")
             *public inputGroup: IgxInputGroupComponent;
             *ngAfterViewInit(){
             *    let isTypeFluentSearch = this.inputGroup.isTypeFluentSearch;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxInputGroupComponent` type is fluentSearch.
             * ```typescript
             * \@ViewChild("MyInputGroup1")
             * public inputGroup: IgxInputGroupComponent;
             * ngAfterViewInit(){
             *    let isTypeFluentSearch = this.inputGroup.isTypeFluentSearch;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._type === IgxInputGroupType.FLUENT_SEARCH;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxInputGroupComponent.prototype, "filled", {
            get: /**
             * @return {?}
             */
            function () {
                return this._filled;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._filled = val;
            },
            enumerable: true,
            configurable: true
        });
        IgxInputGroupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-input-group',
                        template: "<div class=\"igx-input-group__wrapper\" *ngIf=\"isTypeBox; else bundle\">\n    <ng-container *ngTemplateOutlet=\"bundle\"></ng-container>\n</div>\n\n<div class=\"igx-input-group__hint\">\n    <ng-content select=\"igx-hint,[igxHint]\"></ng-content>\n</div>\n\n<ng-template #material>\n    <ng-content select=\"[igxLabel]\"></ng-content>\n</ng-template>\n\n<ng-template #bundle>\n\n<!--    <ng-content *ngIf=\"isTypeFluent\" select=\"[igxLabel]\"></ng-content>-->\n    <ng-container *ngIf=\"isTypeFluent\">\n        <ng-container *ngTemplateOutlet=\"material\"></ng-container>\n    </ng-container>\n\n    <div class=\"igx-input-group__bundle\">\n        <ng-content select=\"igx-prefix,[igxPrefix]\"></ng-content>\n        <div class=\"igx-input-group__bundle-main\">\n\n                <ng-container *ngIf=\"!isTypeFluent\">\n                    <ng-container *ngTemplateOutlet=\"material\"></ng-container>\n                </ng-container>\n<!--            <ng-content *ngIf=\"!isTypeFluent\" select=\"[igxLabel]\"></ng-content>-->\n\n            <ng-content select=\"[igxInput]\"></ng-content>\n        </div>\n        <ng-content select=\"igx-suffix,[igxSuffix]\"></ng-content>\n    </div>\n    <div class=\"igx-input-group__border\" *ngIf=\"hasBorder\"></div>\n</ng-template>\n",
                        providers: [{ provide: IgxInputGroupBase, useExisting: IgxInputGroupComponent }]
                    }] }
        ];
        /** @nocollapse */
        IgxInputGroupComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxInputGroupComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            defaultClass: [{ type: core.HostBinding, args: ['class.igx-input-group',] }],
            hasPlaceholder: [{ type: core.HostBinding, args: ['class.igx-input-group--placeholder',] }],
            isRequired: [{ type: core.HostBinding, args: ['class.igx-input-group--required',] }],
            isFocused: [{ type: core.HostBinding, args: ['class.igx-input-group--focused',] }],
            isBox: [{ type: core.HostBinding, args: ['class.igx-input-group--box',] }],
            isBorder: [{ type: core.HostBinding, args: ['class.igx-input-group--border',] }],
            isSearch: [{ type: core.HostBinding, args: ['class.igx-input-group--search',] }],
            isFluentSearch: [{ type: core.HostBinding, args: ['class.igx-input-group--fluent-search',] }],
            isFluent: [{ type: core.HostBinding, args: ['class.igx-input-group--fluent',] }],
            disabled: [{ type: core.HostBinding, args: ['class.igx-input-group--disabled',] }, { type: core.Input }],
            validClass: [{ type: core.HostBinding, args: ['class.igx-input-group--valid',] }],
            invalidClass: [{ type: core.HostBinding, args: ['class.igx-input-group--invalid',] }],
            hasWarning: [{ type: core.HostBinding, args: ['class.igx-input-group--warning',] }],
            hints: [{ type: core.ContentChildren, args: [IgxHintDirective, { read: IgxHintDirective },] }],
            input: [{ type: core.ContentChild, args: [IgxInputDirective, { read: IgxInputDirective, static: true },] }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }],
            type: [{ type: core.Input, args: ['type',] }],
            supressInputAutofocus: [{ type: core.Input }],
            isFilled: [{ type: core.HostBinding, args: ['class.igx-input-group--filled',] }],
            isDisplayDensityCosy: [{ type: core.HostBinding, args: ['class.igx-input-group--cosy',] }],
            isDisplayDensityComfortable: [{ type: core.HostBinding, args: ['class.igx-input-group--comfortable',] }],
            isDisplayDensityCompact: [{ type: core.HostBinding, args: ['class.igx-input-group--compact',] }]
        };
        return IgxInputGroupComponent;
    }(DisplayDensityBase));
    /**
     * @hidden
     */
    var IgxInputGroupModule = /** @class */ (function () {
        function IgxInputGroupModule() {
        }
        IgxInputGroupModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxInputGroupComponent, IgxHintDirective, IgxInputDirective, IgxLabelDirective],
                        exports: [IgxInputGroupComponent, IgxHintDirective, IgxInputDirective, IgxLabelDirective, IgxPrefixDirective, IgxSuffixDirective],
                        imports: [common.CommonModule, IgxPrefixModule, IgxSuffixModule]
                    },] }
        ];
        return IgxInputGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Autocomplete** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/autocomplete.html)
     *
     * The igxAutocomplete directive provides a way to enhance a text input
     * by showing a drop down of suggested options, provided by the developer.
     *
     * Example:
     * ```html
     * <input type="text" [igxAutocomplete]="townsPanel" />
     * <igx-drop-down #townsPanel>
     *     <igx-drop-down-item *ngFor="let town of towns | startsWith:townSelected" [value]="town">
     *         {{town}}
     *     </igx-drop-down-item>
     * </igx-drop-down>
     * ```
     */
    var IgxAutocompleteDirective = /** @class */ (function (_super) {
        __extends(IgxAutocompleteDirective, _super);
        function IgxAutocompleteDirective(ngModel, formControl, group, elementRef, cdr) {
            var _this = _super.call(this, null) || this;
            _this.ngModel = ngModel;
            _this.formControl = formControl;
            _this.group = group;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.defaultSettings = {
                modal: false,
                scrollStrategy: new AbsoluteScrollStrategy(),
                positionStrategy: new AutoPositionStrategy({ target: _this.parentElement }),
                excludePositionTarget: true
            };
            _this.dropDownOpened$ = new rxjs.Subject();
            /**
             * Enables/disables autocomplete component
             *
             * ```typescript
             * // get
             * let disabled = this.autocomplete.disabled;
             * ```
             * ```html
             * <!--set-->
             * <input type="text" [igxAutocomplete]="townsPanel" [igxAutocompleteDisabled]="disabled"/>
             * ```
             * ```typescript
             * // set
             * public disabled = true;
             * ```
             */
            _this.disabled = false;
            /**
             * Emitted after item from the drop down is selected
             *
             * ```html
             * <input igxInput [igxAutocomplete]="townsPanel" (onItemSelected)='itemSelected($event)' />
             * ```
             */
            _this.onItemSelected = new core.EventEmitter();
            /**
             * @hidden \@internal
             */
            _this.autofill = 'off';
            /**
             * @hidden \@internal
             */
            _this.role = 'combobox';
            _this.select = function (value) {
                if (!value.newSelection) {
                    return;
                }
                value.cancel = true; // Disable selection in the drop down, because in autocomplete we do not save selection.
                // Disable selection in the drop down, because in autocomplete we do not save selection.
                /** @type {?} */
                var newValue = value.newSelection.value;
                /** @type {?} */
                var args = { value: newValue, cancel: false };
                _this.onItemSelected.emit(args);
                if (args.cancel) {
                    return;
                }
                _this.close();
                _this.nativeElement.focus();
                // Update model after the input is re-focused, in order to have proper valid styling.
                // Otherwise when item is selected using mouse (and input is blurred), then valid style will be removed.
                _this.model ? _this.model.control.setValue(newValue) : _this.nativeElement.value = newValue;
            };
            _this.highlightFirstItem = function () {
                if (_this.target.focusedItem) {
                    _this.target.focusedItem.focused = false;
                    _this.target.focusedItem = null;
                }
                _this.target.navigateFirst();
                _this.cdr.detectChanges();
            };
            return _this;
        }
        Object.defineProperty(IgxAutocompleteDirective.prototype, "model", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.ngModel || this.formControl;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "nativeElement", {
            /** @hidden @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "parentElement", {
            /** @hidden @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.group ? this.group.element.nativeElement : this.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "settings", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                /** @type {?} */
                var settings = Object.assign({}, this.defaultSettings, this.autocompleteSettings);
                if (!settings.positionStrategy.settings.target) {
                    /** @type {?} */
                    var positionStrategyClone = settings.positionStrategy.clone();
                    positionStrategyClone.settings.target = this.parentElement;
                    settings.positionStrategy = positionStrategyClone;
                }
                return settings;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "ariaExpanded", {
            /** @hidden  @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return !this.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "hasPopUp", {
            /** @hidden  @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return 'listbox';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "ariaOwns", {
            /** @hidden  @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.target.listId;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "ariaActiveDescendant", {
            /** @hidden  @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return !this.target.collapsed && this.target.focusedItem ? this.target.focusedItem.id : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAutocompleteDirective.prototype, "ariaAutocomplete", {
            /** @hidden  @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return 'list';
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onInput = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.open();
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onArrowDown = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.open();
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onTab = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.close();
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.handleKeyDown = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this.collapsed) {
                switch (event.key.toLowerCase()) {
                    case 'space':
                    case 'spacebar':
                    case ' ':
                    case 'home':
                    case 'end':
                        return;
                    default:
                        _super.prototype.handleKeyDown.call(this, event);
                }
            }
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onArrowDownKeyDown = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            _super.prototype.onArrowDownKeyDown.call(this);
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onArrowUpKeyDown = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            _super.prototype.onArrowUpKeyDown.call(this);
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onEndKeyDown = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            _super.prototype.onEndKeyDown.call(this);
        };
        /** @hidden  @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.onHomeKeyDown = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            _super.prototype.onHomeKeyDown.call(this);
        };
        /**
         * Closes autocomplete drop down
         */
        /**
         * Closes autocomplete drop down
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.close = /**
         * Closes autocomplete drop down
         * @return {?}
         */
        function () {
            if (this.collapsed) {
                return;
            }
            this.target.close();
            this.dropDownOpened$.next();
        };
        /**
         * Opens autocomplete drop down
         */
        /**
         * Opens autocomplete drop down
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.open = /**
         * Opens autocomplete drop down
         * @return {?}
         */
        function () {
            if (this.disabled || !this.collapsed) {
                return;
            }
            // if no drop-down width is set, the drop-down will be as wide as the autocomplete input;
            this.target.width = this.target.width || (this.parentElement.clientWidth + 'px');
            this.target.open(this.settings);
            this.target.onSelection.pipe(operators.takeUntil(this.dropDownOpened$)).subscribe(this.select);
            this.target.onOpened.pipe(operators.first()).subscribe(this.highlightFirstItem);
            this.target.children.changes.pipe(operators.takeUntil(this.dropDownOpened$)).subscribe(this.highlightFirstItem);
        };
        Object.defineProperty(IgxAutocompleteDirective.prototype, "collapsed", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.target ? this.target.collapsed : true;
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxAutocompleteDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.dropDownOpened$.complete();
        };
        IgxAutocompleteDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxAutocomplete]'
                    },] }
        ];
        /** @nocollapse */
        IgxAutocompleteDirective.ctorParameters = function () { return [
            { type: forms.NgModel, decorators: [{ type: core.Self }, { type: core.Optional }, { type: core.Inject, args: [forms.NgModel,] }] },
            { type: forms.FormControlName, decorators: [{ type: core.Self }, { type: core.Optional }, { type: core.Inject, args: [forms.FormControlName,] }] },
            { type: IgxInputGroupComponent, decorators: [{ type: core.Optional }] },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxAutocompleteDirective.propDecorators = {
            target: [{ type: core.Input, args: ['igxAutocomplete',] }],
            disabled: [{ type: core.Input, args: ['igxAutocompleteDisabled',] }],
            autocompleteSettings: [{ type: core.Input, args: ['igxAutocompleteSettings',] }],
            onItemSelected: [{ type: core.Output }],
            autofill: [{ type: core.HostBinding, args: ['attr.autocomplete',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            ariaExpanded: [{ type: core.HostBinding, args: ['attr.aria-expanded',] }],
            hasPopUp: [{ type: core.HostBinding, args: ['attr.aria-haspopup',] }],
            ariaOwns: [{ type: core.HostBinding, args: ['attr.aria-owns',] }],
            ariaActiveDescendant: [{ type: core.HostBinding, args: ['attr.aria-activedescendant',] }],
            ariaAutocomplete: [{ type: core.HostBinding, args: ['attr.aria-autocomplete',] }],
            onInput: [{ type: core.HostListener, args: ['input',] }],
            onArrowDown: [{ type: core.HostListener, args: ['keydown.ArrowDown', ['$event'],] }, { type: core.HostListener, args: ['keydown.Alt.ArrowDown', ['$event'],] }, { type: core.HostListener, args: ['keydown.ArrowUp', ['$event'],] }, { type: core.HostListener, args: ['keydown.Alt.ArrowUp', ['$event'],] }],
            onTab: [{ type: core.HostListener, args: ['keydown.Tab',] }, { type: core.HostListener, args: ['keydown.Shift.Tab',] }]
        };
        return IgxAutocompleteDirective;
    }(IgxDropDownItemNavigationDirective));
    /**
     * @hidden
     */
    var IgxAutocompleteModule = /** @class */ (function () {
        function IgxAutocompleteModule() {
        }
        IgxAutocompleteModule.decorators = [
            { type: core.NgModule, args: [{
                        imports: [IgxDropDownModule, common.CommonModule],
                        declarations: [IgxAutocompleteDirective],
                        exports: [IgxAutocompleteDirective]
                    },] }
        ];
        return IgxAutocompleteModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxButtonDirective = /** @class */ (function (_super) {
        __extends(IgxButtonDirective, _super);
        function IgxButtonDirective(element, _renderer, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.element = element;
            _this._renderer = _renderer;
            _this._displayDensityOptions = _displayDensityOptions;
            /**
             * @hidden
             */
            _this._defaultType = 'flat';
            /**
             * @hidden
             */
            _this._cssClassPrefix = 'igx-button';
            /**
             * Called when the button is clicked
             */
            _this.buttonClick = new core.EventEmitter();
            /**
             * Sets/gets the `role` attribute.
             * ```typescript
             * this.button.role = 'navbutton';
             * ```
             * ```typescript
             * let buttonRole =  this.button.role;
             * ```
             * \@memberof IgxButtonDirective
             */
            _this.role = 'button';
            /**
             * Gets or sets whether the button is selected.
             * Mainly used in the IgxButtonGroup component and it will have no effect if set separately.
             * ```html
             * <button igxButton="flat" [selected]="button.selected"></button>
             * ```
             * \@memberof IgxButtonDirective
             */
            _this.selected = false;
            return _this;
        }
        Object.defineProperty(IgxButtonDirective.prototype, "nativeElement", {
            /**
             * Returns the underlying DOM element
             */
            get: /**
             * Returns the underlying DOM element
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "type", {
            /**
             * Sets the type of the button.
             * ```html
             * <button  igxButton= "icon"></button>
             * ```
             * @memberof IgxButtonDirective
             */
            set: /**
             * Sets the type of the button.
             * ```html
             * <button  igxButton= "icon"></button>
             * ```
             * \@memberof IgxButtonDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                /** @type {?} */
                var newValue = value ? value : this._defaultType;
                if (this._type !== newValue) {
                    this._renderer.removeClass(this.nativeElement, this._cssClassPrefix + "--" + this._type);
                    this._type = newValue;
                    this._renderer.addClass(this.nativeElement, this._cssClassPrefix + "--" + this._type);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "color", {
            /**
             * Sets the button text color.
             * ```html
             * <button igxButton="gradient" igxButtonColor="blue"></button>
             * ```
             * @memberof IgxButtonDirective
             */
            set: /**
             * Sets the button text color.
             * ```html
             * <button igxButton="gradient" igxButtonColor="blue"></button>
             * ```
             * \@memberof IgxButtonDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._color = value || this.nativeElement.style.color;
                this._renderer.setStyle(this.nativeElement, 'color', this._color);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "background", {
            /**
             * Sets the background color of the button.
             * ```html
             * <button igxButton="raised" igxButtonBackground="red"></button>
             * ```
             * @memberof IgxButtonDirective
             */
            set: /**
             * Sets the background color of the button.
             * ```html
             * <button igxButton="raised" igxButtonBackground="red"></button>
             * ```
             * \@memberof IgxButtonDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._backgroundColor = value || this._backgroundColor;
                this._renderer.setStyle(this.nativeElement, 'background', this._backgroundColor);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "label", {
            /**
             * Sets the `aria-label` attribute.
             * ```html
             * <button igxButton= "flat" igxLabel="Label"></button>
             * ```
             * @memberof IgxButtonDirective
             */
            set: /**
             * Sets the `aria-label` attribute.
             * ```html
             * <button igxButton= "flat" igxLabel="Label"></button>
             * ```
             * \@memberof IgxButtonDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._label = value || this._label;
                this._renderer.setAttribute(this.nativeElement, "aria-label", this._label);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "disabled", {
            /**
             * Enables/disables the button.
             *  ```html
             * <button igxButton= "fab" [disabled]="true"></button>
             * ```
             * @memberof IgxButtonDirective
             */
            set: /**
             * Enables/disables the button.
             *  ```html
             * <button igxButton= "fab" [disabled]="true"></button>
             * ```
             * \@memberof IgxButtonDirective
             * @param {?} val
             * @return {?}
             */
            function (val) {
                val = !!val;
                this._disabled = val;
                if (val) {
                    this._renderer.addClass(this.nativeElement, this._cssClassPrefix + "--disabled");
                }
                else {
                    this._renderer.removeClass(this.nativeElement, this._cssClassPrefix + "--disabled");
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "cssClassCosy", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return (this._type === 'flat' || this._type === 'raised' || this._type === 'outlined') &&
                    this.displayDensity === DisplayDensity.cosy;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "cssClassCompact", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return (this._type === 'flat' || this._type === 'raised' || this._type === 'outlined') &&
                    this.displayDensity === DisplayDensity.compact;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "cssClassCosyFab", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._type === 'fab' && this.displayDensity === DisplayDensity.cosy;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "cssClassCompactFab", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._type === 'fab' && this.displayDensity === DisplayDensity.compact;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonDirective.prototype, "disabledAttribute", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._disabled ? this._disabled : null;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        IgxButtonDirective.prototype.onClick = /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        function (ev) {
            this.buttonClick.emit(ev);
        };
        IgxButtonDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxButton]'
                    },] }
        ];
        /** @nocollapse */
        IgxButtonDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxButtonDirective.propDecorators = {
            buttonClick: [{ type: core.Output }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            type: [{ type: core.Input, args: ['igxButton',] }],
            color: [{ type: core.Input, args: ['igxButtonColor',] }],
            background: [{ type: core.Input, args: ['igxButtonBackground',] }],
            label: [{ type: core.Input, args: ['igxLabel',] }],
            disabled: [{ type: core.Input }],
            cssClassCosy: [{ type: core.HostBinding, args: ['class.igx-button--cosy',] }],
            cssClassCompact: [{ type: core.HostBinding, args: ['class.igx-button--compact',] }],
            cssClassCosyFab: [{ type: core.HostBinding, args: ['class.igx-button--fab-cosy',] }],
            cssClassCompactFab: [{ type: core.HostBinding, args: ['class.igx-button--fab-compact',] }],
            disabledAttribute: [{ type: core.HostBinding, args: ['attr.disabled',] }],
            selected: [{ type: core.Input }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }]
        };
        return IgxButtonDirective;
    }(DisplayDensityBase));
    /**
     * @hidden
     */
    var IgxButtonModule = /** @class */ (function () {
        function IgxButtonModule() {
        }
        IgxButtonModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxButtonDirective],
                        exports: [IgxButtonDirective]
                    },] }
        ];
        return IgxButtonModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var IgxDividerType = {
        DEFAULT: 'default',
        DASHED: 'dashed',
    };
    /** @type {?} */
    var NEXT_ID$5 = 0;
    var IgxDividerDirective = /** @class */ (function () {
        function IgxDividerDirective() {
            /**
             * Sets/gets the `id` of the divider.
             * If not set, `id` will have value `"igx-divider-0"`;
             * ```html
             * <igx-divider id="my-divider"></igx-divider>
             * ```
             * ```typescript
             * let dividerId =  this.divider.id;
             * ```
             */
            this.id = "igx-divider-" + NEXT_ID$5++;
            /**
             * An \@Input property that sets the value of the `inset` attribute.
             * If not provided it will be set to `'0'`.
             * ```html
             * <igx-divider inset="16px"></igx-divider>
             * ```
             */
            this._inset = '0';
            /**
             * An \@Input property that sets the value of `role` attribute.
             * If not the default value of `separator` will be used.
             */
            this.role = 'separator';
            /**
             * Sets the type of the divider. The default value
             * is `default`. The divider can also be `dashed`;
             * ```html
             * <igx-divider type="dashed"></igx-divider>
             * ```
             */
            this.type = IgxDividerType.DEFAULT;
            /**
             * An \@Input that sets the `middle` attribute of the divider.
             * If set to `true` and an `inset` value has been provided,
             * the divider will start shrinking from both ends.
             * ```html
             * <igx-divider [middle]="true"></igx-divider>
             * ```
             */
            this.middle = false;
            /**
             * An \@Input that sets the vertical attribute of the divider.
             * ```html
             * <igx-divider [vertical]="true"></igx-divider>
             * ```
             */
            this.vertical = false;
        }
        Object.defineProperty(IgxDividerDirective.prototype, "isDashed", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === IgxDividerType.DASHED;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDividerDirective.prototype, "isDefault", {
            /**
             * A getter that returns `true` if the type of the divider is `default`;
             * ```typescript
             * const isDefault = this.divider.isDefault;
             * ```
             */
            get: /**
             * A getter that returns `true` if the type of the divider is `default`;
             * ```typescript
             * const isDefault = this.divider.isDefault;
             * ```
             * @return {?}
             */
            function () {
                return this.type === IgxDividerType.DEFAULT;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDividerDirective.prototype, "inset", {
            /**
             * Gets the current divider inset in terms of
             * margin representation as applied to the divider.
             * ```typescript
             * const inset = this.divider.inset;
             * ```
             */
            get: /**
             * Gets the current divider inset in terms of
             * margin representation as applied to the divider.
             * ```typescript
             * const inset = this.divider.inset;
             * ```
             * @return {?}
             */
            function () {
                /** @type {?} */
                var baseMargin = '0';
                if (this.middle) {
                    if (this.vertical) {
                        return this._inset + " " + baseMargin;
                    }
                    return baseMargin + " " + this._inset;
                }
                else {
                    if (this.vertical) {
                        return this._inset + " " + baseMargin + " 0 " + baseMargin;
                    }
                    return baseMargin + " 0 " + baseMargin + " " + this._inset;
                }
            },
            /**
             * Sets the inset of the divider from the side(s).
             * If the divider attribute `middle` is set to `true`,
             * it will inset the divider on both sides.
             * ```typescript
             * this.divider.inset = '32px';
             * ```
             */
            set: /**
             * Sets the inset of the divider from the side(s).
             * If the divider attribute `middle` is set to `true`,
             * it will inset the divider on both sides.
             * ```typescript
             * this.divider.inset = '32px';
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._inset = value;
            },
            enumerable: true,
            configurable: true
        });
        IgxDividerDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-divider'
                    },] }
        ];
        IgxDividerDirective.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            _inset: [{ type: core.Input, args: ['inset',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }, { type: core.Input }],
            type: [{ type: core.HostBinding, args: ['class.igx-divider',] }, { type: core.Input }],
            isDashed: [{ type: core.HostBinding, args: ['class.igx-divider--dashed',] }],
            middle: [{ type: core.HostBinding, args: ['class.igx-divider--inset',] }, { type: core.Input }],
            vertical: [{ type: core.HostBinding, args: ['class.igx-divider--vertical',] }, { type: core.Input }],
            inset: [{ type: core.HostBinding, args: ['style.margin',] }]
        };
        return IgxDividerDirective;
    }());
    var IgxDividerModule = /** @class */ (function () {
        function IgxDividerModule() {
        }
        IgxDividerModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxDividerDirective],
                        exports: [IgxDividerDirective]
                    },] }
        ];
        return IgxDividerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // @dynamic
    var   
    // @dynamic
    IgxDefaultDropStrategy = /** @class */ (function () {
        function IgxDefaultDropStrategy() {
        }
        /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        IgxDefaultDropStrategy.prototype.dropAction = /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        function (drag, drop, atIndex) { };
        return IgxDefaultDropStrategy;
    }());
    // @dynamic
    var   
    // @dynamic
    IgxAppendDropStrategy = /** @class */ (function () {
        function IgxAppendDropStrategy(_renderer) {
            this._renderer = _renderer;
        }
        /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        IgxAppendDropStrategy.prototype.dropAction = /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        function (drag, drop, atIndex) {
            /** @type {?} */
            var dragElement = drag.element.nativeElement;
            /** @type {?} */
            var dropAreaElement = drop.element.nativeElement;
            this._renderer.removeChild(dragElement.parentNode, dragElement);
            this._renderer.appendChild(dropAreaElement, dragElement);
        };
        return IgxAppendDropStrategy;
    }());
    // @dynamic
    var   
    // @dynamic
    IgxPrependDropStrategy = /** @class */ (function () {
        function IgxPrependDropStrategy(_renderer) {
            this._renderer = _renderer;
        }
        /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        IgxPrependDropStrategy.prototype.dropAction = /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        function (drag, drop, atIndex) {
            /** @type {?} */
            var dragElement = drag.element.nativeElement;
            /** @type {?} */
            var dropAreaElement = drop.element.nativeElement;
            this._renderer.removeChild(dragElement.parentNode, dragElement);
            if (dropAreaElement.children.length) {
                this._renderer.insertBefore(dropAreaElement, dragElement, dropAreaElement.children[0]);
            }
            else {
                this._renderer.appendChild(dropAreaElement, dragElement);
            }
        };
        return IgxPrependDropStrategy;
    }());
    // @dynamic
    var   
    // @dynamic
    IgxInsertDropStrategy = /** @class */ (function () {
        function IgxInsertDropStrategy(_renderer) {
            this._renderer = _renderer;
        }
        /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        IgxInsertDropStrategy.prototype.dropAction = /**
         * @param {?} drag
         * @param {?} drop
         * @param {?} atIndex
         * @return {?}
         */
        function (drag, drop, atIndex) {
            if (drag.element.nativeElement.parentElement === drop.element.nativeElement && atIndex === -1) {
                return;
            }
            /** @type {?} */
            var dragElement = drag.element.nativeElement;
            /** @type {?} */
            var dropAreaElement = drop.element.nativeElement;
            this._renderer.removeChild(dragElement.parentNode, dragElement);
            if (atIndex !== -1 && dropAreaElement.children.length > atIndex) {
                this._renderer.insertBefore(dropAreaElement, dragElement, dropAreaElement.children[atIndex]);
            }
            else {
                this._renderer.appendChild(dropAreaElement, dragElement);
            }
        };
        return IgxInsertDropStrategy;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxDragHandleDirective = /** @class */ (function () {
        function IgxDragHandleDirective(element) {
            this.element = element;
            this.baseClass = true;
        }
        IgxDragHandleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDragHandle]'
                    },] }
        ];
        /** @nocollapse */
        IgxDragHandleDirective.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxDragHandleDirective.propDecorators = {
            baseClass: [{ type: core.HostBinding, args: ['class.igx-drag__handle',] }]
        };
        return IgxDragHandleDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var RestrictDrag = {
        VERTICALLY: 0,
        HORIZONTALLY: 1,
        NONE: 2,
    };
    RestrictDrag[RestrictDrag.VERTICALLY] = 'VERTICALLY';
    RestrictDrag[RestrictDrag.HORIZONTALLY] = 'HORIZONTALLY';
    RestrictDrag[RestrictDrag.NONE] = 'NONE';
    var IgxDragLocation = /** @class */ (function () {
        function IgxDragLocation(_pageX, _pageY) {
            this._pageX = _pageX;
            this._pageY = _pageY;
            this.pageX = parseFloat(_pageX);
            this.pageY = parseFloat(_pageY);
        }
        return IgxDragLocation;
    }());
    var IgxDragDirective = /** @class */ (function () {
        function IgxDragDirective(cdr, element, viewContainer, zone, renderer) {
            this.cdr = cdr;
            this.element = element;
            this.viewContainer = viewContainer;
            this.zone = zone;
            this.renderer = renderer;
            this.ghostContext = null;
            /**
             * An \@Input property that indicates when the drag should start.
             * By default the drag starts after the draggable element is moved by 5px.
             * ```html
             * <div igxDrag [dragTolerance]="100">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             */
            this.dragTolerance = 5;
            /**
             * An \@Input property that specifies if the base element should not be moved and a ghost element should be rendered that represents it.
             * By default it is set to `true`.
             * If it is set to `false` when dragging the base element is moved instead and no ghost elements are rendered.
             * ```html
             * <div igxDrag [ghost]="false">
             *      <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             */
            this.ghost = true;
            /**
             * Sets a custom class that will be added to the `ghostElement` element.
             * ```html
             * <div igxDrag [ghostClass]="'ghostElement'">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             */
            this.ghostClass = '';
            /**
             * @deprecated Please use custom base styling instead.
             * An \@Input property that hides the draggable element.
             * By default it's set to false.
             * ```html
             * <div igxDrag [dragTolerance]="100" [hideBaseOnDrag]="'true'">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             */
            this.hideBaseOnDrag = false;
            /**
             * @deprecated Please use provided transition functions in future.
             * An \@Input property that enables/disables the draggable element animation
             * when the element is released.
             * By default it's set to false.
             * ```html
             * <div igxDrag [animateOnRelease]="'true'">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             */
            this.animateOnRelease = false;
            /**
             * Event triggered when the draggable element drag starts.
             * ```html
             * <div igxDrag (dragStart)="onDragStart()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public onDragStart(){
             *      alert("The drag has stared!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.dragStart = new core.EventEmitter();
            /**
             * Event triggered when the draggable element has been moved.
             * ```html
             * <div igxDrag  (dragMove)="onDragMove()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public onDragMove(){
             *      alert("The element has moved!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.dragMove = new core.EventEmitter();
            /**
             * Event triggered when the draggable element is released.
             * ```html
             * <div igxDrag (dragEnd)="onDragEnd()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public onDragEnd(){
             *      alert("The drag has ended!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.dragEnd = new core.EventEmitter();
            /**
             * Event triggered when the draggable element is clicked.
             * ```html
             * <div igxDrag (dragClick)="onDragClick()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public onDragClick(){
             *      alert("The element has been clicked!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.dragClick = new core.EventEmitter();
            /**
             * Event triggered when the drag ghost element is created.
             * ```html
             * <div igxDrag (ghostCreate)="ghostCreated()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public ghostCreated(){
             *      alert("The ghost has been created!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.ghostCreate = new core.EventEmitter();
            /**
             * Event triggered when the drag ghost element is created.
             * ```html
             * <div igxDrag (ghostDestroy)="ghostDestroyed()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public ghostDestroyed(){
             *      alert("The ghost has been destroyed!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.ghostDestroy = new core.EventEmitter();
            /**
             * Event triggered after the draggable element is released and after its animation has finished.
             * ```html
             * <div igxDrag (transitioned)="onMoveEnd()">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * ```typescript
             * public onMoveEnd(){
             *      alert("The move has ended!");
             * }
             * ```
             * \@memberof IgxDragDirective
             */
            this.transitioned = new core.EventEmitter();
            /**
             * @hidden
             */
            this._visibility = 'visible';
            /**
             * @hidden
             */
            this.baseClass = true;
            /**
             * @hidden
             */
            this.selectDisabled = false;
            /**
             * @hidden
             */
            this.defaultReturnDuration = '0.5s';
            /**
             * @hidden
             */
            this.animInProgress = false;
            this._baseMarginLeft = 0;
            this._baseMarginTop = 0;
            this._startX = 0;
            this._startY = 0;
            this._lastX = 0;
            this._lastY = 0;
            this._dragStarted = false;
            this._ghostHostX = 0;
            this._ghostHostY = 0;
            this._pointerDownId = null;
            this._clicked = false;
            this._lastDropArea = null;
            this._destroy = new rxjs.Subject();
            this._removeOnDestroy = true;
        }
        Object.defineProperty(IgxDragDirective.prototype, "ghostOffsetX", {
            get: /**
             * @return {?}
             */
            function () {
                return this._offsetX !== undefined ? this._offsetX : this._defaultOffsetX;
            },
            /**
             * An @Input property that specifies the offset of the dragged element relative to the mouse in pixels.
             * By default it's taking the relative position to the mouse when the drag started and keeps it the same.
             * ```html
             * <div #hostDiv></div>
             * <div igxDrag [ghostOffsetX]="0">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * @memberof IgxDragDirective
             */
            set: /**
             * An \@Input property that specifies the offset of the dragged element relative to the mouse in pixels.
             * By default it's taking the relative position to the mouse when the drag started and keeps it the same.
             * ```html
             * <div #hostDiv></div>
             * <div igxDrag [ghostOffsetX]="0">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._offsetX = parseInt(value, 10);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "ghostOffsetY", {
            get: /**
             * @return {?}
             */
            function () {
                return this._offsetY !== undefined ? this._offsetY : this._defaultOffsetY;
            },
            /**
             * An @Input property that specifies the offset of the dragged element relative to the mouse in pixels.
             * By default it's taking the relative position to the mouse when the drag started and keeps it the same.
             * ```html
             * <div #hostDiv></div>
             * <div igxDrag [ghostOffsetY]="0">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * @memberof IgxDragDirective
             */
            set: /**
             * An \@Input property that specifies the offset of the dragged element relative to the mouse in pixels.
             * By default it's taking the relative position to the mouse when the drag started and keeps it the same.
             * ```html
             * <div #hostDiv></div>
             * <div igxDrag [ghostOffsetY]="0">
             *         <span>Drag Me!</span>
             * </div>
             * ```
             * \@memberof IgxDragDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._offsetY = parseInt(value, 10);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "visible", {
            /**
             * Returns the visibility state of the draggable element.
             * ```typescript
             * @ViewChild("myDrag" ,{read: IgxDragDirective})
             * public myDrag: IgxDragDirective;
             * ngAfterViewInit(){
             *     let dragVisibility = this.myDrag.visible;
             * }
             * ```
             */
            get: /**
             * Returns the visibility state of the draggable element.
             * ```typescript
             * \@ViewChild("myDrag" ,{read: IgxDragDirective})
             * public myDrag: IgxDragDirective;
             * ngAfterViewInit(){
             *     let dragVisibility = this.myDrag.visible;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._visibility === 'visible';
            },
            /**
             * @deprecated Please use native angular ways of hiding it using custom to the base element styling for future versions.
             * Sets the visibility of the draggable element.
             * ```typescript
             * @ViewChild("myDrag" ,{read: IgxDragDirective})
             * public myDrag: IgxDragDirective;
             * ngAfterViewInit(){
             *     this.myDrag.visible = false;
             * }
             * ```
             */
            set: /**
             * @deprecated Please use native angular ways of hiding it using custom to the base element styling for future versions.
             * Sets the visibility of the draggable element.
             * ```typescript
             * \@ViewChild("myDrag" ,{read: IgxDragDirective})
             * public myDrag: IgxDragDirective;
             * ngAfterViewInit(){
             *     this.myDrag.visible = false;
             * }
             * ```
             * @param {?} bVisible
             * @return {?}
             */
            function (bVisible) {
                this._visibility = bVisible ? 'visible' : 'hidden';
                this.cdr.detectChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "location", {
            /**
             * Gets the current location of the element relative to the page.
             */
            get: /**
             * Gets the current location of the element relative to the page.
             * @return {?}
             */
            function () {
                return new IgxDragLocation(this.pageX, this.pageY);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "originLocation", {
            /**
             * Gets the original location of the element before dragging started.
             */
            get: /**
             * Gets the original location of the element before dragging started.
             * @return {?}
             */
            function () {
                return new IgxDragLocation(this.baseOriginLeft, this.baseOriginTop);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "pointerEventsEnabled", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return typeof PointerEvent !== 'undefined';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "touchEventsEnabled", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return 'ontouchstart' in window;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "pageX", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.ghost && this.ghostElement) {
                    return this.ghostLeft;
                }
                return this.baseLeft;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "pageY", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.ghost && this.ghostElement) {
                    return this.ghostTop;
                }
                return this.baseTop;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "baseLeft", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.element.nativeElement.getBoundingClientRect().left;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "baseTop", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.element.nativeElement.getBoundingClientRect().top;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "baseOriginLeft", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.baseLeft - this.getTransformX(this.element.nativeElement);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "baseOriginTop", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.baseTop - this.getTransformY(this.element.nativeElement);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "ghostLeft", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return parseInt(this.ghostElement.style.left, 10) + this._ghostHostX;
            },
            set: /**
             * @protected
             * @param {?} pageX
             * @return {?}
             */
            function (pageX) {
                var _this = this;
                // To Do: Remove requestAnimationFrame when deprecated animations inputs are removed as well.
                // We use requestAnimationFrame for the old drop animations in combination with updateDragRelativePos.
                requestAnimationFrame(function () {
                    if (_this.ghostElement) {
                        // We need to take into account marginLeft, since top style does not include margin, but pageX includes the margin.
                        /** @type {?} */
                        var ghostMarginLeft = parseInt(document.defaultView.getComputedStyle(_this.ghostElement)['margin-left'], 10);
                        // If ghost host is defined it needs to be taken into account.
                        _this.ghostElement.style.left = (pageX - ghostMarginLeft - _this._ghostHostX) + 'px';
                    }
                });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDragDirective.prototype, "ghostTop", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return parseInt(this.ghostElement.style.top, 10) + this._ghostHostY;
            },
            set: /**
             * @protected
             * @param {?} pageY
             * @return {?}
             */
            function (pageY) {
                var _this = this;
                // To Do: Remove requestAnimationFrame when deprecated animations inputs are removed as well.
                // We use requestAnimationFrame for the old drop animations in combination with updateDragRelativePos.
                requestAnimationFrame(function () {
                    if (_this.ghostElement) {
                        // We need to take into account marginTop, since top style does not include margin, but pageY includes the margin.
                        /** @type {?} */
                        var ghostMarginTop = parseInt(document.defaultView.getComputedStyle(_this.ghostElement)['margin-top'], 10);
                        // If ghost host is defined it needs to be taken into account.
                        _this.ghostElement.style.top = (pageY - ghostMarginTop - _this._ghostHostY) + 'px';
                    }
                });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDragDirective.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this.dragHandles || !this.dragHandles.length) {
                // Set user select none to the whole draggable element if no drag handles are defined.
                this.selectDisabled = true;
            }
            // Bind events
            this.zone.runOutsideAngular(function () {
                /** @type {?} */
                var targetElements = _this.dragHandles && _this.dragHandles.length ?
                    _this.dragHandles.map(function (item) { return item.element.nativeElement; }) : [_this.element.nativeElement];
                targetElements.forEach(function (element) {
                    if (_this.pointerEventsEnabled) {
                        rxjs.fromEvent(element, 'pointerdown').pipe(operators.takeUntil(_this._destroy))
                            .subscribe(function (res) { return _this.onPointerDown(res); });
                        rxjs.fromEvent(element, 'pointermove').pipe(operators.throttle(function () { return rxjs.interval(0, rxjs.animationFrameScheduler); }), operators.takeUntil(_this._destroy)).subscribe(function (res) { return _this.onPointerMove(res); });
                        rxjs.fromEvent(element, 'pointerup').pipe(operators.takeUntil(_this._destroy))
                            .subscribe(function (res) { return _this.onPointerUp(res); });
                        if (!_this.ghost) {
                            // Do not bind `lostpointercapture` to the target, because we will bind it on the ghost later.
                            rxjs.fromEvent(element, 'lostpointercapture').pipe(operators.takeUntil(_this._destroy))
                                .subscribe(function (res) { return _this.onPointerLost(res); });
                        }
                    }
                    else if (_this.touchEventsEnabled) {
                        rxjs.fromEvent(element, 'touchstart').pipe(operators.takeUntil(_this._destroy))
                            .subscribe(function (res) { return _this.onPointerDown(res); });
                    }
                    else {
                        // We don't have pointer events and touch events. Use then mouse events.
                        rxjs.fromEvent(element, 'mousedown').pipe(operators.takeUntil(_this._destroy))
                            .subscribe(function (res) { return _this.onPointerDown(res); });
                    }
                });
                // We should bind to document events only once when there are no pointer events.
                if (!_this.pointerEventsEnabled && _this.touchEventsEnabled) {
                    rxjs.fromEvent(document.defaultView, 'touchmove').pipe(operators.throttle(function () { return rxjs.interval(0, rxjs.animationFrameScheduler); }), operators.takeUntil(_this._destroy)).subscribe(function (res) { return _this.onPointerMove(res); });
                    rxjs.fromEvent(document.defaultView, 'touchend').pipe(operators.takeUntil(_this._destroy))
                        .subscribe(function (res) { return _this.onPointerUp(res); });
                }
                else if (!_this.pointerEventsEnabled) {
                    rxjs.fromEvent(document.defaultView, 'mousemove').pipe(operators.throttle(function () { return rxjs.interval(0, rxjs.animationFrameScheduler); }), operators.takeUntil(_this._destroy)).subscribe(function (res) { return _this.onPointerMove(res); });
                    rxjs.fromEvent(document.defaultView, 'mouseup').pipe(operators.takeUntil(_this._destroy))
                        .subscribe(function (res) { return _this.onPointerUp(res); });
                }
                _this.element.nativeElement.addEventListener('transitionend', function (args) {
                    _this.onTransitionEnd(args);
                });
            });
            this._baseMarginLeft = parseInt(document.defaultView.getComputedStyle(this.element.nativeElement)['margin-left'], 10);
            this._baseMarginTop = parseInt(document.defaultView.getComputedStyle(this.element.nativeElement)['margin-top'], 10);
            this._baseOriginX = this.baseLeft;
            this._baseOriginY = this.baseTop;
            this._ghostStartX = this.baseLeft;
            this._ghostStartY = this.baseTop;
            // Set transition duration to 0s. This also helps with setting `visibility: hidden` to the base to not lag.
            this.element.nativeElement.style.transitionDuration = '0.0s';
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDragDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._destroy.next(true);
            this._destroy.complete();
            if (this.ghost && this.ghostElement && this._removeOnDestroy) {
                this.ghostElement.parentNode.removeChild(this.ghostElement);
                this.ghostElement = null;
            }
        };
        /**
         * Sets desired location of the base element or ghost element if rended relative to the document.
         * @param newLocation New location that should be applied. It is advised to get new location using getBoundingClientRects() + scroll.
         */
        /**
         * Sets desired location of the base element or ghost element if rended relative to the document.
         * @param {?} newLocation New location that should be applied. It is advised to get new location using getBoundingClientRects() + scroll.
         * @return {?}
         */
        IgxDragDirective.prototype.setLocation = /**
         * Sets desired location of the base element or ghost element if rended relative to the document.
         * @param {?} newLocation New location that should be applied. It is advised to get new location using getBoundingClientRects() + scroll.
         * @return {?}
         */
        function (newLocation) {
            // We do not subtract marginLeft and marginTop here because here we calculate deltas.
            if (this.ghost && this.ghostElement) {
                /** @type {?} */
                var offsetHostX = this.ghostHost ? this.ghostHostOffsetLeft(this.ghostHost) : 0;
                /** @type {?} */
                var offsetHostY = this.ghostHost ? this.ghostHostOffsetTop(this.ghostHost) : 0;
                this.ghostLeft = newLocation.pageX - offsetHostX + this.getWindowScrollLeft();
                this.ghostTop = newLocation.pageY - offsetHostY + this.getWindowScrollTop();
            }
            else if (!this.ghost) {
                /** @type {?} */
                var deltaX = newLocation.pageX - this.pageX;
                /** @type {?} */
                var deltaY = newLocation.pageY - this.pageY;
                /** @type {?} */
                var transformX = this.getTransformX(this.element.nativeElement);
                /** @type {?} */
                var transformY = this.getTransformY(this.element.nativeElement);
                this.setTransformXY(transformX + deltaX, transformY + deltaY);
            }
            this._startX = this.baseLeft;
            this._startY = this.baseTop;
        };
        /**
         * Animates the base or ghost element depending on the `ghost` input to its initial location.
         * If `ghost` is true but there is not ghost rendered, it will be created and animated.
         * If the base element has changed its DOM position its initial location will be changed accordingly.
         * @param customAnimArgs Custom transition properties that will be applied when performing the transition.
         * @param startLocation Start location from where the transition should start.
         */
        /**
         * Animates the base or ghost element depending on the `ghost` input to its initial location.
         * If `ghost` is true but there is not ghost rendered, it will be created and animated.
         * If the base element has changed its DOM position its initial location will be changed accordingly.
         * @param {?=} customAnimArgs Custom transition properties that will be applied when performing the transition.
         * @param {?=} startLocation Start location from where the transition should start.
         * @return {?}
         */
        IgxDragDirective.prototype.transitionToOrigin = /**
         * Animates the base or ghost element depending on the `ghost` input to its initial location.
         * If `ghost` is true but there is not ghost rendered, it will be created and animated.
         * If the base element has changed its DOM position its initial location will be changed accordingly.
         * @param {?=} customAnimArgs Custom transition properties that will be applied when performing the transition.
         * @param {?=} startLocation Start location from where the transition should start.
         * @return {?}
         */
        function (customAnimArgs, startLocation) {
            var _this = this;
            if ((!!startLocation && startLocation.pageX === this.baseOriginLeft && startLocation.pageY === this.baseOriginLeft) ||
                (!startLocation && this.ghost && !this.ghostElement)) {
                return;
            }
            if (!!startLocation && startLocation.pageX !== this.pageX && startLocation.pageY !== this.pageY) {
                if (this.ghost && !this.ghostElement) {
                    this._startX = startLocation.pageX;
                    this._startY = startLocation.pageY;
                    this._ghostStartX = this._startX;
                    this._ghostStartY = this._startY;
                    this.createGhost(this._startX, this._startY);
                }
                this.setLocation(startLocation);
            }
            this.animInProgress = true;
            // Use setTimeout because we need to be sure that the element is positioned first correctly if there is start location.
            setTimeout(function () {
                if (_this.ghost) {
                    _this.ghostElement.style.transitionProperty = 'top, left';
                    _this.ghostElement.style.transitionDuration =
                        customAnimArgs && customAnimArgs.duration ? customAnimArgs.duration + 's' : _this.defaultReturnDuration;
                    _this.ghostElement.style.transitionTimingFunction =
                        customAnimArgs && customAnimArgs.timingFunction ? customAnimArgs.timingFunction : '';
                    _this.ghostElement.style.transitionDelay = customAnimArgs && customAnimArgs.delay ? customAnimArgs.delay + 's' : '';
                    _this.setLocation(new IgxDragLocation(_this.baseLeft, _this.baseTop));
                }
                else if (!_this.ghost) {
                    _this.element.nativeElement.style.transitionProperty = 'transform';
                    _this.element.nativeElement.style.transitionDuration =
                        customAnimArgs && customAnimArgs.duration ? customAnimArgs.duration + 's' : _this.defaultReturnDuration;
                    _this.element.nativeElement.style.transitionTimingFunction =
                        customAnimArgs && customAnimArgs.timingFunction ? customAnimArgs.timingFunction : '';
                    _this.element.nativeElement.style.transitionDelay = customAnimArgs && customAnimArgs.delay ? customAnimArgs.delay + 's' : '';
                    _this._startX = _this.baseLeft;
                    _this._startY = _this.baseTop;
                    _this.setTransformXY(0, 0);
                }
            }, 0);
        };
        /**
         * Animates the base or ghost element to a specific target location or other element using transition.
         * If `ghost` is true but there is not ghost rendered, it will be created and animated.
         * It is recommended to use 'getBoundingClientRects() + pageScroll' when determining desired location.
         * @param target Target that the base or ghost will transition to. It can be either location in the page or another HTML element.
         * @param customAnimArgs Custom transition properties that will be applied when performing the transition.
         * @param startLocation Start location from where the transition should start.
         */
        /**
         * Animates the base or ghost element to a specific target location or other element using transition.
         * If `ghost` is true but there is not ghost rendered, it will be created and animated.
         * It is recommended to use 'getBoundingClientRects() + pageScroll' when determining desired location.
         * @param {?} target Target that the base or ghost will transition to. It can be either location in the page or another HTML element.
         * @param {?=} customAnimArgs Custom transition properties that will be applied when performing the transition.
         * @param {?=} startLocation Start location from where the transition should start.
         * @return {?}
         */
        IgxDragDirective.prototype.transitionTo = /**
         * Animates the base or ghost element to a specific target location or other element using transition.
         * If `ghost` is true but there is not ghost rendered, it will be created and animated.
         * It is recommended to use 'getBoundingClientRects() + pageScroll' when determining desired location.
         * @param {?} target Target that the base or ghost will transition to. It can be either location in the page or another HTML element.
         * @param {?=} customAnimArgs Custom transition properties that will be applied when performing the transition.
         * @param {?=} startLocation Start location from where the transition should start.
         * @return {?}
         */
        function (target, customAnimArgs, startLocation) {
            var _this = this;
            if (!!startLocation && this.ghost && !this.ghostElement) {
                this._startX = startLocation.pageX;
                this._startY = startLocation.pageY;
                this._ghostStartX = this._startX;
                this._ghostStartY = this._startY;
            }
            else if (!!startLocation && (!this.ghost || this.ghostElement)) {
                this.setLocation(startLocation);
            }
            else if (this.ghost && !this.ghostElement) {
                this._startX = this.baseLeft;
                this._startY = this.baseTop;
                this._ghostStartX = this._startX + this.getWindowScrollLeft();
                this._ghostStartY = this._startY + this.getWindowScrollTop();
            }
            if (this.ghost && !this.ghostElement) {
                this.createGhost(this._startX, this._startY);
            }
            this.animInProgress = true;
            // Use setTimeout because we need to be sure that the element is positioned first correctly if there is start location.
            setTimeout(function () {
                /** @type {?} */
                var movedElem = _this.ghost ? _this.ghostElement : _this.element.nativeElement;
                movedElem.style.transitionProperty = _this.ghost && _this.ghostElement ? 'left, top' : 'transform';
                movedElem.style.transitionDuration =
                    customAnimArgs && customAnimArgs.duration ? customAnimArgs.duration + 's' : _this.defaultReturnDuration;
                movedElem.style.transitionTimingFunction =
                    customAnimArgs && customAnimArgs.timingFunction ? customAnimArgs.timingFunction : '';
                movedElem.style.transitionDelay = customAnimArgs && customAnimArgs.delay ? customAnimArgs.delay + 's' : '';
                if (target instanceof IgxDragLocation) {
                    _this.setLocation(new IgxDragLocation(target.pageX, target.pageY));
                }
                else {
                    /** @type {?} */
                    var targetRects = target.nativeElement.getBoundingClientRect();
                    _this.setLocation(new IgxDragLocation(targetRects.left - _this.getWindowScrollLeft(), targetRects.top - _this.getWindowScrollTop()));
                }
            }, 0);
        };
        /**
         * @hidden
         * Method bound to the PointerDown event of the base element igxDrag is initialized.
         * @param event PointerDown event captured
         */
        /**
         * @hidden
         * Method bound to the PointerDown event of the base element igxDrag is initialized.
         * @param {?} event PointerDown event captured
         * @return {?}
         */
        IgxDragDirective.prototype.onPointerDown = /**
         * @hidden
         * Method bound to the PointerDown event of the base element igxDrag is initialized.
         * @param {?} event PointerDown event captured
         * @return {?}
         */
        function (event) {
            this._clicked = true;
            this._pointerDownId = event.pointerId;
            // Set pointer capture so we detect pointermove even if mouse is out of bounds until ghostElement is created.
            /** @type {?} */
            var handleFound = this.dragHandles.find(function (handle) { return handle.element.nativeElement === event.currentTarget; });
            /** @type {?} */
            var targetElement = handleFound ? handleFound.element.nativeElement : this.element.nativeElement;
            if (this.pointerEventsEnabled) {
                targetElement.setPointerCapture(this._pointerDownId);
            }
            else {
                targetElement.focus();
                event.preventDefault();
            }
            if (!this._baseOriginX && !this._baseOriginY) {
                this._baseOriginX = this.baseLeft;
                this._baseOriginY = this.baseTop;
            }
            if (this.pointerEventsEnabled || !this.touchEventsEnabled) {
                // Check first for pointer events or non touch, because we can have pointer events and touch events at once.
                this._startX = event.pageX;
                this._startY = event.pageY;
            }
            else if (this.touchEventsEnabled) {
                this._startX = event.touches[0].pageX;
                this._startY = event.touches[0].pageY;
            }
            this._defaultOffsetX = this.baseLeft - this._startX + this.getWindowScrollLeft();
            this._defaultOffsetY = this.baseTop - this._startY + this.getWindowScrollTop();
            this._ghostStartX = this._startX + this.ghostOffsetX;
            this._ghostStartY = this._startY + this.ghostOffsetY;
            this._lastX = this._startX;
            this._lastY = this._startY;
        };
        /**
         * @hidden
         * Perform drag move logic when dragging and dispatching events if there is igxDrop under the pointer.
         * This method is bound at first at the base element.
         * If dragging starts and after the ghostElement is rendered the pointerId is reassigned it. Then this method is bound to it.
         * @param event PointerMove event captured
         */
        /**
         * @hidden
         * Perform drag move logic when dragging and dispatching events if there is igxDrop under the pointer.
         * This method is bound at first at the base element.
         * If dragging starts and after the ghostElement is rendered the pointerId is reassigned it. Then this method is bound to it.
         * @param {?} event PointerMove event captured
         * @return {?}
         */
        IgxDragDirective.prototype.onPointerMove = /**
         * @hidden
         * Perform drag move logic when dragging and dispatching events if there is igxDrop under the pointer.
         * This method is bound at first at the base element.
         * If dragging starts and after the ghostElement is rendered the pointerId is reassigned it. Then this method is bound to it.
         * @param {?} event PointerMove event captured
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (this._clicked) {
                /** @type {?} */
                var pageX = void 0;
                /** @type {?} */
                var pageY = void 0;
                if (this.pointerEventsEnabled || !this.touchEventsEnabled) {
                    // Check first for pointer events or non touch, because we can have pointer events and touch events at once.
                    pageX = event.pageX;
                    pageY = event.pageY;
                }
                else if (this.touchEventsEnabled) {
                    pageX = event.touches[0].pageX;
                    pageY = event.touches[0].pageY;
                    // Prevent scrolling on touch while dragging
                    event.preventDefault();
                }
                /** @type {?} */
                var totalMovedX = pageX - this._startX;
                /** @type {?} */
                var totalMovedY = pageY - this._startY;
                if (!this._dragStarted &&
                    (Math.abs(totalMovedX) > this.dragTolerance || Math.abs(totalMovedY) > this.dragTolerance)) {
                    /** @type {?} */
                    var dragStartArgs_1 = {
                        originalEvent: event,
                        owner: this,
                        startX: pageX - totalMovedX,
                        startY: pageY - totalMovedY,
                        pageX: pageX,
                        pageY: pageY,
                        cancel: false
                    };
                    this.zone.run(function () {
                        _this.dragStart.emit(dragStartArgs_1);
                    });
                    if (!dragStartArgs_1.cancel) {
                        this._dragStarted = true;
                        if (this.ghost) {
                            // We moved enough so ghostElement can be rendered and actual dragging to start.
                            // When creating it will take into account any offset set by the user by default.
                            this.createGhost(pageX, pageY);
                        }
                        else if (this._offsetX !== undefined || this._offsetY !== undefined) {
                            // There is no need for ghost, but we will need to position initially the base element to reflect any offset.
                            /** @type {?} */
                            var transformX = (this._offsetX !== undefined ? this._offsetX - this._defaultOffsetX : 0) +
                                this.getTransformX(this.element.nativeElement);
                            /** @type {?} */
                            var transformY = (this._offsetY !== undefined ? this._offsetY - this._defaultOffsetY : 0) +
                                this.getTransformY(this.element.nativeElement);
                            this.setTransformXY(transformX, transformY);
                        }
                    }
                    else {
                        return;
                    }
                }
                else if (!this._dragStarted) {
                    return;
                }
                /** @type {?} */
                var moveArgs = {
                    originalEvent: event,
                    owner: this,
                    startX: this._startX,
                    startY: this._startY,
                    pageX: this._lastX,
                    pageY: this._lastY,
                    nextPageX: pageX,
                    nextPageY: pageY,
                    cancel: false
                };
                this.dragMove.emit(moveArgs);
                /** @type {?} */
                var setPageX = moveArgs.nextPageX;
                /** @type {?} */
                var setPageY = moveArgs.nextPageY;
                /** @type {?} */
                var updatedMovedX = setPageX - this._startX;
                /** @type {?} */
                var updatedMovedY = setPageY - this._startY;
                if (!moveArgs.cancel) {
                    if (this.ghost) {
                        this.ghostLeft = this._ghostStartX + updatedMovedX;
                        this.ghostTop = this._ghostStartY + updatedMovedY;
                    }
                    else {
                        /** @type {?} */
                        var lastMovedX = setPageX - this._lastX;
                        /** @type {?} */
                        var lastMovedY = setPageY - this._lastY;
                        /** @type {?} */
                        var translateX = this.getTransformX(this.element.nativeElement) + lastMovedX;
                        /** @type {?} */
                        var translateY = this.getTransformY(this.element.nativeElement) + lastMovedY;
                        this.setTransformXY(translateX, translateY);
                    }
                    this.dispatchDragEvents(pageX, pageY, event);
                }
                this._lastX = setPageX;
                this._lastY = setPageY;
            }
        };
        /**
         * @hidden
         * Perform drag end logic when releasing the ghostElement and dispatching drop event if igxDrop is under the pointer.
         * This method is bound at first at the base element.
         * If dragging starts and after the ghostElement is rendered the pointerId is reassigned to it. Then this method is bound to it.
         * @param event PointerUp event captured
         */
        /**
         * @hidden
         * Perform drag end logic when releasing the ghostElement and dispatching drop event if igxDrop is under the pointer.
         * This method is bound at first at the base element.
         * If dragging starts and after the ghostElement is rendered the pointerId is reassigned to it. Then this method is bound to it.
         * @param {?} event PointerUp event captured
         * @return {?}
         */
        IgxDragDirective.prototype.onPointerUp = /**
         * @hidden
         * Perform drag end logic when releasing the ghostElement and dispatching drop event if igxDrop is under the pointer.
         * This method is bound at first at the base element.
         * If dragging starts and after the ghostElement is rendered the pointerId is reassigned to it. Then this method is bound to it.
         * @param {?} event PointerUp event captured
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this._clicked) {
                return;
            }
            /** @type {?} */
            var pageX;
            /** @type {?} */
            var pageY;
            if (this.pointerEventsEnabled || !this.touchEventsEnabled) {
                // Check first for pointer events or non touch, because we can have pointer events and touch events at once.
                pageX = event.pageX;
                pageY = event.pageY;
            }
            else if (this.touchEventsEnabled) {
                pageX = event.touches[0].pageX;
                pageY = event.touches[0].pageY;
                // Prevent scrolling on touch while dragging
                event.preventDefault();
            }
            /** @type {?} */
            var eventArgs = {
                originalEvent: event,
                owner: this,
                startX: this._startX,
                startY: this._startY,
                pageX: pageX,
                pageY: pageY
            };
            this._pointerDownId = null;
            this._clicked = false;
            if (this._dragStarted) {
                if (this._lastDropArea && this._lastDropArea !== this.element.nativeElement) {
                    this.dispatchDropEvent(event.pageX, event.pageY, event);
                }
                else if (this.animateOnRelease) {
                    this.transitionToOrigin();
                }
                this.zone.run(function () {
                    _this.dragEnd.emit(eventArgs);
                });
                if (!this.animInProgress) {
                    this.onTransitionEnd(null);
                }
            }
            else {
                // Trigger our own click event because when there is no ghost, native click cannot be prevented when dragging.
                this.zone.run(function () {
                    _this.dragClick.emit(eventArgs);
                });
            }
        };
        /**
         * @hidden
         * Execute this method whe the pointer capture has been lost.
         * This means that during dragging the user has performed other action like right clicking and then clicking somewhere else.
         * This method will ensure that the drag state is being reset in this case as if the user released the dragged element.
         * @param event Event captured
         */
        /**
         * @hidden
         * Execute this method whe the pointer capture has been lost.
         * This means that during dragging the user has performed other action like right clicking and then clicking somewhere else.
         * This method will ensure that the drag state is being reset in this case as if the user released the dragged element.
         * @param {?} event Event captured
         * @return {?}
         */
        IgxDragDirective.prototype.onPointerLost = /**
         * @hidden
         * Execute this method whe the pointer capture has been lost.
         * This means that during dragging the user has performed other action like right clicking and then clicking somewhere else.
         * This method will ensure that the drag state is being reset in this case as if the user released the dragged element.
         * @param {?} event Event captured
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this._clicked) {
                return;
            }
            /** @type {?} */
            var eventArgs = {
                originalEvent: event,
                owner: this,
                startX: this._startX,
                startY: this._startY,
                pageX: event.pageX,
                pageY: event.pageY
            };
            this._pointerDownId = null;
            this._clicked = false;
            if (this._dragStarted) {
                this.zone.run(function () {
                    _this.dragEnd.emit(eventArgs);
                });
                if (this.animateOnRelease) {
                    this.transitionToOrigin();
                }
                else if (!this.animInProgress) {
                    this.onTransitionEnd(null);
                }
            }
        };
        /**
         * @hidden
         * Create ghost element - if a Node object is provided it creates a clone of that node,
         * otherwise it clones the host element.
         * Bind all needed events.
         * @param pageX Latest pointer position on the X axis relative to the page.
         * @param pageY Latest pointer position on the Y axis relative to the page.
         * @param node The Node object to be cloned.
         */
        /**
         * @hidden
         * Create ghost element - if a Node object is provided it creates a clone of that node,
         * otherwise it clones the host element.
         * Bind all needed events.
         * @protected
         * @param {?} pageX Latest pointer position on the X axis relative to the page.
         * @param {?} pageY Latest pointer position on the Y axis relative to the page.
         * @param {?=} node The Node object to be cloned.
         * @return {?}
         */
        IgxDragDirective.prototype.createGhost = /**
         * @hidden
         * Create ghost element - if a Node object is provided it creates a clone of that node,
         * otherwise it clones the host element.
         * Bind all needed events.
         * @protected
         * @param {?} pageX Latest pointer position on the X axis relative to the page.
         * @param {?} pageY Latest pointer position on the Y axis relative to the page.
         * @param {?=} node The Node object to be cloned.
         * @return {?}
         */
        function (pageX, pageY, node) {
            var _this = this;
            if (node === void 0) { node = null; }
            if (!this.ghost) {
                return;
            }
            /** @type {?} */
            var dynamicGhostRef;
            if (this.ghostTemplate) {
                dynamicGhostRef = this.viewContainer.createEmbeddedView(this.ghostTemplate, this.ghostContext);
                this.ghostElement = dynamicGhostRef.rootNodes[0];
            }
            else {
                this.ghostElement = node ? node.cloneNode(true) : this.element.nativeElement.cloneNode(true);
            }
            /** @type {?} */
            var totalMovedX = pageX - this._startX;
            /** @type {?} */
            var totalMovedY = pageY - this._startY;
            this._ghostHostX = this.ghostHost ? this.ghostHostOffsetLeft(this.ghostHost) : 0;
            this._ghostHostY = this.ghostHost ? this.ghostHostOffsetTop(this.ghostHost) : 0;
            this.ghostElement.style.transitionDuration = '0.0s';
            this.ghostElement.style.position = 'absolute';
            if (this.ghostClass) {
                this.renderer.addClass(this.ghostElement, this.ghostClass);
            }
            /** @type {?} */
            var createEventArgs = {
                owner: this,
                ghostElement: this.ghostElement,
                cancel: false
            };
            this.ghostCreate.emit(createEventArgs);
            if (createEventArgs.cancel) {
                this.ghostElement = null;
                if (this.ghostTemplate && dynamicGhostRef) {
                    dynamicGhostRef.destroy();
                }
                return;
            }
            if (this.ghostHost) {
                this.ghostHost.appendChild(this.ghostElement);
            }
            else {
                document.body.appendChild(this.ghostElement);
            }
            /** @type {?} */
            var ghostMarginLeft = parseInt(document.defaultView.getComputedStyle(this.ghostElement)['margin-left'], 10);
            /** @type {?} */
            var ghostMarginTop = parseInt(document.defaultView.getComputedStyle(this.ghostElement)['margin-top'], 10);
            this.ghostElement.style.left = (this._ghostStartX - ghostMarginLeft + totalMovedX - this._ghostHostX) + 'px';
            this.ghostElement.style.top = (this._ghostStartY - ghostMarginTop + totalMovedY - this._ghostHostX) + 'px';
            if (this.pointerEventsEnabled) {
                // The ghostElement takes control for moving and dragging after it has been rendered.
                if (this._pointerDownId !== null) {
                    this.ghostElement.setPointerCapture(this._pointerDownId);
                }
                this.ghostElement.addEventListener('pointermove', function (args) {
                    _this.onPointerMove(args);
                });
                this.ghostElement.addEventListener('pointerup', function (args) {
                    _this.onPointerUp(args);
                });
                this.ghostElement.addEventListener('lostpointercapture', function (args) {
                    _this.onPointerLost(args);
                });
            }
            // Transition animation when the ghostElement is released and it returns to it's original position.
            this.ghostElement.addEventListener('transitionend', function (args) {
                _this.onTransitionEnd(args);
            });
            // Hide the base after the ghostElement is created, because otherwise the ghostElement will be not visible.
            if (this.hideBaseOnDrag) {
                this.visible = false;
            }
            this.cdr.detectChanges();
        };
        /**
         * @hidden
         * Dispatch custom igxDragEnter/igxDragLeave events based on current pointer position and if drop area is under.
         */
        /**
         * @hidden
         * Dispatch custom igxDragEnter/igxDragLeave events based on current pointer position and if drop area is under.
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @param {?} originalEvent
         * @return {?}
         */
        IgxDragDirective.prototype.dispatchDragEvents = /**
         * @hidden
         * Dispatch custom igxDragEnter/igxDragLeave events based on current pointer position and if drop area is under.
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @param {?} originalEvent
         * @return {?}
         */
        function (pageX, pageY, originalEvent) {
            /** @type {?} */
            var topDropArea;
            /** @type {?} */
            var customEventArgs = {
                startX: this._startX,
                startY: this._startY,
                pageX: pageX,
                pageY: pageY,
                owner: this,
                originalEvent: originalEvent
            };
            /** @type {?} */
            var elementsFromPoint = this.getElementsAtPoint(pageX, pageY);
            for (var i = 0; i < elementsFromPoint.length; i++) {
                if (elementsFromPoint[i].getAttribute('droppable') === 'true' &&
                    elementsFromPoint[i] !== this.ghostElement && elementsFromPoint[i] !== this.element.nativeElement) {
                    topDropArea = elementsFromPoint[i];
                    break;
                }
            }
            if (topDropArea &&
                (!this._lastDropArea || (this._lastDropArea && this._lastDropArea !== topDropArea))) {
                if (this._lastDropArea) {
                    this.dispatchEvent(this._lastDropArea, 'igxDragLeave', customEventArgs);
                }
                this._lastDropArea = topDropArea;
                this.dispatchEvent(this._lastDropArea, 'igxDragEnter', customEventArgs);
            }
            else if (!topDropArea && this._lastDropArea) {
                this.dispatchEvent(this._lastDropArea, 'igxDragLeave', customEventArgs);
                this._lastDropArea = null;
                return;
            }
            if (topDropArea) {
                this.dispatchEvent(topDropArea, 'igxDragOver', customEventArgs);
            }
        };
        /**
         * @hidden
         * Dispatch custom igxDrop event based on current pointer position if there is last recorder drop area under the pointer.
         * Last recorder drop area is updated in @dispatchDragEvents method.
         */
        /**
         * @hidden
         * Dispatch custom igxDrop event based on current pointer position if there is last recorder drop area under the pointer.
         * Last recorder drop area is updated in \@dispatchDragEvents method.
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @param {?} originalEvent
         * @return {?}
         */
        IgxDragDirective.prototype.dispatchDropEvent = /**
         * @hidden
         * Dispatch custom igxDrop event based on current pointer position if there is last recorder drop area under the pointer.
         * Last recorder drop area is updated in \@dispatchDragEvents method.
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @param {?} originalEvent
         * @return {?}
         */
        function (pageX, pageY, originalEvent) {
            /** @type {?} */
            var eventArgs = {
                startX: this._startX,
                startY: this._startY,
                pageX: pageX,
                pageY: pageY,
                owner: this,
                originalEvent: originalEvent
            };
            this.dispatchEvent(this._lastDropArea, 'igxDrop', eventArgs);
            this.dispatchEvent(this._lastDropArea, 'igxDragLeave', eventArgs);
            this._lastDropArea = null;
        };
        /**
         * @hidden
         * Update relative positions
         */
        /**
         * @hidden
         * Update relative positions
         * @return {?}
         */
        IgxDragDirective.prototype.updateDragRelativePos = /**
         * @hidden
         * Update relative positions
         * @return {?}
         */
        function () {
            /** @type {?} */
            var newPosX;
            /** @type {?} */
            var newPosY;
            if (this.ghost && this.ghostElement) {
                // Calculate the new ghostElement position to remain where the mouse is, so it doesn't jump
                /** @type {?} */
                var totalDraggedX = this.ghostLeft - this._ghostStartX;
                /** @type {?} */
                var totalDraggedY = this.ghostTop - this._ghostStartY;
                newPosX = this.baseLeft;
                newPosY = this.baseTop;
                /** @type {?} */
                var diffStartX = this._ghostStartX - newPosX;
                /** @type {?} */
                var diffStartY = this._ghostStartY - newPosY;
                this.ghostTop = newPosX + totalDraggedX - diffStartX;
                this.ghostLeft = newPosY + totalDraggedY - diffStartY;
            }
            else if (!this.ghost) {
                /** @type {?} */
                var totalDraggedX = this.getTransformX(this.element.nativeElement);
                /** @type {?} */
                var totalDraggedY = this.getTransformY(this.element.nativeElement);
                newPosX = this.baseLeft - totalDraggedX;
                newPosY = this.baseTop - totalDraggedY;
                /** @type {?} */
                var deltaX = this._baseOriginX - newPosX;
                /** @type {?} */
                var deltaY = this._baseOriginY - newPosY;
                this.setTransformXY(totalDraggedX + deltaX, totalDraggedY + deltaY);
            }
            this._baseOriginX = newPosX !== undefined ? newPosX : this._baseOriginX;
            this._baseOriginY = newPosY !== undefined ? newPosY : this._baseOriginY;
        };
        /**
         * @deprecated This method will be removed in future major version. Please use `transitionToOrigin` or `transitionTo`.
         * Informs the `igxDrag` directive that it has been dropped/released.
         * This should usually be called when `animateOnRelease` is set to `true`.
         * When canceling or defining custom drop logic this tells the igxDrag to update it's positions and
         * animate correctly to the new position.
         * ```typescript
         * public onDropElem(event) {
         *     // Function bound to the igxDrop directive event `onDrop`
         *     // This cancels the default drop logic of the `igxDrop`
         *     event.cancel = true;
         *     event.drag.dropFinished();
         * }
         * ```
        */
        /**
         * @deprecated This method will be removed in future major version. Please use `transitionToOrigin` or `transitionTo`.
         * Informs the `igxDrag` directive that it has been dropped/released.
         * This should usually be called when `animateOnRelease` is set to `true`.
         * When canceling or defining custom drop logic this tells the igxDrag to update it's positions and
         * animate correctly to the new position.
         * ```typescript
         * public onDropElem(event) {
         *     // Function bound to the igxDrop directive event `onDrop`
         *     // This cancels the default drop logic of the `igxDrop`
         *     event.cancel = true;
         *     event.drag.dropFinished();
         * }
         * ```
         * @return {?}
         */
        IgxDragDirective.prototype.dropFinished = /**
         * @deprecated This method will be removed in future major version. Please use `transitionToOrigin` or `transitionTo`.
         * Informs the `igxDrag` directive that it has been dropped/released.
         * This should usually be called when `animateOnRelease` is set to `true`.
         * When canceling or defining custom drop logic this tells the igxDrag to update it's positions and
         * animate correctly to the new position.
         * ```typescript
         * public onDropElem(event) {
         *     // Function bound to the igxDrop directive event `onDrop`
         *     // This cancels the default drop logic of the `igxDrop`
         *     event.cancel = true;
         *     event.drag.dropFinished();
         * }
         * ```
         * @return {?}
         */
        function () {
            this.updateDragRelativePos();
            if (this.animateOnRelease && this.ghostElement) {
                this.transitionToOrigin();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDragDirective.prototype.onTransitionEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if ((!this._dragStarted && !this.animInProgress) || this._clicked) {
                // Return if no dragging started and there is no animation in progress.
                return;
            }
            if (this.ghost && this.ghostElement) {
                this._ghostStartX = this.baseLeft + this.getWindowScrollLeft();
                this._ghostStartY = this.baseTop + this.getWindowScrollTop();
                /** @type {?} */
                var ghostDestroyArgs = {
                    owner: this,
                    ghostElement: this.ghostElement,
                    cancel: false
                };
                this.ghostDestroy.emit(ghostDestroyArgs);
                if (ghostDestroyArgs.cancel) {
                    return;
                }
                if (this.hideBaseOnDrag) {
                    this.visible = true;
                }
                this.ghostElement.parentNode.removeChild(this.ghostElement);
                this.ghostElement = null;
            }
            else if (!this.ghost) {
                this.element.nativeElement.style.transitionProperty = '';
                this.element.nativeElement.style.transitionDuration = '0.0s';
                this.element.nativeElement.style.transitionTimingFunction = '';
                this.element.nativeElement.style.transitionDelay = '';
            }
            this.animInProgress = false;
            this._dragStarted = false;
            // Execute transitioned after everything is reset so if the user sets new location on the base now it would work as expected.
            this.zone.run(function () {
                _this.transitioned.emit({
                    originalEvent: event,
                    owner: _this,
                    startX: _this._startX,
                    startY: _this._startY,
                    pageX: _this._startX,
                    pageY: _this._startY
                });
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @return {?}
         */
        IgxDragDirective.prototype.getElementsAtPoint = /**
         * @hidden
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @return {?}
         */
        function (pageX, pageY) {
            // correct the coordinates with the current scroll position, because
            // document.elementsFromPoint consider position within the current viewport
            // window.pageXOffset == window.scrollX; // always true
            // using window.pageXOffset for IE9 compatibility
            /** @type {?} */
            var viewPortX = pageX - window.pageXOffset;
            /** @type {?} */
            var viewPortY = pageY - window.pageYOffset;
            if (document['msElementsFromPoint']) {
                // Edge and IE special snowflakes
                /** @type {?} */
                var elements = document['msElementsFromPoint'](viewPortX, viewPortY);
                return elements === null ? [] : elements;
            }
            else {
                // Other browsers like Chrome, Firefox, Opera
                return document.elementsFromPoint(viewPortX, viewPortY);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} target
         * @param {?} eventName
         * @param {?} eventArgs
         * @return {?}
         */
        IgxDragDirective.prototype.dispatchEvent = /**
         * @hidden
         * @protected
         * @param {?} target
         * @param {?} eventName
         * @param {?} eventArgs
         * @return {?}
         */
        function (target, eventName, eventArgs) {
            // This way is IE11 compatible.
            /** @type {?} */
            var dragLeaveEvent = document.createEvent('CustomEvent');
            dragLeaveEvent.initCustomEvent(eventName, false, false, eventArgs);
            target.dispatchEvent(dragLeaveEvent);
            // Otherwise can be used `target.dispatchEvent(new CustomEvent(eventName, eventArgs));`
        };
        /**
         * @protected
         * @param {?} elem
         * @return {?}
         */
        IgxDragDirective.prototype.getTransformX = /**
         * @protected
         * @param {?} elem
         * @return {?}
         */
        function (elem) {
            /** @type {?} */
            var posX = 0;
            if (elem.style.transform) {
                /** @type {?} */
                var matrix = elem.style.transform;
                /** @type {?} */
                var values = matrix ? matrix.match(/-?[\d\.]+/g) : undefined;
                posX = values ? Number(values[1]) : 0;
            }
            return posX;
        };
        /**
         * @protected
         * @param {?} elem
         * @return {?}
         */
        IgxDragDirective.prototype.getTransformY = /**
         * @protected
         * @param {?} elem
         * @return {?}
         */
        function (elem) {
            /** @type {?} */
            var posY = 0;
            if (elem.style.transform) {
                /** @type {?} */
                var matrix = elem.style.transform;
                /** @type {?} */
                var values = matrix ? matrix.match(/-?[\d\.]+/g) : undefined;
                posY = values ? Number(values[2]) : 0;
            }
            return posY;
        };
        /** Method setting transformation to the base draggable element. */
        /**
         * Method setting transformation to the base draggable element.
         * @protected
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        IgxDragDirective.prototype.setTransformXY = /**
         * Method setting transformation to the base draggable element.
         * @protected
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) {
            this.element.nativeElement.style.transform = 'translate3d(' + x + 'px, ' + y + 'px, 0px)';
        };
        /**
         * @protected
         * @return {?}
         */
        IgxDragDirective.prototype.getWindowScrollTop = /**
         * @protected
         * @return {?}
         */
        function () {
            return window.scrollY ? window.scrollY : (window.pageYOffset ? window.pageYOffset : 0);
        };
        /**
         * @protected
         * @return {?}
         */
        IgxDragDirective.prototype.getWindowScrollLeft = /**
         * @protected
         * @return {?}
         */
        function () {
            return window.scrollX ? window.scrollX : (window.pageXOffset ? window.pageXOffset : 0);
        };
        /**
         * @protected
         * @param {?} ghostHost
         * @return {?}
         */
        IgxDragDirective.prototype.ghostHostOffsetLeft = /**
         * @protected
         * @param {?} ghostHost
         * @return {?}
         */
        function (ghostHost) {
            /** @type {?} */
            var ghostPosition = document.defaultView.getComputedStyle(ghostHost).getPropertyValue('position');
            if (ghostPosition === 'static' && ghostHost.offsetParent && ghostHost.offsetParent === document.body) {
                return 0;
            }
            else if (ghostPosition === 'static' && ghostHost.offsetParent) {
                return ghostHost.offsetParent.getBoundingClientRect().left - this.getWindowScrollLeft();
            }
            return ghostHost.getBoundingClientRect().left - this.getWindowScrollLeft();
        };
        /**
         * @protected
         * @param {?} ghostHost
         * @return {?}
         */
        IgxDragDirective.prototype.ghostHostOffsetTop = /**
         * @protected
         * @param {?} ghostHost
         * @return {?}
         */
        function (ghostHost) {
            /** @type {?} */
            var ghostPosition = document.defaultView.getComputedStyle(ghostHost).getPropertyValue('position');
            if (ghostPosition === 'static' && ghostHost.offsetParent && ghostHost.offsetParent === document.body) {
                return 0;
            }
            else if (ghostPosition === 'static' && ghostHost.offsetParent) {
                return ghostHost.offsetParent.getBoundingClientRect().top - this.getWindowScrollTop();
            }
            return ghostHost.getBoundingClientRect().top - this.getWindowScrollTop();
        };
        IgxDragDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'drag',
                        selector: '[igxDrag]'
                    },] }
        ];
        /** @nocollapse */
        IgxDragDirective.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.ViewContainerRef },
            { type: core.NgZone },
            { type: core.Renderer2 }
        ]; };
        IgxDragDirective.propDecorators = {
            data: [{ type: core.Input, args: ['igxDrag',] }],
            dragTolerance: [{ type: core.Input }],
            dragChannel: [{ type: core.Input }],
            ghost: [{ type: core.Input }],
            ghostClass: [{ type: core.Input }],
            hideBaseOnDrag: [{ type: core.Input }],
            animateOnRelease: [{ type: core.Input }],
            ghostTemplate: [{ type: core.Input }],
            ghostHost: [{ type: core.Input }],
            ghostOffsetX: [{ type: core.Input }],
            ghostOffsetY: [{ type: core.Input }],
            dragStart: [{ type: core.Output }],
            dragMove: [{ type: core.Output }],
            dragEnd: [{ type: core.Output }],
            dragClick: [{ type: core.Output }],
            ghostCreate: [{ type: core.Output }],
            ghostDestroy: [{ type: core.Output }],
            transitioned: [{ type: core.Output }],
            dragHandles: [{ type: core.ContentChildren, args: [IgxDragHandleDirective,] }],
            _visibility: [{ type: core.HostBinding, args: ['style.visibility',] }],
            baseClass: [{ type: core.HostBinding, args: ['class.igx-drag',] }],
            selectDisabled: [{ type: core.HostBinding, args: ['class.igx-drag--select-disabled',] }]
        };
        __decorate([
            DeprecateProperty("'hideBaseOnDrag' @Input property is deprecated and will be removed in future major versions.\n        Alternatives to it are using the new no ghost dragging and custom base styling."),
            __metadata("design:type", Object)
        ], IgxDragDirective.prototype, "hideBaseOnDrag", void 0);
        __decorate([
            DeprecateProperty("'animateOnRelease' @Input property is deprecated and will be removed in future major versions.\n        Please use 'transitionToOrigin' or 'transitionTo' methods instead."),
            __metadata("design:type", Object)
        ], IgxDragDirective.prototype, "animateOnRelease", void 0);
        __decorate([
            DeprecateProperty("'visible' @Input property is deprecated and will be removed in future major versions.\n        Please use native angular ways of hiding the base element using styling."),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxDragDirective.prototype, "visible", null);
        return IgxDragDirective;
    }());
    var IgxDropDirective = /** @class */ (function () {
        function IgxDropDirective(element, _renderer, _zone) {
            this.element = element;
            this._renderer = _renderer;
            this._zone = _zone;
            /**
             * Event triggered when dragged element enters the area of the element.
             * ```html
             * <div class="cageArea" igxDrop (enter)="dragEnter()" (igxDragEnter)="onDragCageEnter()" (igxDragLeave)="onDragCageLeave()">
             * </div>
             * ```
             * ```typescript
             * public dragEnter(){
             *     alert("A draggable element has entered the chip area!");
             * }
             * ```
             * \@memberof IgxDropDirective
             */
            this.enter = new core.EventEmitter();
            /**
             * Event triggered when dragged element enters the area of the element.
             * ```html
             * <div class="cageArea" igxDrop (enter)="dragEnter()" (igxDragEnter)="onDragCageEnter()" (igxDragLeave)="onDragCageLeave()">
             * </div>
             * ```
             * ```typescript
             * public dragEnter(){
             *     alert("A draggable element has entered the chip area!");
             * }
             * ```
             * \@memberof IgxDropDirective
             */
            this.over = new core.EventEmitter();
            /**
             * Event triggered when dragged element leaves the area of the element.
             * ```html
             * <div class="cageArea" igxDrop (leave)="dragLeave()" (igxDragEnter)="onDragCageEnter()" (igxDragLeave)="onDragCageLeave()">
             * </div>
             * ```
             * ```typescript
             * public dragLeave(){
             *     alert("A draggable element has left the chip area!");
             * }
             * ```
             * \@memberof IgxDropDirective
             */
            this.leave = new core.EventEmitter();
            /**
             * Event triggered when dragged element is dropped in the area of the element.
             * Since the `igxDrop` has default logic that appends the dropped element as a child, it can be canceled here.
             * To cancel the default logic the `cancel` property of the event needs to be set to true.
             * ```html
             * <div class="cageArea" igxDrop (dropped)="dragDrop()" (igxDragEnter)="onDragCageEnter()" (igxDragLeave)="onDragCageLeave()">
             * </div>
             * ```
             * ```typescript
             * public dragDrop(){
             *     alert("A draggable element has been dropped in the chip area!");
             * }
             * ```
             * \@memberof IgxDropDirective
             */
            this.dropped = new core.EventEmitter();
            /**
             * @hidden
             */
            this.droppable = true;
            /**
             * @hidden
             */
            this.dragover = false;
            /**
             * @hidden
             */
            this._destroy = new rxjs.Subject();
            this._dropStrategy = new IgxDefaultDropStrategy();
        }
        Object.defineProperty(IgxDropDirective.prototype, "dropStrategy", {
            get: /**
             * @return {?}
             */
            function () {
                return this._dropStrategy;
            },
            /**
             * An @Input property that specifies a drop strategy type that will be executed when an `IgxDrag` element is released inside
             *  the current drop area. The provided strategies are:
             *  - IgxDefaultDropStrategy - This is the default base strategy and it doesn't perform any actions.
             *  - IgxAppendDropStrategy - Appends the dropped element to last position as a direct child to the `igxDrop`.
             *  - IgxPrependDropStrategy - Prepends the dropped element to first position as a direct child to the `igxDrop`.
             *  - IgxInsertDropStrategy - If the dropped element is released above a child element of the `igxDrop`, it will be inserted
             *      at that position. Otherwise the dropped element will be appended if released outside any child of the `igxDrop`.
             * ```html
             * <div igxDrag>
             *      <span>DragMe</span>
             * </div>
             * <div igxDrop [dropStrategy]="myDropStrategy">
             *         <span>Numbers drop area!</span>
             * </div>
             * ```
             * ```typescript
             * import { IgxAppendDropStrategy } from 'igniteui-angular';
             *
             * export class App {
             *      public myDropStrategy = IgxAppendDropStrategy;
             * }
             * ```
             * @memberof IgxDropDirective
             */
            set: /**
             * An \@Input property that specifies a drop strategy type that will be executed when an `IgxDrag` element is released inside
             *  the current drop area. The provided strategies are:
             *  - IgxDefaultDropStrategy - This is the default base strategy and it doesn't perform any actions.
             *  - IgxAppendDropStrategy - Appends the dropped element to last position as a direct child to the `igxDrop`.
             *  - IgxPrependDropStrategy - Prepends the dropped element to first position as a direct child to the `igxDrop`.
             *  - IgxInsertDropStrategy - If the dropped element is released above a child element of the `igxDrop`, it will be inserted
             *      at that position. Otherwise the dropped element will be appended if released outside any child of the `igxDrop`.
             * ```html
             * <div igxDrag>
             *      <span>DragMe</span>
             * </div>
             * <div igxDrop [dropStrategy]="myDropStrategy">
             *         <span>Numbers drop area!</span>
             * </div>
             * ```
             * ```typescript
             * import { IgxAppendDropStrategy } from 'igniteui-angular';
             *
             * export class App {
             *      public myDropStrategy = IgxAppendDropStrategy;
             * }
             * ```
             * \@memberof IgxDropDirective
             * @param {?} classRef
             * @return {?}
             */
            function (classRef) {
                this._dropStrategy = new classRef(this._renderer);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDropDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this._zone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.element.nativeElement, 'igxDragEnter').pipe(operators.takeUntil(_this._destroy))
                    .subscribe(function (res) { return _this.onDragEnter((/** @type {?} */ (res))); });
                rxjs.fromEvent(_this.element.nativeElement, 'igxDragLeave').pipe(operators.takeUntil(_this._destroy)).subscribe(function (res) { return _this.onDragLeave(res); });
                rxjs.fromEvent(_this.element.nativeElement, 'igxDragOver').pipe(operators.takeUntil(_this._destroy)).subscribe(function (res) { return _this.onDragOver(res); });
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDropDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._destroy.next(true);
            this._destroy.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDropDirective.prototype.onDragOver = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
            /** @type {?} */
            var elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
            /** @type {?} */
            var offsetX = event.detail.pageX - elementPosX;
            /** @type {?} */
            var offsetY = event.detail.pageY - elementPosY;
            /** @type {?} */
            var eventArgs = {
                originalEvent: event.detail.originalEvent,
                owner: this,
                drag: event.detail.owner,
                dragData: event.detail.owner.data,
                startX: event.detail.startX,
                startY: event.detail.startY,
                pageX: event.detail.pageX,
                pageY: event.detail.pageY,
                offsetX: offsetX,
                offsetY: offsetY
            };
            this.over.emit(eventArgs);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDropDirective.prototype.onDragEnter = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this.isDragLinked(event.detail.owner)) {
                return;
            }
            this.dragover = true;
            /** @type {?} */
            var elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
            /** @type {?} */
            var elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
            /** @type {?} */
            var offsetX = event.detail.pageX - elementPosX;
            /** @type {?} */
            var offsetY = event.detail.pageY - elementPosY;
            /** @type {?} */
            var eventArgs = {
                originalEvent: event.detail.originalEvent,
                owner: this,
                drag: event.detail.owner,
                dragData: event.detail.owner.data,
                startX: event.detail.startX,
                startY: event.detail.startY,
                pageX: event.detail.pageX,
                pageY: event.detail.pageY,
                offsetX: offsetX,
                offsetY: offsetY
            };
            this._zone.run(function () {
                _this.enter.emit(eventArgs);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDropDirective.prototype.onDragLeave = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this.isDragLinked(event.detail.owner)) {
                return;
            }
            this.dragover = false;
            /** @type {?} */
            var elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
            /** @type {?} */
            var elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
            /** @type {?} */
            var offsetX = event.detail.pageX - elementPosX;
            /** @type {?} */
            var offsetY = event.detail.pageY - elementPosY;
            /** @type {?} */
            var eventArgs = {
                originalEvent: event.detail.originalEvent,
                owner: this,
                drag: event.detail.owner,
                dragData: event.detail.owner.data,
                startX: event.detail.startX,
                startY: event.detail.startY,
                pageX: event.detail.pageX,
                pageY: event.detail.pageY,
                offsetX: offsetX,
                offsetY: offsetY
            };
            this._zone.run(function () {
                _this.leave.emit(eventArgs);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDropDirective.prototype.onDragDrop = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this.isDragLinked(event.detail.owner)) {
                return;
            }
            /** @type {?} */
            var elementPosX = this.element.nativeElement.getBoundingClientRect().left + this.getWindowScrollLeft();
            /** @type {?} */
            var elementPosY = this.element.nativeElement.getBoundingClientRect().top + this.getWindowScrollTop();
            /** @type {?} */
            var offsetX = event.detail.pageX - elementPosX;
            /** @type {?} */
            var offsetY = event.detail.pageY - elementPosY;
            /** @type {?} */
            var args = {
                owner: this,
                originalEvent: event.detail.originalEvent,
                drag: event.detail.owner,
                dragData: event.detail.owner.data,
                startX: event.detail.startX,
                startY: event.detail.startY,
                pageX: event.detail.pageX,
                pageY: event.detail.pageY,
                offsetX: offsetX,
                offsetY: offsetY,
                cancel: false
            };
            this._zone.run(function () {
                _this.dropped.emit(args);
            });
            if (this._dropStrategy && !args.cancel) {
                /** @type {?} */
                var elementsAtPoint = event.detail.owner.getElementsAtPoint(event.detail.pageX, event.detail.pageY);
                /** @type {?} */
                var insertIndex = this.getInsertIndexAt(event.detail.owner, elementsAtPoint);
                this._dropStrategy.dropAction(event.detail.owner, this, insertIndex);
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxDropDirective.prototype.getWindowScrollTop = /**
         * @protected
         * @return {?}
         */
        function () {
            return window.scrollY ? window.scrollY : (window.pageYOffset ? window.pageYOffset : 0);
        };
        /**
         * @protected
         * @return {?}
         */
        IgxDropDirective.prototype.getWindowScrollLeft = /**
         * @protected
         * @return {?}
         */
        function () {
            return window.scrollX ? window.scrollX : (window.pageXOffset ? window.pageXOffset : 0);
        };
        /**
         * @protected
         * @param {?} drag
         * @return {?}
         */
        IgxDropDirective.prototype.isDragLinked = /**
         * @protected
         * @param {?} drag
         * @return {?}
         */
        function (drag) {
            /** @type {?} */
            var dragLinkArray = drag.dragChannel instanceof Array;
            /** @type {?} */
            var dropLinkArray = this.dropChannel instanceof Array;
            if (!dragLinkArray && !dropLinkArray) {
                return this.dropChannel === drag.dragChannel;
            }
            else if (!dragLinkArray && dropLinkArray) {
                /** @type {?} */
                var dropLinks = (/** @type {?} */ (this.dropChannel));
                for (var i = 0; i < dropLinks.length; i++) {
                    if (dropLinks[i] === drag.dragChannel) {
                        return true;
                    }
                }
            }
            else if (dragLinkArray && !dropLinkArray) {
                /** @type {?} */
                var dragLinks = (/** @type {?} */ (drag.dragChannel));
                for (var i = 0; i < dragLinks.length; i++) {
                    if (dragLinks[i] === this.dropChannel) {
                        return true;
                    }
                }
            }
            else {
                /** @type {?} */
                var dragLinks = (/** @type {?} */ (drag.dragChannel));
                /** @type {?} */
                var dropLinks = (/** @type {?} */ (this.dropChannel));
                for (var i = 0; i < dragLinks.length; i++) {
                    for (var j = 0; j < dropLinks.length; j++) {
                        if (dragLinks[i] === dropLinks[j]) {
                            return true;
                        }
                    }
                }
            }
            return false;
        };
        /**
         * @protected
         * @param {?} draggedDir
         * @param {?} elementsAtPoint
         * @return {?}
         */
        IgxDropDirective.prototype.getInsertIndexAt = /**
         * @protected
         * @param {?} draggedDir
         * @param {?} elementsAtPoint
         * @return {?}
         */
        function (draggedDir, elementsAtPoint) {
            /** @type {?} */
            var insertIndex = -1;
            /** @type {?} */
            var dropChildren = Array.prototype.slice.call(this.element.nativeElement.children);
            if (!dropChildren.length) {
                return insertIndex;
            }
            /** @type {?} */
            var i = 0;
            /** @type {?} */
            var childUnder = null;
            while (!childUnder && i < elementsAtPoint.length) {
                if (elementsAtPoint[i].parentElement === this.element.nativeElement) {
                    childUnder = elementsAtPoint[i];
                }
                i++;
            }
            /** @type {?} */
            var draggedElemIndex = dropChildren.indexOf(draggedDir.element.nativeElement);
            insertIndex = dropChildren.indexOf(childUnder);
            if (draggedElemIndex !== -1 && draggedElemIndex < insertIndex) {
                insertIndex++;
            }
            return insertIndex;
        };
        IgxDropDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'drop',
                        selector: '[igxDrop]'
                    },] }
        ];
        /** @nocollapse */
        IgxDropDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: core.NgZone }
        ]; };
        IgxDropDirective.propDecorators = {
            data: [{ type: core.Input, args: ['igxDrop',] }],
            dropChannel: [{ type: core.Input }],
            dropStrategy: [{ type: core.Input }],
            enter: [{ type: core.Output }],
            over: [{ type: core.Output }],
            leave: [{ type: core.Output }],
            dropped: [{ type: core.Output }],
            droppable: [{ type: core.HostBinding, args: ['attr.droppable',] }],
            dragover: [{ type: core.HostBinding, args: ['class.dragOver',] }],
            onDragDrop: [{ type: core.HostListener, args: ['igxDrop', ['$event'],] }]
        };
        return IgxDropDirective;
    }());
    /**
     * @hidden
     */
    var IgxDragDropModule = /** @class */ (function () {
        function IgxDragDropModule() {
        }
        IgxDragDropModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxDragDirective, IgxDropDirective, IgxDragHandleDirective],
                        exports: [IgxDragDirective, IgxDropDirective, IgxDragHandleDirective]
                    },] }
        ];
        return IgxDragDropModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxFilterOptions = /** @class */ (function () {
        function IgxFilterOptions() {
            // Input text value that will be used as a filtering pattern (matching condition is based on it)
            this.inputValue = '';
        }
        // Function - get value to be tested from the item
        // item - single item of the list to be filtered
        // key - property name of item, which value should be tested
        // Default behavior - returns "key"- named property value of item if key si provided,
        // otherwise textContent of the item's html element
        // Function - get value to be tested from the item
        // item - single item of the list to be filtered
        // key - property name of item, which value should be tested
        // Default behavior - returns "key"- named property value of item if key si provided,
        // otherwise textContent of the item's html element
        /**
         * @param {?} item
         * @param {?} key
         * @return {?}
         */
        IgxFilterOptions.prototype.get_value = 
        // Function - get value to be tested from the item
        // item - single item of the list to be filtered
        // key - property name of item, which value should be tested
        // Default behavior - returns "key"- named property value of item if key si provided,
        // otherwise textContent of the item's html element
        /**
         * @param {?} item
         * @param {?} key
         * @return {?}
         */
        function (item, key) {
            /** @type {?} */
            var result = '';
            if (key && item[key]) {
                result = item[key].toString();
            }
            else if (item.element) {
                if (item.element.nativeElement) {
                    result = item.element.nativeElement.textContent.trim();
                    // Check if element doesn't return the DOM element directly
                }
                else if (item.element.textContent) {
                    result = item.element.textContent.trim();
                }
            }
            return result;
        };
        // Function - formats the original text before matching process
        // Default behavior - returns text to lower case
        // Function - formats the original text before matching process
        // Default behavior - returns text to lower case
        /**
         * @param {?} valueToTest
         * @return {?}
         */
        IgxFilterOptions.prototype.formatter = 
        // Function - formats the original text before matching process
        // Default behavior - returns text to lower case
        /**
         * @param {?} valueToTest
         * @return {?}
         */
        function (valueToTest) {
            return valueToTest.toLowerCase();
        };
        // Function - determines whether the item met the condition
        // valueToTest - text value that should be tested
        // inputValue - text value from input that condition is based on
        // Default behavior - "contains"
        // Function - determines whether the item met the condition
        // valueToTest - text value that should be tested
        // inputValue - text value from input that condition is based on
        // Default behavior - "contains"
        /**
         * @param {?} valueToTest
         * @param {?} inputValue
         * @return {?}
         */
        IgxFilterOptions.prototype.matchFn = 
        // Function - determines whether the item met the condition
        // valueToTest - text value that should be tested
        // inputValue - text value from input that condition is based on
        // Default behavior - "contains"
        /**
         * @param {?} valueToTest
         * @param {?} inputValue
         * @return {?}
         */
        function (valueToTest, inputValue) {
            return valueToTest.indexOf(inputValue && inputValue.toLowerCase() || '') > -1;
        };
        // Function - executed after matching test for every matched item
        // Default behavior - shows the item
        // Function - executed after matching test for every matched item
        // Default behavior - shows the item
        /**
         * @param {?} item
         * @return {?}
         */
        IgxFilterOptions.prototype.metConditionFn = 
        // Function - executed after matching test for every matched item
        // Default behavior - shows the item
        /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item.hasOwnProperty('hidden')) {
                item.hidden = false;
            }
        };
        // Function - executed for every NOT matched item after matching test
        // Default behavior - hides the item
        // Function - executed for every NOT matched item after matching test
        // Default behavior - hides the item
        /**
         * @param {?} item
         * @return {?}
         */
        IgxFilterOptions.prototype.overdueConditionFn = 
        // Function - executed for every NOT matched item after matching test
        // Default behavior - hides the item
        /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item.hasOwnProperty('hidden')) {
                item.hidden = true;
            }
        };
        return IgxFilterOptions;
    }());
    var IgxFilterDirective = /** @class */ (function () {
        function IgxFilterDirective(element, renderer) {
            this.element = element;
            this.filtering = new core.EventEmitter(false); // synchronous event emitter
            // synchronous event emitter
            this.filtered = new core.EventEmitter();
        }
        /**
         * @param {?} changes
         * @return {?}
         */
        IgxFilterDirective.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            // Detect only changes of input value
            if (changes.filterOptions &&
                changes.filterOptions.currentValue &&
                changes.filterOptions.currentValue.inputValue !== undefined &&
                changes.filterOptions.previousValue &&
                changes.filterOptions.currentValue.inputValue !== changes.filterOptions.previousValue.inputValue) {
                this.filter();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxFilterDirective.prototype.filter = /**
         * @private
         * @return {?}
         */
        function () {
            if (!this.filterOptions.items) {
                return;
            }
            /** @type {?} */
            var args = { cancel: false, items: this.filterOptions.items };
            this.filtering.emit(args);
            if (args.cancel) {
                return;
            }
            /** @type {?} */
            var pipe = new IgxFilterPipe();
            /** @type {?} */
            var filtered = pipe.transform(this.filterOptions.items, this.filterOptions);
            this.filtered.emit({ filteredItems: filtered });
        };
        IgxFilterDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxFilter]'
                    },] }
        ];
        /** @nocollapse */
        IgxFilterDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        IgxFilterDirective.propDecorators = {
            filtering: [{ type: core.Output }],
            filtered: [{ type: core.Output }],
            filterOptions: [{ type: core.Input, args: ['igxFilter',] }]
        };
        return IgxFilterDirective;
    }());
    var IgxFilterPipe = /** @class */ (function () {
        function IgxFilterPipe() {
        }
        /**
         * @param {?} items
         * @param {?} options
         * @return {?}
         */
        IgxFilterPipe.prototype.transform = /**
         * @param {?} items
         * @param {?} options
         * @return {?}
         */
        function (items, 
        // options - initial settings of filter functionality
        options) {
            /** @type {?} */
            var result = [];
            if (!items || !items.length || !options) {
                return;
            }
            if (options.items) {
                items = options.items;
            }
            result = items.filter(function (item) {
                /** @type {?} */
                var match = options.matchFn(options.formatter(options.get_value(item, options.key)), options.inputValue);
                if (match) {
                    if (options.metConditionFn) {
                        options.metConditionFn(item);
                    }
                }
                else {
                    if (options.overdueConditionFn) {
                        options.overdueConditionFn(item);
                    }
                }
                return match;
            });
            return result;
        };
        IgxFilterPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxFilter',
                        pure: false
                    },] }
        ];
        return IgxFilterPipe;
    }());
    /**
     * @hidden
     */
    var IgxFilterModule = /** @class */ (function () {
        function IgxFilterModule() {
        }
        IgxFilterModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxFilterDirective, IgxFilterPipe],
                        exports: [IgxFilterDirective, IgxFilterPipe],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxFilterModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxFocusDirective = /** @class */ (function () {
        function IgxFocusDirective(element, comp) {
            this.element = element;
            this.comp = comp;
            this.focusState = true;
        }
        Object.defineProperty(IgxFocusDirective.prototype, "focused", {
            /**
             * Returns the state of the igxFocus.
             * ```typescript
             * @ViewChild('focusContainer', {read: IgxFocusDirective})
             * public igxFocus: IgxFocusDirective;
             * let isFocusOn = this.igxFocus.focused;
             * ```
             * @memberof IgxFocusDirective
             */
            get: /**
             * Returns the state of the igxFocus.
             * ```typescript
             * \@ViewChild('focusContainer', {read: IgxFocusDirective})
             * public igxFocus: IgxFocusDirective;
             * let isFocusOn = this.igxFocus.focused;
             * ```
             * \@memberof IgxFocusDirective
             * @return {?}
             */
            function () {
                return this.focusState;
            },
            /**
             * Sets the state of the igxFocus.
             * ```html
             * <igx-input-group >
             *  <input #focusContainer igxInput [igxFocus]="true"/>
             * </igx-input-group>
             * ```
             * @memberof IgxFocusDirective
             */
            set: /**
             * Sets the state of the igxFocus.
             * ```html
             * <igx-input-group >
             *  <input #focusContainer igxInput [igxFocus]="true"/>
             * </igx-input-group>
             * ```
             * \@memberof IgxFocusDirective
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this.focusState = val;
                this.trigger();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFocusDirective.prototype, "nativeElement", {
            /**
             * Gets the native element of the igxFocus.
             * ```typescript
             * @ViewChild('focusContainer', {read: IgxFocusDirective})
             * public igxFocus: IgxFocusDirective;
             * let igxFocusNativeElement = this.igxFocus.nativeElement;
             * ```
             * @memberof IgxFocusDirective
             */
            get: /**
             * Gets the native element of the igxFocus.
             * ```typescript
             * \@ViewChild('focusContainer', {read: IgxFocusDirective})
             * public igxFocus: IgxFocusDirective;
             * let igxFocusNativeElement = this.igxFocus.nativeElement;
             * ```
             * \@memberof IgxFocusDirective
             * @return {?}
             */
            function () {
                if (this.comp && this.comp[0] && this.comp[0].getEditElement) {
                    return ((/** @type {?} */ (this.comp[0]))).getEditElement();
                }
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Triggers the igxFocus state.
         * ```typescript
         * @ViewChild('focusContainer', {read: IgxFocusDirective})
         * public igxFocus: IgxFocusDirective;
         * this.igxFocus.trigger();
         * ```
         * @memberof IgxFocusDirective
         */
        /**
         * Triggers the igxFocus state.
         * ```typescript
         * \@ViewChild('focusContainer', {read: IgxFocusDirective})
         * public igxFocus: IgxFocusDirective;
         * this.igxFocus.trigger();
         * ```
         * \@memberof IgxFocusDirective
         * @return {?}
         */
        IgxFocusDirective.prototype.trigger = /**
         * Triggers the igxFocus state.
         * ```typescript
         * \@ViewChild('focusContainer', {read: IgxFocusDirective})
         * public igxFocus: IgxFocusDirective;
         * this.igxFocus.trigger();
         * ```
         * \@memberof IgxFocusDirective
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.focusState) {
                requestAnimationFrame(function () { return _this.nativeElement.focus(); });
            }
        };
        IgxFocusDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'igxFocus',
                        selector: '[igxFocus]'
                    },] }
        ];
        /** @nocollapse */
        IgxFocusDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: Array, decorators: [{ type: core.Inject, args: [forms.NG_VALUE_ACCESSOR,] }, { type: core.Self }, { type: core.Optional }] }
        ]; };
        IgxFocusDirective.propDecorators = {
            focused: [{ type: core.Input, args: ['igxFocus',] }]
        };
        return IgxFocusDirective;
    }());
    /**
     * @hidden
     */
    var IgxFocusModule = /** @class */ (function () {
        function IgxFocusModule() {
        }
        IgxFocusModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxFocusDirective],
                        exports: [IgxFocusDirective]
                    },] }
        ];
        return IgxFocusModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxLayoutDirective = /** @class */ (function () {
        function IgxLayoutDirective() {
            /**
             * Sets the default flow direction of the container's children.
             *
             * Defaults to `rows`.
             *
             * ```html
             *  <div
             *   igxLayout
             *   igxLayoutDir="row">
             *    <div igxFlex>1</div>
             *    <div igxFlex>2</div>
             *    <div igxFlex>3</div>
             *  </div>
             * ```
             */
            this.dir = 'row';
            /**
             * Defines the direction flex children are placed in the flex container.
             *
             * When set to `true`, the `rows` direction goes right to left and `columns` goes bottom to top.
             *
             * ```html
             * <div
             *   igxLayout
             *   igxLayoutReverse="true">
             *    <div igxFlex>1</div>
             *    <div igxFlex>2</div>
             *    <div igxFlex>3</div>
             * </div>
             * ```
             */
            this.reverse = false;
            /**
             * By default the immediate children will all try to fit onto one line.
             *
             * The default value `nowrap` sets this behavior.
             *
             * Other accepted values are `wrap` and `wrap-reverse`.
             *
             * ```html
             * <div
             *   igxLayout
             *   igxLayoutDir="row"
             *   igxLayoutWrap="wrap">
             *    <div igxFlex igxFlexGrow="0">1</div>
             *    <div igxFlex igxFlexGrow="0">2</div>
             *    <div igxFlex igxFlexGrow="0">3</div>
             * </div>
             * ```
             */
            this.wrap = 'nowrap';
            /**
             * Defines the alignment along the main axis.
             *
             * Defaults to `flex-start` which packs the children toward the start line.
             *
             * Other possible values are `flex-end`, `center`, `space-between`, `space-around`.
             *
             * ```html
             * <div
             *   igxLayout
             *   igxLayoutDir="column"
             *   igxLayoutJustify="space-between">
             *    <div>1</div>
             *    <div>2</div>
             *    <div>3</div>
             * </div>
             * ```
             */
            this.justify = 'flex-start';
            /**
             * Defines the default behavior for how children are laid out along the corss axis of the current line.
             *
             * Defaults to `flex-start`.
             *
             * Other possible values are `flex-end`, `center`, `baseline`, and `stretch`.
             *
             * ```html
             * <div
             *   igxLayout
             *   igxLayoutDir="column"
             *   igxLayoutItemAlign="start">
             *    <div igxFlex igxFlexGrow="0">1</div>
             *    <div igxFlex igxFlexGrow="0">2</div>
             *    <div igxFlex igxFlexGrow="0">3</div>
             * </div>
             * ```
             */
            this.itemAlign = 'stretch';
            /**
             * @hidden
             */
            this.display = 'flex';
        }
        Object.defineProperty(IgxLayoutDirective.prototype, "flexwrap", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () { return this.wrap; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLayoutDirective.prototype, "justifycontent", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () { return this.justify; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLayoutDirective.prototype, "align", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () { return this.itemAlign; },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLayoutDirective.prototype, "direction", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.reverse) {
                    return (this.dir === 'row') ? 'row-reverse' : 'column-reverse';
                }
                return (this.dir === 'row') ? 'row' : 'column';
            },
            enumerable: true,
            configurable: true
        });
        IgxLayoutDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxLayout]'
                    },] }
        ];
        IgxLayoutDirective.propDecorators = {
            dir: [{ type: core.Input, args: ['igxLayoutDir',] }],
            reverse: [{ type: core.Input, args: ['igxLayoutReverse',] }],
            wrap: [{ type: core.Input, args: ['igxLayoutWrap',] }],
            justify: [{ type: core.Input, args: ['igxLayoutJustify',] }],
            itemAlign: [{ type: core.Input, args: ['igxLayoutItemAlign',] }],
            display: [{ type: core.HostBinding, args: ['style.display',] }],
            flexwrap: [{ type: core.HostBinding, args: ['style.flex-wrap',] }],
            justifycontent: [{ type: core.HostBinding, args: ['style.justify-content',] }],
            align: [{ type: core.HostBinding, args: ['style.align-items',] }],
            direction: [{ type: core.HostBinding, args: ['style.flex-direction',] }]
        };
        return IgxLayoutDirective;
    }());
    var IgxFlexDirective = /** @class */ (function () {
        function IgxFlexDirective() {
            /**
             * Applies the `grow` attribute to an element that uses the directive.
             *
             * Default value is `1`.
             *
             * ```html
             * <div>
             *    <div igxFlex igxFlexGrow="0">Content1</div>
             *    <div igxFlex igxFlexGrow="1">Content2</div>
             *    <div igxFlex igxFlexGrow="0">Content3</div>
             * </div>
             * ```
             */
            this.grow = 1;
            /**
             * Applies the `shrink` attribute to an element that uses the directive.
             *
             * Default value is `1`.
             *
             * ```html
             * <div>
             *    <div igxFlex igxFlexShrink="1">Content1</div>
             *    <div igxFlex igxFlexShrink="0">Content2</div>
             *    <div igxFlex igxFlexShrink="1">Content3</div>
             * </div>
             * ```
             */
            this.shrink = 1;
            /**
             * Applies the directive to an element.
             *
             * Possible values include `igxFlexGrow`, `igxFlexShrink`, `igxFlexOrder`, `igxFlexBasis`.
             *
             * ```html
             * <div igxFlex>Content</div>
             * ```
             */
            this.flex = '';
            /**
             * Applies the `order` attribute to an element that uses the directive.
             *
             * Default value is `0`.
             *
             * ```html
             * <div>
             *    <div igxFlex igxFlexOrder="1">Content1</div>
             *    <div igxFlex igxFlexOrder="0">Content2</div>
             *    <div igxFlex igxFlexOrder="2">Content3</div>
             * </div>
             * ```
             */
            this.order = 0;
            /**
             * Applies the `flex-basis` attribute to an element that uses the directive.
             *
             * Default value is `auto`.
             *
             * Other possible values include `content`, `max-content`, `min-content`, `fit-content`.
             *
             * ```html
             * <div igxFlex igxFlexBasis="fit-content">Content</div>
             * ```
             */
            this.basis = 'auto';
        }
        Object.defineProperty(IgxFlexDirective.prototype, "style", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.flex) {
                    return "" + this.flex;
                }
                return this.grow + " " + this.shrink + " " + this.basis;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFlexDirective.prototype, "itemorder", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.order || 0;
            },
            enumerable: true,
            configurable: true
        });
        IgxFlexDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxFlex]'
                    },] }
        ];
        IgxFlexDirective.propDecorators = {
            grow: [{ type: core.Input, args: ['igxFlexGrow',] }],
            shrink: [{ type: core.Input, args: ['igxFlexShrink',] }],
            flex: [{ type: core.Input, args: ['igxFlex',] }],
            order: [{ type: core.Input, args: ['igxFlexOrder',] }],
            basis: [{ type: core.Input, args: ['igxFlexBasis',] }],
            style: [{ type: core.HostBinding, args: ['style.flex',] }],
            itemorder: [{ type: core.HostBinding, args: ['style.order',] }]
        };
        return IgxFlexDirective;
    }());
    /**
     * @hidden
     */
    var IgxLayoutModule = /** @class */ (function () {
        function IgxLayoutModule() {
        }
        IgxLayoutModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxFlexDirective, IgxLayoutDirective],
                        exports: [IgxFlexDirective, IgxLayoutDirective]
                    },] }
        ];
        return IgxLayoutModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @type {?}
     */
    var MASK_FLAGS = ['C', '&', 'a', 'A', '?', 'L', '9', '0', '#'];
    /**
     * @hidden
     * @type {?}
     */
    var KEYS = {
        Ctrl: 17,
        Z: 90,
        Y: 89,
        X: 88,
        BACKSPACE: 8,
        DELETE: 46
    };
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    MaskHelper = /** @class */ (function () {
        function MaskHelper() {
        }
        Object.defineProperty(MaskHelper.prototype, "cursor", {
            get: /**
             * @return {?}
             */
            function () {
                return this._cursor;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @param {?} maskOptions
         * @param {?} cursor
         * @return {?}
         */
        MaskHelper.prototype.parseValueByMask = /**
         * @param {?} value
         * @param {?} maskOptions
         * @param {?} cursor
         * @return {?}
         */
        function (value, maskOptions, cursor) {
            /** @type {?} */
            var inputValue = value;
            /** @type {?} */
            var mask = maskOptions.format;
            /** @type {?} */
            var literals = this.getMaskLiterals(mask);
            /** @type {?} */
            var literalKeys = Array.from(literals.keys());
            /** @type {?} */
            var nonLiteralIndeces = this.getNonLiteralIndeces(mask, literalKeys);
            if (inputValue.length < mask.length) { // BACKSPACE, DELETE
                if (inputValue === '' && cursor === -1) {
                    this._cursor = 0;
                    return this.parseValueByMaskOnInit(value, maskOptions);
                } // workaround for IE 'x' button
                if (nonLiteralIndeces.indexOf(cursor + 1) !== -1) {
                    inputValue = this.insertCharAt(inputValue, cursor + 1, maskOptions.promptChar);
                    this._cursor = cursor + 1;
                }
                else {
                    inputValue = this.insertCharAt(inputValue, cursor + 1, mask[cursor + 1]);
                    this._cursor = cursor + 1;
                    for (var i = this._cursor; i < 0; i--) {
                        if (literalKeys.indexOf(this._cursor) !== -1) {
                            this._cursor--;
                        }
                        else {
                            break;
                        }
                    }
                }
            }
            else {
                /** @type {?} */
                var char = inputValue[cursor];
                /** @type {?} */
                var isCharValid = this.validateCharOnPostion(char, cursor, mask);
                if (nonLiteralIndeces.indexOf(cursor) !== -1) {
                    inputValue = this.replaceCharAt(inputValue, cursor, '');
                    if (isCharValid) {
                        inputValue = this.replaceCharAt(inputValue, cursor, char);
                        this._cursor = cursor + 1;
                    }
                    else {
                        this._cursor = cursor;
                    }
                }
                else {
                    inputValue = this.replaceCharAt(inputValue, cursor, '');
                    this._cursor = ++cursor;
                    for (var i = cursor; i < mask.length; i++) {
                        if (literalKeys.indexOf(this._cursor) !== -1) {
                            this._cursor = ++cursor;
                        }
                        else {
                            isCharValid = this.validateCharOnPostion(char, cursor, mask);
                            if (isCharValid) {
                                inputValue = this.replaceCharAt(inputValue, cursor, char);
                                this._cursor = ++cursor;
                                break;
                            }
                            else {
                                break;
                            }
                        }
                    }
                }
            }
            return inputValue;
        };
        /**
         * @param {?} maskOptions
         * @return {?}
         */
        MaskHelper.prototype.parseMask = /**
         * @param {?} maskOptions
         * @return {?}
         */
        function (maskOptions) {
            var _this = this;
            var e_1, _a;
            /** @type {?} */
            var outputVal = '';
            /** @type {?} */
            var mask = maskOptions.format;
            /** @type {?} */
            var literals = this.getMaskLiterals(mask);
            try {
                for (var mask_1 = __values(mask), mask_1_1 = mask_1.next(); !mask_1_1.done; mask_1_1 = mask_1.next()) {
                    var maskSym = mask_1_1.value;
                    outputVal += maskOptions.promptChar;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (mask_1_1 && !mask_1_1.done && (_a = mask_1.return)) _a.call(mask_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            literals.forEach(function (val, key) {
                outputVal = _this.replaceCharAt(outputVal, key, val);
            });
            return outputVal;
        };
        /**
         * @param {?} inputVal
         * @param {?} maskOptions
         * @return {?}
         */
        MaskHelper.prototype.parseValueByMaskOnInit = /**
         * @param {?} inputVal
         * @param {?} maskOptions
         * @return {?}
         */
        function (inputVal, maskOptions) {
            var _this = this;
            var e_2, _a, e_3, _b;
            /** @type {?} */
            var outputVal = '';
            /** @type {?} */
            var value = '';
            /** @type {?} */
            var mask = maskOptions.format;
            /** @type {?} */
            var literals = this.getMaskLiterals(mask);
            /** @type {?} */
            var literalKeys = Array.from(literals.keys());
            /** @type {?} */
            var nonLiteralIndeces = this.getNonLiteralIndeces(mask, literalKeys);
            /** @type {?} */
            var literalValues = Array.from(literals.values());
            if (inputVal != null) {
                value = inputVal.toString();
            }
            try {
                for (var mask_2 = __values(mask), mask_2_1 = mask_2.next(); !mask_2_1.done; mask_2_1 = mask_2.next()) {
                    var maskSym = mask_2_1.value;
                    outputVal += maskOptions.promptChar;
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (mask_2_1 && !mask_2_1.done && (_a = mask_2.return)) _a.call(mask_2);
                }
                finally { if (e_2) throw e_2.error; }
            }
            literals.forEach(function (val, key) {
                outputVal = _this.replaceCharAt(outputVal, key, val);
            });
            if (!value) {
                return outputVal;
            }
            /** @type {?} */
            var nonLiteralValues = this.getNonLiteralValues(value, literalValues);
            for (var i = 0; i < nonLiteralValues.length; i++) {
                /** @type {?} */
                var char = nonLiteralValues[i];
                /** @type {?} */
                var isCharValid = this.validateCharOnPostion(char, nonLiteralIndeces[i], mask);
                if (!isCharValid && char !== maskOptions.promptChar) {
                    nonLiteralValues[i] = maskOptions.promptChar;
                }
            }
            if (nonLiteralValues.length > nonLiteralIndeces.length) {
                nonLiteralValues.splice(nonLiteralIndeces.length);
            }
            /** @type {?} */
            var pos = 0;
            try {
                for (var nonLiteralValues_1 = __values(nonLiteralValues), nonLiteralValues_1_1 = nonLiteralValues_1.next(); !nonLiteralValues_1_1.done; nonLiteralValues_1_1 = nonLiteralValues_1.next()) {
                    var nonLiteralValue = nonLiteralValues_1_1.value;
                    /** @type {?} */
                    var char = nonLiteralValue;
                    outputVal = this.replaceCharAt(outputVal, nonLiteralIndeces[pos++], char);
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (nonLiteralValues_1_1 && !nonLiteralValues_1_1.done && (_b = nonLiteralValues_1.return)) _b.call(nonLiteralValues_1);
                }
                finally { if (e_3) throw e_3.error; }
            }
            return outputVal;
        };
        /**
         * @param {?} value
         * @param {?} maskOptions
         * @return {?}
         */
        MaskHelper.prototype.restoreValueFromMask = /**
         * @param {?} value
         * @param {?} maskOptions
         * @return {?}
         */
        function (value, maskOptions) {
            var e_4, _a;
            /** @type {?} */
            var outputVal = '';
            /** @type {?} */
            var mask = maskOptions.format;
            /** @type {?} */
            var literals = this.getMaskLiterals(mask);
            /** @type {?} */
            var literalValues = Array.from(literals.values());
            try {
                for (var value_1 = __values(value), value_1_1 = value_1.next(); !value_1_1.done; value_1_1 = value_1.next()) {
                    var val = value_1_1.value;
                    if (literalValues.indexOf(val) === -1) {
                        if (val !== maskOptions.promptChar) {
                            outputVal += val;
                        }
                    }
                }
            }
            catch (e_4_1) { e_4 = { error: e_4_1 }; }
            finally {
                try {
                    if (value_1_1 && !value_1_1.done && (_a = value_1.return)) _a.call(value_1);
                }
                finally { if (e_4) throw e_4.error; }
            }
            return outputVal;
        };
        /**
         * @param {?} value
         * @param {?} maskOptions
         * @param {?} cursor
         * @param {?} selection
         * @return {?}
         */
        MaskHelper.prototype.parseValueByMaskUponSelection = /**
         * @param {?} value
         * @param {?} maskOptions
         * @param {?} cursor
         * @param {?} selection
         * @return {?}
         */
        function (value, maskOptions, cursor, selection) {
            /** @type {?} */
            var isCharValid;
            /** @type {?} */
            var inputValue = value;
            /** @type {?} */
            var char = inputValue[cursor];
            /** @type {?} */
            var mask = maskOptions.format;
            /** @type {?} */
            var literals = this.getMaskLiterals(mask);
            /** @type {?} */
            var literalKeys = Array.from(literals.keys());
            /** @type {?} */
            var nonLiteralIndeces = this.getNonLiteralIndeces(mask, literalKeys);
            if (!this.data) {
                this._cursor = cursor < 0 ? ++cursor : cursor;
                if (nonLiteralIndeces.indexOf(this._cursor) !== -1) {
                    isCharValid = this.validateCharOnPostion(char, this._cursor, mask);
                    inputValue = isCharValid ? this.replaceCharAt(inputValue, this._cursor++, char) :
                        inputValue = this.replaceCharAt(inputValue, this._cursor++, maskOptions.promptChar);
                    selection--;
                    if (selection > 0) {
                        for (var i = 0; i < selection; i++) {
                            cursor++;
                            inputValue = nonLiteralIndeces.indexOf(cursor) !== -1 ?
                                this.insertCharAt(inputValue, cursor, maskOptions.promptChar) :
                                this.insertCharAt(inputValue, cursor, mask[cursor]);
                        }
                    }
                }
                else {
                    inputValue = this.replaceCharAt(inputValue, this._cursor, mask[this._cursor]);
                    this._cursor++;
                    selection--;
                    /** @type {?} */
                    var isMarked = false;
                    if (selection > 0) {
                        cursor = this._cursor;
                        for (var i = 0; i < selection; i++) {
                            if (nonLiteralIndeces.indexOf(cursor) !== -1) {
                                isCharValid = this.validateCharOnPostion(char, cursor, mask);
                                if (isCharValid && !isMarked) {
                                    inputValue = this.insertCharAt(inputValue, cursor, char);
                                    cursor++;
                                    this._cursor++;
                                    isMarked = true;
                                }
                                else {
                                    inputValue = this.insertCharAt(inputValue, cursor, maskOptions.promptChar);
                                    cursor++;
                                }
                            }
                            else {
                                inputValue = this.insertCharAt(inputValue, cursor, mask[cursor]);
                                if (cursor === this._cursor) {
                                    this._cursor++;
                                }
                                cursor++;
                            }
                        }
                    }
                }
            }
            else {
                if (inputValue === '' && cursor === -1) {
                    this._cursor = 0;
                    return this.parseValueByMaskOnInit(value, maskOptions);
                } // workaround for IE 'x' button
                if (this._cursor < 0) {
                    this._cursor++;
                    cursor++;
                }
                cursor++;
                this._cursor = cursor;
                for (var i = 0; i < selection; i++) {
                    if (nonLiteralIndeces.indexOf(cursor) !== -1) {
                        inputValue = this.insertCharAt(inputValue, cursor, maskOptions.promptChar);
                        cursor++;
                    }
                    else {
                        inputValue = this.insertCharAt(inputValue, cursor, mask[cursor]);
                        cursor++;
                    }
                }
            }
            return inputValue;
        };
        /**
         * @param {?} value
         * @param {?} maskOptions
         * @param {?} cursor
         * @param {?} clipboardData
         * @param {?} selection
         * @return {?}
         */
        MaskHelper.prototype.parseValueByMaskUponCopyPaste = /**
         * @param {?} value
         * @param {?} maskOptions
         * @param {?} cursor
         * @param {?} clipboardData
         * @param {?} selection
         * @return {?}
         */
        function (value, maskOptions, cursor, clipboardData, selection) {
            var e_5, _a;
            /** @type {?} */
            var inputValue = value;
            /** @type {?} */
            var mask = maskOptions.format;
            /** @type {?} */
            var literals = this.getMaskLiterals(mask);
            /** @type {?} */
            var literalKeys = Array.from(literals.keys());
            /** @type {?} */
            var nonLiteralIndeces = this.getNonLiteralIndeces(mask, literalKeys);
            /** @type {?} */
            var selectionEnd = cursor + selection;
            this._cursor = cursor;
            try {
                for (var clipboardData_1 = __values(clipboardData), clipboardData_1_1 = clipboardData_1.next(); !clipboardData_1_1.done; clipboardData_1_1 = clipboardData_1.next()) {
                    var clipboardSym = clipboardData_1_1.value;
                    /** @type {?} */
                    var char = clipboardSym;
                    if (this._cursor > mask.length) {
                        return inputValue;
                    }
                    if (nonLiteralIndeces.indexOf(this._cursor) !== -1) {
                        /** @type {?} */
                        var isCharValid = this.validateCharOnPostion(char, this._cursor, mask);
                        if (isCharValid) {
                            inputValue = this.replaceCharAt(inputValue, this._cursor++, char);
                        }
                    }
                    else {
                        for (var i = cursor; i < mask.length; i++) {
                            if (literalKeys.indexOf(this._cursor) !== -1) {
                                this._cursor++;
                            }
                            else {
                                /** @type {?} */
                                var isCharValid = this.validateCharOnPostion(char, this._cursor, mask);
                                if (isCharValid) {
                                    inputValue = this.replaceCharAt(inputValue, this._cursor++, char);
                                }
                                break;
                            }
                        }
                    }
                    selection--;
                }
            }
            catch (e_5_1) { e_5 = { error: e_5_1 }; }
            finally {
                try {
                    if (clipboardData_1_1 && !clipboardData_1_1.done && (_a = clipboardData_1.return)) _a.call(clipboardData_1);
                }
                finally { if (e_5) throw e_5.error; }
            }
            if (selection > 0) {
                for (var i = this._cursor; i < selectionEnd; i++) {
                    if (literalKeys.indexOf(this._cursor) !== -1) {
                        this._cursor++;
                    }
                    else {
                        inputValue = this.replaceCharAt(inputValue, this._cursor++, maskOptions.promptChar);
                    }
                }
            }
            return inputValue;
        };
        /**
         * @private
         * @param {?} inputChar
         * @param {?} position
         * @param {?} mask
         * @return {?}
         */
        MaskHelper.prototype.validateCharOnPostion = /**
         * @private
         * @param {?} inputChar
         * @param {?} position
         * @param {?} mask
         * @return {?}
         */
        function (inputChar, position, mask) {
            /** @type {?} */
            var regex;
            /** @type {?} */
            var isValid;
            /** @type {?} */
            var letterOrDigitRegEx = '[\\d\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z]';
            /** @type {?} */
            var letterDigitOrSpaceRegEx = '[\\d\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z\\u0020]';
            /** @type {?} */
            var letterRegEx = '[\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z]';
            /** @type {?} */
            var letteSpaceRegEx = '[\\u00C0-\\u1FFF\\u2C00-\\uD7FFa-zA-Z\\u0020]';
            /** @type {?} */
            var digitRegEx = '[\\d]';
            /** @type {?} */
            var digitSpaceRegEx = '[\\d\\u0020]';
            /** @type {?} */
            var digitSpecialRegEx = '[\\d-\\+]';
            switch (mask.charAt(position)) {
                case 'C':
                    isValid = inputChar !== '';
                    break;
                case '&':
                    regex = new RegExp('[\\u0020]');
                    isValid = !regex.test(inputChar);
                    break;
                case 'a':
                    regex = new RegExp(letterDigitOrSpaceRegEx);
                    isValid = regex.test(inputChar);
                    break;
                case 'A':
                    regex = new RegExp(letterOrDigitRegEx);
                    isValid = regex.test(inputChar);
                    break;
                case '?':
                    regex = new RegExp(letteSpaceRegEx);
                    isValid = regex.test(inputChar);
                    break;
                case 'L':
                    regex = new RegExp(letterRegEx);
                    isValid = regex.test(inputChar);
                    break;
                case '0':
                    regex = new RegExp(digitRegEx);
                    isValid = regex.test(inputChar);
                    break;
                case '9':
                    regex = new RegExp(digitSpaceRegEx);
                    isValid = regex.test(inputChar);
                    break;
                case '#':
                    regex = new RegExp(digitSpecialRegEx);
                    isValid = regex.test(inputChar);
                    break;
                default: {
                    isValid = null;
                }
            }
            return isValid;
        };
        /**
         * @private
         * @param {?} strValue
         * @param {?} index
         * @param {?} char
         * @return {?}
         */
        MaskHelper.prototype.replaceCharAt = /**
         * @private
         * @param {?} strValue
         * @param {?} index
         * @param {?} char
         * @return {?}
         */
        function (strValue, index, char) {
            if (strValue !== undefined) {
                return strValue.substring(0, index) + char + strValue.substring(index + 1);
            }
        };
        /**
         * @private
         * @param {?} strValue
         * @param {?} index
         * @param {?} char
         * @return {?}
         */
        MaskHelper.prototype.insertCharAt = /**
         * @private
         * @param {?} strValue
         * @param {?} index
         * @param {?} char
         * @return {?}
         */
        function (strValue, index, char) {
            if (strValue !== undefined) {
                return strValue.substring(0, index) + char + strValue.substring(index);
            }
        };
        /**
         * @private
         * @param {?} mask
         * @return {?}
         */
        MaskHelper.prototype.getMaskLiterals = /**
         * @private
         * @param {?} mask
         * @return {?}
         */
        function (mask) {
            /** @type {?} */
            var literals = new Map();
            for (var i = 0; i < mask.length; i++) {
                /** @type {?} */
                var char = mask.charAt(i);
                if (MASK_FLAGS.indexOf(char) === -1) {
                    literals.set(i, char);
                }
            }
            return literals;
        };
        /**
         * @private
         * @param {?} mask
         * @param {?} literalKeys
         * @return {?}
         */
        MaskHelper.prototype.getNonLiteralIndeces = /**
         * @private
         * @param {?} mask
         * @param {?} literalKeys
         * @return {?}
         */
        function (mask, literalKeys) {
            /** @type {?} */
            var nonLiteralsIndeces = new Array();
            for (var i = 0; i < mask.length; i++) {
                if (literalKeys.indexOf(i) === -1) {
                    nonLiteralsIndeces.push(i);
                }
            }
            return nonLiteralsIndeces;
        };
        /**
         * @private
         * @param {?} value
         * @param {?} literalValues
         * @return {?}
         */
        MaskHelper.prototype.getNonLiteralValues = /**
         * @private
         * @param {?} value
         * @param {?} literalValues
         * @return {?}
         */
        function (value, literalValues) {
            var e_6, _a;
            /** @type {?} */
            var nonLiteralValues = new Array();
            try {
                for (var value_2 = __values(value), value_2_1 = value_2.next(); !value_2_1.done; value_2_1 = value_2.next()) {
                    var val = value_2_1.value;
                    if (literalValues.indexOf(val) === -1) {
                        nonLiteralValues.push(val);
                    }
                }
            }
            catch (e_6_1) { e_6 = { error: e_6_1 }; }
            finally {
                try {
                    if (value_2_1 && !value_2_1.done && (_a = value_2.return)) _a.call(value_2);
                }
                finally { if (e_6) throw e_6.error; }
            }
            return nonLiteralValues;
        };
        return MaskHelper;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var noop = function () { };
    var IgxMaskDirective = /** @class */ (function () {
        function IgxMaskDirective(elementRef) {
            this.elementRef = elementRef;
            /**
             * Emits an event each time the value changes.
             * Provides `rawValue: string` and `formattedValue: string` as event arguments.
             * ```html
             * <input (onValueChange) = "onValueChange(rawValue: string, formattedValue: string)">
             * ```
             */
            this.onValueChange = new core.EventEmitter();
            /**
             * @hidden
             */
            this._maskOptions = {
                format: '',
                promptChar: ''
            };
            /**
             * @hidden
             */
            this._onTouchedCallback = noop;
            /**
             * @hidden
             */
            this._onChangeCallback = noop;
            this.maskHelper = new MaskHelper();
        }
        Object.defineProperty(IgxMaskDirective.prototype, "placeholder", {
            get: /**
             * @return {?}
             */
            function () {
                return this._placeholder;
            },
            /**
             * Specifies a placeholder.
             * ```html
             * <input placeholder = "enter text...">
             * ```
             * @memberof IgxMaskDirective
             */
            set: /**
             * Specifies a placeholder.
             * ```html
             * <input placeholder = "enter text...">
             * ```
             * \@memberof IgxMaskDirective
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._placeholder = val;
                this.nativeElement.setAttribute('placeholder', this._placeholder);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMaskDirective.prototype, "value", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @private
             * @return {?}
             */
            function () {
                return this.nativeElement.value;
            },
            /**
             *@hidden
             */
            set: /**
             * @hidden
             * @private
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this.nativeElement.value = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMaskDirective.prototype, "nativeElement", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @private
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMaskDirective.prototype, "selectionStart", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @private
             * @return {?}
             */
            function () {
                return this.nativeElement.selectionStart;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMaskDirective.prototype, "selectionEnd", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @private
             * @return {?}
             */
            function () {
                return this.nativeElement.selectionEnd;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxMaskDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.promptChar && this.promptChar.length > 1) {
                this._maskOptions.promptChar = this.promptChar = this.promptChar.substring(0, 1);
            }
            this._maskOptions.format = this.mask ? this.mask : 'CCCCCCCCCC';
            this._maskOptions.promptChar = this.promptChar ? this.promptChar : '_';
            this.nativeElement.setAttribute('placeholder', this.placeholder ? this.placeholder : this._maskOptions.format);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMaskDirective.prototype.onKeydown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var key = event.keyCode || event.charCode;
            if (isIE() && this._stopPropagation) {
                this._stopPropagation = false;
            }
            if (key === KEYS.Ctrl) {
                this._ctrlDown = true;
            }
            if ((this._ctrlDown && key === KEYS.Z) || (this._ctrlDown && key === KEYS.Y)) {
                event.preventDefault();
            }
            this._key = key;
            this._selection = Math.abs(this.selectionEnd - this.selectionStart);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMaskDirective.prototype.onKeyup = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var key = event.keyCode || event.charCode;
            if (key === KEYS.Ctrl) {
                this._ctrlDown = false;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMaskDirective.prototype.onPaste = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this._paste = true;
            this._valOnPaste = this.value;
            this._cursorOnPaste = this.getCursorPosition();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMaskDirective.prototype.onInputChanged = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (isIE() && this._stopPropagation) {
                this._stopPropagation = false;
                return;
            }
            if (this._paste) {
                this._paste = false;
                /** @type {?} */
                var clipboardData = this.value.substring(this._cursorOnPaste, this.getCursorPosition());
                this.value = this.maskHelper.parseValueByMaskUponCopyPaste(this._valOnPaste, this._maskOptions, this._cursorOnPaste, clipboardData, this._selection);
                this.setCursorPosition(this.maskHelper.cursor);
            }
            else {
                /** @type {?} */
                var currentCursorPos = this.getCursorPosition();
                this.maskHelper.data = (this._key === KEYS.BACKSPACE) || (this._key === KEYS.DELETE);
                this.value = this._selection && this._selection !== 0 ?
                    this.maskHelper.parseValueByMaskUponSelection(this.value, this._maskOptions, currentCursorPos - 1, this._selection) :
                    this.maskHelper.parseValueByMask(this.value, this._maskOptions, currentCursorPos - 1);
                this.setCursorPosition(this.maskHelper.cursor);
            }
            /** @type {?} */
            var rawVal = this.maskHelper.restoreValueFromMask(this.value, this._maskOptions);
            this.dataValue = this.includeLiterals ? this.value : rawVal;
            this._onChangeCallback(this.dataValue);
            this.onValueChange.emit({ rawValue: rawVal, formattedValue: this.value });
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMaskDirective.prototype.onFocus = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.focusedValuePipe) {
                if (isIE()) {
                    this._stopPropagation = true;
                }
                this.value = this.focusedValuePipe.transform(value);
            }
            else {
                this.value = this.maskHelper.parseValueByMaskOnInit(this.value, this._maskOptions);
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMaskDirective.prototype.onBlur = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.displayValuePipe) {
                this.value = this.displayValuePipe.transform(value);
            }
            else if (value === this.maskHelper.parseMask(this._maskOptions)) {
                this.value = '';
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxMaskDirective.prototype.getCursorPosition = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            return this.nativeElement.selectionStart;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} start
         * @param {?=} end
         * @return {?}
         */
        IgxMaskDirective.prototype.setCursorPosition = /**
         * @hidden
         * @private
         * @param {?} start
         * @param {?=} end
         * @return {?}
         */
        function (start, end) {
            if (end === void 0) { end = start; }
            this.nativeElement.setSelectionRange(start, end);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMaskDirective.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.promptChar && this.promptChar.length > 1) {
                this._maskOptions.promptChar = this.promptChar.substring(0, 1);
            }
            this.value = value ? this.maskHelper.parseValueByMaskOnInit(value, this._maskOptions) : '';
            if (this.displayValuePipe) {
                this.value = this.displayValuePipe.transform(this.value);
            }
            this.dataValue = this.includeLiterals ? this.value : value;
            this._onChangeCallback(this.dataValue);
            this.onValueChange.emit({ rawValue: value, formattedValue: this.value });
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxMaskDirective.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxMaskDirective.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onTouchedCallback = fn; };
        IgxMaskDirective.decorators = [
            { type: core.Directive, args: [{
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxMaskDirective, multi: true }],
                        selector: '[igxMask]'
                    },] }
        ];
        /** @nocollapse */
        IgxMaskDirective.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxMaskDirective.propDecorators = {
            mask: [{ type: core.Input, args: ['igxMask',] }],
            promptChar: [{ type: core.Input }],
            includeLiterals: [{ type: core.Input }],
            placeholder: [{ type: core.Input }],
            displayValuePipe: [{ type: core.Input }],
            focusedValuePipe: [{ type: core.Input }],
            dataValue: [{ type: core.Input }],
            onValueChange: [{ type: core.Output }],
            onKeydown: [{ type: core.HostListener, args: ['keydown', ['$event'],] }],
            onKeyup: [{ type: core.HostListener, args: ['keyup', ['$event'],] }],
            onPaste: [{ type: core.HostListener, args: ['paste', ['$event'],] }],
            onInputChanged: [{ type: core.HostListener, args: ['input', ['$event'],] }],
            onFocus: [{ type: core.HostListener, args: ['focus', ['$event.target.value'],] }],
            onBlur: [{ type: core.HostListener, args: ['blur', ['$event.target.value'],] }]
        };
        return IgxMaskDirective;
    }());
    /**
     * @hidden
     */
    var IgxMaskModule = /** @class */ (function () {
        function IgxMaskModule() {
        }
        IgxMaskModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxMaskDirective],
                        exports: [IgxMaskDirective],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxMaskModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var RadioLabelPosition = {
        BEFORE: 'before',
        AFTER: 'after',
    };
    /** @type {?} */
    var nextId = 0;
    /** @type {?} */
    var noop$1 = function () { };
    /**
     * **Ignite UI for Angular Radio Button** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/radio_button.html)
     *
     * The Ignite UI Radio Button allows the user to select a single option from an available set of options that are listed side by side.
     *
     * Example:
     * ```html
     * <igx-radio>
     *   Simple radio button
     * </igx-radio>
     * ```
     */
    var IgxRadioComponent = /** @class */ (function () {
        function IgxRadioComponent() {
            /**
             * Sets/gets the `id` of the radio component.
             * If not set, the `id` of the first radio component will be `"igx-radio-0"`.
             * ```html
             * <igx-radio id = "my-first-radio"></igx-radio>
             * ```
             * ```typescript
             * let radioId =  this.radio.id;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.id = "igx-radio-" + nextId++;
            /**
             * Sets/gets the id of the `label` element in the radio component.
             * If not set, the id of the `label` in the first radio component will be `"igx-radio-0-label"`.
             * ```html
             * <igx-radio labelId = "Label1"></igx-radio>
             * ```
             * ```typescript
             * let labelId =  this.radio.labelId;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.labelId = this.id + "-label";
            /**
             * Sets/gets the position of the `label` in the radio component.
             * If not set, `labelPosition` will have value `"after"`.
             * ```html
             * <igx-radio labelPosition = "before"></igx-radio>
             * ```
             * ```typescript
             * let labelPosition =  this.radio.labelPosition;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.labelPosition = 'after';
            /**
             * Sets the value of the `tabindex` attribute.
             * ```html
             * <igx-radio [tabindex] = "1"></igx-radio>
             * ```
             * ```typescript
             * let tabIndex =  this.radio.tabindex;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.tabindex = null;
            /**
             * Enables/disables the ripple effect on the radio button..
             * If not set, the `disableRipple` will have value `false`.
             * ```html
             * <igx-radio [disableRipple] = "true"></igx-radio>
             * ```
             * ```typescript
             * let isDisabledRipple =  this.radio.disableRipple;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.disableRipple = false;
            /**
             * Sets/gets whether the radio button is required.
             * If not set, `required` will have value `false`.
             * ```html
             * <igx-radio [required] = "true"></igx-radio>
             * ```
             * ```typescript
             * let isRequired =  this.radio.required;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.required = false;
            /**
             * Sets/gets the `aria-labelledby` attribute of the radio component.
             * If not set, the `aria-labelledby` will be equal to the value of `labelId` attribute.
             * ```html
             * <igx-radio aria-labelledby = "Radio1"></igx-radio>
             * ```
             * ```typescript
             * let ariaLabelledBy = this.radio.ariaLabelledBy;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.ariaLabelledBy = this.labelId;
            /**
             * Sets/gets the `aria-label` attribute of the radio component.
             * ```html
             * <igx-radio aria-label = "Radio1"></igx-radio>
             * ```
             * ```typescript
             * let ariaLabel =  this.radio.ariaLabel;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.ariaLabel = null;
            /**
             * An event that is emitted after the radio `value` is changed.
             * Provides references to the `IgxRadioComponent` and the `value` property as event arguments.
             * \@memberof IgxRadioComponent
             */
            this.change = new core.EventEmitter();
            /**
             * Returns the class of the radio component.
             * ```typescript
             * let radioClass = this.radio.cssClass;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.cssClass = 'igx-radio';
            /**
             * Sets/gets  the `checked` attribute.
             * Default value is `false`.
             * ```html
             * <igx-radio [checked] = "true"></igx-radio>
             * ```
             * ```typescript
             * let isChecked =  this.radio.checked;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.checked = false;
            /**
             * Sets/gets  the `disabled` attribute.
             * Default value is `false`.
             * ```html
             * <igx-radio [disabled] = "true"></igx-radio>
             * ```
             * ```typescript
             * let isDisabled =  this.radio.disabled;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.disabled = false;
            /**
             * Sets/gets whether the radio component is on focus.
             * Default value is `false`.
             * ```typescript
             * this.radio.focus = true;
             * ```
             * ```typescript
             * let isFocused =  this.radio.focused;
             * ```
             * \@memberof IgxRadioComponent
             */
            this.focused = false;
            /**
             * @hidden
             */
            this.inputId = this.id + "-input";
            /**
             * @hidden
             */
            this._value = null;
            /**
             * @hidden
             */
            this._onTouchedCallback = noop$1;
            /**
             * @hidden
             */
            this._onChangeCallback = noop$1;
        }
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxRadioComponent.prototype._onRadioChange = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxRadioComponent.prototype._onRadioClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            this.select();
            if (isIE()) {
                this.nativeRadio.nativeElement.blur();
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRadioComponent.prototype._onLabelClick = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.select();
        };
        /**
         * Selects the current radio button.
         * ```typescript
         * this.radio.select();
         * ```
         * @memberof IgxRadioComponent
         */
        /**
         * Selects the current radio button.
         * ```typescript
         * this.radio.select();
         * ```
         * \@memberof IgxRadioComponent
         * @return {?}
         */
        IgxRadioComponent.prototype.select = /**
         * Selects the current radio button.
         * ```typescript
         * this.radio.select();
         * ```
         * \@memberof IgxRadioComponent
         * @return {?}
         */
        function () {
            if (this.disabled) {
                return;
            }
            this.checked = true;
            this.focused = false;
            this.change.emit({ value: this.value, radio: this });
            this._onChangeCallback(this.value);
        };
        /**
         * Checks whether the provided value is consistent to the current radio button.
         * If it is, the checked attribute will have value `true`;
         * ```typescript
         * this.radio.writeValue('radioButtonValue');
         * ```
         */
        /**
         * Checks whether the provided value is consistent to the current radio button.
         * If it is, the checked attribute will have value `true`;
         * ```typescript
         * this.radio.writeValue('radioButtonValue');
         * ```
         * @param {?} value
         * @return {?}
         */
        IgxRadioComponent.prototype.writeValue = /**
         * Checks whether the provided value is consistent to the current radio button.
         * If it is, the checked attribute will have value `true`;
         * ```typescript
         * this.radio.writeValue('radioButtonValue');
         * ```
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._value = value;
            this.checked = (this._value === this.value);
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxRadioComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this.nativeRadio.nativeElement;
        };
        Object.defineProperty(IgxRadioComponent.prototype, "labelClass", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                switch (this.labelPosition) {
                    case RadioLabelPosition.BEFORE:
                        return this.cssClass + "__label--before";
                    case RadioLabelPosition.AFTER:
                    default:
                        return this.cssClass + "__label";
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRadioComponent.prototype.onFocus = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.focused = true;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRadioComponent.prototype.onBlur = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.focused = false;
            this._onTouchedCallback();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxRadioComponent.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxRadioComponent.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onTouchedCallback = fn; };
        IgxRadioComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxRadioComponent, multi: true }],
                        selector: 'igx-radio',
                        template: "<input #radio class=\"igx-radio__input\" type=\"radio\"\n    [id]=\"inputId\"\n    [name]=\"name\"\n    [value]=\"value\"\n    [tabindex]=\"tabindex\"\n    [disabled]=\"disabled\"\n    [checked]=\"checked\"\n    [required]=\"required\"\n    [attr.aria-checked]=\"checked\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-label]=\"ariaLabel\"\n    (click)=\"_onRadioClick($event)\"\n    (change)=\"_onRadioChange($event)\"\n    (focus)=\"onFocus()\"\n    (blur)=\"onBlur()\" />\n\n<label #nativeLabel class=\"igx-radio__composite\" igxRipple\n    igxRippleTarget=\".igx-radio__ripple\"\n    [igxRippleDisabled]=\"disableRipple\"\n    [igxRippleCentered]=\"true\"\n    [igxRippleDuration]=\"300\"\n    [for]=\"inputId\">\n    <div class=\"igx-radio__ripple\"></div>\n</label>\n\n<span #placeholderLabel role=\"label\"\n    [id]=\"labelId\"\n    [class]=\"labelClass\"\n    (click)=\"_onLabelClick()\">\n    <ng-content></ng-content>\n</span>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxRadioComponent.ctorParameters = function () { return []; };
        IgxRadioComponent.propDecorators = {
            nativeRadio: [{ type: core.ViewChild, args: ['radio', { static: true },] }],
            nativeLabel: [{ type: core.ViewChild, args: ['nativeLabel', { static: true },] }],
            placeholderLabel: [{ type: core.ViewChild, args: ['placeholderLabel', { static: true },] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            labelId: [{ type: core.Input }],
            labelPosition: [{ type: core.Input }],
            value: [{ type: core.Input }],
            name: [{ type: core.Input }],
            tabindex: [{ type: core.Input }],
            disableRipple: [{ type: core.Input }],
            required: [{ type: core.Input }],
            ariaLabelledBy: [{ type: core.Input, args: ['aria-labelledby',] }],
            ariaLabel: [{ type: core.Input, args: ['aria-label',] }],
            change: [{ type: core.Output }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-radio',] }],
            checked: [{ type: core.HostBinding, args: ['class.igx-radio--checked',] }, { type: core.Input }],
            disabled: [{ type: core.HostBinding, args: ['class.igx-radio--disabled',] }, { type: core.Input }],
            focused: [{ type: core.HostBinding, args: ['class.igx-radio--focused',] }]
        };
        return IgxRadioComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxRippleDirective = /** @class */ (function () {
        function IgxRippleDirective(builder, elementRef, renderer, zone) {
            this.builder = builder;
            this.elementRef = elementRef;
            this.renderer = renderer;
            this.zone = zone;
            /**
             * Sets/gets the ripple target.
             * ```html
             * <div  #rippleContainer class="div-1" igxRipple [igxRippleTarget] = "'.div-1'"></div>
             * ```
             * ```typescript
             * \@ViewChild('rippleContainer', {read: IgxRippleDirective})
             * public ripple: IgxRippleDirective;
             * let rippleTarget = this.ripple.rippleTarget;
             * ```
             * Can set the ripple to activate on a child element inside the parent where igxRipple is defined.
             * ```html
             * <div #rippleContainer [igxRippleTarget] = "'#child"'>
             *  <button id="child">Click</button>
             * </div>
             * ```
             * \@memberof IgxRippleDirective
             */
            this.rippleTarget = '';
            /**
             * Sets/gets the ripple duration(in milliseconds).
             * Default value is `600`.
             * ```html
             * <button #rippleContainer igxRipple [igxRippleDuration] = "800"></button>
             * ```
             * ```typescript
             * \@ViewChild('rippleContainer', {read: IgxRippleDirective})
             * public ripple: IgxRippleDirective;
             * let rippleDuration = this.ripple.rippleDuration;
             * ```
             * \@memberof IgxRippleDirective
             */
            this.rippleDuration = 600;
            /**
             * Sets/gets whether the ripple is disabled.
             * Default value is `false`.
             * ```html
             * <button #rippleContainer igxRipple [igxRippleDisabled] = "true"></button>
             * ```
             * ```typescript
             * \@ViewChild('rippleContainer', {read: IgxRippleDirective})
             * public ripple: IgxRippleDirective;
             * let isRippleDisabled = this.ripple.rippleDisabled;
             * ```
             * \@memberof IgxRippleDirective
             */
            this.rippleDisabled = false;
            this.rippleElementClass = 'igx-ripple__inner';
            this.rippleHostClass = 'igx-ripple';
            this._centered = false;
            this.animationQueue = [];
        }
        Object.defineProperty(IgxRippleDirective.prototype, "centered", {
            /**
             * Enables/disables the ripple to be centered.
             * ```html
             * <button #rippleContainer igxRipple [igxRippleCentered] = "true"></button>
             * ```
             * @memberof IgxRippleDirective
             */
            set: /**
             * Enables/disables the ripple to be centered.
             * ```html
             * <button #rippleContainer igxRipple [igxRippleCentered] = "true"></button>
             * ```
             * \@memberof IgxRippleDirective
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._centered = value || this.centered;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRippleDirective.prototype, "nativeElement", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxRippleDirective.prototype.onMouseDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            this.zone.runOutsideAngular(function () { return _this._ripple(event); });
        };
        /**
         * @private
         * @param {?} rippleElement
         * @param {?} styleParams
         * @return {?}
         */
        IgxRippleDirective.prototype.setStyles = /**
         * @private
         * @param {?} rippleElement
         * @param {?} styleParams
         * @return {?}
         */
        function (rippleElement, styleParams) {
            this.renderer.addClass(rippleElement, this.rippleElementClass);
            this.renderer.setStyle(rippleElement, 'width', styleParams.radius + "px");
            this.renderer.setStyle(rippleElement, 'height', styleParams.radius + "px");
            this.renderer.setStyle(rippleElement, 'top', styleParams.top + "px");
            this.renderer.setStyle(rippleElement, 'left', styleParams.left + "px");
            if (this.rippleColor) {
                this.renderer.setStyle(rippleElement, 'background', this.rippleColor);
            }
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxRippleDirective.prototype._ripple = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (this.rippleDisabled) {
                return;
            }
            /** @type {?} */
            var target = (this.rippleTarget ? this.nativeElement.querySelector(this.rippleTarget) || this.nativeElement : this.nativeElement);
            /** @type {?} */
            var rectBounds = target.getBoundingClientRect();
            /** @type {?} */
            var radius = Math.max(rectBounds.width, rectBounds.height);
            /** @type {?} */
            var left = event.clientX - rectBounds.left - radius / 2;
            /** @type {?} */
            var top = event.clientY - rectBounds.top - radius / 2;
            if (this._centered) {
                left = top = 0;
            }
            /** @type {?} */
            var dimensions = {
                radius: radius,
                top: top,
                left: left
            };
            /** @type {?} */
            var rippleElement = this.renderer.createElement('span');
            this.setStyles(rippleElement, dimensions);
            this.renderer.addClass(target, this.rippleHostClass);
            this.renderer.appendChild(target, rippleElement);
            /** @type {?} */
            var animation = this.builder.build([
                animations.style({ opacity: 0.5, transform: 'scale(.3)' }),
                animations.animate(this.rippleDuration, animations.style({ opacity: 0, transform: 'scale(2)' }))
            ]).create(rippleElement);
            this.animationQueue.push(animation);
            animation.onDone(function () {
                _this.animationQueue.splice(_this.animationQueue.indexOf(animation), 1);
                target.removeChild(rippleElement);
                if (_this.animationQueue.length < 1) {
                    _this.renderer.removeClass(target, _this.rippleHostClass);
                }
            });
            animation.play();
        };
        IgxRippleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRipple]'
                    },] }
        ];
        /** @nocollapse */
        IgxRippleDirective.ctorParameters = function () { return [
            { type: animations.AnimationBuilder },
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: core.NgZone }
        ]; };
        IgxRippleDirective.propDecorators = {
            rippleTarget: [{ type: core.Input, args: ['igxRippleTarget',] }],
            rippleColor: [{ type: core.Input, args: ['igxRipple',] }],
            rippleDuration: [{ type: core.Input, args: ['igxRippleDuration',] }],
            centered: [{ type: core.Input, args: ['igxRippleCentered',] }],
            rippleDisabled: [{ type: core.Input, args: ['igxRippleDisabled',] }],
            onMouseDown: [{ type: core.HostListener, args: ['mousedown', ['$event'],] }]
        };
        return IgxRippleDirective;
    }());
    /**
     * @hidden
     */
    var IgxRippleModule = /** @class */ (function () {
        function IgxRippleModule() {
        }
        IgxRippleModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxRippleDirective],
                        exports: [IgxRippleDirective]
                    },] }
        ];
        return IgxRippleModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var noop$2 = function () { };
    /** @type {?} */
    var nextId$1 = 0;
    /**
     * **Ignite UI for Angular Radio Group** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/radio_button.html)
     *
     * The Ignite UI Radio Group allows the user to select a single option from an available set of options that are listed side by side.
     *
     * Example:
     * ```html
     * <igx-radio-group name="radioGroup">
     *   <igx-radio *ngFor="let item of ['Foo', 'Bar', 'Baz']" value="{{item}}">
     *      {{item}}
     *   </igx-radio>
     * </igx-radio-group>
     * ```
     */
    var IgxRadioGroupDirective = /** @class */ (function () {
        function IgxRadioGroupDirective() {
            /**
             * An event that is emitted after the radio group `value` is changed.
             * Provides references to the selected `IgxRadioComponent` and the `value` property as event arguments.
             * \@memberof IgxRadioGroupDirective
             */
            this.change = new core.EventEmitter();
            /**
             * @hidden
             */
            this.cssClass = 'igx-radio-group';
            /**
             * @hidden
             */
            this._onChangeCallback = noop$2;
            /**
             * @hidden
             */
            this._name = "igx-radio-group-" + nextId$1++;
            /**
             * @hidden
             */
            this._value = null;
            /**
             * @hidden
             */
            this._selected = null;
            /**
             * @hidden
             */
            this._isInitialized = false;
            /**
             * @hidden
             */
            this._labelPosition = 'after';
            /**
             * @hidden
             */
            this._disabled = false;
            /**
             * @hidden
             */
            this._required = false;
            /**
             * @hidden
             */
            this.destroy$ = new rxjs.Subject();
        }
        Object.defineProperty(IgxRadioGroupDirective.prototype, "value", {
            /**
             * Sets/gets the `value` attribute.
             * ```html
             * <igx-radio-group [value] = "'radioButtonValue'"></igx-radio-group>
             * ```
             * ```typescript
             * let value =  this.radioGroup.value;
             * ```
             * @memberof IgxRadioGroupDirective
             */
            get: /**
             * Sets/gets the `value` attribute.
             * ```html
             * <igx-radio-group [value] = "'radioButtonValue'"></igx-radio-group>
             * ```
             * ```typescript
             * let value =  this.radioGroup.value;
             * ```
             * \@memberof IgxRadioGroupDirective
             * @return {?}
             */
            function () { return this._value; },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._value !== newValue) {
                    this._value = newValue;
                    this._selectRadioButton();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRadioGroupDirective.prototype, "name", {
            /**
             * Sets/gets the `name` attribute of the radio group component. All child radio buttons inherits this name.
             * ```html
             * <igx-radio-group name = "Radio1"></igx-radio-group>
             *  ```
             * ```typescript
             * let name =  this.radioGroup.name;
             * ```
             * @memberof IgxRadioGroupDirective
             */
            get: /**
             * Sets/gets the `name` attribute of the radio group component. All child radio buttons inherits this name.
             * ```html
             * <igx-radio-group name = "Radio1"></igx-radio-group>
             *  ```
             * ```typescript
             * let name =  this.radioGroup.name;
             * ```
             * \@memberof IgxRadioGroupDirective
             * @return {?}
             */
            function () { return this._name; },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._name !== newValue) {
                    this._name = newValue;
                    this._setRadioButtonNames();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRadioGroupDirective.prototype, "required", {
            /**
             * Sets/gets whether the radio group is required.
             * If not set, `required` will have value `false`.
             * ```html
             * <igx-radio-group [required] = "true"></igx-radio-group>
             * ```
             * ```typescript
             * let isRequired =  this.radioGroup.required;
             * ```
             * @memberof IgxRadioGroupDirective
             */
            get: /**
             * Sets/gets whether the radio group is required.
             * If not set, `required` will have value `false`.
             * ```html
             * <igx-radio-group [required] = "true"></igx-radio-group>
             * ```
             * ```typescript
             * let isRequired =  this.radioGroup.required;
             * ```
             * \@memberof IgxRadioGroupDirective
             * @return {?}
             */
            function () { return this._required; },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._required !== newValue) {
                    this._required = newValue;
                    this._setRadioButtonsRequired();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRadioGroupDirective.prototype, "disabled", {
            /**
             * An @Input property that allows you to disable the radio group. By default it's false.
             * ```html
             * <igx-radio-group [disabled]="true"></igx-radio-group>
             * ```
             * @memberof IgxRadioGroupDirective
             */
            get: /**
             * An \@Input property that allows you to disable the radio group. By default it's false.
             * ```html
             * <igx-radio-group [disabled]="true"></igx-radio-group>
             * ```
             * \@memberof IgxRadioGroupDirective
             * @return {?}
             */
            function () { return this._disabled; },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._disabled !== newValue) {
                    this._disabled = newValue;
                    this._disableRadioButtons();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRadioGroupDirective.prototype, "labelPosition", {
            /**
             * Sets/gets the position of the `label` in the child radio buttons.
             * If not set, `labelPosition` will have value `"after"`.
             * ```html
             * <igx-radio-group labelPosition = "before"></igx-radio-group>
             * ```
             * ```typescript
             * let labelPosition =  this.radioGroup.labelPosition;
             * ```
             * @memberof IgxRadioGroupDirective
             */
            get: /**
             * Sets/gets the position of the `label` in the child radio buttons.
             * If not set, `labelPosition` will have value `"after"`.
             * ```html
             * <igx-radio-group labelPosition = "before"></igx-radio-group>
             * ```
             * ```typescript
             * let labelPosition =  this.radioGroup.labelPosition;
             * ```
             * \@memberof IgxRadioGroupDirective
             * @return {?}
             */
            function () { return this._labelPosition; },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._labelPosition !== newValue) {
                    this._labelPosition = newValue === RadioLabelPosition.BEFORE ? RadioLabelPosition.BEFORE : RadioLabelPosition.AFTER;
                    this._setRadioButtonLabelPosition();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRadioGroupDirective.prototype, "selected", {
            /**
             * Sets/gets the selected child radio button.
             * ```typescript
             * let selectedButton = this.radioGroup.selected;
             * this.radioGroup.selected = selectedButton;
             * ```
             * @memberof IgxRadioGroupDirective
             */
            get: /**
             * Sets/gets the selected child radio button.
             * ```typescript
             * let selectedButton = this.radioGroup.selected;
             * this.radioGroup.selected = selectedButton;
             * ```
             * \@memberof IgxRadioGroupDirective
             * @return {?}
             */
            function () { return this._selected; },
            set: /**
             * @param {?} selected
             * @return {?}
             */
            function (selected) {
                if (this._selected !== selected) {
                    this._selected = selected;
                    this.value = selected ? selected.value : null;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxRadioGroupDirective.prototype.ngAfterContentInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            // The initial value can possibly be set by NgModel and it is possible that
            // the OnInit of the NgModel occurs after the OnInit of this class.
            this._isInitialized = true;
            setTimeout(function () { _this._initRadioButtons(); });
        };
        /**
         * Checks whether the provided value is consistent to the current radio button.
         * If it is, the checked attribute will have value `true` and selected property will contain the selected `IgxRadioComponent`.
         * ```typescript
         * this.radioGroup.writeValue('radioButtonValue');
         * ```
         */
        /**
         * Checks whether the provided value is consistent to the current radio button.
         * If it is, the checked attribute will have value `true` and selected property will contain the selected `IgxRadioComponent`.
         * ```typescript
         * this.radioGroup.writeValue('radioButtonValue');
         * ```
         * @param {?} value
         * @return {?}
         */
        IgxRadioGroupDirective.prototype.writeValue = /**
         * Checks whether the provided value is consistent to the current radio button.
         * If it is, the checked attribute will have value `true` and selected property will contain the selected `IgxRadioComponent`.
         * ```typescript
         * this.radioGroup.writeValue('radioButtonValue');
         * ```
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.value = value;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxRadioGroupDirective.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxRadioGroupDirective.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            if (this.radioButtons) {
                this.radioButtons.forEach(function (button) {
                    button.registerOnTouched(fn);
                });
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRadioGroupDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._initRadioButtons = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.radioButtons) {
                /** @type {?} */
                var props_1 = { name: this._name, labelPosition: this._labelPosition, disabled: this._disabled, required: this._required };
                this.radioButtons.forEach(function (button) {
                    Object.assign(button, props_1);
                    if (button.value === _this._value) {
                        button.checked = true;
                        _this._selected = button;
                    }
                    button.change.pipe(operators.takeUntil(_this.destroy$)).subscribe(function (ev) { return _this._selectedRadioButtonChanged(ev); });
                });
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} args
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._selectedRadioButtonChanged = /**
         * @hidden
         * @private
         * @param {?} args
         * @return {?}
         */
        function (args) {
            if (this._selected !== args.radio) {
                if (this._selected) {
                    this._selected.checked = false;
                }
                this._selected = args.radio;
            }
            this._value = args.value;
            if (this._isInitialized) {
                this.change.emit(args);
                this._onChangeCallback(this.value);
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._setRadioButtonNames = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.radioButtons) {
                this.radioButtons.forEach(function (button) {
                    button.name = _this._name;
                });
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._selectRadioButton = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.radioButtons) {
                this.radioButtons.forEach(function (button) {
                    if (!_this._value) {
                        // no value - uncheck all radio buttons
                        if (button.checked) {
                            button.checked = false;
                        }
                    }
                    else {
                        if (_this._value === button.value) {
                            // selected button
                            if (_this._selected !== button) {
                                _this._selected = button;
                            }
                            if (!button.checked) {
                                button.select();
                            }
                        }
                        else {
                            // non-selected button
                            if (button.checked) {
                                button.checked = false;
                            }
                        }
                    }
                });
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._setRadioButtonLabelPosition = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.radioButtons) {
                this.radioButtons.forEach(function (button) {
                    button.labelPosition = _this._labelPosition;
                });
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._disableRadioButtons = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.radioButtons) {
                this.radioButtons.forEach(function (button) {
                    button.disabled = _this._disabled;
                });
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxRadioGroupDirective.prototype._setRadioButtonsRequired = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.radioButtons) {
                this.radioButtons.forEach(function (button) {
                    button.required = _this._required;
                });
            }
        };
        IgxRadioGroupDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'igxRadioGroup',
                        selector: 'igx-radio-group, [igxRadioGroup]',
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxRadioGroupDirective, multi: true }]
                    },] }
        ];
        IgxRadioGroupDirective.propDecorators = {
            radioButtons: [{ type: core.ContentChildren, args: [IgxRadioComponent, { descendants: true },] }],
            value: [{ type: core.Input }],
            name: [{ type: core.Input }],
            required: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            labelPosition: [{ type: core.Input }],
            selected: [{ type: core.Input }],
            change: [{ type: core.Output }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-radio-group',] }]
        };
        return IgxRadioGroupDirective;
    }());
    /**
     * @hidden
     */
    var IgxRadioModule = /** @class */ (function () {
        function IgxRadioModule() {
        }
        IgxRadioModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxRadioGroupDirective, IgxRadioComponent],
                        exports: [IgxRadioGroupDirective, IgxRadioComponent],
                        imports: [IgxRippleModule]
                    },] }
        ];
        return IgxRadioModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTextHighlightDirective = /** @class */ (function () {
        function IgxTextHighlightDirective(element, renderer) {
            var _this = this;
            this.element = element;
            this.renderer = renderer;
            this._div = null;
            this._observer = null;
            this._nodeWasRemoved = false;
            this._forceEvaluation = false;
            this._activeElementIndex = -1;
            this._defaultCssClass = 'igx-highlight';
            this._defaultActiveCssClass = 'igx-highlight--active';
            /**
             * Identifies the highlight within a unique group.
             * This allows it to have several different highlight groups,
             * with each of them having their own active highlight.
             *
             * ```html
             * <div
             *   igxTextHighlight
             *   [groupName]="myGroupName">
             * </div>
             * ```
             */
            this.groupName = '';
            this._value = '';
            this.destroy$ = new rxjs.Subject();
            IgxTextHighlightDirective.onActiveElementChanged.pipe(operators.takeUntil(this.destroy$)).subscribe(function (groupName) {
                if (_this.groupName === groupName) {
                    if (_this._activeElementIndex !== -1) {
                        _this.deactivate();
                    }
                    _this.activateIfNecessary();
                }
            });
        }
        Object.defineProperty(IgxTextHighlightDirective.prototype, "value", {
            /**
             * The underlying value of the element that will be highlighted.
             *
             * ```typescript
             * // get
             * const elementValue = this.textHighlight.value;
             * ```
             *
             * ```html
             * <!--set-->
             * <div
             *   igxTextHighlight
             *   [value]="newValue">
             * </div>
             * ```
             */
            get: /**
             * The underlying value of the element that will be highlighted.
             *
             * ```typescript
             * // get
             * const elementValue = this.textHighlight.value;
             * ```
             *
             * ```html
             * <!--set-->
             * <div
             *   igxTextHighlight
             *   [value]="newValue">
             * </div>
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value === undefined || value === null) {
                    this._value = '';
                }
                else {
                    this._value = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTextHighlightDirective.prototype, "lastSearchInfo", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._lastSearchInfo;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Activates the highlight at a given index.
         * (if such index exists)
         */
        /**
         * Activates the highlight at a given index.
         * (if such index exists)
         * @param {?} groupName
         * @param {?} highlight
         * @return {?}
         */
        IgxTextHighlightDirective.setActiveHighlight = /**
         * Activates the highlight at a given index.
         * (if such index exists)
         * @param {?} groupName
         * @param {?} highlight
         * @return {?}
         */
        function (groupName, highlight) {
            IgxTextHighlightDirective.highlightGroupsMap.set(groupName, highlight);
            IgxTextHighlightDirective.onActiveElementChanged.emit(groupName);
        };
        /**
         * Clears any existing highlight.
         */
        /**
         * Clears any existing highlight.
         * @param {?} groupName
         * @return {?}
         */
        IgxTextHighlightDirective.clearActiveHighlight = /**
         * Clears any existing highlight.
         * @param {?} groupName
         * @return {?}
         */
        function (groupName) {
            IgxTextHighlightDirective.highlightGroupsMap.set(groupName, {
                index: -1
            });
            IgxTextHighlightDirective.onActiveElementChanged.emit(groupName);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.clearHighlight();
            if (this._observer !== null) {
                this._observer.disconnect();
            }
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.ngOnChanges = /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            if (changes.value && !changes.value.firstChange) {
                this._valueChanged = true;
            }
            else if ((changes.row !== undefined && !changes.row.firstChange) ||
                (changes.column !== undefined && !changes.column.firstChange) ||
                (changes.page !== undefined && !changes.page.firstChange)) {
                if (this._activeElementIndex !== -1) {
                    this.deactivate();
                }
                this.activateIfNecessary();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.parentElement = this.renderer.parentNode(this.element.nativeElement);
            if (IgxTextHighlightDirective.highlightGroupsMap.has(this.groupName) === false) {
                IgxTextHighlightDirective.highlightGroupsMap.set(this.groupName, {
                    index: -1
                });
            }
            this._lastSearchInfo = {
                searchedText: '',
                content: this.value,
                matchCount: 0,
                caseSensitive: false,
                exactMatch: false
            };
            this._container = this.parentElement.firstElementChild;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.ngAfterViewChecked = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this._valueChanged) {
                this.highlight(this._lastSearchInfo.searchedText, this._lastSearchInfo.caseSensitive, this._lastSearchInfo.exactMatch);
                this.activateIfNecessary();
                this._valueChanged = false;
            }
        };
        /**
         * Clears the existing highlight and highlights the searched text.
         * Returns how many times the element contains the searched text.
         */
        /**
         * Clears the existing highlight and highlights the searched text.
         * Returns how many times the element contains the searched text.
         * @param {?} text
         * @param {?=} caseSensitive
         * @param {?=} exactMatch
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.highlight = /**
         * Clears the existing highlight and highlights the searched text.
         * Returns how many times the element contains the searched text.
         * @param {?} text
         * @param {?=} caseSensitive
         * @param {?=} exactMatch
         * @return {?}
         */
        function (text, caseSensitive, exactMatch) {
            /** @type {?} */
            var caseSensitiveResolved = caseSensitive ? true : false;
            /** @type {?} */
            var exactMatchResolved = exactMatch ? true : false;
            if (this.searchNeedsEvaluation(text, caseSensitiveResolved, exactMatchResolved)) {
                this._lastSearchInfo.searchedText = text;
                this._lastSearchInfo.caseSensitive = caseSensitiveResolved;
                this._lastSearchInfo.exactMatch = exactMatchResolved;
                this._lastSearchInfo.content = this.value;
                if (text === '' || text === undefined || text === null) {
                    this.clearHighlight();
                }
                else {
                    this.clearChildElements(true);
                    this._lastSearchInfo.matchCount = this.getHighlightedText(text, caseSensitive, exactMatch);
                }
            }
            else if (this._nodeWasRemoved) {
                this._lastSearchInfo.searchedText = text;
                this._lastSearchInfo.caseSensitive = caseSensitiveResolved;
                this._lastSearchInfo.exactMatch = exactMatchResolved;
            }
            return this._lastSearchInfo.matchCount;
        };
        /**
         * Clears any existing highlight.
         */
        /**
         * Clears any existing highlight.
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.clearHighlight = /**
         * Clears any existing highlight.
         * @return {?}
         */
        function () {
            this.clearChildElements(false);
            this._lastSearchInfo.searchedText = '';
            this._lastSearchInfo.matchCount = 0;
        };
        /**
         * Activates the highlight if it is on the currently active row, column and page.
         */
        /**
         * Activates the highlight if it is on the currently active row, column and page.
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.activateIfNecessary = /**
         * Activates the highlight if it is on the currently active row, column and page.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var group = IgxTextHighlightDirective.highlightGroupsMap.get(this.groupName);
            /** @type {?} */
            var column = group.columnIndex === undefined ? group.column : group.columnIndex;
            /** @type {?} */
            var row = group.rowIndex === undefined ? group.row : group.rowIndex;
            if (column === this.column && row === this.row && group.page === this.page) {
                this.activate(group.index);
            }
        };
        /**
         * Attaches a MutationObserver to the parentElement and watches for when the container element is removed/readded to the DOM.
         * Should be used only when necessary as using many observers may lead to performance degradation.
         */
        /**
         * Attaches a MutationObserver to the parentElement and watches for when the container element is removed/readded to the DOM.
         * Should be used only when necessary as using many observers may lead to performance degradation.
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.observe = /**
         * Attaches a MutationObserver to the parentElement and watches for when the container element is removed/readded to the DOM.
         * Should be used only when necessary as using many observers may lead to performance degradation.
         * @return {?}
         */
        function () {
            var _this = this;
            if (this._observer === null) {
                /** @type {?} */
                var callback = function (mutationList) {
                    mutationList.forEach(function (mutation) {
                        /** @type {?} */
                        var removedNodes = Array.from(mutation.removedNodes);
                        removedNodes.forEach(function (n) {
                            if (n === _this._container) {
                                _this._nodeWasRemoved = true;
                                _this.clearChildElements(false);
                            }
                        });
                        /** @type {?} */
                        var addedNodes = Array.from(mutation.addedNodes);
                        addedNodes.forEach(function (n) {
                            if (n === _this.parentElement.firstElementChild && _this._nodeWasRemoved) {
                                _this._container = _this.parentElement.firstElementChild;
                                _this._nodeWasRemoved = false;
                                _this._forceEvaluation = true;
                                _this.highlight(_this._lastSearchInfo.searchedText, _this._lastSearchInfo.caseSensitive, _this._lastSearchInfo.exactMatch);
                                _this._forceEvaluation = false;
                                _this.activateIfNecessary();
                                _this._observer.disconnect();
                                _this._observer = null;
                            }
                        });
                    });
                };
                this._observer = new MutationObserver(callback);
                this._observer.observe(this.parentElement, { childList: true });
            }
        };
        /**
         * @private
         * @param {?} index
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.activate = /**
         * @private
         * @param {?} index
         * @return {?}
         */
        function (index) {
            this.deactivate();
            if (this._div !== null) {
                /** @type {?} */
                var spans = this._div.querySelectorAll('span');
                this._activeElementIndex = index;
                if (spans.length <= index) {
                    return;
                }
                /** @type {?} */
                var elementToActivate = spans[index];
                this.renderer.addClass(elementToActivate, this._defaultActiveCssClass);
                this.renderer.addClass(elementToActivate, this.activeCssClass);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.deactivate = /**
         * @private
         * @return {?}
         */
        function () {
            if (this._activeElementIndex === -1) {
                return;
            }
            /** @type {?} */
            var spans = this._div.querySelectorAll('span');
            if (spans.length <= this._activeElementIndex) {
                this._activeElementIndex = -1;
                return;
            }
            /** @type {?} */
            var elementToDeactivate = spans[this._activeElementIndex];
            this.renderer.removeClass(elementToDeactivate, this._defaultActiveCssClass);
            this.renderer.removeClass(elementToDeactivate, this.activeCssClass);
            this._activeElementIndex = -1;
        };
        /**
         * @private
         * @param {?} originalContentHidden
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.clearChildElements = /**
         * @private
         * @param {?} originalContentHidden
         * @return {?}
         */
        function (originalContentHidden) {
            this.renderer.setProperty(this.element.nativeElement, 'hidden', originalContentHidden);
            if (this._div !== null) {
                this.renderer.removeChild(this.parentElement, this._div);
                this._div = null;
                this._activeElementIndex = -1;
            }
        };
        /**
         * @private
         * @param {?} searchText
         * @param {?} caseSensitive
         * @param {?} exactMatch
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.getHighlightedText = /**
         * @private
         * @param {?} searchText
         * @param {?} caseSensitive
         * @param {?} exactMatch
         * @return {?}
         */
        function (searchText, caseSensitive, exactMatch) {
            this.appendDiv();
            /** @type {?} */
            var stringValue = String(this.value);
            /** @type {?} */
            var contentStringResolved = !caseSensitive ? stringValue.toLowerCase() : stringValue;
            /** @type {?} */
            var searchTextResolved = !caseSensitive ? searchText.toLowerCase() : searchText;
            /** @type {?} */
            var matchCount = 0;
            if (exactMatch) {
                if (contentStringResolved === searchTextResolved) {
                    // tslint:disable-next-line:max-line-length
                    this.appendSpan("<span class=\"" + this._defaultCssClass + " " + (this.cssClass ? this.cssClass : '') + "\">" + stringValue + "</span>");
                    matchCount++;
                }
                else {
                    this.appendText(stringValue);
                }
            }
            else {
                /** @type {?} */
                var foundIndex = contentStringResolved.indexOf(searchTextResolved, 0);
                /** @type {?} */
                var previousMatchEnd = 0;
                while (foundIndex !== -1) {
                    /** @type {?} */
                    var start = foundIndex;
                    /** @type {?} */
                    var end = foundIndex + searchTextResolved.length;
                    this.appendText(stringValue.substring(previousMatchEnd, start));
                    // tslint:disable-next-line:max-line-length
                    this.appendSpan("<span class=\"" + this._defaultCssClass + " " + (this.cssClass ? this.cssClass : '') + "\">" + stringValue.substring(start, end) + "</span>");
                    previousMatchEnd = end;
                    matchCount++;
                    foundIndex = contentStringResolved.indexOf(searchTextResolved, end);
                }
                this.appendText(stringValue.substring(previousMatchEnd, stringValue.length));
            }
            return matchCount;
        };
        /**
         * @private
         * @param {?} text
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.appendText = /**
         * @private
         * @param {?} text
         * @return {?}
         */
        function (text) {
            /** @type {?} */
            var textElement = this.renderer.createText(text);
            this.renderer.appendChild(this._div, textElement);
        };
        /**
         * @private
         * @param {?} outerHTML
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.appendSpan = /**
         * @private
         * @param {?} outerHTML
         * @return {?}
         */
        function (outerHTML) {
            /** @type {?} */
            var span = this.renderer.createElement('span');
            this.renderer.appendChild(this._div, span);
            this.renderer.setProperty(span, 'outerHTML', outerHTML);
        };
        /**
         * @private
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.appendDiv = /**
         * @private
         * @return {?}
         */
        function () {
            this._div = this.renderer.createElement('div');
            if (this.containerClass) {
                this.renderer.addClass(this._div, this.containerClass);
            }
            this.renderer.appendChild(this.parentElement, this._div);
        };
        /**
         * @private
         * @param {?} text
         * @param {?} caseSensitive
         * @param {?} exactMatch
         * @return {?}
         */
        IgxTextHighlightDirective.prototype.searchNeedsEvaluation = /**
         * @private
         * @param {?} text
         * @param {?} caseSensitive
         * @param {?} exactMatch
         * @return {?}
         */
        function (text, caseSensitive, exactMatch) {
            /** @type {?} */
            var searchedText = this._lastSearchInfo.searchedText;
            return !this._nodeWasRemoved &&
                (searchedText === null ||
                    searchedText !== text ||
                    this._lastSearchInfo.content !== this.value ||
                    this._lastSearchInfo.caseSensitive !== caseSensitive ||
                    this._lastSearchInfo.exactMatch !== exactMatch ||
                    this._forceEvaluation);
        };
        IgxTextHighlightDirective.onActiveElementChanged = new core.EventEmitter();
        IgxTextHighlightDirective.highlightGroupsMap = new Map();
        IgxTextHighlightDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxTextHighlight]'
                    },] }
        ];
        /** @nocollapse */
        IgxTextHighlightDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        IgxTextHighlightDirective.propDecorators = {
            cssClass: [{ type: core.Input, args: ['cssClass',] }],
            activeCssClass: [{ type: core.Input, args: ['activeCssClass',] }],
            containerClass: [{ type: core.Input, args: ['containerClass',] }],
            groupName: [{ type: core.Input, args: ['groupName',] }],
            value: [{ type: core.Input, args: ['value',] }],
            row: [{ type: core.Input, args: ['row',] }],
            column: [{ type: core.Input, args: ['column',] }],
            page: [{ type: core.Input, args: ['page',] }]
        };
        __decorate([
            DeprecateProperty("IgxTextHighlightDirective 'page' input property is deprecated."),
            __metadata("design:type", Number)
        ], IgxTextHighlightDirective.prototype, "page", void 0);
        return IgxTextHighlightDirective;
    }());
    /**
     * @hidden
     */
    var IgxTextHighlightModule = /** @class */ (function () {
        function IgxTextHighlightModule() {
        }
        IgxTextHighlightModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxTextHighlightDirective],
                        exports: [IgxTextHighlightDirective]
                    },] }
        ];
        return IgxTextHighlightModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTextSelectionDirective = /** @class */ (function () {
        function IgxTextSelectionDirective(element) {
            this.element = element;
            this.selectionState = true;
        }
        Object.defineProperty(IgxTextSelectionDirective.prototype, "selected", {
            /**
             * Returns whether the input element is selectable through the directive.
             *
             * ```typescript
             * // get
             * @ViewChild('firstName',
             *  {read: IgxTextSelectionDirective})
             * public firstName: IgxTextSelectionDirective;
             *
             * public getFirstNameSelectionStatus() {
             *  return this.firstName.selected;
             * }
             * ```
             */
            get: /**
             * Returns whether the input element is selectable through the directive.
             *
             * ```typescript
             * // get
             * \@ViewChild('firstName',
             *  {read: IgxTextSelectionDirective})
             * public firstName: IgxTextSelectionDirective;
             *
             * public getFirstNameSelectionStatus() {
             *  return this.firstName.selected;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.selectionState;
            },
            /**
             *  Determines whether the input element could be selected through the directive.
             *
             *```html
             * <!--set-->
             * <input
             *   type="text"
             *   id="firstName"
             *   [igxTextSelection]="true">
             * </input>
             *
             * <input
             *   type="text"
             *   id="lastName"
             *   igxTextSelection
             *   [selected]="true">
             * </input>
             * ```
             */
            set: /**
             *  Determines whether the input element could be selected through the directive.
             *
             * ```html
             * <!--set-->
             * <input
             *   type="text"
             *   id="firstName"
             *   [igxTextSelection]="true">
             * </input>
             *
             * <input
             *   type="text"
             *   id="lastName"
             *   igxTextSelection
             *   [selected]="true">
             * </input>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this.selectionState = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTextSelectionDirective.prototype, "nativeElement", {
            /**
             * Returns the nativeElement of the element where the directive was applied.
             *
             * ```html
             * <input
             *   type="text"
            *    id="firstName"
             *   igxTextSelection>
             * </input>
             * ```
             *
             * ```typescript
             * @ViewChild('firstName',
             *  {read: IgxTextSelectionDirective})
             * public inputElement: IgxTextSelectionDirective;
             *
             * public getNativeElement() {
             *  return this.inputElement.nativeElement;
             * }
             * ```
             */
            get: /**
             * Returns the nativeElement of the element where the directive was applied.
             *
             * ```html
             * <input
             *   type="text"
             *    id="firstName"
             *   igxTextSelection>
             * </input>
             * ```
             *
             * ```typescript
             * \@ViewChild('firstName',
             *  {read: IgxTextSelectionDirective})
             * public inputElement: IgxTextSelectionDirective;
             *
             * public getNativeElement() {
             *  return this.inputElement.nativeElement;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTextSelectionDirective.prototype.onFocus = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.trigger();
        };
        /**
         * Triggers the selection of the element if it is marked as selectable.
         *
         * ```html
         * <input
         *   type="text"
         *   id="firstName"
         *   igxTextSelection>
         * </input>
         * ```
         *
         * ```typescript
         * @ViewChild('firstName',
         *  {read: IgxTextSelectionDirective})
         * public inputElement: IgxTextSelectionDirective;
         *
         * public triggerElementSelection() {
         *  this.inputElement.trigger();
         * }
         * ```
         */
        /**
         * Triggers the selection of the element if it is marked as selectable.
         *
         * ```html
         * <input
         *   type="text"
         *   id="firstName"
         *   igxTextSelection>
         * </input>
         * ```
         *
         * ```typescript
         * \@ViewChild('firstName',
         *  {read: IgxTextSelectionDirective})
         * public inputElement: IgxTextSelectionDirective;
         *
         * public triggerElementSelection() {
         *  this.inputElement.trigger();
         * }
         * ```
         * @return {?}
         */
        IgxTextSelectionDirective.prototype.trigger = /**
         * Triggers the selection of the element if it is marked as selectable.
         *
         * ```html
         * <input
         *   type="text"
         *   id="firstName"
         *   igxTextSelection>
         * </input>
         * ```
         *
         * ```typescript
         * \@ViewChild('firstName',
         *  {read: IgxTextSelectionDirective})
         * public inputElement: IgxTextSelectionDirective;
         *
         * public triggerElementSelection() {
         *  this.inputElement.trigger();
         * }
         * ```
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.selected && this.nativeElement.value.length) {
                requestAnimationFrame(function () { return _this.nativeElement.setSelectionRange(0, _this.nativeElement.value.length); });
            }
        };
        IgxTextSelectionDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'igxTextSelection',
                        selector: '[igxTextSelection]'
                    },] }
        ];
        /** @nocollapse */
        IgxTextSelectionDirective.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxTextSelectionDirective.propDecorators = {
            selected: [{ type: core.Input, args: ['igxTextSelection',] }],
            onFocus: [{ type: core.HostListener, args: ['focus',] }]
        };
        return IgxTextSelectionDirective;
    }());
    /**
     * @hidden
     */
    var IgxTextSelectionModule = /** @class */ (function () {
        function IgxTextSelectionModule() {
        }
        IgxTextSelectionModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxTextSelectionDirective],
                        exports: [IgxTextSelectionDirective]
                    },] }
        ];
        return IgxTextSelectionModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Tooltip Target** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/tooltip.html)
     *
     * The Ignite UI for Angular Tooltip Target directive is used to mark an HTML element in the markup as one that has a tooltip.
     * The tooltip target is used in combination with the Ignite UI for Angular Tooltip by assigning the exported tooltip reference to the
     * target's selector property.
     *
     * Example:
     * ```html
     * <button [igxTooltipTarget]="tooltipRef">Hover me</button>
     * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
     * ```
     */
    var IgxTooltipTargetDirective = /** @class */ (function (_super) {
        __extends(IgxTooltipTargetDirective, _super);
        function IgxTooltipTargetDirective(_element, _navigationService) {
            var _this = _super.call(this, _element, _navigationService) || this;
            _this._element = _element;
            _this._navigationService = _navigationService;
            /**
             * Gets/sets the amount of milliseconds that should pass before showing the tooltip.
             *
             * ```typescript
             * // get
             * let tooltipShowDelay = this.tooltipTarget.showDelay;
             * ```
             *
             * ```html
             * <!--set-->
             * <button [igxTooltipTarget]="tooltipRef" showDelay="1500">Hover me</button>
             * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
             * ```
             */
            _this.showDelay = 500;
            /**
             * Gets/sets the amount of milliseconds that should pass before hiding the tooltip.
             *
             * ```typescript
             * // get
             * let tooltipHideDelay = this.tooltipTarget.hideDelay;
             * ```
             *
             * ```html
             * <!--set-->
             * <button [igxTooltipTarget]="tooltipRef" hideDelay="1500">Hover me</button>
             * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
             * ```
             */
            _this.hideDelay = 500;
            /**
             * Specifies if the tooltip should not show when hovering its target with the mouse. (defaults to false)
             * While setting this property to 'true' will disable the user interactions that shows/hides the tooltip,
             * the developer will still be able to show/hide the tooltip through the API.
             *
             * ```typescript
             * // get
             * let tooltipDisabledValue = this.tooltipTarget.tooltipDisabled;
             * ```
             *
             * ```html
             * <!--set-->
             * <button [igxTooltipTarget]="tooltipRef" [tooltipDisabled]="true">Hover me</button>
             * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
             * ```
             */
            _this.tooltipDisabled = false;
            /**
             * Emits an event when the tooltip that is associated with this target starts showing.
             * This event is fired before the start of the countdown to showing the tooltip.
             *
             * ```typescript
             * tooltipShowing(args: ITooltipShowEventArgs) {
             *    alert("Tooltip started showing!");
             * }
             * ```
             *
             * ```html
             * <button [igxTooltipTarget]="tooltipRef"
             *         (onTooltipShow)='tooltipShowing($event)'>Hover me</button>
             * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
             * ```
             */
            _this.onTooltipShow = new core.EventEmitter();
            /**
             * Emits an event when the tooltip that is associated with this target starts hiding.
             * This event is fired before the start of the countdown to hiding the tooltip.
             *
             * ```typescript
             * tooltipHiding(args: ITooltipHideEventArgs) {
             *    alert("Tooltip started hiding!");
             * }
             * ```
             *
             * ```html
             * <button [igxTooltipTarget]="tooltipRef"
             *         (onTooltipHide)='tooltipHiding($event)'>Hover me</button>
             * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
             * ```
             */
            _this.onTooltipHide = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxTooltipTargetDirective.prototype, "target", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (typeof this._target === 'string') {
                    return this._navigationService.get(this._target);
                }
                return this._target;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} target
             * @return {?}
             */
            function (target) {
                if (target !== null && target !== '') {
                    this._target = target;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTooltipTargetDirective.prototype, "nativeElement", {
            /**
             * Gets the respective native element of the directive.
             *
             * ```typescript
             * let tooltipTargetElement = this.tooltipTarget.nativeElement;
             * ```
             */
            get: /**
             * Gets the respective native element of the directive.
             *
             * ```typescript
             * let tooltipTargetElement = this.tooltipTarget.nativeElement;
             * ```
             * @return {?}
             */
            function () {
                return this._element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTooltipTargetDirective.prototype, "tooltipHidden", {
            /**
             * Indicates if the tooltip that is is associated with this target is currently hidden.
             *
             * ```typescript
             * let tooltipHiddenValue = this.tooltipTarget.tooltipHidden;
             * ```
             */
            get: /**
             * Indicates if the tooltip that is is associated with this target is currently hidden.
             *
             * ```typescript
             * let tooltipHiddenValue = this.tooltipTarget.tooltipHidden;
             * ```
             * @return {?}
             */
            function () {
                return !this.target || this.target.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            _super.prototype.ngOnInit.call(this);
            /** @type {?} */
            var positionSettings = {
                target: this.nativeElement,
                horizontalDirection: HorizontalAlignment.Center,
                horizontalStartPoint: HorizontalAlignment.Center,
                openAnimation: animations.useAnimation(scaleInCenter, { params: { duration: '150ms' } }),
                closeAnimation: animations.useAnimation(fadeOut, { params: { duration: '75ms' } })
            };
            this._overlayDefaults.positionStrategy = new AutoPositionStrategy(positionSettings);
            this._overlayDefaults.closeOnOutsideClick = false;
        };
        /**
         * @private
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.checkOutletAndOutsideClick = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.outlet) {
                this._overlayDefaults.outlet = this.outlet;
            }
        };
        Object.defineProperty(IgxTooltipTargetDirective.prototype, "mergedOverlaySettings", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return Object.assign({}, this._overlayDefaults, this.overlaySettings);
            },
            enumerable: true,
            configurable: true
        });
        // Return true if the execution in onMouseEnter should be terminated after this method
        // Return true if the execution in onMouseEnter should be terminated after this method
        /**
         * @private
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.preMouseEnterCheck = 
        // Return true if the execution in onMouseEnter should be terminated after this method
        /**
         * @private
         * @return {?}
         */
        function () {
            // If tooltip is about to be opened
            if (this.target.toBeShown) {
                clearTimeout(this.target.timeoutId);
                this.target.toBeShown = false;
            }
            // If Tooltip is opened or about to be hidden
            if (!this.target.collapsed || this.target.toBeHidden) {
                clearTimeout(this.target.timeoutId);
                /** @type {?} */
                var hidingArgs = { target: this, tooltip: this.target, cancel: false };
                this.onTooltipHide.emit(hidingArgs);
                if (hidingArgs.cancel) {
                    return true;
                }
                //  if close animation has started finish it, or close the tooltip with no animation
                this.target.forceClose(this.mergedOverlaySettings);
                this.target.toBeHidden = false;
            }
            return false;
        };
        // Return true if the execution in onMouseLeave should be terminated after this method
        // Return true if the execution in onMouseLeave should be terminated after this method
        /**
         * @private
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.preMouseLeaveCheck = 
        // Return true if the execution in onMouseLeave should be terminated after this method
        /**
         * @private
         * @return {?}
         */
        function () {
            clearTimeout(this.target.timeoutId);
            // If tooltip is about to be opened
            if (this.target.toBeShown) {
                this.target.toBeShown = false;
                this.target.toBeHidden = false;
                return true;
            }
            return false;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.onKeydownEscape = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var hidingArgs = { target: this, tooltip: this.target, cancel: false };
            this.onTooltipHide.emit(hidingArgs);
            if (hidingArgs.cancel) {
                return;
            }
            this.target.toBeHidden = true;
            this.target.close();
            this.target.toBeHidden = false;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.onClick = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (!this.target.collapsed) {
                /** @type {?} */
                var hidingArgs = { target: this, tooltip: this.target, cancel: false };
                this.onTooltipHide.emit(hidingArgs);
                if (hidingArgs.cancel) {
                    return;
                }
                this.target.forceClose(this.mergedOverlaySettings);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.onMouseEnter = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.tooltipDisabled) {
                return;
            }
            this.checkOutletAndOutsideClick();
            /** @type {?} */
            var shouldReturn = this.preMouseEnterCheck();
            if (shouldReturn) {
                return;
            }
            /** @type {?} */
            var showingArgs = { target: this, tooltip: this.target, cancel: false };
            this.onTooltipShow.emit(showingArgs);
            if (showingArgs.cancel) {
                return;
            }
            this.target.toBeShown = true;
            this.target.timeoutId = setTimeout(function () {
                _this.target.open(_this.mergedOverlaySettings); // Call open() of IgxTooltipDirective
                _this.target.toBeShown = false;
            }, this.showDelay);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.onMouseLeave = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.tooltipDisabled) {
                return;
            }
            this.checkOutletAndOutsideClick();
            /** @type {?} */
            var shouldReturn = this.preMouseLeaveCheck();
            if (shouldReturn || this.target.collapsed) {
                return;
            }
            /** @type {?} */
            var hidingArgs = { target: this, tooltip: this.target, cancel: false };
            this.onTooltipHide.emit(hidingArgs);
            if (hidingArgs.cancel) {
                return;
            }
            this.target.toBeHidden = true;
            this.target.timeoutId = setTimeout(function () {
                _this.target.close(); // Call close() of IgxTooltipDirective
                _this.target.toBeHidden = false;
            }, this.hideDelay);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.onTouchStart = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.tooltipDisabled) {
                return;
            }
            this.showTooltip();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.onDocumentTouchStart = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.tooltipDisabled) {
                return;
            }
            if (this.nativeElement !== event.target &&
                !this.nativeElement.contains(event.target)) {
                this.hideTooltip();
            }
        };
        /**
         * Shows the tooltip by respecting the 'showDelay' property.
         *
         * ```typescript
         * this.tooltipTarget.showTooltip();
         * ```
         */
        /**
         * Shows the tooltip by respecting the 'showDelay' property.
         *
         * ```typescript
         * this.tooltipTarget.showTooltip();
         * ```
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.showTooltip = /**
         * Shows the tooltip by respecting the 'showDelay' property.
         *
         * ```typescript
         * this.tooltipTarget.showTooltip();
         * ```
         * @return {?}
         */
        function () {
            var _this = this;
            clearTimeout(this.target.timeoutId);
            if (!this.target.collapsed) {
                /** @type {?} */
                var hidingArgs = { target: this, tooltip: this.target, cancel: false };
                this.onTooltipHide.emit(hidingArgs);
                if (hidingArgs.cancel) {
                    return;
                }
                //  if close animation has started finish it, or close the tooltip with no animation
                this.target.forceClose(this.mergedOverlaySettings);
                this.target.toBeHidden = false;
            }
            /** @type {?} */
            var showingArgs = { target: this, tooltip: this.target, cancel: false };
            this.onTooltipShow.emit(showingArgs);
            if (showingArgs.cancel) {
                return;
            }
            this.target.toBeShown = true;
            this.target.timeoutId = setTimeout(function () {
                _this.target.open(_this.mergedOverlaySettings); // Call open() of IgxTooltipDirective
                _this.target.toBeShown = false;
            }, this.showDelay);
        };
        /**
         * Hides the tooltip by respecting the 'hideDelay' property.
         *
         * ```typescript
         * this.tooltipTarget.hideTooltip();
         * ```
         */
        /**
         * Hides the tooltip by respecting the 'hideDelay' property.
         *
         * ```typescript
         * this.tooltipTarget.hideTooltip();
         * ```
         * @return {?}
         */
        IgxTooltipTargetDirective.prototype.hideTooltip = /**
         * Hides the tooltip by respecting the 'hideDelay' property.
         *
         * ```typescript
         * this.tooltipTarget.hideTooltip();
         * ```
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.target.collapsed && this.target.toBeShown) {
                clearTimeout(this.target.timeoutId);
            }
            if (this.target.collapsed || this.target.toBeHidden) {
                return;
            }
            /** @type {?} */
            var hidingArgs = { target: this, tooltip: this.target, cancel: false };
            this.onTooltipHide.emit(hidingArgs);
            if (hidingArgs.cancel) {
                return;
            }
            this.target.toBeHidden = true;
            this.target.timeoutId = setTimeout(function () {
                _this.target.close(); // Call close() of IgxTooltipDirective
                _this.target.toBeHidden = false;
            }, this.hideDelay);
        };
        IgxTooltipTargetDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'tooltipTarget',
                        selector: '[igxTooltipTarget]'
                    },] }
        ];
        /** @nocollapse */
        IgxTooltipTargetDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] }
        ]; };
        IgxTooltipTargetDirective.propDecorators = {
            showDelay: [{ type: core.Input, args: ['showDelay',] }],
            hideDelay: [{ type: core.Input, args: ['hideDelay',] }],
            tooltipDisabled: [{ type: core.Input, args: ['tooltipDisabled',] }],
            target: [{ type: core.Input, args: ['igxTooltipTarget',] }],
            onTooltipShow: [{ type: core.Output }],
            onTooltipHide: [{ type: core.Output }],
            onKeydownEscape: [{ type: core.HostListener, args: ['document:keydown.escape', ['$event'],] }],
            onClick: [{ type: core.HostListener, args: ['click',] }],
            onMouseEnter: [{ type: core.HostListener, args: ['mouseenter',] }],
            onMouseLeave: [{ type: core.HostListener, args: ['mouseleave',] }],
            onTouchStart: [{ type: core.HostListener, args: ['touchstart', ['$event'],] }],
            onDocumentTouchStart: [{ type: core.HostListener, args: ['document:touchstart', ['$event'],] }]
        };
        return IgxTooltipTargetDirective;
    }(IgxToggleActionDirective));
    /** @type {?} */
    var NEXT_ID$6 = 0;
    /**
     * **Ignite UI for Angular Tooltip** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/tooltip.html)
     *
     * The Ignite UI for Angular Tooltip directive is used to mark an HTML element in the markup as one that should behave as a tooltip.
     * The tooltip is used in combination with the Ignite UI for Angular Tooltip Target by assigning the exported tooltip reference to the
     * respective target's selector property.
     *
     * Example:
     * ```html
     * <button [igxTooltipTarget]="tooltipRef">Hover me</button>
     * <span #tooltipRef="tooltip" igxTooltip>Hello there, I am a tooltip!</span>
     * ```
     */
    var IgxTooltipDirective = /** @class */ (function (_super) {
        __extends(IgxTooltipDirective, _super);
        /** @hidden */
        function IgxTooltipDirective(elementRef, cdr, overlayService, navigationService) {
            var _this = 
            // D.P. constructor duplication due to es6 compilation, might be obsolete in the future
            _super.call(this, elementRef, cdr, overlayService, navigationService) || this;
            /**
             * @hidden
             * Returns whether close time out has started
             */
            _this.toBeHidden = false;
            /**
             * @hidden
             * Returns whether open time out has started
             */
            _this.toBeShown = false;
            /**
             * Identifier for the tooltip.
             * If this is property is not explicitly set, it will be automatically generated.
             *
             * ```typescript
             * let tooltipId = this.tooltip.id;
             * ```
             */
            _this.id = "igx-tooltip-" + NEXT_ID$6++;
            return _this;
        }
        Object.defineProperty(IgxTooltipDirective.prototype, "hiddenClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTooltipDirective.prototype, "defaultClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTooltipDirective.prototype, "role", {
            /**
             * Get the role attribute of the tooltip.
             *
             * ```typescript
             * let tooltipRole = this.tooltip.role;
             * ```
             */
            get: /**
             * Get the role attribute of the tooltip.
             *
             * ```typescript
             * let tooltipRole = this.tooltip.role;
             * ```
             * @return {?}
             */
            function () {
                return 'tooltip';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * If there is open animation in progress this method will finish is.
         * If there is no open animation in progress this method will open the toggle with no animation.
         * @param overlaySettings setting to use for opening the toggle
         */
        /**
         * If there is open animation in progress this method will finish is.
         * If there is no open animation in progress this method will open the toggle with no animation.
         * @protected
         * @param {?=} overlaySettings setting to use for opening the toggle
         * @return {?}
         */
        IgxTooltipDirective.prototype.forceOpen = /**
         * If there is open animation in progress this method will finish is.
         * If there is no open animation in progress this method will open the toggle with no animation.
         * @protected
         * @param {?=} overlaySettings setting to use for opening the toggle
         * @return {?}
         */
        function (overlaySettings) {
            /** @type {?} */
            var info = this.overlayService.getOverlayById(this._overlayId);
            /** @type {?} */
            var hasOpenAnimation = info ? info.openAnimationPlayer : false;
            if (hasOpenAnimation) {
                info.openAnimationPlayer.finish();
                info.openAnimationPlayer.reset();
                info.openAnimationPlayer = null;
            }
            else if (this.collapsed) {
                /** @type {?} */
                var animation = overlaySettings.positionStrategy.settings.openAnimation;
                overlaySettings.positionStrategy.settings.openAnimation = null;
                this.open(overlaySettings);
                overlaySettings.positionStrategy.settings.openAnimation = animation;
            }
        };
        /**
         * If there is close animation in progress this method will finish is.
         * If there is no close animation in progress this method will close the toggle with no animation.
         * @param overlaySettings settings to use for closing the toggle
         */
        /**
         * If there is close animation in progress this method will finish is.
         * If there is no close animation in progress this method will close the toggle with no animation.
         * @protected
         * @param {?=} overlaySettings settings to use for closing the toggle
         * @return {?}
         */
        IgxTooltipDirective.prototype.forceClose = /**
         * If there is close animation in progress this method will finish is.
         * If there is no close animation in progress this method will close the toggle with no animation.
         * @protected
         * @param {?=} overlaySettings settings to use for closing the toggle
         * @return {?}
         */
        function (overlaySettings) {
            /** @type {?} */
            var info = this.overlayService.getOverlayById(this._overlayId);
            /** @type {?} */
            var hasCloseAnimation = info ? info.closeAnimationPlayer : false;
            if (hasCloseAnimation) {
                info.closeAnimationPlayer.finish();
                info.closeAnimationPlayer.reset();
                info.closeAnimationPlayer = null;
            }
            else if (!this.collapsed) {
                /** @type {?} */
                var animation = overlaySettings.positionStrategy.settings.closeAnimation;
                overlaySettings.positionStrategy.settings.closeAnimation = null;
                this.close();
                overlaySettings.positionStrategy.settings.closeAnimation = animation;
            }
        };
        IgxTooltipDirective.decorators = [
            { type: core.Directive, args: [{
                        exportAs: 'tooltip',
                        selector: '[igxTooltip]'
                    },] }
        ];
        /** @nocollapse */
        IgxTooltipDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] }
        ]; };
        IgxTooltipDirective.propDecorators = {
            hiddenClass: [{ type: core.HostBinding, args: ['class.igx-tooltip--hidden',] }],
            defaultClass: [{ type: core.HostBinding, args: ['class.igx-tooltip--desktop',] }],
            context: [{ type: core.Input, args: ['context',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }]
        };
        return IgxTooltipDirective;
    }(IgxToggleDirective));
    /**
     * @hidden
     */
    var IgxTooltipModule = /** @class */ (function () {
        function IgxTooltipModule() {
        }
        IgxTooltipModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxTooltipDirective, IgxTooltipTargetDirective],
                        exports: [IgxTooltipDirective, IgxTooltipTargetDirective],
                        imports: [common.CommonModule],
                        providers: [IgxOverlayService]
                    },] }
        ];
        return IgxTooltipModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Provides base filtering operations
     * Implementations should be Singleton
     *
     * @export
     */
    var IgxFilteringOperand = /** @class */ (function () {
        function IgxFilteringOperand() {
            var _this = this;
            this.operations = [{
                    name: 'null',
                    isUnary: true,
                    iconName: 'is_null',
                    logic: function (target) {
                        return target === null;
                    }
                }, {
                    name: 'notNull',
                    isUnary: true,
                    iconName: 'is_not_null',
                    logic: function (target) {
                        return target !== null;
                    }
                }, {
                    name: 'in',
                    isUnary: false,
                    iconName: 'is_in',
                    hidden: true,
                    logic: function (target, searchVal) {
                        return _this.findValueInSet(target, searchVal);
                    }
                }];
        }
        /**
         * @return {?}
         */
        IgxFilteringOperand.instance = /**
         * @return {?}
         */
        function () {
            return this._instance || (this._instance = new this());
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} target
         * @param {?} searchVal
         * @return {?}
         */
        IgxFilteringOperand.prototype.findValueInSet = /**
         * @hidden
         * @protected
         * @param {?} target
         * @param {?} searchVal
         * @return {?}
         */
        function (target, searchVal) {
            return searchVal.has(target);
        };
        /**
         * Returns an array of names of the conditions which are visible in the UI
         */
        /**
         * Returns an array of names of the conditions which are visible in the UI
         * @return {?}
         */
        IgxFilteringOperand.prototype.conditionList = /**
         * Returns an array of names of the conditions which are visible in the UI
         * @return {?}
         */
        function () {
            return this.operations.filter(function (f) { return !f.hidden; }).map(function (element) { return element.name; });
        };
        /**
         * Returns an instance of the condition with the specified name.
         * @param name The name of the condition.
         */
        /**
         * Returns an instance of the condition with the specified name.
         * @param {?} name The name of the condition.
         * @return {?}
         */
        IgxFilteringOperand.prototype.condition = /**
         * Returns an instance of the condition with the specified name.
         * @param {?} name The name of the condition.
         * @return {?}
         */
        function (name) {
            return this.operations.find(function (element) { return element.name === name; });
        };
        /**
         * Adds a new condition to the filtering operations.
         * @param operation The filtering operation.
         */
        /**
         * Adds a new condition to the filtering operations.
         * @param {?} operation The filtering operation.
         * @return {?}
         */
        IgxFilteringOperand.prototype.append = /**
         * Adds a new condition to the filtering operations.
         * @param {?} operation The filtering operation.
         * @return {?}
         */
        function (operation) {
            this.operations.push(operation);
        };
        IgxFilteringOperand._instance = null;
        return IgxFilteringOperand;
    }());
    /**
     * Provides filtering operations for booleans
     *
     * @export
     */
    var   /**
     * Provides filtering operations for booleans
     *
     * @export
     */
    IgxBooleanFilteringOperand = /** @class */ (function (_super) {
        __extends(IgxBooleanFilteringOperand, _super);
        function IgxBooleanFilteringOperand() {
            var _this = _super.call(this) || this;
            _this.operations = [{
                    name: 'all',
                    isUnary: true,
                    iconName: 'all',
                    logic: function (target) {
                        return true;
                    }
                }, {
                    name: 'true',
                    isUnary: true,
                    iconName: 'is_true',
                    logic: function (target) {
                        return !!(target && target !== null && target !== undefined);
                    }
                }, {
                    name: 'false',
                    isUnary: true,
                    iconName: 'is_false',
                    logic: function (target) {
                        return !target && target !== null && target !== undefined;
                    }
                }, {
                    name: 'empty',
                    isUnary: true,
                    iconName: 'empty',
                    logic: function (target) {
                        return target === null || target === undefined;
                    }
                }, {
                    name: 'notEmpty',
                    isUnary: true,
                    iconName: 'not_empty',
                    logic: function (target) {
                        return target !== null && target !== undefined;
                    }
                }].concat(_this.operations);
            return _this;
        }
        return IgxBooleanFilteringOperand;
    }(IgxFilteringOperand));
    /**
     * Provides filtering operations for Dates
     *
     * @export
     */
    var   /**
     * Provides filtering operations for Dates
     *
     * @export
     */
    IgxDateFilteringOperand = /** @class */ (function (_super) {
        __extends(IgxDateFilteringOperand, _super);
        function IgxDateFilteringOperand() {
            var _this = _super.call(this) || this;
            _this.operations = [{
                    name: 'equals',
                    isUnary: false,
                    iconName: 'equals',
                    logic: function (target, searchVal) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var targetp = IgxDateFilteringOperand.getDateParts(target, 'yMd');
                        /** @type {?} */
                        var searchp = IgxDateFilteringOperand.getDateParts(searchVal, 'yMd');
                        return targetp.year === searchp.year &&
                            targetp.month === searchp.month &&
                            targetp.day === searchp.day;
                    }
                }, {
                    name: 'doesNotEqual',
                    isUnary: false,
                    iconName: 'not_equal',
                    logic: function (target, searchVal) {
                        if (!target) {
                            return true;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var targetp = IgxDateFilteringOperand.getDateParts(target, 'yMd');
                        /** @type {?} */
                        var searchp = IgxDateFilteringOperand.getDateParts(searchVal, 'yMd');
                        return targetp.year !== searchp.year ||
                            targetp.month !== searchp.month ||
                            targetp.day !== searchp.day;
                    }
                }, {
                    name: 'before',
                    isUnary: false,
                    iconName: 'is_before',
                    logic: function (target, searchVal) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        return target < searchVal;
                    }
                }, {
                    name: 'after',
                    isUnary: false,
                    iconName: 'is_after',
                    logic: function (target, searchVal) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        return target > searchVal;
                    }
                }, {
                    name: 'today',
                    isUnary: true,
                    iconName: 'today',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'yMd');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'yMd');
                        return d.year === now.year &&
                            d.month === now.month &&
                            d.day === now.day;
                    }
                }, {
                    name: 'yesterday',
                    isUnary: true,
                    iconName: 'yesterday',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var td = IgxDateFilteringOperand.getDateParts(target, 'yMd');
                        /** @type {?} */
                        var y = (function (d) { return new Date(d.setDate(d.getDate() - 1)); })(new Date());
                        /** @type {?} */
                        var yesterday = IgxDateFilteringOperand.getDateParts(y, 'yMd');
                        return td.year === yesterday.year &&
                            td.month === yesterday.month &&
                            td.day === yesterday.day;
                    }
                }, {
                    name: 'thisMonth',
                    isUnary: true,
                    iconName: 'this_month',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'yM');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'yM');
                        return d.year === now.year &&
                            d.month === now.month;
                    }
                }, {
                    name: 'lastMonth',
                    isUnary: true,
                    iconName: 'last_month',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'yM');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'yM');
                        if (!now.month) {
                            now.month = 11;
                            now.year -= 1;
                        }
                        else {
                            now.month--;
                        }
                        return d.year === now.year &&
                            d.month === now.month;
                    }
                }, {
                    name: 'nextMonth',
                    isUnary: true,
                    iconName: 'next_month',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'yM');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'yM');
                        if (now.month === 11) {
                            now.month = 0;
                            now.year += 1;
                        }
                        else {
                            now.month++;
                        }
                        return d.year === now.year &&
                            d.month === now.month;
                    }
                }, {
                    name: 'thisYear',
                    isUnary: true,
                    iconName: 'this_year',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'y');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'y');
                        return d.year === now.year;
                    }
                }, {
                    name: 'lastYear',
                    isUnary: true,
                    iconName: 'last_year',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'y');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'y');
                        return d.year === now.year - 1;
                    }
                }, {
                    name: 'nextYear',
                    isUnary: true,
                    iconName: 'next_year',
                    logic: function (target) {
                        if (!target) {
                            return false;
                        }
                        _this.validateInputData(target);
                        /** @type {?} */
                        var d = IgxDateFilteringOperand.getDateParts(target, 'y');
                        /** @type {?} */
                        var now = IgxDateFilteringOperand.getDateParts(new Date(), 'y');
                        return d.year === now.year + 1;
                    }
                }, {
                    name: 'empty',
                    isUnary: true,
                    iconName: 'empty',
                    logic: function (target) {
                        return target === null || target === undefined;
                    }
                }, {
                    name: 'notEmpty',
                    isUnary: true,
                    iconName: 'not_empty',
                    logic: function (target) {
                        return target !== null && target !== undefined;
                    }
                }].concat(_this.operations);
            return _this;
        }
        /**
         * Splits a Date object into parts
         *
         * @memberof IgxDateFilteringOperand
         */
        /**
         * Splits a Date object into parts
         *
         * \@memberof IgxDateFilteringOperand
         * @param {?} date
         * @param {?=} dateFormat
         * @return {?}
         */
        IgxDateFilteringOperand.getDateParts = /**
         * Splits a Date object into parts
         *
         * \@memberof IgxDateFilteringOperand
         * @param {?} date
         * @param {?=} dateFormat
         * @return {?}
         */
        function (date, dateFormat) {
            /** @type {?} */
            var res = {
                day: null,
                hours: null,
                milliseconds: null,
                minutes: null,
                month: null,
                seconds: null,
                year: null
            };
            if (!date || !dateFormat) {
                return res;
            }
            if (dateFormat.indexOf('y') >= 0) {
                res.year = date.getFullYear();
            }
            if (dateFormat.indexOf('M') >= 0) {
                res.month = date.getMonth();
            }
            if (dateFormat.indexOf('d') >= 0) {
                res.day = date.getDate();
            }
            if (dateFormat.indexOf('h') >= 0) {
                res.hours = date.getHours();
            }
            if (dateFormat.indexOf('m') >= 0) {
                res.minutes = date.getMinutes();
            }
            if (dateFormat.indexOf('s') >= 0) {
                res.seconds = date.getSeconds();
            }
            if (dateFormat.indexOf('f') >= 0) {
                res.milliseconds = date.getMilliseconds();
            }
            return res;
        };
        /**
         * @private
         * @param {?} target
         * @return {?}
         */
        IgxDateFilteringOperand.prototype.validateInputData = /**
         * @private
         * @param {?} target
         * @return {?}
         */
        function (target) {
            if (!(target instanceof Date)) {
                throw new Error('Could not perform filtering on \'date\' column because the datasource object type is not \'Date\'.');
            }
        };
        /**
         * @protected
         * @param {?} target
         * @param {?} searchVal
         * @return {?}
         */
        IgxDateFilteringOperand.prototype.findValueInSet = /**
         * @protected
         * @param {?} target
         * @param {?} searchVal
         * @return {?}
         */
        function (target, searchVal) {
            if (!target) {
                return false;
            }
            return searchVal.has(new Date(target.getFullYear(), target.getMonth(), target.getDate()).toISOString());
        };
        return IgxDateFilteringOperand;
    }(IgxFilteringOperand));
    /**
     * Provides filtering operations for numbers
     *
     * @export
     */
    var   /**
     * Provides filtering operations for numbers
     *
     * @export
     */
    IgxNumberFilteringOperand = /** @class */ (function (_super) {
        __extends(IgxNumberFilteringOperand, _super);
        function IgxNumberFilteringOperand() {
            var _this = _super.call(this) || this;
            _this.operations = [{
                    name: 'equals',
                    isUnary: false,
                    iconName: 'equals',
                    logic: function (target, searchVal) {
                        return target === searchVal;
                    }
                }, {
                    name: 'doesNotEqual',
                    isUnary: false,
                    iconName: 'not_equal',
                    logic: function (target, searchVal) {
                        return target !== searchVal;
                    }
                }, {
                    name: 'greaterThan',
                    isUnary: false,
                    iconName: 'greater_than',
                    logic: function (target, searchVal) {
                        return target > searchVal;
                    }
                }, {
                    name: 'lessThan',
                    isUnary: false,
                    iconName: 'less_than',
                    logic: function (target, searchVal) {
                        return target < searchVal;
                    }
                }, {
                    name: 'greaterThanOrEqualTo',
                    isUnary: false,
                    iconName: 'greater_than_or_equal',
                    logic: function (target, searchVal) {
                        return target >= searchVal;
                    }
                }, {
                    name: 'lessThanOrEqualTo',
                    isUnary: false,
                    iconName: 'less_than_or_equal',
                    logic: function (target, searchVal) {
                        return target <= searchVal;
                    }
                }, {
                    name: 'empty',
                    isUnary: true,
                    iconName: 'empty',
                    logic: function (target) {
                        return target === null || target === undefined || isNaN(target);
                    }
                }, {
                    name: 'notEmpty',
                    isUnary: true,
                    iconName: 'not_empty',
                    logic: function (target) {
                        return target !== null && target !== undefined && !isNaN(target);
                    }
                }].concat(_this.operations);
            return _this;
        }
        return IgxNumberFilteringOperand;
    }(IgxFilteringOperand));
    /**
     * Provides filtering operations for strings
     *
     * @export
     */
    var   /**
     * Provides filtering operations for strings
     *
     * @export
     */
    IgxStringFilteringOperand = /** @class */ (function (_super) {
        __extends(IgxStringFilteringOperand, _super);
        function IgxStringFilteringOperand() {
            var _this = _super.call(this) || this;
            _this.operations = [{
                    name: 'contains',
                    isUnary: false,
                    iconName: 'contains',
                    logic: function (target, searchVal, ignoreCase) {
                        /** @type {?} */
                        var search = IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
                        target = IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
                        return target.indexOf(search) !== -1;
                    }
                }, {
                    name: 'doesNotContain',
                    isUnary: false,
                    iconName: 'does_not_contain',
                    logic: function (target, searchVal, ignoreCase) {
                        /** @type {?} */
                        var search = IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
                        target = IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
                        return target.indexOf(search) === -1;
                    }
                }, {
                    name: 'startsWith',
                    isUnary: false,
                    iconName: 'starts_with',
                    logic: function (target, searchVal, ignoreCase) {
                        /** @type {?} */
                        var search = IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
                        target = IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
                        return target.startsWith(search);
                    }
                }, {
                    name: 'endsWith',
                    isUnary: false,
                    iconName: 'ends_with',
                    logic: function (target, searchVal, ignoreCase) {
                        /** @type {?} */
                        var search = IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
                        target = IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
                        return target.endsWith(search);
                    }
                }, {
                    name: 'equals',
                    isUnary: false,
                    iconName: 'equals',
                    logic: function (target, searchVal, ignoreCase) {
                        /** @type {?} */
                        var search = IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
                        target = IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
                        return target === search;
                    }
                }, {
                    name: 'doesNotEqual',
                    isUnary: false,
                    iconName: 'not_equal',
                    logic: function (target, searchVal, ignoreCase) {
                        /** @type {?} */
                        var search = IgxStringFilteringOperand.applyIgnoreCase(searchVal, ignoreCase);
                        target = IgxStringFilteringOperand.applyIgnoreCase(target, ignoreCase);
                        return target !== search;
                    }
                }, {
                    name: 'empty',
                    isUnary: true,
                    iconName: 'empty',
                    logic: function (target) {
                        return target === null || target === undefined || target.length === 0;
                    }
                }, {
                    name: 'notEmpty',
                    isUnary: true,
                    iconName: 'not_empty',
                    logic: function (target) {
                        return target !== null && target !== undefined && target.length > 0;
                    }
                }].concat(_this.operations);
            return _this;
        }
        /**
         * Applies case sensitivity on strings if provided
         *
         * @memberof IgxStringFilteringOperand
         */
        /**
         * Applies case sensitivity on strings if provided
         *
         * \@memberof IgxStringFilteringOperand
         * @param {?} a
         * @param {?} ignoreCase
         * @return {?}
         */
        IgxStringFilteringOperand.applyIgnoreCase = /**
         * Applies case sensitivity on strings if provided
         *
         * \@memberof IgxStringFilteringOperand
         * @param {?} a
         * @param {?} ignoreCase
         * @return {?}
         */
        function (a, ignoreCase) {
            a = a || '';
            // bulletproof
            return ignoreCase ? ('' + a).toLowerCase() : a;
        };
        return IgxStringFilteringOperand;
    }(IgxFilteringOperand));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var filteringStateDefaults = {
        strategy: new FilteringStrategy()
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var   /**
     * @hidden
     */
    GroupedRecords = /** @class */ (function (_super) {
        __extends(GroupedRecords, _super);
        function GroupedRecords() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        return GroupedRecords;
    }(Array));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Icon Service** -
     *
     * The Ignite UI Icon Service makes it easy for developers to include custom SVG images and use them with IgxIconComponent.
     * In addition it could be used to associate a custom class to be applied on IgxIconComponent according to given fontSet.
     *
     * Example:
     * ```typescript
     * this.iconService.registerFontSetAlias('material', 'material-icons');
     * this.iconService.addSvgIcon('aruba', '/assets/svg/country_flags/aruba.svg', 'svg-flags');
     * ```
     */
    var IgxIconService = /** @class */ (function () {
        function IgxIconService(_sanitizer, _document) {
            this._sanitizer = _sanitizer;
            this._document = _document;
            this._fontSet = 'material-icons';
            this._fontSetAliases = new Map();
            this._cachedSvgIcons = new Set();
        }
        Object.defineProperty(IgxIconService.prototype, "defaultFontSet", {
            /**
             *  Returns the default font set.
             *```typescript
             *   const defaultFontSet = this.iconService.defaultFontSet;
             * ```
             */
            get: /**
             *  Returns the default font set.
             * ```typescript
             *   const defaultFontSet = this.iconService.defaultFontSet;
             * ```
             * @return {?}
             */
            function () {
                return this._fontSet;
            },
            /**
             *  Sets the default font set.
             *```typescript
             *   this.iconService.defaultFontSet = 'svg-flags';
             * ```
             */
            set: /**
             *  Sets the default font set.
             * ```typescript
             *   this.iconService.defaultFontSet = 'svg-flags';
             * ```
             * @param {?} className
             * @return {?}
             */
            function (className) {
                this._fontSet = className;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *  Registers a custom class to be applied to IgxIconComponent for a given fontSet.
         *```typescript
         *   this.iconService.registerFontSetAlias('material', 'material-icons');
         * ```
         */
        /**
         *  Registers a custom class to be applied to IgxIconComponent for a given fontSet.
         * ```typescript
         *   this.iconService.registerFontSetAlias('material', 'material-icons');
         * ```
         * @template THIS
         * @this {THIS}
         * @param {?} alias
         * @param {?=} className
         * @return {THIS}
         */
        IgxIconService.prototype.registerFontSetAlias = /**
         *  Registers a custom class to be applied to IgxIconComponent for a given fontSet.
         * ```typescript
         *   this.iconService.registerFontSetAlias('material', 'material-icons');
         * ```
         * @template THIS
         * @this {THIS}
         * @param {?} alias
         * @param {?=} className
         * @return {THIS}
         */
        function (alias, className) {
            if (className === void 0) { className = alias; }
            (/** @type {?} */ (this))._fontSetAliases.set(alias, className);
            return (/** @type {?} */ (this));
        };
        /**
         *  Returns the custom class, if any, associated to a given fontSet.
         *```typescript
         *   const fontSetClass = this.iconService.fontSetClassName('material');
         * ```
         */
        /**
         *  Returns the custom class, if any, associated to a given fontSet.
         * ```typescript
         *   const fontSetClass = this.iconService.fontSetClassName('material');
         * ```
         * @param {?} alias
         * @return {?}
         */
        IgxIconService.prototype.fontSetClassName = /**
         *  Returns the custom class, if any, associated to a given fontSet.
         * ```typescript
         *   const fontSetClass = this.iconService.fontSetClassName('material');
         * ```
         * @param {?} alias
         * @return {?}
         */
        function (alias) {
            return this._fontSetAliases.get(alias) || alias;
        };
        /**
         *  Adds an SVG image to the cache. SVG source is an url.
         *```typescript
         *   this.iconService.addSvgIcon('aruba', '/assets/svg/country_flags/aruba.svg', 'svg-flags');
         * ```
         */
        /**
         *  Adds an SVG image to the cache. SVG source is an url.
         * ```typescript
         *   this.iconService.addSvgIcon('aruba', '/assets/svg/country_flags/aruba.svg', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?} url
         * @param {?=} fontSet
         * @return {?}
         */
        IgxIconService.prototype.addSvgIcon = /**
         *  Adds an SVG image to the cache. SVG source is an url.
         * ```typescript
         *   this.iconService.addSvgIcon('aruba', '/assets/svg/country_flags/aruba.svg', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?} url
         * @param {?=} fontSet
         * @return {?}
         */
        function (iconName, url, fontSet) {
            if (fontSet === void 0) { fontSet = ''; }
            if (iconName && url) {
                /** @type {?} */
                var safeUrl = this._sanitizer.bypassSecurityTrustResourceUrl(url);
                if (!safeUrl) {
                    throw new Error("The provided URL could not be processed as trusted resource URL by Angular's DomSanitizer: \"" + url + "\".");
                }
                /** @type {?} */
                var sanitizedUrl = this._sanitizer.sanitize(core.SecurityContext.RESOURCE_URL, safeUrl);
                if (!sanitizedUrl) {
                    throw new Error("The URL provided was not trusted as a resource URL: \"" + url + "\".");
                }
                this.fetchSvg(iconName, url, fontSet);
            }
            else {
                throw new Error('You should provide at least `iconName` and `url` to register an svg icon.');
            }
        };
        /**
         *  Adds an SVG image to the cache. SVG source is its text.
         *```typescript
         *   this.iconService.addSvgIcon('simple', '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
         *   <path d="M74 74h54v54H74" /></svg>', 'svg-flags');
         * ```
         */
        /**
         *  Adds an SVG image to the cache. SVG source is its text.
         * ```typescript
         *   this.iconService.addSvgIcon('simple', '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
         *   <path d="M74 74h54v54H74" /></svg>', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?} iconText
         * @param {?=} fontSet
         * @return {?}
         */
        IgxIconService.prototype.addSvgIconFromText = /**
         *  Adds an SVG image to the cache. SVG source is its text.
         * ```typescript
         *   this.iconService.addSvgIcon('simple', '<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 200 200">
         *   <path d="M74 74h54v54H74" /></svg>', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?} iconText
         * @param {?=} fontSet
         * @return {?}
         */
        function (iconName, iconText, fontSet) {
            if (fontSet === void 0) { fontSet = ''; }
            if (iconName && iconText) {
                this.cacheSvgIcon(iconName, iconText, fontSet);
            }
            else {
                throw new Error('You should provide at least `iconName` and `iconText` to register an svg icon.');
            }
        };
        /**
         *  Returns whether a given SVG image is present in the cache.
         *```typescript
         *   const isSvgCached = this.iconService.isSvgIconCached('aruba', 'svg-flags');
         * ```
         */
        /**
         *  Returns whether a given SVG image is present in the cache.
         * ```typescript
         *   const isSvgCached = this.iconService.isSvgIconCached('aruba', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?=} fontSet
         * @return {?}
         */
        IgxIconService.prototype.isSvgIconCached = /**
         *  Returns whether a given SVG image is present in the cache.
         * ```typescript
         *   const isSvgCached = this.iconService.isSvgIconCached('aruba', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?=} fontSet
         * @return {?}
         */
        function (iconName, fontSet) {
            if (fontSet === void 0) { fontSet = ''; }
            /** @type {?} */
            var iconKey = this.getSvgIconKey(iconName, fontSet);
            return this._cachedSvgIcons.has(iconKey);
        };
        /**
         *  Returns the key of a cached SVG image.
         *```typescript
         *   const svgIconKey = this.iconService.getSvgIconKey('aruba', 'svg-flags');
         * ```
         */
        /**
         *  Returns the key of a cached SVG image.
         * ```typescript
         *   const svgIconKey = this.iconService.getSvgIconKey('aruba', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?=} fontSet
         * @return {?}
         */
        IgxIconService.prototype.getSvgIconKey = /**
         *  Returns the key of a cached SVG image.
         * ```typescript
         *   const svgIconKey = this.iconService.getSvgIconKey('aruba', 'svg-flags');
         * ```
         * @param {?} iconName
         * @param {?=} fontSet
         * @return {?}
         */
        function (iconName, fontSet) {
            if (fontSet === void 0) { fontSet = ''; }
            return fontSet + '_' + iconName;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} iconName
         * @param {?} url
         * @param {?=} fontSet
         * @return {?}
         */
        IgxIconService.prototype.fetchSvg = /**
         * @hidden
         * @private
         * @param {?} iconName
         * @param {?} url
         * @param {?=} fontSet
         * @return {?}
         */
        function (iconName, url, fontSet) {
            if (fontSet === void 0) { fontSet = ''; }
            /** @type {?} */
            var instance = this;
            /** @type {?} */
            var httpRequest = new XMLHttpRequest();
            httpRequest.open('GET', url, true);
            httpRequest.responseType = 'text';
            // load – when the result is ready, that includes HTTP errors like 404.
            httpRequest.onload = function (event) {
                if (event) {
                    /** @type {?} */
                    var request = (/** @type {?} */ (event.target));
                    if (request.status === 200) {
                        instance.cacheSvgIcon(iconName, request.responseText, fontSet);
                    }
                    else {
                        throw new Error("Could not fetch SVG from url: " + url + "; error: " + request.status + " (" + request.statusText + ")");
                    }
                }
                else {
                    throw new Error("Could not fetch SVG from url: " + url + ";");
                }
            };
            // error – when the request couldn’t be made, e.g.network down or invalid URL.
            httpRequest.onerror = function (event) {
                if (event) {
                    /** @type {?} */
                    var request = (/** @type {?} */ (event.target));
                    throw new Error("Could not fetch SVG from url: " + url + "; error status code: " + request.status + " (" + request.statusText + ")");
                }
                throw new Error("Could not fetch SVG from url: " + url + ";");
            };
            httpRequest.send();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} iconName
         * @param {?} value
         * @param {?=} fontSet
         * @return {?}
         */
        IgxIconService.prototype.cacheSvgIcon = /**
         * @hidden
         * @private
         * @param {?} iconName
         * @param {?} value
         * @param {?=} fontSet
         * @return {?}
         */
        function (iconName, value, fontSet) {
            if (fontSet === void 0) { fontSet = ''; }
            if (iconName && value) {
                this.ensureSvgContainerCreated();
                /** @type {?} */
                var div = this._document.createElement('DIV');
                div.innerHTML = value;
                /** @type {?} */
                var svg = (/** @type {?} */ (div.querySelector('svg')));
                if (svg) {
                    /** @type {?} */
                    var iconKey = this.getSvgIconKey(iconName, fontSet);
                    svg.setAttribute('id', iconKey);
                    svg.setAttribute('fit', '');
                    svg.setAttribute('preserveAspectRatio', 'xMidYMid meet');
                    svg.setAttribute('focusable', 'false'); // Disable IE11 default behavior to make SVGs focusable.
                    if (this._cachedSvgIcons.has(iconKey)) {
                        /** @type {?} */
                        var oldChild = this._svgContainer.querySelector("svg[id='" + iconKey + "']");
                        this._svgContainer.removeChild(oldChild);
                    }
                    this._svgContainer.appendChild(svg);
                    this._cachedSvgIcons.add(iconKey);
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxIconService.prototype.ensureSvgContainerCreated = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            if (!this._svgContainer) {
                this._svgContainer = this._document.documentElement.querySelector('.igx-svg-container');
                if (!this._svgContainer) {
                    this._svgContainer = this._document.createElement('DIV');
                    this._svgContainer.classList.add('igx-svg-container');
                    this._document.documentElement.appendChild(this._svgContainer);
                }
            }
        };
        IgxIconService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root'
                    },] }
        ];
        /** @nocollapse */
        IgxIconService.ctorParameters = function () { return [
            { type: platformBrowser.DomSanitizer },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] }
        ]; };
        /** @nocollapse */ IgxIconService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function IgxIconService_Factory() { return new IgxIconService(core.ɵɵinject(platformBrowser.DomSanitizer), core.ɵɵinject(common.DOCUMENT)); }, token: IgxIconService, providedIn: "root" });
        return IgxIconService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Icon** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/icon.html)
     *
     * The Ignite UI Icon makes it easy for developers to include material design icons directly in their markup. The icons
     * support custom colors and can be marked as active or disabled using the `isActive` property. This will change the appearance
     * of the icon.
     *
     * Example:
     * ```html
     * <igx-icon color="#00ff00" isActive="true">home</igx-icon>
     * ```
     * @type {?}
     */
    var NEXT_ID$7 = 0;
    var IgxIconComponent = /** @class */ (function () {
        function IgxIconComponent(_el, iconService) {
            this._el = _el;
            this.iconService = iconService;
            /**
             *  This allows you to change the value of `class.igx-icon`. By default it's `igx-icon`.
             * ```typescript
             * \@ViewChild("MyIcon") public icon: IgxIconComponent;
             * constructor(private cdRef:ChangeDetectorRef) {}
             * ngAfterViewInit() {
             *    this.icon.cssClass = "";
             *    this.cdRef.detectChanges();
             * }
             * ```
             */
            this.cssClass = 'igx-icon';
            /**
             *  This allows you to disable the `aria-hidden` attribute. By default it's applied.
             * ```typescript
             * \@ViewChild("MyIcon") public icon: IgxIconComponent;
             * constructor(private cdRef:ChangeDetectorRef) {}
             * ngAfterViewInit() {
             *    this.icon.ariaHidden = false;
             *    this.cdRef.detectChanges();
             * }
             * ```
             */
            this.ariaHidden = true;
            /**
             *  An \@Input property that sets the value of the `id` attribute.
             * ```html
             * <igx-icon id="igx-icon-1" fontSet="material" color="blue" [isActive]="false">settings</igx-icon>
             * ```
             */
            this.id = "igx-icon-" + NEXT_ID$7++;
            /**
             *  An \@Input property that allows you to disable the `active` property. By default it's applied.
             * ```html
             * <igx-icon [isActive]="false" fontSet="material" color="blue">settings</igx-icon>
             * ```
             */
            this.active = true;
            this.el = _el;
            this.font = this.iconService.defaultFontSet;
            this.iconService.registerFontSetAlias('material', 'material-icons');
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxIconComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.updateIconClass();
        };
        Object.defineProperty(IgxIconComponent.prototype, "getFontSet", {
            /**
             *  An accessor that returns the value of the font property.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let iconFont = this.icon.getFontSet;
             * }
             * ```
             */
            get: /**
             *  An accessor that returns the value of the font property.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let iconFont = this.icon.getFontSet;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.font;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxIconComponent.prototype, "getActive", {
            /**
             *  An accessor that returns the value of the active property.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let iconActive = this.icon.getActive;
             * }
             * ```
             */
            get: /**
             *  An accessor that returns the value of the active property.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let iconActive = this.icon.getActive;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.active;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxIconComponent.prototype, "getInactive", {
            /**
             *  An accessor that returns inactive property.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let iconActive = this.icon.getInactive;
             * }
             * ```
             */
            get: /**
             *  An accessor that returns inactive property.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let iconActive = this.icon.getInactive;
             * }
             * ```
             * @return {?}
             */
            function () {
                return !this.active;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxIconComponent.prototype, "getIconColor", {
            /**
             *  An accessor that returns the opposite value of the `iconColor` property.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let iconColor = this.icon.getIconColor;
             * }
             * ```
             */
            get: /**
             *  An accessor that returns the opposite value of the `iconColor` property.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let iconColor = this.icon.getIconColor;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.iconColor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxIconComponent.prototype, "getIconName", {
            /**
             *  An accessor that returns the value of the iconName property.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let iconName = this.icon.getIconName;
             * }
             * ```
             */
            get: /**
             *  An accessor that returns the value of the iconName property.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let iconName = this.icon.getIconName;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.iconName;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxIconComponent.prototype, "getSvgKey", {
            /**
             *  An accessor that returns the key of the SVG image.
             *  The key consists of the fontSet and the iconName separated by underscore.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let svgKey = this.icon.getSvgKey;
             * }
             * ```
             */
            get: /**
             *  An accessor that returns the key of the SVG image.
             *  The key consists of the fontSet and the iconName separated by underscore.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let svgKey = this.icon.getSvgKey;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.iconService.isSvgIconCached(this.iconName, this.font)) {
                    return '#' + this.iconService.getSvgIconKey(this.iconName, this.font);
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxIconComponent.prototype, "template", {
            /**
             *   An accessor that returns a TemplateRef to explicit, svg or no ligature.
             *```typescript
             *@ViewChild("MyIcon")
             *public icon: IgxIconComponent;
             *ngAfterViewInit() {
             *    let iconTemplate = this.icon.template;
             * }
             * ```
             */
            get: /**
             *   An accessor that returns a TemplateRef to explicit, svg or no ligature.
             * ```typescript
             * \@ViewChild("MyIcon")
             * public icon: IgxIconComponent;
             * ngAfterViewInit() {
             *    let iconTemplate = this.icon.template;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.iconName) {
                    if (this.iconService.isSvgIconCached(this.iconName, this.font)) {
                        return this.svgImage;
                    }
                    return this.noLigature;
                }
                return this.explicitLigature;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxIconComponent.prototype.updateIconClass = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var className = this.iconService.fontSetClassName(this.font);
            this.el.nativeElement.classList.add(className);
            if (this.iconName && !this.iconService.isSvgIconCached(this.iconName, this.font)) {
                this.el.nativeElement.classList.add(this.iconName);
            }
        };
        IgxIconComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-icon',
                        template: "<ng-template #noLigature></ng-template>\n\n<ng-template #explicitLigature>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #svgImage>\n    <svg>\n        <use [attr.href]=\"getSvgKey\"></use>\n    </svg>\n</ng-template>\n\n<ng-container *ngTemplateOutlet=\"template\"></ng-container>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxIconComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: IgxIconService }
        ]; };
        IgxIconComponent.propDecorators = {
            noLigature: [{ type: core.ViewChild, args: ['noLigature', { read: core.TemplateRef, static: true },] }],
            explicitLigature: [{ type: core.ViewChild, args: ['explicitLigature', { read: core.TemplateRef, static: true },] }],
            svgImage: [{ type: core.ViewChild, args: ['svgImage', { read: core.TemplateRef, static: true },] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-icon',] }],
            ariaHidden: [{ type: core.HostBinding, args: ['attr.aria-hidden',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            font: [{ type: core.Input, args: ['fontSet',] }],
            active: [{ type: core.Input, args: ['isActive',] }],
            iconColor: [{ type: core.Input, args: ['color',] }],
            iconName: [{ type: core.Input, args: ['name',] }],
            getInactive: [{ type: core.HostBinding, args: ['class.igx-icon--inactive',] }],
            getIconColor: [{ type: core.HostBinding, args: ['style.color',] }]
        };
        return IgxIconComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxIconModule = /** @class */ (function () {
        function IgxIconModule() {
        }
        /**
         * @return {?}
         */
        IgxIconModule.forRoot = /**
         * @return {?}
         */
        function () {
            return {
                ngModule: IgxIconModule
            };
        };
        IgxIconModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxIconComponent],
                        exports: [IgxIconComponent],
                        imports: [common.CommonModule]
                    },] }
        ];
        __decorate([
            DeprecateMethod('IgxIconModule.forRoot method is deprecated. Use IgxIconModule instead.'),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", []),
            __metadata("design:returntype", void 0)
        ], IgxIconModule, "forRoot", null);
        return IgxIconModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$8 = 0;
    /** @enum {string} */
    var Size = {
        SMALL: 'small',
        MEDIUM: 'medium',
        LARGE: 'large',
    };
    /** @enum {string} */
    var AvatarType = {
        DEFAULT: 'default',
        INITIALS: 'initials',
        IMAGE: 'image',
        ICON: 'icon',
    };
    /**
     * **Ignite UI for Angular Avatar** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/avatar.html)
     *
     * The Ignite UI Avatar provides an easy way to add an avatar icon to your application.  This icon can be an
     * image, someone's initials or a material icon from the google material icon set.
     *
     * Example:
     * ```html
     * <igx-avatar initials="MS" roundShape="true" size="large">
     * </igx-avatar>
     * ```
     */
    var IgxAvatarComponent = /** @class */ (function () {
        function IgxAvatarComponent(elementRef) {
            this.elementRef = elementRef;
            /**
             * Returns the `aria-label` of the avatar.
             *
             * ```typescript
             * let ariaLabel = this.avatar.ariaLabel;
             * ```
             *
             */
            this.ariaLabel = 'avatar';
            /**
             * Returns the `role` attribute of the avatar.
             *
             * ```typescript
             * let avatarRole = this.avatar.role;
             * ```
             *
             * \@memberof IgxAvatarComponent
             */
            this.role = 'img';
            /**
             * Returns the class of the avatar.
             *
             * ```typescript
             * let avatarCLass =  this.avatar.cssClass;
             * ```
             *
             * \@memberof IgxAvatarComponent
             */
            this.cssClass = 'igx-avatar';
            /**
             * @hidden
             */
            this._size = 'small';
            /**
             * Sets the `id` of the avatar. If not set, the first avatar component will have `id` = `"igx-avatar-0"`.
             *
             * ```html
             * <igx-avatar id="my-first-avatar"></igx-avatar>
             * ```
             *
             * \@memberof IgxAvatarComponent
             */
            this.id = "igx-avatar-" + NEXT_ID$8++;
            /**
             * Sets a round shape to the avatar if `roundShape` is `"true"`.
             * By default the shape of the avatar is a square.
             *
             * ```html
             * <igx-avatar roundShape = "true" ></igx-avatar>
             * ```
             *
             * \@memberof IgxAvatarComponent
             */
            this.roundShape = false;
        }
        Object.defineProperty(IgxAvatarComponent.prototype, "size", {
            /**
             * Returns the `size` of the avatar.
             *
             * ```typescript
             *let avatarSize =  this.avatar.size;
             * ```
             *
             * @memberof IgxAvatarComponent
             */
            get: /**
             * Returns the `size` of the avatar.
             *
             * ```typescript
             * let avatarSize =  this.avatar.size;
             * ```
             *
             * \@memberof IgxAvatarComponent
             * @return {?}
             */
            function () {
                return this._size;
            },
            /**
             * Sets the `size`  of the avatar.
             * By default the `size` is `"small"`. It can be set to `"medium"` or `"large"`.
             *
             * ```
             * <igx-avatar size="large"></igx-avatar>
             * ```
             *
             * @memberof IgxAvatarComponent
             */
            set: /**
             * Sets the `size`  of the avatar.
             * By default the `size` is `"small"`. It can be set to `"medium"` or `"large"`.
             *
             * ```
             * <igx-avatar size="large"></igx-avatar>
             * ```
             *
             * \@memberof IgxAvatarComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                switch (value) {
                    case 'small':
                    case 'medium':
                    case 'large':
                        this._size = value;
                        break;
                    default:
                        this._size = 'small';
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAvatarComponent.prototype, "type", {
            /**
             * Returns the type of the avatar.
             *
             * ```typescript
             * let avatarType = this.avatar.type;
             * ```
             *
             * @memberof IgxAvatarComponent
             */
            get: /**
             * Returns the type of the avatar.
             *
             * ```typescript
             * let avatarType = this.avatar.type;
             * ```
             *
             * \@memberof IgxAvatarComponent
             * @return {?}
             */
            function () {
                if (this.src) {
                    return AvatarType.IMAGE;
                }
                if (this.icon) {
                    return AvatarType.ICON;
                }
                if (this.initials) {
                    return AvatarType.INITIALS;
                }
                return AvatarType.DEFAULT;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAvatarComponent.prototype, "template", {
            /**
             * Returns the template of the avatar.
             *
             * ```typescript
             * let template = this.avatar.template;
             * ```
             *
             * @memberof IgxAvatarComponent
             */
            get: /**
             * Returns the template of the avatar.
             *
             * ```typescript
             * let template = this.avatar.template;
             * ```
             *
             * \@memberof IgxAvatarComponent
             * @return {?}
             */
            function () {
                switch (this.type) {
                    case AvatarType.IMAGE:
                        return this.imageTemplate;
                    case AvatarType.INITIALS:
                        return this.initialsTemplate;
                    case AvatarType.ICON:
                        return this.iconTemplate;
                    default:
                        return this.defaultTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxAvatarComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.roleDescription = this.getRole();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxAvatarComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.elementRef.nativeElement.classList
                .add("igx-avatar--" + this._size, "igx-avatar--" + this.type);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxAvatarComponent.prototype.getRole = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            switch (this.type) {
                case AvatarType.IMAGE:
                    return 'image avatar';
                case AvatarType.ICON:
                    return 'icon avatar';
                case AvatarType.INITIALS:
                    return 'initials avatar';
                default:
                    return 'custom avatar';
            }
        };
        /**
         * Returns the url of the `image`.
         *
         * ```typescript
         * let imageSourceUrl = this.avatar.getSrcUrl();
         * ```
         *
         * @memberof IgxAvatarComponent
         */
        /**
         * Returns the url of the `image`.
         *
         * ```typescript
         * let imageSourceUrl = this.avatar.getSrcUrl();
         * ```
         *
         * \@memberof IgxAvatarComponent
         * @return {?}
         */
        IgxAvatarComponent.prototype.getSrcUrl = /**
         * Returns the url of the `image`.
         *
         * ```typescript
         * let imageSourceUrl = this.avatar.getSrcUrl();
         * ```
         *
         * \@memberof IgxAvatarComponent
         * @return {?}
         */
        function () {
            return "url(" + this.src + ")";
        };
        IgxAvatarComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-avatar',
                        template: "<ng-template #defaultTemplate>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #imageTemplate>\n    <div #image class=\"igx-avatar__image\" [style.backgroundImage]=\"getSrcUrl()\"></div>\n</ng-template>\n\n<ng-template #initialsTemplate>\n    <span>{{initials.substring(0, 2)}}</span>\n</ng-template>\n\n<ng-template #iconTemplate>\n     <igx-icon>{{icon}}</igx-icon>\n</ng-template>\n\n<ng-container *ngTemplateOutlet=\"template\"></ng-container>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxAvatarComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxAvatarComponent.propDecorators = {
            image: [{ type: core.ViewChild, args: ['image', { static: false },] }],
            defaultTemplate: [{ type: core.ViewChild, args: ['defaultTemplate', { read: core.TemplateRef, static: true },] }],
            imageTemplate: [{ type: core.ViewChild, args: ['imageTemplate', { read: core.TemplateRef, static: true },] }],
            initialsTemplate: [{ type: core.ViewChild, args: ['initialsTemplate', { read: core.TemplateRef, static: true },] }],
            iconTemplate: [{ type: core.ViewChild, args: ['iconTemplate', { read: core.TemplateRef, static: true },] }],
            ariaLabel: [{ type: core.HostBinding, args: ['attr.aria-label',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-avatar',] }],
            roleDescription: [{ type: core.HostBinding, args: ['attr.aria-roledescription',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            roundShape: [{ type: core.HostBinding, args: ['class.igx-avatar--rounded',] }, { type: core.Input }],
            color: [{ type: core.HostBinding, args: ['style.color',] }, { type: core.Input }],
            bgColor: [{ type: core.HostBinding, args: ['style.background',] }, { type: core.Input }],
            initials: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            src: [{ type: core.Input }],
            size: [{ type: core.Input }]
        };
        return IgxAvatarComponent;
    }());
    /**
     * @hidden
     */
    var IgxAvatarModule = /** @class */ (function () {
        function IgxAvatarModule() {
        }
        IgxAvatarModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxAvatarComponent],
                        exports: [IgxAvatarComponent],
                        imports: [common.CommonModule, IgxIconModule]
                    },] }
        ];
        return IgxAvatarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$9 = 0;
    /** @enum {string} */
    var Type = {
        DEFAULT: 'default',
        INFO: 'info',
        SUCCESS: 'success',
        WARNING: 'warning',
        ERROR: 'error',
    };
    /**
     * **Ignite UI for Angular Badge** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/badge.html)
     *
     * The Ignite UI Badge is used to decorate avatars, navigation menus, or other components in the
     * application when visual notification is needed. They are usually designed as icons with a predefined
     * style to communicate information, success, warnings, or errors.
     *
     * Example:
     * ```html
     * <igx-avatar icon="person" roundShape="true" size="small">
     *   <igx-badge icon="check" type="success" class="badge-style">
     *   </igx-badge>
     * </igx-avatar>
     * ```
     * The `badge-style` class is used to position the badge:
     * ```css
     * .badge-style {
     *   position: absolute;
     *   bottom: -6px;
     *   right:-50px;
     * }
     * ```
     */
    var IgxBadgeComponent = /** @class */ (function () {
        function IgxBadgeComponent() {
            /**
             * An \@Input property that sets the value of the `id` attribute.
             * ```html
             * <igx-badge id="igx-badge-2" icon="check" type="success" class="badge-style"></igx-badge>
             * ```
             */
            this.id = "igx-badge-" + NEXT_ID$9++;
            /**
             * An \@Input property controlling the type of the badge.
             * Allowed values are `default`, `info`, `success`, `warning`, `error`.
             * Providing an invalid value won't display a badge.
             * ```html
             * <igx-badge type="success" icon="check" class="badge-style"></igx-badge>
             * ```
             */
            this.type = 'default';
            /**
             * An \@Input property that sets the value to be displayed inside the badge.
             * If an `icon` property is already set the `icon` will be displayed.
             * If neither a `value` nor an `icon` is set the contentent of the badge will be empty.
             * ```html
             * <igx-badge value="11" type="success" class="badge-style"></igx-badge>
             * ```
             */
            this.value = '';
            /**
             * This allows you to set value to role attribute.
             * ```html
             * \@ViewChild("MyBadge", { read: IgxBadgeComponent })
             * public badge: IgxBadgeComponent;
             * //...
             * badge.label = "badge-status";
             * ```
             */
            this.role = 'status';
            /**
             * This allows you to disable igx-badge class. The default it's applied.
             * ```html
             * \@ViewChild("MyBadge", { read: IgxBadgeComponent })
             * public badge: IgxBadgeComponent;
             * //...
             * badge.cssClass = false;
             * ```
             */
            this.cssClass = 'igx-badge';
            /**
             * This allows you to set value to aria-label attribute.
             * ```html
             * \@ViewChild("MyBadge", { read: IgxBadgeComponent })
             * public badge: IgxBadgeComponent;
             * //...
             * badge.label = "icon-badge";
             * ```
             */
            this.label = 'badge';
        }
        Object.defineProperty(IgxBadgeComponent.prototype, "roleDescription", {
            /**
             * @hidden
             * Defines a human-readable, accessor, author-localized description for the `type` and the `icon` or `value` of the element.
             */
            get: /**
             * @hidden
             * Defines a human-readable, accessor, author-localized description for the `type` and the `icon` or `value` of the element.
             * @return {?}
             */
            function () {
                /** @type {?} */
                var message;
                // tslint:disable-next-line:prefer-conditional-expression
                if (this.icon) {
                    message = this.type + ' type badge with icon type ' + this.icon;
                }
                else if (this.value) {
                    message = this.type + ' badge type with value ' + this.value;
                }
                else {
                    message = this.type + ' badge type without value';
                }
                return message;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * Method which makes the name of the class more descriptive.
         * This helps the styling of the badges.
         */
        /**
         * @hidden
         * Method which makes the name of the class more descriptive.
         * This helps the styling of the badges.
         * @return {?}
         */
        IgxBadgeComponent.prototype.setClasses = /**
         * @hidden
         * Method which makes the name of the class more descriptive.
         * This helps the styling of the badges.
         * @return {?}
         */
        function () {
            var _a, _b, _c, _d, _e;
            /** @type {?} */
            var classes = {};
            switch (Type[this.type.toUpperCase()]) {
                case Type.DEFAULT:
                    classes = (_a = {},
                        _a[this.cssClass + "__circle--default"] = true,
                        _a);
                    break;
                case Type.INFO:
                    classes = (_b = {},
                        _b[this.cssClass + "__circle--info"] = true,
                        _b);
                    break;
                case Type.SUCCESS:
                    classes = (_c = {},
                        _c[this.cssClass + "__circle--success"] = true,
                        _c);
                    break;
                case Type.WARNING:
                    classes = (_d = {},
                        _d[this.cssClass + "__circle--warning"] = true,
                        _d);
                    break;
                case Type.ERROR:
                    classes = (_e = {},
                        _e[this.cssClass + "__circle--error"] = true,
                        _e);
                    break;
            }
            return classes;
        };
        IgxBadgeComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-badge',
                        template: "<div class=\"igx-badge__circle\" [ngClass]=\"setClasses()\" [attr.aria-roledescription]=\"roleDescription\">\n    <span *ngIf=\"!icon\" class=\"igx-badge__circle-value\">{{value}}</span>\n    <igx-icon *ngIf=\"icon\" fontSet=\"material\">{{icon}}</igx-icon>\n</div>\n"
                    }] }
        ];
        IgxBadgeComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            type: [{ type: core.Input }],
            value: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-badge',] }],
            label: [{ type: core.HostBinding, args: ['attr.aria-label',] }]
        };
        return IgxBadgeComponent;
    }());
    /**
     * @hidden
     */
    var IgxBadgeModule = /** @class */ (function () {
        function IgxBadgeModule() {
        }
        IgxBadgeModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxBadgeComponent],
                        exports: [IgxBadgeComponent],
                        imports: [common.CommonModule, IgxIconModule]
                    },] }
        ];
        return IgxBadgeModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @type {?}
     */
    var IGX_EXPANSION_PANEL_COMPONENT = 'IgxExpansionPanelToken';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxExpansionPanelBodyComponent = /** @class */ (function () {
        function IgxExpansionPanelBodyComponent(panel, element, cdr) {
            this.panel = panel;
            this.element = element;
            this.cdr = cdr;
            this._labelledBy = '';
            this._label = '';
            /**
             * @hidden
             */
            this.cssClass = "igx-expansion-panel__body";
            /**
             * Gets/sets the `role` attribute of the panel body
             * Default is 'region';
             * Get
             * ```typescript
             *  const currentRole = this.panel.body.role;
             * ```
             * Set
             * ```typescript
             *  this.panel.body.role = 'content';
             * ```
             * ```html
             *  <igx-expansion-panel-body [role]="'custom'"></igx-expansion-panel-body>
             * ```
             */
            this.role = 'region';
        }
        Object.defineProperty(IgxExpansionPanelBodyComponent.prototype, "label", {
            /**
             * Gets the `aria-label` attribute of the panel body
             * Defaults to the panel id with '-region' in the end;
             * Get
             * ```typescript
             *  const currentLabel = this.panel.body.label;
             * ```
             */
            get: /**
             * Gets the `aria-label` attribute of the panel body
             * Defaults to the panel id with '-region' in the end;
             * Get
             * ```typescript
             *  const currentLabel = this.panel.body.label;
             * ```
             * @return {?}
             */
            function () {
                return this._label || this.panel.id + '-region';
            },
            /**
             * Sets the `aria-label` attribute of the panel body
             * ```typescript
             *  this.panel.body.label = 'my-custom-label';
             * ```
             * ```html
             *  <igx-expansion-panel-body [label]="'my-custom-label'"></igx-expansion-panel-body>
             * ```
             */
            set: /**
             * Sets the `aria-label` attribute of the panel body
             * ```typescript
             *  this.panel.body.label = 'my-custom-label';
             * ```
             * ```html
             *  <igx-expansion-panel-body [label]="'my-custom-label'"></igx-expansion-panel-body>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._label = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExpansionPanelBodyComponent.prototype, "labelledBy", {
            /**
             * Gets the `aria-labelledby` attribute of the panel body
             * Defaults to the panel header id;
             * Get
             * ```typescript
             *  const currentLabel = this.panel.body.labelledBy;
             * ```
             */
            get: /**
             * Gets the `aria-labelledby` attribute of the panel body
             * Defaults to the panel header id;
             * Get
             * ```typescript
             *  const currentLabel = this.panel.body.labelledBy;
             * ```
             * @return {?}
             */
            function () {
                return this._labelledBy;
            },
            /**
             * Sets the `aria-labelledby` attribute of the panel body
             * ```typescript
             *  this.panel.body.labelledBy = 'my-custom-id';
             * ```
             * ```html
             *  <igx-expansion-panel-body [labelledBy]="'my-custom-id'"></igx-expansion-panel-body>
             * ```
             */
            set: /**
             * Sets the `aria-labelledby` attribute of the panel body
             * ```typescript
             *  this.panel.body.labelledBy = 'my-custom-id';
             * ```
             * ```html
             *  <igx-expansion-panel-body [labelledBy]="'my-custom-id'"></igx-expansion-panel-body>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._labelledBy = val;
            },
            enumerable: true,
            configurable: true
        });
        IgxExpansionPanelBodyComponent.decorators = [
            { type: core.Component, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-expansion-panel-body',
                        template: "<ng-content></ng-content>"
                    }] }
        ];
        /** @nocollapse */
        IgxExpansionPanelBodyComponent.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_EXPANSION_PANEL_COMPONENT,] }] },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxExpansionPanelBodyComponent.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-expansion-panel__body',] }],
            label: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.aria-label',] }],
            labelledBy: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.aria-labelledby',] }],
            role: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.role',] }]
        };
        return IgxExpansionPanelBodyComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExpansionPanelTitleDirective = /** @class */ (function () {
        function IgxExpansionPanelTitleDirective() {
            this.cssClass = "igx-expansion-panel__header-title";
        }
        IgxExpansionPanelTitleDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-expansion-panel-title'
                    },] }
        ];
        IgxExpansionPanelTitleDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-expansion-panel__header-title',] }]
        };
        return IgxExpansionPanelTitleDirective;
    }());
    /**
     * @hidden
     */
    var IgxExpansionPanelDescriptionDirective = /** @class */ (function () {
        function IgxExpansionPanelDescriptionDirective() {
            this.cssClass = "igx-expansion-panel__header-description";
        }
        IgxExpansionPanelDescriptionDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-expansion-panel-description'
                    },] }
        ];
        IgxExpansionPanelDescriptionDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-expansion-panel__header-description',] }]
        };
        return IgxExpansionPanelDescriptionDirective;
    }());
    /**
     * @hidden
     */
    var IgxExpansionPanelIconDirective = /** @class */ (function () {
        function IgxExpansionPanelIconDirective() {
        }
        IgxExpansionPanelIconDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-expansion-panel-icon'
                    },] }
        ];
        return IgxExpansionPanelIconDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var ICON_POSITION = {
        LEFT: 'left',
        NONE: 'none',
        RIGHT: 'right',
    };
    var IgxExpansionPanelHeaderComponent = /** @class */ (function () {
        function IgxExpansionPanelHeaderComponent(panel, cdr, elementRef) {
            this.panel = panel;
            this.cdr = cdr;
            this.elementRef = elementRef;
            // properties section
            this._iconTemplate = false;
            /**
             * Sets/gets the `id` of the expansion panel header.
             * ```typescript
             * let panelHeaderId =  this.panel.header.id;
             * ```
             * \@memberof IgxExpansionPanelComponent
             */
            this.id = '';
            /**
             * Gets/sets the `aria-level` attribute of the header
             * Get
             * ```typescript
             *  const currentAriaLevel = this.panel.header.lv;
             * ```
             * Set
             * ```typescript
             *  this.panel.header.lv = '5';
             * ```
             * ```html
             *  <igx-expansion-panel-header [lv]="myCustomLevel"></igx-expansion-panel-header>
             * ```
             */
            this.lv = '3';
            /**
             * Gets/sets the `role` attribute of the header
             * Get
             * ```typescript
             *  const currentRole = this.panel.header.role;
             * ```
             * Set
             * ```typescript
             *  this.panel.header.role = '5';
             * ```
             * ```html
             *  <igx-expansion-panel-header [role]="'custom'"></igx-expansion-panel-header>
             * ```
             */
            this.role = 'heading';
            /**
             * Gets/sets the position of the expansion-panel-header expand/collapse icon
             * Accepts `left`, `right` or `none`
             * ```typescript
             *  const currentIconPosition = this.panel.header.iconPosition;
             * ```
             * Set
             * ```typescript
             *  this.panel.header.iconPosition = 'left';
             * ```
             * ```html
             *  <igx-expansion-panel-header [iconPosition]="'right'"></igx-expansion-panel-header>
             * ```
             */
            this.iconPosition = ICON_POSITION.LEFT;
            /**
             * Emitted whenever a user interacts with the header host
             * ```typescript
             *  handleInteraction(event: IExpansionPanelEventArgs) {
             *  ...
             * }
             * ```
             * ```html
             *  <igx-expansion-panel-header (onInteraction)="handleInteraction($event)">
             *      ...
             *  </igx-expansion-panel-header>
             * ```
             */
            this.onInteraction = new core.EventEmitter();
            /**
             * @hidden
             */
            this.cssClass = 'igx-expansion-panel__header';
            /**
             * Gets/sets the whether the header is disabled
             * When disabled, the header will not handle user events and will stop their propagation
             *
             * ```typescript
             *  const isDisabled = this.panel.header.disabled;
             * ```
             * Set
             * ```typescript
             *  this.panel.header.disabled = true;
             * ```
             * ```html
             *  <igx-expansion-panel-header [disabled]="true">
             *     ...
             *  </igx-expansion-panel-header>
             * ```
             */
            this.disabled = false;
            this.id = this.panel.id + "-header";
        }
        Object.defineProperty(IgxExpansionPanelHeaderComponent.prototype, "iconTemplate", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._iconTemplate;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._iconTemplate = (/** @type {?} */ (val));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExpansionPanelHeaderComponent.prototype, "controls", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.panel.id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExpansionPanelHeaderComponent.prototype, "isExpanded", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.panel.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        /**
        * @hidden
        */
        /**
         * @hidden
         * @param {?=} evt
         * @return {?}
         */
        IgxExpansionPanelHeaderComponent.prototype.onAction = /**
         * @hidden
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            if (this.disabled) {
                evt.stopPropagation();
                return;
            }
            this.onInteraction.emit({ event: evt, panel: this.panel });
            this.panel.toggle(evt);
            evt.preventDefault();
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxExpansionPanelHeaderComponent.prototype.openPanel = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.altKey) {
                this.panel.expand(event);
                this.onInteraction.emit({ event: event, panel: this.panel });
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxExpansionPanelHeaderComponent.prototype.closePanel = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.altKey) {
                this.panel.collapse(event);
                this.onInteraction.emit({ event: event, panel: this.panel });
            }
        };
        Object.defineProperty(IgxExpansionPanelHeaderComponent.prototype, "iconPositionClass", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                switch (this.iconPosition) {
                    case (ICON_POSITION.LEFT):
                        return "igx-expansion-panel__header-icon--start";
                    case (ICON_POSITION.RIGHT):
                        return "igx-expansion-panel__header-icon--end";
                    case (ICON_POSITION.NONE):
                        return "igx-expansion-panel__header-icon--none";
                    default:
                        return '';
                }
            },
            enumerable: true,
            configurable: true
        });
        IgxExpansionPanelHeaderComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-expansion-panel-header',
                        template: "<div class=\"igx-expansion-panel__header-inner\" tabindex=\"0\" role=\"button\" [attr.id]=\"id\"\n[attr.aria-disabled]=\"disabled\" [attr.aria-expanded]=\"isExpanded\" [attr.aria-controls]=\"controls\">\n    <div class=\"igx-expansion-panel__title-wrapper\">\n        <ng-content select=\"igx-expansion-panel-title\"></ng-content>\n        <ng-content select=\"igx-expansion-panel-description\"></ng-content>\n    </div>\n    <ng-content></ng-content>\n    <div [class]=\"iconPositionClass\">\n        <ng-content *ngIf=\"iconTemplate\" select=\"igx-expansion-panel-icon\"></ng-content>\n        <igx-icon *ngIf=\"!iconTemplate\" fontSet=\"material\">\n            {{panel.collapsed? 'expand_more':'expand_less'}}\n        </igx-icon>\n    </div>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxExpansionPanelHeaderComponent.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Host }, { type: core.Inject, args: [IGX_EXPANSION_PANEL_COMPONENT,] }] },
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef }
        ]; };
        IgxExpansionPanelHeaderComponent.propDecorators = {
            iconTemplate: [{ type: core.ContentChild, args: [IgxExpansionPanelIconDirective, { static: false },] }],
            lv: [{ type: core.HostBinding, args: ['attr.aria-level',] }, { type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }, { type: core.Input }],
            iconPosition: [{ type: core.Input }],
            onInteraction: [{ type: core.Output }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-expansion-panel__header',] }],
            isExpanded: [{ type: core.HostBinding, args: ['class.igx-expansion-panel__header--expanded',] }],
            disabled: [{ type: core.Input }, { type: core.HostBinding, args: ['class.igx-expansion-panel--disabled',] }],
            onAction: [{ type: core.HostListener, args: ['keydown.Enter', ['$event'],] }, { type: core.HostListener, args: ['keydown.Space', ['$event'],] }, { type: core.HostListener, args: ['keydown.Spacebar', ['$event'],] }, { type: core.HostListener, args: ['click', ['$event'],] }],
            openPanel: [{ type: core.HostListener, args: ['keydown.Alt.ArrowDown', ['$event'],] }],
            closePanel: [{ type: core.HostListener, args: ['keydown.Alt.ArrowUp', ['$event'],] }]
        };
        return IgxExpansionPanelHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$a = 0;
    var IgxExpansionPanelComponent = /** @class */ (function () {
        function IgxExpansionPanelComponent(cdr, builder) {
            this.cdr = cdr;
            this.builder = builder;
            this._collapsed = true;
            /**
             * Sets/gets the animation settings of the expansion panel component
             * Open and Close animation should be passed
             *
             * Get
             * ```typescript
             *  const currentAnimations = this.panel.animationSettings;
             * ```
             * Set
             * ```typescript
             *  import { slideInLeft, slideOutRight } from 'igniteui-angular';
             *  ...
             *  this.panel.animationsSettings = {
             *      openAnimation: slideInLeft,
             *      closeAnimation: slideOutRight
             * };
             * ```
             * or via template
             * ```typescript
             *  import { slideInLeft, slideOutRight } from 'igniteui-angular';
             *  ...
             *  myCustomAnimationObject = {
             *      openAnimation: slideInLeft,
             *      closeAnimation: slideOutRight
             * };
             * ```html
             *  <igx-expansion-panel [animationSettings]='myCustomAnimationObject'>
             *  ...
             *  </igx-expansion-panel>
             * ```
             */
            this.animationSettings = {
                openAnimation: growVerIn,
                closeAnimation: growVerOut
            };
            /**
             * Sets/gets the `id` of the expansion panel component.
             * If not set, `id` will have value `"igx-expansion-panel-0"`;
             * ```html
             * <igx-expansion-panel id = "my-first-expansion-panel"></igx-expansion-panel>
             * ```
             * ```typescript
             * let panelId =  this.panel.id;
             * ```
             * \@memberof IgxExpansionPanelComponent
             */
            this.id = "igx-expansion-panel-" + NEXT_ID$a++;
            /**
             * @hidden
             */
            this.cssClass = 'igx-expansion-panel';
            /**
             * @hidden
             */
            this.collapsedChange = new core.EventEmitter();
            /**
             * Emitted when the expansion panel finishes collapsing
             * ```typescript
             *  handleCollapsed(event: {
             *  panel: IgxExpansionPanelComponent,
             *  event: Event
             * })
             * ```
             * ```html
             *  <igx-expansion-panel (onCollapsed)="handleCollapsed($event)">
             *      ...
             *  </igx-expansion-panel>
             * ```
             */
            this.onCollapsed = new core.EventEmitter();
            /**
             * Emitted when the expansion panel finishes expanding
             * ```typescript
             *  handleExpanded(event: {
             *  panel: IgxExpansionPanelComponent,
             *  event: Event
             * })
             * ```
             * ```html
             *  <igx-expansion-panel (onExpanded)="handleExpanded($event)">
             *      ...
             *  </igx-expansion-panel>
             * ```
             */
            this.onExpanded = new core.EventEmitter();
        }
        Object.defineProperty(IgxExpansionPanelComponent.prototype, "collapsed", {
            /**
             * Gets/sets whether the component is collapsed (its content is hidden)
             * Get
             * ```typescript
             *  const myPanelState: boolean = this.panel.collapsed;
             * ```
             * Set
             * ```html
             *  this.panel.collapsed = true;
             * ```
             *
             * Two-way data binding:
             * ```html
             * <igx-expansion-panel [(collapsed)]="model.isCollapsed"></igx-expansion-panel>
             * ```
             */
            get: /**
             * Gets/sets whether the component is collapsed (its content is hidden)
             * Get
             * ```typescript
             *  const myPanelState: boolean = this.panel.collapsed;
             * ```
             * Set
             * ```html
             *  this.panel.collapsed = true;
             * ```
             *
             * Two-way data binding:
             * ```html
             * <igx-expansion-panel [(collapsed)]="model.isCollapsed"></igx-expansion-panel>
             * ```
             * @return {?}
             */
            function () {
                return this._collapsed;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._collapsed = value;
                this.collapsedChange.emit(this._collapsed);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExpansionPanelComponent.prototype, "headerId", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.header ? this.id + "-header" : '';
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.body && this.header) {
                // schedule at end of turn:
                Promise.resolve().then(function () {
                    _this.body.labelledBy = _this.body.labelledBy || _this.headerId;
                    _this.body.label = _this.body.label || _this.id + '-region';
                });
            }
        };
        /**
         * @private
         * @param {?} cb
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.playOpenAnimation = /**
         * @private
         * @param {?} cb
         * @return {?}
         */
        function (cb) {
            if (!this.body) { // if not body element is passed, there is nothing to animate
                return;
            }
            /** @type {?} */
            var animation = animations.useAnimation(this.animationSettings.openAnimation);
            /** @type {?} */
            var animationBuilder = this.builder.build(animation);
            /** @type {?} */
            var openAnimationPlayer = animationBuilder.create(this.body.element.nativeElement);
            openAnimationPlayer.onDone(function () {
                cb();
                openAnimationPlayer.reset();
            });
            openAnimationPlayer.play();
        };
        /**
         * @private
         * @param {?} cb
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.playCloseAnimation = /**
         * @private
         * @param {?} cb
         * @return {?}
         */
        function (cb) {
            if (!this.body) { // if not body element is passed, there is nothing to animate
                return;
            }
            /** @type {?} */
            var animation = animations.useAnimation(this.animationSettings.closeAnimation);
            /** @type {?} */
            var animationBuilder = this.builder.build(animation);
            /** @type {?} */
            var closeAnimationPlayer = animationBuilder.create(this.body.element.nativeElement);
            closeAnimationPlayer.onDone(function () {
                cb();
                closeAnimationPlayer.reset();
            });
            closeAnimationPlayer.play();
        };
        /**
         * Collapses the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.collapse($event)">Collpase Panel</button>
         * ```
         */
        /**
         * Collapses the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.collapse($event)">Collpase Panel</button>
         * ```
         * @param {?=} evt
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.collapse = /**
         * Collapses the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.collapse($event)">Collpase Panel</button>
         * ```
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            var _this = this;
            if (this.collapsed) { // If expansion panel is already collapsed, do nothing
                return;
            }
            this.playCloseAnimation(function () {
                _this.onCollapsed.emit({ event: evt, panel: _this });
                _this.collapsed = true;
            });
        };
        /**
         * Expands the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.expand($event)">Expand Panel</button>
         * ```
         */
        /**
         * Expands the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.expand($event)">Expand Panel</button>
         * ```
         * @param {?=} evt
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.expand = /**
         * Expands the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.expand($event)">Expand Panel</button>
         * ```
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            var _this = this;
            if (!this.collapsed) { // If the panel is already opened, do nothing
                return;
            }
            this.collapsed = false;
            this.cdr.detectChanges();
            this.playOpenAnimation(function () {
                _this.onExpanded.emit({ event: evt, panel: _this });
            });
        };
        /**
         * Toggles the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.toggle($event)">Expand Panel</button>
         * ```
         */
        /**
         * Toggles the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.toggle($event)">Expand Panel</button>
         * ```
         * @param {?=} evt
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.toggle = /**
         * Toggles the panel
         *
         * ```html
         *  <igx-expansion-panel #myPanel>
         *      ...
         *  </igx-expansion-panel>
         *  <button (click)="myPanel.toggle($event)">Expand Panel</button>
         * ```
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            if (this.collapsed) {
                this.open(evt);
            }
            else {
                this.close(evt);
            }
        };
        /**
         * @param {?=} evt
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.open = /**
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            this.expand(evt);
        };
        /**
         * @param {?=} evt
         * @return {?}
         */
        IgxExpansionPanelComponent.prototype.close = /**
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            this.collapse(evt);
        };
        IgxExpansionPanelComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-expansion-panel',
                        template: "<ng-content select=\"igx-expansion-panel-header\"></ng-content>\n<ng-content *ngIf=\"!collapsed\" select=\"igx-expansion-panel-body\"></ng-content>\n",
                        providers: [{ provide: IGX_EXPANSION_PANEL_COMPONENT, useExisting: IgxExpansionPanelComponent }]
                    }] }
        ];
        /** @nocollapse */
        IgxExpansionPanelComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: animations.AnimationBuilder }
        ]; };
        IgxExpansionPanelComponent.propDecorators = {
            animationSettings: [{ type: core.Input }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-expansion-panel',] }],
            collapsed: [{ type: core.Input }],
            collapsedChange: [{ type: core.Output }],
            onCollapsed: [{ type: core.Output }],
            onExpanded: [{ type: core.Output }],
            body: [{ type: core.ContentChild, args: [core.forwardRef(function () { return IgxExpansionPanelBodyComponent; }),
                        { read: core.forwardRef(function () { return IgxExpansionPanelBodyComponent; }), static: false },] }],
            header: [{ type: core.ContentChild, args: [core.forwardRef(function () { return IgxExpansionPanelHeaderComponent; }),
                        { read: core.forwardRef(function () { return IgxExpansionPanelHeaderComponent; }), static: false },] }]
        };
        return IgxExpansionPanelComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExpansionPanelModule = /** @class */ (function () {
        function IgxExpansionPanelModule() {
        }
        IgxExpansionPanelModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxExpansionPanelComponent,
                            IgxExpansionPanelHeaderComponent,
                            IgxExpansionPanelBodyComponent,
                            IgxExpansionPanelDescriptionDirective,
                            IgxExpansionPanelTitleDirective,
                            IgxExpansionPanelIconDirective
                        ],
                        entryComponents: [],
                        exports: [
                            IgxExpansionPanelComponent,
                            IgxExpansionPanelHeaderComponent,
                            IgxExpansionPanelBodyComponent,
                            IgxExpansionPanelDescriptionDirective,
                            IgxExpansionPanelTitleDirective,
                            IgxExpansionPanelIconDirective
                        ],
                        imports: [
                            common.CommonModule,
                            IgxRippleModule,
                            IgxIconModule,
                            IgxButtonModule,
                            IgxAvatarModule
                        ]
                    },] }
        ];
        return IgxExpansionPanelModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // tslint:disable:directive-selector
    var IgxBannerActionsDirective = /** @class */ (function () {
        function IgxBannerActionsDirective() {
        }
        IgxBannerActionsDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: 'igx-banner-actions'
                    },] }
        ];
        return IgxBannerActionsDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Banner** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/banner.html)
     *
     * The Ignite UI Banner provides a highly templateable and easy to use banner that can be shown in your application.
     *
     * Usage:
     *
     * ```html
     * <igx-banner #banner>
     *   Our privacy settings have changed.
     *  <igx-banner-actions>
     *      <button igxButton="raised">Read More</button>
     *      <button igxButton="raised">Accept and Continue</button>
     *  </igx-banner-actions>
     * </igx-banner>
     * ```
     */
    var IgxBannerComponent = /** @class */ (function () {
        function IgxBannerComponent(elementRef) {
            this.elementRef = elementRef;
            /**
             * Fires after the banner shows up
             * ```typescript
             * public handleOpened(event) {
             *  ...
             * }
             * ```
             * ```html
             * <igx-banner (onOpened)="handleOpened($event)"></igx-banner>
             * ```
             */
            this.onOpened = new core.EventEmitter();
            /**
             * Fires before the banner shows up
             * ```typescript
             * public handleOpening(event) {
             *  ...
             * }
             * ```
             * ```html
             * <igx-banner (onOpening)="handleOpening($event)"></igx-banner>
             * ```
             */
            this.onOpening = new core.EventEmitter();
            /**
             * Fires after the banner hides
             * ```typescript
             * public handleClosed(event) {
             *  ...
             * }
             * ```
             * ```html
             * <igx-banner (onClosed)="handleClosed($event)"></igx-banner>
             * ```
             */
            this.onClosed = new core.EventEmitter();
            /**
             * Fires before the banner hides
             * ```typescript
             * public handleClosing(event) {
             *  ...
             * }
             * ```
             * ```html
             * <igx-banner (onClosing)="handleClosing($event)"></igx-banner>
             * ```
             */
            this.onClosing = new core.EventEmitter();
        }
        Object.defineProperty(IgxBannerComponent.prototype, "useDefaultTemplate", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this._bannerActionTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBannerComponent.prototype, "animationSettings", {
            /**
             * Get the animation settings used by the banner open/close methods
             * ```typescript
             * let currentAnimations: AnimationSettings = banner.animationSettings
             * ```
             */
            get: /**
             * Get the animation settings used by the banner open/close methods
             * ```typescript
             * let currentAnimations: AnimationSettings = banner.animationSettings
             * ```
             * @return {?}
             */
            function () {
                return this._animationSettings ? this._animationSettings : this._expansionPanel.animationSettings;
            },
            /**
             * Set the animation settings used by the banner open/close methods
             * ```typescript
             * import { slideInLeft, slideOutRight } from 'igniteui-angular';
             * ...
             * banner.animationSettings: AnimationSettings = { openAnimation: slideInLeft, closeAnimation: slideOutRight };
             * ```
             */
            set: /**
             * Set the animation settings used by the banner open/close methods
             * ```typescript
             * import { slideInLeft, slideOutRight } from 'igniteui-angular';
             * ...
             * banner.animationSettings: AnimationSettings = { openAnimation: slideInLeft, closeAnimation: slideOutRight };
             * ```
             * @param {?} settings
             * @return {?}
             */
            function (settings) {
                this._animationSettings = settings;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBannerComponent.prototype, "collapsed", {
            /**
             * Gets whether banner is collapsed
             *
             * ```typescript
             * const isCollapsed: boolean = banner.collapsed;
             * ```
             */
            get: /**
             * Gets whether banner is collapsed
             *
             * ```typescript
             * const isCollapsed: boolean = banner.collapsed;
             * ```
             * @return {?}
             */
            function () {
                return this._expansionPanel.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBannerComponent.prototype, "element", {
            /**
             * Returns the native element of the banner component
             * ```typescript
             *  const myBannerElement: HTMLElement = banner.element;
             * ```
             */
            get: /**
             * Returns the native element of the banner component
             * ```typescript
             *  const myBannerElement: HTMLElement = banner.element;
             * ```
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBannerComponent.prototype, "displayStyle", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.collapsed ? '' : 'block';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Opens the banner
         *
         * ```typescript
         *  myBanner.open();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.open()">Open Banner</button>
         * ```
         */
        /**
         * Opens the banner
         *
         * ```typescript
         *  myBanner.open();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.open()">Open Banner</button>
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxBannerComponent.prototype.open = /**
         * Opens the banner
         *
         * ```typescript
         *  myBanner.open();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.open()">Open Banner</button>
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            this._bannerEvent = { banner: this, event: event };
            /** @type {?} */
            var openingArgs = {
                banner: this,
                event: event,
                cancel: false
            };
            this.onOpening.emit(openingArgs);
            if (openingArgs.cancel) {
                return;
            }
            this._expansionPanel.open(event);
        };
        /**
         * Closes the banner
         *
         * ```typescript
         *  myBanner.close();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.close()">Close Banner</button>
         * ```
         */
        /**
         * Closes the banner
         *
         * ```typescript
         *  myBanner.close();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.close()">Close Banner</button>
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxBannerComponent.prototype.close = /**
         * Closes the banner
         *
         * ```typescript
         *  myBanner.close();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.close()">Close Banner</button>
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            this._bannerEvent = { banner: this, event: event };
            /** @type {?} */
            var closingArgs = {
                banner: this,
                event: event,
                cancel: false
            };
            this.onClosing.emit(closingArgs);
            if (closingArgs.cancel) {
                return;
            }
            this._expansionPanel.close(event);
        };
        /**
         * Toggles the banner
         *
         * ```typescript
         *  myBanner.toggle();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.toggle()">Toggle Banner</button>
         * ```
         */
        /**
         * Toggles the banner
         *
         * ```typescript
         *  myBanner.toggle();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.toggle()">Toggle Banner</button>
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxBannerComponent.prototype.toggle = /**
         * Toggles the banner
         *
         * ```typescript
         *  myBanner.toggle();
         * ```
         *
         * ```html
         * <igx-banner #banner>
         * ...
         * </igx-banner>
         * <button (click)="banner.toggle()">Toggle Banner</button>
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            if (this.collapsed) {
                this.open(event);
            }
            else {
                this.close(event);
            }
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxBannerComponent.prototype.onExpansionPanelOpen = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.onOpened.emit(this._bannerEvent);
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxBannerComponent.prototype.onExpansionPanelClose = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.onClosed.emit(this._bannerEvent);
        };
        IgxBannerComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-banner',
                        template: "<igx-expansion-panel #expansionPanel [animationSettings]=\"animationSettings\" (onCollapsed)=\"onExpansionPanelClose()\" (onExpanded)=\"onExpansionPanelOpen()\"\n    [collapsed]=\"collapsed\" aria-live=\"polite\" [attr.aria-hidden]=\"collapsed\">\n    <igx-expansion-panel-body>\n        <div class=\"igx-banner\">\n            <div class=\"igx-banner__message\">\n                <div *ngIf=\"bannerIcon\" class=\"igx-banner__illustration\">\n                    <ng-content select=\"igx-icon\"></ng-content>\n                </div>\n                <span class=\"igx-banner__text\">\n                    <ng-content></ng-content>\n                </span>\n            </div>\n            <div class=\"igx-banner__actions\">\n                <div class=\"igx-banner__row\">\n                    <ng-container *ngIf=\"useDefaultTemplate\">\n                        <button igxButton=\"flat\" igxRipple (click)=\"close()\">\n                            Dismiss\n                        </button>\n                    </ng-container>\n                    <ng-container *ngIf=\"!useDefaultTemplate\">\n                        <ng-content select=\"igx-banner-actions\"></ng-content>\n                    </ng-container>\n                </div>\n            </div>\n        </div>\n    </igx-expansion-panel-body>\n</igx-expansion-panel>"
                    }] }
        ];
        /** @nocollapse */
        IgxBannerComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxBannerComponent.propDecorators = {
            _expansionPanel: [{ type: core.ViewChild, args: ['expansionPanel', { static: true },] }],
            _bannerActionTemplate: [{ type: core.ContentChild, args: [IgxBannerActionsDirective, { static: false },] }],
            bannerIcon: [{ type: core.ContentChild, args: [IgxIconComponent, { static: false },] }],
            onOpened: [{ type: core.Output }],
            onOpening: [{ type: core.Output }],
            onClosed: [{ type: core.Output }],
            onClosing: [{ type: core.Output }],
            animationSettings: [{ type: core.Input }],
            displayStyle: [{ type: core.HostBinding, args: ['style.display',] }]
        };
        return IgxBannerComponent;
    }());
    /**
     * @hidden
     */
    var IgxBannerModule = /** @class */ (function () {
        function IgxBannerModule() {
        }
        IgxBannerModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxBannerComponent, IgxBannerActionsDirective],
                        exports: [IgxBannerComponent, IgxBannerActionsDirective],
                        imports: [common.CommonModule, IgxExpansionPanelModule, IgxIconModule, IgxButtonModule, IgxRippleModule]
                    },] }
        ];
        return IgxBannerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var ButtonGroupAlignment = {
        horizontal: 0, vertical: 1,
    };
    ButtonGroupAlignment[ButtonGroupAlignment.horizontal] = 'horizontal';
    ButtonGroupAlignment[ButtonGroupAlignment.vertical] = 'vertical';
    /** @type {?} */
    var NEXT_ID$b = 0;
    /**
     * **Ignite UI for Angular Button Group** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/buttongroup.html)
     *
     * The Ignite UI Button Group displays a group of buttons either vertically or horizontally.  The group supports
     * single, multiple and toggle selection.
     *
     * Example:
     * ```html
     * <igx-buttongroup multiSelection="true" [values]="fontOptions">
     * </igx-buttongroup>
     * ```
     * The `fontOptions` value shown above is defined as:
     * ```typescript
     * this.fontOptions = [
     *   { icon: 'format_bold', selected: false },
     *   { icon: 'format_italic', selected: false },
     *   { icon: 'format_underlined', selected: false }];
     * ```
     */
    var IgxButtonGroupComponent = /** @class */ (function (_super) {
        __extends(IgxButtonGroupComponent, _super);
        function IgxButtonGroupComponent(_cdr, _renderer, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this._cdr = _cdr;
            _this._renderer = _renderer;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._disabled = false;
            _this.buttonClickNotifier$ = new rxjs.Subject();
            _this.queryListNotifier$ = new rxjs.Subject();
            /**
             * An \@Input property that sets the value of the `id` attribute. If not set it will be automatically generated.
             * ```html
             *  <igx-buttongroup [id]="'igx-dialog-56'" [multiSelection]="!multi" [values]="alignOptions">
             * ```
             */
            _this.id = "igx-buttongroup-" + NEXT_ID$b++;
            /**
             * @hidden
             */
            _this.zIndex = 0;
            /**
             * An \@Input property that enables selecting multiple buttons. By default, multi-selection is false.
             * ```html
             * <igx-buttongroup [multiSelection]="false" [alignment]="alignment"></igx-buttongroup>
             * ```
             */
            _this.multiSelection = false;
            /**
             * @hidden
             */
            _this.selectedIndexes = [];
            /**
             * An \@Ouput property that emits an event when a button is selected.
             * ```typescript
             * \@ViewChild("toast")
             * private toast: IgxToastComponent;
             * public onSelect(buttongroup){
             *    this.toast.show()
             * }
             * //...
             * ```
             * ```html
             * <igx-buttongroup #MyChild [multiSelection]="!multi" (onSelect)="onSelect($event)"></igx-buttongroup>
             * <igx-toast #toast message="You have made a selection!"></igx-toast>
             * ```
             */
            _this.onSelect = new core.EventEmitter();
            /**
             * An \@Ouput property that emits an event when a button is deselected.
             * ```typescript
             * \@ViewChild("toast")
             * private toast: IgxToastComponent;
             * public onUnselect(buttongroup){
             *    this.toast.show()
             * }
             * //...
             * ```
             * ```html
             * igx-buttongroup #MyChild [multiSelection]="multi" (onUnselect)="onUnselect($event)"></igx-buttongroup>
             * <igx-toast #toast message="You have deselected a button!"></igx-toast>
             * ```
             */
            _this.onUnselect = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxButtonGroupComponent.prototype, "buttons", {
            /**
             * A collection containing all buttons inside the button group.
             */
            get: /**
             * A collection containing all buttons inside the button group.
             * @return {?}
             */
            function () {
                return __spread(this.viewButtons.toArray(), this.templateButtons.toArray());
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonGroupComponent.prototype, "itemContentCssClass", {
            /**
             * Returns the CSS class of the item content of the `IgxButtonGroup`.
             *```typescript
             *@ViewChild("MyChild")
             *public buttonG: IgxButtonGroupComponent;
             *ngAfterViewInit(){
             *   let buttonSelect = this.buttonG.itemContentCssClass;
             *}
             *```
             */
            get: /**
             * Returns the CSS class of the item content of the `IgxButtonGroup`.
             * ```typescript
             * \@ViewChild("MyChild")
             * public buttonG: IgxButtonGroupComponent;
             * ngAfterViewInit(){
             *   let buttonSelect = this.buttonG.itemContentCssClass;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._itemContentCssClass;
            },
            /**
             * Allows you to set a style using the `itemContentCssClass` input.
             * The value should be the CSS class name that will be applied to the button group.
             *```typescript
             *public style1 = "styleClass";
             * //..
             *```
             * ```html
             *<igx-buttongroup [itemContentCssClass]="style1" [multiSelection]="!multi" [values]="alignOptions">
             *```
             */
            set: /**
             * Allows you to set a style using the `itemContentCssClass` input.
             * The value should be the CSS class name that will be applied to the button group.
             * ```typescript
             * public style1 = "styleClass";
             * //..
             * ```
             * ```html
             * <igx-buttongroup [itemContentCssClass]="style1" [multiSelection]="!multi" [values]="alignOptions">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._itemContentCssClass = value || this._itemContentCssClass;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonGroupComponent.prototype, "disabled", {
            /**
             * An @Input property that allows you to disable the `igx-buttongroup` component. By default it's false.
             * ```html
             * <igx-buttongroup [disabled]="true" [multiSelection]="multi" [values]="fontOptions"></igx-buttongroup>
             * ```
             */
            get: /**
             * An \@Input property that allows you to disable the `igx-buttongroup` component. By default it's false.
             * ```html
             * <igx-buttongroup [disabled]="true" [multiSelection]="multi" [values]="fontOptions"></igx-buttongroup>
             * ```
             * @return {?}
             */
            function () {
                return this._disabled;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if (this._disabled !== value) {
                    this._disabled = value;
                    if (this.viewButtons && this.templateButtons) {
                        this.buttons.forEach(function (b) { return b.disabled = _this._disabled; });
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonGroupComponent.prototype, "alignment", {
            /**
             * Returns the alignment of the `igx-buttongroup`.
             *```typescript
             *@ViewChild("MyChild")
             *public buttonG: IgxButtonGroupComponent;
             *ngAfterViewInit(){
             *    let buttonAlignment = this.buttonG.alignment;
             *}
             *```
             */
            get: /**
             * Returns the alignment of the `igx-buttongroup`.
             * ```typescript
             * \@ViewChild("MyChild")
             * public buttonG: IgxButtonGroupComponent;
             * ngAfterViewInit(){
             *    let buttonAlignment = this.buttonG.alignment;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._isVertical ? ButtonGroupAlignment.vertical : ButtonGroupAlignment.horizontal;
            },
            /**
             * Allows you to set the button group alignment.
             * Available options are `ButtonGroupAlignment.horizontal` (default) and `ButtonGroupAlignment.vertical`.
             * ```typescript
             *public alignment = ButtonGroupAlignment.vertical;
             * //..
             * ```
             * ```html
             *<igx-buttongroup [multiSelection]="false" [values]="cities" [alignment]="alignment"></igx-buttongroup>
             * ```
             */
            set: /**
             * Allows you to set the button group alignment.
             * Available options are `ButtonGroupAlignment.horizontal` (default) and `ButtonGroupAlignment.vertical`.
             * ```typescript
             * public alignment = ButtonGroupAlignment.vertical;
             * //..
             * ```
             * ```html
             * <igx-buttongroup [multiSelection]="false" [values]="cities" [alignment]="alignment"></igx-buttongroup>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._isVertical = value === ButtonGroupAlignment.vertical;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonGroupComponent.prototype, "isVertical", {
            /**
             * Returns true if the `igx-buttongroup` alignment is vertical.
             * Note that in order for the accessor to work correctly the property should be set explicitly.
             * ```html
             * <igx-buttongroup #MyChild [alignment]="alignment" [values]="alignOptions">
             * ```
             * ```typescript
             * //...
             *@ViewChild("MyChild")
             *private buttonG: IgxButtonGroupComponent;
             *ngAfterViewInit(){
             *    let orientation = this.buttonG.isVertical;
             *}
             *```
             */
            get: /**
             * Returns true if the `igx-buttongroup` alignment is vertical.
             * Note that in order for the accessor to work correctly the property should be set explicitly.
             * ```html
             * <igx-buttongroup #MyChild [alignment]="alignment" [values]="alignOptions">
             * ```
             * ```typescript
             * //...
             * \@ViewChild("MyChild")
             * private buttonG: IgxButtonGroupComponent;
             * ngAfterViewInit(){
             *    let orientation = this.buttonG.isVertical;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._isVertical;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxButtonGroupComponent.prototype, "selectedButtons", {
            /**
             * Gets the selected button/buttons.
             *```typescript
             *@ViewChild("MyChild")
             *private buttonG: IgxButtonGroupComponent;
             *ngAfterViewInit(){
             *    let selectedButton = this.buttonG.selectedButtons;
             *}
             *```
             */
            get: /**
             * Gets the selected button/buttons.
             * ```typescript
             * \@ViewChild("MyChild")
             * private buttonG: IgxButtonGroupComponent;
             * ngAfterViewInit(){
             *    let selectedButton = this.buttonG.selectedButtons;
             * }
             * ```
             * @return {?}
             */
            function () {
                var _this = this;
                return this.buttons.filter(function (b, i) {
                    return _this.selectedIndexes.indexOf(i) !== -1;
                });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Selects a button by its index.
         *```typescript
         *@ViewChild("MyChild")
         *private buttonG: IgxButtonGroupComponent;
         *ngAfterViewInit(){
         *    this.buttonG.selectButton(2);
         *    this.cdr.detectChanges();
         *}
         *```
         * @memberOf {@link IgxButtonGroupComponent}
         */
        /**
         * Selects a button by its index.
         * ```typescript
         * \@ViewChild("MyChild")
         * private buttonG: IgxButtonGroupComponent;
         * ngAfterViewInit(){
         *    this.buttonG.selectButton(2);
         *    this.cdr.detectChanges();
         * }
         * ```
         * \@memberOf {\@link IgxButtonGroupComponent}
         * @param {?} index
         * @return {?}
         */
        IgxButtonGroupComponent.prototype.selectButton = /**
         * Selects a button by its index.
         * ```typescript
         * \@ViewChild("MyChild")
         * private buttonG: IgxButtonGroupComponent;
         * ngAfterViewInit(){
         *    this.buttonG.selectButton(2);
         *    this.cdr.detectChanges();
         * }
         * ```
         * \@memberOf {\@link IgxButtonGroupComponent}
         * @param {?} index
         * @return {?}
         */
        function (index) {
            var _this = this;
            if (index >= this.buttons.length || index < 0) {
                return;
            }
            /** @type {?} */
            var button = this.buttons[index];
            /** @type {?} */
            var buttonElement = button.nativeElement;
            this.selectedIndexes.push(index);
            button.selected = true;
            this._renderer.setAttribute(buttonElement, 'aria-pressed', 'true');
            this._renderer.addClass(buttonElement, 'igx-button-group__item--selected');
            this.onSelect.emit({ button: button, index: index });
            /** @type {?} */
            var indexInViewButtons = this.viewButtons.toArray().indexOf(button);
            if (indexInViewButtons !== -1) {
                this.values[indexInViewButtons].selected = true;
            }
            // deselect other buttons if multiSelection is not enabled
            if (!this.multiSelection && this.selectedIndexes.length > 1) {
                this.buttons.forEach(function (b, i) {
                    if (i !== index && _this.selectedIndexes.indexOf(i) !== -1) {
                        _this.deselectButton(i);
                    }
                });
            }
        };
        /**
         * Deselects a button by its index.
         * ```typescript
         *@ViewChild("MyChild")
         *private buttonG: IgxButtonGroupComponent;
         *ngAfterViewInit(){
         *    this.buttonG.deselectButton(2);
         *    this.cdr.detectChanges();
         *}
         * ```
         * @memberOf {@link IgxButtonGroupComponent}
         */
        /**
         * Deselects a button by its index.
         * ```typescript
         * \@ViewChild("MyChild")
         * private buttonG: IgxButtonGroupComponent;
         * ngAfterViewInit(){
         *    this.buttonG.deselectButton(2);
         *    this.cdr.detectChanges();
         * }
         * ```
         * \@memberOf {\@link IgxButtonGroupComponent}
         * @param {?} index
         * @return {?}
         */
        IgxButtonGroupComponent.prototype.deselectButton = /**
         * Deselects a button by its index.
         * ```typescript
         * \@ViewChild("MyChild")
         * private buttonG: IgxButtonGroupComponent;
         * ngAfterViewInit(){
         *    this.buttonG.deselectButton(2);
         *    this.cdr.detectChanges();
         * }
         * ```
         * \@memberOf {\@link IgxButtonGroupComponent}
         * @param {?} index
         * @return {?}
         */
        function (index) {
            if (index >= this.buttons.length || index < 0) {
                return;
            }
            /** @type {?} */
            var button = this.buttons[index];
            /** @type {?} */
            var buttonElement = button.nativeElement;
            this.selectedIndexes.splice(this.selectedIndexes.indexOf(index), 1);
            button.selected = false;
            this._renderer.setAttribute(buttonElement, 'aria-pressed', 'false');
            this._renderer.removeClass(buttonElement, 'igx-button-group__item--selected');
            this.onUnselect.emit({ button: button, index: index });
            /** @type {?} */
            var indexInViewButtons = this.viewButtons.toArray().indexOf(button);
            if (indexInViewButtons !== -1) {
                this.values[indexInViewButtons].selected = false;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxButtonGroupComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.templateButtons.forEach(function (button) {
                if (!button.initialDensity) {
                    button.displayDensity = _this.displayDensity;
                }
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxButtonGroupComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var initButtons = function () {
                // Cancel any existing buttonClick subscriptions
                _this.buttonClickNotifier$.next();
                _this.selectedIndexes.splice(0, _this.selectedIndexes.length);
                // initial configuration
                _this.buttons.forEach(function (button, index) {
                    /** @type {?} */
                    var buttonElement = button.nativeElement;
                    if (_this.disabled) {
                        button.disabled = true;
                    }
                    if (button.selected) {
                        _this.selectButton(index);
                    }
                    button.buttonClick.pipe(operators.takeUntil(_this.buttonClickNotifier$)).subscribe(function (ev) { return _this._clickHandler(ev, index); });
                    _this._renderer.addClass(buttonElement, 'igx-button-group__item');
                });
            };
            this.viewButtons.changes.pipe(operators.takeUntil(this.queryListNotifier$)).subscribe(function () { return initButtons(); });
            this.templateButtons.changes.pipe(operators.takeUntil(this.queryListNotifier$)).subscribe(function () { return initButtons(); });
            initButtons();
            this._cdr.detectChanges();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxButtonGroupComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.buttonClickNotifier$.next();
            this.buttonClickNotifier$.complete();
            this.queryListNotifier$.next();
            this.queryListNotifier$.complete();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @param {?} i
         * @return {?}
         */
        IgxButtonGroupComponent.prototype._clickHandler = /**
         * @hidden
         * @param {?} event
         * @param {?} i
         * @return {?}
         */
        function (event, i) {
            if (this.selectedIndexes.indexOf(i) !== -1) {
                this.deselectButton(i);
            }
            else {
                this.selectButton(i);
            }
        };
        IgxButtonGroupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-buttongroup',
                        template: "<div class=\"igx-button-group\" role=\"group\" [class.igx-button-group--vertical]=\"isVertical\">\n    <button *ngFor=\"let button of values; let i = 'index'\"\n        type=\"button\"\n        igxButton=\"flat\"\n        [displayDensity]=\"displayDensity\"\n        [selected]=\"button.selected\"\n        [attr.data-togglable]=\"button.togglable\"\n        [disabled]=\"disabled || button.disabled\"\n        [igxButtonColor]=\"button.color\"\n        [igxButtonBackground]=\"button.bgcolor\"\n        [igxLabel]=\"button.label\"\n        [igxRipple]=\"button.ripple\"\n    >\n        <div class=\"igx-button-group__item-content {{ itemContentCssClass }}\">\n            <igx-icon *ngIf=\"button.icon\" fontSet=\"material\">{{button.icon}}</igx-icon>\n            <span *ngIf=\"button.label\">{{button.label}}</span>\n        </div>\n    </button>\n    <ng-content></ng-content>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxButtonGroupComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core.Renderer2 },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxButtonGroupComponent.propDecorators = {
            viewButtons: [{ type: core.ViewChildren, args: [IgxButtonDirective,] }],
            templateButtons: [{ type: core.ContentChildren, args: [IgxButtonDirective,] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            zIndex: [{ type: core.HostBinding, args: ['style.zIndex',] }],
            itemContentCssClass: [{ type: core.Input }],
            multiSelection: [{ type: core.Input }],
            values: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            alignment: [{ type: core.Input }],
            onSelect: [{ type: core.Output }],
            onUnselect: [{ type: core.Output }]
        };
        return IgxButtonGroupComponent;
    }(DisplayDensityBase));
    /**
     * @hidden
     */
    var IgxButtonGroupModule = /** @class */ (function () {
        function IgxButtonGroupModule() {
        }
        IgxButtonGroupModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxButtonGroupComponent],
                        exports: [IgxButtonGroupComponent],
                        imports: [IgxButtonModule, common.CommonModule, IgxRippleModule, IgxIconModule]
                    },] }
        ];
        return IgxButtonGroupModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var DateRangeType = {
        After: 0,
        Before: 1,
        Between: 2,
        Specific: 3,
        Weekdays: 4,
        Weekends: 5,
    };
    DateRangeType[DateRangeType.After] = 'After';
    DateRangeType[DateRangeType.Before] = 'Before';
    DateRangeType[DateRangeType.Between] = 'Between';
    DateRangeType[DateRangeType.Specific] = 'Specific';
    DateRangeType[DateRangeType.Weekdays] = 'Weekdays';
    DateRangeType[DateRangeType.Weekends] = 'Weekends';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var TimeDeltaInterval = {
        Month: 'month',
        Year: 'year',
    };
    /** @type {?} */
    var MDAYS = [31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
    /** @type {?} */
    var FEBRUARY = 1;
    /**
     * @param {?=} start
     * @param {?=} stop
     * @param {?=} step
     * @return {?}
     */
    function range(start, stop, step) {
        if (start === void 0) { start = 0; }
        if (step === void 0) { step = 1; }
        /** @type {?} */
        var res = [];
        /** @type {?} */
        var cur = (stop === undefined) ? 0 : start;
        /** @type {?} */
        var max = (stop === undefined) ? start : stop;
        for (var i = cur; step < 0 ? i > max : i < max; i += step) {
            res.push(i);
        }
        return res;
    }
    /**
     * Returns true for leap years, false for non-leap years.
     *
     * @export
     * @param {?} year
     * @return {?}
     */
    function isLeap(year) {
        return (year % 4 === 0) && ((year % 100 !== 0) || (year % 400 === 0));
    }
    /**
     * @param {?} year
     * @param {?} month
     * @param {?} day
     * @return {?}
     */
    function weekDay(year, month, day) {
        return new Date(year, month, day).getDay();
    }
    /**
     * Return weekday and number of days for year, month.
     *
     * @export
     * @param {?} year
     * @param {?} month
     * @return {?}
     */
    function monthRange(year, month) {
        if ((month < 0) || (month > 11)) {
            throw new Error('Invalid month specified');
        }
        /** @type {?} */
        var day = weekDay(year, month, 1);
        /** @type {?} */
        var nDays = MDAYS[month];
        if ((month === FEBRUARY) && (isLeap(year))) {
            nDays++;
        }
        return [day, nDays];
    }
    /**
     * @param {?} date
     * @param {?} ranges
     * @return {?}
     */
    function isDateInRanges(date, ranges) {
        var e_1, _a, e_2, _b;
        date = new Date(date.getFullYear(), date.getMonth(), date.getDate());
        /** @type {?} */
        var dateInMs = date.getTime();
        if (!ranges) {
            return false;
        }
        try {
            for (var ranges_1 = __values(ranges), ranges_1_1 = ranges_1.next(); !ranges_1_1.done; ranges_1_1 = ranges_1.next()) {
                var descriptor = ranges_1_1.value;
                /** @type {?} */
                var dRanges = descriptor.dateRange ? descriptor.dateRange.map(function (r) { return new Date(r.getFullYear(), r.getMonth(), r.getDate()); }) : undefined;
                switch (descriptor.type) {
                    case (DateRangeType.After):
                        if (dateInMs > dRanges[0].getTime()) {
                            return true;
                        }
                        break;
                    case (DateRangeType.Before):
                        if (dateInMs < dRanges[0].getTime()) {
                            return true;
                        }
                        break;
                    case (DateRangeType.Between):
                        /** @type {?} */
                        var dRange = dRanges.map(function (d) { return d.getTime(); });
                        /** @type {?} */
                        var min = Math.min(dRange[0], dRange[1]);
                        /** @type {?} */
                        var max = Math.max(dRange[0], dRange[1]);
                        if (dateInMs >= min && dateInMs <= max) {
                            return true;
                        }
                        break;
                    case (DateRangeType.Specific):
                        /** @type {?} */
                        var datesInMs = dRanges.map(function (d) { return d.getTime(); });
                        try {
                            for (var datesInMs_1 = __values(datesInMs), datesInMs_1_1 = datesInMs_1.next(); !datesInMs_1_1.done; datesInMs_1_1 = datesInMs_1.next()) {
                                var specificDateInMs = datesInMs_1_1.value;
                                if (dateInMs === specificDateInMs) {
                                    return true;
                                }
                            }
                        }
                        catch (e_2_1) { e_2 = { error: e_2_1 }; }
                        finally {
                            try {
                                if (datesInMs_1_1 && !datesInMs_1_1.done && (_b = datesInMs_1.return)) _b.call(datesInMs_1);
                            }
                            finally { if (e_2) throw e_2.error; }
                        }
                        break;
                    case (DateRangeType.Weekdays):
                        /** @type {?} */
                        var day = date.getDay();
                        if (day % 6 !== 0) {
                            return true;
                        }
                        break;
                    case (DateRangeType.Weekends):
                        /** @type {?} */
                        var weekday = date.getDay();
                        if (weekday % 6 === 0) {
                            return true;
                        }
                        break;
                    default:
                        return false;
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (ranges_1_1 && !ranges_1_1.done && (_a = ranges_1.return)) _a.call(ranges_1);
            }
            finally { if (e_1) throw e_1.error; }
        }
        return false;
    }
    /** @enum {number} */
    var WEEKDAYS = {
        SUNDAY: 0,
        MONDAY: 1,
        TUESDAY: 2,
        WEDNESDAY: 3,
        THURSDAY: 4,
        FRIDAY: 5,
        SATURDAY: 6,
    };
    WEEKDAYS[WEEKDAYS.SUNDAY] = 'SUNDAY';
    WEEKDAYS[WEEKDAYS.MONDAY] = 'MONDAY';
    WEEKDAYS[WEEKDAYS.TUESDAY] = 'TUESDAY';
    WEEKDAYS[WEEKDAYS.WEDNESDAY] = 'WEDNESDAY';
    WEEKDAYS[WEEKDAYS.THURSDAY] = 'THURSDAY';
    WEEKDAYS[WEEKDAYS.FRIDAY] = 'FRIDAY';
    WEEKDAYS[WEEKDAYS.SATURDAY] = 'SATURDAY';
    var Calendar = /** @class */ (function () {
        function Calendar(firstWeekDay) {
            if (firstWeekDay === void 0) { firstWeekDay = WEEKDAYS.SUNDAY; }
            this._firstWeekDay = firstWeekDay;
        }
        Object.defineProperty(Calendar.prototype, "firstWeekDay", {
            get: /**
             * @return {?}
             */
            function () {
                return this._firstWeekDay % 7;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._firstWeekDay = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns an array of weekdays for one week starting
         * with the currently set `firstWeekDay`
         *
         * this.firstWeekDay = 0 (Sunday) --> [0, 1, 2, 3, 4, 5, 6]
         * this.firstWeekDay = 1 (Monday) --> [1, 2, 3, 4, 5, 6, 0]
         *
         * @returns
         *
         * @memberof Calendar
         */
        /**
         * Returns an array of weekdays for one week starting
         * with the currently set `firstWeekDay`
         *
         * this.firstWeekDay = 0 (Sunday) --> [0, 1, 2, 3, 4, 5, 6]
         * this.firstWeekDay = 1 (Monday) --> [1, 2, 3, 4, 5, 6, 0]
         *
         * \@memberof Calendar
         * @return {?}
         *
         */
        Calendar.prototype.weekdays = /**
         * Returns an array of weekdays for one week starting
         * with the currently set `firstWeekDay`
         *
         * this.firstWeekDay = 0 (Sunday) --> [0, 1, 2, 3, 4, 5, 6]
         * this.firstWeekDay = 1 (Monday) --> [1, 2, 3, 4, 5, 6, 0]
         *
         * \@memberof Calendar
         * @return {?}
         *
         */
        function () {
            var e_3, _a;
            /** @type {?} */
            var res = [];
            try {
                for (var _b = __values(range(this.firstWeekDay, this.firstWeekDay + 7)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var i = _c.value;
                    res.push(i % 7);
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_3) throw e_3.error; }
            }
            return res;
        };
        /**
         * Returns the date values for one month. It will always iterate throught
         * complete weeks, so it will contain dates outside the specified month.
         *
         * @param year
         * @param month
         * @param boolean
         * @returns
         *
         * @memberof Calendar
         */
        /**
         * Returns the date values for one month. It will always iterate throught
         * complete weeks, so it will contain dates outside the specified month.
         *
         * \@memberof Calendar
         * @param {?} year
         * @param {?} month
         * @param {?=} extraWeek
         * @return {?}
         *
         */
        Calendar.prototype.monthdates = /**
         * Returns the date values for one month. It will always iterate throught
         * complete weeks, so it will contain dates outside the specified month.
         *
         * \@memberof Calendar
         * @param {?} year
         * @param {?} month
         * @param {?=} extraWeek
         * @return {?}
         *
         */
        function (year, month, extraWeek) {
            var e_4, _a;
            if (extraWeek === void 0) { extraWeek = false; }
            /** @type {?} */
            var date = new Date(year, month, 1);
            /** @type {?} */
            var days = (date.getDay() - this.firstWeekDay) % 7;
            if (days < 0) {
                days = 7 - Math.abs(days);
            }
            date = this.timedelta(date, 'day', -days);
            /** @type {?} */
            var res = [];
            /** @type {?} */
            var value;
            while (true) {
                value = this.generateICalendarDate(date, year, month);
                res.push(value);
                date = this.timedelta(date, 'day', 1);
                if ((date.getMonth() !== month) && (date.getDay() === this.firstWeekDay)) {
                    if (extraWeek && res.length <= 35) {
                        try {
                            for (var _b = __values(range(0, 7)), _c = _b.next(); !_c.done; _c = _b.next()) {
                                var _ = _c.value;
                                value = this.generateICalendarDate(date, year, month);
                                res.push(value);
                                date = this.timedelta(date, 'day', 1);
                            }
                        }
                        catch (e_4_1) { e_4 = { error: e_4_1 }; }
                        finally {
                            try {
                                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                            }
                            finally { if (e_4) throw e_4.error; }
                        }
                    }
                    break;
                }
            }
            return res;
        };
        /**
         * Returns a matrix (array of arrays) representing a month's calendar.
         * Each row represents a full week; week entries are ICalendarDate objects.
         *
         * @param year
         * @param month
         * @returns
         *
         * @memberof Calendar
         */
        /**
         * Returns a matrix (array of arrays) representing a month's calendar.
         * Each row represents a full week; week entries are ICalendarDate objects.
         *
         * \@memberof Calendar
         * @param {?} year
         * @param {?} month
         * @param {?=} extraWeek
         * @return {?}
         *
         */
        Calendar.prototype.monthdatescalendar = /**
         * Returns a matrix (array of arrays) representing a month's calendar.
         * Each row represents a full week; week entries are ICalendarDate objects.
         *
         * \@memberof Calendar
         * @param {?} year
         * @param {?} month
         * @param {?=} extraWeek
         * @return {?}
         *
         */
        function (year, month, extraWeek) {
            var e_5, _a;
            if (extraWeek === void 0) { extraWeek = false; }
            /** @type {?} */
            var dates = this.monthdates(year, month, extraWeek);
            /** @type {?} */
            var res = [];
            try {
                for (var _b = __values(range(0, dates.length, 7)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var i = _c.value;
                    res.push(dates.slice(i, i + 7));
                }
            }
            catch (e_5_1) { e_5 = { error: e_5_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_5) throw e_5.error; }
            }
            return res;
        };
        /**
         * @param {?} date
         * @param {?} interval
         * @param {?} units
         * @return {?}
         */
        Calendar.prototype.timedelta = /**
         * @param {?} date
         * @param {?} interval
         * @param {?} units
         * @return {?}
         */
        function (date, interval, units) {
            /** @type {?} */
            var ret = new Date(date);
            /** @type {?} */
            var checkRollover = function () {
                if (ret.getDate() !== date.getDate()) {
                    ret.setDate(0);
                }
            };
            switch (interval.toLowerCase()) {
                case 'year':
                    ret.setFullYear(ret.getFullYear() + units);
                    checkRollover();
                    break;
                case 'quarter':
                    ret.setMonth(ret.getMonth() + 3 * units);
                    checkRollover();
                    break;
                case 'month':
                    ret.setMonth(ret.getMonth() + units);
                    checkRollover();
                    break;
                case 'week':
                    ret.setDate(ret.getDate() + 7 * units);
                    break;
                case 'day':
                    ret.setDate(ret.getDate() + units);
                    break;
                case 'hour':
                    ret.setTime(ret.getTime() + units * 3600000);
                    break;
                case 'minute':
                    ret.setTime(ret.getTime() + units * 60000);
                    break;
                case 'second':
                    ret.setTime(ret.getTime() + units * 1000);
                    break;
                default:
                    throw new Error('Invalid interval specifier');
            }
            return ret;
        };
        /**
         * @param {?} date
         * @param {?} locale
         * @param {?} options
         * @param {?} parts
         * @return {?}
         */
        Calendar.prototype.formatToParts = /**
         * @param {?} date
         * @param {?} locale
         * @param {?} options
         * @param {?} parts
         * @return {?}
         */
        function (date, locale, options, parts) {
            var e_6, _a, e_7, _b;
            /** @type {?} */
            var formatter = new Intl.DateTimeFormat(locale, options);
            /** @type {?} */
            var result = {
                date: date,
                full: formatter.format(date)
            };
            if (((/** @type {?} */ (formatter))).formatToParts) {
                /** @type {?} */
                var formattedParts_1 = ((/** @type {?} */ (formatter))).formatToParts(date);
                /** @type {?} */
                var toType = function (partType) {
                    /** @type {?} */
                    var index = formattedParts_1.findIndex(function (_a) {
                        var type = _a.type;
                        return type === partType;
                    });
                    /** @type {?} */
                    var o = { value: '', literal: '', combined: '' };
                    if (partType === 'era' && index > -1) {
                        o.value = formattedParts_1[index].value;
                        return o;
                    }
                    else if (partType === 'era' && index === -1) {
                        return o;
                    }
                    o.value = formattedParts_1[index].value;
                    o.literal = formattedParts_1[index + 1] ? formattedParts_1[index + 1].value : '';
                    o.combined = [o.value, o.literal].join('');
                    return o;
                };
                try {
                    for (var parts_1 = __values(parts), parts_1_1 = parts_1.next(); !parts_1_1.done; parts_1_1 = parts_1.next()) {
                        var each = parts_1_1.value;
                        result[each] = toType(each);
                    }
                }
                catch (e_6_1) { e_6 = { error: e_6_1 }; }
                finally {
                    try {
                        if (parts_1_1 && !parts_1_1.done && (_a = parts_1.return)) _a.call(parts_1);
                    }
                    finally { if (e_6) throw e_6.error; }
                }
            }
            else {
                try {
                    for (var parts_2 = __values(parts), parts_2_1 = parts_2.next(); !parts_2_1.done; parts_2_1 = parts_2.next()) {
                        var each = parts_2_1.value;
                        result[each] = { value: '', literal: '', combined: '' };
                    }
                }
                catch (e_7_1) { e_7 = { error: e_7_1 }; }
                finally {
                    try {
                        if (parts_2_1 && !parts_2_1.done && (_b = parts_2.return)) _b.call(parts_2);
                    }
                    finally { if (e_7) throw e_7.error; }
                }
            }
            return result;
        };
        /**
         * @param {?} date
         * @param {?} interval
         * @param {?} activeViewIdx
         * @return {?}
         */
        Calendar.prototype.getFirstViewDate = /**
         * @param {?} date
         * @param {?} interval
         * @param {?} activeViewIdx
         * @return {?}
         */
        function (date, interval, activeViewIdx) {
            return this.timedelta(date, interval, -activeViewIdx);
        };
        /**
         * @param {?} date
         * @return {?}
         */
        Calendar.prototype.getNextMonth = /**
         * @param {?} date
         * @return {?}
         */
        function (date) {
            return this.timedelta(date, TimeDeltaInterval.Month, 1);
        };
        /**
         * @param {?} date
         * @return {?}
         */
        Calendar.prototype.getPrevMonth = /**
         * @param {?} date
         * @return {?}
         */
        function (date) {
            return this.timedelta(date, TimeDeltaInterval.Month, -1);
        };
        /**
         * @param {?} date
         * @return {?}
         */
        Calendar.prototype.getNextYear = /**
         * @param {?} date
         * @return {?}
         */
        function (date) {
            return this.timedelta(date, TimeDeltaInterval.Year, 1);
        };
        /**
         * @param {?} date
         * @return {?}
         */
        Calendar.prototype.getPrevYear = /**
         * @param {?} date
         * @return {?}
         */
        function (date) {
            return this.timedelta(date, TimeDeltaInterval.Year, -1);
        };
        /**
         * @private
         * @param {?} date
         * @param {?} year
         * @param {?} month
         * @return {?}
         */
        Calendar.prototype.generateICalendarDate = /**
         * @private
         * @param {?} date
         * @param {?} year
         * @param {?} month
         * @return {?}
         */
        function (date, year, month) {
            return {
                date: date,
                isCurrentMonth: date.getFullYear() === year && date.getMonth() === month,
                isNextMonth: this.isNextMonth(date, year, month),
                isPrevMonth: this.isPreviousMonth(date, year, month)
            };
        };
        /**
         * @private
         * @param {?} date
         * @param {?} year
         * @param {?} month
         * @return {?}
         */
        Calendar.prototype.isPreviousMonth = /**
         * @private
         * @param {?} date
         * @param {?} year
         * @param {?} month
         * @return {?}
         */
        function (date, year, month) {
            if (date.getFullYear() === year) {
                return date.getMonth() < month;
            }
            return date.getFullYear() < year;
        };
        /**
         * @private
         * @param {?} date
         * @param {?} year
         * @param {?} month
         * @return {?}
         */
        Calendar.prototype.isNextMonth = /**
         * @private
         * @param {?} date
         * @param {?} year
         * @param {?} month
         * @return {?}
         */
        function (date, year, month) {
            if (date.getFullYear() === year) {
                return date.getMonth() > month;
            }
            return date.getFullYear() > year;
        };
        return Calendar;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxCalendarYearDirective = /** @class */ (function () {
        function IgxCalendarYearDirective() {
            this.onYearSelection = new core.EventEmitter();
        }
        Object.defineProperty(IgxCalendarYearDirective.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return !this.isCurrentYear;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarYearDirective.prototype, "currentCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isCurrentYear;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarYearDirective.prototype, "isCurrentYear", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.getFullYear() === this.value.getFullYear();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxCalendarYearDirective.prototype.onClick = /**
         * @return {?}
         */
        function () {
            this.onYearSelection.emit(this.value);
        };
        IgxCalendarYearDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCalendarYear]'
                    },] }
        ];
        IgxCalendarYearDirective.propDecorators = {
            value: [{ type: core.Input, args: ['igxCalendarYear',] }],
            date: [{ type: core.Input }],
            onYearSelection: [{ type: core.Output }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__year',] }],
            currentCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__year--current',] }],
            onClick: [{ type: core.HostListener, args: ['click',] }]
        };
        return IgxCalendarYearDirective;
    }());
    var IgxCalendarMonthDirective = /** @class */ (function () {
        function IgxCalendarMonthDirective(elementRef) {
            this.elementRef = elementRef;
            this.onMonthSelection = new core.EventEmitter();
            this.tabindex = 0;
        }
        Object.defineProperty(IgxCalendarMonthDirective.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return !this.isCurrentMonth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarMonthDirective.prototype, "currentCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isCurrentMonth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarMonthDirective.prototype, "isCurrentMonth", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.getMonth() === this.value.getMonth();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarMonthDirective.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxCalendarMonthDirective.prototype.onClick = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var date = new Date(this.value.getFullYear(), this.value.getMonth(), this.date.getDate());
            this.onMonthSelection.emit(date);
        };
        IgxCalendarMonthDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCalendarMonth]'
                    },] }
        ];
        /** @nocollapse */
        IgxCalendarMonthDirective.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxCalendarMonthDirective.propDecorators = {
            value: [{ type: core.Input, args: ['igxCalendarMonth',] }],
            date: [{ type: core.Input }],
            index: [{ type: core.Input }],
            onMonthSelection: [{ type: core.Output }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__month',] }],
            currentCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__month--current',] }],
            onClick: [{ type: core.HostListener, args: ['click',] }]
        };
        return IgxCalendarMonthDirective;
    }());
    /**
     * @hidden
     */
    var IgxCalendarHeaderTemplateDirective = /** @class */ (function () {
        function IgxCalendarHeaderTemplateDirective(template) {
            this.template = template;
        }
        IgxCalendarHeaderTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCalendarHeader]'
                    },] }
        ];
        /** @nocollapse */
        IgxCalendarHeaderTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxCalendarHeaderTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxCalendarSubheaderTemplateDirective = /** @class */ (function () {
        function IgxCalendarSubheaderTemplateDirective(template) {
            this.template = template;
        }
        IgxCalendarSubheaderTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCalendarSubheader]'
                    },] }
        ];
        /** @nocollapse */
        IgxCalendarSubheaderTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxCalendarSubheaderTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxCalendarScrollMonthDirective = /** @class */ (function () {
        function IgxCalendarScrollMonthDirective(element, zone) {
            this.element = element;
            this.zone = zone;
            /**
             * @hidden
             */
            this.destroy$ = new rxjs.Subject();
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxCalendarScrollMonthDirective.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            rxjs.fromEvent(this.element.nativeElement, 'keyup').pipe(operators.debounce(function () { return rxjs.interval(100); }), operators.takeUntil(this.destroy$)).subscribe(function (event) {
                _this.stopScroll(event);
            });
            this.zone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.element.nativeElement, 'keydown').pipe(operators.tap(function (event) {
                    if (event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */ || event.key === "Enter" /* ENTER */) {
                        event.preventDefault();
                        event.stopPropagation();
                    }
                }), operators.debounce(function () { return rxjs.interval(100); }), operators.takeUntil(_this.destroy$)).subscribe(function (event) {
                    if (event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */ || event.key === "Enter" /* ENTER */) {
                        _this.zone.run(function () { return _this.startScroll(true); });
                    }
                });
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxCalendarScrollMonthDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxCalendarScrollMonthDirective.prototype.onMouseDown = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.startScroll();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxCalendarScrollMonthDirective.prototype.onMouseUp = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.stopScroll(event);
        };
        IgxCalendarScrollMonthDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCalendarScrollMonth]'
                    },] }
        ];
        /** @nocollapse */
        IgxCalendarScrollMonthDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.NgZone }
        ]; };
        IgxCalendarScrollMonthDirective.propDecorators = {
            startScroll: [{ type: core.Input }],
            stopScroll: [{ type: core.Input }],
            onMouseDown: [{ type: core.HostListener, args: ['mousedown',] }],
            onMouseUp: [{ type: core.HostListener, args: ['mouseup', ['$event'],] }]
        };
        return IgxCalendarScrollMonthDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var CalendarSelection = {
        SINGLE: 'single',
        MULTI: 'multi',
        RANGE: 'range',
    };
    /** @enum {string} */
    var ScrollMonth = {
        PREV: 'prev',
        NEXT: 'next',
        NONE: 'none',
    };
    var IgxCalendarBase = /** @class */ (function () {
        /**
         * @hidden
         */
        function IgxCalendarBase() {
            /**
             * Sets/gets whether the outside dates (dates that are out of the current month) will be hidden.
             * Default value is `false`.
             * ```html
             * <igx-calendar [hideOutsideDays] = "true"></igx-calendar>
             * ```
             * ```typescript
             * let hideOutsideDays = this.calendar.hideOutsideDays;
             * ```
             */
            this.hideOutsideDays = false;
            /**
             * Emits an event when a date is selected.
             * Provides reference the `selectedDates` property.
             */
            this.onSelection = new core.EventEmitter();
            /**
             * @hidden
             */
            this._selection = CalendarSelection.SINGLE;
            /**
             * @hidden
             */
            this.rangeStarted = false;
            /**
             * @hidden
             */
            this._locale = 'en';
            /**
             * @hidden
             */
            this._disabledDates = null;
            /**
             * @hidden
             */
            this._specialDates = null;
            /**
             * @hidden
             */
            this._formatOptions = {
                day: 'numeric',
                month: 'short',
                weekday: 'short',
                year: 'numeric'
            };
            /**
             * @hidden
             */
            this._formatViews = {
                day: false,
                month: true,
                year: false
            };
            /**
             * @hidden
             */
            this.monthScrollDirection = ScrollMonth.NONE;
            /**
             * @hidden
             */
            this.scrollMonth$ = new rxjs.Subject();
            /**
             * @hidden
             */
            this.stopMonthScroll$ = new rxjs.Subject();
            /**
             * @hidden
             */
            this.startMonthScroll$ = new rxjs.Subject();
            /**
             * @hidden
             */
            this._onTouchedCallback = function () { };
            /**
             * @hidden
             */
            this._onChangeCallback = function () { };
            this.calendarModel = new Calendar();
            this.viewDate = this.viewDate ? this.viewDate : new Date();
            this.calendarModel.firstWeekDay = this.weekStart;
            this.initFormatters();
        }
        Object.defineProperty(IgxCalendarBase.prototype, "weekStart", {
            /**
             * Gets the start day of the week.
             * Can return a numeric or an enum representation of the week day.
             * Defaults to `Sunday` / `0`.
             */
            get: /**
             * Gets the start day of the week.
             * Can return a numeric or an enum representation of the week day.
             * Defaults to `Sunday` / `0`.
             * @return {?}
             */
            function () {
                return this.calendarModel.firstWeekDay;
            },
            /**
             * Sets the start day of the week.
             * Can be assigned to a numeric value or to `WEEKDAYS` enum value.
             */
            set: /**
             * Sets the start day of the week.
             * Can be assigned to a numeric value or to `WEEKDAYS` enum value.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.calendarModel.firstWeekDay = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "locale", {
            /**
             * Gets the `locale` of the calendar.
             * Default value is `"en"`.
             */
            get: /**
             * Gets the `locale` of the calendar.
             * Default value is `"en"`.
             * @return {?}
             */
            function () {
                return this._locale;
            },
            /**
             * Sets the `locale` of the calendar.
             * Expects a valid BCP 47 language tag.
             * Default value is `"en"`.
             */
            set: /**
             * Sets the `locale` of the calendar.
             * Expects a valid BCP 47 language tag.
             * Default value is `"en"`.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._locale = value;
                this.initFormatters();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "formatOptions", {
            /**
             * Gets the date format options of the days view.
             */
            get: /**
             * Gets the date format options of the days view.
             * @return {?}
             */
            function () {
                return this._formatOptions;
            },
            /**
             * Sets the date format options of the days view.
             * Default is { day: 'numeric', month: 'short', weekday: 'short', year: 'numeric' }
             */
            set: /**
             * Sets the date format options of the days view.
             * Default is { day: 'numeric', month: 'short', weekday: 'short', year: 'numeric' }
             * @param {?} formatOptions
             * @return {?}
             */
            function (formatOptions) {
                this._formatOptions = Object.assign(this._formatOptions, formatOptions);
                this.initFormatters();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "formatViews", {
            /**
             * Gets whether the `day`, `month` and `year` should be rendered
             * according to the locale and formatOptions, if any.
             */
            get: /**
             * Gets whether the `day`, `month` and `year` should be rendered
             * according to the locale and formatOptions, if any.
             * @return {?}
             */
            function () {
                return this._formatViews;
            },
            /**
             * Gets whether the `day`, `month` and `year` should be rendered
             * according to the locale and formatOptions, if any.
             */
            set: /**
             * Gets whether the `day`, `month` and `year` should be rendered
             * according to the locale and formatOptions, if any.
             * @param {?} formatViews
             * @return {?}
             */
            function (formatViews) {
                this._formatViews = Object.assign(this._formatViews, formatViews);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "selection", {
            /**
             *
             * Gets the selection type.
             * Default value is `"single"`.
             * Changing the type of selection resets the currently
             * selected values if any.
             */
            get: /**
             *
             * Gets the selection type.
             * Default value is `"single"`.
             * Changing the type of selection resets the currently
             * selected values if any.
             * @return {?}
             */
            function () {
                return this._selection;
            },
            /**
             * Sets the selection.
             */
            set: /**
             * Sets the selection.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                switch (value) {
                    case CalendarSelection.SINGLE:
                        this.selectedDates = null;
                        break;
                    case CalendarSelection.MULTI:
                    case CalendarSelection.RANGE:
                        this.selectedDates = [];
                        break;
                    default:
                        throw new Error('Invalid selection value');
                }
                this._onChangeCallback(this.selectedDates);
                this.rangeStarted = false;
                this._selection = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "value", {
            /**
             * Gets the selected date(s).
             *
             * When selection is set to `single`, it returns
             * a single `Date` object.
             * Otherwise it is an array of `Date` objects.
             */
            get: /**
             * Gets the selected date(s).
             *
             * When selection is set to `single`, it returns
             * a single `Date` object.
             * Otherwise it is an array of `Date` objects.
             * @return {?}
             */
            function () {
                return this.selectedDates;
            },
            /**
             * Sets the selected date(s).
             *
             * When selection is set to `single`, it accepts
             * a single `Date` object.
             * Otherwise it is an array of `Date` objects.
             */
            set: /**
             * Sets the selected date(s).
             *
             * When selection is set to `single`, it accepts
             * a single `Date` object.
             * Otherwise it is an array of `Date` objects.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (!value || !!value && ((/** @type {?} */ (value))).length === 0) {
                    return;
                }
                this.selectDate(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "viewDate", {
            /**
             * Gets the date that is presented.
             * By default it is the current date.
             */
            get: /**
             * Gets the date that is presented.
             * By default it is the current date.
             * @return {?}
             */
            function () {
                return this._viewDate;
            },
            /**
             * Sets the date that will be presented in the default view when the component renders.
             */
            set: /**
             * Sets the date that will be presented in the default view when the component renders.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._viewDate = this.getDateOnly(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "disabledDates", {
            /**
             * Gets the disabled dates descriptors.
             */
            get: /**
             * Gets the disabled dates descriptors.
             * @return {?}
             */
            function () {
                return this._disabledDates;
            },
            /**
             * Sets the disabled dates' descriptors.
             * ```typescript
             *@ViewChild("MyCalendar")
             *public calendar: IgxCalendarComponent;
             *ngOnInit(){
             *    this.calendar.disabledDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             *}
             *```
             */
            set: /**
             * Sets the disabled dates' descriptors.
             * ```typescript
             * \@ViewChild("MyCalendar")
             * public calendar: IgxCalendarComponent;
             * ngOnInit(){
             *    this.calendar.disabledDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             * }
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._disabledDates = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarBase.prototype, "specialDates", {
            /**
             * Gets the special dates descriptors.
             */
            get: /**
             * Gets the special dates descriptors.
             * @return {?}
             */
            function () {
                return this._specialDates;
            },
            /**
             * Sets the special dates' descriptors.
             * ```typescript
             *@ViewChild("MyCalendar")
             *public calendar: IgxCalendarComponent;
             *ngOnInit(){
             *    this.calendar.specialDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             *}
             *```
             */
            set: /**
             * Sets the special dates' descriptors.
             * ```typescript
             * \@ViewChild("MyCalendar")
             * public calendar: IgxCalendarComponent;
             * ngOnInit(){
             *    this.calendar.specialDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             * }
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._specialDates = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} date
         * @return {?}
         */
        IgxCalendarBase.prototype.getDateOnlyInMs = /**
         * @hidden
         * @private
         * @param {?} date
         * @return {?}
         */
        function (date) {
            return this.getDateOnly(date).getTime();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        IgxCalendarBase.prototype.generateDateRange = /**
         * @hidden
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        function (start, end) {
            /** @type {?} */
            var result = [];
            start = this.getDateOnly(start);
            end = this.getDateOnly(end);
            while (start.getTime() !== end.getTime()) {
                start = this.calendarModel.timedelta(start, 'day', 1);
                result.push(start);
            }
            return result;
        };
        /**
         * Performs a single selection.
         * @hidden
         */
        /**
         * Performs a single selection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.selectSingle = /**
         * Performs a single selection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.selectedDates = this.getDateOnly(value);
            this._onChangeCallback(this.selectedDates);
        };
        /**
         * Performs a multiple selection
         * @hidden
         */
        /**
         * Performs a multiple selection
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.selectMultiple = /**
         * Performs a multiple selection
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            var _this = this;
            if (Array.isArray(value)) {
                /** @type {?} */
                var newDates = value.map(function (v) { return _this.getDateOnly(v).getTime(); });
                /** @type {?} */
                var selDates = this.selectedDates.map(function (v) { return _this.getDateOnly(v).getTime(); });
                if (JSON.stringify(newDates) === JSON.stringify(selDates)) {
                    return;
                }
                this.selectedDates = Array.from(new Set(__spread(newDates, selDates))).map(function (v) { return new Date(v); });
            }
            else {
                /** @type {?} */
                var valueDateOnly_1 = this.getDateOnly(value);
                /** @type {?} */
                var newSelection = [];
                if (this.selectedDates.every(function (date) { return date.getTime() !== valueDateOnly_1.getTime(); })) {
                    newSelection.push(valueDateOnly_1);
                }
                else {
                    this.selectedDates = this.selectedDates.filter(function (date) { return date.getTime() !== valueDateOnly_1.getTime(); });
                }
                if (newSelection.length > 0) {
                    this.selectedDates = this.selectedDates.concat(newSelection);
                }
            }
            this.selectedDates = this.selectedDates.filter(function (d) { return !_this.isDateDisabled(d); });
            this.selectedDates.sort(function (a, b) { return a.valueOf() - b.valueOf(); });
            this._onChangeCallback(this.selectedDates);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} value
         * @param {?=} excludeDisabledDates
         * @return {?}
         */
        IgxCalendarBase.prototype.selectRange = /**
         * @hidden
         * @private
         * @param {?} value
         * @param {?=} excludeDisabledDates
         * @return {?}
         */
        function (value, excludeDisabledDates) {
            var _this = this;
            if (excludeDisabledDates === void 0) { excludeDisabledDates = false; }
            /** @type {?} */
            var start;
            /** @type {?} */
            var end;
            if (Array.isArray(value)) {
                // this.rangeStarted = false;
                value.sort(function (a, b) { return a.valueOf() - b.valueOf(); });
                start = this.getDateOnly(value[0]);
                end = this.getDateOnly(value[value.length - 1]);
                this.selectedDates = __spread([start], this.generateDateRange(start, end));
            }
            else {
                if (!this.rangeStarted) {
                    this.rangeStarted = true;
                    this.selectedDates = [value];
                }
                else {
                    this.rangeStarted = false;
                    if (this.selectedDates[0].getTime() === value.getTime()) {
                        this.selectedDates = [];
                        this._onChangeCallback(this.selectedDates);
                        return;
                    }
                    this.selectedDates.push(value);
                    this.selectedDates.sort(function (a, b) { return a.valueOf() - b.valueOf(); });
                    start = this.selectedDates.shift();
                    end = this.selectedDates.pop();
                    this.selectedDates = __spread([start], this.generateDateRange(start, end));
                }
            }
            if (excludeDisabledDates) {
                this.selectedDates = this.selectedDates.filter(function (d) { return !_this.isDateDisabled(d); });
            }
            this._onChangeCallback(this.selectedDates);
        };
        /**
         * Performs a single deselection.
         * @hidden
         */
        /**
         * Performs a single deselection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.deselectSingle = /**
         * Performs a single deselection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.selectedDates !== null &&
                this.getDateOnlyInMs((/** @type {?} */ (value))) === this.getDateOnlyInMs(this.selectedDates)) {
                this.selectedDates = null;
                this._onChangeCallback(this.selectedDates);
            }
        };
        /**
         * Performs a multiple deselection.
         * @hidden
         */
        /**
         * Performs a multiple deselection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.deselectMultiple = /**
         * Performs a multiple deselection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            var _this = this;
            value = value.filter(function (v) { return v !== null; });
            /** @type {?} */
            var selectedDatesCount = this.selectedDates.length;
            /** @type {?} */
            var datesInMsToDeselect = new Set(value.map(function (v) { return _this.getDateOnlyInMs(v); }));
            for (var i = this.selectedDates.length - 1; i >= 0; i--) {
                if (datesInMsToDeselect.has(this.getDateOnlyInMs(this.selectedDates[i]))) {
                    this.selectedDates.splice(i, 1);
                }
            }
            if (this.selectedDates.length !== selectedDatesCount) {
                this._onChangeCallback(this.selectedDates);
            }
        };
        /**
         * Performs deselection of a single value, when selection is multi
         * Usually performed by the selectMultiple method, but leads to bug when multiple months are in view
         * @hidden
         */
        /**
         * Performs deselection of a single value, when selection is multi
         * Usually performed by the selectMultiple method, but leads to bug when multiple months are in view
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.deselectMultipleInMonth = /**
         * Performs deselection of a single value, when selection is multi
         * Usually performed by the selectMultiple method, but leads to bug when multiple months are in view
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var valueDateOnly = this.getDateOnly(value);
            this.selectedDates = this.selectedDates.filter(function (date) { return date.getTime() !== valueDateOnly.getTime(); });
        };
        /**
         * Performs a range deselection.
         * @hidden
         */
        /**
         * Performs a range deselection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.deselectRange = /**
         * Performs a range deselection.
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            value = value.filter(function (v) { return v !== null; });
            if (value.length < 1) {
                return;
            }
            value.sort(function (a, b) { return a.valueOf() - b.valueOf(); });
            /** @type {?} */
            var valueStart = this.getDateOnlyInMs(value[0]);
            /** @type {?} */
            var valueEnd = this.getDateOnlyInMs(value[value.length - 1]);
            this.selectedDates.sort(function (a, b) { return a.valueOf() - b.valueOf(); });
            /** @type {?} */
            var selectedDatesStart = this.getDateOnlyInMs(this.selectedDates[0]);
            /** @type {?} */
            var selectedDatesEnd = this.getDateOnlyInMs(this.selectedDates[this.selectedDates.length - 1]);
            if (!(valueEnd < selectedDatesStart) && !(valueStart > selectedDatesEnd)) {
                this.selectedDates = [];
                this.rangeStarted = false;
                this._onChangeCallback(this.selectedDates);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxCalendarBase.prototype.initFormatters = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            this.formatterDay = new Intl.DateTimeFormat(this._locale, { day: this._formatOptions.day });
            this.formatterWeekday = new Intl.DateTimeFormat(this._locale, { weekday: this._formatOptions.weekday });
            this.formatterMonth = new Intl.DateTimeFormat(this._locale, { month: this._formatOptions.month });
            this.formatterYear = new Intl.DateTimeFormat(this._locale, { year: this._formatOptions.year });
            this.formatterMonthday = new Intl.DateTimeFormat(this._locale, { month: this._formatOptions.month, day: this._formatOptions.day });
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} date
         * @return {?}
         */
        IgxCalendarBase.prototype.getDateOnly = /**
         * @hidden
         * @protected
         * @param {?} date
         * @return {?}
         */
        function (date) {
            return new Date(date.getFullYear(), date.getMonth(), date.getDate());
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxCalendarBase.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onChangeCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxCalendarBase.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onTouchedCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.selectDate((/** @type {?} */ (value)));
        };
        /**
         * Checks whether a date is disabled.
         * @hidden
         */
        /**
         * Checks whether a date is disabled.
         * @hidden
         * @param {?} date
         * @return {?}
         */
        IgxCalendarBase.prototype.isDateDisabled = /**
         * Checks whether a date is disabled.
         * @hidden
         * @param {?} date
         * @return {?}
         */
        function (date) {
            if (this.disabledDates === null) {
                return false;
            }
            return isDateInRanges(date, this.disabledDates);
        };
        /**
         * Selects date(s) (based on the selection type).
         */
        /**
         * Selects date(s) (based on the selection type).
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.selectDate = /**
         * Selects date(s) (based on the selection type).
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (value === null || value === undefined || (Array.isArray(value) && value.length === 0)) {
                return;
            }
            switch (this.selection) {
                case CalendarSelection.SINGLE:
                    if (isDate(value) && !this.isDateDisabled((/** @type {?} */ (value)))) {
                        this.selectSingle((/** @type {?} */ (value)));
                    }
                    break;
                case CalendarSelection.MULTI:
                    this.selectMultiple(value);
                    break;
                case CalendarSelection.RANGE:
                    this.selectRange(value, true);
                    break;
            }
        };
        /**
         * Deselects date(s) (based on the selection type).
         */
        /**
         * Deselects date(s) (based on the selection type).
         * @param {?=} value
         * @return {?}
         */
        IgxCalendarBase.prototype.deselectDate = /**
         * Deselects date(s) (based on the selection type).
         * @param {?=} value
         * @return {?}
         */
        function (value) {
            if (!this.selectedDates || this.selectedDates.length === 0) {
                return;
            }
            if (value === null || value === undefined) {
                this.selectedDates = this.selection === CalendarSelection.SINGLE ? null : [];
                this.rangeStarted = false;
                this._onChangeCallback(this.selectedDates);
                return;
            }
            switch (this.selection) {
                case CalendarSelection.SINGLE:
                    this.deselectSingle((/** @type {?} */ (value)));
                    break;
                case CalendarSelection.MULTI:
                    this.deselectMultiple((/** @type {?} */ (value)));
                    break;
                case CalendarSelection.RANGE:
                    this.deselectRange((/** @type {?} */ (value)));
                    break;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxCalendarBase.prototype.selectDateFromClient = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            switch (this.selection) {
                case CalendarSelection.SINGLE:
                case CalendarSelection.MULTI:
                    this.selectDate(value);
                    break;
                case CalendarSelection.RANGE:
                    this.selectRange(value, true);
                    break;
            }
        };
        IgxCalendarBase.propDecorators = {
            weekStart: [{ type: core.Input }],
            locale: [{ type: core.Input }],
            formatOptions: [{ type: core.Input }],
            formatViews: [{ type: core.Input }],
            selection: [{ type: core.Input }],
            value: [{ type: core.Input }],
            viewDate: [{ type: core.Input }],
            disabledDates: [{ type: core.Input }],
            specialDates: [{ type: core.Input }],
            hideOutsideDays: [{ type: core.Input }],
            onSelection: [{ type: core.Output }]
        };
        return IgxCalendarBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var CalendarView = {
        DEFAULT: 0,
        YEAR: 1,
        DECADE: 2,
    };
    CalendarView[CalendarView.DEFAULT] = 'DEFAULT';
    CalendarView[CalendarView.YEAR] = 'YEAR';
    CalendarView[CalendarView.DECADE] = 'DECADE';
    var IgxMonthPickerBase = /** @class */ (function (_super) {
        __extends(IgxMonthPickerBase, _super);
        function IgxMonthPickerBase() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            /**
             * Holds month view index we are operating on.
             */
            _this.activeViewIdx = 0;
            /**
             * The default `tabindex` attribute for the component.
             *
             * @hidden
             */
            _this.tabindex = 0;
            /**
             * @hidden
             */
            _this._activeView = CalendarView.DEFAULT;
            return _this;
        }
        Object.defineProperty(IgxMonthPickerBase.prototype, "activeView", {
            /**
             * Gets the current active view.
             */
            get: /**
             * Gets the current active view.
             * @return {?}
             */
            function () {
                return this._activeView;
            },
            /**
             * Sets the current active view.
             */
            set: /**
             * Sets the current active view.
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._activeView = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMonthPickerBase.prototype, "isDefaultView", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._activeView === CalendarView.DEFAULT;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMonthPickerBase.prototype, "isDecadeView", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._activeView === CalendarView.DECADE;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerBase.prototype.changeYear = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            this.viewDate = this.calendarModel.getFirstViewDate(event, 'month', this.activeViewIdx);
            this.activeView = CalendarView.DEFAULT;
            requestAnimationFrame(function () {
                if (_this.yearsBtns && _this.yearsBtns.length) {
                    _this.yearsBtns.find(function (e, idx) { return idx === _this.activeViewIdx; }).nativeElement.focus();
                }
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?=} activeViewIdx
         * @return {?}
         */
        IgxMonthPickerBase.prototype.activeViewDecade = /**
         * @hidden
         * @param {?=} activeViewIdx
         * @return {?}
         */
        function (activeViewIdx) {
            if (activeViewIdx === void 0) { activeViewIdx = 0; }
            this._activeView = CalendarView.DECADE;
            this.activeViewIdx = activeViewIdx;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @param {?=} activeViewIdx
         * @return {?}
         */
        IgxMonthPickerBase.prototype.activeViewDecadeKB = /**
         * @hidden
         * @param {?} event
         * @param {?=} activeViewIdx
         * @return {?}
         */
        function (event, activeViewIdx) {
            if (activeViewIdx === void 0) { activeViewIdx = 0; }
            if (event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */ || event.key === "Enter" /* ENTER */) {
                event.preventDefault();
                this.activeViewDecade(activeViewIdx);
            }
        };
        /**
         * Returns the locale representation of the year in the year view if enabled,
         * otherwise returns the default `Date.getFullYear()` value.
         *
         * @hidden
         */
        /**
         * Returns the locale representation of the year in the year view if enabled,
         * otherwise returns the default `Date.getFullYear()` value.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMonthPickerBase.prototype.formattedYear = /**
         * Returns the locale representation of the year in the year view if enabled,
         * otherwise returns the default `Date.getFullYear()` value.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.formatViews.year) {
                return this.formatterYear.format(value);
            }
            return "" + value.getFullYear();
        };
        IgxMonthPickerBase.propDecorators = {
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            yearsBtns: [{ type: core.ViewChildren, args: ['yearsBtn',] }]
        };
        return IgxMonthPickerBase;
    }(IgxCalendarBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$c = 0;
    var IgxMonthsViewComponent = /** @class */ (function () {
        function IgxMonthsViewComponent(el) {
            this.el = el;
            /**
             * Sets/gets the `id` of the months view.
             * If not set, the `id` will have value `"igx-months-view-0"`.
             * ```html
             * <igx-months-view id="my-months-view"></igx-months-view>
             * ```
             * ```typescript
             * let monthsViewId =  this.monthsView.id;
             * ```
             * \@memberof IgxMonthsViewComponent
             */
            this.id = "igx-months-view-" + NEXT_ID$c++;
            /**
             * Gets/sets the selected date of the months view.
             * By default it is the current date.
             * ```html
             * <igx-months-view [date]="myDate"></igx-months-view>
             * ```
             * ```typescript
             * let date =  this.monthsView.date;
             * ```
             * \@memberof IgxMonthsViewComponent
             */
            this.date = new Date();
            /**
             * Gets/sets whether the view should be rendered
             * according to the locale and monthFormat, if any.
             */
            this.formatView = true;
            /**
             * Emits an event when a selection is made in the months view.
             * Provides reference the `date` property in the `IgxMonthsViewComponent`.
             * ```html
             * <igx-months-view (onSelection)="onSelection($event)"></igx-months-view>
             * ```
             * \@memberof IgxMonthsViewComponent
             */
            this.onSelection = new core.EventEmitter();
            /**
             * The default css class applied to the component.
             *
             * @hidden
             */
            this.styleClass = true;
            /**
             * The default `tabindex` attribute for the component.
             *
             * @hidden
             */
            this.tabindex = 0;
            /**
             * @hidden
             */
            this._locale = 'en';
            /**
             * @hidden
             */
            this._monthFormat = 'short';
            /**
             * @hidden
             */
            this._onTouchedCallback = function () { };
            /**
             * @hidden
             */
            this._onChangeCallback = function () { };
            this.initMonthFormatter();
            this._calendarModel = new Calendar();
        }
        Object.defineProperty(IgxMonthsViewComponent.prototype, "monthFormat", {
            /**
             * Gets the month format option of the months view.
             * ```typescript
             * let monthFormat = this.monthsView.monthFormat.
             * ```
             */
            get: /**
             * Gets the month format option of the months view.
             * ```typescript
             * let monthFormat = this.monthsView.monthFormat.
             * ```
             * @return {?}
             */
            function () {
                return this._monthFormat;
            },
            /**
             * Sets the month format option of the months view.
             * ```html
             * <igx-months-view> [monthFormat] = "short'"</igx-months-view>
             * ```
             * @memberof IgxMonthsViewComponent
             */
            set: /**
             * Sets the month format option of the months view.
             * ```html
             * <igx-months-view> [monthFormat] = "short'"</igx-months-view>
             * ```
             * \@memberof IgxMonthsViewComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._monthFormat = value;
                this.initMonthFormatter();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMonthsViewComponent.prototype, "locale", {
            /**
             * Gets the `locale` of the months view.
             * Default value is `"en"`.
             * ```typescript
             * let locale =  this.monthsView.locale;
             * ```
             * @memberof IgxMonthsViewComponent
             */
            get: /**
             * Gets the `locale` of the months view.
             * Default value is `"en"`.
             * ```typescript
             * let locale =  this.monthsView.locale;
             * ```
             * \@memberof IgxMonthsViewComponent
             * @return {?}
             */
            function () {
                return this._locale;
            },
            /**
             * Sets the `locale` of the months view.
             * Expects a valid BCP 47 language tag.
             * Default value is `"en"`.
             * ```html
             * <igx-months-view [locale]="de"></igx-months-view>
             * ```
             * @memberof IgxMonthsViewComponent
             */
            set: /**
             * Sets the `locale` of the months view.
             * Expects a valid BCP 47 language tag.
             * Default value is `"en"`.
             * ```html
             * <igx-months-view [locale]="de"></igx-months-view>
             * ```
             * \@memberof IgxMonthsViewComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._locale = value;
                this.initMonthFormatter();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMonthsViewComponent.prototype, "months", {
            /**
             * Returns an array of date objects which are then used to
             * properly render the month names.
             *
             * Used in the template of the component
             *
             * @hidden
             */
            get: /**
             * Returns an array of date objects which are then used to
             * properly render the month names.
             *
             * Used in the template of the component
             *
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var start = new Date(this.date.getFullYear(), 0, 1);
                /** @type {?} */
                var result = [];
                for (var i = 0; i < 12; i++) {
                    result.push(start);
                    start = this._calendarModel.timedelta(start, 'month', 1);
                }
                return result;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns the locale representation of the month in the months view.
         *
         * @hidden
         */
        /**
         * Returns the locale representation of the month in the months view.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.formattedMonth = /**
         * Returns the locale representation of the month in the months view.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.formatView) {
                return this._formatterMonth.format(value);
            }
            return "" + value.getMonth();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.selectMonth = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onSelection.emit(event);
            this.date = event;
            this._onChangeCallback(this.date);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onChangeCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onTouchedCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (value) {
                this.date = value;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.monthTracker = /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        function (index, item) {
            return item.getMonth() + "}";
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.initMonthFormatter = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            this._formatterMonth = new Intl.DateTimeFormat(this._locale, { month: this.monthFormat });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownArrowUp = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var node = this.monthsRef.find(function (date) { return date.nativeElement === event.target; });
            if (!node) {
                return;
            }
            /** @type {?} */
            var months = this.monthsRef.toArray();
            /** @type {?} */
            var nodeRect = node.nativeElement.getBoundingClientRect();
            for (var index = months.indexOf(node) - 1; index >= 0; index--) {
                /** @type {?} */
                var nextNodeRect = months[index].nativeElement.getBoundingClientRect();
                /** @type {?} */
                var tolerance = 6;
                if (nodeRect.top !== nextNodeRect.top && (nextNodeRect.left - nodeRect.left) < tolerance) {
                    months[index].nativeElement.focus();
                    break;
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownArrowDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var node = this.monthsRef.find(function (date) { return date.nativeElement === event.target; });
            if (!node) {
                return;
            }
            /** @type {?} */
            var months = this.monthsRef.toArray();
            /** @type {?} */
            var nodeRect = node.nativeElement.getBoundingClientRect();
            for (var index = months.indexOf(node) + 1; index < months.length; index++) {
                /** @type {?} */
                var nextNodeRect = months[index].nativeElement.getBoundingClientRect();
                /** @type {?} */
                var tolerance = 6;
                if (nextNodeRect.top !== nodeRect.top && (nodeRect.left - nextNodeRect.left) < tolerance) {
                    months[index].nativeElement.focus();
                    break;
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownArrowRight = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var node = this.monthsRef.find(function (date) { return date.nativeElement === event.target; });
            if (!node) {
                return;
            }
            /** @type {?} */
            var months = this.monthsRef.toArray();
            if (months.indexOf(node) + 1 < months.length) {
                /** @type {?} */
                var month = months[months.indexOf(node) + 1];
                month.nativeElement.focus();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownArrowLeft = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var node = this.monthsRef.find(function (date) { return date.nativeElement === event.target; });
            if (!node) {
                return;
            }
            /** @type {?} */
            var months = this.monthsRef.toArray();
            if (months.indexOf(node) - 1 >= 0) {
                /** @type {?} */
                var month = months[months.indexOf(node) - 1];
                month.nativeElement.focus();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownHome = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var month = this.monthsRef.toArray()[0];
            month.nativeElement.focus();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var months = this.monthsRef.toArray();
            /** @type {?} */
            var month = months[months.length - 1];
            month.nativeElement.focus();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthsViewComponent.prototype.onKeydownEnter = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var value = this.monthsRef.find(function (date) { return date.nativeElement === event.target; }).value;
            this.date = new Date(value.getFullYear(), value.getMonth(), this.date.getDate());
            this.onSelection.emit(this.date);
            this._onChangeCallback(this.date);
        };
        IgxMonthsViewComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxMonthsViewComponent, multi: true }],
                        selector: 'igx-months-view',
                        template: "<div class=\"igx-calendar__body\">\n    <div class=\"igx-calendar__body-row--wrap\">\n        <div [igxCalendarMonth]=\"month\" [date]=\"date\" (onMonthSelection)=\"selectMonth($event)\" [index]=\"i\" *ngFor=\"let month of months; index as i; trackBy: monthTracker\">\n            {{ formattedMonth(month) | titlecase }}\n        </div>\n    </div>\n</div>\n\n"
                    }] }
        ];
        /** @nocollapse */
        IgxMonthsViewComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxMonthsViewComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            date: [{ type: core.Input }],
            monthFormat: [{ type: core.Input }],
            locale: [{ type: core.Input }],
            formatView: [{ type: core.Input }],
            onSelection: [{ type: core.Output }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-calendar',] }],
            monthsRef: [{ type: core.ViewChildren, args: [IgxCalendarMonthDirective, { read: IgxCalendarMonthDirective },] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            onKeydownArrowUp: [{ type: core.HostListener, args: ['keydown.arrowup', ['$event'],] }],
            onKeydownArrowDown: [{ type: core.HostListener, args: ['keydown.arrowdown', ['$event'],] }],
            onKeydownArrowRight: [{ type: core.HostListener, args: ['keydown.arrowright', ['$event'],] }],
            onKeydownArrowLeft: [{ type: core.HostListener, args: ['keydown.arrowleft', ['$event'],] }],
            onKeydownHome: [{ type: core.HostListener, args: ['keydown.home', ['$event'],] }],
            onKeydownEnd: [{ type: core.HostListener, args: ['keydown.end', ['$event'],] }],
            onKeydownEnter: [{ type: core.HostListener, args: ['keydown.enter', ['$event'],] }]
        };
        return IgxMonthsViewComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$d = 0;
    var CalendarHammerConfig = /** @class */ (function (_super) {
        __extends(CalendarHammerConfig, _super);
        function CalendarHammerConfig() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.overrides = {
                pan: { direction: Hammer.DIRECTION_VERTICAL, threshold: 1 }
            };
            return _this;
        }
        CalendarHammerConfig.decorators = [
            { type: core.Injectable }
        ];
        return CalendarHammerConfig;
    }(platformBrowser.HammerGestureConfig));
    var IgxYearsViewComponent = /** @class */ (function () {
        function IgxYearsViewComponent(el) {
            this.el = el;
            /**
             * Sets/gets the `id` of the years view.
             * If not set, the `id` will have value `"igx-years-view-0"`.
             * ```html
             * <igx-years-view id = "my-years-view"></igx-years-view>
             * ```
             * ```typescript
             * let yearsViewId =  this.yearsView.id;
             * ```
             * \@memberof IgxCalendarComponent
             */
            this.id = "igx-years-view-" + NEXT_ID$d++;
            /**
             * Gets/sets the selected date of the years view.
             * By default it is the current date.
             * ```html
             * <igx-years-view [date]="myDate"></igx-years-view>
             * ```
             * ```typescript
             * let date =  this.yearsView.date;
             * ```
             * \@memberof IgxYearsViewComponent
             */
            this.date = new Date();
            /**
             * Emits an event when a selection is made in the years view.
             * Provides reference the `date` property in the `IgxYearsViewComponent`.
             * ```html
             * <igx-years-view (onSelection)="onSelection($event)"></igx-years-view>
             * ```
             * \@memberof IgxYearsViewComponent
             */
            this.onSelection = new core.EventEmitter();
            /**
             * The default css class applied to the component.
             *
             * @hidden
             */
            this.styleClass = true;
            /**
             * The default `tabindex` attribute for the component.
             *
             * @hidden
             */
            this.tabindex = 0;
            /**
             * @hidden
             */
            this._locale = 'en';
            /**
             * @hidden
             */
            this._yearFormat = 'numeric';
            /**
             * @hidden
             */
            this._onTouchedCallback = function () { };
            /**
             * @hidden
             */
            this._onChangeCallback = function () { };
            this.initYearFormatter();
            this._calendarModel = new Calendar();
        }
        Object.defineProperty(IgxYearsViewComponent.prototype, "yearFormat", {
            /**
             * Gets the year format option of the years view.
             * ```typescript
             * let yearFormat = this.yearsView.yearFormat.
             * ```
             */
            get: /**
             * Gets the year format option of the years view.
             * ```typescript
             * let yearFormat = this.yearsView.yearFormat.
             * ```
             * @return {?}
             */
            function () {
                return this._yearFormat;
            },
            /**
             * Sets the year format option of the years view.
             * ```html
             * <igx-years-view [yearFormat]="numeric"></igx-years-view>
             * ```
             * @memberof IgxYearsViewComponent
             */
            set: /**
             * Sets the year format option of the years view.
             * ```html
             * <igx-years-view [yearFormat]="numeric"></igx-years-view>
             * ```
             * \@memberof IgxYearsViewComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._yearFormat = value;
                this.initYearFormatter();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxYearsViewComponent.prototype, "locale", {
            /**
             * Gets the `locale` of the years view.
             * Default value is `"en"`.
             * ```typescript
             * let locale =  this.yearsView.locale;
             * ```
             * @memberof IgxYearsViewComponent
             */
            get: /**
             * Gets the `locale` of the years view.
             * Default value is `"en"`.
             * ```typescript
             * let locale =  this.yearsView.locale;
             * ```
             * \@memberof IgxYearsViewComponent
             * @return {?}
             */
            function () {
                return this._locale;
            },
            /**
             * Sets the `locale` of the years view.
             * Expects a valid BCP 47 language tag.
             * Default value is `"en"`.
             * ```html
             * <igx-years-view [locale]="de"></igx-years-view>
             * ```
             * @memberof IgxYearsViewComponent
             */
            set: /**
             * Sets the `locale` of the years view.
             * Expects a valid BCP 47 language tag.
             * Default value is `"en"`.
             * ```html
             * <igx-years-view [locale]="de"></igx-years-view>
             * ```
             * \@memberof IgxYearsViewComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._locale = value;
                this.initYearFormatter();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxYearsViewComponent.prototype, "decade", {
            /**
             * Returns an array of date objects which are then used to properly
             * render the years.
             *
             * Used in the template of the component.
             *
             * @hidden
             */
            get: /**
             * Returns an array of date objects which are then used to properly
             * render the years.
             *
             * Used in the template of the component.
             *
             * @hidden
             * @return {?}
             */
            function () {
                var e_1, _a;
                /** @type {?} */
                var result = [];
                /** @type {?} */
                var start = this.date.getFullYear() - 3;
                /** @type {?} */
                var end = this.date.getFullYear() + 4;
                try {
                    for (var _b = __values(range(start, end)), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var year = _c.value;
                        result.push(new Date(year, this.date.getMonth(), this.date.getDate()));
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                return result;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns the locale representation of the year in the years view.
         *
         * @hidden
         */
        /**
         * Returns the locale representation of the year in the years view.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxYearsViewComponent.prototype.formattedYear = /**
         * Returns the locale representation of the year in the years view.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.formatView) {
                return this._formatterYear.format(value);
            }
            return "" + value.getFullYear();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxYearsViewComponent.prototype.selectYear = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.date = event;
            this.onSelection.emit(this.date);
            this._onChangeCallback(this.date);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxYearsViewComponent.prototype.scroll = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            /** @type {?} */
            var delta = event.deltaY < 0 ? -1 : 1;
            this.generateYearRange(delta);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxYearsViewComponent.prototype.pan = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var delta = event.deltaY < 0 ? 1 : -1;
            this.generateYearRange(delta);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxYearsViewComponent.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onChangeCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxYearsViewComponent.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onTouchedCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        IgxYearsViewComponent.prototype.yearTracker = /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        function (index, item) {
            return item.getFullYear() + "}";
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxYearsViewComponent.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (value) {
                this.date = value;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxYearsViewComponent.prototype.onKeydownArrowDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.generateYearRange(1);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxYearsViewComponent.prototype.onKeydownArrowUp = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.generateYearRange(-1);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxYearsViewComponent.prototype.onKeydownEnter = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.onSelection.emit(this.date);
            this._onChangeCallback(this.date);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxYearsViewComponent.prototype.initYearFormatter = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            this._formatterYear = new Intl.DateTimeFormat(this._locale, { year: this.yearFormat });
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} delta
         * @return {?}
         */
        IgxYearsViewComponent.prototype.generateYearRange = /**
         * @hidden
         * @private
         * @param {?} delta
         * @return {?}
         */
        function (delta) {
            /** @type {?} */
            var currentYear = new Date().getFullYear();
            if ((delta > 0 && this.date.getFullYear() - currentYear >= 95) ||
                (delta < 0 && currentYear - this.date.getFullYear() >= 95)) {
                return;
            }
            this.date = this._calendarModel.timedelta(this.date, 'year', delta);
        };
        IgxYearsViewComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: IgxYearsViewComponent,
                                multi: true
                            },
                            {
                                provide: platformBrowser.HAMMER_GESTURE_CONFIG,
                                useClass: CalendarHammerConfig
                            }
                        ],
                        selector: 'igx-years-view',
                        template: "<div class=\"igx-calendar__body\">\n    <div class=\"igx-calendar__body-column\" (wheel)=\"scroll($event)\" (pan)=\"pan($event)\">\n        <span [igxCalendarYear]=\"year\" [date]=\"date\" (onYearSelection)=\"selectYear($event)\" *ngFor=\"let year of decade; trackBy: yearTracker\">\n            {{ formattedYear(year) }}\n        </span>\n    </div>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxYearsViewComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxYearsViewComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            date: [{ type: core.Input }],
            yearFormat: [{ type: core.Input }],
            locale: [{ type: core.Input }],
            formatView: [{ type: core.Input }],
            onSelection: [{ type: core.Output }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-calendar',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            onKeydownArrowDown: [{ type: core.HostListener, args: ['keydown.arrowdown', ['$event'],] }],
            onKeydownArrowUp: [{ type: core.HostListener, args: ['keydown.arrowup', ['$event'],] }],
            onKeydownEnter: [{ type: core.HostListener, args: ['keydown.enter',] }]
        };
        return IgxYearsViewComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxDayItemComponent = /** @class */ (function () {
        function IgxDayItemComponent(elementRef) {
            this.elementRef = elementRef;
            this.hideOutsideDays = false;
            this.isLastInRange = false;
            this.isFirstInRange = false;
            this.isWithinRange = false;
            this.onDateSelection = new core.EventEmitter();
            this._selected = false;
        }
        Object.defineProperty(IgxDayItemComponent.prototype, "selected", {
            /**
             * Returns boolean indicating if the day is selected
             *
             */
            get: /**
             * Returns boolean indicating if the day is selected
             *
             * @return {?}
             */
            function () {
                return this._selected;
            },
            /**
             * Selects the day
             */
            set: /**
             * Selects the day
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._selected = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isCurrentMonth", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.isCurrentMonth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isPreviousMonth", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.isPrevMonth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isNextMonth", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.isNextMonth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isSelectedCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (!this.isDisabled && this.selected);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isInactive", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.isNextMonth || this.date.isPrevMonth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isHidden", {
            get: /**
             * @return {?}
             */
            function () {
                return this.hideOutsideDays && this.isInactive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isToday", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var today = new Date(Date.now());
                /** @type {?} */
                var date = this.date.date;
                return (date.getFullYear() === today.getFullYear() &&
                    date.getMonth() === today.getMonth() &&
                    date.getDate() === today.getDate());
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isWeekend", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var day = this.date.date.getDay();
                return day === 0 || day === 6;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isDisabled", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.disabledDates === null) {
                    return false;
                }
                return isDateInRanges(this.date.date, this.disabledDates);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isOutOfRange", {
            get: /**
             * @return {?}
             */
            function () {
                if (!this.outOfRangeDates) {
                    return false;
                }
                return isDateInRanges(this.date.date, this.outOfRangeDates);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isFocusable", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isCurrentMonth && !this.isHidden && !this.isDisabled && !this.isOutOfRange;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isWithinRangeCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return !this.isSingleSelection && this.isWithinRange;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isSpecial", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.specialDates === null) {
                    return false;
                }
                return isDateInRanges(this.date.date, this.specialDates);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.date.isCurrentMonth && !(this.isWeekend && this.selected);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isDisabledCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isHidden || this.isDisabled || this.isOutOfRange;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "isSingleSelection", {
            get: /**
             * @return {?}
             */
            function () {
                return this.selection !== CalendarSelection.RANGE;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDayItemComponent.prototype, "tabindex", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isDisabled || this.isHidden ? -1 : 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxDayItemComponent.prototype.onSelect = /**
         * @return {?}
         */
        function () {
            this.onDateSelection.emit(this.date);
        };
        IgxDayItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-day-item',
                        template: "<span class=\"igx-calendar__date-content\">\n    <ng-content></ng-content>\n</span>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxDayItemComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxDayItemComponent.propDecorators = {
            date: [{ type: core.Input }],
            selection: [{ type: core.Input }],
            selected: [{ type: core.Input }],
            disabledDates: [{ type: core.Input }],
            outOfRangeDates: [{ type: core.Input }],
            specialDates: [{ type: core.Input }],
            hideOutsideDays: [{ type: core.Input }],
            isLastInRange: [{ type: core.Input }, { type: core.HostBinding, args: ['class.igx-calendar__date--last',] }],
            isFirstInRange: [{ type: core.Input }, { type: core.HostBinding, args: ['class.igx-calendar__date--first',] }],
            isWithinRange: [{ type: core.Input }],
            onDateSelection: [{ type: core.Output }],
            isSelectedCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__date--selected',] }],
            isInactive: [{ type: core.HostBinding, args: ['class.igx-calendar__date--inactive',] }],
            isHidden: [{ type: core.HostBinding, args: ['class.igx-calendar__date--hidden',] }],
            isToday: [{ type: core.HostBinding, args: ['class.igx-calendar__date--current',] }],
            isWeekend: [{ type: core.HostBinding, args: ['class.igx-calendar__date--weekend',] }],
            isWithinRangeCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__date--range',] }],
            isSpecial: [{ type: core.HostBinding, args: ['class.igx-calendar__date--special',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__date',] }],
            isDisabledCSS: [{ type: core.HostBinding, args: ['class.igx-calendar__date--disabled',] }],
            isSingleSelection: [{ type: core.HostBinding, args: ['class.igx-calendar__date--single',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            onSelect: [{ type: core.HostListener, args: ['click',] }, { type: core.HostListener, args: ['keydown.enter',] }]
        };
        return IgxDayItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var Direction = {
        Up: 'ArrowUp',
        Down: 'ArrowDown',
        Left: 'ArrowLeft',
        Right: 'ArrowRight',
    };
    /** @type {?} */
    var ARROW = 'Arrow';
    /**
     * @hidden
     */
    var IgxDaysViewNavigationService = /** @class */ (function () {
        function IgxDaysViewNavigationService() {
        }
        /**
         * Implements kb navigation in all MoveDirections. nextDate and nextMonthView naming convention is used for both previous/next
         * @hidden
         */
        /**
         * Implements kb navigation in all MoveDirections. nextDate and nextMonthView naming convention is used for both previous/next
         * @hidden
         * @param {?} target
         * @param {?} key
         * @param {?=} nextView
         * @return {?}
         */
        IgxDaysViewNavigationService.prototype.focusNextDate = /**
         * Implements kb navigation in all MoveDirections. nextDate and nextMonthView naming convention is used for both previous/next
         * @hidden
         * @param {?} target
         * @param {?} key
         * @param {?=} nextView
         * @return {?}
         */
        function (target, key, nextView) {
            if (nextView === void 0) { nextView = false; }
            if (target.childElementCount === 0) {
                target = target.parentElement;
            }
            if (key.indexOf('Arrow') === -1) {
                key = ARROW.concat(key);
            }
            /** @type {?} */
            var monthView = this.monthView;
            /** @type {?} */
            var node = monthView.dates.find(function (date) { return date.nativeElement === target; });
            /** @type {?} */
            var dates = monthView.dates.toArray();
            /** @type {?} */
            var day;
            /** @type {?} */
            var step;
            /** @type {?} */
            var i;
            /** @type {?} */
            var nextDate;
            /** @type {?} */
            var index = dates.indexOf(node);
            if (!node) {
                return;
            }
            // focus item in current month
            switch (key) {
                case Direction.Left: {
                    step = -1;
                    nextDate = this.timedelta(node.date.date, step);
                    for (i = index; i > 0; i--) {
                        day = nextView ? dates[i] : dates[i - 1];
                        nextDate = day.date.date;
                        if (day.date.isPrevMonth) {
                            break;
                        }
                        if (day && day.isFocusable) {
                            day.nativeElement.focus();
                            return;
                        }
                    }
                    break;
                }
                case Direction.Right: {
                    step = 1;
                    nextDate = this.timedelta(node.date.date, step);
                    for (i = index; i < dates.length - 1; i++) {
                        day = nextView ? dates[i] : dates[i + 1];
                        nextDate = day.date.date;
                        if (day.date.isNextMonth) {
                            break;
                        }
                        if (day && day.isFocusable) {
                            day.nativeElement.focus();
                            return;
                        }
                    }
                    break;
                }
                case Direction.Up: {
                    step = -7;
                    nextDate = this.timedelta(node.date.date, step);
                    for (i = index; i - 7 > -1; i -= 7) {
                        day = nextView ? dates[i] : dates[i - 7];
                        nextDate = day.date.date;
                        if (day.date.isPrevMonth) {
                            break;
                        }
                        if (day && day.isFocusable) {
                            day.nativeElement.focus();
                            return;
                        }
                    }
                    break;
                }
                case Direction.Down: {
                    step = 7;
                    nextDate = this.timedelta(node.date.date, step);
                    for (i = index; i + 7 < 42; i += 7) {
                        day = nextView ? dates[i] : dates[i + 7];
                        nextDate = day.date.date;
                        if (day.date.isNextMonth) {
                            break;
                        }
                        if (day && day.isFocusable) {
                            day.nativeElement.focus();
                            return;
                        }
                    }
                    break;
                }
            }
            // focus item in prev/next visible month
            /** @type {?} */
            var nextMonthView = step > 0 ? monthView.nextMonthView : monthView.prevMonthView;
            if (nextMonthView) {
                dates = nextMonthView.dates.toArray();
                day = dates.find(function (item) { return item.date.date.getTime() === nextDate.getTime(); });
                if (day && day.isFocusable) {
                    day.nativeElement.focus();
                    return;
                }
                nextMonthView.daysNavService.focusNextDate(day.nativeElement, key);
            }
            // if iterating in the visible prev/next moths above found a day that is not focusable, ie is disabled, hidden, etc
            // then it is needed to recalculate the next day, which is going to be part of the prev/next months
            if (day && !day.isFocusable) {
                day = dates[i + step];
                if (!day) {
                    nextDate = this.timedelta(node.date.date, step + i - index);
                }
            }
            // focus item in prev/next month, which is currently out of view
            /** @type {?} */
            var dayIsNextMonth;
            if (day) {
                dayIsNextMonth = step > 0 ? day.date.isNextMonth : day.date.isPrevMonth;
            }
            if (monthView.changeDaysView && !nextMonthView && ((day && dayIsNextMonth) || !day)) {
                /** @type {?} */
                var monthAction = step > 0 ? ScrollMonth.NEXT : ScrollMonth.PREV;
                monthView.onViewChanging.emit({ monthAction: monthAction, key: key, nextDate: nextDate });
            }
        };
        /**
         * Focuses first focusable day in the month. Will go to next visible month, if no day in the first month is focusable
         * @hidden
         */
        /**
         * Focuses first focusable day in the month. Will go to next visible month, if no day in the first month is focusable
         * @hidden
         * @return {?}
         */
        IgxDaysViewNavigationService.prototype.focusHomeDate = /**
         * Focuses first focusable day in the month. Will go to next visible month, if no day in the first month is focusable
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var monthView = this.monthView;
            while (!this.focusFirstDay(monthView) && monthView.nextMonthView) {
                monthView = monthView.nextMonthView;
            }
        };
        /**
         * Focuses last focusable day in the month. Will go to previous visible month, if no day in the first month is focusable
         * @hidden
         */
        /**
         * Focuses last focusable day in the month. Will go to previous visible month, if no day in the first month is focusable
         * @hidden
         * @return {?}
         */
        IgxDaysViewNavigationService.prototype.focusEndDate = /**
         * Focuses last focusable day in the month. Will go to previous visible month, if no day in the first month is focusable
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var monthView = this.monthView;
            while (!this.focusLastDay(monthView) && monthView.prevMonthView) {
                monthView = monthView.prevMonthView;
            }
        };
        /**
         * @private
         * @param {?} date
         * @param {?} units
         * @return {?}
         */
        IgxDaysViewNavigationService.prototype.timedelta = /**
         * @private
         * @param {?} date
         * @param {?} units
         * @return {?}
         */
        function (date, units) {
            /** @type {?} */
            var ret = new Date(date);
            ret.setDate(ret.getDate() + units);
            return ret;
        };
        /**
         * @private
         * @param {?} monthView
         * @return {?}
         */
        IgxDaysViewNavigationService.prototype.focusFirstDay = /**
         * @private
         * @param {?} monthView
         * @return {?}
         */
        function (monthView) {
            /** @type {?} */
            var dates = monthView.dates.filter(function (d) { return d.isCurrentMonth; });
            for (var i = 0; i < dates.length; i++) {
                if (dates[i].isFocusable) {
                    dates[i].nativeElement.focus();
                    return true;
                }
            }
            return false;
        };
        /**
         * @private
         * @param {?} monthView
         * @return {?}
         */
        IgxDaysViewNavigationService.prototype.focusLastDay = /**
         * @private
         * @param {?} monthView
         * @return {?}
         */
        function (monthView) {
            /** @type {?} */
            var dates = monthView.dates.filter(function (d) { return d.isCurrentMonth; });
            for (var i = dates.length - 1; i >= 0; i--) {
                if (dates[i].isFocusable) {
                    dates[i].nativeElement.focus();
                    return true;
                }
            }
            return false;
        };
        IgxDaysViewNavigationService.decorators = [
            { type: core.Injectable }
        ];
        return IgxDaysViewNavigationService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$e = 0;
    var IgxDaysViewComponent = /** @class */ (function (_super) {
        __extends(IgxDaysViewComponent, _super);
        /**
         * @hidden
         */
        function IgxDaysViewComponent(daysNavService) {
            var _this = _super.call(this) || this;
            _this.daysNavService = daysNavService;
            /**
             * Sets/gets the `id` of the days view.
             * If not set, the `id` will have value `"igx-days-view-0"`.
             * ```html
             * <igx-days-view id="my-days-view"></igx-days-view>
             * ```
             * ```typescript
             * let daysViewId =  this.daysView.id;
             * ```
             */
            _this.id = "igx-days-view-" + NEXT_ID$e++;
            /**
             * @hidden
             */
            _this.changeDaysView = false;
            /**
             * @hidden
             */
            _this.onDateSelection = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.onViewChanging = new core.EventEmitter();
            /**
             * The default css class applied to the component.
             *
             * @hidden
             */
            _this.styleClass = true;
            return _this;
        }
        Object.defineProperty(IgxDaysViewComponent.prototype, "getCalendarMonth", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.calendarModel.monthdatescalendar(this.viewDate.getFullYear(), this.viewDate.getMonth(), true);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDaysViewComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.daysNavService.monthView = this;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDaysViewComponent.prototype.ngDoCheck = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (!this.changeDaysView && this.dates) {
                this.disableOutOfRangeDates();
            }
        };
        /**
         * Returns the locale representation of the date in the days view.
         *
         * @hidden
         */
        /**
         * Returns the locale representation of the date in the days view.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxDaysViewComponent.prototype.formattedDate = /**
         * Returns the locale representation of the date in the days view.
         *
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.formatViews.day) {
                return this.formatterDay.format(value);
            }
            return "" + value.getDate();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDaysViewComponent.prototype.generateWeekHeader = /**
         * @hidden
         * @return {?}
         */
        function () {
            var e_1, _a;
            /** @type {?} */
            var dayNames = [];
            /** @type {?} */
            var rv = this.calendarModel.monthdatescalendar(this.viewDate.getFullYear(), this.viewDate.getMonth())[0];
            try {
                for (var rv_1 = __values(rv), rv_1_1 = rv_1.next(); !rv_1_1.done; rv_1_1 = rv_1.next()) {
                    var day = rv_1_1.value;
                    dayNames.push(this.formatterWeekday.format(day.date));
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (rv_1_1 && !rv_1_1.done && (_a = rv_1.return)) _a.call(rv_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return dayNames;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        IgxDaysViewComponent.prototype.rowTracker = /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        function (index, item) {
            return "" + item[index].date.getMonth() + item[index].date.getDate();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        IgxDaysViewComponent.prototype.dateTracker = /**
         * @hidden
         * @param {?} index
         * @param {?} item
         * @return {?}
         */
        function (index, item) {
            return item.date.getMonth() + "--" + item.date.getDate();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxDaysViewComponent.prototype.isCurrentMonth = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.viewDate.getMonth() === value.getMonth();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxDaysViewComponent.prototype.isCurrentYear = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.viewDate.getFullYear() === value.getFullYear();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} date
         * @return {?}
         */
        IgxDaysViewComponent.prototype.isSelected = /**
         * @hidden
         * @param {?} date
         * @return {?}
         */
        function (date) {
            /** @type {?} */
            var selectedDates;
            if (this.isDateDisabled(date.date) || !this.value ||
                (Array.isArray(this.value) && this.value.length === 0)) {
                return false;
            }
            if (this.selection === CalendarSelection.SINGLE) {
                selectedDates = ((/** @type {?} */ (this.value)));
                return this.getDateOnly(selectedDates).getTime() === date.date.getTime();
            }
            selectedDates = ((/** @type {?} */ (this.value)));
            if (this.selection === CalendarSelection.RANGE && selectedDates.length === 1) {
                return this.getDateOnly(selectedDates[0]).getTime() === date.date.getTime();
            }
            if (this.selection === CalendarSelection.MULTI) {
                /** @type {?} */
                var start = this.getDateOnly(selectedDates[0]);
                /** @type {?} */
                var end = this.getDateOnly(selectedDates[selectedDates.length - 1]);
                if (this.isWithinRange(date.date, false, start, end)) {
                    /** @type {?} */
                    var currentDate = selectedDates.find(function (element) { return element.getTime() === date.date.getTime(); });
                    return !!currentDate;
                }
                else {
                    return false;
                }
            }
            else {
                return this.isWithinRange(date.date, true);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} date
         * @return {?}
         */
        IgxDaysViewComponent.prototype.isLastInRange = /**
         * @hidden
         * @param {?} date
         * @return {?}
         */
        function (date) {
            if (this.isSingleSelection || !this.value) {
                return false;
            }
            /** @type {?} */
            var dates = (/** @type {?} */ (this.value));
            /** @type {?} */
            var lastDate = dates[dates.length - 1];
            return isEqual(lastDate, date.date);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} date
         * @return {?}
         */
        IgxDaysViewComponent.prototype.isFirstInRange = /**
         * @hidden
         * @param {?} date
         * @return {?}
         */
        function (date) {
            if (this.isSingleSelection || !this.value) {
                return false;
            }
            return isEqual(((/** @type {?} */ (this.value)))[0], date.date);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} date
         * @param {?} checkForRange
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
        IgxDaysViewComponent.prototype.isWithinRange = /**
         * @hidden
         * @param {?} date
         * @param {?} checkForRange
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
        function (date, checkForRange, min, max) {
            if (checkForRange && !(Array.isArray(this.value) && this.value.length > 1)) {
                return false;
            }
            min = min ? min : this.value[0];
            max = max ? max : this.value[((/** @type {?} */ (this.value))).length - 1];
            return isDateInRanges(date, [
                {
                    type: DateRangeType.Between,
                    dateRange: [min, max]
                }
            ]);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDaysViewComponent.prototype.focusActiveDate = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var date = this.dates.find(function (d) { return d.selected; });
            if (!date) {
                date = this.dates.find(function (d) { return d.isToday; });
            }
            if (date.isFocusable) {
                date.nativeElement.focus();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDaysViewComponent.prototype.selectDay = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.selectDateFromClient(event.date);
            this.onDateSelection.emit(event);
            this.onSelection.emit(this.selectedDates);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxDaysViewComponent.prototype.disableOutOfRangeDates = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var dateRange = [];
            this.dates.toArray().forEach(function (date) {
                if (!date.isCurrentMonth) {
                    dateRange.push(date.date.date);
                }
            });
            this.outOfRangeDates = [{
                    type: DateRangeType.Specific,
                    dateRange: dateRange
                }];
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDaysViewComponent.prototype.getFirstMonthView = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var monthView = (/** @type {?} */ (this));
            while (monthView.prevMonthView) {
                monthView = monthView.prevMonthView;
            }
            return monthView;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxDaysViewComponent.prototype.getLastMonthView = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var monthView = (/** @type {?} */ (this));
            while (monthView.nextMonthView) {
                monthView = monthView.nextMonthView;
            }
            return monthView;
        };
        Object.defineProperty(IgxDaysViewComponent.prototype, "isSingleSelection", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @private
             * @return {?}
             */
            function () {
                return this.selection !== CalendarSelection.RANGE;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDaysViewComponent.prototype.onKeydownArrow = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.daysNavService.focusNextDate((/** @type {?} */ (event.target)), event.key);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDaysViewComponent.prototype.onKeydownHome = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.getFirstMonthView().daysNavService.focusHomeDate();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDaysViewComponent.prototype.onKeydownEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.getLastMonthView().daysNavService.focusEndDate();
        };
        IgxDaysViewComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [
                            {
                                multi: true,
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: IgxDaysViewComponent
                            },
                            { provide: IgxDaysViewNavigationService, useClass: IgxDaysViewNavigationService }
                        ],
                        selector: 'igx-days-view',
                        template: "<div class=\"igx-calendar__body-row\">\n    <span *ngFor=\"let dayName of generateWeekHeader()\" class=\"igx-calendar__label\">\n        {{ dayName | titlecase }}\n    </span>\n</div>\n\n<div *ngFor=\"let week of getCalendarMonth; last as isLast; index as i; trackBy: rowTracker\"\n    class=\"igx-calendar__body-row\">\n    <igx-day-item\n        *ngFor=\"let day of week; trackBy: dateTracker\"\n        [date]=\"day\"\n        [selection]=\"selection\"\n        [selected]=\"isSelected(day)\"\n        [isLastInRange]=\"isLastInRange(day)\"\n        [isFirstInRange]=\"isFirstInRange(day)\"\n        [isWithinRange]=\"isWithinRange(day.date, true)\"\n        [disabledDates]=\"disabledDates\"\n        [specialDates]=\"specialDates\"\n        [outOfRangeDates]=\"outOfRangeDates\"\n        [hideOutsideDays]=\"hideOutsideDays\"\n        (onDateSelection)=\"selectDay($event)\">\n        {{ formattedDate(day.date) }}\n    </igx-day-item>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxDaysViewComponent.ctorParameters = function () { return [
            { type: IgxDaysViewNavigationService }
        ]; };
        IgxDaysViewComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            changeDaysView: [{ type: core.Input }],
            onDateSelection: [{ type: core.Output }],
            onViewChanging: [{ type: core.Output }],
            dates: [{ type: core.ViewChildren, args: [IgxDayItemComponent, { read: IgxDayItemComponent },] }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-calendar',] }],
            onKeydownArrow: [{ type: core.HostListener, args: ['keydown.arrowleft', ['$event'],] }, { type: core.HostListener, args: ['keydown.arrowright', ['$event'],] }, { type: core.HostListener, args: ['keydown.arrowup', ['$event'],] }, { type: core.HostListener, args: ['keydown.arrowdown', ['$event'],] }],
            onKeydownHome: [{ type: core.HostListener, args: ['keydown.home', ['$event'],] }],
            onKeydownEnd: [{ type: core.HostListener, args: ['keydown.end', ['$event'],] }]
        };
        return IgxDaysViewComponent;
    }(IgxCalendarBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$f = 0;
    /**
     * Calendar provides a way to display date information.
     *
     * \@igxModule IgxCalendarModule
     *
     * \@igxTheme igx-calendar-theme, igx-icon-theme
     *
     * \@igxKeywords calendar, datepicker, schedule, date
     *
     * \@igxGroup Scheduling
     *
     * \@remarks
     * The Ignite UI Calendar provides an easy way to display a calendar and allow users to select dates using single, multiple
     * or range selection.
     *
     * \@example:
     * ```html
     * <igx-calendar selection="range"></igx-calendar>
     * ```
     */
    var IgxCalendarComponent = /** @class */ (function (_super) {
        __extends(IgxCalendarComponent, _super);
        function IgxCalendarComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            /**
             * Sets/gets the `id` of the calendar.
             *
             * \@remarks
             * If not set, the `id` will have value `"igx-calendar-0"`.
             *
             * \@example
             * ```html
             * <igx-calendar id="my-first-calendar"></igx-calendar>
             * ```
             * \@memberof IgxCalendarComponent
             */
            _this.id = "igx-calendar-" + NEXT_ID$f++;
            /**
             * Sets/gets whether the calendar has header.
             * Default value is `true`.
             *
             * \@example
             * ```html
             * <igx-calendar [hasHeader]="false"></igx-calendar>
             * ```
             */
            _this.hasHeader = true;
            /**
             * Sets/gets whether the calendar header will be in vertical position.
             * Default value is `false`.
             *
             * \@example
             * ```html
             * <igx-calendar [vertical] = "true"></igx-calendar>
             * ```
             */
            _this.vertical = false;
            /**
             * Apply the different states for the transitions of animateChange
             * @hidden
             * \@internal
             */
            _this.animationAction = '';
            /**
             * Denote if the calendar view was changed with the keyboard
             *
             * @hidden
             * \@internal
             */
            _this.isKeydownTrigger = false;
            /**
             * The default `tabindex` attribute for the component.
             *
             * @hidden
             * \@internal
             */
            _this.tabindex = 0;
            /**
             * The default aria role attribute for the component.
             *
             * @hidden
             * \@internal
             */
            _this.role = 'grid';
            /**
             * The default aria lebelled by attribute for the component.
             *
             * @hidden
             * \@internal
             */
            _this.ariaLabelledBy = 'calendar';
            /**
             * The default css class applied to the component.
             *
             * @hidden
             * \@internal
             */
            _this.styleClass = true;
            /**
             * @hidden
             * \@internal
             */
            _this._monthsViewNumber = 1;
            /**
             * Continious navigation through the previous months
             * @hidden
             * \@internal
             */
            _this.startPrevMonthScroll = function (isKeydownTrigger) {
                if (isKeydownTrigger === void 0) { isKeydownTrigger = false; }
                _this.startMonthScroll$.next();
                _this.monthScrollDirection = ScrollMonth.PREV;
                _this.previousMonth(isKeydownTrigger);
            };
            /**
             * Continious navigation through the next months
             * @hidden
             * \@internal
             */
            _this.startNextMonthScroll = function (isKeydownTrigger) {
                if (isKeydownTrigger === void 0) { isKeydownTrigger = false; }
                _this.startMonthScroll$.next();
                _this.monthScrollDirection = ScrollMonth.NEXT;
                _this.nextMonth(isKeydownTrigger);
            };
            /**
             * Stop continuous navigation
             * @hidden
             * \@internal
             */
            _this.stopMonthScroll = function (event) {
                event.stopPropagation();
                // generally the scrolling is built on the calendar component
                // and all start/stop scrolling methods are called on the calendar
                // if we change below lines to call stopMonthScroll$ on the calendar instead of on the views,
                // strange bug is introduced --> after changing number of months, continuous scrolling on mouse click does not happen
                _this.daysView.stopMonthScroll$.next(true);
                _this.daysView.stopMonthScroll$.complete();
                if (_this.monthScrollDirection === ScrollMonth.PREV) {
                    _this.prevMonthBtn.nativeElement.focus();
                }
                else if (_this.monthScrollDirection === ScrollMonth.NEXT) {
                    _this.nextMonthBtn.nativeElement.focus();
                }
                _this.monthScrollDirection = ScrollMonth.NONE;
            };
            return _this;
        }
        Object.defineProperty(IgxCalendarComponent.prototype, "monthsViewNumber", {
            /**
             * Sets/gets the number of month views displayed.
             * Default value is `1`.
             *
             * @example
             * ```html
             * <igx-calendar [monthsViewNumber]="2"></igx-calendar>
             * ```
             */
            get: /**
             * Sets/gets the number of month views displayed.
             * Default value is `1`.
             *
             * \@example
             * ```html
             * <igx-calendar [monthsViewNumber]="2"></igx-calendar>
             * ```
             * @return {?}
             */
            function () {
                return this._monthsViewNumber;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val < 1) {
                    return;
                }
                this._monthsViewNumber = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "styleVerticalClass", {
            /**
             * The default css class applied to the component.
             *
             * @hidden
             * @internal
             */
            get: /**
             * The default css class applied to the component.
             *
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.vertical;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "isYearView", {
            /**
             * Denote if the year view is active.
             * @hidden
             * @internal
             */
            get: /**
             * Denote if the year view is active.
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.activeView === CalendarView.YEAR;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "headerTemplate", {
            /**
             * Gets the header template.
             *
             * @example
             * ```typescript
             * let headerTemplate =  this.calendar.headerTeamplate;
             * ```
             * @memberof IgxCalendarComponent
             */
            get: /**
             * Gets the header template.
             *
             * \@example
             * ```typescript
             * let headerTemplate =  this.calendar.headerTeamplate;
             * ```
             * \@memberof IgxCalendarComponent
             * @return {?}
             */
            function () {
                if (this.headerTemplateDirective) {
                    return this.headerTemplateDirective.template;
                }
                return null;
            },
            /**
             * Sets the header template.
             *
             *  @example
             * ```html
             * <igx-calendar headerTemplateDirective = "igxCalendarHeader"></igx-calendar>
             * ```
             * @memberof IgxCalendarComponent
             */
            set: /**
             * Sets the header template.
             *
             * \@example
             * ```html
             * <igx-calendar headerTemplateDirective = "igxCalendarHeader"></igx-calendar>
             * ```
             * \@memberof IgxCalendarComponent
             * @param {?} directive
             * @return {?}
             */
            function (directive) {
                this.headerTemplateDirective = directive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "subheaderTemplate", {
            /**
             * Gets the subheader template.
             *
             * @example
             * ```typescript
             * let subheaderTemplate = this.calendar.subheaderTemplate;
             * ```
             */
            get: /**
             * Gets the subheader template.
             *
             * \@example
             * ```typescript
             * let subheaderTemplate = this.calendar.subheaderTemplate;
             * ```
             * @return {?}
             */
            function () {
                if (this.subheaderTemplateDirective) {
                    return this.subheaderTemplateDirective.template;
                }
                return null;
            },
            /**
             * Sets the subheader template.
             *
             * @example
             * ```html
             * <igx-calendar subheaderTemplate = "igxCalendarSubheader"></igx-calendar>
             * ```
             * @memberof IgxCalendarComponent
             */
            set: /**
             * Sets the subheader template.
             *
             * \@example
             * ```html
             * <igx-calendar subheaderTemplate = "igxCalendarSubheader"></igx-calendar>
             * ```
             * \@memberof IgxCalendarComponent
             * @param {?} directive
             * @return {?}
             */
            function (directive) {
                this.subheaderTemplateDirective = directive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "headerContext", {
            /**
             * Gets the context for the template marked with the `igxCalendarHeader` directive.
             *
             * @example
             * ```typescript
             * let headerContext =  this.calendar.headerContext;
             * ```
             */
            get: /**
             * Gets the context for the template marked with the `igxCalendarHeader` directive.
             *
             * \@example
             * ```typescript
             * let headerContext =  this.calendar.headerContext;
             * ```
             * @return {?}
             */
            function () {
                /** @type {?} */
                var date = this.headerDate;
                return this.generateContext(date);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "context", {
            /**
             * Gets the context for the template marked with either `igxCalendarSubHeaderMonth`
             * or `igxCalendarSubHeaderYear` directive.
             *
             * @example
             * ```typescript
             * let context =  this.calendar.context;
             * ```
             */
            get: /**
             * Gets the context for the template marked with either `igxCalendarSubHeaderMonth`
             * or `igxCalendarSubHeaderYear` directive.
             *
             * \@example
             * ```typescript
             * let context =  this.calendar.context;
             * ```
             * @return {?}
             */
            function () {
                /** @type {?} */
                var date = this.viewDate;
                return this.generateContext(date);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarComponent.prototype, "headerDate", {
            /**
             * Date displayed in header
             *
             * @hidden
             * @internal
             */
            get: /**
             * Date displayed in header
             *
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.selectedDates ? this.selectedDates : new Date();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxCalendarComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.setSiblingMonths(this.monthViews);
            this._monthViewsChanges$ = this.monthViews.changes.subscribe(function (c) {
                _this.setSiblingMonths(c);
            });
            this.startMonthScroll$.pipe(operators.takeUntil(this.stopMonthScroll$), operators.switchMap(function () { return _this.scrollMonth$.pipe(operators.skipLast(1), operators.debounce(function () { return rxjs.interval(300); }), operators.takeUntil(_this.stopMonthScroll$)); })).subscribe(function () {
                switch (_this.monthScrollDirection) {
                    case ScrollMonth.PREV:
                        _this.previousMonth();
                        break;
                    case ScrollMonth.NEXT:
                        _this.nextMonth();
                        break;
                    case ScrollMonth.NONE:
                    default:
                        break;
                }
            });
        };
        /**
         * Returns the locale representation of the month in the month view if enabled,
         * otherwise returns the default `Date.getMonth()` value.
         *
         * @hidden
         * @internal
         */
        /**
         * Returns the locale representation of the month in the month view if enabled,
         * otherwise returns the default `Date.getMonth()` value.
         *
         * @hidden
         * \@internal
         * @param {?} value
         * @return {?}
         */
        IgxCalendarComponent.prototype.formattedMonth = /**
         * Returns the locale representation of the month in the month view if enabled,
         * otherwise returns the default `Date.getMonth()` value.
         *
         * @hidden
         * \@internal
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.formatViews.month) {
                return this.formatterMonth.format(value);
            }
            return "" + value.getMonth();
        };
        /**
         * Change to previous month
         *
         * @hidden
         * @internal
         */
        /**
         * Change to previous month
         *
         * @hidden
         * \@internal
         * @param {?=} isKeydownTrigger
         * @return {?}
         */
        IgxCalendarComponent.prototype.previousMonth = /**
         * Change to previous month
         *
         * @hidden
         * \@internal
         * @param {?=} isKeydownTrigger
         * @return {?}
         */
        function (isKeydownTrigger) {
            if (isKeydownTrigger === void 0) { isKeydownTrigger = false; }
            this.viewDate = this.calendarModel.getPrevMonth(this.viewDate);
            this.animationAction = ScrollMonth.PREV;
            this.isKeydownTrigger = isKeydownTrigger;
        };
        /**
         * Change to next month
         *
         * @hidden
         * @internal
         */
        /**
         * Change to next month
         *
         * @hidden
         * \@internal
         * @param {?=} isKeydownTrigger
         * @return {?}
         */
        IgxCalendarComponent.prototype.nextMonth = /**
         * Change to next month
         *
         * @hidden
         * \@internal
         * @param {?=} isKeydownTrigger
         * @return {?}
         */
        function (isKeydownTrigger) {
            if (isKeydownTrigger === void 0) { isKeydownTrigger = false; }
            this.viewDate = this.calendarModel.getNextMonth(this.viewDate);
            this.animationAction = ScrollMonth.NEXT;
            this.isKeydownTrigger = isKeydownTrigger;
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} args
         * @param {?} activeViewIdx
         * @return {?}
         */
        IgxCalendarComponent.prototype.onActiveViewDecade = /**
         * @hidden
         * \@internal
         * @param {?} args
         * @param {?} activeViewIdx
         * @return {?}
         */
        function (args, activeViewIdx) {
            var _this = this;
            _super.prototype.activeViewDecade.call(this, activeViewIdx);
            requestAnimationFrame(function () {
                if (_this.dacadeView) {
                    _this.dacadeView.date = args;
                    _this.dacadeView.el.nativeElement.focus();
                }
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @param {?} args
         * @param {?} activeViewIdx
         * @return {?}
         */
        IgxCalendarComponent.prototype.onActiveViewDecadeKB = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @param {?} args
         * @param {?} activeViewIdx
         * @return {?}
         */
        function (event, args, activeViewIdx) {
            var _this = this;
            _super.prototype.activeViewDecadeKB.call(this, event, activeViewIdx);
            requestAnimationFrame(function () {
                if (_this.dacadeView) {
                    _this.dacadeView.date = args;
                    _this.dacadeView.el.nativeElement.focus();
                }
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxCalendarComponent.prototype.getFormattedDate = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            /** @type {?} */
            var date = this.headerDate;
            return {
                monthday: this.formatterMonthday.format(date),
                weekday: this.formatterWeekday.format(date),
            };
        };
        /**
         * Handles invoked on date selection
         * @hidden
         * @internal
         */
        /**
         * Handles invoked on date selection
         * @hidden
         * \@internal
         * @param {?} instance
         * @return {?}
         */
        IgxCalendarComponent.prototype.childClicked = /**
         * Handles invoked on date selection
         * @hidden
         * \@internal
         * @param {?} instance
         * @return {?}
         */
        function (instance) {
            if (instance.isPrevMonth) {
                this.previousMonth();
            }
            if (instance.isNextMonth) {
                this.nextMonth();
            }
            this.selectDateFromClient(instance.date);
            if (this.selection === 'multi') {
                this.deselectDateInMonthViews(instance.date);
            }
            this.onSelection.emit(this.selectedDates);
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} args
         * @return {?}
         */
        IgxCalendarComponent.prototype.viewChanging = /**
         * @hidden
         * \@internal
         * @param {?} args
         * @return {?}
         */
        function (args) {
            var _this = this;
            this.animationAction = args.monthAction;
            this.isKeydownTrigger = true;
            this.nextDate = args.nextDate;
            this.callback = function (next) {
                /** @type {?} */
                var day = _this.daysView.dates.find(function (item) { return item.date.date.getTime() === next.getTime(); });
                if (day) {
                    _this.daysView.daysNavService.focusNextDate(day.nativeElement, args.key, true);
                }
            };
            this.viewDate = this.nextDate;
        };
        /**
         * @hidden
         * @intenal
         */
        /**
         * @hidden
         * \@intenal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.changeMonth = /**
         * @hidden
         * \@intenal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            this.viewDate = this.calendarModel.getFirstViewDate(event, 'month', this.activeViewIdx);
            this.activeView = CalendarView.DEFAULT;
            requestAnimationFrame(function () {
                /** @type {?} */
                var elem = _this.monthsBtns.find(function (e, idx) { return idx === _this.activeViewIdx; });
                if (elem) {
                    elem.nativeElement.focus();
                }
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} args
         * @param {?} activeViewIdx
         * @param {?=} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.onActiveViewYear = /**
         * @hidden
         * \@internal
         * @param {?} args
         * @param {?} activeViewIdx
         * @param {?=} event
         * @return {?}
         */
        function (args, activeViewIdx, event) {
            var _this = this;
            this.activeView = CalendarView.YEAR;
            this.activeViewIdx = activeViewIdx;
            requestAnimationFrame(function () {
                _this.monthsView.date = args;
                _this.focusMonth(event.target);
            });
        };
        /**
         * @private
         * @param {?} target
         * @return {?}
         */
        IgxCalendarComponent.prototype.focusMonth = /**
         * @private
         * @param {?} target
         * @return {?}
         */
        function (target) {
            /** @type {?} */
            var month = this.monthsView.monthsRef.find(function (e) {
                return e.index === parseInt(target.parentElement.attributes['data-month'].value, 10);
            });
            if (month) {
                month.nativeElement.focus();
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} args
         * @param {?} event
         * @param {?} activeViewIdx
         * @return {?}
         */
        IgxCalendarComponent.prototype.onActiveViewYearKB = /**
         * @hidden
         * \@internal
         * @param {?} args
         * @param {?} event
         * @param {?} activeViewIdx
         * @return {?}
         */
        function (args, event, activeViewIdx) {
            if (event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */ || event.key === "Enter" /* ENTER */) {
                event.preventDefault();
                this.onActiveViewYear(args, activeViewIdx, event);
            }
        };
        /**
         * Deselects date(s) (based on the selection type).
         *
         * @example
         *```typescript
         * this.calendar.deselectDate(new Date(`2018-06-12`));
         *````
         */
        /**
         * Deselects date(s) (based on the selection type).
         *
         * \@example
         * ```typescript
         * this.calendar.deselectDate(new Date(`2018-06-12`));
         * ````
         * @param {?=} value
         * @return {?}
         */
        IgxCalendarComponent.prototype.deselectDate = /**
         * Deselects date(s) (based on the selection type).
         *
         * \@example
         * ```typescript
         * this.calendar.deselectDate(new Date(`2018-06-12`));
         * ````
         * @param {?=} value
         * @return {?}
         */
        function (value) {
            var _this = this;
            _super.prototype.deselectDate.call(this, value);
            this.monthViews.forEach(function (view) {
                view.selectedDates = _this.selectedDates;
                view.rangeStarted = false;
            });
            this._onChangeCallback(this.selectedDates);
        };
        /**
         * Helper method that does deselection for all month views when selection is "multi"
         * If not called, selection in other month views stays
         * @hidden
         * @internal
         */
        /**
         * Helper method that does deselection for all month views when selection is "multi"
         * If not called, selection in other month views stays
         * @hidden
         * \@internal
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxCalendarComponent.prototype.deselectDateInMonthViews = /**
         * Helper method that does deselection for all month views when selection is "multi"
         * If not called, selection in other month views stays
         * @hidden
         * \@internal
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.monthViews.forEach(function (m) {
                m.deselectMultipleInMonth(value);
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} i
         * @return {?}
         */
        IgxCalendarComponent.prototype.getViewDate = /**
         * @hidden
         * \@internal
         * @param {?} i
         * @return {?}
         */
        function (i) {
            /** @type {?} */
            var date = this.calendarModel.timedelta(this.viewDate, 'month', i);
            return date;
        };
        /**
         * Getter for the context object inside the calendar templates.
         * @hidden
         * @internal
         */
        /**
         * Getter for the context object inside the calendar templates.
         * @hidden
         * \@internal
         * @param {?} i
         * @return {?}
         */
        IgxCalendarComponent.prototype.getContext = /**
         * Getter for the context object inside the calendar templates.
         * @hidden
         * \@internal
         * @param {?} i
         * @return {?}
         */
        function (i) {
            /** @type {?} */
            var date = this.getViewDate(i);
            return this.generateContext(date, i);
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.animationDone = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.monthScrollDirection !== ScrollMonth.NONE) {
                this.scrollMonth$.next();
            }
            if (this.activeView !== CalendarView.DEFAULT) {
                return;
            }
            /** @type {?} */
            var monthView = (/** @type {?} */ (this.daysView));
            /** @type {?} */
            var date = monthView.dates.find(function (d) { return d.selected; });
            while (!date && monthView.nextMonthView) {
                monthView = monthView.nextMonthView;
                date = monthView.dates.find(function (d) { return d.selected; });
            }
            if (date && date.isFocusable && !this.isKeydownTrigger) {
                setTimeout(function () {
                    date.nativeElement.focus();
                }, parseInt(slideInRight.options.params.duration, 10));
            }
            else if (this.callback && (event.toState === ScrollMonth.NEXT || event.toState === ScrollMonth.PREV)) {
                this.callback(this.nextDate);
            }
            this.animationAction = ScrollMonth.NONE;
        };
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * @internal
         */
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.onKeydownPageDown = /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            event.preventDefault();
            if (this.activeView !== CalendarView.DEFAULT) {
                return;
            }
            /** @type {?} */
            var isPageDown = event.key === 'PageDown';
            /** @type {?} */
            var step = isPageDown ? 1 : -1;
            /** @type {?} */
            var monthView = (/** @type {?} */ (this.daysView));
            /** @type {?} */
            var activeDate;
            while (!activeDate && monthView) {
                activeDate = monthView.dates.find(function (date) { return date.nativeElement === document.activeElement; });
                monthView = monthView.nextMonthView;
            }
            if (activeDate) {
                this.nextDate = new Date(activeDate.date.date);
                /** @type {?} */
                var year = this.nextDate.getFullYear();
                /** @type {?} */
                var month = this.nextDate.getMonth() + step;
                if (isPageDown) {
                    if (month > 11) {
                        month = 0;
                        year += step;
                    }
                }
                else {
                    if (month < 0) {
                        month = 11;
                        year += step;
                    }
                }
                /** @type {?} */
                var range = monthRange(this.nextDate.getFullYear(), month);
                /** @type {?} */
                var day = this.nextDate.getDate();
                if (day > range[1]) {
                    day = range[1];
                }
                this.nextDate.setDate(day);
                this.nextDate.setMonth(month);
                this.nextDate.setFullYear(year);
                this.callback = function (next) {
                    monthView = (/** @type {?} */ (_this.daysView));
                    /** @type {?} */
                    var dayItem;
                    while ((!dayItem && monthView) || (dayItem && !dayItem.isCurrentMonth)) {
                        dayItem = monthView.dates.find(function (d) { return d.date.date.getTime() === next.getTime(); });
                        monthView = monthView.nextMonthView;
                    }
                    if (dayItem && dayItem.isFocusable) {
                        dayItem.nativeElement.focus();
                    }
                };
            }
            if (isPageDown) {
                this.nextMonth(true);
            }
            else {
                this.previousMonth(true);
            }
        };
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * @internal
         */
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.onKeydownShiftPageUp = /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            event.preventDefault();
            if (this.activeView !== CalendarView.DEFAULT) {
                return;
            }
            /** @type {?} */
            var isPageDown = event.key === 'PageDown';
            /** @type {?} */
            var step = isPageDown ? 1 : -1;
            this.viewDate = this.calendarModel.timedelta(this.viewDate, 'year', step);
            this.animationAction = isPageDown ? ScrollMonth.NEXT : ScrollMonth.PREV;
            this.isKeydownTrigger = true;
            /** @type {?} */
            var monthView = (/** @type {?} */ (this.daysView));
            /** @type {?} */
            var activeDate;
            while (!activeDate && monthView) {
                activeDate = monthView.dates.find(function (date) { return date.nativeElement === document.activeElement; });
                monthView = monthView.nextMonthView;
            }
            if (activeDate) {
                this.nextDate = new Date(activeDate.date.date);
                /** @type {?} */
                var year = this.nextDate.getFullYear() + step;
                /** @type {?} */
                var range = monthRange(year, this.nextDate.getMonth());
                /** @type {?} */
                var day = this.nextDate.getDate();
                if (day > range[1]) {
                    day = range[1];
                }
                this.nextDate.setDate(day);
                this.nextDate.setFullYear(year);
                this.callback = function (next) {
                    monthView = (/** @type {?} */ (_this.daysView));
                    /** @type {?} */
                    var dayItem;
                    while ((!dayItem && monthView) || (dayItem && !dayItem.isCurrentMonth)) {
                        dayItem = monthView.dates.find(function (d) { return d.date.date.getTime() === next.getTime(); });
                        monthView = monthView.nextMonthView;
                    }
                    if (dayItem && dayItem.isFocusable) {
                        dayItem.nativeElement.focus();
                    }
                };
            }
        };
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * @internal
         */
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.onKeydownHome = /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.daysView) {
                this.daysView.onKeydownHome(event);
            }
        };
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * @internal
         */
        /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.onKeydownEnd = /**
         * Keyboard navigation of the calendar
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.daysView) {
                this.daysView.onKeydownEnd(event);
            }
        };
        /**
         * Stop continuous navigation on mouseup event
         * @hidden
         * @internal
         */
        /**
         * Stop continuous navigation on mouseup event
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxCalendarComponent.prototype.onMouseUp = /**
         * Stop continuous navigation on mouseup event
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.monthScrollDirection !== ScrollMonth.NONE) {
                this.stopMonthScroll(event);
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxCalendarComponent.prototype.ngOnDestroy = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            if (this._monthViewsChanges$) {
                this._monthViewsChanges$.unsubscribe();
            }
        };
        /**
         * Helper method building and returning the context object inside
         * the calendar templates.
         * @hidden
         * @internal
         */
        /**
         * Helper method building and returning the context object inside
         * the calendar templates.
         * @hidden
         * \@internal
         * @private
         * @param {?} value
         * @param {?=} i
         * @return {?}
         */
        IgxCalendarComponent.prototype.generateContext = /**
         * Helper method building and returning the context object inside
         * the calendar templates.
         * @hidden
         * \@internal
         * @private
         * @param {?} value
         * @param {?=} i
         * @return {?}
         */
        function (value, i) {
            var _this = this;
            /** @type {?} */
            var formatObject = __assign({ index: i, monthView: function () { return _this.onActiveViewYear(value, i); }, yearView: function () { return _this.onActiveViewDecade(value, i); } }, this.calendarModel.formatToParts(value, this.locale, this.formatOptions, ['era', 'year', 'month', 'day', 'weekday']));
            return { $implicit: formatObject };
        };
        /**
         * Helper method that sets references for prev/next months for each month in the view
         * @hidden
         * @internal
         */
        /**
         * Helper method that sets references for prev/next months for each month in the view
         * @hidden
         * \@internal
         * @private
         * @param {?} monthViews
         * @return {?}
         */
        IgxCalendarComponent.prototype.setSiblingMonths = /**
         * Helper method that sets references for prev/next months for each month in the view
         * @hidden
         * \@internal
         * @private
         * @param {?} monthViews
         * @return {?}
         */
        function (monthViews) {
            var _this = this;
            monthViews.forEach(function (item, index) {
                /** @type {?} */
                var prevMonthView = _this.getMonthView(index - 1);
                /** @type {?} */
                var nextMonthView = _this.getMonthView(index + 1);
                item.nextMonthView = nextMonthView;
                item.prevMonthView = prevMonthView;
            });
        };
        /**
         * Helper method returning previous/next day views
         * @hidden
         * @internal
         */
        /**
         * Helper method returning previous/next day views
         * @hidden
         * \@internal
         * @private
         * @param {?} index
         * @return {?}
         */
        IgxCalendarComponent.prototype.getMonthView = /**
         * Helper method returning previous/next day views
         * @hidden
         * \@internal
         * @private
         * @param {?} index
         * @return {?}
         */
        function (index) {
            if (index === -1 || index === this.monthViews.length) {
                return null;
            }
            else {
                return this.monthViews.toArray()[index];
            }
        };
        IgxCalendarComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [
                            {
                                multi: true,
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: IgxCalendarComponent
                            }
                        ],
                        animations: [
                            animations.trigger('animateView', [
                                animations.transition('void => 0', animations.useAnimation(fadeIn)),
                                animations.transition('void => *', animations.useAnimation(scaleInCenter, {
                                    params: {
                                        duration: '.2s',
                                        fromScale: .9
                                    }
                                }))
                            ]),
                            animations.trigger('animateChange', [
                                animations.transition('* => prev', animations.useAnimation(slideInLeft, {
                                    params: {
                                        fromPosition: 'translateX(-30%)'
                                    }
                                })),
                                animations.transition('* => next', animations.useAnimation(slideInRight, {
                                    params: {
                                        fromPosition: 'translateX(30%)'
                                    }
                                }))
                            ])
                        ],
                        selector: 'igx-calendar',
                        template: "<ng-template let-result #defaultHeader>\n    <span>{{ getFormattedDate().weekday }},&nbsp;</span>\n    <span>{{ getFormattedDate().monthday }}</span>\n</ng-template>\n\n<ng-template let-result #defaultMonth let-obj>\n    <span tabindex=\"0\" #monthsBtn (keydown)=\"onActiveViewYearKB(getViewDate(obj.index), $event, obj.index)\" (click)=\"onActiveViewYear(getViewDate(obj.index), obj.index, $event)\"\n        class=\"igx-calendar-picker__date\">\n        {{ formattedMonth(getViewDate(obj.index)) }}\n    </span>\n    <span tabindex=\"0\" #yearsBtn (keydown)=\"onActiveViewDecadeKB($event, getViewDate(obj.index), obj.index)\" (click)=\"onActiveViewDecade(getViewDate(obj.index), obj.index)\"\n        class=\"igx-calendar-picker__date\">\n        {{ formattedYear(getViewDate(obj.index)) }}\n    </span>\n</ng-template>\n\n<div *ngIf=\"selection === 'single' && hasHeader\" class=\"igx-calendar__header\">\n    <h5 class=\"igx-calendar__header-year\">{{ formattedYear(headerDate) }}</h5>\n    <h2 class=\"igx-calendar__header-date\">\n        <ng-container *ngTemplateOutlet=\"headerTemplate ? headerTemplate : defaultHeader; context: headerContext\">\n        </ng-container>\n    </h2>\n</div>\n\n<div *ngIf=\"isDefaultView\" class=\"igx-calendar__body\" [@animateView]=\"activeView\" (swiperight)=\"previousMonth()\"\n    (swipeleft)=\"nextMonth()\">\n    <div class=\"igx-calendar-picker\">\n        <div tabindex=\"0\" class=\"igx-calendar-picker__prev\" #prevMonthBtn\n            igxCalendarScrollMonth [startScroll]=\"startPrevMonthScroll\" [stopScroll]=\"stopMonthScroll\"  [ngStyle]=\"{\n                    'min-width.%': 100/(monthsViewNumber*7)\n                }\">\n            <igx-icon fontSet=\"material\">keyboard_arrow_left</igx-icon>\n        </div>\n        <div class=\"igx-calendar-picker__dates\" *ngFor=\"let view of monthsViewNumber | IgxMonthViewSlots; index as i;\" [style.width.%]=\"100/monthsViewNumber\" [attr.data-month]=\"i | IgxGetViewDate:viewDate:false\">\n            <ng-container *ngTemplateOutlet=\"subheaderTemplate ? subheaderTemplate : defaultMonth; context: getContext(i)\">\n            </ng-container>\n        </div>\n        <div tabindex=\"0\" class=\"igx-calendar-picker__next\" #nextMonthBtn\n            igxCalendarScrollMonth [startScroll]=\"startNextMonthScroll\" [stopScroll]=\"stopMonthScroll\" [ngStyle]=\"{\n                    'min-width.%': 100/(monthsViewNumber*7)\n                }\">\n            <igx-icon fontSet=\"material\">keyboard_arrow_right</igx-icon>\n        </div>\n    </div>\n\n    <div style=\"display: flex\"\n        [@animateChange]=\"animationAction\"\n        (@animateChange.done)=\"animationDone($event)\">\n        <igx-days-view *ngFor=\"let view of monthsViewNumber | IgxMonthViewSlots; index as i;\" [changeDaysView]=\"true\" #days\n                [selection]=\"selection\"\n                [locale]=\"locale\"\n                [value]=\"value\"\n                [viewDate]=\"i | IgxGetViewDate:viewDate\"\n                [weekStart]=\"weekStart\"\n                [formatOptions]=\"formatOptions\"\n                [formatViews]=\"formatViews\"\n                [disabledDates]=\"disabledDates\"\n                [specialDates]=\"specialDates\"\n                [hideOutsideDays]=\"hideOutsideDays\"\n                (onViewChanging)=\"viewChanging($event)\"\n                (onDateSelection)=\"childClicked($event)\">\n        </igx-days-view>\n    </div>\n</div>\n\n<igx-months-view *ngIf=\"isYearView\" [@animateView]=\"activeView\" #months\n                 [date]=\"viewDate\"\n                 [locale]=\"locale\"\n                 [formatView]=\"formatViews.month\"\n                 [monthFormat]=\"formatOptions.month\"\n                 (onSelection)=\"changeMonth($event)\">\n</igx-months-view>\n\n<igx-years-view *ngIf=\"isDecadeView\" [@animateView]=\"activeView\" #decade\n                [date]=\"viewDate\"\n                [locale]=\"locale\"\n                [formatView]=\"formatViews.year\"\n                [yearFormat]=\"formatOptions.year\"\n                (onSelection)=\"changeYear($event)\">\n</igx-years-view>\n"
                    }] }
        ];
        IgxCalendarComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            hasHeader: [{ type: core.Input }],
            vertical: [{ type: core.Input }],
            monthsViewNumber: [{ type: core.Input }],
            animationAction: [{ type: core.Input }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            ariaLabelledBy: [{ type: core.HostBinding, args: ['attr.aria-labelledby',] }],
            styleVerticalClass: [{ type: core.HostBinding, args: ['class.igx-calendar--vertical',] }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-calendar',] }],
            monthsView: [{ type: core.ViewChild, args: ['months', { read: IgxMonthsViewComponent, static: false },] }],
            monthsBtns: [{ type: core.ViewChildren, args: ['monthsBtn',] }],
            dacadeView: [{ type: core.ViewChild, args: ['decade', { read: IgxYearsViewComponent, static: false },] }],
            daysView: [{ type: core.ViewChild, args: ['days', { read: IgxDaysViewComponent, static: false },] }],
            monthViews: [{ type: core.ViewChildren, args: ['days', { read: IgxDaysViewComponent },] }],
            prevMonthBtn: [{ type: core.ViewChild, args: ['prevMonthBtn', { static: false },] }],
            nextMonthBtn: [{ type: core.ViewChild, args: ['nextMonthBtn', { static: false },] }],
            headerTemplateDirective: [{ type: core.ContentChild, args: [core.forwardRef(function () { return IgxCalendarHeaderTemplateDirective; }), { read: IgxCalendarHeaderTemplateDirective, static: true },] }],
            subheaderTemplateDirective: [{ type: core.ContentChild, args: [core.forwardRef(function () { return IgxCalendarSubheaderTemplateDirective; }), { read: IgxCalendarSubheaderTemplateDirective, static: true },] }],
            onKeydownPageDown: [{ type: core.HostListener, args: ['keydown.pagedown', ['$event'],] }, { type: core.HostListener, args: ['keydown.pageup', ['$event'],] }],
            onKeydownShiftPageUp: [{ type: core.HostListener, args: ['keydown.shift.pageup', ['$event'],] }, { type: core.HostListener, args: ['keydown.shift.pagedown', ['$event'],] }],
            onKeydownHome: [{ type: core.HostListener, args: ['keydown.home', ['$event'],] }],
            onKeydownEnd: [{ type: core.HostListener, args: ['keydown.end', ['$event'],] }],
            onMouseUp: [{ type: core.HostListener, args: ['document:mouseup', ['$event'],] }]
        };
        return IgxCalendarComponent;
    }(IgxMonthPickerBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$g = 0;
    var IgxMonthPickerComponent = /** @class */ (function (_super) {
        __extends(IgxMonthPickerComponent, _super);
        function IgxMonthPickerComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            /**
             * Sets/gets the `id` of the month picker.
             * If not set, the `id` will have value `"igx-month-picker-0"`.
             */
            _this.id = "igx-month-picker-" + NEXT_ID$g++;
            /**
             * The default css class applied to the component.
             *
             * @hidden
             */
            _this.styleClass = true;
            /**
             * @hidden
             */
            _this.yearAction = '';
            return _this;
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.animationDone = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.yearAction = '';
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.activeViewDecadeKB = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            _super.prototype.activeViewDecadeKB.call(this, event);
            if (event.key === "ArrowRight" /* RIGHT_ARROW */ || event.key === "Right" /* RIGHT_ARROW_IE */) {
                event.preventDefault();
                this.nextYear();
            }
            if (event.key === "ArrowLeft" /* LEFT_ARROW */ || event.key === "Left" /* LEFT_ARROW_IE */) {
                event.preventDefault();
                this.previousYear();
            }
            requestAnimationFrame(function () {
                if (_this.dacadeView) {
                    _this.dacadeView.el.nativeElement.focus();
                }
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.activeViewDecade = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            _super.prototype.activeViewDecade.call(this);
            requestAnimationFrame(function () {
                _this.dacadeView.el.nativeElement.focus();
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.nextYear = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.yearAction = 'next';
            this.viewDate = this.calendarModel.getNextYear(this.viewDate);
            this.selectDate(this.viewDate);
            this.onSelection.emit(this.selectedDates);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.nextYearKB = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */ || event.key === "Enter" /* ENTER */) {
                event.preventDefault();
                event.stopPropagation();
                this.nextYear();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.previousYear = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.yearAction = 'prev';
            this.viewDate = this.calendarModel.getPrevYear(this.viewDate);
            this.selectDate(this.viewDate);
            this.onSelection.emit(this.selectedDates);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.previousYearKB = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */ || event.key === "Enter" /* ENTER */) {
                event.preventDefault();
                event.stopPropagation();
                this.previousYear();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.selectYear = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            this.viewDate = new Date(event.getFullYear(), event.getMonth(), event.getDate());
            this.activeView = CalendarView.DEFAULT;
            this.selectDate(event);
            this.onSelection.emit(this.selectedDates);
            requestAnimationFrame(function () {
                if (_this.yearsBtn) {
                    _this.yearsBtn.nativeElement.focus();
                }
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.selectMonth = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.selectDate(event);
            this.onSelection.emit(this.selectedDates);
        };
        /**
         * Selects a date.
         *```typescript
         * this.monPicker.selectDate(new Date(`2018-06-12`));
         *```
         */
        /**
         * Selects a date.
         * ```typescript
         * this.monPicker.selectDate(new Date(`2018-06-12`));
         * ```
         * @param {?} value
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.selectDate = /**
         * Selects a date.
         * ```typescript
         * this.monPicker.selectDate(new Date(`2018-06-12`));
         * ```
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (!value) {
                return new Date();
            }
            // TO DO: to be refactored after discussion on the desired behavior
            _super.prototype.selectDate.call(this, value);
            this.viewDate = value;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            // TO DO: to be refactored after discussion on the desired behavior
            if (value) {
                this.viewDate = this.selectedDates = value;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.onKeydownPageUp = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.yearAction = 'prev';
            this.viewDate = this.calendarModel.getPrevYear(this.viewDate);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.onKeydownPageDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.yearAction = 'next';
            this.viewDate = this.calendarModel.getNextYear(this.viewDate);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.onKeydownHome = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.monthsView) {
                this.monthsView.el.nativeElement.focus();
                this.monthsView.onKeydownHome(event);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxMonthPickerComponent.prototype.onKeydownEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.monthsView) {
                this.monthsView.el.nativeElement.focus();
                this.monthsView.onKeydownEnd(event);
            }
        };
        IgxMonthPickerComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [
                            {
                                multi: true,
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: IgxMonthPickerComponent
                            }
                        ],
                        animations: [
                            animations.trigger('animateView', [
                                animations.transition('void => 0', animations.useAnimation(fadeIn)),
                                animations.transition('void => *', animations.useAnimation(scaleInCenter, {
                                    params: {
                                        duration: '.2s',
                                        fromScale: .9
                                    }
                                }))
                            ]),
                            animations.trigger('animateChange', [
                                animations.transition('* => prev', animations.useAnimation(slideInLeft, {
                                    params: {
                                        fromPosition: 'translateX(-30%)'
                                    }
                                })),
                                animations.transition('* => next', animations.useAnimation(slideInRight, {
                                    params: {
                                        fromPosition: 'translateX(30%)'
                                    }
                                }))
                            ])
                        ],
                        selector: 'igx-month-picker',
                        template: "<div *ngIf=\"isDefaultView\" [@animateView]=\"activeView\" class=\"igx-calendar__body\" (swiperight)=\"previousYear()\" (swipeleft)=\"nextYear()\">\n    <div class=\"igx-calendar-picker\">\n        <div tabindex=\"0\" class=\"igx-calendar-picker__prev\" (click)=\"previousYear()\" (keydown)=\"previousYearKB($event)\" [ngStyle]=\"{\n            'min-width.%': 25,\n            'left': 0\n        }\">\n            <igx-icon fontSet=\"material\">keyboard_arrow_left</igx-icon>\n        </div>\n        <div [style.width.%]=\"100\">\n            <span tabindex=\"0\" #yearsBtn (keydown)=\"activeViewDecadeKB($event)\" (click)=\"activeViewDecade()\" class=\"igx-calendar-picker__date\">\n                {{ formattedYear(viewDate) }}\n            </span>\n        </div>\n        <div tabindex=\"0\" class=\"igx-calendar-picker__next\" (click)=\"nextYear()\" (keydown)=\"nextYearKB($event)\" [ngStyle]=\"{\n            'min-width.%': 25,\n            'right': 0\n        }\">\n            <igx-icon fontSet=\"material\">keyboard_arrow_right</igx-icon>\n        </div>\n    </div>\n\n    <igx-months-view [@animateChange]=\"yearAction\" #months\n                     (@animateChange.done)=\"animationDone()\"\n                     [date]=\"viewDate\"\n                     [locale]=\"locale\"\n                     [formatView]=\"formatViews.month\"\n                     [monthFormat]=\"formatOptions.month\"\n                     (onSelection)=\"selectMonth($event)\">\n    </igx-months-view>\n</div>\n<igx-years-view *ngIf=\"isDecadeView\" [@animateView]=\"activeView\" #decade\n                [date]=\"viewDate\"\n                [locale]=\"locale\"\n                [formatView]=\"formatViews.year\"\n                [yearFormat]=\"formatOptions.year\"\n                (onSelection)=\"selectYear($event)\">\n</igx-years-view>\n"
                    }] }
        ];
        IgxMonthPickerComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-calendar',] }],
            monthsView: [{ type: core.ViewChild, args: ['months', { read: IgxMonthsViewComponent, static: false },] }],
            dacadeView: [{ type: core.ViewChild, args: ['decade', { read: IgxYearsViewComponent, static: false },] }],
            daysView: [{ type: core.ViewChild, args: ['days', { read: IgxDaysViewComponent, static: false },] }],
            yearsBtn: [{ type: core.ViewChild, args: ['yearsBtn', { static: false },] }],
            onKeydownPageUp: [{ type: core.HostListener, args: ['keydown.pageup', ['$event'],] }],
            onKeydownPageDown: [{ type: core.HostListener, args: ['keydown.pagedown', ['$event'],] }],
            onKeydownHome: [{ type: core.HostListener, args: ['keydown.home', ['$event'],] }],
            onKeydownEnd: [{ type: core.HostListener, args: ['keydown.end', ['$event'],] }]
        };
        return IgxMonthPickerComponent;
    }(IgxMonthPickerBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxMonthViewSlotsCalendar = /** @class */ (function () {
        function IgxMonthViewSlotsCalendar() {
        }
        /**
         * @param {?} monthViews
         * @return {?}
         */
        IgxMonthViewSlotsCalendar.prototype.transform = /**
         * @param {?} monthViews
         * @return {?}
         */
        function (monthViews) {
            return new Array(monthViews);
        };
        IgxMonthViewSlotsCalendar.decorators = [
            { type: core.Pipe, args: [{
                        name: 'IgxMonthViewSlots'
                    },] }
        ];
        return IgxMonthViewSlotsCalendar;
    }());
    var IgxGetViewDateCalendar = /** @class */ (function () {
        function IgxGetViewDateCalendar() {
            this.calendar = new Calendar();
        }
        /**
         * @param {?} index
         * @param {?} viewDate
         * @param {?=} wholeDate
         * @return {?}
         */
        IgxGetViewDateCalendar.prototype.transform = /**
         * @param {?} index
         * @param {?} viewDate
         * @param {?=} wholeDate
         * @return {?}
         */
        function (index, viewDate, wholeDate) {
            if (wholeDate === void 0) { wholeDate = true; }
            /** @type {?} */
            var date = this.calendar.timedelta(viewDate, 'month', index);
            return wholeDate ? date : date.getMonth();
        };
        IgxGetViewDateCalendar.decorators = [
            { type: core.Pipe, args: [{
                        name: 'IgxGetViewDate'
                    },] }
        ];
        /** @nocollapse */
        IgxGetViewDateCalendar.ctorParameters = function () { return []; };
        return IgxGetViewDateCalendar;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxCalendarModule = /** @class */ (function () {
        function IgxCalendarModule() {
        }
        IgxCalendarModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxDayItemComponent,
                            IgxDaysViewComponent,
                            IgxCalendarComponent,
                            IgxCalendarHeaderTemplateDirective,
                            IgxCalendarMonthDirective,
                            IgxCalendarYearDirective,
                            IgxCalendarSubheaderTemplateDirective,
                            IgxCalendarScrollMonthDirective,
                            IgxMonthsViewComponent,
                            IgxYearsViewComponent,
                            IgxMonthPickerComponent,
                            IgxMonthViewSlotsCalendar,
                            IgxGetViewDateCalendar
                        ],
                        exports: [
                            IgxCalendarComponent,
                            IgxDaysViewComponent,
                            IgxMonthsViewComponent,
                            IgxYearsViewComponent,
                            IgxMonthPickerComponent,
                            IgxCalendarHeaderTemplateDirective,
                            IgxCalendarMonthDirective,
                            IgxCalendarYearDirective,
                            IgxCalendarSubheaderTemplateDirective
                        ],
                        imports: [common.CommonModule, forms.FormsModule, IgxIconModule]
                    },] }
        ];
        return IgxCalendarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$h = 0;
    /**
     * IgxCardMedia is container for the card media section.
     * Use it to wrap images and videos.
     */
    var IgxCardMediaDirective = /** @class */ (function () {
        function IgxCardMediaDirective() {
            /**
             * @hidden
             */
            this.cssClass = 'igx-card__media';
            /**
             * An \@Input property that sets the `width` and `min-width` style property
             * of the media container. If not provided it will be set to `auto`.
             * ```html
             * <igx-card-media width="300px"></igx-card-media>
             * ```
             */
            this.width = 'auto';
            /**
             * An \@Input property that sets the `height` style property of the media container.
             * If not provided it will be set to `auto`.
             * ```html
             * <igx-card-media height="50%"></igx-card-media>
             * ```
             */
            this.height = 'auto';
            /**
             * An \@Input property that sets the `role` attribute of the media container.
             */
            this.role = 'img';
        }
        IgxCardMediaDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-card-media'
                    },] }
        ];
        IgxCardMediaDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-card__media',] }],
            width: [{ type: core.HostBinding, args: ['style.width',] }, { type: core.HostBinding, args: ['style.min-width',] }, { type: core.Input }],
            height: [{ type: core.HostBinding, args: ['style.height',] }, { type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }, { type: core.Input }]
        };
        return IgxCardMediaDirective;
    }());
    /**
     * IgxCardHeader is container for the card header
     */
    var IgxCardHeaderComponent = /** @class */ (function () {
        function IgxCardHeaderComponent() {
            /**
             * @hidden
             */
            this.cssClass = 'igx-card-header';
            /**
             * An \@Input property that sets the layout style of the header.
             * By default the header elements(thumbnail and title/subtitle) are aligned horizontally.
             * ```html
             * <igx-card-header [vertical]="true"></igx-card-header>
             * ```
             */
            this.vertical = false;
            /**
             * An \@Input property that sets the value of the `role` attribute of the card header.
             * By default the value is set to `header`.
             * ```html
             * <igx-card-header role="header"></igx-card-header>
             * ```
             */
            this.role = 'header';
        }
        IgxCardHeaderComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-card-header',
                        template: "<div class=\"igx-card-header__thumbnail\">\n    <ng-content select=\"igx-avatar, igx-card-media, [igxCardThumbnail]\"></ng-content>\n</div>\n\n<div class=\"igx-card-header__titles\">\n    <ng-content select=\"\n        [igxCardHeaderTitle],\n        [igxCardHeaderSubtitle],\n        .igx-card-header__title,\n        .igx-card-header__subtitle\">\n    </ng-content>\n</div>\n\n<ng-content></ng-content>\n"
                    }] }
        ];
        IgxCardHeaderComponent.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-card-header',] }],
            vertical: [{ type: core.HostBinding, args: ['class.igx-card-header--vertical',] }, { type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }]
        };
        return IgxCardHeaderComponent;
    }());
    /**
     * IgxCardThumbnail is container for the card thumbnail section.
     * Use it to wrap anything you want to be used as a thumbnail.
     */
    var IgxCardThumbnailDirective = /** @class */ (function () {
        function IgxCardThumbnailDirective() {
        }
        IgxCardThumbnailDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCardThumbnail]'
                    },] }
        ];
        return IgxCardThumbnailDirective;
    }());
    /**
     * igxCardHeaderTitle is used to denote the header title in a card.
     * Use it to tag text nodes.
     */
    var IgxCardHeaderTitleDirective = /** @class */ (function () {
        function IgxCardHeaderTitleDirective() {
            /**
             * @hidden
             */
            this.cssClass = 'igx-card__header__title';
        }
        IgxCardHeaderTitleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCardHeaderTitle]'
                    },] }
        ];
        IgxCardHeaderTitleDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-card-header__title',] }]
        };
        return IgxCardHeaderTitleDirective;
    }());
    /**
     * igxCardHeaderSubtitle is used to denote the header subtitle in a card.
     * Use it to tag text nodes.
     */
    var IgxCardHeaderSubtitleDirective = /** @class */ (function () {
        function IgxCardHeaderSubtitleDirective() {
            /**
             * @hidden
             */
            this.cssClass = 'igx-card-header__subtitle';
        }
        IgxCardHeaderSubtitleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCardHeaderSubtitle]'
                    },] }
        ];
        IgxCardHeaderSubtitleDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-card-header__subtitle',] }]
        };
        return IgxCardHeaderSubtitleDirective;
    }());
    /**
     * IgxCardContent is container for the card content.
     */
    var IgxCardContentDirective = /** @class */ (function () {
        function IgxCardContentDirective() {
            /**
             * @hidden
             */
            this.cssClass = 'igx-card-content';
        }
        IgxCardContentDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-card-content'
                    },] }
        ];
        IgxCardContentDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-card-content',] }]
        };
        return IgxCardContentDirective;
    }());
    /**
     * IgxCardFooter is container for the card footer
     */
    var IgxCardFooterDirective = /** @class */ (function () {
        function IgxCardFooterDirective() {
            /**
             * An \@Input property that sets the value of the `role` attribute of the card footer.
             * By default the value is set to `footer`.
             * ```html
             * <igx-card-footer role="footer"></igx-card-footer>
             * ```
             */
            this.role = 'footer';
        }
        IgxCardFooterDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-card-footer'
                    },] }
        ];
        IgxCardFooterDirective.propDecorators = {
            role: [{ type: core.HostBinding, args: ['attr.role',] }, { type: core.Input }]
        };
        return IgxCardFooterDirective;
    }());
    /** @enum {string} */
    var IgxCardType = {
        DEFAULT: 'default',
        OUTLINED: 'outlined',
    };
    var IgxCardComponent = /** @class */ (function () {
        function IgxCardComponent() {
            /**
             * Sets/gets the `id` of the card.
             * If not set, `id` will have value `"igx-card-0"`;
             * ```html
             * <igx-card id = "my-first-card"></igx-card>
             * ```
             * ```typescript
             * let cardId =  this.card.id;
             * ```
             * \@memberof IgxCardComponent
             */
            this.id = "igx-card-" + NEXT_ID$h++;
            /**
             * An \@Input property that sets the value of the `role` attribute of the card.
             * By default the value is set to `group`.
             * ```html
             * <igx-card role="group"></igx-card>
             * ```
             */
            this.role = 'group';
            /**
             * An \@Input property that sets the value of the `type` attribute of the card.
             * By default the value is set to `default`. You can make the card use the
             * outlined style by setting the value to `outlined`.
             * ```html
             * <igx-card type="outlined"></igx-card>
             * ```
             */
            this.type = IgxCardType.DEFAULT;
            /**
             * An \@Input property that sets the value of the `horizontal` attribute of the card.
             * Setting this to `true` will make the different card sections align horizontally,
             * essentially flipping the card to the side.
             * ```html
             * <igx-card [horizontal]="true"></igx-card>
             * ```
             */
            this.horizontal = false;
        }
        Object.defineProperty(IgxCardComponent.prototype, "isOutlinedCard", {
            /**
             * A getter which will return true if the card type is `outlined`.
             */
            get: /**
             * A getter which will return true if the card type is `outlined`.
             * @return {?}
             */
            function () {
                return this.type === IgxCardType.OUTLINED;
            },
            enumerable: true,
            configurable: true
        });
        IgxCardComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-card',
                        template: "<ng-container select='igx-card-media'></ng-container>\n\n<ng-container select='igx-card-header'></ng-container>\n<ng-container select='igx-card-content'>\n    <ng-content></ng-content>\n</ng-container>\n\n<ng-container select='igx-card-actions'></ng-container>\n"
                    }] }
        ];
        IgxCardComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }, { type: core.Input }],
            type: [{ type: core.HostBinding, args: ['class.igx-card',] }, { type: core.Input }],
            isOutlinedCard: [{ type: core.HostBinding, args: ['class.igx-card--outlined',] }],
            horizontal: [{ type: core.HostBinding, args: ['class.igx-card--horizontal',] }, { type: core.Input }]
        };
        return IgxCardComponent;
    }());
    /** @enum {string} */
    var IgxCardActionsLayout = {
        DEFAULT: 'default',
        JUSTIFY: 'justify',
    };
    /**
     * IgxCardActions is container for the card actions.
     */
    var IgxCardActionsComponent = /** @class */ (function () {
        function IgxCardActionsComponent(card) {
            this.card = card;
            this.isVerticalSet = false;
            /**
             * An \@Input property that sets the layout style of the actions.
             * By default icons and icon buttons, as well as regular buttons
             * are split into two containers, which are then positioned on both ends
             * of the card-actions area.
             * You can justify the elements in those groups so they are positioned equally
             * from one another taking up all the space available along the card actions axis.
             * ```html
             * <igx-card-actions layout="justify"></igx-card-actions>
             * ```
             */
            this.layout = 'default';
            /**
             * An \@Input property that sets order of the buttons the actions area.
             * By default all icons/icon buttons are placed at the end of the action
             * area. Any regular buttons(flat, raised) will appear before the icons/icon buttons
             * placed in the actions area.
             * If you want to reverse their positions so that icons appear first, use the `reverse`
             * attribute.
             * ```html
             * <igx-card-actions [reverse]="true"></igx-card-actions>
             * ```
             */
            this.reverse = false;
        }
        Object.defineProperty(IgxCardActionsComponent.prototype, "isJustifyLayout", {
            /**
             * A getter that returns `true` when the layout has been
             * set to `justify`.
             */
            get: /**
             * A getter that returns `true` when the layout has been
             * set to `justify`.
             * @return {?}
             */
            function () {
                return this.layout === IgxCardActionsLayout.JUSTIFY;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} changes
         * @return {?}
         */
        IgxCardActionsComponent.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            for (var prop in changes) {
                if (prop === 'vertical') {
                    this.isVerticalSet = true;
                }
            }
        };
        /**
         * @return {?}
         */
        IgxCardActionsComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.vertical = !this.isVerticalSet && this.card.horizontal;
        };
        IgxCardActionsComponent.decorators = [
            { type: core.Component, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-card-actions',
                        template: "<div class=\"igx-card-actions__icons\">\n    <ng-content select=\"igx-icon, [igxButton='icon']\"></ng-content>\n</div>\n\n<div #buttons class=\"igx-card-actions__buttons\">\n    <ng-content select=\"[igxButton]\"></ng-content>\n</div>\n\n\n<ng-content></ng-content>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxCardActionsComponent.ctorParameters = function () { return [
            { type: IgxCardComponent, decorators: [{ type: core.Optional }, { type: core.Inject, args: [IgxCardComponent,] }] }
        ]; };
        IgxCardActionsComponent.propDecorators = {
            layout: [{ type: core.HostBinding, args: ['class.igx-card-actions',] }, { type: core.Input }],
            vertical: [{ type: core.HostBinding, args: ['class.igx-card-actions--vertical',] }, { type: core.Input }],
            isJustifyLayout: [{ type: core.HostBinding, args: ['class.igx-card-actions--justify',] }],
            reverse: [{ type: core.HostBinding, args: ['class.igx-card-actions--reverse',] }, { type: core.Input }]
        };
        return IgxCardActionsComponent;
    }());
    /**
     * @hidden
     */
    var IgxCardModule = /** @class */ (function () {
        function IgxCardModule() {
        }
        IgxCardModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxCardComponent,
                            IgxCardHeaderComponent,
                            IgxCardMediaDirective,
                            IgxCardContentDirective,
                            IgxCardActionsComponent,
                            IgxCardFooterDirective,
                            IgxCardHeaderTitleDirective,
                            IgxCardHeaderSubtitleDirective,
                            IgxCardThumbnailDirective,
                        ],
                        exports: [
                            IgxCardComponent,
                            IgxCardHeaderComponent,
                            IgxCardMediaDirective,
                            IgxCardContentDirective,
                            IgxCardActionsComponent,
                            IgxCardFooterDirective,
                            IgxCardHeaderTitleDirective,
                            IgxCardHeaderSubtitleDirective,
                            IgxCardThumbnailDirective,
                        ],
                        imports: [common.CommonModule, IgxButtonModule]
                    },] }
        ];
        return IgxCardModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$i = 0;
    /** @enum {number} */
    var Direction$1 = {
        NONE: 0, NEXT: 1, PREV: 2,
    };
    Direction$1[Direction$1.NONE] = 'NONE';
    Direction$1[Direction$1.NEXT] = 'NEXT';
    Direction$1[Direction$1.PREV] = 'PREV';
    /**
     * **Ignite UI for Angular Carousel** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/carousel.html)
     *
     * The Ignite UI Carousel is used to browse or navigate through a collection of slides. Slides can contain custom
     * content such as images or cards and be used for things such as on-boarding tutorials or page-based interfaces.
     * It can be used as a separate fullscreen element or inside another component.
     *
     * Example:
     * ```html
     * <igx-carousel>
     *   <igx-slide>
     *     <h3>First Slide Header</h3>
     *     <p>First slide Content</p>
     *   <igx-slide>
     *   <igx-slide>
     *     <h3>Second Slide Header</h3>
     *     <p>Second Slide Content</p>
     * </igx-carousel>
     * ```
     */
    var IgxCarouselComponent = /** @class */ (function () {
        function IgxCarouselComponent(element, platformUtil) {
            this.element = element;
            this.platformUtil = platformUtil;
            /**
             * Returns the `role` attribute of the carousel.
             * ```typescript
             * let carouselRole =  this.carousel.role;
             * ```
             * \@memberof IgxCarouselComponent
             */
            this.role = 'region';
            /**
             * Sets the `id` of the carousel.
             * If not set, the `id` of the first carousel component will be `"igx-carousel-0"`.
             * ```html
             * <igx-carousel id="my-first-carousel"></igx-carousel>
             * ```
             * \@memberof IgxCarouselComponent
             */
            this.id = "igx-carousel-" + NEXT_ID$i++;
            /**
             * Sets whether the carousel should `loop` back to the first slide after reaching the last slide.
             * Default value is `true`.
             * ```html
             * <igx-carousel [loop]="false"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.loop = true;
            /**
             * Sets whether the carousel will `pause` the slide transitions on user interactions.
             * Default value is `true`.
             * ```html
             *  <igx-carousel [pause]="false"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.pause = true;
            /**
             * Controls whether the carousel should render the left/right `navigation` buttons.
             * Default value is `true`.
             * ```html
             * <igx-carousel [navigation] = "false"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.navigation = true;
            /**
             * An event that is emitted after a slide transition has happened.
             * Provides references to the `IgxCarouselComponent` and `IgxSlideComponent` as event arguments.
             * ```html
             * <igx-carousel (onSlideChanged)="onSlideChanged($event)"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.onSlideChanged = new core.EventEmitter();
            /**
             * An event that is emitted after a slide has been added to the carousel.
             * Provides references to the `IgxCarouselComponent` and `IgxSlideComponent` as event arguments.
             * ```html
             * <igx-carousel (onSlideAdded)="onSlideAdded($event)"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.onSlideAdded = new core.EventEmitter();
            /**
             * An event that is emitted after a slide has been removed from the carousel.
             * Provides references to the `IgxCarouselComponent` and `IgxSlideComponent` as event arguments.
             * ```html
             * <igx-carousel (onSlideRemoved)="onSlideRemoved($event)"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.onSlideRemoved = new core.EventEmitter();
            /**
             * An event that is emitted after the carousel has been paused.
             * Provides a reference to the `IgxCarouselComponent` as an event argument.
             * ```html
             * <igx-carousel (onCarouselPaused)="onCarouselPaused($event)"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.onCarouselPaused = new core.EventEmitter();
            /**
             * An event that is emitted after the carousel has resumed transitioning between `slides`.
             * Provides a reference to the `IgxCarouselComponent` as an event argument.
             * ```html
             * <igx-carousel (onCarouselPlaying)="onCarouselPlaying($event)"></igx-carousel>
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.onCarouselPlaying = new core.EventEmitter();
            /**
             * The collection of `slides` currently in the carousel.
             * ```typescript
             * let slides: IgxSlideComponent[] = this.carousel.slides;
             * ```
             * \@memberOf IgxCarouselComponent
             */
            this.slides = [];
            this._total = 0;
        }
        Object.defineProperty(IgxCarouselComponent.prototype, "interval", {
            /**
             * Returns the time `interval` in milliseconds before the slide changes.
             * ```typescript
             * let timeInterval = this.carousel.interval;
             * ```
             * @memberof IgxCarouselComponent
             */
            get: /**
             * Returns the time `interval` in milliseconds before the slide changes.
             * ```typescript
             * let timeInterval = this.carousel.interval;
             * ```
             * \@memberof IgxCarouselComponent
             * @return {?}
             */
            function () {
                return this._interval;
            },
            /**
             * Sets the time `interval` in milliseconds before the slide changes.
             * If not set, the carousel will not change `slides` automatically.
             * ```html
             * <igx-carousel [interval] = "1000"></igx-carousel>
             * ```
             * @memberof IgxCarouselComponent
             */
            set: /**
             * Sets the time `interval` in milliseconds before the slide changes.
             * If not set, the carousel will not change `slides` automatically.
             * ```html
             * <igx-carousel [interval] = "1000"></igx-carousel>
             * ```
             * \@memberof IgxCarouselComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._interval = +value;
                this._restartInterval();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCarouselComponent.prototype, "tabIndex", {
            /**
             * Returns the `tabIndex` of the carousel component.
             * ```typescript
             * let tabIndex =  this.carousel.tabIndex;
             * ```
             * @memberof IgxCarouselComponent
             */
            get: /**
             * Returns the `tabIndex` of the carousel component.
             * ```typescript
             * let tabIndex =  this.carousel.tabIndex;
             * ```
             * \@memberof IgxCarouselComponent
             * @return {?}
             */
            function () {
                return 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxCarouselComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._destroyed = true;
            if (this._lastInterval) {
                clearInterval(this._lastInterval);
            }
        };
        /**
         * @hidden
         * @memberof IgxCarouselComponent
         */
        /**
         * @hidden
         * \@memberof IgxCarouselComponent
         * @param {?} slide
         * @return {?}
         */
        IgxCarouselComponent.prototype.setAriaLabel = /**
         * @hidden
         * \@memberof IgxCarouselComponent
         * @param {?} slide
         * @return {?}
         */
        function (slide) {
            return "Item " + (slide.index + 1) + " of " + this.total;
        };
        Object.defineProperty(IgxCarouselComponent.prototype, "total", {
            /**
             * Returns the total number of `slides` in the carousel.
             * ```typescript
             * let slideCount =  this.carousel.total;
             * ```
             * @memberOf IgxCarouselComponent
             */
            get: /**
             * Returns the total number of `slides` in the carousel.
             * ```typescript
             * let slideCount =  this.carousel.total;
             * ```
             * \@memberOf IgxCarouselComponent
             * @return {?}
             */
            function () {
                return this._total;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCarouselComponent.prototype, "current", {
            /**
             * The index of the slide being currently shown.
             * ```typescript
             * let currentSlideNumber =  this.carousel.current;
             * ```
             * @memberOf IgxCarouselComponent
             */
            get: /**
             * The index of the slide being currently shown.
             * ```typescript
             * let currentSlideNumber =  this.carousel.current;
             * ```
             * \@memberOf IgxCarouselComponent
             * @return {?}
             */
            function () {
                return !this._currentSlide ? 0 : this._currentSlide.index;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCarouselComponent.prototype, "isPlaying", {
            /**
             * Returns a boolean indicating if the carousel is playing.
             * ```typescript
             * let isPlaying =  this.carousel.isPlaying;
             * ```
             * @memberOf IgxCarouselComponent
             */
            get: /**
             * Returns a boolean indicating if the carousel is playing.
             * ```typescript
             * let isPlaying =  this.carousel.isPlaying;
             * ```
             * \@memberOf IgxCarouselComponent
             * @return {?}
             */
            function () {
                return this._playing;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCarouselComponent.prototype, "isDestroyed", {
            /**
             * Returns а boolean indicating if the carousel is destroyed.
             * ```typescript
             * let isDestroyed =  this.carousel.isDestroyed;
             * ```
             * @memberOf IgxCarouselComponent
             */
            get: /**
             * Returns а boolean indicating if the carousel is destroyed.
             * ```typescript
             * let isDestroyed =  this.carousel.isDestroyed;
             * ```
             * \@memberOf IgxCarouselComponent
             * @return {?}
             */
            function () {
                return this._destroyed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCarouselComponent.prototype, "nativeElement", {
            /**
             * Returns a reference to the carousel element in the DOM.
             * ```typescript
             * let nativeElement =  this.carousel.nativeElement;
             * ```
             * @memberof IgxCarouselComponent
             */
            get: /**
             * Returns a reference to the carousel element in the DOM.
             * ```typescript
             * let nativeElement =  this.carousel.nativeElement;
             * ```
             * \@memberof IgxCarouselComponent
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns the slide corresponding to the provided `index` or null.
         * ```typescript
         * let slide1 =  this.carousel.get(1);
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Returns the slide corresponding to the provided `index` or null.
         * ```typescript
         * let slide1 =  this.carousel.get(1);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} index
         * @return {?}
         */
        IgxCarouselComponent.prototype.get = /**
         * Returns the slide corresponding to the provided `index` or null.
         * ```typescript
         * let slide1 =  this.carousel.get(1);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} index
         * @return {?}
         */
        function (index) {
            var e_1, _a;
            try {
                for (var _b = __values(this.slides), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var each = _c.value;
                    if (each.index === index) {
                        return each;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /**
         * Adds a new slide to the carousel.
         * ```typescript
         * this.carousel.add(newSlide);
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Adds a new slide to the carousel.
         * ```typescript
         * this.carousel.add(newSlide);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} slide
         * @return {?}
         */
        IgxCarouselComponent.prototype.add = /**
         * Adds a new slide to the carousel.
         * ```typescript
         * this.carousel.add(newSlide);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} slide
         * @return {?}
         */
        function (slide) {
            slide.index = this.total;
            this.slides.push(slide);
            this._total += 1;
            if (this.total === 1 || slide.active) {
                this.select(slide);
                if (this.total === 1) {
                    this.play();
                }
            }
            else {
                slide.active = false;
            }
            this.onSlideAdded.emit({ carousel: this, slide: slide });
        };
        /**
         * Removes a slide from the carousel.
         * ```typescript
         * this.carousel.remove(slide);
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Removes a slide from the carousel.
         * ```typescript
         * this.carousel.remove(slide);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} slide
         * @return {?}
         */
        IgxCarouselComponent.prototype.remove = /**
         * Removes a slide from the carousel.
         * ```typescript
         * this.carousel.remove(slide);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} slide
         * @return {?}
         */
        function (slide) {
            if (slide && slide === this.get(slide.index)) { // check if the requested slide for delete is present in the carousel
                if (slide.index === this.current) {
                    slide.active = false;
                    this.next();
                }
                this.slides.splice(slide.index, 1);
                this._total -= 1;
                if (!this.total) {
                    this._currentSlide = null;
                    return;
                }
                for (var i = 0; i < this.total; i++) {
                    this.slides[i].index = i;
                }
                this.onSlideRemoved.emit({ carousel: this, slide: slide });
            }
        };
        /**
         * Kicks in a transition for a given slide with a given `direction`.
         * ```typescript
         * this.carousel.select(this.carousel.get(2), Direction.NEXT);
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Kicks in a transition for a given slide with a given `direction`.
         * ```typescript
         * this.carousel.select(this.carousel.get(2), Direction.NEXT);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} slide
         * @param {?=} direction
         * @return {?}
         */
        IgxCarouselComponent.prototype.select = /**
         * Kicks in a transition for a given slide with a given `direction`.
         * ```typescript
         * this.carousel.select(this.carousel.get(2), Direction.NEXT);
         * ```
         * \@memberOf IgxCarouselComponent
         * @param {?} slide
         * @param {?=} direction
         * @return {?}
         */
        function (slide, direction) {
            if (direction === void 0) { direction = Direction$1.NONE; }
            /** @type {?} */
            var newIndex = slide.index;
            if (direction === Direction$1.NONE) {
                direction = newIndex > this.current ? Direction$1.NEXT : Direction$1.PREV;
            }
            if (slide && slide !== this._currentSlide) {
                this._moveTo(slide, direction);
            }
        };
        /**
         * Transitions to the next slide in the carousel.
         * ```typescript
         * this.carousel.next();
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Transitions to the next slide in the carousel.
         * ```typescript
         * this.carousel.next();
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        IgxCarouselComponent.prototype.next = /**
         * Transitions to the next slide in the carousel.
         * ```typescript
         * this.carousel.next();
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        function () {
            /** @type {?} */
            var index = (this.current + 1) % this.total;
            if (index === 0 && !this.loop) {
                this.stop();
                return;
            }
            return this.select(this.get(index), Direction$1.NEXT);
        };
        /**
         * Transitions to the previous slide in the carousel.
         * ```typescript
         * this.carousel.prev();
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Transitions to the previous slide in the carousel.
         * ```typescript
         * this.carousel.prev();
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        IgxCarouselComponent.prototype.prev = /**
         * Transitions to the previous slide in the carousel.
         * ```typescript
         * this.carousel.prev();
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        function () {
            /** @type {?} */
            var index = this.current - 1 < 0 ?
                this.total - 1 : this.current - 1;
            if (!this.loop && index === this.total - 1) {
                this.stop();
                return;
            }
            return this.select(this.get(index), Direction$1.PREV);
        };
        /**
         * Resumes playing of the carousel if in paused state.
         * No operation otherwise.
         * ```typescript
         * this.carousel.play();
         * }
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Resumes playing of the carousel if in paused state.
         * No operation otherwise.
         * ```typescript
         * this.carousel.play();
         * }
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        IgxCarouselComponent.prototype.play = /**
         * Resumes playing of the carousel if in paused state.
         * No operation otherwise.
         * ```typescript
         * this.carousel.play();
         * }
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        function () {
            if (!this._playing) {
                this._playing = true;
                this.onCarouselPlaying.emit(this);
                this._restartInterval();
            }
        };
        /**
         * Stops slide transitions if the `pause` option is set to `true`.
         * No operation otherwise.
         * ```typescript
         *  this.carousel.stop();
         * }
         * ```
         * @memberOf IgxCarouselComponent
         */
        /**
         * Stops slide transitions if the `pause` option is set to `true`.
         * No operation otherwise.
         * ```typescript
         *  this.carousel.stop();
         * }
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        IgxCarouselComponent.prototype.stop = /**
         * Stops slide transitions if the `pause` option is set to `true`.
         * No operation otherwise.
         * ```typescript
         *  this.carousel.stop();
         * }
         * ```
         * \@memberOf IgxCarouselComponent
         * @return {?}
         */
        function () {
            if (this.pause) {
                this._playing = false;
                this.onCarouselPaused.emit(this);
                this._resetInterval();
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} slide
         * @param {?} direction
         * @return {?}
         */
        IgxCarouselComponent.prototype._moveTo = /**
         * @hidden
         * @private
         * @param {?} slide
         * @param {?} direction
         * @return {?}
         */
        function (slide, direction) {
            if (this._destroyed) {
                return;
            }
            slide.direction = direction;
            slide.active = true;
            if (this._currentSlide) {
                this._currentSlide.direction = direction;
                this._currentSlide.active = false;
            }
            this._currentSlide = slide;
            this.onSlideChanged.emit({ carousel: this, slide: slide });
            this._restartInterval();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxCarouselComponent.prototype._resetInterval = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            if (this._lastInterval) {
                clearInterval(this._lastInterval);
                this._lastInterval = null;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxCarouselComponent.prototype._restartInterval = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this._resetInterval();
            if (!isNaN(this.interval) && this.interval > 0 && this.platformUtil.isBrowser) {
                this._lastInterval = setInterval(function () {
                    /** @type {?} */
                    var tick = +_this.interval;
                    if (_this._playing && _this.total && !isNaN(tick) && tick > 0) {
                        _this.next();
                    }
                    else {
                        _this.stop();
                    }
                }, this.interval);
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxCarouselComponent.prototype.onKeydownArrowRight = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.next();
            requestAnimationFrame(function () { return _this.nativeElement.focus(); });
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxCarouselComponent.prototype.onKeydownArrowLeft = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.prev();
            requestAnimationFrame(function () { return _this.nativeElement.focus(); });
        };
        IgxCarouselComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-carousel',
                        template: "<div tabindex=\"0\" aria-label=\"carousel\" class=\"igx-carousel\"\n        (mouseenter)=\"stop()\"\n        (mouseleave)=\"play()\"\n        (swipeleft)=\"next()\"\n        (swiperight)=\"prev()\"\n        (tap)=\"isPlaying ? stop() : play()\">\n    <ul class=\"igx-carousel__indicators\" [hidden]=\"slides.length <= 1\">\n        <li *ngFor=\"let slide of slides\" [attr.aria-label]=\"setAriaLabel(slide)\" [attr.aria-selected]=\"slide.active\" [class.active]=\"slide.active === true\"\n            (click)=\"select(slide)\"></li>\n    </ul>\n    <div class=\"igx-carousel__inner\" role=\"list\">\n        <ng-content></ng-content>\n    </div>\n    <div *ngIf=\"navigation\">\n        <a role=\"button\" tabindex=\"0\" class=\"igx-carousel__arrow--prev\" (click)=\"prev()\" [hidden]=\"!slides.length\">\n            <igx-icon fontSet=\"material\">arrow_back</igx-icon>\n        </a>\n        <a role=\"button\" tabindex=\"0\" class=\"igx-carousel__arrow--next\" (click)=\"next()\" [hidden]=\"!slides.length\">\n            <igx-icon fontSet=\"material\">arrow_forward</igx-icon>\n        </a>\n    </div>\n</div>\n",
                        styles: ["\n    :host {\n        display: block;\n        outline-style: none;\n    }"]
                    }] }
        ];
        /** @nocollapse */
        IgxCarouselComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: PlatformUtil }
        ]; };
        IgxCarouselComponent.propDecorators = {
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            loop: [{ type: core.Input }],
            pause: [{ type: core.Input }],
            interval: [{ type: core.Input }],
            tabIndex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            navigation: [{ type: core.Input }],
            onSlideChanged: [{ type: core.Output }],
            onSlideAdded: [{ type: core.Output }],
            onSlideRemoved: [{ type: core.Output }],
            onCarouselPaused: [{ type: core.Output }],
            onCarouselPlaying: [{ type: core.Output }],
            onKeydownArrowRight: [{ type: core.HostListener, args: ['keydown.arrowright',] }],
            onKeydownArrowLeft: [{ type: core.HostListener, args: ['keydown.arrowleft',] }]
        };
        return IgxCarouselComponent;
    }());
    /**
     * A slide component that usually holds an image and/or a caption text.
     * IgxSlideComponent is usually a child component of an IgxCarouselComponent.
     *
     * ```
     * <igx-slide [input bindings] >
     *    <ng-content></ng-content>
     * </igx-slide>
     * ```
     *
     * @export
     */
    var IgxSlideComponent = /** @class */ (function () {
        function IgxSlideComponent(carousel) {
            this.carousel = carousel;
            /**
             * @hidden
             */
            this.activeChange = new core.EventEmitter();
        }
        Object.defineProperty(IgxSlideComponent.prototype, "active", {
            /**
             * Gets/sets the `active` state of the slide.
             * ```html
             * <igx-carousel>
             *  <igx-slide [active] ="false"></igx-slide>
             * <igx-carousel>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-carousel>
             *  <igx-slide [(active)] ="model.isActive"></igx-slide>
             * <igx-carousel>
             * ```
             * @memberof IgxSlideComponent
             */
            get: /**
             * Gets/sets the `active` state of the slide.
             * ```html
             * <igx-carousel>
             *  <igx-slide [active] ="false"></igx-slide>
             * <igx-carousel>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-carousel>
             *  <igx-slide [(active)] ="model.isActive"></igx-slide>
             * <igx-carousel>
             * ```
             * \@memberof IgxSlideComponent
             * @return {?}
             */
            function () {
                return this._active;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._active = value;
                this.activeChange.emit(this._active);
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSlideComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.carousel.add(this);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSlideComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.carousel.remove(this);
        };
        IgxSlideComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-slide',
                        template: "<div\n    role=\"listitem\"\n    [class.active]=\"active\"\n    class=\"igx-slide\"\n    [attr.aria-selected]=\"active\"\n    [attr.aria-live]=\"active ? 'polite' : null\"\n    [attr.tabIndex]=\"active ? 0 : null\"\n>\n    <ng-content></ng-content>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxSlideComponent.ctorParameters = function () { return [
            { type: IgxCarouselComponent }
        ]; };
        IgxSlideComponent.propDecorators = {
            index: [{ type: core.Input }],
            direction: [{ type: core.Input }],
            active: [{ type: core.HostBinding, args: ['class.active',] }, { type: core.Input }],
            activeChange: [{ type: core.Output }]
        };
        return IgxSlideComponent;
    }());
    /**
     * @hidden
     */
    var IgxCarouselModule = /** @class */ (function () {
        function IgxCarouselModule() {
        }
        IgxCarouselModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxCarouselComponent, IgxSlideComponent],
                        exports: [IgxCarouselComponent, IgxSlideComponent],
                        imports: [common.CommonModule, IgxIconModule]
                    },] }
        ];
        return IgxCarouselModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var LabelPosition = {
        BEFORE: 'before',
        AFTER: 'after',
    };
    /** @type {?} */
    var noop$3 = function () { };
    /** @type {?} */
    var nextId$2 = 0;
    /**
     * **Ignite UI for Angular Checkbox** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/checkbox.html)
     *
     * The Ignite UI Checkbox is a selection control that allows users to make a binary choice. It behaves similarly
     * to the native browser checkbox.
     *
     * Example:
     * ```html
     * <igx-checkbox checked="true">
     *   simple checkbox
     * </igx-checkbox>
     * ```
     */
    var IgxCheckboxComponent = /** @class */ (function () {
        function IgxCheckboxComponent() {
            /**
             * Sets/gets the `id` of the checkbox component.
             * If not set, the `id` of the first checkbox component will be `"igx-checkbox-0"`.
             * ```html
             * <igx-checkbox id="my-first-checkbox"></igx-checkbox>
             * ```
             * ```typescript
             * let checkboxId =  this.checkbox.id;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.id = "igx-checkbox-" + nextId$2++;
            /**
             * Sets/gets the id of the `label` element.
             * If not set, the id of the `label` in the first checkbox component will be `"igx-checkbox-0-label"`.
             * ```html
             * <igx-checkbox labelId = "Label1"></igx-checkbox>
             * ```
             * ```typescript
             * let labelId =  this.checkbox.labelId;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.labelId = this.id + "-label";
            /**
             * Sets/gets the value of the `tabindex` attribute.
             * ```html
             * <igx-checkbox [tabindex] = "1"></igx-checkbox>
             * ```
             * ```typescript
             * let tabIndex =  this.checkbox.tabindex;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.tabindex = null;
            /**
             *  Sets/gets the position of the `label`.
             *  If not set, the `labelPosition` will have value `"after"`.
             * ```html
             * <igx-checkbox labelPosition = "before"></igx-checkbox>
             * ```
             * ```typescript
             * let labelPosition =  this.checkbox.labelPosition;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.labelPosition = LabelPosition.AFTER;
            /**
             * Enables/Disables the ripple effect.
             * If not set, `disableRipple` will have value `false`.
             * ```html
             * <igx-checkbox [disableRipple] = "true"></igx-checkbox>
             * ```
             * ```typescript
             * let isRippleDisabled = this.checkbox.desableRipple;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.disableRipple = false;
            /**
             * Sets/gets whether the checkbox is required.
             * If not set, `required` will have value `false`.
             * ```html
             * <igx-checkbox [required] = "true"></igx-checkbox>
             * ```
             * ```typescript
             * let isRequired =  this.checkbox.required;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.required = false;
            /**
             * Sets/gets the `aria-labelledby` attribute.
             * If not set, the `aria-labelledby` will be equal to the value of `labelId` attribute.
             * ```html
             * <igx-checkbox aria-labelledby = "Checkbox1"></igx-checkbox>
             * ```
             * ```typescript
             * let ariaLabelledBy =  this.checkbox.ariaLabelledBy;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.ariaLabelledBy = this.labelId;
            /**
             * Sets/gets the value of the `aria-label` attribute.
             * ```html
             * <igx-checkbox aria-label = "Checkbox1"></igx-checkbox>
             * ```
             * ```typescript
             * let ariaLabel = this.checkbox.aruaLabel;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.ariaLabel = null;
            /**
             * An event that is emitted after the checkbox state is changed.
             * Provides references to the `IgxCheckboxComponent` and the `checked` property as event arguments.
             * \@memberof IgxCheckboxComponent
             */
            this.change = new core.EventEmitter();
            /**
             * Returns the class of the checkbox component.
             * ```typescript
             * let class =  this.checkbox.cssClass;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.cssClass = 'igx-checkbox';
            /**
             * Sets/gets whether the checkbox component is on focus.
             * Default value is `false`.
             * ```typescript
             * this.checkbox.focused =  true;
             * ```
             * ```typescript
             * let isFocused =  this.checkbox.focused;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.focused = false;
            /**
             * Sets/gets the checkbox indeterminate visual state.
             * Default value is `false`;
             * ```html
             * <igx-checkbox [indeterminate] = "true"></igx-checkbox>
             * ```
             * ```typescript
             * let isIndeterminate = this.checkbox.indeterminate;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.indeterminate = false;
            /**
             * Sets/gets whether the checkbox is checked.
             * Default value is `false`.
             * ```html
             * <igx-checkbox [checked] = "true"></igx-checkbox>
             * ```
             * ```typescript
             * let isChecked =  this.checkbox.checked;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.checked = false;
            /**
             * Sets/gets whether the checkbox is disabled.
             * Default value is `false`.
             * ```html
             * <igx-checkbox [disabled] = "true"></igx-checkbox>
             * ```
             * ```typescript
             * let isDisabled = this.checkbox.disabled;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.disabled = false;
            /**
             * Sets/gets whether the checkbox is readonly.
             * Default value is `false`.
             * ```html
             * <igx-checkbox [readonly]="true"></igx-checkbox>
             * ```
             * ```typescript
             * let readonly = this.checkbox.readonly;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.readonly = false;
            /**
             * Sets/gets whether the checkbox should disable all css transitions.
             * Default value is `false`.
             * ```html
             * <igx-checkbox [disableTransitions]="true"></igx-checkbox>
             * ```
             * ```typescript
             * let disableTransitions = this.checkbox.disableTransitions;
             * ```
             * \@memberof IgxCheckboxComponent
             */
            this.disableTransitions = false;
            /**
             * @hidden
             */
            this.inputId = this.id + "-input";
            /**
             * @hidden
             */
            this._onTouchedCallback = noop$3;
            /**
             * @hidden
             */
            this._onChangeCallback = noop$3;
        }
        /**
         * If `disabled` is `false`, switches the `checked` state.
         * ```typescript
         * this.checkbox.toggle();
         * ```
         * @memberof IgxCheckboxComponent
         */
        /**
         * If `disabled` is `false`, switches the `checked` state.
         * ```typescript
         * this.checkbox.toggle();
         * ```
         * \@memberof IgxCheckboxComponent
         * @return {?}
         */
        IgxCheckboxComponent.prototype.toggle = /**
         * If `disabled` is `false`, switches the `checked` state.
         * ```typescript
         * this.checkbox.toggle();
         * ```
         * \@memberof IgxCheckboxComponent
         * @return {?}
         */
        function () {
            if (this.disabled || this.readonly) {
                return;
            }
            this.indeterminate = false;
            this.focused = false;
            this.checked = !this.checked;
            this.change.emit({ checked: this.checked, checkbox: this });
            this._onChangeCallback(this.checked);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxCheckboxComponent.prototype._onCheckboxChange = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // We have to stop the original checkbox change event
            // from bubbling up since we emit our own change event
            event.stopPropagation();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxCheckboxComponent.prototype._onCheckboxClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // Since the original checkbox is hidden and the label
            // is used for styling and to change the checked state of the checkbox,
            // we need to prevent the checkbox click event from bubbling up
            // as it gets triggered on label click
            event.stopPropagation();
            if (this.readonly) {
                // readonly prevents the component from changing state (see toggle() method).
                // However, the native checkbox can still be activated through user interaction (focus + space, label click)
                // Prevent the native change so the input remains in sync
                event.preventDefault();
            }
            if (isIE()) {
                this.nativeCheckbox.nativeElement.blur();
            }
            this.toggle();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxCheckboxComponent.prototype._onLabelClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // We use a span element as a placeholder label
            // in place of the native label, we need to emit
            // the change event separately here alongside
            // the click event emitted on click
            this.toggle();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxCheckboxComponent.prototype.onFocus = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.focused = true;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxCheckboxComponent.prototype.onBlur = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.focused = false;
            this._onTouchedCallback();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxCheckboxComponent.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._value = value;
            this.checked = !!this._value;
        };
        Object.defineProperty(IgxCheckboxComponent.prototype, "labelClass", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                switch (this.labelPosition) {
                    case LabelPosition.BEFORE:
                        return this.cssClass + "__label--before";
                    case LabelPosition.AFTER:
                    default:
                        return this.cssClass + "__label";
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxCheckboxComponent.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxCheckboxComponent.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onTouchedCallback = fn; };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxCheckboxComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this.nativeCheckbox.nativeElement;
        };
        IgxCheckboxComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxCheckboxComponent, multi: true }],
                        selector: 'igx-checkbox',
                        preserveWhitespaces: false,
                        template: "<input #checkbox class=\"igx-checkbox__input\"\n    type=\"checkbox\"\n    [id]=\"inputId\"\n    [name]=\"name\"\n    [value]=\"value\"\n    [tabindex]=\"tabindex\"\n    [disabled]=\"disabled\"\n    [indeterminate]=\"indeterminate\"\n    [checked]=\"checked\"\n    [required]=\"required\"\n    [attr.aria-checked]=\"checked\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-label]=\"ariaLabel\"\n    (change)=\"_onCheckboxChange($event)\"\n    (click)=\"_onCheckboxClick($event)\"\n    (focus)=\"onFocus($event)\"\n    (blur)=\"onBlur($event)\" />\n\n<div\n    igxRipple\n    igxRippleTarget=\".igx-checkbox__ripple\"\n    [igxRippleDisabled]=\"disableRipple\"\n    [igxRippleCentered]=\"true\"\n    [igxRippleDuration]=\"300\"\n    class=\"igx-checkbox__composite-wrapper\"\n>\n    <label #label class=\"igx-checkbox__composite\"\n        [attr.for]=\"inputId\">\n        <svg class=\"igx-checkbox__composite-mark\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n            <path d=\"M4.1,12.7 9,17.6 20.3,6.3\" />\n        </svg>\n    </label>\n\n    <div class=\"igx-checkbox__ripple\"></div>\n</div>\n\n<span #placeholderLabel role=\"label\"\n    [class]=\"labelClass\"\n    [id]=\"labelId\"\n    (click)=\"_onLabelClick($event)\">\n    <ng-content></ng-content>\n</span>\n"
                    }] }
        ];
        IgxCheckboxComponent.propDecorators = {
            nativeCheckbox: [{ type: core.ViewChild, args: ['checkbox', { static: true },] }],
            nativeLabel: [{ type: core.ViewChild, args: ['label', { static: true },] }],
            placeholderLabel: [{ type: core.ViewChild, args: ['placeholderLabel', { static: true },] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            labelId: [{ type: core.Input }],
            value: [{ type: core.Input }],
            name: [{ type: core.Input }],
            tabindex: [{ type: core.Input }],
            labelPosition: [{ type: core.Input }],
            disableRipple: [{ type: core.Input }],
            required: [{ type: core.Input }],
            ariaLabelledBy: [{ type: core.Input, args: ['aria-labelledby',] }],
            ariaLabel: [{ type: core.Input, args: ['aria-label',] }],
            change: [{ type: core.Output }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-checkbox',] }],
            focused: [{ type: core.HostBinding, args: ['class.igx-checkbox--focused',] }],
            indeterminate: [{ type: core.HostBinding, args: ['class.igx-checkbox--indeterminate',] }, { type: core.Input }],
            checked: [{ type: core.HostBinding, args: ['class.igx-checkbox--checked',] }, { type: core.Input }],
            disabled: [{ type: core.HostBinding, args: ['class.igx-checkbox--disabled',] }, { type: core.Input }],
            readonly: [{ type: core.Input }],
            disableTransitions: [{ type: core.HostBinding, args: ['class.igx-checkbox--plain',] }, { type: core.Input }]
        };
        return IgxCheckboxComponent;
    }());
    /** @type {?} */
    var IGX_CHECKBOX_REQUIRED_VALIDATOR = {
        provide: forms.NG_VALIDATORS,
        useExisting: core.forwardRef(function () { return IgxCheckboxRequiredDirective; }),
        multi: true
    };
    /* tslint:disable directive-selector */
    var IgxCheckboxRequiredDirective = /** @class */ (function (_super) {
        __extends(IgxCheckboxRequiredDirective, _super);
        function IgxCheckboxRequiredDirective() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        IgxCheckboxRequiredDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: "igx-checkbox[required][formControlName],\n    igx-checkbox[required][formControl],\n    igx-checkbox[required][ngModel]",
                        providers: [IGX_CHECKBOX_REQUIRED_VALIDATOR]
                    },] }
        ];
        return IgxCheckboxRequiredDirective;
    }(forms.CheckboxRequiredValidator));
    /**
     * @hidden
     */
    var IgxCheckboxModule = /** @class */ (function () {
        function IgxCheckboxModule() {
        }
        IgxCheckboxModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxCheckboxComponent, IgxCheckboxRequiredDirective],
                        exports: [IgxCheckboxComponent, IgxCheckboxRequiredDirective],
                        imports: [IgxRippleModule]
                    },] }
        ];
        return IgxCheckboxModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var CHIP_ID = 0;
    var IgxChipComponent = /** @class */ (function (_super) {
        __extends(IgxChipComponent, _super);
        function IgxChipComponent(cdr, elementRef, renderer, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.cdr = cdr;
            _this.elementRef = elementRef;
            _this.renderer = renderer;
            _this._displayDensityOptions = _displayDensityOptions;
            /**
             * An \@Input property that sets the value of `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-chip [id]="'igx-chip-1'"></igx-chip>
             * ```
             */
            _this.id = "igx-chip-" + CHIP_ID++;
            /**
             * An \@Input property that defines if the `IgxChipComponent` can be dragged in order to change it's position.
             * By default it is set to false.
             * ```html
             * <igx-chip [id]="'igx-chip-1'" [draggable]="true"></igx-chip>
             * ```
             */
            _this.draggable = false;
            /**
             * An \@Input property that enables/disables the draggable element animation when the element is released.
             * By default it's set to true.
             * ```html
             * <igx-chip [id]="'igx-chip-1'" [draggable]="true" [animateOnRelease]="false"></igx-chip>
             * ```
             */
            _this.animateOnRelease = true;
            /**
             * An \@Input property that enables/disables the hiding of the base element that has been dragged.
             * By default it's set to true.
             * ```html
             * <igx-chip [id]="'igx-chip-1'" [draggable]="true" [hideBaseOnDrag]="false"></igx-chip>
             * ```
             */
            _this.hideBaseOnDrag = true;
            /**
             * An \@Input property that defines if the `IgxChipComponent` should render remove button and throw remove events.
             * By default it is set to false.
             * ```html
             * <igx-chip [id]="'igx-chip-1'" [draggable]="true" [removable]="true"></igx-chip>
             * ```
             */
            _this.removable = false;
            /**
             * An \@Input property that defines if the `IgxChipComponent` can be selected on click or through navigation,
             * By default it is set to false.
             * ```html
             * <igx-chip [id]="chip.id" [draggable]="true" [removable]="true" [selectable]="true"></igx-chip>
             * ```
             */
            _this.selectable = false;
            /**
             * @hidden
             */
            _this.class = '';
            /**
             * An \@Input property that defines if the `IgxChipComponent` is disabled. When disabled it restricts user interactions
             * like focusing on click or tab, selection on click or Space, dragging.
             * By default it is set to false.
             * ```html
             * <igx-chip [id]="chip.id" [disabled]="true"></igx-chip>
             * ```
             */
            _this.disabled = false;
            /**
             * @hidden
             */
            _this.selectedChange = new core.EventEmitter();
            /**
             * Emits an event when the `IgxChipComponent` moving starts.
             * Returns the moving `IgxChipComponent`.
             * ```typescript
             * moveStarted(event: IBaseChipEventArgs){
             *     let movingChip = event.owner;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [draggable]="true" (onMoveStart)="moveStarted($event)">
             * ```
             */
            _this.onMoveStart = new core.EventEmitter();
            /**
             * Emits an event when the `IgxChipComponent` moving ends.
             * Returns the moved `IgxChipComponent`.
             * ```typescript
             * moveEnded(event: IBaseChipEventArgs){
             *     let movedChip = event.owner;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [draggable]="true" (onMoveEnd)="moveEnded($event)">
             * ```
             */
            _this.onMoveEnd = new core.EventEmitter();
            /**
             * Emits an event when the `IgxChipComponent` is removed.
             * Returns the removed `IgxChipComponent`.
             * ```typescript
             * remove(event: IBaseChipEventArgs){
             *     let removedChip = event.owner;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [draggable]="true" (onRemove)="remove($event)">
             * ```
             */
            _this.onRemove = new core.EventEmitter();
            /**
             * Emits an event when the `IgxChipComponent` is clicked.
             * Returns the clicked `IgxChipComponent`, whether the event should be canceled.
             * ```typescript
             * chipClick(event: IChipClickEventArgs){
             *     let clickedChip = event.owner;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [draggable]="true" (onClick)="chipClick($event)">
             * ```
             */
            _this.onClick = new core.EventEmitter();
            /**
             * Emits event when the `IgxChipComponent` is selected/deselected.
             * Returns the selected chip reference, whether the event should be canceled, what is the next selection state and
             * when the event is triggered by interaction `originalEvent` is provided, otherwise `originalEvent` is `null`.
             * ```typescript
             * chipSelect(event: IChipSelectEventArgs){
             *     let selectedChip = event.owner;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" (onSelection)="chipSelect($event)">
             * ```
             */
            _this.onSelection = new core.EventEmitter();
            /**
             * Emits event when the `IgxChipComponent` is selected/deselected and any related animations and transitions also end.
             * ```typescript
             * chipSelectEnd(event: IBaseChipEventArgs){
             *     let selectedChip = event.owner;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" (onSelectionDone)="chipSelectEnd($event)">
             * ```
             */
            _this.onSelectionDone = new core.EventEmitter();
            /**
             * Emits an event when the `IgxChipComponent` keyboard navigation is being used.
             * Returns the focused/selected `IgxChipComponent`, whether the event should be canceled,
             * if the `alt`, `shift` or `control` key is pressed and the pressed key name.
             * ```typescript
             * chipKeyDown(event: IChipKeyDownEventArgs){
             *     let keyDown = event.key;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [draggable]="true" (onKeyDown)="chipKeyDown($event)">
             * ```
             */
            _this.onKeyDown = new core.EventEmitter();
            /**
             * Emits an event when the `IgxChipComponent` has entered the `IgxChipsAreaComponent`.
             * Returns the target `IgxChipComponent`, the drag `IgxChipComponent`, as  well as
             * the original drop event arguments.
             * ```typescript
             * chipEnter(event: IChipEnterDragAreaEventArgs){
             *     let targetChip = event.targetChip;
             * }
             * ```
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [draggable]="true" (onDragEnter)="chipEnter($event)">
             * ```
             */
            _this.onDragEnter = new core.EventEmitter();
            _this._selected = false;
            _this._selectedItemClass = 'igx-chip__item--selected';
            _this._movedWhileRemoving = false;
            return _this;
        }
        Object.defineProperty(IgxChipComponent.prototype, "selected", {
            /**
             * Returns if the `IgxChipComponent` is selected.
             * ```typescript
             * @ViewChild('myChip')
             * public chip: IgxChipComponent;
             * selectedChip(){
             *     let selectedChip = this.chip.selected;
             * }
             * ```
             */
            get: /**
             * Returns if the `IgxChipComponent` is selected.
             * ```typescript
             * \@ViewChild('myChip')
             * public chip: IgxChipComponent;
             * selectedChip(){
             *     let selectedChip = this.chip.selected;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._selected;
            },
            /**
             * Sets the `IgxChipComponent` selected state.
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" [selected]="true">
             * ```
             *
             * Two-way data binding:
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" [(selected)]="model.isSelected">
             * ```
             */
            set: /**
             * Sets the `IgxChipComponent` selected state.
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" [selected]="true">
             * ```
             *
             * Two-way data binding:
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [selectable]="true" [(selected)]="model.isSelected">
             * ```
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                this.changeSelection(newValue);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChipComponent.prototype, "color", {
            /**
             * Returns the background color of the `IgxChipComponent`.
             * ```typescript
             * @ViewChild('myChip')
             * public chip: IgxChipComponent;
             * ngAfterViewInit(){
             *     let chipColor = this.chip.color;
             * }
             * ```
             */
            get: /**
             * Returns the background color of the `IgxChipComponent`.
             * ```typescript
             * \@ViewChild('myChip')
             * public chip: IgxChipComponent;
             * ngAfterViewInit(){
             *     let chipColor = this.chip.color;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.chipArea.nativeElement.style.backgroundColor;
            },
            /**
             * An @Input property that sets the `IgxChipComponent` background color.
             * The `color` property supports string, rgb, hex.
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [color]="'#ff0000'"></igx-chip>
             * ```
             */
            set: /**
             * An \@Input property that sets the `IgxChipComponent` background color.
             * The `color` property supports string, rgb, hex.
             * ```html
             * <igx-chip #myChip [id]="'igx-chip-1'" [color]="'#ff0000'"></igx-chip>
             * ```
             * @param {?} newColor
             * @return {?}
             */
            function (newColor) {
                this.chipArea.nativeElement.style.backgroundColor = newColor;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChipComponent.prototype, "hostClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var classes = [this.getComponentDensityClass('igx-chip')];
                classes.push(this.disabled ? 'igx-chip--disabled' : '');
                // The custom classes should be at the end.
                classes.push(this.class);
                return classes.join(' ');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChipComponent.prototype, "removeButtonTemplate", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.removeIcon || this.defaultRemoveIcon;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChipComponent.prototype, "selectIconTemplate", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.selectIcon || this.defaultSelectIcon;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChipComponent.prototype, "ghostClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.getComponentDensityClass('igx-chip__ghost');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChipComponent.prototype, "chipTabindex", {
            get: /**
             * @return {?}
             */
            function () {
                return !this.disabled ? 0 : '';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} condition
         * @return {?}
         */
        IgxChipComponent.prototype.selectClass = /**
         * @hidden
         * @param {?} condition
         * @return {?}
         */
        function (condition) {
            var _a;
            /** @type {?} */
            var SELECT_CLASS = 'igx-chip__select';
            return _a = {},
                _a[SELECT_CLASS] = condition,
                _a[SELECT_CLASS + "--hidden"] = !condition,
                _a;
        };
        /**
         * @protected
         * @param {?} newValue
         * @param {?=} srcEvent
         * @return {?}
         */
        IgxChipComponent.prototype.changeSelection = /**
         * @protected
         * @param {?} newValue
         * @param {?=} srcEvent
         * @return {?}
         */
        function (newValue, srcEvent) {
            if (srcEvent === void 0) { srcEvent = null; }
            /** @type {?} */
            var onSelectArgs = {
                originalEvent: srcEvent,
                owner: this,
                selected: false,
                cancel: false
            };
            if (newValue && !this._selected) {
                onSelectArgs.selected = true;
                this.onSelection.emit(onSelectArgs);
                if (!onSelectArgs.cancel) {
                    this.renderer.addClass(this.chipArea.nativeElement, this._selectedItemClass);
                    this._selected = newValue;
                    this.selectedChange.emit(this._selected);
                }
            }
            else if (!newValue && this._selected) {
                this.onSelection.emit(onSelectArgs);
                if (!onSelectArgs.cancel) {
                    this.renderer.removeClass(this.chipArea.nativeElement, this._selectedItemClass);
                    this._selected = newValue;
                    this.selectedChange.emit(this._selected);
                }
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onSelectTransitionDone = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.propertyName === 'width' && !!event.target.tagName) {
                // Trigger onSelectionDone on when `width` property is changed and the target is valid element(not comment).
                this.onSelectionDone.emit({
                    owner: this,
                    originalEvent: event
                });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onChipKeyDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var keyDownArgs = {
                originalEvent: event,
                owner: this,
                cancel: false
            };
            this.onKeyDown.emit(keyDownArgs);
            if (keyDownArgs.cancel) {
                return;
            }
            if ((event.key === 'Delete' || event.key === 'Del') && this.removable) {
                this.onRemove.emit({
                    originalEvent: event,
                    owner: this
                });
            }
            if ((event.key === ' ' || event.key === 'Spacebar') && this.selectable && !this.disabled) {
                this.changeSelection(!this.selected, event);
            }
            if (event.key !== 'Tab') {
                event.preventDefault();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onRemoveBtnKeyDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.key === ' ' || event.key === 'Spacebar' || event.key === 'Enter') {
                this.onRemove.emit({
                    originalEvent: event,
                    owner: this
                });
                event.preventDefault();
                event.stopPropagation();
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onRemoveMouseDown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onRemoveClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onRemove.emit({
                originalEvent: event,
                owner: this
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChipComponent.prototype.onRemoveTouchMove = /**
         * @hidden
         * @return {?}
         */
        function () {
            // We don't remove chip if user starting touch interacting on the remove button moves the chip
            this._movedWhileRemoving = true;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onRemoveTouchEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this._movedWhileRemoving) {
                this.onRemoveClick(event);
            }
            this._movedWhileRemoving = false;
        };
        /**
         * @hidden
         */
        // -----------------------------
        // Start chip igxDrag behavior
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        // -----------------------------
        // Start chip igxDrag behavior
        IgxChipComponent.prototype.onChipDragStart = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        // -----------------------------
        // Start chip igxDrag behavior
        function (event) {
            this.onMoveStart.emit({
                originalEvent: event,
                owner: this
            });
            event.cancel = !this.draggable || this.disabled;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChipComponent.prototype.onChipDragEnd = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.animateOnRelease) {
                this.dragDirective.transitionToOrigin();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onChipMoveEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // moveEnd is triggered after return animation has finished. This happen when we drag and release the chip.
            this.onMoveEnd.emit({
                originalEvent: event,
                owner: this
            });
            if (this.selected) {
                this.chipArea.nativeElement.focus();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onChipDragClicked = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var clickEventArgs = {
                originalEvent: event,
                owner: this,
                cancel: false
            };
            this.onClick.emit(clickEventArgs);
            if (!clickEventArgs.cancel && this.selectable && !this.disabled) {
                this.changeSelection(!this.selected, event);
            }
        };
        // End chip igxDrag behavior
        /**
         * @hidden
         */
        // -----------------------------
        // Start chip igxDrop behavior
        // End chip igxDrag behavior
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        // -----------------------------
        // Start chip igxDrop behavior
        IgxChipComponent.prototype.onChipDragEnterHandler = 
        // End chip igxDrag behavior
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        // -----------------------------
        // Start chip igxDrop behavior
        function (event) {
            if (this.dragDirective === event.drag || !event.drag.data || !event.drag.data.chip) {
                return;
            }
            /** @type {?} */
            var eventArgs = {
                owner: this,
                dragChip: event.drag.data.chip,
                originalEvent: event
            };
            this.onDragEnter.emit(eventArgs);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxChipComponent.prototype.onChipDrop = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // Cancel the default drop logic
            event.cancel = true;
        };
        IgxChipComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-chip',
                        template: "<div #chipArea class=\"igx-chip__item\"\n    [attr.tabindex]=\"chipTabindex\"\n    (keydown)=\"onChipKeyDown($event)\"\n    [igxDrag]=\"{chip: this}\"\n    [hideBaseOnDrag]=\"hideBaseOnDrag\"\n    [ghostClass]=\"ghostClass\"\n    (dragStart)=\"onChipDragStart($event)\"\n    (dragEnd)=\"onChipDragEnd()\"\n    (transitioned)=\"onChipMoveEnd($event)\"\n    (dragClick)=\"onChipDragClicked($event)\"\n    igxDrop\n    (enter)=\"onChipDragEnterHandler($event)\"\n    (dropped)=\"onChipDrop($event)\">\n\n    <div [ngClass]=\"selectClass(selected)\" (transitionend)=\"onSelectTransitionDone($event)\">\n        <ng-container *ngTemplateOutlet=\"selectIconTemplate\"></ng-container>\n    </div>\n\n    <ng-content select=\"igx-prefix,[igxPrefix]\"></ng-content>\n\n    <div class=\"igx-chip__content\">\n        <ng-content></ng-content>\n    </div>\n\n    <ng-content select=\"igx-suffix,[igxSuffix]\"></ng-content>\n\n    <div class=\"igx-chip__remove\" *ngIf=\"removable\"\n        tabindex=\"0\"\n        (keydown)=\"onRemoveBtnKeyDown($event)\"\n        (pointerdown)=\"onRemoveMouseDown($event)\"\n        (mousedown)=\"onRemoveMouseDown($event)\"\n        (click)=\"onRemoveClick($event)\"\n        (touchmove)=\"onRemoveTouchMove()\"\n        (touchend)=\"onRemoveTouchEnd($event)\">\n        <ng-container *ngTemplateOutlet=\"removeButtonTemplate\"></ng-container>\n    </div>\n</div>\n\n<ng-template #defaultSelectIcon>\n    <igx-icon>done</igx-icon>\n</ng-template>\n\n<ng-template #defaultRemoveIcon>\n    <igx-icon>cancel</igx-icon>\n</ng-template>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxChipComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxChipComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            data: [{ type: core.Input }],
            draggable: [{ type: core.Input }],
            animateOnRelease: [{ type: core.Input }],
            hideBaseOnDrag: [{ type: core.Input }],
            removable: [{ type: core.Input }],
            removeIcon: [{ type: core.Input }],
            selectable: [{ type: core.Input }],
            selectIcon: [{ type: core.Input }],
            class: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            selected: [{ type: core.Input }],
            selectedChange: [{ type: core.Output }],
            color: [{ type: core.Input }],
            onMoveStart: [{ type: core.Output }],
            onMoveEnd: [{ type: core.Output }],
            onRemove: [{ type: core.Output }],
            onClick: [{ type: core.Output }],
            onSelection: [{ type: core.Output }],
            onSelectionDone: [{ type: core.Output }],
            onKeyDown: [{ type: core.Output }],
            onDragEnter: [{ type: core.Output }],
            hostClass: [{ type: core.HostBinding, args: ['attr.class',] }],
            dragDirective: [{ type: core.ViewChild, args: ['chipArea', { read: IgxDragDirective, static: true },] }],
            chipArea: [{ type: core.ViewChild, args: ['chipArea', { read: core.ElementRef, static: true },] }],
            defaultRemoveIcon: [{ type: core.ViewChild, args: ['defaultRemoveIcon', { read: core.TemplateRef, static: true },] }],
            defaultSelectIcon: [{ type: core.ViewChild, args: ['defaultSelectIcon', { read: core.TemplateRef, static: true },] }]
        };
        return IgxChipComponent;
    }(DisplayDensityBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxChipsAreaComponent = /** @class */ (function () {
        function IgxChipsAreaComponent(cdr, element, _iterableDiffers) {
            this.cdr = cdr;
            this.element = element;
            this._iterableDiffers = _iterableDiffers;
            /**
             * @hidden
             */
            this.class = '';
            /**
             * Emits an event when `IgxChipComponent`s in the `IgxChipsAreaComponent` should be reordered.
             * Returns an array of `IgxChipComponent`s.
             * ```html
             * <igx-chips-area #chipsArea [width]="'300'" [height]="'10'" (onReorder)="changedOrder($event)"></igx-chips-area>
             * ```
             * ```typescript
             * public changedOrder(event: IChipsAreaReorderEventArgs){
             *      let chips: IgxChipComponent[] = event.chipsArray;
             * }
             * ```
             */
            this.onReorder = new core.EventEmitter();
            /**
             * Emits an event when an `IgxChipComponent` in the `IgxChipsAreaComponent` is selected/deselected.
             * Fired after the chips area is initialized if there are initially selected chips as well.
             * Returns an array of selected `IgxChipComponent`s and the `IgxChipAreaComponent`.
             * ```html
             * <igx-chips-area #chipsArea [width]="'300'" [height]="'10'" (onSelection)="selection($event)"></igx-chips-area>
             * ```
             * ```typescript
             * public selection(event: IChipsAreaSelectEventArgs){
             *      let selectedChips: IgxChipComponent[] = event.newSelection;
             * }
             */
            this.onSelection = new core.EventEmitter();
            /**
             * Emits an event when an `IgxChipComponent` in the `IgxChipsAreaComponent` is moved.
             * ```html
             * <igx-chips-area #chipsArea [width]="'300'" [height]="'10'" (onMoveStart)="moveStart($event)"></igx-chips-area>
             * ```
             * ```typescript
             * moveStart(event: IBaseChipsAreaEventArgs){
             *      let chipArea = event.owner;
             * }
             * ```
             */
            this.onMoveStart = new core.EventEmitter();
            /**
             * Emits an event after an `IgxChipComponent` in the `IgxChipsAreaComponent` is moved.
             * ```html
             * <igx-chips-area #chipsArea [width]="'300'" [height]="'10'" (onMoveEnd)="moveEnd($event)"></igx-chips-area>
             * ```
             * ```typescript
             * moveEnd(event: IBaseChipsAreaEventArgs){
             *      let chipArea = event.owner;
             * }
             * ```
             */
            this.onMoveEnd = new core.EventEmitter();
            this._differ = null;
            this.destroy$ = new rxjs.Subject();
            this._differ = this._iterableDiffers.find([]).create(null);
        }
        Object.defineProperty(IgxChipsAreaComponent.prototype, "hostClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var classes = ['igx-chip-area'];
                classes.push(this.class);
                return classes.join(' ');
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            // If we have initially selected chips through their inputs, we need to get them, because we cannot listen to their events yet.
            if (this.chipsList.length) {
                /** @type {?} */
                var selectedChips = this.chipsList.filter(function (item) { return item.selected; });
                if (selectedChips.length) {
                    this.onSelection.emit({
                        originalEvent: null,
                        newSelection: selectedChips,
                        owner: this
                    });
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.ngDoCheck = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.chipsList) {
                /** @type {?} */
                var changes = this._differ.diff(this.chipsList.toArray());
                if (changes) {
                    changes.forEachAddedItem(function (addedChip) {
                        addedChip.item.onMoveStart.pipe(operators.takeUntil(_this.destroy$)).subscribe(function (args) {
                            _this.onChipMoveStart(args);
                        });
                        addedChip.item.onMoveEnd.pipe(operators.takeUntil(_this.destroy$)).subscribe(function (args) {
                            _this.onChipMoveEnd(args);
                        });
                        addedChip.item.onDragEnter.pipe(operators.takeUntil(_this.destroy$)).subscribe(function (args) {
                            _this.onChipDragEnter(args);
                        });
                        addedChip.item.onKeyDown.pipe(operators.takeUntil(_this.destroy$)).subscribe(function (args) {
                            _this.onChipKeyDown(args);
                        });
                        if (addedChip.item.selectable) {
                            addedChip.item.onSelection.pipe(operators.takeUntil(_this.destroy$)).subscribe(function (args) {
                                _this.onChipSelectionChange(args);
                            });
                        }
                    });
                    this.modifiedChipsArray = this.chipsList.toArray();
                }
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.onChipKeyDown = /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var orderChanged = false;
            /** @type {?} */
            var chipsArray = this.chipsList.toArray();
            /** @type {?} */
            var dragChipIndex = chipsArray.findIndex(function (el) { return el === event.owner; });
            if (event.originalEvent.shiftKey === true) {
                if (event.originalEvent.key === 'ArrowLeft' || event.originalEvent.key === 'Left') {
                    orderChanged = this.positionChipAtIndex(dragChipIndex, dragChipIndex - 1, false, event.originalEvent);
                    if (orderChanged) {
                        setTimeout(function () {
                            _this.chipsList.toArray()[dragChipIndex - 1].chipArea.nativeElement.focus();
                        });
                    }
                }
                else if (event.originalEvent.key === 'ArrowRight' || event.originalEvent.key === 'Right') {
                    orderChanged = this.positionChipAtIndex(dragChipIndex, dragChipIndex + 1, true, event.originalEvent);
                }
            }
            else {
                if ((event.originalEvent.key === 'ArrowLeft' || event.originalEvent.key === 'Left') && dragChipIndex > 0) {
                    chipsArray[dragChipIndex - 1].chipArea.nativeElement.focus();
                }
                else if ((event.originalEvent.key === 'ArrowRight' || event.originalEvent.key === 'Right') &&
                    dragChipIndex < chipsArray.length - 1) {
                    chipsArray[dragChipIndex + 1].chipArea.nativeElement.focus();
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.onChipMoveStart = /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onMoveStart.emit({
                originalEvent: event.originalEvent,
                owner: this
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.onChipMoveEnd = /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onMoveEnd.emit({
                originalEvent: event.originalEvent,
                owner: this
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.onChipDragEnter = /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var dropChipIndex = this.chipsList.toArray().findIndex(function (el) { return el === event.owner; });
            /** @type {?} */
            var dragChipIndex = this.chipsList.toArray().findIndex(function (el) { return el === event.dragChip; });
            if (dragChipIndex < dropChipIndex) {
                // from the left to right
                this.positionChipAtIndex(dragChipIndex, dropChipIndex, true, event.originalEvent);
            }
            else {
                // from the right to left
                this.positionChipAtIndex(dragChipIndex, dropChipIndex, false, event.originalEvent);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} chipIndex
         * @param {?} targetIndex
         * @param {?} shiftRestLeft
         * @param {?} originalEvent
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.positionChipAtIndex = /**
         * @hidden
         * @protected
         * @param {?} chipIndex
         * @param {?} targetIndex
         * @param {?} shiftRestLeft
         * @param {?} originalEvent
         * @return {?}
         */
        function (chipIndex, targetIndex, shiftRestLeft, originalEvent) {
            if (chipIndex < 0 || this.chipsList.length <= chipIndex ||
                targetIndex < 0 || this.chipsList.length <= targetIndex) {
                return false;
            }
            /** @type {?} */
            var chipsArray = this.chipsList.toArray();
            /** @type {?} */
            var result = [];
            for (var i = 0; i < chipsArray.length; i++) {
                if (shiftRestLeft) {
                    if (chipIndex <= i && i < targetIndex) {
                        result.push(chipsArray[i + 1]);
                    }
                    else if (i === targetIndex) {
                        result.push(chipsArray[chipIndex]);
                    }
                    else {
                        result.push(chipsArray[i]);
                    }
                }
                else {
                    if (targetIndex < i && i <= chipIndex) {
                        result.push(chipsArray[i - 1]);
                    }
                    else if (i === targetIndex) {
                        result.push(chipsArray[chipIndex]);
                    }
                    else {
                        result.push(chipsArray[i]);
                    }
                }
            }
            this.modifiedChipsArray = result;
            /** @type {?} */
            var eventData = {
                chipsArray: this.modifiedChipsArray,
                originalEvent: originalEvent,
                owner: this
            };
            this.onReorder.emit(eventData);
            return true;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        IgxChipsAreaComponent.prototype.onChipSelectionChange = /**
         * @hidden
         * @protected
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var selectedChips = this.chipsList.filter(function (chip) { return chip.selected; });
            if (event.selected && !selectedChips.includes(event.owner)) {
                selectedChips.push(event.owner);
            }
            else if (!event.selected && selectedChips.includes(event.owner)) {
                selectedChips = selectedChips.filter(function (chip) {
                    return chip.id !== event.owner.id;
                });
            }
            this.onSelection.emit({
                originalEvent: event.originalEvent,
                newSelection: selectedChips,
                owner: this
            });
        };
        IgxChipsAreaComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-chips-area',
                        template: "<ng-content></ng-content>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxChipsAreaComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.IterableDiffers }
        ]; };
        IgxChipsAreaComponent.propDecorators = {
            class: [{ type: core.Input }],
            hostClass: [{ type: core.HostBinding, args: ['attr.class',] }],
            width: [{ type: core.HostBinding, args: ['style.width.px',] }, { type: core.Input }],
            height: [{ type: core.HostBinding, args: ['style.height.px',] }, { type: core.Input }],
            onReorder: [{ type: core.Output }],
            onSelection: [{ type: core.Output }],
            onMoveStart: [{ type: core.Output }],
            onMoveEnd: [{ type: core.Output }],
            chipsList: [{ type: core.ContentChildren, args: [IgxChipComponent,] }]
        };
        return IgxChipsAreaComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxChipsModule = /** @class */ (function () {
        function IgxChipsModule() {
        }
        IgxChipsModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxChipsAreaComponent,
                            IgxChipComponent
                        ],
                        exports: [
                            IgxChipsAreaComponent,
                            IgxChipComponent,
                            IgxPrefixDirective,
                            IgxSuffixDirective
                        ],
                        imports: [
                            common.CommonModule,
                            IgxRippleModule,
                            IgxIconModule,
                            IgxButtonModule,
                            IgxAvatarModule,
                            IgxDragDropModule,
                            IgxPrefixModule,
                            IgxSuffixModule
                        ]
                    },] }
        ];
        return IgxChipsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxComboHeaderDirective = /** @class */ (function () {
        function IgxComboHeaderDirective() {
        }
        IgxComboHeaderDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboHeader]'
                    },] }
        ];
        return IgxComboHeaderDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboFooterDirective = /** @class */ (function () {
        function IgxComboFooterDirective() {
        }
        IgxComboFooterDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboFooter]'
                    },] }
        ];
        return IgxComboFooterDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboItemDirective = /** @class */ (function () {
        function IgxComboItemDirective() {
        }
        IgxComboItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboItem]'
                    },] }
        ];
        return IgxComboItemDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboEmptyDirective = /** @class */ (function () {
        function IgxComboEmptyDirective() {
        }
        IgxComboEmptyDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboEmpty]'
                    },] }
        ];
        return IgxComboEmptyDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboHeaderItemDirective = /** @class */ (function () {
        function IgxComboHeaderItemDirective() {
        }
        IgxComboHeaderItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboHeaderItem]'
                    },] }
        ];
        return IgxComboHeaderItemDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboAddItemDirective = /** @class */ (function () {
        function IgxComboAddItemDirective() {
        }
        IgxComboAddItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboAddItem]'
                    },] }
        ];
        return IgxComboAddItemDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboToggleIconDirective = /** @class */ (function () {
        function IgxComboToggleIconDirective() {
        }
        IgxComboToggleIconDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboToggleIcon]'
                    },] }
        ];
        return IgxComboToggleIconDirective;
    }());
    /**
     * @hidden
     */
    var IgxComboClearIconDirective = /** @class */ (function () {
        function IgxComboClearIconDirective() {
        }
        IgxComboClearIconDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxComboClearIcon]'
                    },] }
        ];
        return IgxComboClearIconDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var   /**
     * @hidden
     */
    IgxComboAPIService = /** @class */ (function () {
        function IgxComboAPIService() {
            this.disableTransitions = false;
        }
        /**
         * @param {?} combo
         * @return {?}
         */
        IgxComboAPIService.prototype.register = /**
         * @param {?} combo
         * @return {?}
         */
        function (combo) {
            this.combo = combo;
        };
        /**
         * @return {?}
         */
        IgxComboAPIService.prototype.clear = /**
         * @return {?}
         */
        function () {
            this.combo = null;
        };
        Object.defineProperty(IgxComboAPIService.prototype, "valueKey", {
            get: /**
             * @return {?}
             */
            function () {
                return this.combo.valueKey !== null && this.combo.valueKey !== undefined ? this.combo.valueKey : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboAPIService.prototype, "item_focusable", {
            get: /**
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboAPIService.prototype, "isRemote", {
            get: /**
             * @return {?}
             */
            function () {
                return this.combo.isRemote;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxComboAPIService.prototype.add_custom_item = /**
         * @return {?}
         */
        function () {
            if (!this.combo) {
                return;
            }
            this.combo.addItemToCollection();
        };
        Object.defineProperty(IgxComboAPIService.prototype, "comboID", {
            get: /**
             * @return {?}
             */
            function () {
                return this.combo.id;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} itemID
         * @param {?=} event
         * @return {?}
         */
        IgxComboAPIService.prototype.set_selected_item = /**
         * @param {?} itemID
         * @param {?=} event
         * @return {?}
         */
        function (itemID, event) {
            /** @type {?} */
            var selected = this.combo.isItemSelected(itemID);
            if (itemID === null || itemID === undefined) {
                return;
            }
            if (!selected) {
                this.combo.selectItems([itemID], false, event);
            }
            else {
                this.combo.deselectItems([itemID], event);
            }
        };
        /**
         * @param {?} itemID
         * @return {?}
         */
        IgxComboAPIService.prototype.is_item_selected = /**
         * @param {?} itemID
         * @return {?}
         */
        function (itemID) {
            return this.combo.isItemSelected(itemID);
        };
        return IgxComboAPIService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxComboItemComponent = /** @class */ (function (_super) {
        __extends(IgxComboItemComponent, _super);
        function IgxComboItemComponent(comboAPI, dropDown, elementRef, selection) {
            var _this = _super.call(this, dropDown, elementRef, null, selection) || this;
            _this.comboAPI = comboAPI;
            _this.dropDown = dropDown;
            _this.elementRef = elementRef;
            _this.selection = selection;
            /**
             * Gets the height of a list item
             * @hidden
             */
            _this.itemHeight = '';
            return _this;
        }
        Object.defineProperty(IgxComboItemComponent.prototype, "itemID", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var valueKey = this.comboAPI.valueKey;
                return valueKey !== null ? this.value[valueKey] : this.value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboItemComponent.prototype, "comboID", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.comboAPI.comboID;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboItemComponent.prototype, "disableTransitions", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.comboAPI.disableTransitions;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboItemComponent.prototype, "selected", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.comboAPI.is_item_selected(this.itemID);
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.isHeader) {
                    return;
                }
                this._selected = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} direction
         * @return {?}
         */
        IgxComboItemComponent.prototype.isVisible = /**
         * @hidden
         * @param {?} direction
         * @return {?}
         */
        function (direction) {
            /** @type {?} */
            var rect = this.element.nativeElement.getBoundingClientRect();
            /** @type {?} */
            var parentDiv = this.element.nativeElement.parentElement.parentElement.getBoundingClientRect();
            if (direction === Navigate.Down) {
                return rect.y + rect.height <= parentDiv.y + parentDiv.height;
            }
            return rect.y >= parentDiv.y;
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxComboItemComponent.prototype.clicked = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.comboAPI.disableTransitions = false;
            if (this.disabled || this.isHeader) {
                /** @type {?} */
                var focusedItem = this.dropDown.items.find(function (item) { return item.focused; });
                if (this.dropDown.allowItemsFocus && focusedItem) {
                    focusedItem.element.nativeElement.focus({ preventScroll: true });
                }
                return;
            }
            this.dropDown.navigateItem(this.index);
            this.comboAPI.set_selected_item(this.itemID, event);
        };
        /**
         * @hidden
         * @internal
         * The event that is prevented is the click on the checkbox label element.
         * That is the only visible element that a user can interact with.
         * The click propagates to the host and the preventDefault is to stop it from
         * switching focus to the input it's base on.
         * The toggle happens in an internal handler in the drop-down on the next task queue cycle.
         */
        /**
         * @hidden
         * \@internal
         * The event that is prevented is the click on the checkbox label element.
         * That is the only visible element that a user can interact with.
         * The click propagates to the host and the preventDefault is to stop it from
         * switching focus to the input it's base on.
         * The toggle happens in an internal handler in the drop-down on the next task queue cycle.
         * @param {?} event
         * @return {?}
         */
        IgxComboItemComponent.prototype.disableCheck = /**
         * @hidden
         * \@internal
         * The event that is prevented is the click on the checkbox label element.
         * That is the only visible element that a user can interact with.
         * The click propagates to the host and the preventDefault is to stop it from
         * switching focus to the input it's base on.
         * The toggle happens in an internal handler in the drop-down on the next task queue cycle.
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
        };
        /**
         * @return {?}
         */
        IgxComboItemComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
        };
        IgxComboItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-combo-item',
                        template: "<ng-container *ngIf=\"!isHeader\">\n    <igx-checkbox [checked]=\"selected\" disableRipple=\"true\" [disableTransitions]=\"disableTransitions\" [tabindex]=\"-1\" (click)=\"disableCheck($event)\" class=\"igx-combo__checkbox\"></igx-checkbox>\n</ng-container>\n<ng-content></ng-content>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxComboItemComponent.ctorParameters = function () { return [
            { type: IgxComboAPIService },
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_DROPDOWN_BASE,] }] },
            { type: core.ElementRef },
            { type: IgxSelectionAPIService, decorators: [{ type: core.Inject, args: [IgxSelectionAPIService,] }] }
        ]; };
        IgxComboItemComponent.propDecorators = {
            itemHeight: [{ type: core.Input }, { type: core.HostBinding, args: ['style.height.px',] }],
            clicked: [{ type: core.HostListener, args: ['click', ['$event'],] }]
        };
        return IgxComboItemComponent;
    }(IgxDropDownItemComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var IGX_COMBO_COMPONENT = 'IgxComboComponentToken';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxComboAddItemComponent = /** @class */ (function (_super) {
        __extends(IgxComboAddItemComponent, _super);
        function IgxComboAddItemComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(IgxComboAddItemComponent.prototype, "selected", {
            get: /**
             * @return {?}
             */
            function () {
                return false;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?=} event
         * @return {?}
         */
        IgxComboAddItemComponent.prototype.clicked = /**
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            this.comboAPI.disableTransitions = false;
            this.comboAPI.add_custom_item();
        };
        IgxComboAddItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-combo-add-item',
                        template: '<ng-content></ng-content>',
                        providers: [{ provide: IgxComboItemComponent, useExisting: IgxComboAddItemComponent }]
                    }] }
        ];
        return IgxComboAddItemComponent;
    }(IgxComboItemComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxComboDropDownComponent = /** @class */ (function (_super) {
        __extends(IgxComboDropDownComponent, _super);
        function IgxComboDropDownComponent(elementRef, cdr, selection, combo, comboAPI, _displayDensityOptions) {
            var _this = _super.call(this, elementRef, cdr, selection, _displayDensityOptions) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.selection = selection;
            _this.combo = combo;
            _this.comboAPI = comboAPI;
            _this._displayDensityOptions = _displayDensityOptions;
            /**
             * @hidden
             * \@internal
             */
            _this.children = null;
            _this.scrollHandler = function () {
                _this.comboAPI.disableTransitions = true;
            };
            return _this;
        }
        Object.defineProperty(IgxComboDropDownComponent.prototype, "scrollContainer", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.virtDir.dc.location.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboDropDownComponent.prototype, "isScrolledToLast", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                /** @type {?} */
                var scrollTop = this.virtDir.scrollPosition;
                /** @type {?} */
                var scrollHeight = this.virtDir.getScroll().scrollHeight;
                return Math.floor(scrollTop + this.virtDir.igxForContainerSize) === scrollHeight;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboDropDownComponent.prototype, "lastVisibleIndex", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.combo.totalItemCount ?
                    Math.floor(this.combo.itemsMaxHeight / this.combo.itemHeight) :
                    this.items.length - 1;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.onFocus = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.focusedItem = this._focusedItem || this.items[0];
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?=} evt
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.onBlur = /**
         * @hidden \@internal
         * @param {?=} evt
         * @return {?}
         */
        function (evt) {
            this.focusedItem = null;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.onToggleOpened = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.onOpened.emit();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.navigateFirst = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.navigateItem(this.virtDir.igxForOf.findIndex(function (e) { return !e.isHeader; }));
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.navigatePrev = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this._focusedItem && this._focusedItem.index === 0 && this.virtDir.state.startIndex === 0) {
                this.combo.focusSearchInput(false);
            }
            else {
                _super.prototype.navigatePrev.call(this);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.navigateNext = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var lastIndex = this.combo.totalItemCount ? this.combo.totalItemCount - 1 : this.virtDir.igxForOf.length - 1;
            if (this._focusedItem && this._focusedItem.index === lastIndex) {
                this.focusAddItemButton();
            }
            else {
                _super.prototype.navigateNext.call(this);
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} item
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.selectItem = /**
         * @hidden \@internal
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item === null || item === undefined) {
                return;
            }
            this.comboAPI.set_selected_item(item.itemID);
            this._focusedItem = item;
        };
        /**
         * @private
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.focusAddItemButton = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.combo.isAddButtonVisible()) {
                this.focusedItem = this.items[this.items.length - 1];
            }
        };
        /**
         * @protected
         * @param {?} newItem
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.scrollToHiddenItem = /**
         * @protected
         * @param {?} newItem
         * @return {?}
         */
        function (newItem) { };
        Object.defineProperty(IgxComboDropDownComponent.prototype, "sortedChildren", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                if (this.children !== undefined) {
                    return this.children.toArray()
                        .sort(function (a, b) {
                        return a.index - b.index;
                    });
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboDropDownComponent.prototype, "items", {
            /**
             * Get all non-header items
             *
             * ```typescript
             * let myDropDownItems = this.dropdown.items;
             * ```
             */
            get: /**
             * Get all non-header items
             *
             * ```typescript
             * let myDropDownItems = this.dropdown.items;
             * ```
             * @return {?}
             */
            function () {
                var e_1, _a;
                /** @type {?} */
                var items = [];
                if (this.children !== undefined) {
                    /** @type {?} */
                    var sortedChildren = (/** @type {?} */ (this.sortedChildren));
                    try {
                        for (var sortedChildren_1 = __values(sortedChildren), sortedChildren_1_1 = sortedChildren_1.next(); !sortedChildren_1_1.done; sortedChildren_1_1 = sortedChildren_1.next()) {
                            var child = sortedChildren_1_1.value;
                            if (!child.isHeader) {
                                items.push(child);
                            }
                        }
                    }
                    catch (e_1_1) { e_1 = { error: e_1_1 }; }
                    finally {
                        try {
                            if (sortedChildren_1_1 && !sortedChildren_1_1.done && (_a = sortedChildren_1.return)) _a.call(sortedChildren_1);
                        }
                        finally { if (e_1) throw e_1.error; }
                    }
                }
                return items;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.updateScrollPosition = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.virtDir.getScroll().scrollTop = this._scrollPosition;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} key
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.onItemActionKey = /**
         * @hidden \@internal
         * @param {?} key
         * @return {?}
         */
        function (key) {
            switch (key) {
                case DropDownActionKey.ENTER:
                    this.handleEnter();
                    break;
                case DropDownActionKey.SPACE:
                    this.handleSpace();
                    break;
                case DropDownActionKey.ESCAPE:
                    this.close();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.handleEnter = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.isAddItemFocused()) {
                this.combo.addItemToCollection();
            }
            else {
                this.close();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.handleSpace = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.isAddItemFocused()) {
                return;
            }
            else {
                this.selectItem(this.focusedItem);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.isAddItemFocused = /**
         * @private
         * @return {?}
         */
        function () {
            return this.focusedItem instanceof IgxComboAddItemComponent;
        };
        /**
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            this.virtDir.getScroll().addEventListener('scroll', this.scrollHandler);
        };
        /**
         *@hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboDropDownComponent.prototype.ngOnDestroy = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.virtDir.getScroll().removeEventListener('scroll', this.scrollHandler);
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        IgxComboDropDownComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-combo-drop-down',
                        template: "<div class=\"igx-drop-down__list\" igxToggle [style.width]=\"width\" [style.height]=\"height\"\n[style.maxHeight]=\"maxHeight\" [attr.id]=\"this.listId\" role=\"listbox\"\n    (onOpening)=\"onToggleOpening($event)\" (onOpened)=\"onToggleOpened()\"\n    (onClosing)=\"onToggleClosing($event)\" (onClosed)=\"onToggleClosed()\">\n    <ng-container *ngIf=\"!collapsed\">\n        <ng-content></ng-content>\n    </ng-container>\n</div>\n",
                        providers: [{ provide: IGX_DROPDOWN_BASE, useExisting: IgxComboDropDownComponent }]
                    }] }
        ];
        /** @nocollapse */
        IgxComboDropDownComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: IgxSelectionAPIService },
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_COMBO_COMPONENT,] }] },
            { type: IgxComboAPIService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxComboDropDownComponent.propDecorators = {
            children: [{ type: core.ContentChildren, args: [IgxComboItemComponent, { descendants: true },] }]
        };
        return IgxComboDropDownComponent;
    }(IgxDropDownComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxComboFilteringPipe = /** @class */ (function () {
        function IgxComboFilteringPipe(combo) {
            this.combo = combo;
        }
        /**
         * @param {?} collection
         * @param {?} expressions
         * @param {?} logic
         * @return {?}
         */
        IgxComboFilteringPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} expressions
         * @param {?} logic
         * @return {?}
         */
        function (collection, expressions, logic) {
            /** @type {?} */
            var filteringExpressionsTree = new FilteringExpressionsTree(logic);
            filteringExpressionsTree.filteringOperands = expressions;
            /** @type {?} */
            var state = { expressionsTree: filteringExpressionsTree, strategy: new SimpleFilteringStrategy() };
            state.expressionsTree.filteringOperands = this.combo.filteringExpressions;
            if (!state.expressionsTree.filteringOperands.length) {
                return collection;
            }
            /** @type {?} */
            var result = DataUtil.filter(cloneArray(collection), state);
            return result;
        };
        IgxComboFilteringPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'comboFiltering'
                    },] }
        ];
        /** @nocollapse */
        IgxComboFilteringPipe.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_COMBO_COMPONENT,] }] }
        ]; };
        return IgxComboFilteringPipe;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    SimpleFilteringStrategy = /** @class */ (function (_super) {
        __extends(SimpleFilteringStrategy, _super);
        function SimpleFilteringStrategy() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} rec
         * @param {?} expr
         * @return {?}
         */
        SimpleFilteringStrategy.prototype.findMatchByExpression = /**
         * @param {?} rec
         * @param {?} expr
         * @return {?}
         */
        function (rec, expr) {
            /** @type {?} */
            var cond = expr.condition;
            /** @type {?} */
            var val = expr.fieldName === undefined ? rec : rec[expr.fieldName];
            return cond.logic(val, expr.searchVal, expr.ignoreCase);
        };
        return SimpleFilteringStrategy;
    }(FilteringStrategy));
    /**
     * @hidden
     */
    var IgxComboSortingPipe = /** @class */ (function () {
        function IgxComboSortingPipe() {
        }
        /**
         * @param {?} collection
         * @param {?} expressions
         * @return {?}
         */
        IgxComboSortingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} expressions
         * @return {?}
         */
        function (collection, expressions) {
            if (!expressions.length) {
                return collection;
            }
            /** @type {?} */
            var result = DataUtil.sort(cloneArray(collection), expressions);
            return result;
        };
        IgxComboSortingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'comboSorting',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxComboSortingPipe.ctorParameters = function () { return []; };
        return IgxComboSortingPipe;
    }());
    /**
     * @hidden
     */
    var IgxComboGroupingPipe = /** @class */ (function () {
        function IgxComboGroupingPipe(combo) {
            this.combo = combo;
        }
        /**
         * @param {?} collection
         * @param {?} groupKey
         * @return {?}
         */
        IgxComboGroupingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} groupKey
         * @return {?}
         */
        function (collection, groupKey) {
            var _a;
            this.combo.filteredData = collection;
            if ((!groupKey && groupKey !== 0) || !collection.length) {
                return collection;
            }
            /** @type {?} */
            var data = cloneArray(collection);
            /** @type {?} */
            var inserts = 0;
            /** @type {?} */
            var currentHeader = null;
            for (var i = 0; i < collection.length; i++) {
                /** @type {?} */
                var insertFlag = 0;
                if (currentHeader !== collection[i][groupKey]) {
                    currentHeader = collection[i][groupKey];
                    insertFlag = 1;
                }
                if (insertFlag) {
                    data.splice(i + inserts, 0, (_a = {},
                        _a[this.combo.valueKey] = currentHeader,
                        _a[this.combo.groupKey] = currentHeader,
                        _a.isHeader = true,
                        _a));
                    inserts++;
                }
            }
            return data;
        };
        IgxComboGroupingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'comboGrouping'
                    },] }
        ];
        /** @nocollapse */
        IgxComboGroupingPipe.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_COMBO_COMPONENT,] }] }
        ]; };
        return IgxComboGroupingPipe;
    }());
    /**
     * @hidden
     */
    var IgxComboFilterConditionPipe = /** @class */ (function () {
        function IgxComboFilterConditionPipe() {
        }
        /**
         * @param {?} value
         * @return {?}
         */
        IgxComboFilterConditionPipe.prototype.transform = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value.split(/(?=[A-Z])/).join(' ');
        };
        IgxComboFilterConditionPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'filterCondition',
                        pure: true
                    },] }
        ];
        return IgxComboFilterConditionPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var DataTypes = {
        EMPTY: 'empty',
        PRIMITIVE: 'primitive',
        COMPLEX: 'complex',
        PRIMARYKEY: 'valueKey',
    };
    /**
     * @hidden
     * @type {?}
     */
    var ItemHeights = {
        'comfortable': 40,
        'cosy': 32,
        'compact': 28,
    };
    /**
     * @hidden
     * The default number of items that should be in the combo's
     * drop-down list if no `[itemsMaxHeight]` is specified
     * @type {?}
     */
    var itemsInContainer = 10;
    /** @enum {number} */
    var IgxComboState = {
        /**
         * Combo with initial state.
         */
        INITIAL: 0,
        /**
         * Combo with valid state.
         */
        VALID: 1,
        /**
         * Combo with invalid state.
         */
        INVALID: 2,
    };
    IgxComboState[IgxComboState.INITIAL] = 'INITIAL';
    IgxComboState[IgxComboState.VALID] = 'VALID';
    IgxComboState[IgxComboState.INVALID] = 'INVALID';
    /**
     * When called with sets A & B, returns A - B (as array);
     * @hidden
     * @param {?} set1
     * @param {?} set2
     * @return {?}
     */
    function diffInSets(set1, set2) {
        /** @type {?} */
        var results = [];
        set1.forEach(function (entry) {
            if (!set2.has(entry)) {
                results.push(entry);
            }
        });
        return results;
    }
    /** @type {?} */
    var NEXT_ID$j = 0;
    /** @type {?} */
    var noop$4 = function () { };
    var IgxComboComponent = /** @class */ (function (_super) {
        __extends(IgxComboComponent, _super);
        function IgxComboComponent(elementRef, cdr, selection, comboAPI, _displayDensityOptions, _injector) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.selection = selection;
            _this.comboAPI = comboAPI;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._injector = _injector;
            /**
             * @hidden \@internal
             */
            _this.customValueFlag = true;
            /**
             * @hidden \@internal
             */
            _this.defaultFallbackGroup = 'Other';
            _this.stringFilters = IgxStringFilteringOperand;
            _this.booleanFilters = IgxBooleanFilteringOperand;
            _this._filteringLogic = FilteringLogic.Or;
            _this._filteringExpressions = [];
            _this._sortingExpressions = [];
            _this._groupKey = '';
            _this._prevInputValue = '';
            _this._dataType = '';
            _this.ngControl = null;
            _this.destroy$ = new rxjs.Subject();
            _this._data = [];
            _this._filteredData = [];
            _this._itemHeight = null;
            _this._itemsMaxHeight = null;
            _this._remoteSelection = {};
            _this._onChangeCallback = noop$4;
            _this._onTouchedCallback = noop$4;
            _this._overlaySettings = {
                scrollStrategy: new AbsoluteScrollStrategy(),
                positionStrategy: new ConnectedPositioningStrategy(),
                modal: false,
                closeOnOutsideClick: true,
                excludePositionTarget: true
            };
            _this._value = '';
            _this._valid = IgxComboState.INITIAL;
            /**
             * Set custom overlay settings that control how the combo's list of items is displayed.
             * Set:
             * ```html
             * <igx-combo [overlaySettings] = "customOverlaySettings"></igx-combo>
             * ```
             *
             * ```typescript
             *  const customSettings = { positionStrategy: { settings: { target: myTarget } } };
             *  combo.overlaySettings = customSettings;
             * ```
             * Get any custom overlay settings used by the combo:
             * ```typescript
             *  const comboOverlaySettings: OverlaySettings = myCombo.overlaySettings;
             * ```
             */
            _this.overlaySettings = null;
            /**
             * @hidden \@internal
             */
            _this.searchInput = null;
            /**
             * The custom template, if any, that should be used when rendering ITEMS in the combo list
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.itemTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboItem>
             *          <div class="custom-item" let-item let-key="valueKey">
             *              <div class="custom-item__name">{{ item[key] }}</div>
             *              <div class="custom-item__cost">{{ item.cost }}</div>
             *          </div>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.itemTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering the HEADER for the combo items list
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.headerTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboHeader>
             *          <div class="combo__header">
             *              This is a custom header
             *          </div>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.headerTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering the FOOTER for the combo items list
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.footerTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboFooter>
             *          <div class="combo__footer">
             *              This is a custom footer
             *          </div>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.footerTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering HEADER ITEMS for groups in the combo list
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.headerItemTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboHeaderItem let-item let-key="groupKey">
             *          <div class="custom-item--group">Group header for {{ item[key] }}</div>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.headerItemTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering the ADD BUTTON in the combo drop down
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.addItemTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboAddItem>
             *          <button class="combo__add-button">
             *              Click to add item
             *          </button>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.addItemTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering the ADD BUTTON in the combo drop down
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.emptyTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboEmpty>
             *          <div class="combo--empty">
             *              There are no items to display
             *          </div>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.emptyTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering the combo TOGGLE(open/close) button
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.toggleIconTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboToggleIcon let-collapsed>
             *          <igx-icon>{{ collapsed ? 'remove_circle' : 'remove_circle_outline'}}</igx-icon>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.toggleIconTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering the combo CLEAR button
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.combo.clearIconTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-combo #combo>
             *      ...
             *      <ng-template igxComboClearIcon>
             *          <igx-icon>clear</igx-icon>
             *      </ng-template>
             *  </igx-combo>
             * ```
             */
            _this.clearIconTemplate = null;
            _this.dropdownContainer = null;
            /**
             * Emitted when item selection is changing, before the selection completes
             *
             * ```html
             * <igx-combo (onSelectionChange)='handleSelection()'></igx-combo>
             * ```
             */
            _this.onSelectionChange = new core.EventEmitter();
            /**
             * Emitted before the dropdown is opened
             *
             * ```html
             * <igx-combo onOpening='handleOpening($event)'></igx-combo>
             * ```
             */
            _this.onOpening = new core.EventEmitter();
            /**
             * Emitted after the dropdown is opened
             *
             * ```html
             * <igx-combo (onOpened)='handleOpened()'></igx-combo>
             * ```
             */
            _this.onOpened = new core.EventEmitter();
            /**
             * Emitted before the dropdown is closed
             *
             * ```html
             * <igx-combo (onClosing)='handleClosing($event)'></igx-combo>
             * ```
             */
            _this.onClosing = new core.EventEmitter();
            /**
             * Emitted after the dropdown is closed
             *
             * ```html
             * <igx-combo (onClosed)='handleClosed()'></igx-combo>
             * ```
             */
            _this.onClosed = new core.EventEmitter();
            /**
             * Emitted when an item is being added to the data collection
             *
             * ```html
             * <igx-combo (onAddition)='handleAdditionEvent()'></igx-combo>
             * ```
             */
            _this.onAddition = new core.EventEmitter();
            /**
             * Emitted when the value of the search input changes (e.g. typing, pasting, clear, etc.)
             *
             * ```html
             * <igx-combo (onSearchInput)='handleSearchInputEvent()'></igx-combo>
             * ```
             */
            _this.onSearchInput = new core.EventEmitter();
            /**
             * Emitted when new chunk of data is loaded from the virtualization
             *
             * ```html
             * <igx-combo (onDataPreLoad)='handleDataPreloadEvent()'></igx-combo>
             * ```
             */
            _this.onDataPreLoad = new core.EventEmitter();
            /**
             * Gets/gets combo id.
             *
             * ```typescript
             * // get
             * let id = this.combo.id;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [id]='combo1'></igx-combo>
             * ```
             */
            _this.id = "igx-combo-" + NEXT_ID$j++;
            /**
             * @hidden \@internal
             */
            _this.cssClass = 'igx-combo'; // Independent of display density, at the time being
            // Independent of display density, at the time being
            /**
             * @hidden \@internal
             */
            _this.role = 'combobox';
            /**
             * Controls whether custom values can be added to the collection
             *
             * ```typescript
             * // get
             * let comboAllowsCustomValues = this.combo.allowCustomValues;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [allowCustomValues]='true'></igx-combo>
             * ```
             */
            _this.allowCustomValues = false;
            /**
             * @hidden \@internal
             */
            _this.filteringLogic = FilteringLogic.Or;
            /**
             * Defines the placeholder value for the combo dropdown search field
             *
             * ```typescript
             * // get
             * let myComboSearchPlaceholder = this.combo.searchPlaceholder;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [searchPlaceholder]='newPlaceHolder'></igx-combo>
             * ```
             */
            _this.searchPlaceholder = 'Enter a Search Term';
            /**
             * Combo value data source property.
             *
             * ```typescript
             * // get
             * let myComboValueKey = this.combo.valueKey;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [valueKey]='myKey'></igx-combo>
             * ```
             */
            _this.valueKey = null;
            /**
             * An \@Input property that enabled/disables filtering in the list. The default is `true`.
             * ```html
             * <igx-combo [filterable]="'false'">
             * ```
             */
            _this.filterable = true;
            /**
             * An \@Input property that enabled/disables combo. The default is `false`.
             * ```html
             * <igx-combo [disabled]="'true'">
             * ```
             */
            _this.disabled = false;
            /**
             * An \@Input property that sets how the combo will be styled.
             * The allowed values are `line`, `box`, `border` and `search`. The default is `box`.
             * ```html
             * <igx-combo [type]="'line'">
             * ```
             */
            _this.type = 'box';
            /**
             * @hidden \@internal
             */
            _this.searchValue = '';
            _this.onStatusChanged = function () {
                if ((_this.ngControl.control.touched || _this.ngControl.control.dirty) &&
                    (_this.ngControl.control.validator || _this.ngControl.control.asyncValidator)) {
                    _this.valid = _this.ngControl.valid ? IgxComboState.VALID : IgxComboState.INVALID;
                }
                _this.manageRequiredAsterisk();
            };
            _this.comboAPI.register(_this);
            return _this;
        }
        Object.defineProperty(IgxComboComponent.prototype, "displaySearchInput", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.filterable || this.allowCustomValues;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "ariaExpanded", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return !this.dropdown.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "hasPopUp", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return 'listbox';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "ariaOwns", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.dropdown.id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "itemsMaxHeight", {
            /**
             * Configures the drop down list height
             *
             * ```typescript
             * // get
             * let myComboItemsMaxHeight = this.combo.itemsMaxHeight;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [itemsMaxHeight]='320'></igx-combo>
             * ```
            */
            get: /**
             * Configures the drop down list height
             *
             * ```typescript
             * // get
             * let myComboItemsMaxHeight = this.combo.itemsMaxHeight;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [itemsMaxHeight]='320'></igx-combo>
             * ```
             * @return {?}
             */
            function () {
                if (this._itemsMaxHeight === null || this._itemsMaxHeight === undefined) {
                    return this.itemHeight * itemsInContainer;
                }
                return this._itemsMaxHeight;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._itemsMaxHeight = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "itemHeight", {
            /**
             * Configures the drop down list item height
             *
             * ```typescript
             * // get
             * let myComboItemHeight = this.combo.itemHeight;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [itemHeight]='32'></igx-combo>
             * ```
             */
            get: /**
             * Configures the drop down list item height
             *
             * ```typescript
             * // get
             * let myComboItemHeight = this.combo.itemHeight;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [itemHeight]='32'></igx-combo>
             * ```
             * @return {?}
             */
            function () {
                if (this._itemHeight === null || this._itemHeight === undefined) {
                    return ItemHeights[this.displayDensity];
                }
                return this._itemHeight;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._itemHeight = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "inputEmpty", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return !this.value && !this.placeholder;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "data", {
            /**
             * Combo data source.
             *
             * ```html
             * <!--set-->
             * <igx-combo [data]='items'></igx-combo>
             * ```
             */
            get: /**
             * Combo data source.
             *
             * ```html
             * <!--set-->
             * <igx-combo [data]='items'></igx-combo>
             * ```
             * @return {?}
             */
            function () {
                return this._data;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._data = (val) ? val : [];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "displayKey", {
            /**
             * Combo text data source property.
             *
             * ```typescript
             * // get
             * let myComboDisplayKey = this.combo.displayKey;
             *
             * // set
             * this.combo.displayKey = 'val';
             *
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [displayKey]='myDisplayKey'></igx-combo>
             * ```
             */
            get: /**
             * Combo text data source property.
             *
             * ```typescript
             * // get
             * let myComboDisplayKey = this.combo.displayKey;
             *
             * // set
             * this.combo.displayKey = 'val';
             *
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-combo [displayKey]='myDisplayKey'></igx-combo>
             * ```
             * @return {?}
             */
            function () {
                return this._displayKey ? this._displayKey : this.valueKey;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._displayKey = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "groupKey", {
            /**
             * The item property by which items should be grouped inside the items list. Not usable if data is not of type Object[].
             *
             * ```typescript
             * // get
             * let currentGroupKey = this.combo.groupKey;
             * ```
             */
            get: /**
             * The item property by which items should be grouped inside the items list. Not usable if data is not of type Object[].
             *
             * ```typescript
             * // get
             * let currentGroupKey = this.combo.groupKey;
             * ```
             * @return {?}
             */
            function () {
                return this._groupKey;
            },
            /**
             * The item property by which items should be grouped inside the items list. Not usable if data is not of type Object[].
             *
             * ```html
             * <!--set-->
             * <igx-combo [groupKey]='newGroupKey'></igx-combo>
             * ```
             */
            set: /**
             * The item property by which items should be grouped inside the items list. Not usable if data is not of type Object[].
             *
             * ```html
             * <!--set-->
             * <igx-combo [groupKey]='newGroupKey'></igx-combo>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this.clearSorting(this._groupKey);
                this._groupKey = val;
                this.sort(this._groupKey);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "valid", {
            /**
             * Gets if control is valid, when used in a form
             *
             * ```typescript
             * // get
             * let valid = this.combo.valid;
             * ```
             * */
            get: /**
             * Gets if control is valid, when used in a form
             *
             * ```typescript
             * // get
             * let valid = this.combo.valid;
             * ```
             *
             * @return {?}
             */
            function () {
                return this._valid;
            },
            /**
            * Sets if control is valid, when used in a form
            *
            * ```typescript
            * // set
            * this.combo.valid = IgxComboState.INVALID;
            * ```
           */
            set: /**
             * Sets if control is valid, when used in a form
             *
             * ```typescript
             * // set
             * this.combo.valid = IgxComboState.INVALID;
             * ```
             * @param {?} valid
             * @return {?}
             */
            function (valid) {
                this._valid = valid;
                this.comboInput.valid = IgxInputState[IgxComboState[valid]];
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.onArrowDown = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.open();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.onInputClick = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            event.preventDefault();
            this.toggle();
        };
        Object.defineProperty(IgxComboComponent.prototype, "virtualizationState", {
            /**
             * Defines the current state of the virtualized data. It contains `startIndex` and `chunkSize`
             *
             * ```typescript
             * // get
             * let state = this.combo.virtualizationState;
             * ```
            */
            get: /**
             * Defines the current state of the virtualized data. It contains `startIndex` and `chunkSize`
             *
             * ```typescript
             * // get
             * let state = this.combo.virtualizationState;
             * ```
             * @return {?}
             */
            function () {
                return this.virtDir.state;
            },
            /**
             * Sets the current state of the virtualized data.
             *
             * ```typescript
             * // set
             * this.combo.virtualizationState(state);
             * ```
             */
            set: /**
             * Sets the current state of the virtualized data.
             *
             * ```typescript
             * // set
             * this.combo.virtualizationState(state);
             * ```
             * @param {?} state
             * @return {?}
             */
            function (state) {
                this.virtDir.state = state;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "totalItemCount", {
            /**
             * Gets total count of the virtual data items, when using remote service.
             *
             * ```typescript
             * // get
             * let count = this.combo.totalItemCount;
             * ```
            */
            get: /**
             * Gets total count of the virtual data items, when using remote service.
             *
             * ```typescript
             * // get
             * let count = this.combo.totalItemCount;
             * ```
             * @return {?}
             */
            function () {
                return this.virtDir.totalItemCount;
            },
            /**
             * Sets total count of the virtual data items, when using remote service.
             *
             * ```typescript
             * // set
             * this.combo.totalItemCount(remoteService.count);
             * ```
             */
            set: /**
             * Sets total count of the virtual data items, when using remote service.
             *
             * ```typescript
             * // set
             * this.combo.totalItemCount(remoteService.count);
             * ```
             * @param {?} count
             * @return {?}
             */
            function (count) {
                this.virtDir.totalItemCount = count;
                this.cdr.detectChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "filteringExpressions", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.filterable ? this._filteringExpressions : [];
            },
            /**
             * @hidden @internal
             */
            set: /**
             * @hidden \@internal
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filteringExpressions = value;
                this.cdr.markForCheck();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "sortingExpressions", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this._sortingExpressions;
            },
            /**
             * @hidden @internal
             */
            set: /**
             * @hidden \@internal
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._sortingExpressions = value;
                this.cdr.markForCheck();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?=} field
         * @return {?}
         */
        IgxComboComponent.prototype.clearSorting = /**
         * @protected
         * @param {?=} field
         * @return {?}
         */
        function (field) {
            if (field === undefined || field === null) {
                this.sortingExpressions = [];
                return;
            }
            /** @type {?} */
            var currentState = cloneArray(this.sortingExpressions);
            /** @type {?} */
            var index = currentState.findIndex(function (expr) { return expr.fieldName === field; });
            if (index > -1) {
                currentState.splice(index, 1);
                this.sortingExpressions = currentState;
            }
        };
        Object.defineProperty(IgxComboComponent.prototype, "value", {
            /**
             * The text displayed in the combo input
             *
             * ```typescript
             * // get
             * let comboValue = this.combo.value;
             * ```
             */
            get: /**
             * The text displayed in the combo input
             *
             * ```typescript
             * // get
             * let comboValue = this.combo.value;
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "filteredData", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.filterable ? this._filteredData : this.data;
            },
            /**
             * @hidden @internal
             */
            set: /**
             * @hidden \@internal
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._filteredData = this.groupKey ? (val || []).filter(function (e) { return e.isHeader !== true; }) : val;
                this.checkMatch();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.handleKeyUp = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.key === 'ArrowDown' || event.key === 'Down') {
                this.dropdown.focusedItem = this.dropdown.items[0];
                this.dropdownContainer.nativeElement.focus();
            }
            else if (event.key === 'Escape' || event.key === 'Esc') {
                this.toggle();
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.handleKeyDown = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.key === 'ArrowUp' || event.key === 'Up') {
                event.preventDefault();
                event.stopPropagation();
                this.close();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxComboComponent.prototype.checkMatch = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var displayKey = this.displayKey;
            /** @type {?} */
            var matchFn = function (e) {
                /** @type {?} */
                var value = displayKey ? e[displayKey] : e;
                return value.toString().toLowerCase() === _this.searchValue.trim().toLowerCase();
            };
            /** @type {?} */
            var itemMatch = this.filteredData.some(matchFn);
            this.customValueFlag = this.allowCustomValues && !itemMatch;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.handleInputChange = /**
         * @hidden \@internal
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var cdrFlag = false;
            /** @type {?} */
            var vContainer = this.virtDir;
            if (event !== undefined && this._prevInputValue === event) {
                // Nothing has changed
                return;
            }
            else {
                this._prevInputValue = event !== undefined ? event : '';
            }
            if (event !== undefined) {
                // Do not scroll if not scrollable
                if (vContainer.isScrollable()) {
                    vContainer.scrollTo(0);
                }
                else {
                    cdrFlag = true;
                }
                this.onSearchInput.emit(event);
            }
            else {
                cdrFlag = true;
            }
            if (this.filterable) {
                this.filter();
                // If there was no scroll before filtering, check if there is after and detect changes
                if (cdrFlag) {
                    vContainer.onChunkLoad.pipe(operators.take(1)).subscribe(function () {
                        if (vContainer.isScrollable()) {
                            _this.cdr.detectChanges();
                        }
                    });
                }
            }
            else {
                this.checkMatch();
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} fieldName
         * @param {?=} dir
         * @param {?=} ignoreCase
         * @param {?=} strategy
         * @return {?}
         */
        IgxComboComponent.prototype.sort = /**
         * @hidden \@internal
         * @param {?} fieldName
         * @param {?=} dir
         * @param {?=} ignoreCase
         * @param {?=} strategy
         * @return {?}
         */
        function (fieldName, dir, ignoreCase, strategy) {
            if (dir === void 0) { dir = SortingDirection.Asc; }
            if (ignoreCase === void 0) { ignoreCase = true; }
            if (strategy === void 0) { strategy = DefaultSortingStrategy.instance(); }
            if (!fieldName) {
                return;
            }
            /** @type {?} */
            var sortingState = cloneArray(this.sortingExpressions, true);
            this.prepare_sorting_expression(sortingState, fieldName, dir, ignoreCase, strategy);
            this.sortingExpressions = sortingState;
        };
        /**
         * @protected
         * @param {?} state
         * @param {?} fieldName
         * @param {?} dir
         * @param {?} ignoreCase
         * @param {?} strategy
         * @return {?}
         */
        IgxComboComponent.prototype.prepare_sorting_expression = /**
         * @protected
         * @param {?} state
         * @param {?} fieldName
         * @param {?} dir
         * @param {?} ignoreCase
         * @param {?} strategy
         * @return {?}
         */
        function (state, fieldName, dir, ignoreCase, strategy) {
            if (dir === SortingDirection.None) {
                state.splice(state.findIndex(function (expr) { return expr.fieldName === fieldName; }), 1);
                return;
            }
            /** @type {?} */
            var expression = state.find(function (expr) { return expr.fieldName === fieldName; });
            if (!expression) {
                state.push({ fieldName: fieldName, dir: dir, ignoreCase: ignoreCase, strategy: strategy });
            }
            else {
                Object.assign(expression, { fieldName: fieldName, dir: dir, ignoreCase: ignoreCase });
            }
        };
        Object.defineProperty(IgxComboComponent.prototype, "dataType", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                if (this.displayKey) {
                    return DataTypes.COMPLEX;
                }
                return DataTypes.PRIMITIVE;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "isRemote", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.totalItemCount > 0 &&
                    this.valueKey &&
                    this.dataType === DataTypes.COMPLEX;
            },
            enumerable: true,
            configurable: true
        });
        /** Contains key-value pairs of the selected valueKeys and their resp. displayKeys */
        /**
         * Contains key-value pairs of the selected valueKeys and their resp. displayKeys
         * @private
         * @param {?} ids
         * @param {?=} add
         * @return {?}
         */
        IgxComboComponent.prototype.registerRemoteEntries = /**
         * Contains key-value pairs of the selected valueKeys and their resp. displayKeys
         * @private
         * @param {?} ids
         * @param {?=} add
         * @return {?}
         */
        function (ids, add) {
            var e_1, _a, e_2, _b;
            if (add === void 0) { add = true; }
            if (add) {
                /** @type {?} */
                var selection = this.getValueDisplayPairs(ids);
                try {
                    for (var selection_1 = __values(selection), selection_1_1 = selection_1.next(); !selection_1_1.done; selection_1_1 = selection_1.next()) {
                        var entry = selection_1_1.value;
                        this._remoteSelection[entry[this.valueKey]] = entry[this.displayKey];
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (selection_1_1 && !selection_1_1.done && (_a = selection_1.return)) _a.call(selection_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            else {
                try {
                    for (var ids_1 = __values(ids), ids_1_1 = ids_1.next(); !ids_1_1.done; ids_1_1 = ids_1.next()) {
                        var entry = ids_1_1.value;
                        delete this._remoteSelection[entry];
                    }
                }
                catch (e_2_1) { e_2 = { error: e_2_1 }; }
                finally {
                    try {
                        if (ids_1_1 && !ids_1_1.done && (_b = ids_1.return)) _b.call(ids_1);
                    }
                    finally { if (e_2) throw e_2.error; }
                }
            }
        };
        /** For `id: any[]` returns a mapped `{ [combo.valueKey]: any, [combo.displayKey]: any }[]`*/
        /**
         * For `id: any[]` returns a mapped `{ [combo.valueKey]: any, [combo.displayKey]: any }[]`
         * @private
         * @param {?} ids
         * @return {?}
         */
        IgxComboComponent.prototype.getValueDisplayPairs = /**
         * For `id: any[]` returns a mapped `{ [combo.valueKey]: any, [combo.displayKey]: any }[]`
         * @private
         * @param {?} ids
         * @return {?}
         */
        function (ids) {
            var _this = this;
            return this.data.filter(function (entry) { return ids.indexOf(entry[_this.valueKey]) > -1; }).map(function (e) {
                var _a;
                return _a = {},
                    _a[_this.valueKey] = e[_this.valueKey],
                    _a[_this.displayKey] = e[_this.displayKey],
                    _a;
            });
        };
        /**
         * Returns if the specified itemID is selected
         * @hidden
         * @internal
         */
        /**
         * Returns if the specified itemID is selected
         * @hidden
         * \@internal
         * @param {?} item
         * @return {?}
         */
        IgxComboComponent.prototype.isItemSelected = /**
         * Returns if the specified itemID is selected
         * @hidden
         * \@internal
         * @param {?} item
         * @return {?}
         */
        function (item) {
            return this.selection.is_item_selected(this.id, item);
        };
        /**
         * Triggers change detection on the combo view
         */
        /**
         * Triggers change detection on the combo view
         * @return {?}
         */
        IgxComboComponent.prototype.triggerCheck = /**
         * Triggers change detection on the combo view
         * @return {?}
         */
        function () {
            this.cdr.detectChanges();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.isAddButtonVisible = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            // This should always return a boolean value. If this.searchValue was '', it returns '' instead of false;
            return this.searchValue !== '' && this.customValueFlag;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} evt
         * @return {?}
         */
        IgxComboComponent.prototype.handleSelectAll = /**
         * @hidden \@internal
         * @param {?} evt
         * @return {?}
         */
        function (evt) {
            if (evt.checked) {
                this.selectAllItems();
            }
            else {
                this.deselectAllItems();
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.addItemToCollection = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            var _a, _b;
            if (!this.searchValue) {
                return;
            }
            /** @type {?} */
            var newValue = this.searchValue.trim();
            /** @type {?} */
            var addedItem = this.displayKey ? (_a = {},
                _a[this.valueKey] = newValue,
                _a[this.displayKey] = newValue,
                _a) : newValue;
            if (this.groupKey) {
                Object.assign(addedItem, (_b = {}, _b[this.groupKey] = this.defaultFallbackGroup, _b));
            }
            /** @type {?} */
            var oldCollection = this.data;
            /** @type {?} */
            var newCollection = __spread(this.data);
            newCollection.push(addedItem);
            /** @type {?} */
            var args = {
                oldCollection: oldCollection, addedItem: addedItem, newCollection: newCollection
            };
            this.onAddition.emit(args);
            this.data.push(addedItem);
            // If you mutate the array, no pipe is invoked and the display isn't updated;
            // if you replace the array, the pipe executes and the display is updated.
            this.data = cloneArray(this.data);
            this.selectItems(this.comboAPI.valueKey !== null ? [addedItem[this.valueKey]] : [addedItem], false);
            this.customValueFlag = false;
            this.searchInput.nativeElement.focus();
            this.dropdown.focusedItem = null;
            this.handleInputChange();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?=} opening
         * @return {?}
         */
        IgxComboComponent.prototype.focusSearchInput = /**
         * @hidden \@internal
         * @param {?=} opening
         * @return {?}
         */
        function (opening) {
            if (this.displaySearchInput && this.searchInput) {
                this.searchInput.nativeElement.focus();
            }
            else {
                if (opening) {
                    this.dropdownContainer.nativeElement.focus();
                }
                else {
                    this.comboInput.nativeElement.focus();
                    this.toggle();
                }
            }
        };
        /**
         * @protected
         * @param {?} searchVal
         * @param {?} condition
         * @param {?} ignoreCase
         * @param {?=} fieldName
         * @return {?}
         */
        IgxComboComponent.prototype.prepare_filtering_expression = /**
         * @protected
         * @param {?} searchVal
         * @param {?} condition
         * @param {?} ignoreCase
         * @param {?=} fieldName
         * @return {?}
         */
        function (searchVal, condition, ignoreCase, fieldName) {
            /** @type {?} */
            var newArray = __spread(this.filteringExpressions);
            /** @type {?} */
            var expression = newArray.find(function (expr) { return expr.fieldName === fieldName; });
            /** @type {?} */
            var newExpression = { fieldName: fieldName, searchVal: searchVal, condition: condition, ignoreCase: ignoreCase };
            if (!expression) {
                newArray.push(newExpression);
            }
            else {
                Object.assign(expression, newExpression);
            }
            if (this.groupKey) {
                /** @type {?} */
                var expression2 = newArray.find(function (expr) { return expr.fieldName === 'isHeader'; });
                /** @type {?} */
                var headerExpression = {
                    fieldName: 'isHeader', searchVale: '',
                    condition: IgxBooleanFilteringOperand.instance().condition('true'), ignoreCase: true
                };
                if (!expression2) {
                    newArray.push(headerExpression);
                }
                else {
                    Object.assign(expression2, headerExpression);
                }
            }
            this.filteringExpressions = newArray;
        };
        /**
         * @protected
         * @return {?}
         */
        IgxComboComponent.prototype.manageRequiredAsterisk = /**
         * @protected
         * @return {?}
         */
        function () {
            if (this.ngControl && this.ngControl.control.validator) {
                // Run the validation with empty object to check if required is enabled.
                /** @type {?} */
                var error = this.ngControl.control.validator((/** @type {?} */ ({})));
                this.inputGroup.isRequired = error && error.required;
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.onBlur = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.collapsed) {
                this._onTouchedCallback();
                if (this.ngControl && !this.ngControl.valid) {
                    this.valid = IgxComboState.INVALID;
                }
                else {
                    this.valid = IgxComboState.INITIAL;
                }
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.onFocus = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.collapsed) {
                this._onTouchedCallback();
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.filter = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.prepare_filtering_expression(this.searchValue.trim(), IgxStringFilteringOperand.instance().condition('contains'), true, this.dataType === DataTypes.PRIMITIVE ? undefined : this.displayKey);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.ngOnInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.ngControl = this._injector.get((/** @type {?} */ (forms.NgControl)), null);
            this._overlaySettings.positionStrategy.settings.target = this.elementRef.nativeElement;
            this.selection.set(this.id, new Set());
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.ngAfterViewInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.filteredData = __spread(this.data);
            if (this.ngControl) {
                this.ngControl.statusChanges.pipe(operators.takeUntil(this.destroy$)).subscribe(this.onStatusChanged);
                this.manageRequiredAsterisk();
                this.cdr.detectChanges();
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.ngOnDestroy = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.destroy$.next();
            this.destroy$.complete();
            this.comboAPI.clear();
            this.selection.clear(this.id);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.dataLoading = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onDataPreLoad.emit(event);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} value
         * @return {?}
         */
        IgxComboComponent.prototype.writeValue = /**
         * @hidden \@internal
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.selectItems(value, true);
            this.cdr.markForCheck();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxComboComponent.prototype.registerOnChange = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onChangeCallback = fn;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxComboComponent.prototype.registerOnTouched = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onTouchedCallback = fn;
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        IgxComboComponent.prototype.setDisabledState = /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        function (isDisabled) {
            this.disabled = isDisabled;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxComboComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this.comboInput.nativeElement;
        };
        Object.defineProperty(IgxComboComponent.prototype, "template", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                this._dataType = this.dataType;
                if (this.itemTemplate) {
                    return this.itemTemplate;
                }
                if (this._dataType === DataTypes.COMPLEX) {
                    return this.complexTemplate;
                }
                return this.primitiveTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxComboComponent.prototype, "context", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return {
                    $implicit: this
                };
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.handleClearItems = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.deselectAllItems(true, event);
            if (this.collapsed) {
                this.getEditElement().focus();
            }
            else {
                this.focusSearchInput(true);
            }
            event.stopPropagation();
        };
        /**
         * A method that opens/closes the combo.
         *
         *```html
         *<button (click)="combo.toggle()">Toggle Combo</button>
         *<igx-combo #combo></igx-combo>
         *```
         */
        /**
         * A method that opens/closes the combo.
         *
         * ```html
         * <button (click)="combo.toggle()">Toggle Combo</button>
         * <igx-combo #combo></igx-combo>
         * ```
         * @return {?}
         */
        IgxComboComponent.prototype.toggle = /**
         * A method that opens/closes the combo.
         *
         * ```html
         * <button (click)="combo.toggle()">Toggle Combo</button>
         * <igx-combo #combo></igx-combo>
         * ```
         * @return {?}
         */
        function () {
            /** @type {?} */
            var overlaySettings = Object.assign({}, this._overlaySettings, this.overlaySettings);
            this.dropdown.toggle(overlaySettings);
        };
        /**
         * A method that opens the combo.
         *
         *```html
         *<button (click)="combo.open()">Open Combo</button>
         *<igx-combo #combo></igx-combo>
         *```
         */
        /**
         * A method that opens the combo.
         *
         * ```html
         * <button (click)="combo.open()">Open Combo</button>
         * <igx-combo #combo></igx-combo>
         * ```
         * @return {?}
         */
        IgxComboComponent.prototype.open = /**
         * A method that opens the combo.
         *
         * ```html
         * <button (click)="combo.open()">Open Combo</button>
         * <igx-combo #combo></igx-combo>
         * ```
         * @return {?}
         */
        function () {
            /** @type {?} */
            var overlaySettings = Object.assign({}, this._overlaySettings, this.overlaySettings);
            this.dropdown.open(overlaySettings);
        };
        /**
         * A method that closes the combo.
         *
         *```html
         *<button (click)="combo.close()">Close Combo</button>
         *<igx-combo #combo></igx-combo>
         *```
         */
        /**
         * A method that closes the combo.
         *
         * ```html
         * <button (click)="combo.close()">Close Combo</button>
         * <igx-combo #combo></igx-combo>
         * ```
         * @return {?}
         */
        IgxComboComponent.prototype.close = /**
         * A method that closes the combo.
         *
         * ```html
         * <button (click)="combo.close()">Close Combo</button>
         * <igx-combo #combo></igx-combo>
         * ```
         * @return {?}
         */
        function () {
            this.dropdown.close();
        };
        Object.defineProperty(IgxComboComponent.prototype, "collapsed", {
            /**
             * Gets drop down state.
             *
             * ```typescript
             * let state = this.combo.collapsed;
             * ```
            */
            get: /**
             * Gets drop down state.
             *
             * ```typescript
             * let state = this.combo.collapsed;
             * ```
             * @return {?}
             */
            function () {
                return this.dropdown.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Get current selection state
         * @returns Array of selected items
         * ```typescript
         * let selectedItems = this.combo.selectedItems();
         * ```
         */
        /**
         * Get current selection state
         * @return {?} Array of selected items
         * ```typescript
         * let selectedItems = this.combo.selectedItems();
         * ```
         */
        IgxComboComponent.prototype.selectedItems = /**
         * Get current selection state
         * @return {?} Array of selected items
         * ```typescript
         * let selectedItems = this.combo.selectedItems();
         * ```
         */
        function () {
            /** @type {?} */
            var items = Array.from(this.selection.get(this.id));
            return items;
        };
        /**
         * Select defined items
         * @param newItems new items to be selected
         * @param clearCurrentSelection if true clear previous selected items
         * ```typescript
         * this.combo.selectItems(["New York", "New Jersey"]);
         * ```
         */
        /**
         * Select defined items
         * @param {?} newItems new items to be selected
         * @param {?=} clearCurrentSelection if true clear previous selected items
         * ```typescript
         * this.combo.selectItems(["New York", "New Jersey"]);
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.selectItems = /**
         * Select defined items
         * @param {?} newItems new items to be selected
         * @param {?=} clearCurrentSelection if true clear previous selected items
         * ```typescript
         * this.combo.selectItems(["New York", "New Jersey"]);
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (newItems, clearCurrentSelection, event) {
            if (newItems) {
                /** @type {?} */
                var newSelection = this.selection.add_items(this.id, newItems, clearCurrentSelection);
                this.setSelection(newSelection, event);
            }
        };
        /**
         * Deselect defined items
         * @param items items to deselected
         * ```typescript
         * this.combo.deselectItems(["New York", "New Jersey"]);
         * ```
         */
        /**
         * Deselect defined items
         * @param {?} items items to deselected
         * ```typescript
         * this.combo.deselectItems(["New York", "New Jersey"]);
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.deselectItems = /**
         * Deselect defined items
         * @param {?} items items to deselected
         * ```typescript
         * this.combo.deselectItems(["New York", "New Jersey"]);
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (items, event) {
            if (items) {
                /** @type {?} */
                var newSelection = this.selection.delete_items(this.id, items);
                this.setSelection(newSelection, event);
            }
        };
        /**
         * Select all (filtered) items
         * @param ignoreFilter if set to true, selects all items, otherwise selects only the filtered ones.
         * ```typescript
         * this.combo.selectAllItems();
         * ```
         */
        /**
         * Select all (filtered) items
         * @param {?=} ignoreFilter if set to true, selects all items, otherwise selects only the filtered ones.
         * ```typescript
         * this.combo.selectAllItems();
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.selectAllItems = /**
         * Select all (filtered) items
         * @param {?=} ignoreFilter if set to true, selects all items, otherwise selects only the filtered ones.
         * ```typescript
         * this.combo.selectAllItems();
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (ignoreFilter, event) {
            /** @type {?} */
            var allVisible = this.selection.get_all_ids(ignoreFilter ? this.data : this.filteredData, this.valueKey);
            /** @type {?} */
            var newSelection = this.selection.add_items(this.id, allVisible);
            this.setSelection(newSelection, event);
        };
        /**
         * Deselect all (filtered) items
         * @param ignoreFilter if set to true, deselects all items, otherwise deselects only the filtered ones.
         * ```typescript
         * this.combo.deselectAllItems();
         * ```
         */
        /**
         * Deselect all (filtered) items
         * @param {?=} ignoreFilter if set to true, deselects all items, otherwise deselects only the filtered ones.
         * ```typescript
         * this.combo.deselectAllItems();
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.deselectAllItems = /**
         * Deselect all (filtered) items
         * @param {?=} ignoreFilter if set to true, deselects all items, otherwise deselects only the filtered ones.
         * ```typescript
         * this.combo.deselectAllItems();
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (ignoreFilter, event) {
            /** @type {?} */
            var newSelection = this.selection.get_empty();
            if (this.filteredData.length !== this.data.length && !ignoreFilter) {
                newSelection = this.selection.delete_items(this.id, this.selection.get_all_ids(this.filteredData, this.valueKey));
            }
            this.setSelection(newSelection, event);
        };
        /**
         * Selects/Deselects a single item
         * @param itemID the itemID of the specific item
         * @param select If the item should be selected (true) or deselected (false)
         *
         * Without specified valueKey;
         * ```typescript
         * this.combo.valueKey = null;
         * const items: { field: string, region: string}[] = data;
         * this.combo.setSelectedItem(items[0], true);
         * ```
         * With specified valueKey;
         * ```typescript
         * this.combo.valueKey = 'field';
         * const items: { field: string, region: string}[] = data;
         * this.combo.setSelectedItem('Connecticut', true);
         * ```
         */
        /**
         * Selects/Deselects a single item
         * @param {?} itemID the itemID of the specific item
         * @param {?=} select If the item should be selected (true) or deselected (false)
         *
         * Without specified valueKey;
         * ```typescript
         * this.combo.valueKey = null;
         * const items: { field: string, region: string}[] = data;
         * this.combo.setSelectedItem(items[0], true);
         * ```
         * With specified valueKey;
         * ```typescript
         * this.combo.valueKey = 'field';
         * const items: { field: string, region: string}[] = data;
         * this.combo.setSelectedItem('Connecticut', true);
         * ```
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.setSelectedItem = /**
         * Selects/Deselects a single item
         * @param {?} itemID the itemID of the specific item
         * @param {?=} select If the item should be selected (true) or deselected (false)
         *
         * Without specified valueKey;
         * ```typescript
         * this.combo.valueKey = null;
         * const items: { field: string, region: string}[] = data;
         * this.combo.setSelectedItem(items[0], true);
         * ```
         * With specified valueKey;
         * ```typescript
         * this.combo.valueKey = 'field';
         * const items: { field: string, region: string}[] = data;
         * this.combo.setSelectedItem('Connecticut', true);
         * ```
         * @param {?=} event
         * @return {?}
         */
        function (itemID, select, event) {
            if (select === void 0) { select = true; }
            if (itemID === null || itemID === undefined) {
                return;
            }
            if (select) {
                this.selectItems([itemID], false, event);
            }
            else {
                this.deselectItems([itemID], event);
            }
        };
        /**
         * @protected
         * @param {?} newSelection
         * @param {?=} event
         * @return {?}
         */
        IgxComboComponent.prototype.setSelection = /**
         * @protected
         * @param {?} newSelection
         * @param {?=} event
         * @return {?}
         */
        function (newSelection, event) {
            var _this = this;
            /** @type {?} */
            var removed = diffInSets(this.selection.get(this.id), newSelection);
            /** @type {?} */
            var added = diffInSets(newSelection, this.selection.get(this.id));
            /** @type {?} */
            var args = {
                newSelection: Array.from(newSelection),
                oldSelection: Array.from(this.selection.get(this.id) || []),
                added: added,
                removed: removed,
                event: event,
                cancel: false
            };
            this.onSelectionChange.emit(args);
            if (!args.cancel) {
                this.selection.select_items(this.id, args.newSelection, true);
                /** @type {?} */
                var value = '';
                if (this.isRemote) {
                    if (args.newSelection.length) {
                        /** @type {?} */
                        var removedItems = args.oldSelection.filter(function (e) { return args.newSelection.indexOf(e) < 0; });
                        /** @type {?} */
                        var addedItems = args.newSelection.filter(function (e) { return args.oldSelection.indexOf(e) < 0; });
                        this.registerRemoteEntries(addedItems);
                        this.registerRemoteEntries(removedItems, false);
                        value = Object.keys(this._remoteSelection).map(function (e) { return _this._remoteSelection[e]; }).join(', ');
                    }
                    else {
                        // If new selection is empty, clear all items
                        this.registerRemoteEntries(args.oldSelection, false);
                    }
                }
                else {
                    value = this.displayKey !== null && this.displayKey !== undefined ?
                        this.convertKeysToItems(args.newSelection).map(function (entry) { return entry[_this.displayKey]; }).join(', ') :
                        args.newSelection.join(', ');
                }
                this._value = value;
                this._onChangeCallback(args.newSelection);
            }
        };
        /** if there is a valueKey - map the keys to data items, else - just return the keys */
        /**
         * if there is a valueKey - map the keys to data items, else - just return the keys
         * @private
         * @param {?} keys
         * @return {?}
         */
        IgxComboComponent.prototype.convertKeysToItems = /**
         * if there is a valueKey - map the keys to data items, else - just return the keys
         * @private
         * @param {?} keys
         * @return {?}
         */
        function (keys) {
            var _this = this;
            if (this.comboAPI.valueKey === null) {
                return keys;
            }
            // map keys vs. filter data to retain the order of the selected items
            return keys.map(function (key) { return _this.data.find(function (entry) { return entry[_this.valueKey] === key; }); }).filter(function (e) { return e !== undefined; });
        };
        /**
         * Event handlers
         * @hidden
         * @internal
         */
        /**
         * Event handlers
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.handleOpening = /**
         * Event handlers
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onOpening.emit(event);
            if (event.cancel) {
                return;
            }
            this.handleInputChange();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.handleOpened = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.triggerCheck();
            this.focusSearchInput(true);
            this.onOpened.emit();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxComboComponent.prototype.handleClosing = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onClosing.emit(event);
            if (event.cancel) {
                return;
            }
            this.searchValue = '';
            this.comboInput.nativeElement.focus();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxComboComponent.prototype.handleClosed = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.onClosed.emit();
        };
        IgxComboComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-combo',
                        template: "<ng-template #complex let-display let-data=\"data\" let-key=\"displayKey\">\n    {{display[key]}}\n</ng-template>\n<ng-template #primitive let-display>\n    {{display}}\n</ng-template>\n<ng-template #empty>\n    <span>The list is empty</span>\n</ng-template>\n<ng-template #addItemDefault let-control>\n    <button igxButton=\"flat\" igxRipple>Add item</button>\n</ng-template>\n<ng-template #headerItemBase let-item let-key=\"valueKey\" let-groupKey=\"groupKey\">\n    {{ item[key] }}\n</ng-template>\n\n<igx-input-group #inputGroup [displayDensity]=\"displayDensity\" [type]=\"type\" (click)=\"onInputClick($event)\">\n    <ng-container ngProjectAs=\"[igxLabel]\">\n        <ng-content select=\"[igxLabel]\"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs=\"igx-prefix\">\n        <ng-content select=\"igx-prefix\"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs=\"igx-hint, [igxHint]\">\n            <ng-content select=\"igx-hint, [igxHint]\"></ng-content>\n        </ng-container>\n    <input igxInput #comboInput name=\"comboInput\" type=\"text\" [value]=\"value\" readonly [attr.placeholder]=\"placeholder\"\n        [disabled]=\"disabled\" (blur)=\"onBlur()\" (focus)=\"onFocus()\"/>\n    <ng-container ngProjectAs=\"igx-suffix\">\n        <ng-content select=\"igx-suffix\"></ng-content>\n    </ng-container>\n    <igx-suffix *ngIf=\"value.length\" aria-label=\"Clear Selection\" class=\"igx-combo__clear-button\" (click)=\"handleClearItems($event)\">\n        <ng-container *ngIf=\"clearIconTemplate\">\n            <ng-container *ngTemplateOutlet=\"clearIconTemplate\"></ng-container>\n        </ng-container>\n        <igx-icon *ngIf=\"!clearIconTemplate\" fontSet=\"material\">clear</igx-icon>\n    </igx-suffix>\n    <igx-suffix igxButton=\"icon\" class=\"igx-combo__toggle-button\" igxRipple>\n        <ng-container *ngIf=\"toggleIconTemplate\">\n            <ng-container *ngTemplateOutlet=\"toggleIconTemplate; context: {$implicit: this.collapsed}\"></ng-container>\n        </ng-container>\n        <igx-icon *ngIf=\"!toggleIconTemplate\" fontSet=\"material\">{{ dropdown.collapsed ? 'arrow_drop_down' : 'arrow_drop_up'}}</igx-icon>\n    </igx-suffix>\n</igx-input-group>\n<igx-combo-drop-down #igxComboDropDown class=\"igx-combo__drop-down\" [displayDensity]=\"displayDensity\" [width]=\"itemsWidth || '100%'\" (onOpening)=\"handleOpening($event)\"\n    (onClosing)=\"handleClosing($event)\" (onOpened)=\"handleOpened()\" (onClosed)=\"handleClosed()\">\n    <igx-input-group *ngIf=\"displaySearchInput\" [displayDensity]=\"displayDensity\" class=\"igx-combo__search\">\n        <input class=\"igx-combo-input\" igxInput #searchInput name=\"searchInput\" autocomplete=\"off\" type=\"text\"\n            [(ngModel)]=\"searchValue\" (ngModelChange)=\"handleInputChange($event)\" (keyup)=\"handleKeyUp($event)\"\n            (keydown)=\"handleKeyDown($event)\" (focus)=\"dropdown.onBlur($event)\" [attr.placeholder]=\"searchPlaceholder\"\n            aria-autocomplete=\"both\" [attr.aria-owns]=\"dropdown.id\" [attr.aria-labelledby]=\"ariaLabelledBy\" />\n    </igx-input-group>\n    <ng-container *ngTemplateOutlet=\"headerTemplate\">\n    </ng-container>\n    <div #dropdownItemContainer class=\"igx-combo__content\" [style.overflow]=\"'hidden'\" [style.maxHeight.px]=\"itemsMaxHeight\"\n        [igxDropDownItemNavigation]=\"dropdown\" (focus)=\"dropdown.onFocus()\" [tabindex]=\"dropdown.collapsed ? -1 : 0\"\n        role=\"listbox\" [attr.id]=\"dropdown.id\">\n        <ng-template igxFor let-item let-index=\"index\" [igxForOf]=\"data | comboFiltering:filteringExpressions:filteringLogic | comboSorting:sortingExpressions | comboGrouping:groupKey\"\n            [igxForScrollOrientation]=\"'vertical'\" [igxForContainerSize]=\"itemsMaxHeight\" [igxForItemSize]=\"itemHeight\"\n            (onChunkPreload)=\"dataLoading($event)\">\n            <igx-combo-item  [itemHeight]='itemHeight' [value]=\"item\" [isHeader]=\"item.isHeader\" role=\"option\" [index]=\"index\">\n                <ng-container *ngIf=\"item.isHeader\">\n                    <ng-container *ngTemplateOutlet=\"headerItemTemplate ? headerItemTemplate : headerItemBase; context: {$implicit: item, data: data, valueKey: valueKey, groupKey: groupKey, displayKey: displayKey}\"></ng-container>\n                </ng-container>\n                <ng-container *ngIf=\"!item.isHeader\">\n                    <ng-container #listItem *ngTemplateOutlet=\"template; context: {$implicit: item, data: data, valueKey: valueKey, displayKey: displayKey};\"></ng-container>\n                </ng-container>\n            </igx-combo-item>\n        </ng-template>\n    </div>\n    <div class=\"igx-combo__add\" *ngIf=\"filteredData.length === 0 || isAddButtonVisible()\">\n        <div class=\"igx-combo__empty\" *ngIf=\"filteredData.length === 0\">\n            <ng-container *ngTemplateOutlet=\"emptyTemplate ? emptyTemplate : empty\">\n            </ng-container>\n        </div>\n        <igx-combo-add-item [itemHeight]='itemHeight' *ngIf=\"isAddButtonVisible()\" [tabindex]=\"dropdown.collapsed ? -1 : customValueFlag ? 1 : -1\"\n            class=\"igx-combo__add-item\" role=\"button\" aria-label=\"Add Item\" [index]=\"virtualScrollContainer.igxForOf.length\">\n            <ng-container *ngTemplateOutlet=\"addItemTemplate ? addItemTemplate : addItemDefault\">\n            </ng-container>\n        </igx-combo-add-item>\n    </div>\n    <ng-container *ngTemplateOutlet=\"footerTemplate\">\n    </ng-container>\n</igx-combo-drop-down>\n",
                        providers: [
                            IgxComboAPIService,
                            { provide: IGX_COMBO_COMPONENT, useExisting: IgxComboComponent },
                            { provide: forms.NG_VALUE_ACCESSOR, useExisting: core.forwardRef(function () { return IgxComboComponent; }), multi: true }
                        ]
                    }] }
        ];
        /** @nocollapse */
        IgxComboComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: IgxSelectionAPIService },
            { type: IgxComboAPIService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] },
            { type: core.Injector, decorators: [{ type: core.Optional }] }
        ]; };
        IgxComboComponent.propDecorators = {
            virtDir: [{ type: core.ViewChild, args: [IgxForOfDirective, { read: IgxForOfDirective, static: true },] }],
            overlaySettings: [{ type: core.Input }],
            inputGroup: [{ type: core.ViewChild, args: ['inputGroup', { read: IgxInputGroupComponent, static: true },] }],
            comboInput: [{ type: core.ViewChild, args: ['comboInput', { read: IgxInputDirective, static: true },] }],
            dropdown: [{ type: core.ViewChild, args: [IgxComboDropDownComponent, { read: IgxComboDropDownComponent, static: true },] }],
            searchInput: [{ type: core.ViewChild, args: ['searchInput', { static: false },] }],
            itemTemplate: [{ type: core.ContentChild, args: [IgxComboItemDirective, { read: core.TemplateRef, static: false },] }],
            headerTemplate: [{ type: core.ContentChild, args: [IgxComboHeaderDirective, { read: core.TemplateRef, static: false },] }],
            footerTemplate: [{ type: core.ContentChild, args: [IgxComboFooterDirective, { read: core.TemplateRef, static: false },] }],
            headerItemTemplate: [{ type: core.ContentChild, args: [IgxComboHeaderItemDirective, { read: core.TemplateRef, static: false },] }],
            addItemTemplate: [{ type: core.ContentChild, args: [IgxComboAddItemDirective, { read: core.TemplateRef, static: false },] }],
            emptyTemplate: [{ type: core.ContentChild, args: [IgxComboEmptyDirective, { read: core.TemplateRef, static: false },] }],
            toggleIconTemplate: [{ type: core.ContentChild, args: [IgxComboToggleIconDirective, { read: core.TemplateRef, static: false },] }],
            clearIconTemplate: [{ type: core.ContentChild, args: [IgxComboClearIconDirective, { read: core.TemplateRef, static: false },] }],
            primitiveTemplate: [{ type: core.ViewChild, args: ['primitive', { read: core.TemplateRef, static: true },] }],
            complexTemplate: [{ type: core.ViewChild, args: ['complex', { read: core.TemplateRef, static: true },] }],
            virtualScrollContainer: [{ type: core.ViewChild, args: [IgxForOfDirective, { static: true },] }],
            dropdownContainer: [{ type: core.ViewChild, args: ['dropdownItemContainer', { static: true },] }],
            onSelectionChange: [{ type: core.Output }],
            onOpening: [{ type: core.Output }],
            onOpened: [{ type: core.Output }],
            onClosing: [{ type: core.Output }],
            onClosed: [{ type: core.Output }],
            onAddition: [{ type: core.Output }],
            onSearchInput: [{ type: core.Output }],
            onDataPreLoad: [{ type: core.Output }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            width: [{ type: core.HostBinding, args: ['style.width',] }, { type: core.Input }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-combo',] }],
            role: [{ type: core.HostBinding, args: ["attr.role",] }],
            ariaExpanded: [{ type: core.HostBinding, args: ['attr.aria-expanded',] }],
            hasPopUp: [{ type: core.HostBinding, args: ['attr.aria-haspopup',] }],
            ariaOwns: [{ type: core.HostBinding, args: ['attr.aria-owns',] }],
            allowCustomValues: [{ type: core.Input }],
            itemsMaxHeight: [{ type: core.Input }],
            itemsWidth: [{ type: core.Input }],
            itemHeight: [{ type: core.Input }],
            placeholder: [{ type: core.Input }],
            searchPlaceholder: [{ type: core.Input }],
            data: [{ type: core.Input }],
            valueKey: [{ type: core.Input }],
            displayKey: [{ type: core.Input }],
            groupKey: [{ type: core.Input }],
            filterable: [{ type: core.Input }],
            ariaLabelledBy: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.aria-labelledby',] }],
            disabled: [{ type: core.Input }],
            type: [{ type: core.Input }],
            onArrowDown: [{ type: core.HostListener, args: ['keydown.ArrowDown', ['$event'],] }, { type: core.HostListener, args: ['keydown.Alt.ArrowDown', ['$event'],] }]
        };
        return IgxComboComponent;
    }(DisplayDensityBase));
    /**
     * @hidden
     */
    var IgxComboModule = /** @class */ (function () {
        function IgxComboModule() {
        }
        IgxComboModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxComboComponent, IgxComboItemComponent, IgxComboFilterConditionPipe, IgxComboGroupingPipe,
                            IgxComboFilteringPipe, IgxComboSortingPipe, IgxComboDropDownComponent, IgxComboAddItemComponent,
                            IgxComboItemDirective,
                            IgxComboEmptyDirective,
                            IgxComboHeaderItemDirective,
                            IgxComboHeaderDirective,
                            IgxComboFooterDirective,
                            IgxComboAddItemDirective,
                            IgxComboToggleIconDirective,
                            IgxComboClearIconDirective],
                        exports: [IgxComboComponent, IgxComboItemComponent, IgxComboDropDownComponent, IgxComboAddItemComponent,
                            IgxComboItemDirective,
                            IgxComboEmptyDirective,
                            IgxComboHeaderItemDirective,
                            IgxComboHeaderDirective,
                            IgxComboFooterDirective,
                            IgxComboAddItemDirective,
                            IgxComboToggleIconDirective,
                            IgxComboClearIconDirective],
                        imports: [IgxRippleModule, common.CommonModule, IgxInputGroupModule, forms.FormsModule, forms.ReactiveFormsModule,
                            IgxForOfModule, IgxToggleModule, IgxCheckboxModule, IgxDropDownModule, IgxButtonModule, IgxIconModule],
                        providers: [IgxSelectionAPIService]
                    },] }
        ];
        return IgxComboModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @abstract
     */
    var DatePickerUtil = /** @class */ (function () {
        function DatePickerUtil() {
        }
        /**
         * This method generates date parts structure based on editor mask and locale.
         * @param maskValue: string
         * @param locale: string
         * @returns array containing information about date parts - type, position, format
         */
        /**
         * This method generates date parts structure based on editor mask and locale.
         * @param {?} maskValue
         * @param {?=} locale
         * @return {?} array containing information about date parts - type, position, format
         */
        DatePickerUtil.parseDateFormat = /**
         * This method generates date parts structure based on editor mask and locale.
         * @param {?} maskValue
         * @param {?=} locale
         * @return {?} array containing information about date parts - type, position, format
         */
        function (maskValue, locale) {
            if (locale === void 0) { locale = DatePickerUtil.DEFAULT_LOCALE; }
            /** @type {?} */
            var dateStruct = [];
            if (maskValue === undefined && !isIE()) {
                dateStruct = DatePickerUtil.getDefaultLocaleMask(locale);
            }
            else {
                /** @type {?} */
                var mask = (maskValue) ? maskValue : DatePickerUtil.SHORT_DATE_MASK;
                /** @type {?} */
                var maskArray = Array.from(mask);
                /** @type {?} */
                var monthInitPosition = mask.indexOf("M" /* MonthChar */);
                /** @type {?} */
                var dayInitPosition = mask.indexOf("d" /* DayChar */);
                /** @type {?} */
                var yearInitPosition = mask.indexOf("y" /* YearChar */);
                if (yearInitPosition !== -1) {
                    dateStruct.push({
                        type: "year" /* Year */,
                        initialPosition: yearInitPosition,
                        formatType: DatePickerUtil.getYearFormatType(mask)
                    });
                }
                if (monthInitPosition !== -1) {
                    dateStruct.push({
                        type: "month" /* Month */,
                        initialPosition: monthInitPosition,
                        formatType: DatePickerUtil.getMonthFormatType(mask)
                    });
                }
                if (dayInitPosition !== -1) {
                    dateStruct.push({
                        type: "day" /* Day */,
                        initialPosition: dayInitPosition,
                        formatType: DatePickerUtil.getDayFormatType(mask)
                    });
                }
                for (var i = 0; i < maskArray.length; i++) {
                    if (!DatePickerUtil.isDateChar(maskArray[i])) {
                        dateStruct.push({
                            type: DatePickerUtil.SEPARATOR,
                            initialPosition: i,
                            value: maskArray[i]
                        });
                    }
                }
                dateStruct.sort(function (a, b) { return a.initialPosition - b.initialPosition; });
                DatePickerUtil.fillDatePartsPositions(dateStruct);
            }
            return dateStruct;
        };
        /**
         * This method generates input mask based on date parts.
         * @param dateStruct array
         * @returns input mask
         */
        /**
         * This method generates input mask based on date parts.
         * @param {?} dateStruct array
         * @return {?} input mask
         */
        DatePickerUtil.getInputMask = /**
         * This method generates input mask based on date parts.
         * @param {?} dateStruct array
         * @return {?} input mask
         */
        function (dateStruct) {
            /** @type {?} */
            var inputMask = [];
            for (var i = 0; i < dateStruct.length; i++) {
                if (dateStruct[i].type === DatePickerUtil.SEPARATOR) {
                    inputMask.push(dateStruct[i].value);
                }
                else if (dateStruct[i].type === "day" /* Day */ || dateStruct[i].type === "month" /* Month */) {
                    inputMask.push('00');
                }
                else if (dateStruct[i].type === "year" /* Year */) {
                    switch (dateStruct[i].formatType) {
                        case "numeric" /* Numeric */: {
                            inputMask.push('0000');
                            break;
                        }
                        case "2-digit" /* TwoDigits */: {
                            inputMask.push('00');
                            break;
                        }
                    }
                }
            }
            return inputMask.join('');
        };
        /**
         * This method generates editor mask.
         * @param dateStruct
         * @returns editor mask
         */
        /**
         * This method generates editor mask.
         * @param {?} dateStruct
         * @return {?} editor mask
         */
        DatePickerUtil.getMask = /**
         * This method generates editor mask.
         * @param {?} dateStruct
         * @return {?} editor mask
         */
        function (dateStruct) {
            /** @type {?} */
            var mask = [];
            for (var i = 0; i < dateStruct.length; i++) {
                switch (dateStruct[i].formatType) {
                    case "numeric" /* Numeric */: {
                        if (dateStruct[i].type === "day" /* Day */) {
                            mask.push('d');
                        }
                        else if (dateStruct[i].type === "month" /* Month */) {
                            mask.push('M');
                        }
                        else {
                            mask.push('yyyy');
                        }
                        break;
                    }
                    case "2-digit" /* TwoDigits */: {
                        if (dateStruct[i].type === "day" /* Day */) {
                            mask.push('dd');
                        }
                        else if (dateStruct[i].type === "month" /* Month */) {
                            mask.push('MM');
                        }
                        else {
                            mask.push('yy');
                        }
                    }
                }
                if (dateStruct[i].type === DatePickerUtil.SEPARATOR) {
                    mask.push(dateStruct[i].value);
                }
            }
            return mask.join('');
        };
        /**
         * This method parses an input string base on date parts and returns a date and its validation state.
         * @param dateFormatParts
         * @param prevDateValue
         * @param inputValue
         * @returns object containing a date and its validation state
         */
        /**
         * This method parses an input string base on date parts and returns a date and its validation state.
         * @param {?} dateFormatParts
         * @param {?} prevDateValue
         * @param {?} inputValue
         * @return {?} object containing a date and its validation state
         */
        DatePickerUtil.parseDateArray = /**
         * This method parses an input string base on date parts and returns a date and its validation state.
         * @param {?} dateFormatParts
         * @param {?} prevDateValue
         * @param {?} inputValue
         * @return {?} object containing a date and its validation state
         */
        function (dateFormatParts, prevDateValue, inputValue) {
            /** @type {?} */
            var dayStr = DatePickerUtil.getDayValueFromInput(dateFormatParts, inputValue);
            /** @type {?} */
            var monthStr = DatePickerUtil.getMonthValueFromInput(dateFormatParts, inputValue);
            /** @type {?} */
            var yearStr = DatePickerUtil.getYearValueFromInput(dateFormatParts, inputValue);
            /** @type {?} */
            var yearFormat = DatePickerUtil.getDateFormatPart(dateFormatParts, "year" /* Year */).formatType;
            /** @type {?} */
            var day = (dayStr !== '') ? parseInt(dayStr, 10) : 1;
            /** @type {?} */
            var month = (monthStr !== '') ? parseInt(monthStr, 10) - 1 : 0;
            /** @type {?} */
            var year;
            if (yearStr === '') {
                year = (yearFormat === "2-digit" /* TwoDigits */) ? '00' : '2000';
            }
            else {
                year = yearStr;
            }
            /** @type {?} */
            var yearPrefix;
            if (prevDateValue) {
                /** @type {?} */
                var originalYear = prevDateValue.getFullYear().toString();
                if (originalYear.length === 4) {
                    yearPrefix = originalYear.substring(0, 2);
                }
            }
            else {
                yearPrefix = '20';
            }
            /** @type {?} */
            var fullYear = (yearFormat === "2-digit" /* TwoDigits */) ? yearPrefix.concat(year) : year;
            if ((month < 0) || (month > 11) || (month === NaN)) {
                return { state: "invalid" /* Invalid */, value: inputValue };
            }
            if ((day < 1) || (day > DatePickerUtil.daysInMonth(fullYear, month + 1)) || (day === NaN)) {
                return { state: "invalid" /* Invalid */, value: inputValue };
            }
            return { state: "valid" /* Valid */, date: new Date(fullYear, month, day) };
        };
        /**
         * @param {?} mask
         * @return {?}
         */
        DatePickerUtil.maskToPromptChars = /**
         * @param {?} mask
         * @return {?}
         */
        function (mask) {
            /** @type {?} */
            var result = mask.replace(/0|L/g, DatePickerUtil.PROMPT_CHAR);
            return result;
        };
        /**
         * This method replaces prompt chars with empty string.
         * @param value
         */
        /**
         * This method replaces prompt chars with empty string.
         * @param {?} value
         * @return {?}
         */
        DatePickerUtil.trimUnderlines = /**
         * This method replaces prompt chars with empty string.
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var result = value.replace(/_/g, '');
            return result;
        };
        /**
         * This method is used for spinning date parts.
         * @param dateFormatParts
         * @param inputValue
         * @param position
         * @param delta
         * @param isSpinLoop
         * @return modified text input
         */
        /**
         * This method is used for spinning date parts.
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?} position
         * @param {?} delta
         * @param {?} isSpinLoop
         * @return {?} modified text input
         */
        DatePickerUtil.getModifiedDateInput = /**
         * This method is used for spinning date parts.
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?} position
         * @param {?} delta
         * @param {?} isSpinLoop
         * @return {?} modified text input
         */
        function (dateFormatParts, inputValue, position, delta, isSpinLoop) {
            /** @type {?} */
            var datePart = DatePickerUtil.getDatePartOnPosition(dateFormatParts, position);
            /** @type {?} */
            var datePartType = datePart.type;
            /** @type {?} */
            var datePartFormatType = datePart.formatType;
            /** @type {?} */
            var newValue;
            /** @type {?} */
            var datePartValue = DatePickerUtil.getDateValueFromInput(dateFormatParts, datePartType, inputValue);
            newValue = parseInt(datePartValue, 10);
            /** @type {?} */
            var maxValue;
            /** @type {?} */
            var minValue;
            /** @type {?} */
            var minMax = DatePickerUtil.getMinMaxValue(dateFormatParts, datePart, inputValue);
            minValue = minMax.min;
            maxValue = minMax.max;
            if (isNaN(newValue)) {
                if (minValue === 'infinite') {
                    newValue = 2000;
                }
                else {
                    newValue = minValue;
                }
            }
            /** @type {?} */
            var tempValue = newValue;
            tempValue += delta;
            // Infinite loop for full years
            if (maxValue === 'infinite' && minValue === 'infinite') {
                newValue = tempValue;
            }
            if (isSpinLoop) {
                if (tempValue > maxValue) {
                    tempValue = minValue;
                }
                if (tempValue < minValue) {
                    tempValue = maxValue;
                }
                newValue = tempValue;
            }
            else {
                if (tempValue <= maxValue && tempValue >= minValue) {
                    newValue = tempValue;
                }
            }
            /** @type {?} */
            var startIdx = datePart.position[0];
            /** @type {?} */
            var endIdx = datePart.position[1];
            /** @type {?} */
            var start = inputValue.slice(0, startIdx);
            /** @type {?} */
            var end = inputValue.slice(endIdx, inputValue.length);
            /** @type {?} */
            var changedPart;
            /** @type {?} */
            var prefix = DatePickerUtil.getNumericFormatPrefix(datePartFormatType);
            changedPart = (newValue < 10) ? "" + prefix + newValue : "" + newValue;
            return "" + start + changedPart + end;
        };
        /**
         * This method returns date input with prompt chars.
         * @param dateFormatParts
         * @param date
         * @param inputValue
         * @returns date input including prompt chars
         */
        /**
         * This method returns date input with prompt chars.
         * @param {?} dateFormatParts
         * @param {?} date
         * @param {?} inputValue
         * @return {?} date input including prompt chars
         */
        DatePickerUtil.addPromptCharsEditMode = /**
         * This method returns date input with prompt chars.
         * @param {?} dateFormatParts
         * @param {?} date
         * @param {?} inputValue
         * @return {?} date input including prompt chars
         */
        function (dateFormatParts, date, inputValue) {
            /** @type {?} */
            var dateArray = Array.from(inputValue);
            for (var i = 0; i < dateFormatParts.length; i++) {
                if (dateFormatParts[i].formatType === "numeric" /* Numeric */) {
                    if ((dateFormatParts[i].type === "day" /* Day */ && date.getDate() < 10)
                        || (dateFormatParts[i].type === "month" /* Month */ && date.getMonth() + 1 < 10)) {
                        dateArray.splice(dateFormatParts[i].position[0], 0, DatePickerUtil.PROMPT_CHAR);
                        dateArray.join('');
                    }
                }
            }
            return dateArray.join('');
        };
        /**
         * This method checks if date input is done.
         * @param dateFormatParts
         * @param input
         * @returns input completeness
         */
        /**
         * This method checks if date input is done.
         * @param {?} dateFormatParts
         * @param {?} input
         * @return {?} input completeness
         */
        DatePickerUtil.checkForCompleteDateInput = /**
         * This method checks if date input is done.
         * @param {?} dateFormatParts
         * @param {?} input
         * @return {?} input completeness
         */
        function (dateFormatParts, input) {
            /** @type {?} */
            var dayValue = DatePickerUtil.getDayValueFromInput(dateFormatParts, input);
            /** @type {?} */
            var monthValue = DatePickerUtil.getMonthValueFromInput(dateFormatParts, input);
            /** @type {?} */
            var yearValue = DatePickerUtil.getYearValueFromInput(dateFormatParts, input);
            /** @type {?} */
            var dayStr = DatePickerUtil.getDayValueFromInput(dateFormatParts, input, false);
            /** @type {?} */
            var monthStr = DatePickerUtil.getMonthValueFromInput(dateFormatParts, input, false);
            if (DatePickerUtil.isFullInput(dayValue, dayStr)
                && DatePickerUtil.isFullInput(monthValue, monthStr)
                && DatePickerUtil.isFullYearInput(dateFormatParts, yearValue)) {
                return 'complete';
            }
            else if (dayValue === '' && monthValue === '' && yearValue === '') {
                return 'empty';
            }
            else if (dayValue === '' || monthValue === '' || yearValue === '') {
                return 'partial';
            }
            return '';
        };
        /**
         * @private
         * @param {?} format
         * @return {?}
         */
        DatePickerUtil.getYearFormatType = /**
         * @private
         * @param {?} format
         * @return {?}
         */
        function (format) {
            switch (format.match(new RegExp("y" /* YearChar */, 'g')).length) {
                case 1: {
                    // y (2020)
                    return "numeric" /* Numeric */;
                }
                case 4: {
                    // yyyy (2020)
                    return "numeric" /* Numeric */;
                }
                case 2: {
                    // yy (20)
                    return "2-digit" /* TwoDigits */;
                }
            }
        };
        /**
         * @private
         * @param {?} format
         * @return {?}
         */
        DatePickerUtil.getMonthFormatType = /**
         * @private
         * @param {?} format
         * @return {?}
         */
        function (format) {
            switch (format.match(new RegExp("M" /* MonthChar */, 'g')).length) {
                case 1: {
                    // M (8)
                    return "numeric" /* Numeric */;
                }
                case 2: {
                    // MM (08)
                    return "2-digit" /* TwoDigits */;
                }
            }
        };
        /**
         * @private
         * @param {?} format
         * @return {?}
         */
        DatePickerUtil.getDayFormatType = /**
         * @private
         * @param {?} format
         * @return {?}
         */
        function (format) {
            switch (format.match(new RegExp("d" /* DayChar */, 'g')).length) {
                case 1: {
                    // d (6)
                    return "numeric" /* Numeric */;
                }
                case 2: {
                    // dd (06)
                    return "2-digit" /* TwoDigits */;
                }
            }
        };
        /**
         * @private
         * @param {?} locale
         * @return {?}
         */
        DatePickerUtil.getDefaultLocaleMask = /**
         * @private
         * @param {?} locale
         * @return {?}
         */
        function (locale) {
            /** @type {?} */
            var dateStruct = [];
            /** @type {?} */
            var formatter = new Intl.DateTimeFormat(locale);
            /** @type {?} */
            var formatToParts = formatter.formatToParts(new Date());
            for (var i = 0; i < formatToParts.length; i++) {
                if (formatToParts[i].type === DatePickerUtil.SEPARATOR) {
                    dateStruct.push({
                        type: DatePickerUtil.SEPARATOR,
                        value: formatToParts[i].value
                    });
                }
                else {
                    dateStruct.push({
                        type: formatToParts[i].type,
                    });
                }
            }
            /** @type {?} */
            var formatterOptions = formatter.resolvedOptions();
            for (var i = 0; i < dateStruct.length; i++) {
                switch (dateStruct[i].type) {
                    case "day" /* Day */: {
                        dateStruct[i].formatType = formatterOptions.day;
                        break;
                    }
                    case "month" /* Month */: {
                        dateStruct[i].formatType = formatterOptions.month;
                        break;
                    }
                    case "year" /* Year */: {
                        dateStruct[i].formatType = formatterOptions.month;
                        break;
                    }
                }
            }
            DatePickerUtil.fillDatePartsPositions(dateStruct);
            return dateStruct;
        };
        /**
         * @private
         * @param {?} char
         * @return {?}
         */
        DatePickerUtil.isDateChar = /**
         * @private
         * @param {?} char
         * @return {?}
         */
        function (char) {
            return (char === "y" /* YearChar */ || char === "M" /* MonthChar */ || char === "d" /* DayChar */);
        };
        /**
         * @private
         * @param {?} formatType
         * @return {?}
         */
        DatePickerUtil.getNumericFormatPrefix = /**
         * @private
         * @param {?} formatType
         * @return {?}
         */
        function (formatType) {
            switch (formatType) {
                case "2-digit" /* TwoDigits */: {
                    return '0';
                }
                case "numeric" /* Numeric */: {
                    return DatePickerUtil.PROMPT_CHAR;
                }
            }
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} datePart
         * @param {?} inputValue
         * @return {?}
         */
        DatePickerUtil.getMinMaxValue = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} datePart
         * @param {?} inputValue
         * @return {?}
         */
        function (dateFormatParts, datePart, inputValue) {
            /** @type {?} */
            var maxValue;
            /** @type {?} */
            var minValue;
            switch (datePart.type) {
                case "month" /* Month */: {
                    minValue = 1;
                    maxValue = DatePickerUtil.NUMBER_OF_MONTHS;
                    break;
                }
                case "day" /* Day */: {
                    minValue = 1;
                    maxValue = DatePickerUtil.daysInMonth(DatePickerUtil.getFullYearFromString(DatePickerUtil.getDateFormatPart(dateFormatParts, "year" /* Year */), inputValue), parseInt(DatePickerUtil.getMonthValueFromInput(dateFormatParts, inputValue), 10));
                    break;
                }
                case "year" /* Year */: {
                    if (datePart.formatType === "2-digit" /* TwoDigits */) {
                        minValue = 0;
                        maxValue = 99;
                    }
                    else {
                        // Infinite loop
                        minValue = 'infinite';
                        maxValue = 'infinite';
                    }
                    break;
                }
            }
            return { min: minValue, max: maxValue };
        };
        /**
         * @private
         * @param {?} fullYear
         * @param {?} month
         * @return {?}
         */
        DatePickerUtil.daysInMonth = /**
         * @private
         * @param {?} fullYear
         * @param {?} month
         * @return {?}
         */
        function (fullYear, month) {
            return new Date(fullYear, month, 0).getDate();
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} type
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        DatePickerUtil.getDateValueFromInput = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} type
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        function (dateFormatParts, type, inputValue, trim) {
            if (trim === void 0) { trim = true; }
            /** @type {?} */
            var partPosition = DatePickerUtil.getDateFormatPart(dateFormatParts, type).position;
            /** @type {?} */
            var result = inputValue.substring(partPosition[0], partPosition[1]);
            return (trim) ? DatePickerUtil.trimUnderlines(result) : result;
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        DatePickerUtil.getDayValueFromInput = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        function (dateFormatParts, inputValue, trim) {
            if (trim === void 0) { trim = true; }
            return DatePickerUtil.getDateValueFromInput(dateFormatParts, "day" /* Day */, inputValue, trim);
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        DatePickerUtil.getMonthValueFromInput = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        function (dateFormatParts, inputValue, trim) {
            if (trim === void 0) { trim = true; }
            return DatePickerUtil.getDateValueFromInput(dateFormatParts, "month" /* Month */, inputValue, trim);
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        DatePickerUtil.getYearValueFromInput = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} inputValue
         * @param {?=} trim
         * @return {?}
         */
        function (dateFormatParts, inputValue, trim) {
            if (trim === void 0) { trim = true; }
            return DatePickerUtil.getDateValueFromInput(dateFormatParts, "year" /* Year */, inputValue, trim);
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} type
         * @return {?}
         */
        DatePickerUtil.getDateFormatPart = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} type
         * @return {?}
         */
        function (dateFormatParts, type) {
            /** @type {?} */
            var result = dateFormatParts.filter(function (datePart) { return (datePart.type === type); })[0];
            return result;
        };
        /**
         * @private
         * @param {?} value
         * @param {?} input
         * @return {?}
         */
        DatePickerUtil.isFullInput = /**
         * @private
         * @param {?} value
         * @param {?} input
         * @return {?}
         */
        function (value, input) {
            return (value !== '' && input.length === 2 && input.charAt(1) !== DatePickerUtil.PROMPT_CHAR);
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} value
         * @return {?}
         */
        DatePickerUtil.isFullYearInput = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} value
         * @return {?}
         */
        function (dateFormatParts, value) {
            switch (DatePickerUtil.getDateFormatPart(dateFormatParts, "year" /* Year */).formatType) {
                case "numeric" /* Numeric */: {
                    return (value !== '' && value.length === 4);
                }
                case "2-digit" /* TwoDigits */: {
                    return (value !== '' && value.length === 2);
                }
                default: {
                    return false;
                }
            }
        };
        /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} position
         * @return {?}
         */
        DatePickerUtil.getDatePartOnPosition = /**
         * @private
         * @param {?} dateFormatParts
         * @param {?} position
         * @return {?}
         */
        function (dateFormatParts, position) {
            /** @type {?} */
            var result = dateFormatParts.filter(function (element) {
                return element.position[0] <= position && position <= element.position[1] && element.type !== DatePickerUtil.SEPARATOR;
            })[0];
            return result;
        };
        /**
         * @private
         * @param {?} yearPart
         * @param {?} inputValue
         * @return {?}
         */
        DatePickerUtil.getFullYearFromString = /**
         * @private
         * @param {?} yearPart
         * @param {?} inputValue
         * @return {?}
         */
        function (yearPart, inputValue) {
            return parseInt(inputValue.substring(yearPart.position[0], yearPart.position[1]), 10);
        };
        /**
         * @private
         * @param {?} dateArray
         * @return {?}
         */
        DatePickerUtil.fillDatePartsPositions = /**
         * @private
         * @param {?} dateArray
         * @return {?}
         */
        function (dateArray) {
            /** @type {?} */
            var currentPos = 0;
            for (var i = 0; i < dateArray.length; i++) {
                // Day|Month part positions
                if (dateArray[i].type === "day" /* Day */ || dateArray[i].type === "month" /* Month */) {
                    // Offset 2 positions for number
                    dateArray[i].position = [currentPos, currentPos + 2];
                    currentPos += 2;
                }
                else if (dateArray[i].type === "year" /* Year */) {
                    // Year part positions
                    switch (dateArray[i].formatType) {
                        case "numeric" /* Numeric */: {
                            // Offset 4 positions for full year
                            dateArray[i].position = [currentPos, currentPos + 4];
                            currentPos += 4;
                            break;
                        }
                        case "2-digit" /* TwoDigits */: {
                            // Offset 2 positions for short year
                            dateArray[i].position = [currentPos, currentPos + 2];
                            currentPos += 2;
                            break;
                        }
                    }
                }
                else if (dateArray[i].type === DatePickerUtil.SEPARATOR) {
                    // Separator positions
                    dateArray[i].position = [currentPos, currentPos + 1];
                    currentPos++;
                }
            }
        };
        DatePickerUtil.SHORT_DATE_MASK = 'MM/dd/yy';
        DatePickerUtil.SEPARATOR = 'literal';
        DatePickerUtil.NUMBER_OF_MONTHS = 12;
        DatePickerUtil.PROMPT_CHAR = '_';
        DatePickerUtil.DEFAULT_LOCALE = 'en';
        return DatePickerUtil;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @type {?}
     */
    var IGX_DATE_PICKER_COMPONENT = 'IgxDatePickerComponentToken';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var DatePickerDisplayValuePipe = /** @class */ (function () {
        function DatePickerDisplayValuePipe(_datePicker) {
            this._datePicker = _datePicker;
        }
        /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        DatePickerDisplayValuePipe.prototype.transform = /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        function (value, args) {
            if (value !== '') {
                if (value === DatePickerUtil.maskToPromptChars(this._datePicker.inputMask)) {
                    return '';
                }
                this._datePicker.rawDateString = value;
                return DatePickerUtil.trimUnderlines(value);
            }
            return '';
        };
        DatePickerDisplayValuePipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'displayValue'
                    },] }
        ];
        /** @nocollapse */
        DatePickerDisplayValuePipe.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_DATE_PICKER_COMPONENT,] }] }
        ]; };
        return DatePickerDisplayValuePipe;
    }());
    /**
     * @hidden
     */
    var DatePickerInputValuePipe = /** @class */ (function () {
        function DatePickerInputValuePipe(_datePicker) {
            this._datePicker = _datePicker;
        }
        /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        DatePickerInputValuePipe.prototype.transform = /**
         * @param {?} value
         * @param {?=} args
         * @return {?}
         */
        function (value, args) {
            if (this._datePicker.invalidDate !== '') {
                return this._datePicker.invalidDate;
            }
            else {
                if (this._datePicker.value === null || this._datePicker.value === undefined) {
                    return DatePickerUtil.maskToPromptChars(this._datePicker.inputMask);
                }
                else {
                    return DatePickerUtil.addPromptCharsEditMode(this._datePicker.dateFormatParts, this._datePicker.value, value);
                }
            }
        };
        DatePickerInputValuePipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'inputValue'
                    },] }
        ];
        /** @nocollapse */
        DatePickerInputValuePipe.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_DATE_PICKER_COMPONENT,] }] }
        ]; };
        return DatePickerInputValuePipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxDatePickerTemplateDirective = /** @class */ (function () {
        function IgxDatePickerTemplateDirective(template) {
            this.template = template;
        }
        IgxDatePickerTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDatePickerTemplate]'
                    },] }
        ];
        /** @nocollapse */
        IgxDatePickerTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxDatePickerTemplateDirective;
    }());
    /**
     * IgxDatePickerActionsDirective can be used to re-template the dropdown/dialog action buttons.
     */
    var IgxDatePickerActionsDirective = /** @class */ (function () {
        function IgxDatePickerActionsDirective(template) {
            this.template = template;
        }
        IgxDatePickerActionsDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDatePickerActions]'
                    },] }
        ];
        /** @nocollapse */
        IgxDatePickerActionsDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxDatePickerActionsDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var InteractionMode = {
        DropDown: 'dropdown',
        Dialog: 'dialog',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxCalendarContainerComponent = /** @class */ (function () {
        function IgxCalendarContainerComponent() {
            this.mode = InteractionMode.Dialog;
            this.vertical = false;
            this.onClose = new core.EventEmitter();
            this.onTodaySelection = new core.EventEmitter();
            this.styleClass = 'igx-date-picker';
        }
        Object.defineProperty(IgxCalendarContainerComponent.prototype, "dropdownCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.mode === InteractionMode.DropDown;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCalendarContainerComponent.prototype, "verticalCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.vertical && this.mode === InteractionMode.Dialog;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} event
         * @return {?}
         */
        IgxCalendarContainerComponent.prototype.onEscape = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.onClose.emit();
        };
        Object.defineProperty(IgxCalendarContainerComponent.prototype, "isReadonly", {
            /**
             * Returns whether the date-picker is in readonly dialog mode.
             *
             * @hidden
            */
            get: /**
             * Returns whether the date-picker is in readonly dialog mode.
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this.mode === InteractionMode.Dialog;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Emits close event for the calendar.
         */
        /**
         * Emits close event for the calendar.
         * @return {?}
         */
        IgxCalendarContainerComponent.prototype.closeCalendar = /**
         * Emits close event for the calendar.
         * @return {?}
         */
        function () {
            this.onClose.emit();
        };
        /**
        * Emits today selection event for the calendar.
        */
        /**
         * Emits today selection event for the calendar.
         * @return {?}
         */
        IgxCalendarContainerComponent.prototype.triggerTodaySelection = /**
         * Emits today selection event for the calendar.
         * @return {?}
         */
        function () {
            this.onTodaySelection.emit();
        };
        IgxCalendarContainerComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-calendar-container',
                        template: "<ng-template #defaultDatePickerActions>\n    <div *ngIf=\"cancelButtonLabel || todayButtonLabel\" class=\"igx-date-picker__buttons\">\n        <button #closeButton *ngIf=\"cancelButtonLabel\" igxButton=\"flat\" igxRipple (click)=\"closeCalendar()\">\n            {{ cancelButtonLabel }}\n        </button>\n        <button #todayButton *ngIf=\"todayButtonLabel\" igxButton=\"flat\" igxRipple (click)=\"triggerTodaySelection()\">\n            {{ todayButtonLabel }}\n        </button>\n    </div>\n</ng-template>\n<igx-calendar #calendar></igx-calendar>\n<ng-container *ngTemplateOutlet=\"datePickerActions ? datePickerActions.template : defaultDatePickerActions\"></ng-container>\n",
                        styles: [':host {display: block;}']
                    }] }
        ];
        IgxCalendarContainerComponent.propDecorators = {
            calendar: [{ type: core.ViewChild, args: ['calendar', { static: true },] }],
            mode: [{ type: core.Input }],
            vertical: [{ type: core.Input }],
            cancelButtonLabel: [{ type: core.Input }],
            todayButtonLabel: [{ type: core.Input }],
            datePickerActions: [{ type: core.Input }],
            onClose: [{ type: core.Output }],
            onTodaySelection: [{ type: core.Output }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-date-picker',] }],
            dropdownCSS: [{ type: core.HostBinding, args: ['class.igx-date-picker--dropdown',] }],
            verticalCSS: [{ type: core.HostBinding, args: ['class.igx-date-picker--vertical',] }],
            onEscape: [{ type: core.HostListener, args: ['keydown.esc', ['$event'],] }, { type: core.HostListener, args: ['keydown.alt.arrowup', ['$event'],] }]
        };
        return IgxCalendarContainerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$k = 0;
    /** @enum {string} */
    var PredefinedFormatOptions = {
        ShortDate: 'shortDate',
        MediumDate: 'mediumDate',
        LongDate: 'longDate',
        FullDate: 'fullDate',
    };
    /** @type {?} */
    var noop$5 = function () { };
    /**
     * **Ignite UI for Angular Date Picker** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/date_picker.html)
     *
     * The Ignite UI Date Picker displays a popup calendar that lets users select a single date.
     *
     * Example:
     * ```html
     * <igx-date-picker [(ngModel)]="selectedDate"></igx-date-picker>
     * ```
     */
    var IgxDatePickerComponent = /** @class */ (function () {
        function IgxDatePickerComponent(_overlayService, element, _cdr, _moduleRef, _injector) {
            this._overlayService = _overlayService;
            this.element = element;
            this._cdr = _cdr;
            this._moduleRef = _moduleRef;
            this._injector = _injector;
            /**
             * An \@Input property that sets the `IgxDatePickerComponent` label.
             * The default label is 'Date'.
             * ```html
             * <igx-date-picker [label]="Calendar"></igx-date-picker>
             * ```
             */
            this.label = 'Date';
            /**
             * An \@Input property that sets the `IgxDatePickerComponent` label visibility.
             * By default the visibility is set to true.
             * <igx-date-picker [labelVisibility]="false"></igx-date-picker>
             */
            this.labelVisibility = true;
            /**
             * An \@Input property that sets on which day the week starts.
             * ```html
             * <igx-date-picker [weekStart]="WEEKDAYS.FRIDAY" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             * ```
             */
            this.weekStart = WEEKDAYS.SUNDAY;
            /**
             * Sets/gets the number of month views displayed.
             * Default value is `1`.
             * ```html
             * <igx-date-picker [monthsViewNumber]="2"></igx-date-picker>
             * ```
             * ```typescript
             * let monthViewsDisplayed = this.datePicker.monthsViewNumber;
             * ```
             */
            this.monthsViewNumber = 1;
            /**
             * An \@Input property that sets the value of `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-date-picker [id]="'igx-date-picker-3'" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             * ```
             */
            this.id = "igx-date-picker-" + NEXT_ID$k++;
            /**
             * An \@Input property that sets the orientation of the `IgxDatePickerComponent` header.
             * ```html
             * <igx-date-picker [vertical]="'true'" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             * ```
             */
            this.vertical = false;
            /**
             * An \@Input property that sets whether `IgxDatePickerComponent` is in dialog or drop down mode.
             * ```html
             * <igx-date-picker mode="dropdown"></igx-date-picker>
             * ```
             */
            this.mode = InteractionMode.Dialog;
            /**
             * An \@Input property that sets whether the `IgxDatePickerComponent` date parts would spin continuously or stop when min/max is reached.
             * ```html
             * <igx-date-picker [isSpinLoop]="false"></igx-date-picker>
             * ```
             */
            this.isSpinLoop = true;
            /**
             * An event that is emitted when the `IgxDatePickerComponent` calendar is opened.
             */
            this.onOpened = new core.EventEmitter();
            /**
             * An event that is emitted after the `IgxDatePickerComponent` is closed.
             */
            this.onClosed = new core.EventEmitter();
            /**
             * An event that is emitted when the `IgxDatePickerComponent` is being closed.
             */
            this.onClosing = new core.EventEmitter();
            /**
             * An \@Output property that is fired when selection is made in the calendar.
             * ```typescript
             * public selection(event){
             *    alert("A date has been selected!");
             * }
             * ```
             * ```html
             * <igx-date-picker (onSelection)="selection($event)" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             * ```
             */
            this.onSelection = new core.EventEmitter();
            /**
             * An \@Output property that is fired when date picker value is changed.
             * ```typescript
             * public valueChanged(event){
             *    alert("Date picker value is changed");
             * }
             * ```
             * ```html
             * <igx-date-picker (valueChange)="valueChanged($event)" mode="dropdown"></igx-date-picker>
             * ```
             */
            this.valueChange = new core.EventEmitter();
            /**
             * An \@Output property that fires when the user types/spins to a disabled date in the date-picker editor.
             * ```typescript
             * public onDisabledDate(event){
             *    alert("This date is disabled!");
             * }
             * ```
             * ```html
             * <igx-date-picker (onDisabledDate)="onDisabledDate($event)"></igx-date-picker>
             * ```
             */
            this.onDisabledDate = new core.EventEmitter();
            /**
             * An \@Output property that fires when the user types/spins invalid date in the date-picker editor.
             * ```typescript
             * public onValidationFailed(event){
             *    alert("This date is not valid!");
             * }
             * ```
             * ```html
             * <igx-date-picker (onValidationFailed)="onValidationFailed($event)"></igx-date-picker>
             * ```
             */
            this.onValidationFailed = new core.EventEmitter();
            this.hasHeader = true;
            this.collapsed = true;
            this.displayValuePipe = new DatePickerDisplayValuePipe(this);
            this.inputValuePipe = new DatePickerInputValuePipe(this);
            this.dateFormatParts = [];
            this.isEmpty = true;
            this.invalidDate = '';
            this.spinDelta = 1;
            this.defaultLocale = 'en';
            this._formatOptions = {
                day: 'numeric',
                month: 'short',
                weekday: 'short',
                year: 'numeric'
            };
            this._formatViews = {
                day: false,
                month: true,
                year: false
            };
            this._destroy$ = new rxjs.Subject();
            this._disabledDates = null;
            this._specialDates = null;
            this._onOpen = new core.EventEmitter();
            this._onClose = new core.EventEmitter();
            this._ngControl = null;
            //#region ControlValueAccessor
            this._onChangeCallback = noop$5;
            this._onTouchedCallback = noop$5;
        }
        Object.defineProperty(IgxDatePickerComponent.prototype, "formatOptions", {
            /**
             *Returns the format options of the `IgxDatePickerComponent`.
             *```typescript
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    let formatOptions = this.datePicker.formatOptions;
             *}
             *```
             */
            get: /**
             * Returns the format options of the `IgxDatePickerComponent`.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    let formatOptions = this.datePicker.formatOptions;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._formatOptions;
            },
            /**
             *Sets the format options of the `IgxDatePickerComponent`.
             *```typescript
             *public Options;
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    this.Options = {
             *        day: "numeric",
             *        month: "long",
             *        weekday: "long",
             *        year: "numeric"
             *    }
             *this.datePicker.formatOptions = this.Options;
             *}
             *```
             */
            set: /**
             * Sets the format options of the `IgxDatePickerComponent`.
             * ```typescript
             * public Options;
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    this.Options = {
             *        day: "numeric",
             *        month: "long",
             *        weekday: "long",
             *        year: "numeric"
             *    }
             * this.datePicker.formatOptions = this.Options;
             * }
             * ```
             * @param {?} formatOptions
             * @return {?}
             */
            function (formatOptions) {
                this._formatOptions = Object.assign(this._formatOptions, formatOptions);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "format", {
            /**
             *Returns the date display format of the `IgxDatePickerComponent` in dropdown mode.
             *```typescript
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    let format = this.datePicker.format;
             *}
             *```
             */
            get: /**
             * Returns the date display format of the `IgxDatePickerComponent` in dropdown mode.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    let format = this.datePicker.format;
             * }
             * ```
             * @return {?}
             */
            function () {
                return (this._format === undefined) ? PredefinedFormatOptions.ShortDate : this._format;
            },
            /**
            *Sets the date format of the `IgxDatePickerComponent` when in editable dropdown mode.
            *```typescript
            *@ViewChild("MyDatePicker")
            *public datePicker: IgxDatePickerComponent;
            *this.datePicker.format = 'yyyy-M-d';
            *}
            *```
            */
            set: /**
             * Sets the date format of the `IgxDatePickerComponent` when in editable dropdown mode.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * this.datePicker.format = 'yyyy-M-d';
             * }
             * ```
             * @param {?} format
             * @return {?}
             */
            function (format) {
                this._format = format;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "formatViews", {
            /**
             *Returns the format views of the `IgxDatePickerComponent`.
             *```typescript
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    let formatViews = this.datePicker.formatViews;
             *}
             *```
             */
            get: /**
             * Returns the format views of the `IgxDatePickerComponent`.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    let formatViews = this.datePicker.formatViews;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._formatViews;
            },
            /**
             *Sets the format views of the `IgxDatePickerComponent`.
             *```typescript
             *public Views;
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    this.Views = {day:false, month: false, year:false};
             *    this.datePicker.formatViews = this.Views;
             *}
             *```
             */
            set: /**
             * Sets the format views of the `IgxDatePickerComponent`.
             * ```typescript
             * public Views;
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    this.Views = {day:false, month: false, year:false};
             *    this.datePicker.formatViews = this.Views;
             * }
             * ```
             * @param {?} formatViews
             * @return {?}
             */
            function (formatViews) {
                this._formatViews = Object.assign(this._formatViews, formatViews);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "disabledDates", {
            /**
             * Gets the disabled dates descriptors.
             * ```typescript
             * let disabledDates = this.datepicker.disabledDates;
             * ```
             */
            get: /**
             * Gets the disabled dates descriptors.
             * ```typescript
             * let disabledDates = this.datepicker.disabledDates;
             * ```
             * @return {?}
             */
            function () {
                return this._disabledDates;
            },
            /**
             * Sets the disabled dates' descriptors.
             * ```typescript
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    this.datePicker.disabledDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             *}
             *```
             */
            set: /**
             * Sets the disabled dates' descriptors.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    this.datePicker.disabledDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             * }
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._disabledDates = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "specialDates", {
            /**
             * Gets the special dates descriptors.
             * ```typescript
             * let specialDates = this.datepicker.specialDates;
             * ```
             */
            get: /**
             * Gets the special dates descriptors.
             * ```typescript
             * let specialDates = this.datepicker.specialDates;
             * ```
             * @return {?}
             */
            function () {
                return this._specialDates;
            },
            /**
             * Sets the special dates' descriptors.
             * ```typescript
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *ngAfterViewInit(){
             *    this.datePicker.specialDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             *}
             *```
             */
            set: /**
             * Sets the special dates' descriptors.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * ngAfterViewInit(){
             *    this.datePicker.specialDates = [
             *     {type: DateRangeType.Between, dateRange: [new Date("2020-1-1"), new Date("2020-1-15")]},
             *     {type: DateRangeType.Weekends}];
             * }
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._specialDates = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "modalOverlaySettings", {
            get: /**
             * @return {?}
             */
            function () {
                return this._modalOverlay;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._modalOverlay = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "dropDownOverlaySettings", {
            get: /**
             * @return {?}
             */
            function () {
                return this._dropDownOverlaySettings || this._defaultDropDownOverlaySettings;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._dropDownOverlaySettings = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "displayData", {
            /**
             *Returns the formatted date when `IgxDatePickerComponent` is in dialog mode.
             *```typescript
             *@ViewChild("MyDatePicker")
             *public datePicker: IgxDatePickerComponent;
             *public selection(event){
             *    let selectedDate = this.datePicker.displayData;
             *    alert(selectedDate);
             *}
             *```
             *```html
             *<igx-date-picker #MyDatePicker (onSelection)="selection()" todayButtonLabel="today"></igx-date-picker>
             *```
             */
            get: /**
             * Returns the formatted date when `IgxDatePickerComponent` is in dialog mode.
             * ```typescript
             * \@ViewChild("MyDatePicker")
             * public datePicker: IgxDatePickerComponent;
             * public selection(event){
             *    let selectedDate = this.datePicker.displayData;
             *    alert(selectedDate);
             * }
             * ```
             * ```html
             * <igx-date-picker #MyDatePicker (onSelection)="selection()" todayButtonLabel="today"></igx-date-picker>
             * ```
             * @return {?}
             */
            function () {
                if (this.value) {
                    return this._customFormatChecker(this.formatter, this.value);
                }
                return '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "transformedDate", {
            /**
             hidden
             */
            get: /**
             * hidden
             * @return {?}
             */
            function () {
                if (this._value) {
                    this._transformedDate = (this._isInEditMode) ? this._getEditorDate(this._value) : this._getDisplayDate(this._value);
                    this.isEmpty = false;
                }
                else {
                    this._transformedDate = (this._isInEditMode) ? DatePickerUtil.maskToPromptChars(this.inputMask) : '';
                }
                return this._transformedDate;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._transformedDate = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "template", {
            /**
             * Gets the input group template.
             * ```typescript
             * let template = this.template();
             * ```
             * @memberof IgxDatePickerComponent
             */
            get: /**
             * Gets the input group template.
             * ```typescript
             * let template = this.template();
             * ```
             * \@memberof IgxDatePickerComponent
             * @return {?}
             */
            function () {
                if (this.datePickerTemplateDirective) {
                    return this.datePickerTemplateDirective.template;
                }
                return (this.mode === InteractionMode.Dialog) ? this.readOnlyDatePickerTemplate : this.editableDatePickerTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "context", {
            /**
             * Gets the context passed to the input group template.
             * @memberof IgxDatePickerComponent
             */
            get: /**
             * Gets the context passed to the input group template.
             * \@memberof IgxDatePickerComponent
             * @return {?}
             */
            function () {
                var _this = this;
                return {
                    disabled: this.disabled,
                    disabledDates: this.disabledDates,
                    displayData: this.displayData,
                    format: this.format,
                    isSpinLoop: this.isSpinLoop,
                    label: this.label,
                    labelVisibility: this.labelVisibility,
                    locale: this.locale,
                    mask: this.mask,
                    mode: this.mode,
                    specialDates: this.specialDates,
                    value: this.value,
                    openDialog: function (target) { return _this.openDialog(target); }
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "required", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                if (this._ngControl && this._ngControl.control && this._ngControl.control.validator) {
                    // Run the validation with empty object to check if required is enabled.
                    /** @type {?} */
                    var error = this._ngControl.control.validator((/** @type {?} */ ({})));
                    return error && error.required;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "value", {
            /**
             *An @Input property that gets/sets the selected date.
             *```typescript
             *public date: Date = new Date();
             *```
             *```html
             *<igx-date-picker [value]="date"></igx-date-picker>
             *```
             */
            get: /**
             * An \@Input property that gets/sets the selected date.
             * ```typescript
             * public date: Date = new Date();
             * ```
             * ```html
             * <igx-date-picker [value]="date"></igx-date-picker>
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            set: /**
             * @param {?} date
             * @return {?}
             */
            function (date) {
                this._value = date;
                this._onChangeCallback(date);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "onOpen", {
            /**
             * @deprecated Use 'onOpened' instead.
             *An event that is emitted when the `IgxDatePickerComponent` calendar is opened.
             *```typescript
             *public open(event){
             *    alert("The date-picker calendar has been opened!");
             *}
             *```
             *```html
             *<igx-date-picker (onOpen)="open($event)" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             *```
             */
            get: /**
             * @deprecated Use 'onOpened' instead.
             * An event that is emitted when the `IgxDatePickerComponent` calendar is opened.
             * ```typescript
             * public open(event){
             *    alert("The date-picker calendar has been opened!");
             * }
             * ```
             * ```html
             * <igx-date-picker (onOpen)="open($event)" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             * ```
             * @return {?}
             */
            function () {
                return this._onOpen;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._onOpen = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDatePickerComponent.prototype, "onClose", {
            /**
             * @deprecated Use 'onClosed' instead.
             *"An event that is emitted when the `IgxDatePickerComponent` is closed.
             *```typescript
             *public close(event){
             *    alert("The date-picker has been closed!");
             *}
             *```
             *```html
             *<igx-date-picker (onClose)="close($event)" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             *```
             */
            get: /**
             * @deprecated Use 'onClosed' instead.
             * "An event that is emitted when the `IgxDatePickerComponent` is closed.
             * ```typescript
             * public close(event){
             *    alert("The date-picker has been closed!");
             * }
             * ```
             * ```html
             * <igx-date-picker (onClose)="close($event)" cancelButtonLabel="cancel" todayButtonLabel="today"></igx-date-picker>
             * ```
             * @return {?}
             */
            function () {
                return this._onClose;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._onClose = val;
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} value
         * @return {?}
         */
        IgxDatePickerComponent.prototype.writeValue = /**
         * @hidden \@internal
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._value = value;
            // TODO: do we need next call
            this._cdr.markForCheck();
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxDatePickerComponent.prototype.registerOnChange = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxDatePickerComponent.prototype.registerOnTouched = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onTouchedCallback = fn; };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        IgxDatePickerComponent.prototype.setDisabledState = /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        function (isDisabled) { this.disabled = isDisabled; };
        //#endregion
        /**
        * @hidden
        */
        //#endregion
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onSpaceClick = 
        //#endregion
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.openDialog(this.getInputGroupElement());
            event.preventDefault();
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var inputDirectiveElementRef = this._inputElementRef || this._inputUserTemplateElementRef;
            return (inputDirectiveElementRef) ? inputDirectiveElementRef.nativeElement : null;
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.getInputGroupElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this.inputGroup ? this.inputGroup.element.nativeElement : null;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this._positionSettings = {
                openAnimation: fadeIn,
                closeAnimation: fadeOut
            };
            this._defaultDropDownOverlaySettings = {
                closeOnOutsideClick: true,
                modal: false,
                scrollStrategy: new AbsoluteScrollStrategy(),
                positionStrategy: new AutoPositionStrategy(this._positionSettings),
                outlet: this.outlet
            };
            this._modalOverlaySettings = {
                closeOnOutsideClick: true,
                modal: true,
                outlet: this.outlet
            };
            this._overlayService.onOpening.pipe(operators.filter(function (overlay) { return overlay.id === _this._componentID; }), operators.takeUntil(this._destroy$)).subscribe(function (eventArgs) {
                _this._onOpening(eventArgs);
            });
            this._overlayService.onOpened.pipe(operators.filter(function (overlay) { return overlay.id === _this._componentID; }), operators.takeUntil(this._destroy$)).subscribe(function () {
                _this._onOpened();
            });
            this._overlayService.onClosed.pipe(operators.filter(function (overlay) { return overlay.id === _this._componentID; }), operators.takeUntil(this._destroy$)).subscribe(function () {
                _this._onClosed();
            });
            this._overlayService.onClosing.pipe(operators.filter(function (overlay) { return overlay.id === _this._componentID; }), operators.takeUntil(this._destroy$)).subscribe(function (event) {
                _this.onClosing.emit(event);
                // If canceled in a user onClosing handler
                if (event.cancel) {
                    return;
                }
                // Do not focus the input if clicking outside in dropdown mode
                /** @type {?} */
                var input = _this.getEditElement();
                if (input && !(event.event && _this.mode === InteractionMode.DropDown)) {
                    input.focus();
                }
                else {
                    // outside click
                    _this._updateValidityOnBlur();
                }
            });
            if (this.mode === InteractionMode.DropDown) {
                this.dateFormatParts = DatePickerUtil.parseDateFormat(this.mask, this.locale);
                if (this.mask === undefined) {
                    this.mask = DatePickerUtil.getMask(this.dateFormatParts);
                }
                this.inputMask = DatePickerUtil.getInputMask(this.dateFormatParts);
            }
            this._ngControl = this._injector.get((/** @type {?} */ (forms.NgControl)), null);
        };
        /**
         *@hidden @internal
        */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxDatePickerComponent.prototype.ngAfterViewInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.mode === InteractionMode.DropDown && this._inputElementRef) {
                rxjs.fromEvent(this._inputElementRef.nativeElement, 'keydown').pipe(operators.throttle(function () { return rxjs.interval(0, rxjs.animationFrameScheduler); }), operators.takeUntil(this._destroy$)).subscribe(function (res) { return _this.onKeyDown(res); });
            }
            if (this._ngControl) {
                this._statusChanges$ = this._ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
            }
        };
        /**
         * @return {?}
         */
        IgxDatePickerComponent.prototype.ngAfterViewChecked = /**
         * @return {?}
         */
        function () {
            // if one sets mode at run time this forces initialization of new igxInputGroup
            // As a result a new igxInputDirective is initialized too. In ngAfterViewInit of
            // the new directive isRequired of the igxInputGroup is set again. However
            // ngAfterViewInit of date picker is not called again and we may finish with wrong
            // isRequired in igxInputGroup. This is why we should set it her, only when needed
            if (this.inputGroup && this.inputGroup.isRequired !== this.required) {
                this.inputGroup.isRequired = this.required;
                this._cdr.detectChanges();
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onStatusChanged = /**
         * @protected
         * @return {?}
         */
        function () {
            if ((this._ngControl.control.touched || this._ngControl.control.dirty) &&
                (this._ngControl.control.validator || this._ngControl.control.asyncValidator)) {
                if (this.inputGroup.isFocused) {
                    this._inputDirective.valid = this._ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
                }
                else {
                    this._inputDirective.valid = this._ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
                }
            }
            if (this.inputGroup && this.inputGroup.isRequired !== this.required) {
                this.inputGroup.isRequired = this.required;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this._componentID) {
                this._overlayService.hide(this._componentID);
            }
            this._destroy$.next(true);
            this._destroy$.complete();
        };
        /**
         *Selects today's date from calendar and change the input field value, @calendar.viewDate and @calendar.value.
         *```typescript
         *@ViewChild("MyDatePicker")
         *public datePicker: IgxDatePickerComponent;
         *ngAfterViewInit(){
         *this.datePicker.triggerTodaySelection();
         *}
         *```
         *@memberOf {@link IgxDatePickerComponent}
         */
        /**
         * Selects today's date from calendar and change the input field value, \@calendar.viewDate and \@calendar.value.
         * ```typescript
         * \@ViewChild("MyDatePicker")
         * public datePicker: IgxDatePickerComponent;
         * ngAfterViewInit(){
         * this.datePicker.triggerTodaySelection();
         * }
         * ```
         * \@memberOf {\@link IgxDatePickerComponent}
         * @return {?}
         */
        IgxDatePickerComponent.prototype.triggerTodaySelection = /**
         * Selects today's date from calendar and change the input field value, \@calendar.viewDate and \@calendar.value.
         * ```typescript
         * \@ViewChild("MyDatePicker")
         * public datePicker: IgxDatePickerComponent;
         * ngAfterViewInit(){
         * this.datePicker.triggerTodaySelection();
         * }
         * ```
         * \@memberOf {\@link IgxDatePickerComponent}
         * @return {?}
         */
        function () {
            /** @type {?} */
            var today = new Date(Date.now());
            this.handleSelection(today);
        };
        /**
         * Change the calendar selection and calling this method will emit the @calendar.onSelection event,
         * which will fire @handleSelection method.
         *```typescript
         *@ViewChild("MyDatePicker")
         *public datePicker: IgxDatePickerComponent;
         *ngAfterViewInit(){
         *this.datePicker.selectDate(this.date);
         *}
         * ```
         * @param date passed date that has to be set to the calendar.
         * @memberOf {@link IgxDatePickerComponent}
         */
        /**
         * Change the calendar selection and calling this method will emit the \@calendar.onSelection event,
         * which will fire \@handleSelection method.
         * ```typescript
         * \@ViewChild("MyDatePicker")
         * public datePicker: IgxDatePickerComponent;
         * ngAfterViewInit(){
         * this.datePicker.selectDate(this.date);
         * }
         * ```
         * \@memberOf {\@link IgxDatePickerComponent}
         * @param {?} date passed date that has to be set to the calendar.
         * @return {?}
         */
        IgxDatePickerComponent.prototype.selectDate = /**
         * Change the calendar selection and calling this method will emit the \@calendar.onSelection event,
         * which will fire \@handleSelection method.
         * ```typescript
         * \@ViewChild("MyDatePicker")
         * public datePicker: IgxDatePickerComponent;
         * ngAfterViewInit(){
         * this.datePicker.selectDate(this.date);
         * }
         * ```
         * \@memberOf {\@link IgxDatePickerComponent}
         * @param {?} date passed date that has to be set to the calendar.
         * @return {?}
         */
        function (date) {
            /** @type {?} */
            var oldValue = this.value;
            this.value = date;
            this.emitValueChangeEvent(oldValue, this.value);
            this.onSelection.emit(date);
        };
        /**
         * Deselects the calendar date.
         *```typescript
         *@ViewChild("MyDatePicker")
         *public datePicker: IgxDatePickerComponent;
         *ngAfterViewInit(){
         *this.datePicker.deselectDate();
         *}
         * ```
         * @memberOf {@link IgxDatePickerComponent}
         */
        /**
         * Deselects the calendar date.
         * ```typescript
         * \@ViewChild("MyDatePicker")
         * public datePicker: IgxDatePickerComponent;
         * ngAfterViewInit(){
         * this.datePicker.deselectDate();
         * }
         * ```
         * \@memberOf {\@link IgxDatePickerComponent}
         * @return {?}
         */
        IgxDatePickerComponent.prototype.deselectDate = /**
         * Deselects the calendar date.
         * ```typescript
         * \@ViewChild("MyDatePicker")
         * public datePicker: IgxDatePickerComponent;
         * ngAfterViewInit(){
         * this.datePicker.deselectDate();
         * }
         * ```
         * \@memberOf {\@link IgxDatePickerComponent}
         * @return {?}
         */
        function () {
            /** @type {?} */
            var oldValue = this.value;
            this.value = null;
            this.emitValueChangeEvent(oldValue, this.value);
            if (this.calendar) {
                this.calendar.deselectDate();
            }
        };
        /**
         * Opens the date picker drop down or dialog.
         * @param target HTMLElement - the target element to use for positioning the drop down container according to
         * ```html
         * <igx-date-picker [value]="date" mode="dropdown" #retemplated>
         *   <ng-template igxDatePickerTemplate let-openDialog="openDialog"
         *                let-displayData="displayData">
         *     <igx-input-group>
         *       <input #dropDownTarget igxInput [value]="displayData" />
         *       <igx-suffix (click)="openDialog(dropDownTarget)">
         *         <igx-icon>alarm</igx-icon>
         *       </igx-suffix>
         *     </igx-input-group>
         *   </ng-template>
         * </igx-date-picker>
         * ```
         */
        /**
         * Opens the date picker drop down or dialog.
         * @param {?=} target HTMLElement - the target element to use for positioning the drop down container according to
         * ```html
         * <igx-date-picker [value]="date" mode="dropdown" #retemplated>
         *   <ng-template igxDatePickerTemplate let-openDialog="openDialog"
         *                let-displayData="displayData">
         *     <igx-input-group>
         *       <input #dropDownTarget igxInput [value]="displayData" />
         *       <igx-suffix (click)="openDialog(dropDownTarget)">
         *         <igx-icon>alarm</igx-icon>
         *       </igx-suffix>
         *     </igx-input-group>
         *   </ng-template>
         * </igx-date-picker>
         * ```
         * @return {?}
         */
        IgxDatePickerComponent.prototype.openDialog = /**
         * Opens the date picker drop down or dialog.
         * @param {?=} target HTMLElement - the target element to use for positioning the drop down container according to
         * ```html
         * <igx-date-picker [value]="date" mode="dropdown" #retemplated>
         *   <ng-template igxDatePickerTemplate let-openDialog="openDialog"
         *                let-displayData="displayData">
         *     <igx-input-group>
         *       <input #dropDownTarget igxInput [value]="displayData" />
         *       <igx-suffix (click)="openDialog(dropDownTarget)">
         *         <igx-icon>alarm</igx-icon>
         *       </igx-suffix>
         *     </igx-input-group>
         *   </ng-template>
         * </igx-date-picker>
         * ```
         * @return {?}
         */
        function (target) {
            if (!this.collapsed) {
                return;
            }
            switch (this.mode) {
                case InteractionMode.Dialog: {
                    this.hasHeader = true;
                    /** @type {?} */
                    var modalOverlay = (this.modalOverlaySettings !== undefined) ? this._modalOverlay : this._modalOverlaySettings;
                    this._componentID = this._overlayService.attach(IgxCalendarContainerComponent, modalOverlay, this._moduleRef);
                    this._overlayService.show(this._componentID);
                    break;
                }
                case InteractionMode.DropDown: {
                    this.hasHeader = false;
                    if (target) {
                        this.dropDownOverlaySettings.positionStrategy.settings.target = target;
                    }
                    this._componentID = this._overlayService.attach(IgxCalendarContainerComponent, this.dropDownOverlaySettings, this._moduleRef);
                    this._overlayService.show(this._componentID);
                    break;
                }
            }
        };
        /**
         * @param {?} e
         * @return {?}
         */
        IgxDatePickerComponent.prototype.mouseDown = /**
         * @param {?} e
         * @return {?}
         */
        function (e) {
            // if the click is not on the input but in input group
            // e.g. on prefix or sufix, prevent default and this way prevent blur
            if (e.target !== this.getEditElement()) {
                e.preventDefault();
            }
        };
        /**
         * Close the calendar.
         *
         * @hidden
         */
        /**
         * Close the calendar.
         *
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.closeCalendar = /**
         * Close the calendar.
         *
         * @hidden
         * @return {?}
         */
        function () {
            this._overlayService.hide(this._componentID);
        };
        /**
         * Clear the input field, date picker value and calendar selection.
         *
         * @hidden
         */
        /**
         * Clear the input field, date picker value and calendar selection.
         *
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.clear = /**
         * Clear the input field, date picker value and calendar selection.
         *
         * @hidden
         * @return {?}
         */
        function () {
            this.isEmpty = true;
            this.invalidDate = '';
            this.deselectDate();
            this._setCursorPosition(0);
        };
        /**
         * Evaluates when @calendar.onSelection event was fired
         * and update the input value.
         *
         * @param event selected value from calendar.
         *
         * @hidden
         */
        /**
         * Evaluates when \@calendar.onSelection event was fired
         * and update the input value.
         *
         * @hidden
         * @param {?} date
         * @return {?}
         */
        IgxDatePickerComponent.prototype.handleSelection = /**
         * Evaluates when \@calendar.onSelection event was fired
         * and update the input value.
         *
         * @hidden
         * @param {?} date
         * @return {?}
         */
        function (date) {
            if (this.value) {
                date.setHours(this.value.getHours());
                date.setMinutes(this.value.getMinutes());
                date.setSeconds(this.value.getSeconds());
                date.setMilliseconds(this.value.getMilliseconds());
            }
            /** @type {?} */
            var oldValue = this.value;
            this.value = date;
            this.emitValueChangeEvent(oldValue, this.value);
            this.calendar.viewDate = date;
            this.closeCalendar();
            this.onSelection.emit(date);
        };
        /**
        * Evaluates when the input blur event was fired
        * and re-calculate the date picker value.
        *
        * @param event
        *
        * @hidden
        */
        /**
         * Evaluates when the input blur event was fired
         * and re-calculate the date picker value.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onBlur = /**
         * Evaluates when the input blur event was fired
         * and re-calculate the date picker value.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        function (event) {
            this._isInEditMode = false;
            if (this.mode === InteractionMode.DropDown) {
                this.calculateDate(event.target.value, event.type);
            }
            if (this.collapsed) {
                this._updateValidityOnBlur();
            }
        };
        /**
        * Evaluates when the input focus event was fired
        * and re-calculate the editor text.
        *
        * @param event
        * @hidden
        */
        /**
         * Evaluates when the input focus event was fired
         * and re-calculate the editor text.
         *
         * @hidden
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onFocus = /**
         * Evaluates when the input focus event was fired
         * and re-calculate the editor text.
         *
         * @hidden
         * @return {?}
         */
        function () {
            this._isInEditMode = true;
            if (this.value && this.invalidDate === '') {
                this._transformedDate = this._getEditorDate(this.value);
            }
        };
        /**
        * Evaluates when the keydown event was fired for up/down keys
        * to provide spinning of date parts.
        *
        * @param event
        *
        * @hidden
        */
        /**
         * Evaluates when the keydown event was fired for up/down keys
         * to provide spinning of date parts.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onKeyDown = /**
         * Evaluates when the keydown event was fired for up/down keys
         * to provide spinning of date parts.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        function (event) {
            switch (event.key) {
                case "ArrowUp" /* UP_ARROW */:
                case "Up" /* UP_ARROW_IE */:
                    event.preventDefault();
                    event.stopPropagation();
                    this.spinValue(event.target.value, 1, event.type);
                    break;
                case "ArrowDown" /* DOWN_ARROW */:
                case "Down" /* DOWN_ARROW_IE */:
                    if (event.altKey) {
                        this.openDialog(this.getInputGroupElement());
                    }
                    else {
                        event.preventDefault();
                        event.stopPropagation();
                        this.spinValue(event.target.value, -1, event.type);
                    }
                    break;
                default:
                    break;
            }
        };
        /**
        * Evaluates when the mouse wheel event was fired
        * to provide spinning of date parts.
        *
        * @param event
        *
        * @hidden
        */
        /**
         * Evaluates when the mouse wheel event was fired
         * to provide spinning of date parts.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onWheel = /**
         * Evaluates when the mouse wheel event was fired
         * to provide spinning of date parts.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        function (event) {
            if (this._isInEditMode) {
                event.preventDefault();
                event.stopPropagation();
                /** @type {?} */
                var sign = (event.deltaY > 0) ? -1 : 1;
                this.spinValue(event.target.value, sign, event.type);
            }
        };
        /**
        * Evaluates when input event was fired in editor.
        *
        * @param event
        *
        * @hidden
        */
        /**
         * Evaluates when input event was fired in editor.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        IgxDatePickerComponent.prototype.onInput = /**
         * Evaluates when input event was fired in editor.
         *
         * @hidden
         * @param {?} event
         *
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var targetValue = event.target.value;
            /** @type {?} */
            var cursorPosition = this._getCursorPosition();
            /** @type {?} */
            var checkInput = DatePickerUtil.checkForCompleteDateInput(this.dateFormatParts, targetValue);
            this._isInEditMode = true;
            if (targetValue !== DatePickerUtil.maskToPromptChars(this.inputMask)) {
                this.isEmpty = false;
            }
            // If all date parts are completed, change the date-picker value, stay in edit mode
            if (checkInput === 'complete' && event.inputType !== 'deleteContentBackward') {
                this._transformedDate = targetValue;
                this.calculateDate(targetValue, event.type);
                this._setCursorPosition(cursorPosition);
            }
            else if (checkInput === 'partial') {
                // While editing, if one date part is deleted, date-picker value is set to null, the remaining input stays intact.
                this.deselectDate();
                requestAnimationFrame(function () {
                    _this.getEditElement().value = targetValue;
                    _this._setCursorPosition(cursorPosition);
                });
            }
            else if (checkInput === 'empty') {
                // Total clean-up as input is deleted.
                this.isEmpty = true;
                this.deselectDate();
            }
        };
        /**
         * @private
         * @param {?} oldValue
         * @param {?} newValue
         * @return {?}
         */
        IgxDatePickerComponent.prototype.emitValueChangeEvent = /**
         * @private
         * @param {?} oldValue
         * @param {?} newValue
         * @return {?}
         */
        function (oldValue, newValue) {
            if (!isEqual(oldValue, newValue)) {
                this.valueChange.emit(newValue);
            }
        };
        /**
         * @private
         * @param {?} dateString
         * @param {?} invokedByEvent
         * @return {?}
         */
        IgxDatePickerComponent.prototype.calculateDate = /**
         * @private
         * @param {?} dateString
         * @param {?} invokedByEvent
         * @return {?}
         */
        function (dateString, invokedByEvent) {
            if (dateString !== '') {
                /** @type {?} */
                var prevDateValue = this.value;
                /** @type {?} */
                var inputValue = (invokedByEvent === 'blur') ? this.rawDateString : dateString;
                /** @type {?} */
                var newDateArray = DatePickerUtil.parseDateArray(this.dateFormatParts, prevDateValue, inputValue);
                if (newDateArray.state === "valid" /* Valid */) {
                    /** @type {?} */
                    var newValue = newDateArray.date;
                    // Restore the time part if any
                    if (prevDateValue) {
                        newValue.setHours(prevDateValue.getHours());
                        newValue.setMinutes(prevDateValue.getMinutes());
                        newValue.setSeconds(prevDateValue.getSeconds());
                        newValue.setMilliseconds(prevDateValue.getMilliseconds());
                    }
                    if (this.disabledDates === null
                        || (this.disabledDates !== null && !isDateInRanges(newValue, this.disabledDates))) {
                        /** @type {?} */
                        var oldValue = this.value;
                        this.value = newValue;
                        this.emitValueChangeEvent(oldValue, this.value);
                        this.invalidDate = '';
                    }
                    else {
                        /** @type {?} */
                        var args = {
                            datePicker: this,
                            currentValue: newValue,
                        };
                        this.onDisabledDate.emit(args);
                    }
                }
                else {
                    /** @type {?} */
                    var args = {
                        datePicker: this,
                        prevValue: prevDateValue
                    };
                    this.invalidDate = dateString;
                    this.onValidationFailed.emit(args);
                }
            }
        };
        /**
         * @private
         * @param {?} inputValue
         * @param {?} sign
         * @param {?} eventType
         * @return {?}
         */
        IgxDatePickerComponent.prototype.spinValue = /**
         * @private
         * @param {?} inputValue
         * @param {?} sign
         * @param {?} eventType
         * @return {?}
         */
        function (inputValue, sign, eventType) {
            this._isInEditMode = true;
            this.isEmpty = false;
            /** @type {?} */
            var cursorPosition = this._getCursorPosition();
            /** @type {?} */
            var modifiedInputValue = DatePickerUtil.getModifiedDateInput(this.dateFormatParts, inputValue, cursorPosition, this.spinDelta * sign, this.isSpinLoop);
            this.getEditElement().value = modifiedInputValue;
            this._setCursorPosition(cursorPosition);
            /** @type {?} */
            var checkInput = DatePickerUtil.checkForCompleteDateInput(this.dateFormatParts, modifiedInputValue);
            if (checkInput === 'complete') {
                this._isInEditMode = true;
                this.calculateDate(modifiedInputValue, eventType);
                this._setCursorPosition(cursorPosition);
            }
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxDatePickerComponent.prototype._onOpening = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this._initializeCalendarContainer((/** @type {?} */ (event.componentRef.instance)));
            this.collapsed = false;
        };
        /**
         * @private
         * @return {?}
         */
        IgxDatePickerComponent.prototype._onOpened = /**
         * @private
         * @return {?}
         */
        function () {
            this.onOpened.emit(this);
            // TODO: remove this line after deprecating 'onOpen'
            this._onOpen.emit(this);
            if (this.calendar) {
                this._focusCalendarDate();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxDatePickerComponent.prototype._onClosed = /**
         * @private
         * @return {?}
         */
        function () {
            this.collapsed = true;
            this._componentID = null;
            this.onClosed.emit(this);
        };
        /**
         * @private
         * @param {?} componentInstance
         * @return {?}
         */
        IgxDatePickerComponent.prototype._initializeCalendarContainer = /**
         * @private
         * @param {?} componentInstance
         * @return {?}
         */
        function (componentInstance) {
            var _this = this;
            this.calendar = componentInstance.calendar;
            /** @type {?} */
            var isVertical = (this.vertical && this.mode === InteractionMode.Dialog);
            this.calendar.hasHeader = this.hasHeader;
            this.calendar.formatOptions = this.formatOptions;
            this.calendar.formatViews = this.formatViews;
            this.calendar.locale = this.locale;
            this.calendar.vertical = isVertical;
            this.calendar.weekStart = this.weekStart;
            this.calendar.specialDates = this.specialDates;
            this.calendar.disabledDates = this.disabledDates;
            this.calendar.headerTemplate = this.headerTemplate;
            this.calendar.subheaderTemplate = this.subheaderTemplate;
            this.calendar.hideOutsideDays = this.hideOutsideDays;
            this.calendar.monthsViewNumber = this.monthsViewNumber;
            this.calendar.onSelection.pipe(operators.takeUntil(this._destroy$)).subscribe(function (ev) { return _this.handleSelection(ev); });
            if (this.value) {
                this.calendar.value = this.value;
                this.calendar.viewDate = this.value;
            }
            componentInstance.mode = this.mode;
            componentInstance.vertical = isVertical;
            componentInstance.cancelButtonLabel = this.cancelButtonLabel;
            componentInstance.todayButtonLabel = this.todayButtonLabel;
            componentInstance.datePickerActions = this.datePickerActionsDirective;
            componentInstance.onClose.pipe(operators.takeUntil(this._destroy$)).subscribe(function () { return _this.closeCalendar(); });
            componentInstance.onTodaySelection.pipe(operators.takeUntil(this._destroy$)).subscribe(function () { return _this.triggerTodaySelection(); });
        };
        // Focus a date, after the calendar appearance into DOM.
        // Focus a date, after the calendar appearance into DOM.
        /**
         * @private
         * @return {?}
         */
        IgxDatePickerComponent.prototype._focusCalendarDate = 
        // Focus a date, after the calendar appearance into DOM.
        /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            requestAnimationFrame(function () {
                _this.calendar.daysView.focusActiveDate();
            });
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxDatePickerComponent.prototype._setLocaleToDate = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (isIE()) {
                // this is a workaround fixing the following IE11 issue:
                // IE11 has added character code 8206 (mark for RTL) to the output of toLocaleDateString() that
                // precedes each portion that comprises the total date... For more information read this article:
                // tslint:disable-next-line: max-line-length
                // https://www.csgpro.com/blog/2016/08/a-bad-date-with-internet-explorer-11-trouble-with-new-unicode-characters-in-javascript-date-strings/
                /** @type {?} */
                var localeDateStrIE = new Date(value.getFullYear(), value.getMonth(), value.getDate(), value.getHours(), value.getMinutes(), value.getSeconds(), value.getMilliseconds());
                return localeDateStrIE.toLocaleDateString(this.locale);
            }
            return value.toLocaleDateString(this.locale);
        };
        /**
         * @private
         * @return {?}
         */
        IgxDatePickerComponent.prototype._getCursorPosition = /**
         * @private
         * @return {?}
         */
        function () {
            return this.getEditElement().selectionStart;
        };
        /**
         * @private
         * @param {?} start
         * @param {?=} end
         * @return {?}
         */
        IgxDatePickerComponent.prototype._setCursorPosition = /**
         * @private
         * @param {?} start
         * @param {?=} end
         * @return {?}
         */
        function (start, end) {
            var _this = this;
            if (end === void 0) { end = start; }
            requestAnimationFrame(function () {
                _this.getEditElement().setSelectionRange(start, end);
            });
        };
        /**
         * Apply custom user formatter upon date.
         * @param formatter custom formatter function.
         * @param date passed date
         */
        /**
         * Apply custom user formatter upon date.
         * @private
         * @param {?} formatter custom formatter function.
         * @param {?} date passed date
         * @return {?}
         */
        IgxDatePickerComponent.prototype._customFormatChecker = /**
         * Apply custom user formatter upon date.
         * @private
         * @param {?} formatter custom formatter function.
         * @param {?} date passed date
         * @return {?}
         */
        function (formatter, date) {
            return this.formatter ? this.formatter(date) : this._setLocaleToDate(date);
        };
        /*
        * Transforms the date according to the specified format when `IgxDatePickerComponent` is in edit mode
        * using @angular/common formatDate method: https://angular.io/api/common/formatDate
        * @param  value: string | number | Date
        * @returns formatted string
        */
        /*
            * Transforms the date according to the specified format when `IgxDatePickerComponent` is in edit mode
            * using @angular/common formatDate method: https://angular.io/api/common/formatDate
            * @param  value: string | number | Date
            * @returns formatted string
            */
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxDatePickerComponent.prototype._getDisplayDate = /*
            * Transforms the date according to the specified format when `IgxDatePickerComponent` is in edit mode
            * using @angular/common formatDate method: https://angular.io/api/common/formatDate
            * @param  value: string | number | Date
            * @returns formatted string
            */
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.format && !this.formatter) {
                /** @type {?} */
                var locale = this.locale || this.defaultLocale;
                return common.formatDate(value, this.format, locale);
            }
            else {
                return this._customFormatChecker(this.formatter, value);
            }
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxDatePickerComponent.prototype._getEditorDate = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var locale = this.locale || this.defaultLocale;
            /** @type {?} */
            var changedValue = (value) ? common.formatDate(value, this.mask, locale) : '';
            return DatePickerUtil.addPromptCharsEditMode(this.dateFormatParts, this.value, changedValue);
        };
        /**
         * @return {?}
         */
        IgxDatePickerComponent.prototype._updateValidityOnBlur = /**
         * @return {?}
         */
        function () {
            this._onTouchedCallback();
            /** @type {?} */
            var input = this._inputDirective || this._inputDirectiveUserTemplate;
            if (input && this._ngControl && !this._ngControl.valid) {
                input.valid = IgxInputState.INVALID;
            }
            else {
                input.valid = IgxInputState.INITIAL;
            }
        };
        IgxDatePickerComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [{
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: IgxDatePickerComponent,
                                multi: true
                            }],
                        // tslint:disable-next-line:component-selector
                        selector: 'igx-date-picker',
                        template: "<ng-template #readOnlyDatePickerTemplate>\n    <igx-input-group (click)=\"openDialog()\" (mousedown)=\"mouseDown($event)\">\n        <igx-prefix>\n            <igx-icon>today</igx-icon>\n        </igx-prefix>\n        <label *ngIf=\"labelVisibility\" igxLabel>{{label}}</label>\n        <input\n            class=\"igx-date-picker__input-date\"\n            igxInput\n            [value]=\"displayData || ''\"\n            [disabled]=\"disabled\"\n            (blur)=\"onBlur($event)\"\n            readonly\n        />\n    </igx-input-group>\n</ng-template>\n\n<ng-template #editableDatePickerTemplate>\n    <igx-input-group #editableInputGroup [supressInputAutofocus]=\"true\" (mousedown)=\"mouseDown($event)\">\n        <igx-prefix (click)=\"openDialog(editableInputGroup.element.nativeElement)\">\n            <igx-icon>today</igx-icon>\n        </igx-prefix>\n        <label *ngIf=\"labelVisibility\" igxLabel>{{label}}</label>\n        <input\n            class=\"igx-date-picker__input-date\"\n            igxInput\n            [igxTextSelection]=\"true\"\n            type=\"text\"\n            [value]=\"transformedDate\"\n            [igxMask]=\"inputMask\"\n            [placeholder]=\"mask\"\n            [disabled]=\"disabled\"\n            [displayValuePipe]=\"displayValuePipe\"\n            [focusedValuePipe]=\"inputValuePipe\"\n            (blur)=\"onBlur($event)\"\n            (wheel)=\"onWheel($event)\"\n            (input)=\"onInput($event)\"\n            (focus)=\"onFocus()\"\n        />\n        <igx-suffix *ngIf=\"!isEmpty\" (click)=\"clear()\">\n            <igx-icon>clear</igx-icon>\n        </igx-suffix>\n    </igx-input-group>\n</ng-template>\n\n<ng-container *ngTemplateOutlet=\"template; context: context\"></ng-container>\n",
                        styles: ["\n        :host {\n            display: block;\n        }\n    "]
                    }] }
        ];
        /** @nocollapse */
        IgxDatePickerComponent.ctorParameters = function () { return [
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: core.NgModuleRef },
            { type: core.Injector }
        ]; };
        IgxDatePickerComponent.propDecorators = {
            label: [{ type: core.Input }],
            labelVisibility: [{ type: core.Input }],
            locale: [{ type: core.Input }],
            weekStart: [{ type: core.Input }],
            formatOptions: [{ type: core.Input }],
            hideOutsideDays: [{ type: core.Input }],
            monthsViewNumber: [{ type: core.Input }],
            format: [{ type: core.Input }],
            mask: [{ type: core.Input }],
            formatViews: [{ type: core.Input }],
            disabledDates: [{ type: core.Input }],
            specialDates: [{ type: core.Input }],
            modalOverlaySettings: [{ type: core.Input }],
            dropDownOverlaySettings: [{ type: core.Input }],
            value: [{ type: core.Input }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            formatter: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            vertical: [{ type: core.Input }],
            todayButtonLabel: [{ type: core.Input }],
            cancelButtonLabel: [{ type: core.Input }],
            mode: [{ type: core.Input }],
            isSpinLoop: [{ type: core.Input }],
            outlet: [{ type: core.Input }],
            onOpen: [{ type: core.Output }],
            onOpened: [{ type: core.Output }],
            onClose: [{ type: core.Output }],
            onClosed: [{ type: core.Output }],
            onClosing: [{ type: core.Output }],
            onSelection: [{ type: core.Output }],
            valueChange: [{ type: core.Output }],
            onDisabledDate: [{ type: core.Output }],
            onValidationFailed: [{ type: core.Output }],
            readOnlyDatePickerTemplate: [{ type: core.ViewChild, args: ['readOnlyDatePickerTemplate', { read: core.TemplateRef, static: true },] }],
            editableDatePickerTemplate: [{ type: core.ViewChild, args: ['editableDatePickerTemplate', { read: core.TemplateRef, static: true },] }],
            inputGroup: [{ type: core.ViewChild, args: [IgxInputGroupComponent, { static: false },] }],
            _inputElementRef: [{ type: core.ViewChild, args: [IgxInputDirective, { read: core.ElementRef, static: false },] }],
            _inputUserTemplateElementRef: [{ type: core.ContentChild, args: [IgxInputDirective, { read: core.ElementRef, static: false },] }],
            _inputDirective: [{ type: core.ViewChild, args: [IgxInputDirective, { static: false },] }],
            _inputDirectiveUserTemplate: [{ type: core.ContentChild, args: [IgxInputDirective, { static: false },] }],
            datePickerTemplateDirective: [{ type: core.ContentChild, args: [IgxDatePickerTemplateDirective, { read: IgxDatePickerTemplateDirective, static: false },] }],
            headerTemplate: [{ type: core.ContentChild, args: [IgxCalendarHeaderTemplateDirective, { read: IgxCalendarHeaderTemplateDirective, static: false },] }],
            subheaderTemplate: [{ type: core.ContentChild, args: [IgxCalendarSubheaderTemplateDirective, { read: IgxCalendarSubheaderTemplateDirective, static: false },] }],
            datePickerActionsDirective: [{ type: core.ContentChild, args: [IgxDatePickerActionsDirective, { read: IgxDatePickerActionsDirective, static: false },] }],
            onSpaceClick: [{ type: core.HostListener, args: ['keydown.spacebar', ['$event'],] }, { type: core.HostListener, args: ['keydown.space', ['$event'],] }]
        };
        __decorate([
            DeprecateProperty("'onOpen' @Output property is deprecated. Use 'onOpened' instead."),
            __metadata("design:type", core.EventEmitter),
            __metadata("design:paramtypes", [core.EventEmitter])
        ], IgxDatePickerComponent.prototype, "onOpen", null);
        __decorate([
            DeprecateProperty("'onClose' @Output property is deprecated. Use 'onClosed' instead."),
            __metadata("design:type", core.EventEmitter),
            __metadata("design:paramtypes", [core.EventEmitter])
        ], IgxDatePickerComponent.prototype, "onClose", null);
        return IgxDatePickerComponent;
    }());
    /**
     * @hidden
     */
    var IgxDatePickerModule = /** @class */ (function () {
        function IgxDatePickerModule() {
        }
        IgxDatePickerModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxDatePickerComponent, IgxCalendarContainerComponent, IgxDatePickerActionsDirective,
                            IgxDatePickerTemplateDirective, DatePickerDisplayValuePipe, DatePickerInputValuePipe],
                        exports: [IgxDatePickerComponent, IgxDatePickerTemplateDirective, IgxDatePickerActionsDirective,
                            DatePickerDisplayValuePipe, DatePickerInputValuePipe],
                        imports: [common.CommonModule, IgxIconModule, IgxInputGroupModule, IgxCalendarModule, IgxButtonModule,
                            IgxRippleModule, IgxMaskModule, IgxTextSelectionModule],
                        entryComponents: [IgxCalendarContainerComponent]
                    },] }
        ];
        return IgxDatePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxDialogTitleDirective = /** @class */ (function () {
        function IgxDialogTitleDirective() {
            this.defaultStyle = true;
        }
        IgxDialogTitleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: 'igx-dialog-title,[igxDialogTitle]'
                    },] }
        ];
        IgxDialogTitleDirective.propDecorators = {
            defaultStyle: [{ type: core.HostBinding, args: ['class.igx-dialog__window-title',] }]
        };
        return IgxDialogTitleDirective;
    }());
    /**
     * @hidden
     */
    var IgxDialogActionsDirective = /** @class */ (function () {
        function IgxDialogActionsDirective() {
            this.defaultClass = true;
        }
        IgxDialogActionsDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: 'igx-dialog-actions,[igxDialogActions]'
                    },] }
        ];
        IgxDialogActionsDirective.propDecorators = {
            defaultClass: [{ type: core.HostBinding, args: ['class.igx-dialog__window-actions',] }]
        };
        return IgxDialogActionsDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var DIALOG_ID = 0;
    /**
     * **Ignite UI for Angular Dialog Window** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/dialog.html)
     *
     * The Ignite UI Dialog Window presents a dialog window to the user which can simply display messages or display
     * more complicated visuals such as a user sign-in form.  It also provides a right and left button
     * which can be used for custom actions.
     *
     * Example:
     * ```html
     * <button (click)="form.open()">Show Dialog</button>
     * <igx-dialog #form title="Sign In" rightButtonLabel="OK">
     *   <div>
     *     <input type="text" igxInput/>
     *     <label igxLabel>Username</label>
     *   </div>
     *   <div>
     *     <input type="password" igxInput/>
     *     <label igxLabel>Password</label>
     *   </div>
     * </igx-dialog>
     * ```
     */
    var IgxDialogComponent = /** @class */ (function () {
        function IgxDialogComponent(elementRef, navService) {
            this.elementRef = elementRef;
            this.navService = navService;
            /**
             * An \@Input property that sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-dialog [id]="'igx-dialog-56'" #alert title="Notification" leftButtonLabel="OK" (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.id = "igx-dialog-" + DIALOG_ID++;
            /**
             * An \@Input property controlling the `title` of the dialog.
             * ```html
             * <igx-dialog title="Notification" #alert leftButtonLabel="OK" (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.title = '';
            /**
             *  An \@Input property controlling the `message` of the dialog.
             * ```html
             * <igx-dialog message="Your email was sent!" #alert leftButtonLabel="OK" (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.message = '';
            /**
             * An \@Input property to set the `label` of the left button of the dialog.
             * ```html
             * <igx-dialog leftButtonLabel="OKAY" #alert title="Notification"  (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.leftButtonLabel = '';
            /**
             * An \@Input property to set the left button `type`. The types are `flat`, `raised` and `fab`.
             * The `flat` type button is a rectangle and doesn't have a shadow. <br>
             * The `raised` type button is also a rectangle but has a shadow. <br>
             * The `fab` type button is a circle with a shadow. <br>
             * The default value is `flat`.
             * ```html
             * <igx-dialog leftButtonType="raised" leftButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.leftButtonType = 'flat';
            /**
             * An \@Input property to set the left button color. The property accepts all valid CSS color property values.
             * ```html
             * <igx-dialog leftButtonColor="yellow" leftButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.leftButtonColor = '';
            /**
             * An \@Input property to set the left button `background-color`. The property accepts all valid CSS color property values.
             * ```html
             * <igx-dialog leftButtonBackgroundColor="black" leftButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.leftButtonBackgroundColor = '';
            /**
             * An \@Input property to set the left button `ripple`. The `ripple` animates a click/tap to a component as a series of fading waves.
             * The property accepts all valid CSS color property values.
             * ```html
             * <igx-dialog leftButtonRipple="green" leftButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.leftButtonRipple = '';
            /**
             * An \@Input property to set the `label` of the right button of the dialog.
             * ```html
             * <igx-dialog rightButtonLabel="OKAY" #alert title="Notification"  (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.rightButtonLabel = '';
            /**
             * An \@Input property to set the right button `type`. The types are `flat`, `raised` and `fab`.
             * The `flat` type button is a rectangle and doesn't have a shadow. <br>
             * The `raised` type button is also a rectangle but has a shadow. <br>
             * The `fab` type button is a circle with a shadow. <br>
             * The default value is `flat`.
             * ```html
             * <igx-dialog rightButtonType="fab" rightButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.rightButtonType = 'flat';
            /**
             * An \@Input property to set the right button `color`. The property accepts all valid CSS color property values.
             * ```html
             * <igx-dialog rightButtonColor="yellow" rightButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.rightButtonColor = '';
            /**
             * An \@Input property to set the right button `background-color`. The property accepts all valid CSS color property values.
             * ```html
             * <igx-dialog rightButtonBackgroundColor="black" rightButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.rightButtonBackgroundColor = '';
            /**
             * An \@Input property to set the right button `ripple`.
             * ```html
             * <igx-dialog rightButtonRipple="green" rightButtonLabel="OKAY" #alert (onLeftButtonSelect)="alert.close()"></igx-dialog>
             * ```
             */
            this.rightButtonRipple = '';
            /**
             * An event that is emitted when the dialog is opened.
             * ```html
             * <igx-dialog (onOpen)="onDialogOpenHandler($event)" (onLeftButtonSelect)="dialog.close()" rightButtonLabel="OK">
             * </igx-dialog>
             * ```
             */
            this.onOpen = new core.EventEmitter();
            /**
             * An event that is emitted when the dialog is closed.
             * ```html
             * <igx-dialog (onClose)="onDialogCloseHandler($event)" title="Confirmation" leftButtonLabel="Cancel" rightButtonLabel="OK">
             * </igx-dialog>
             * ```
             */
            this.onClose = new core.EventEmitter();
            /**
             * An event that is emitted when the left button is clicked.
             * ```html
             * <igx-dialog (onLeftButtonSelect)="onDialogOKSelected($event)" #dialog leftButtonLabel="OK" rightButtonLabel="Cancel">
             * </igx-dialog>
             * ```
             */
            this.onLeftButtonSelect = new core.EventEmitter();
            /**
             * An event that is emitted when the right button is clicked.
             * ```html
             * <igx-dialog (onRightButtonSelect)="onDialogOKSelected($event)"
             * #dialog title="Confirmation" (onLeftButtonSelect)="dialog.close()" rightButtonLabel="OK"
             * rightButtonRipple="#4CAF50" closeOnOutsideSelect="true">
             * </igx-dialog>
             * ```
             */
            this.onRightButtonSelect = new core.EventEmitter();
            this._positionSettings = {
                openAnimation: animations.useAnimation(slideInBottom, { params: { fromPosition: 'translateY(100%)' } }),
                closeAnimation: animations.useAnimation(slideOutTop, { params: { toPosition: 'translateY(-100%)' } })
            };
            this._closeOnOutsideSelect = false;
            this._isModal = true;
            this.destroy$ = new rxjs.Subject();
            /**
             * The default `tabindex` attribute for the component
             *
             * @hidden
             */
            this.tabindex = -1;
            this._titleId = IgxDialogComponent.NEXT_ID++ + '_title';
            this._overlayDefaultSettings = {
                positionStrategy: new GlobalPositionStrategy(this._positionSettings),
                scrollStrategy: new NoOpScrollStrategy(),
                modal: this.isModal,
                closeOnOutsideClick: this.closeOnOutsideSelect
            };
        }
        Object.defineProperty(IgxDialogComponent.prototype, "isModal", {
            get: /**
             * @return {?}
             */
            function () {
                return this._isModal;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._overlayDefaultSettings.modal = val;
                this._isModal = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "closeOnOutsideSelect", {
            /**
             * An @Input property that allows you to enable the "close on click outside the dialog". By default it's disabled.
             *```html
             *<igx-dialog closeOnOutsideSelect="true" leftButtonLabel="Cancel" (onLeftButtonSelect)="dialog.close()"
             *rightButtonLabel="OK" rightButtonRipple="#4CAF50" (onRightButtonSelect)="onDialogOKSelected($event)">
             *</igx-dialog>
             *```
             */
            get: /**
             * An \@Input property that allows you to enable the "close on click outside the dialog". By default it's disabled.
             * ```html
             * <igx-dialog closeOnOutsideSelect="true" leftButtonLabel="Cancel" (onLeftButtonSelect)="dialog.close()"
             * rightButtonLabel="OK" rightButtonRipple="#4CAF50" (onRightButtonSelect)="onDialogOKSelected($event)">
             * </igx-dialog>
             * ```
             * @return {?}
             */
            function () {
                return this._closeOnOutsideSelect;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._overlayDefaultSettings.closeOnOutsideClick = val;
                this._closeOnOutsideSelect = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "positionSettings", {
            /**
             * Get the position and animation settings used by the dialog.
             * ```typescript
             * @ViewChild('alert', { static: true }) public alert: IgxDialogComponent;
             * let currentPosition: PositionSettings = this.alert.positionSettings
             * ```
             */
            get: /**
             * Get the position and animation settings used by the dialog.
             * ```typescript
             * \@ViewChild('alert', { static: true }) public alert: IgxDialogComponent;
             * let currentPosition: PositionSettings = this.alert.positionSettings
             * ```
             * @return {?}
             */
            function () {
                return this._positionSettings;
            },
            /**
             * Set the position and animation settings used by the dialog.
             * ```typescript
             * import { slideInLeft, slideOutRight } from 'igniteui-angular';
             * ...
             * @ViewChild('alert', { static: true }) public alert: IgxDialogComponent;
             *  public newPositionSettings: PositionSettings = {
             *      openAnimation: useAnimation(slideInTop, { params: { duration: '2000ms' } }),
             *      closeAnimation: useAnimation(slideOutBottom, { params: { duration: '2000ms'} }),
             *      horizontalDirection: HorizontalAlignment.Left,
             *      verticalDirection: VerticalAlignment.Middle,
             *      horizontalStartPoint: HorizontalAlignment.Left,
             *      verticalStartPoint: VerticalAlignment.Middle,
             *      minSize: { height: 100, width: 100 }
             *  };
             * this.alert.positionSettings = this.newPositionSettings;
             * ```
             */
            set: /**
             * Set the position and animation settings used by the dialog.
             * ```typescript
             * import { slideInLeft, slideOutRight } from 'igniteui-angular';
             * ...
             * \@ViewChild('alert', { static: true }) public alert: IgxDialogComponent;
             *  public newPositionSettings: PositionSettings = {
             *      openAnimation: useAnimation(slideInTop, { params: { duration: '2000ms' } }),
             *      closeAnimation: useAnimation(slideOutBottom, { params: { duration: '2000ms'} }),
             *      horizontalDirection: HorizontalAlignment.Left,
             *      verticalDirection: VerticalAlignment.Middle,
             *      horizontalStartPoint: HorizontalAlignment.Left,
             *      verticalStartPoint: VerticalAlignment.Middle,
             *      minSize: { height: 100, width: 100 }
             *  };
             * this.alert.positionSettings = this.newPositionSettings;
             * ```
             * @param {?} settings
             * @return {?}
             */
            function (settings) {
                this._positionSettings = settings;
                this._overlayDefaultSettings.positionStrategy = new GlobalPositionStrategy(this._positionSettings);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "element", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "state", {
            /**
             * Returns the value of state. Possible state values are "open" or "close".
             *```typescript
             *@ViewChild("MyDialog")
             *public dialog: IgxDialogComponent;
             *ngAfterViewInit() {
             *    let dialogState = this.dialog.state;
             *}
             *```
             */
            get: /**
             * Returns the value of state. Possible state values are "open" or "close".
             * ```typescript
             * \@ViewChild("MyDialog")
             * public dialog: IgxDialogComponent;
             * ngAfterViewInit() {
             *    let dialogState = this.dialog.state;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.isOpen ? 'open' : 'close';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "isOpen", {
            /**
             * Returns whether the dialog is visible to the end user.
             *```typescript
             *@ViewChild("MyDialog")
             *public dialog: IgxDialogComponent;
             *ngAfterViewInit() {
             *    let dialogOpen = this.dialog.isOpen;
             *}
             * ```
             */
            get: /**
             * Returns whether the dialog is visible to the end user.
             * ```typescript
             * \@ViewChild("MyDialog")
             * public dialog: IgxDialogComponent;
             * ngAfterViewInit() {
             *    let dialogOpen = this.dialog.isOpen;
             * }
             * ```
             * @return {?}
             */
            function () {
                return !this.toggleRef.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "isCollapsed", {
            get: /**
             * @return {?}
             */
            function () {
                return this.toggleRef.collapsed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "role", {
            /**
             *Returns the value of the role of the dialog. The valid values are `dialog`, `alertdialog`, `alert`.
             *```typescript
             *@ViewChild("MyDialog")
             *public dialog: IgxDialogComponent;
             *ngAfterViewInit() {
             *    let dialogRole = this.dialog.role;
             *}
             * ```
             */
            get: /**
             * Returns the value of the role of the dialog. The valid values are `dialog`, `alertdialog`, `alert`.
             * ```typescript
             * \@ViewChild("MyDialog")
             * public dialog: IgxDialogComponent;
             * ngAfterViewInit() {
             *    let dialogRole = this.dialog.role;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.leftButtonLabel !== '' && this.rightButtonLabel !== '') {
                    return 'dialog';
                }
                else if (this.leftButtonLabel !== '' ||
                    this.rightButtonLabel !== '') {
                    return 'alertdialog';
                }
                else {
                    return 'alert';
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxDialogComponent.prototype, "titleId", {
            /**
             *Returns the value of the title id.
             *```typescript
             *@ViewChild("MyDialog")
             *public dialog: IgxDialogComponent;
             *ngAfterViewInit() {
             *    let dialogTitle = this.dialog.titleId;
             *}
             * ```
             */
            get: /**
             * Returns the value of the title id.
             * ```typescript
             * \@ViewChild("MyDialog")
             * public dialog: IgxDialogComponent;
             * ngAfterViewInit() {
             *    let dialogTitle = this.dialog.titleId;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._titleId;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxDialogComponent.prototype.ngAfterContentInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.toggleRef.onClosing.pipe(operators.takeUntil(this.destroy$)).subscribe(function () { return _this.emitCloseFromDialog(); });
        };
        /**
         * @private
         * @return {?}
         */
        IgxDialogComponent.prototype.emitCloseFromDialog = /**
         * @private
         * @return {?}
         */
        function () {
            this.onClose.emit({ dialog: this, event: null });
        };
        /**
         * A method that opens the dialog.
         * @memberOf {@link IgxDialogComponent}
         *```html
         *<button (click)="dialog.open() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         *<igx-dialog #dialog></igx-dialog>
         *```
         */
        /**
         * A method that opens the dialog.
         * \@memberOf {\@link IgxDialogComponent}
         * ```html
         * <button (click)="dialog.open() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         * <igx-dialog #dialog></igx-dialog>
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        IgxDialogComponent.prototype.open = /**
         * A method that opens the dialog.
         * \@memberOf {\@link IgxDialogComponent}
         * ```html
         * <button (click)="dialog.open() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         * <igx-dialog #dialog></igx-dialog>
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        function (overlaySettings) {
            if (overlaySettings === void 0) { overlaySettings = this._overlayDefaultSettings; }
            this.toggleRef.open(overlaySettings);
            this.onOpen.emit({ dialog: this, event: null });
            if (!this.leftButtonLabel && !this.rightButtonLabel) {
                this.toggleRef.element.focus();
            }
        };
        /**
         *A method that that closes the dialog.
         *@memberOf {@link IgxDialogComponent}
         *```html
         *<button (click)="dialog.close() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         *<igx-dialog #dialog></igx-dialog>
         *```
         */
        /**
         * A method that that closes the dialog.
         * \@memberOf {\@link IgxDialogComponent}
         * ```html
         * <button (click)="dialog.close() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         * <igx-dialog #dialog></igx-dialog>
         * ```
         * @return {?}
         */
        IgxDialogComponent.prototype.close = /**
         * A method that that closes the dialog.
         * \@memberOf {\@link IgxDialogComponent}
         * ```html
         * <button (click)="dialog.close() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         * <igx-dialog #dialog></igx-dialog>
         * ```
         * @return {?}
         */
        function () {
            // `onClose` will emit from `toggleRef.onClosing` subscription
            this.toggleRef.close();
        };
        /**
         * A method that opens/closes the dialog.
         *@memberOf {@link IgxDialogComponent}
         *```html
         *<button (click)="dialog.toggle() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         *<igx-dialog #dialog></igx-dialog>
         *```
         */
        /**
         * A method that opens/closes the dialog.
         * \@memberOf {\@link IgxDialogComponent}
         * ```html
         * <button (click)="dialog.toggle() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         * <igx-dialog #dialog></igx-dialog>
         * ```
         * @return {?}
         */
        IgxDialogComponent.prototype.toggle = /**
         * A method that opens/closes the dialog.
         * \@memberOf {\@link IgxDialogComponent}
         * ```html
         * <button (click)="dialog.toggle() igxButton="raised" igxButtonColor="white" igxRipple="white">Trigger Dialog</button>
         * <igx-dialog #dialog></igx-dialog>
         * ```
         * @return {?}
         */
        function () {
            this.isOpen ? this.close() : this.open();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDialogComponent.prototype.onDialogSelected = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            if (this.isOpen &&
                this.closeOnOutsideSelect &&
                event.target.classList.contains(IgxDialogComponent.DIALOG_CLASS)) {
                this.close();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDialogComponent.prototype.onInternalLeftButtonSelect = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onLeftButtonSelect.emit({ dialog: this, event: event });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxDialogComponent.prototype.onInternalRightButtonSelect = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onRightButtonSelect.emit({ dialog: this, event: event });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDialogComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.navService && this.id) {
                this.navService.add(this.id, this);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxDialogComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.navService && this.id) {
                this.navService.remove(this.id);
            }
        };
        IgxDialogComponent.NEXT_ID = 1;
        IgxDialogComponent.DIALOG_CLASS = 'igx-dialog';
        IgxDialogComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-dialog',
                        template: "<div tabindex=\"0\" #dialog class=\"igx-dialog\" igxToggle (click)=\"onDialogSelected($event)\">\n    <div #dialogWindow class=\"igx-dialog__window\"  [attr.role]=\"role\" [attr.aria-labelledby]=\"titleId\">\n\n        <div *ngIf=\"title\" [attr.id]=\"titleId\" class=\"igx-dialog__window-title\">\n            {{ title }}\n        </div>\n        <ng-content *ngIf=\"!title\" select=\"igx-dialog-title,[igxDialogTitle]\"></ng-content>\n\n        <div class=\"igx-dialog__window-content\" *ngIf=\"message\">{{ message }}</div>\n        <ng-content *ngIf=\"!message\"></ng-content>\n\n        <div *ngIf=\"leftButtonLabel || rightButtonLabel\" class=\"igx-dialog__window-actions\">\n            <button *ngIf=\"leftButtonLabel\" type=\"button\" [igxFocus]=\"isOpen\" igxButton=\"{{ leftButtonType }}\" igxButtonColor=\"{{ leftButtonColor }}\" igxButtonBackground=\"{{ leftButtonBackgroundColor }}\"\n                igxRipple=\"{{ leftButtonRipple }}\" (click)=\"onInternalLeftButtonSelect($event)\">\n                {{ leftButtonLabel }}\n            </button>\n            <button *ngIf=\"rightButtonLabel\" type=\"button\" [igxFocus]=\"isOpen\" igxButton=\"{{ rightButtonType }}\" igxButtonColor=\"{{ rightButtonColor }}\" igxButtonBackground=\"{{ rightButtonBackgroundColor }}\"\n                igxRipple=\"{{ rightButtonRipple }}\" (click)=\"onInternalRightButtonSelect($event)\">\n                {{ rightButtonLabel }}\n            </button>\n        </div>\n        <ng-content *ngIf=\"!leftButtonLabel && !rightButtonLabel\" select=\"igx-dialog-actions,[igxDialogActions]\"></ng-content>\n\n    </div>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxDialogComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] }
        ]; };
        IgxDialogComponent.propDecorators = {
            toggleRef: [{ type: core.ViewChild, args: [IgxToggleDirective, { static: true },] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            isModal: [{ type: core.Input }],
            title: [{ type: core.Input }],
            message: [{ type: core.Input }],
            leftButtonLabel: [{ type: core.Input }],
            leftButtonType: [{ type: core.Input }],
            leftButtonColor: [{ type: core.Input }],
            leftButtonBackgroundColor: [{ type: core.Input }],
            leftButtonRipple: [{ type: core.Input }],
            rightButtonLabel: [{ type: core.Input }],
            rightButtonType: [{ type: core.Input }],
            rightButtonColor: [{ type: core.Input }],
            rightButtonBackgroundColor: [{ type: core.Input }],
            rightButtonRipple: [{ type: core.Input }],
            closeOnOutsideSelect: [{ type: core.Input }],
            positionSettings: [{ type: core.Input }],
            onOpen: [{ type: core.Output }],
            onClose: [{ type: core.Output }],
            onLeftButtonSelect: [{ type: core.Output }],
            onRightButtonSelect: [{ type: core.Output }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            isOpen: [{ type: core.Input }],
            isCollapsed: [{ type: core.HostBinding, args: ['class.igx-dialog--hidden',] }],
            role: [{ type: core.Input }],
            titleId: [{ type: core.Input }]
        };
        return IgxDialogComponent;
    }());
    /**
     * @hidden
     */
    var IgxDialogModule = /** @class */ (function () {
        function IgxDialogModule() {
        }
        IgxDialogModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxDialogComponent, IgxDialogTitleDirective, IgxDialogActionsDirective],
                        exports: [IgxDialogComponent, IgxDialogTitleDirective, IgxDialogActionsDirective],
                        imports: [common.CommonModule, IgxToggleModule, IgxButtonModule, IgxRippleModule, IgxFocusModule]
                    },] }
        ];
        return IgxDialogModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    // TODO: Refactor - export in a separate file
    var 
    // TODO: Refactor - export in a separate file
    IgxRow = /** @class */ (function () {
        function IgxRow(id, index, data) {
            this.id = id;
            this.index = index;
            this.data = data;
        }
        /**
         * @return {?}
         */
        IgxRow.prototype.createEditEventArgs = /**
         * @return {?}
         */
        function () {
            return {
                rowID: this.id,
                oldValue: __assign({}, this.data),
                newValue: this.newData,
                cancel: false
            };
        };
        return IgxRow;
    }());
    var IgxCell = /** @class */ (function () {
        function IgxCell(id, rowIndex, column, value, editValue, rowData) {
            this.id = id;
            this.rowIndex = rowIndex;
            this.column = column;
            this.value = value;
            this.editValue = editValue;
            this.rowData = rowData;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        IgxCell.prototype.castToNumber = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.column.dataType === 'number' && !this.column.inlineEditorTemplate) {
                /** @type {?} */
                var v = parseFloat(value);
                return !isNaN(v) && isFinite(v) ? v : 0;
            }
            return value;
        };
        /**
         * @return {?}
         */
        IgxCell.prototype.createEditEventArgs = /**
         * @return {?}
         */
        function () {
            return {
                rowID: this.id.rowID,
                cellID: this.id,
                oldValue: this.value,
                newValue: this.editValue,
                cancel: false
            };
        };
        return IgxCell;
    }());
    var IgxGridCRUDService = /** @class */ (function () {
        function IgxGridCRUDService() {
            this.cell = null;
            this.row = null;
        }
        /**
         * @param {?} cell
         * @return {?}
         */
        IgxGridCRUDService.prototype.createCell = /**
         * @param {?} cell
         * @return {?}
         */
        function (cell) {
            return new IgxCell(cell.cellID, cell.rowIndex, cell.column, cell.value, cell.value, cell.row.rowData);
        };
        /**
         * @param {?} cell
         * @return {?}
         */
        IgxGridCRUDService.prototype.createRow = /**
         * @param {?} cell
         * @return {?}
         */
        function (cell) {
            return new IgxRow(cell.id.rowID, cell.rowIndex, cell.rowData);
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxGridCRUDService.prototype.sameRow = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            return this.row && this.row.id === rowID;
        };
        /**
         * @param {?} cell
         * @return {?}
         */
        IgxGridCRUDService.prototype.sameCell = /**
         * @param {?} cell
         * @return {?}
         */
        function (cell) {
            return (this.cell.id.rowID === cell.id.rowID &&
                this.cell.id.columnID === cell.id.columnID);
        };
        Object.defineProperty(IgxGridCRUDService.prototype, "inEditMode", {
            get: /**
             * @return {?}
             */
            function () {
                return !!this.cell;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCRUDService.prototype, "rowEditing", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.rowEditable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCRUDService.prototype, "primaryKey", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.primaryKey;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridCRUDService.prototype.beginRowEdit = /**
         * @return {?}
         */
        function () {
            if (this.grid.rowEditable && (this.grid.primaryKey === undefined || this.grid.primaryKey === null)) {
                console.warn('The grid must have a `primaryKey` specified when using `rowEditable`!');
            }
            this.row = this.createRow(this.cell);
            /** @type {?} */
            var args = {
                rowID: this.row.id,
                oldValue: this.row.data,
                cancel: false
            };
            this.grid.onRowEditEnter.emit(args);
            if (args.cancel) {
                this.endRowEdit();
                return;
            }
            this.row.transactionState = this.grid.transactions.getAggregatedValue(this.row.id, true);
            this.grid.transactions.startPending();
            this.grid.openRowOverlay(this.row.id);
        };
        /**
         * @return {?}
         */
        IgxGridCRUDService.prototype.endRowEdit = /**
         * @return {?}
         */
        function () {
            this.row = null;
        };
        /**
         * @param {?} cell
         * @return {?}
         */
        IgxGridCRUDService.prototype.begin = /**
         * @param {?} cell
         * @return {?}
         */
        function (cell) {
            /** @type {?} */
            var newCell = this.createCell(cell);
            newCell.primaryKey = this.primaryKey;
            /** @type {?} */
            var args = {
                cellID: newCell.id,
                rowID: newCell.id.rowID,
                oldValue: newCell.value,
                cancel: false
            };
            this.grid.onCellEditEnter.emit(args);
            if (args.cancel) {
                this.end();
                return;
            }
            if (this.rowEditing) {
                if (this.row && !this.sameRow(newCell.id.rowID)) {
                    this.grid.endEdit(true);
                    this.cell = newCell;
                    this.beginRowEdit();
                    return;
                }
                this.cell = newCell;
                if (!this.row) {
                    this.beginRowEdit();
                    return;
                }
            }
            else {
                this.cell = newCell;
                this.endRowEdit();
            }
        };
        /**
         * @return {?}
         */
        IgxGridCRUDService.prototype.end = /**
         * @return {?}
         */
        function () {
            this.cell = null;
        };
        /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridCRUDService.prototype.isInEditMode = /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        function (rowIndex, columnIndex) {
            if (!this.cell) {
                return false;
            }
            return this.cell.column.index === columnIndex && this.cell.rowIndex === rowIndex;
        };
        IgxGridCRUDService.decorators = [
            { type: core.Injectable }
        ];
        return IgxGridCRUDService;
    }());
    var IgxGridSelectionService = /** @class */ (function () {
        function IgxGridSelectionService(zone) {
            this.zone = zone;
            this.dragMode = false;
            this.keyboardState = (/** @type {?} */ ({}));
            this.pointerState = (/** @type {?} */ ({}));
            this.selection = new Map();
            this.temp = new Map();
            this._ranges = new Set();
            this.rowSelection = new Set();
            this.initPointerState();
            this.initKeyboardState();
        }
        Object.defineProperty(IgxGridSelectionService.prototype, "ranges", {
            /**
             * Returns the current selected ranges in the grid from both
             * keyboard and pointer interactions
             */
            get: /**
             * Returns the current selected ranges in the grid from both
             * keyboard and pointer interactions
             * @return {?}
             */
            function () {
                // The last action was keyboard + shift selection -> add it
                this.addKeyboardRange();
                /** @type {?} */
                var ranges = Array.from(this._ranges).map(function (range) { return JSON.parse(range); });
                // No ranges but we have a focused cell -> add it
                if (!ranges.length && this.activeElement && this.grid.isCellSelectable) {
                    ranges.push(this.generateRange(this.activeElement));
                }
                return ranges;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridSelectionService.prototype, "primaryButton", {
            get: /**
             * @return {?}
             */
            function () {
                return this.pointerState.primaryButton;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.pointerState.primaryButton = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Resets the keyboard state
         */
        /**
         * Resets the keyboard state
         * @return {?}
         */
        IgxGridSelectionService.prototype.initKeyboardState = /**
         * Resets the keyboard state
         * @return {?}
         */
        function () {
            this.keyboardState.node = null;
            this.keyboardState.shift = false;
            this.keyboardState.range = null;
            this.keyboardState.active = false;
        };
        /**
         * Resets the pointer state
         */
        /**
         * Resets the pointer state
         * @return {?}
         */
        IgxGridSelectionService.prototype.initPointerState = /**
         * Resets the pointer state
         * @return {?}
         */
        function () {
            this.pointerState.node = null;
            this.pointerState.ctrl = false;
            this.pointerState.shift = false;
            this.pointerState.range = null;
            this.pointerState.primaryButton = true;
        };
        /**
         * Adds a single node.
         * Single clicks | Ctrl + single clicks on cells is the usual case.
         */
        /**
         * Adds a single node.
         * Single clicks | Ctrl + single clicks on cells is the usual case.
         * @param {?} node
         * @param {?=} addToRange
         * @return {?}
         */
        IgxGridSelectionService.prototype.add = /**
         * Adds a single node.
         * Single clicks | Ctrl + single clicks on cells is the usual case.
         * @param {?} node
         * @param {?=} addToRange
         * @return {?}
         */
        function (node, addToRange) {
            if (addToRange === void 0) { addToRange = true; }
            this.selection.has(node.row) ? this.selection.get(node.row).add(node.column) :
                this.selection.set(node.row, new Set()).get(node.row).add(node.column);
            if (addToRange) {
                this._ranges.add(JSON.stringify(this.generateRange(node)));
            }
        };
        /**
         * Adds the active keyboard range selection (if any) to the `ranges` meta.
         */
        /**
         * Adds the active keyboard range selection (if any) to the `ranges` meta.
         * @return {?}
         */
        IgxGridSelectionService.prototype.addKeyboardRange = /**
         * Adds the active keyboard range selection (if any) to the `ranges` meta.
         * @return {?}
         */
        function () {
            if (this.keyboardState.range) {
                this._ranges.add(JSON.stringify(this.keyboardState.range));
            }
        };
        /**
         * @param {?} node
         * @return {?}
         */
        IgxGridSelectionService.prototype.remove = /**
         * @param {?} node
         * @return {?}
         */
        function (node) {
            if (this.selection.has(node.row)) {
                this.selection.get(node.row).delete(node.column);
            }
            if (this.isActiveNode(node)) {
                this.activeElement = null;
            }
            this._ranges.delete(JSON.stringify(this.generateRange(node)));
        };
        /**
         * @param {?} node
         * @return {?}
         */
        IgxGridSelectionService.prototype.isInMap = /**
         * @param {?} node
         * @return {?}
         */
        function (node) {
            return (this.selection.has(node.row) && this.selection.get(node.row).has(node.column)) ||
                (this.temp.has(node.row) && this.temp.get(node.row).has(node.column));
        };
        /**
         * @param {?} node
         * @return {?}
         */
        IgxGridSelectionService.prototype.selected = /**
         * @param {?} node
         * @return {?}
         */
        function (node) {
            return (this.isActiveNode(node) && this.grid.isCellSelectable) || this.isInMap(node);
        };
        /**
         * @param {?} node
         * @return {?}
         */
        IgxGridSelectionService.prototype.isActiveNode = /**
         * @param {?} node
         * @return {?}
         */
        function (node) {
            if (this.activeElement) {
                /** @type {?} */
                var isActive = this.activeElement.column === node.column && this.activeElement.row === node.row;
                if (this.grid.hasColumnLayouts) {
                    /** @type {?} */
                    var layout = this.activeElement.layout;
                    return isActive && this.isActiveLayout(layout, node.layout);
                }
                return isActive;
            }
            return false;
        };
        /**
         * @param {?} current
         * @param {?} target
         * @return {?}
         */
        IgxGridSelectionService.prototype.isActiveLayout = /**
         * @param {?} current
         * @param {?} target
         * @return {?}
         */
        function (current, target) {
            return current.columnVisibleIndex === target.columnVisibleIndex;
        };
        /**
         * @param {?} node
         * @param {?=} state
         * @return {?}
         */
        IgxGridSelectionService.prototype.addRangeMeta = /**
         * @param {?} node
         * @param {?=} state
         * @return {?}
         */
        function (node, state) {
            this._ranges.add(JSON.stringify(this.generateRange(node, state)));
        };
        /**
         * @param {?} node
         * @param {?=} state
         * @return {?}
         */
        IgxGridSelectionService.prototype.removeRangeMeta = /**
         * @param {?} node
         * @param {?=} state
         * @return {?}
         */
        function (node, state) {
            this._ranges.delete(JSON.stringify(this.generateRange(node, state)));
        };
        /**
         * Generates a new selection range from the given `node`.
         * If `state` is passed instead it will generate the range based on the passed `node`
         * and the start node of the `state`.
         */
        /**
         * Generates a new selection range from the given `node`.
         * If `state` is passed instead it will generate the range based on the passed `node`
         * and the start node of the `state`.
         * @param {?} node
         * @param {?=} state
         * @return {?}
         */
        IgxGridSelectionService.prototype.generateRange = /**
         * Generates a new selection range from the given `node`.
         * If `state` is passed instead it will generate the range based on the passed `node`
         * and the start node of the `state`.
         * @param {?} node
         * @param {?=} state
         * @return {?}
         */
        function (node, state) {
            if (!state) {
                return {
                    rowStart: node.row,
                    rowEnd: node.row,
                    columnStart: node.column,
                    columnEnd: node.column
                };
            }
            var _a = state.node, row = _a.row, column = _a.column;
            /** @type {?} */
            var rowStart = Math.min(node.row, row);
            /** @type {?} */
            var rowEnd = Math.max(node.row, row);
            /** @type {?} */
            var columnStart = Math.min(node.column, column);
            /** @type {?} */
            var columnEnd = Math.max(node.column, column);
            return { rowStart: rowStart, rowEnd: rowEnd, columnStart: columnStart, columnEnd: columnEnd };
        };
        /**
         *
         */
        /**
         *
         * @param {?} node
         * @param {?} shift
         * @param {?} shiftTab
         * @return {?}
         */
        IgxGridSelectionService.prototype.keyboardStateOnKeydown = /**
         *
         * @param {?} node
         * @param {?} shift
         * @param {?} shiftTab
         * @return {?}
         */
        function (node, shift, shiftTab) {
            this.keyboardState.active = true;
            this.initPointerState();
            this.keyboardState.shift = shift && !shiftTab;
            // Kb navigation with shift and no previous node.
            // Clear the current selection init the start node.
            if (this.keyboardState.shift && !this.keyboardState.node) {
                this.clear();
                this.keyboardState.node = node;
            }
        };
        /**
         * @param {?} node
         * @param {?} emitter
         * @param {?} dom
         * @return {?}
         */
        IgxGridSelectionService.prototype.keyboardStateOnFocus = /**
         * @param {?} node
         * @param {?} emitter
         * @param {?} dom
         * @return {?}
         */
        function (node, emitter, dom) {
            /** @type {?} */
            var kbState = this.keyboardState;
            // Focus triggered by keyboard navigation
            if (kbState.active) {
                if (isChromium()) {
                    this._moveSelectionChrome(dom);
                }
                // Start generating a range if shift is hold
                if (kbState.shift) {
                    this.dragSelect(node, kbState);
                    kbState.range = this.generateRange(node, kbState);
                    emitter.emit(this.generateRange(node, kbState));
                    return;
                }
                this.initKeyboardState();
                this.clear();
                this.add(node);
            }
        };
        /**
         * @param {?} node
         * @param {?} shift
         * @param {?} ctrl
         * @return {?}
         */
        IgxGridSelectionService.prototype.pointerDown = /**
         * @param {?} node
         * @param {?} shift
         * @param {?} ctrl
         * @return {?}
         */
        function (node, shift, ctrl) {
            this.addKeyboardRange();
            this.initKeyboardState();
            this.pointerState.ctrl = ctrl;
            this.pointerState.shift = shift;
            // No ctrl key pressed - no multiple selection
            if (!ctrl) {
                this.clear();
            }
            if (shift) {
                // No previously 'clicked' node. Use the last active node.
                if (!this.pointerState.node) {
                    this.pointerState.node = this.activeElement || node;
                }
                this.pointerDownShiftKey(node);
                this.clearTextSelection();
                return;
            }
            this.removeRangeMeta(node);
            this.pointerState.node = node;
        };
        /**
         * @param {?} node
         * @return {?}
         */
        IgxGridSelectionService.prototype.pointerDownShiftKey = /**
         * @param {?} node
         * @return {?}
         */
        function (node) {
            this.clear();
            this.selectRange(node, this.pointerState);
        };
        /**
         * @param {?} target
         * @param {?} source
         * @return {?}
         */
        IgxGridSelectionService.prototype.mergeMap = /**
         * @param {?} target
         * @param {?} source
         * @return {?}
         */
        function (target, source) {
            /** @type {?} */
            var iterator = source.entries();
            /** @type {?} */
            var pair = iterator.next();
            /** @type {?} */
            var key;
            /** @type {?} */
            var value;
            var _loop_1 = function () {
                var _a;
                _a = __read(pair.value, 2), key = _a[0], value = _a[1];
                if (target.has(key)) {
                    /** @type {?} */
                    var newValue_1 = target.get(key);
                    value.forEach(function (record) { return newValue_1.add(record); });
                    target.set(key, newValue_1);
                }
                else {
                    target.set(key, value);
                }
                pair = iterator.next();
            };
            while (!pair.done) {
                _loop_1();
            }
        };
        /**
         * @param {?} node
         * @param {?} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.pointerEnter = /**
         * @param {?} node
         * @param {?} event
         * @return {?}
         */
        function (node, event) {
            // https://www.w3.org/TR/pointerevents/#the-button-property
            this.dragMode = event.buttons === 1 && event.button === -1;
            if (!this.dragMode) {
                return false;
            }
            this.clearTextSelection();
            // If the users triggers a drag-like event by first clicking outside the grid cells
            // and then enters in the grid body we may not have a initial pointer starting node.
            // Assume the first pointerenter node is where we start.
            if (!this.pointerState.node) {
                this.pointerState.node = node;
            }
            this.pointerState.ctrl ? this.selectRange(node, this.pointerState, this.temp) :
                this.dragSelect(node, this.pointerState);
            return true;
        };
        /**
         * @param {?} node
         * @param {?} emitter
         * @return {?}
         */
        IgxGridSelectionService.prototype.pointerUp = /**
         * @param {?} node
         * @param {?} emitter
         * @return {?}
         */
        function (node, emitter) {
            var _this = this;
            if (this.dragMode) {
                this.restoreTextSelection();
                this.addRangeMeta(node, this.pointerState);
                this.mergeMap(this.selection, this.temp);
                this.zone.runTask(function () { return emitter.emit(_this.generateRange(node, _this.pointerState)); });
                this.temp.clear();
                this.dragMode = false;
                return true;
            }
            if (this.pointerState.shift) {
                this.clearTextSelection();
                this.restoreTextSelection();
                this.addRangeMeta(node, this.pointerState);
                emitter.emit(this.generateRange(node, this.pointerState));
                return true;
            }
            this.add(node);
            return false;
        };
        /**
         * @param {?} node
         * @param {?} state
         * @param {?=} collection
         * @return {?}
         */
        IgxGridSelectionService.prototype.selectRange = /**
         * @param {?} node
         * @param {?} state
         * @param {?=} collection
         * @return {?}
         */
        function (node, state, collection) {
            if (collection === void 0) { collection = this.selection; }
            if (collection === this.temp) {
                collection.clear();
            }
            var _a = this.generateRange(node, state), rowStart = _a.rowStart, rowEnd = _a.rowEnd, columnStart = _a.columnStart, columnEnd = _a.columnEnd;
            for (var i = rowStart; i <= rowEnd; i++) {
                for (var j = (/** @type {?} */ (columnStart)); j <= columnEnd; j++) {
                    collection.has(i) ? collection.get(i).add(j) :
                        collection.set(i, new Set()).get(i).add(j);
                }
            }
        };
        /**
         * @param {?} node
         * @param {?} state
         * @return {?}
         */
        IgxGridSelectionService.prototype.dragSelect = /**
         * @param {?} node
         * @param {?} state
         * @return {?}
         */
        function (node, state) {
            if (!this.pointerState.ctrl) {
                this.selection.clear();
            }
            this.selectRange(node, state);
        };
        /**
         * @param {?=} clearAcriveEl
         * @return {?}
         */
        IgxGridSelectionService.prototype.clear = /**
         * @param {?=} clearAcriveEl
         * @return {?}
         */
        function (clearAcriveEl) {
            if (clearAcriveEl === void 0) { clearAcriveEl = false; }
            if (clearAcriveEl) {
                this.activeElement = null;
            }
            this.selection.clear();
            this.temp.clear();
            this._ranges.clear();
        };
        /**
         * @return {?}
         */
        IgxGridSelectionService.prototype.clearTextSelection = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selection = window.getSelection();
            if (selection.rangeCount) {
                this._selectionRange = selection.getRangeAt(0);
                this._selectionRange.collapse(true);
                selection.removeAllRanges();
            }
        };
        /**
         * @return {?}
         */
        IgxGridSelectionService.prototype.restoreTextSelection = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selection = window.getSelection();
            if (!selection.rangeCount) {
                selection.addRange(this._selectionRange || document.createRange());
            }
        };
        /**
         * (╯°□°）╯︵ ┻━┻
         * Chrome and Chromium don't care about the active
         * range after keyboard navigation, thus this.
         */
        /**
         * (╯°□°）╯︵ ┻━┻
         * Chrome and Chromium don't care about the active
         * range after keyboard navigation, thus this.
         * @param {?} node
         * @return {?}
         */
        IgxGridSelectionService.prototype._moveSelectionChrome = /**
         * (╯°□°）╯︵ ┻━┻
         * Chrome and Chromium don't care about the active
         * range after keyboard navigation, thus this.
         * @param {?} node
         * @return {?}
         */
        function (node) {
            /** @type {?} */
            var selection = window.getSelection();
            selection.removeAllRanges();
            /** @type {?} */
            var range = new Range();
            range.selectNode(node);
            range.collapse(true);
            selection.addRange(range);
        };
        /** Returns array of the selected row id's. */
        /**
         * Returns array of the selected row id's.
         * @return {?}
         */
        IgxGridSelectionService.prototype.getSelectedRows = /**
         * Returns array of the selected row id's.
         * @return {?}
         */
        function () {
            return this.rowSelection.size ? Array.from(this.rowSelection.keys()) : [];
        };
        /** Clears row selection, if filtering is applied clears only selected rows from filtered data. */
        /**
         * Clears row selection, if filtering is applied clears only selected rows from filtered data.
         * @param {?=} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.clearRowSelection = /**
         * Clears row selection, if filtering is applied clears only selected rows from filtered data.
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var removedRec = this.isFilteringApplied() ?
                this.getRowIDs(this.allData).filter(function (rID) { return _this.isRowSelected(rID); }) : this.getSelectedRows();
            /** @type {?} */
            var newSelection = this.isFilteringApplied() ? this.getSelectedRows().filter(function (x) { return !removedRec.includes(x); }) : [];
            this.emitRowSelectionEvent(newSelection, [], removedRec, event);
        };
        /** Select all rows, if filtering is applied select only from filtered data. */
        /**
         * Select all rows, if filtering is applied select only from filtered data.
         * @param {?=} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.selectAllRows = /**
         * Select all rows, if filtering is applied select only from filtered data.
         * @param {?=} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var allRowIDs = this.getRowIDs(this.allData);
            /** @type {?} */
            var addedRows = allRowIDs.filter(function (rID) { return !_this.isRowSelected(rID); });
            /** @type {?} */
            var newSelection = this.rowSelection.size ? this.getSelectedRows().concat(addedRows) : addedRows;
            this.emitRowSelectionEvent(newSelection, addedRows, [], event);
        };
        /** Select the specified row and emit event. */
        /**
         * Select the specified row and emit event.
         * @param {?} rowID
         * @param {?=} clearPrevSelection
         * @param {?=} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.selectRowById = /**
         * Select the specified row and emit event.
         * @param {?} rowID
         * @param {?=} clearPrevSelection
         * @param {?=} event
         * @return {?}
         */
        function (rowID, clearPrevSelection, event) {
            if (!this.grid.isRowSelectable || this.isRowDeleted(rowID)) {
                return;
            }
            clearPrevSelection = !this.grid.isMultiRowSelectionEnabled || clearPrevSelection;
            /** @type {?} */
            var newSelection = clearPrevSelection ? [rowID] : this.getSelectedRows().indexOf(rowID) !== -1 ?
                this.getSelectedRows() : __spread(this.getSelectedRows(), [rowID]);
            /** @type {?} */
            var removed = clearPrevSelection ? this.getSelectedRows() : [];
            this.emitRowSelectionEvent(newSelection, [rowID], removed, event);
        };
        /** Deselect the specified row and emit event. */
        /**
         * Deselect the specified row and emit event.
         * @param {?} rowID
         * @param {?=} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.deselectRow = /**
         * Deselect the specified row and emit event.
         * @param {?} rowID
         * @param {?=} event
         * @return {?}
         */
        function (rowID, event) {
            if (!this.isRowSelected(rowID)) {
                return;
            }
            /** @type {?} */
            var newSelection = this.getSelectedRows().filter(function (r) { return r !== rowID; });
            if (this.rowSelection.size && this.rowSelection.has(rowID)) {
                this.emitRowSelectionEvent(newSelection, [], [rowID], event);
            }
        };
        /** Select specified rows. No event is emitted. */
        /**
         * Select specified rows. No event is emitted.
         * @param {?} rowIDs
         * @param {?=} clearPrevSelection
         * @return {?}
         */
        IgxGridSelectionService.prototype.selectRowsWithNoEvent = /**
         * Select specified rows. No event is emitted.
         * @param {?} rowIDs
         * @param {?=} clearPrevSelection
         * @return {?}
         */
        function (rowIDs, clearPrevSelection) {
            var _this = this;
            if (clearPrevSelection) {
                this.rowSelection.clear();
            }
            rowIDs.forEach(function (rowID) { _this.rowSelection.add(rowID); });
            this.allRowsSelected = undefined;
        };
        /** Deselect specified rows. No event is emitted. */
        /**
         * Deselect specified rows. No event is emitted.
         * @param {?} rowIDs
         * @return {?}
         */
        IgxGridSelectionService.prototype.deselectRowsWithNoEvent = /**
         * Deselect specified rows. No event is emitted.
         * @param {?} rowIDs
         * @return {?}
         */
        function (rowIDs) {
            var _this = this;
            rowIDs.forEach(function (rowID) { return _this.rowSelection.delete(rowID); });
            this.allRowsSelected = undefined;
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxGridSelectionService.prototype.isRowSelected = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            return this.rowSelection.size > 0 && this.rowSelection.has(rowID);
        };
        /** Select range from last selected row to the current specified row.*/
        /**
         * Select range from last selected row to the current specified row.
         * @param {?} rowID
         * @param {?} rowData
         * @param {?=} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.selectMultipleRows = /**
         * Select range from last selected row to the current specified row.
         * @param {?} rowID
         * @param {?} rowData
         * @param {?=} event
         * @return {?}
         */
        function (rowID, rowData, event) {
            var _this = this;
            this.allRowsSelected = undefined;
            if (!this.rowSelection.size || this.isRowDeleted(rowID)) {
                this.selectRowById(rowID);
                return;
            }
            /** @type {?} */
            var gridData = this.allData;
            /** @type {?} */
            var lastRowID = this.getSelectedRows()[this.rowSelection.size - 1];
            /** @type {?} */
            var currIndex = gridData.indexOf(this.getRowDataById(lastRowID));
            /** @type {?} */
            var newIndex = gridData.indexOf(rowData);
            /** @type {?} */
            var rows = gridData.slice(Math.min(currIndex, newIndex), Math.max(currIndex, newIndex) + 1);
            /** @type {?} */
            var added = this.getRowIDs(rows).filter(function (rID) { return !_this.isRowSelected(rID); });
            /** @type {?} */
            var newSelection = this.getSelectedRows().concat(added);
            this.emitRowSelectionEvent(newSelection, added, [], event);
        };
        /**
         * @return {?}
         */
        IgxGridSelectionService.prototype.areAllRowSelected = /**
         * @return {?}
         */
        function () {
            if (!this.grid.data) {
                return false;
            }
            if (this.allRowsSelected !== undefined) {
                return this.allRowsSelected;
            }
            /** @type {?} */
            var dataItemsID = this.getRowIDs(this.allData);
            return this.allRowsSelected = Math.min(this.rowSelection.size, dataItemsID.length) > 0 &&
                new Set(Array.from(this.rowSelection.values()).concat(dataItemsID)).size === this.rowSelection.size;
        };
        /**
         * @return {?}
         */
        IgxGridSelectionService.prototype.hasSomeRowSelected = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var filteredData = this.isFilteringApplied() ?
                this.getRowIDs(this.grid.filteredData).some(function (rID) { return _this.isRowSelected(rID); }) : true;
            return this.rowSelection.size > 0 && filteredData && !this.areAllRowSelected();
        };
        Object.defineProperty(IgxGridSelectionService.prototype, "filteredSelectedRowIds", {
            get: /**
             * @return {?}
             */
            function () {
                var _this = this;
                return this.isFilteringApplied() ?
                    this.getRowIDs(this.allData).filter(function (rowID) { return _this.isRowSelected(rowID); }) :
                    this.getSelectedRows().filter(function (rowID) { return !_this.isRowDeleted(rowID); });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} newSelection
         * @param {?} added
         * @param {?} removed
         * @param {?=} event
         * @return {?}
         */
        IgxGridSelectionService.prototype.emitRowSelectionEvent = /**
         * @param {?} newSelection
         * @param {?} added
         * @param {?} removed
         * @param {?=} event
         * @return {?}
         */
        function (newSelection, added, removed, event) {
            /** @type {?} */
            var currSelection = this.getSelectedRows();
            if (this.areEqualCollections(currSelection, newSelection)) {
                return;
            }
            /** @type {?} */
            var args = {
                oldSelection: currSelection, newSelection: newSelection,
                added: added, removed: removed, event: event, cancel: false
            };
            this.grid.onRowSelectionChange.emit(args);
            if (args.cancel) {
                return;
            }
            this.selectRowsWithNoEvent(args.newSelection, true);
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxGridSelectionService.prototype.getRowDataById = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            if (!this.grid.primaryKey) {
                return rowID;
            }
            /** @type {?} */
            var rowIndex = this.getRowIDs(this.grid.gridAPI.get_all_data(true)).indexOf(rowID);
            return rowIndex < 0 ? {} : this.grid.gridAPI.get_all_data(true)[rowIndex];
        };
        /**
         * @param {?} data
         * @return {?}
         */
        IgxGridSelectionService.prototype.getRowIDs = /**
         * @param {?} data
         * @return {?}
         */
        function (data) {
            var _this = this;
            return this.grid.primaryKey && data.length ? data.map(function (rec) { return rec[_this.grid.primaryKey]; }) : data;
        };
        /**
         * @return {?}
         */
        IgxGridSelectionService.prototype.clearHeaderCBState = /**
         * @return {?}
         */
        function () {
            this.allRowsSelected = undefined;
        };
        /**Clear rowSelection and update checkbox state*/
        /**
         * Clear rowSelection and update checkbox state
         * @return {?}
         */
        IgxGridSelectionService.prototype.clearAllSelectedRows = /**
         * Clear rowSelection and update checkbox state
         * @return {?}
         */
        function () {
            this.rowSelection.clear();
            this.clearHeaderCBState();
        };
        Object.defineProperty(IgxGridSelectionService.prototype, "allData", {
            /** Returns all data in the grid, with applied filtering and sorting and without deleted rows. */
            get: /**
             * Returns all data in the grid, with applied filtering and sorting and without deleted rows.
             * @return {?}
             */
            function () {
                var _this = this;
                /** @type {?} */
                var allData = this.isFilteringApplied() || this.grid.sortingExpressions.length ?
                    this.grid.filteredSortedData : this.grid.gridAPI.get_all_data(true);
                return allData.filter(function (rData) { return !_this.isRowDeleted(_this.grid.gridAPI.get_row_id(rData)); });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} first
         * @param {?} second
         * @return {?}
         */
        IgxGridSelectionService.prototype.areEqualCollections = /**
         * @private
         * @param {?} first
         * @param {?} second
         * @return {?}
         */
        function (first, second) {
            return first.length === second.length && new Set(first.concat(second)).size === first.length;
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridSelectionService.prototype.isFilteringApplied = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var grid = (/** @type {?} */ (this.grid));
            return !FilteringExpressionsTree.empty(grid.filteringExpressionsTree) ||
                !FilteringExpressionsTree.empty(grid.advancedFilteringExpressionsTree);
        };
        /**
         * @private
         * @param {?} rowID
         * @return {?}
         */
        IgxGridSelectionService.prototype.isRowDeleted = /**
         * @private
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            return this.grid.gridAPI.row_deleted_transaction(rowID);
        };
        IgxGridSelectionService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        IgxGridSelectionService.ctorParameters = function () { return [
            { type: core.NgZone }
        ]; };
        return IgxGridSelectionService;
    }());
    /**
     * @return {?}
     */
    function isChromium() {
        return (/Chrom|e?ium/g.test(navigator.userAgent) || /Google Inc/g.test(navigator.vendor)) && !/Edge/g.test(navigator.userAgent);
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var EVENT_SUFFIX = 'precise';
    /**
     * Touch gestures manager based on Hammer.js
     * Use with caution, this will track references for single manager per element. Very TBD. Much TODO.
     * @hidden
     */
    var HammerGesturesManager = /** @class */ (function () {
        function HammerGesturesManager(_zone, doc, platformUtil) {
            this._zone = _zone;
            this.doc = doc;
            this.platformUtil = platformUtil;
            /**
             * Event option defaults for each recognizer, see http://hammerjs.github.io/api/ for API listing.
             */
            this.hammerOptions = {};
            this._hammerManagers = [];
            this.platformBrowser = this.platformUtil.isBrowser;
            if (this.platformBrowser) {
                this.hammerOptions = {
                    // D.P. #447 Force TouchInput due to PointerEventInput bug (https://github.com/hammerjs/hammer.js/issues/1065)
                    // see https://github.com/IgniteUI/igniteui-angular/issues/447#issuecomment-324601803
                    inputClass: Hammer.TouchInput,
                    recognizers: [
                        [Hammer.Pan, { threshold: 0 }],
                        [Hammer.Swipe, {
                                direction: Hammer.DIRECTION_HORIZONTAL
                            }],
                        [Hammer.Tap],
                        [Hammer.Tap, { event: 'doubletap', taps: 2 }, ['tap']]
                    ]
                };
            }
        }
        /**
         * @param {?} eventName
         * @return {?}
         */
        HammerGesturesManager.prototype.supports = /**
         * @param {?} eventName
         * @return {?}
         */
        function (eventName) {
            return eventName.toLowerCase().endsWith('.' + EVENT_SUFFIX);
        };
        /**
         * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
         * Modeling after other event plugins for easy future modifications.
         */
        /**
         * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
         * Modeling after other event plugins for easy future modifications.
         * @param {?} element
         * @param {?} eventName
         * @param {?} eventHandler
         * @param {?=} options
         * @return {?}
         */
        HammerGesturesManager.prototype.addEventListener = /**
         * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
         * Modeling after other event plugins for easy future modifications.
         * @param {?} element
         * @param {?} eventName
         * @param {?} eventHandler
         * @param {?=} options
         * @return {?}
         */
        function (element, eventName, eventHandler, options) {
            var _this = this;
            if (options === void 0) { options = null; }
            if (!this.platformBrowser) {
                return;
            }
            // Creating the manager bind events, must be done outside of angular
            return this._zone.runOutsideAngular(function () {
                /** @type {?} */
                var mc = _this.getManagerForElement(element);
                if (mc === null) {
                    // new Hammer is a shortcut for Manager with defaults
                    mc = new Hammer(element, Object.assign(_this.hammerOptions, options));
                    _this.addManagerForElement(element, mc);
                }
                /** @type {?} */
                var handler = function (eventObj) { _this._zone.run(function () { eventHandler(eventObj); }); };
                mc.on(eventName, handler);
                return function () { mc.off(eventName, handler); };
            });
        };
        /**
         * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
         * Modeling after other event plugins for easy future modifications.
         *
         * @param target Can be one of either window, body or document(fallback default).
         */
        /**
         * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
         * Modeling after other event plugins for easy future modifications.
         *
         * @param {?} target Can be one of either window, body or document(fallback default).
         * @param {?} eventName
         * @param {?} eventHandler
         * @return {?}
         */
        HammerGesturesManager.prototype.addGlobalEventListener = /**
         * Add listener extended with options for Hammer.js. Will use defaults if none are provided.
         * Modeling after other event plugins for easy future modifications.
         *
         * @param {?} target Can be one of either window, body or document(fallback default).
         * @param {?} eventName
         * @param {?} eventHandler
         * @return {?}
         */
        function (target, eventName, eventHandler) {
            if (!this.platformBrowser) {
                return;
            }
            /** @type {?} */
            var element = this.getGlobalEventTarget(target);
            // Creating the manager bind events, must be done outside of angular
            return this.addEventListener((/** @type {?} */ (element)), eventName, eventHandler);
        };
        /**
         * Exposes [Dom]Adapter.getGlobalEventTarget to get global event targets.
         * Supported: window, document, body. Defaults to document for invalid args.
         * @param target Target name
         */
        /**
         * Exposes [Dom]Adapter.getGlobalEventTarget to get global event targets.
         * Supported: window, document, body. Defaults to document for invalid args.
         * @param {?} target Target name
         * @return {?}
         */
        HammerGesturesManager.prototype.getGlobalEventTarget = /**
         * Exposes [Dom]Adapter.getGlobalEventTarget to get global event targets.
         * Supported: window, document, body. Defaults to document for invalid args.
         * @param {?} target Target name
         * @return {?}
         */
        function (target) {
            return platformBrowser.ɵgetDOM().getGlobalEventTarget(this.doc, target);
        };
        /**
         * Set HammerManager options.
         *
         * @param element The DOM element used to create the manager on.
         *
         * ### Example
         *
         * ```ts
         * manager.setManagerOption(myElem, "pan", { pointers: 1 });
         * ```
         */
        /**
         * Set HammerManager options.
         *
         * @param {?} element The DOM element used to create the manager on.
         *
         * ### Example
         *
         * ```ts
         * manager.setManagerOption(myElem, "pan", { pointers: 1 });
         * ```
         * @param {?} event
         * @param {?} options
         * @return {?}
         */
        HammerGesturesManager.prototype.setManagerOption = /**
         * Set HammerManager options.
         *
         * @param {?} element The DOM element used to create the manager on.
         *
         * ### Example
         *
         * ```ts
         * manager.setManagerOption(myElem, "pan", { pointers: 1 });
         * ```
         * @param {?} event
         * @param {?} options
         * @return {?}
         */
        function (element, event, options) {
            /** @type {?} */
            var manager = this.getManagerForElement(element);
            manager.get(event).set(options);
        };
        /**
         * Add an element and manager map to the internal collection.
         *
         * @param element The DOM element used to create the manager on.
         */
        /**
         * Add an element and manager map to the internal collection.
         *
         * @param {?} element The DOM element used to create the manager on.
         * @param {?} manager
         * @return {?}
         */
        HammerGesturesManager.prototype.addManagerForElement = /**
         * Add an element and manager map to the internal collection.
         *
         * @param {?} element The DOM element used to create the manager on.
         * @param {?} manager
         * @return {?}
         */
        function (element, manager) {
            this._hammerManagers.push({ element: element, manager: manager });
        };
        /**
         * Get HammerManager for the element or null
         *
         * @param element The DOM element used to create the manager on.
         */
        /**
         * Get HammerManager for the element or null
         *
         * @param {?} element The DOM element used to create the manager on.
         * @return {?}
         */
        HammerGesturesManager.prototype.getManagerForElement = /**
         * Get HammerManager for the element or null
         *
         * @param {?} element The DOM element used to create the manager on.
         * @return {?}
         */
        function (element) {
            /** @type {?} */
            var result = this._hammerManagers.filter(function (value, index, array) {
                return value.element === element;
            });
            return result.length ? result[0].manager : null;
        };
        /**
         * Destroys the HammerManager for the element, removing event listeners in the process.
         *
         * @param element The DOM element used to create the manager on.
         */
        /**
         * Destroys the HammerManager for the element, removing event listeners in the process.
         *
         * @param {?} element The DOM element used to create the manager on.
         * @return {?}
         */
        HammerGesturesManager.prototype.removeManagerForElement = /**
         * Destroys the HammerManager for the element, removing event listeners in the process.
         *
         * @param {?} element The DOM element used to create the manager on.
         * @return {?}
         */
        function (element) {
            /** @type {?} */
            var index = null;
            for (var i = 0; i < this._hammerManagers.length; i++) {
                if (element === this._hammerManagers[i].element) {
                    index = i;
                    break;
                }
            }
            if (index !== null) {
                /** @type {?} */
                var item = this._hammerManagers.splice(index, 1)[0];
                // destroy also
                item.manager.destroy();
            }
        };
        /** Destroys all internally tracked HammerManagers, removing event listeners in the process. */
        /**
         * Destroys all internally tracked HammerManagers, removing event listeners in the process.
         * @return {?}
         */
        HammerGesturesManager.prototype.destroy = /**
         * Destroys all internally tracked HammerManagers, removing event listeners in the process.
         * @return {?}
         */
        function () {
            var e_1, _a;
            try {
                for (var _b = __values(this._hammerManagers), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var item = _c.value;
                    item.manager.destroy();
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            this._hammerManagers = [];
        };
        HammerGesturesManager.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        HammerGesturesManager.ctorParameters = function () { return [
            { type: core.NgZone },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: PlatformUtil }
        ]; };
        return HammerGesturesManager;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var FilterMode = {
        quickFilter: 'quickFilter',
        excelStyleFilter: 'excelStyleFilter',
    };
    /** @enum {string} */
    var GridSummaryPosition = {
        top: 'top',
        bottom: 'bottom',
    };
    /** @enum {string} */
    var GridSummaryCalculationMode = {
        rootLevelOnly: 'rootLevelOnly',
        childLevelsOnly: 'childLevelsOnly',
        rootAndChildLevels: 'rootAndChildLevels',
    };
    /** @enum {string} */
    var GridKeydownTargetType = {
        dataCell: 'dataCell',
        summaryCell: 'summaryCell',
        groupRow: 'groupRow',
        hierarchicalRow: 'hierarchicalRow',
    };
    /** @enum {string} */
    var GridSelectionMode = {
        none: 'none',
        single: 'single',
        multiple: 'multiple',
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Providing reference to `IgxGridCellComponent`:
     * ```typescript
     * \@ViewChild('grid', { read: IgxGridComponent })
     *  public grid: IgxGridComponent;
     * ```
     * ```typescript
     *  let column = this.grid.columnList.first;
     * ```
     * ```typescript
     *  let cell = column.cells[0];
     * ```
     */
    var IgxGridCellComponent = /** @class */ (function () {
        function IgxGridCellComponent(selectionService, crudService, gridAPI, cdr, element, zone, touchManager, platformUtil) {
            var _this = this;
            this.selectionService = selectionService;
            this.crudService = crudService;
            this.gridAPI = gridAPI;
            this.cdr = cdr;
            this.element = element;
            this.zone = zone;
            this.touchManager = touchManager;
            this.platformUtil = platformUtil;
            this._vIndex = -1;
            /**
             * Sets/gets the highlight class of the cell.
             * Default value is `"igx-highlight"`.
             * ```typescript
             * let highlightClass = this.cell.highlightClass;
             * ```
             * ```typescript
             * this.cell.highlightClass = 'igx-cell-highlight';
             * ```
             * \@memberof IgxGridCellComponent
             */
            this.highlightClass = 'igx-highlight';
            /**
             * Sets/gets the active highlight class class of the cell.
             * Default value is `"igx-highlight__active"`.
             * ```typescript
             * let activeHighlightClass = this.cell.activeHighlightClass;
             * ```
             * ```typescript
             * this.cell.activeHighlightClass = 'igx-cell-highlight_active';
             * ```
             * \@memberof IgxGridCellComponent
             */
            this.activeHighlightClass = 'igx-highlight__active';
            /**
             * @hidden
             * \@internal
             */
            this.lastPinned = false;
            /**
             * Returns whether the cell is in edit mode.
             */
            this.editMode = false;
            /**
             * Sets/get the `tabindex` property of the cell.
             * Default value is `0`.
             * ```typescript
             * this.cell.tabindex = 1;
             * ```
             * ```typescript
             * let cellTabIndex = this.cell.tabindex;
             * ```
             * \@memberof IgxGridCellComponent
             */
            this.tabindex = 0;
            /**
             * Sets/get the `role` property of the cell.
             * Default value is `"gridcell"`.
             * ```typescript
             * this.cell.role = 'grid-cell';
             * ```
             * ```typescript
             * let cellRole = this.cell.role;
             * ```
             * \@memberof IgxGridCellComponent
             */
            this.role = 'gridcell';
            /**
             * Gets the width of the cell.
             * ```typescript
             * let cellWidth = this.cell.width;
             * ```
             * \@memberof IgxGridCellComponent
             */
            this.width = '';
            /**
             * @hidden
             * \@internal
             */
            this.focused = false;
            this.isInCompositionMode = false;
            this._cellSelection = GridSelectionMode.multiple;
            /**
             *
             * @hidden
             * \@internal
             */
            this.pointerdown = function (event) {
                if (!isLeftClick(event)) {
                    _this.selectionService.addKeyboardRange();
                    _this.selectionService.initKeyboardState();
                    _this.selectionService.primaryButton = false;
                    return;
                }
                _this.selectionService.pointerDown(_this.selectionNode, event.shiftKey, event.ctrlKey);
            };
            /**
             *
             * @hidden
             * \@internal
             */
            this.pointerenter = function (event) {
                /** @type {?} */
                var dragMode = _this.selectionService.pointerEnter(_this.selectionNode, event);
                if (dragMode) {
                    _this.grid.cdr.detectChanges();
                }
            };
            /**
             * @hidden
             * \@internal
             */
            this.pointerup = function (event) {
                if (_this.grid.hasColumnLayouts) {
                    _this.grid.navigation.setStartNavigationCell(_this.colStart, _this.rowStart, null);
                }
                if (!isLeftClick(event)) {
                    return;
                }
                if (_this.selectionService.pointerUp(_this.selectionNode, _this.grid.onRangeSelection)) {
                    _this.grid.cdr.detectChanges();
                }
                _this._updateCRUDStatus();
            };
            /**
             * @hidden
             * \@internal
             */
            this.onDoubleClick = function (event) {
                if (event.type === 'doubletap') {
                    // prevent double-tap to zoom on iOS
                    ((/** @type {?} */ (event))).preventDefault();
                }
                if (_this.editable && !_this.editMode && !_this.row.deleted) {
                    _this.crudService.begin(_this);
                }
                _this.grid.onDoubleClick.emit({
                    cell: _this,
                    event: event
                });
            };
        }
        Object.defineProperty(IgxGridCellComponent.prototype, "context", {
            /**
             * Gets the cell template context object.
             * ```typescript
             *  let context = this.cell.context();
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the cell template context object.
             * ```typescript
             *  let context = this.cell.context();
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return {
                    $implicit: this.value,
                    cell: this
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "template", {
            /**
             * Gets the cell template.
             * ```typescript
             * let template = this.cell.template;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the cell template.
             * ```typescript
             * let template = this.cell.template;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                if (this.editMode) {
                    /** @type {?} */
                    var inlineEditorTemplate = this.column.inlineEditorTemplate;
                    return inlineEditorTemplate ? inlineEditorTemplate : this.inlineEditorTemplate;
                }
                if (this.cellTemplate) {
                    return this.cellTemplate;
                }
                return this.defaultCellTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "gridID", {
            /**
             * Gets the `id` of the grid in which the cell is stored.
             * ```typescript
             * let gridId = this.cell.gridID;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the `id` of the grid in which the cell is stored.
             * ```typescript
             * let gridId = this.cell.gridID;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.row.gridID;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "grid", {
            /**
             * Gets the grid of the cell.
             * ```typescript
             * let grid = this.cell.grid;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the grid of the cell.
             * ```typescript
             * let grid = this.cell.grid;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "rowIndex", {
            /**
             * Gets the `index` of the row where the cell is stored.
             * ```typescript
             * let rowIndex = this.cell.rowIndex;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the `index` of the row where the cell is stored.
             * ```typescript
             * let rowIndex = this.cell.rowIndex;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.row.index;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "columnIndex", {
            /**
             * Gets the `index` of the cell column.
             * ```typescript
             * let columnIndex = this.cell.columnIndex;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the `index` of the cell column.
             * ```typescript
             * let columnIndex = this.cell.columnIndex;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.column.index;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "visibleColumnIndex", {
            /**
             * Gets the visible `index` of the in which the cell is stored.
             * ```typescript
             * let visibleColumnIndex = this.cell.visibleColumnIndex;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the visible `index` of the in which the cell is stored.
             * ```typescript
             * let visibleColumnIndex = this.cell.visibleColumnIndex;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.column.columnLayoutChild ? this.column.visibleIndex : this._vIndex;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._vIndex = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "cellID", {
            /**
             * Gets the ID of the cell.
             * ```typescript
             * let cellID = this.cell.cellID;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the ID of the cell.
             * ```typescript
             * let cellID = this.cell.cellID;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var primaryKey = this.grid.primaryKey;
                /** @type {?} */
                var rowID = primaryKey ? this.rowData[primaryKey] : this.rowData;
                return { rowID: rowID, columnID: this.columnIndex, rowIndex: this.rowIndex };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "nativeElement", {
            /**
             * Returns a reference to the nativeElement of the cell.
             * ```typescript
             * let cellNativeElement = this.cell.nativeElement;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Returns a reference to the nativeElement of the cell.
             * ```typescript
             * let cellNativeElement = this.cell.nativeElement;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "inEditMode", {
            /**
             * @deprecated
             * Use `cell.editMode` as a getter and
             * `cell.setEditMode(true | false)` to start/exit edit mode.
             *
             * Gets/sets whether the cell is in edit mode.
             * ```typescript
             * let isCellInEditMode = this.cell.inEditMode;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * @deprecated
             * Use `cell.editMode` as a getter and
             * `cell.setEditMode(true | false)` to start/exit edit mode.
             *
             * Gets/sets whether the cell is in edit mode.
             * ```typescript
             * let isCellInEditMode = this.cell.inEditMode;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.editMode;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.setEditMode(value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "cellSelectionMode", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this._cellSelection;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if (this._cellSelection === value) {
                    return;
                }
                this.zone.runOutsideAngular(function () {
                    value === GridSelectionMode.multiple ?
                        _this.addPointerListeners(value) : _this.removePointerListeners(_this._cellSelection);
                });
                this._cellSelection = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "readonly", {
            /**
             * Gets whether the cell is editable.
             * ```typescript
             * let isCellReadonly = this.cell.readonly;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets whether the cell is editable.
             * ```typescript
             * let isCellReadonly = this.cell.readonly;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return !this.column.editable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "gridRowSpan", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.gridRowSpan;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "gridColumnSpan", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.gridColumnSpan;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "rowEnd", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.rowEnd;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "colEnd", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.colEnd;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "rowStart", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.rowStart;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "colStart", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.colStart;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "describedby", {
            /**
             * Returns a string containing the grid `id` and the column `field` concatenated by "_".
             * ```typescript
             * let describedBy = this.cell.describedBy;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Returns a string containing the grid `id` and the column `field` concatenated by "_".
             * ```typescript
             * let describedBy = this.cell.describedBy;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.row.gridID + "_" + this.column.field;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "selected", {
            /**
             * Gets whether the cell is selected.
             * ```typescript
             * let isSelected = this.cell.selected;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets whether the cell is selected.
             * ```typescript
             * let isSelected = this.cell.selected;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                return this.selectionService.selected(this.selectionNode);
            },
            /**
             * Selects/deselects the cell.
             * ```typescript
             * this.cell.selected = true.
             * ```
             * @memberof IgxGridCellComponent
             */
            set: /**
             * Selects/deselects the cell.
             * ```typescript
             * this.cell.selected = true.
             * ```
             * \@memberof IgxGridCellComponent
             * @param {?} val
             * @return {?}
             */
            function (val) {
                /** @type {?} */
                var node = this.selectionNode;
                val ? this.selectionService.add(node) : this.selectionService.remove(node);
                this.grid.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "dirty", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.grid.rowEditable) {
                    /** @type {?} */
                    var rowCurrentState = this.grid.transactions.getAggregatedValue(this.row.rowID, false);
                    if (rowCurrentState) {
                        return rowCurrentState[this.column.field] !== undefined && rowCurrentState[this.column.field] !== null;
                    }
                }
                else {
                    /** @type {?} */
                    var rowTransaction = this.grid.transactions.getState(this.row.rowID);
                    return rowTransaction && rowTransaction.value &&
                        (rowTransaction.value[this.column.field] ||
                            rowTransaction.value[this.column.field] === 0 ||
                            rowTransaction.value[this.column.field] === false);
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "editValue", {
            /**
             * Gets the current edit value while a cell is in edit mode.
             * Only for cell editing mode.
             * ```typescript
             * let editValue = this.cell.editValue;
             * ```
             * @memberof IgxGridCellComponent
             */
            get: /**
             * Gets the current edit value while a cell is in edit mode.
             * Only for cell editing mode.
             * ```typescript
             * let editValue = this.cell.editValue;
             * ```
             * \@memberof IgxGridCellComponent
             * @return {?}
             */
            function () {
                if (this.crudService.inEditMode) {
                    return this.crudService.cell.editValue;
                }
            },
            /**
             * Sets the current edit value while a cell is in edit mode.
             * Only for cell editing mode.
             * ```typescript
             * this.cell.editValue = value;
             * ```
             * @memberof IgxGridCellComponent
             */
            set: /**
             * Sets the current edit value while a cell is in edit mode.
             * Only for cell editing mode.
             * ```typescript
             * this.cell.editValue = value;
             * ```
             * \@memberof IgxGridCellComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this.crudService.inEditMode) {
                    this.crudService.cell.editValue = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "editable", {
            /**
             * Returns whether the cell is editable.
             */
            get: /**
             * Returns whether the cell is editable.
             * @return {?}
             */
            function () {
                return this.column.editable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "highlight", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this._highlight;
            },
            set: /**
             * @protected
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._highlight = value;
                if (this._highlight && this.grid.lastSearchInfo.searchText) {
                    this._highlight.highlight(this.grid.lastSearchInfo.searchText, this.grid.lastSearchInfo.caseSensitive, this.grid.lastSearchInfo.exactMatch);
                    this._highlight.activateIfNecessary();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridCellComponent.prototype, "selectionNode", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return {
                    row: this.rowIndex,
                    column: this.column.columnLayoutChild ? this.column.parent.visibleIndex : this.visibleColumnIndex,
                    layout: this.column.columnLayoutChild ? {
                        rowStart: this.column.rowStart,
                        colStart: this.column.colStart,
                        rowEnd: this.column.rowEnd,
                        colEnd: this.column.colEnd,
                        columnVisibleIndex: this.visibleColumnIndex
                    } : null
                };
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} selection
         * @return {?}
         */
        IgxGridCellComponent.prototype.addPointerListeners = /**
         * @private
         * @param {?} selection
         * @return {?}
         */
        function (selection) {
            if (selection !== GridSelectionMode.multiple) {
                return;
            }
            this.nativeElement.addEventListener('pointerdown', this.pointerdown);
            this.nativeElement.addEventListener('pointerenter', this.pointerenter);
            this.nativeElement.addEventListener('pointerup', this.pointerup);
        };
        /**
         * @private
         * @param {?} selection
         * @return {?}
         */
        IgxGridCellComponent.prototype.removePointerListeners = /**
         * @private
         * @param {?} selection
         * @return {?}
         */
        function (selection) {
            if (selection !== GridSelectionMode.multiple) {
                return;
            }
            this.nativeElement.removeEventListener('pointerdown', this.pointerdown);
            this.nativeElement.removeEventListener('pointerenter', this.pointerenter);
            this.nativeElement.removeEventListener('pointerup', this.pointerup);
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridCellComponent.prototype.ngOnInit = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            var _this = this;
            this.zone.runOutsideAngular(function () {
                _this.addPointerListeners(_this.cellSelectionMode);
                // IE 11 workarounds
                if (isIE()) {
                    _this.compositionStartHandler = function () { return _this.isInCompositionMode = true; };
                    _this.compositionEndHandler = function () { return _this.isInCompositionMode = false; };
                    // Hitting Enter with IME submits and exits from edit mode instead of first closing the IME dialog
                    _this.nativeElement.addEventListener('compositionstart', _this.compositionStartHandler);
                    _this.nativeElement.addEventListener('compositionend', _this.compositionEndHandler);
                }
            });
            if (this.platformUtil.isIOS) {
                this.touchManager.addEventListener(this.nativeElement, 'doubletap', this.onDoubleClick, (/** @type {?} */ ({
                    cssProps: {} /* don't disable user-select, etc */
                })));
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridCellComponent.prototype.ngOnDestroy = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            var _this = this;
            this.zone.runOutsideAngular(function () {
                _this.removePointerListeners(_this.cellSelectionMode);
                if (isIE()) {
                    _this.nativeElement.removeEventListener('compositionstart', _this.compositionStartHandler);
                    _this.nativeElement.removeEventListener('compositionend', _this.compositionEndHandler);
                }
            });
            this.touchManager.destroy();
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridCellComponent.prototype._updateCRUDStatus = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            if (this.editMode) {
                return;
            }
            /** @type {?} */
            var crud = this.crudService;
            /** @type {?} */
            var editableCell = this.crudService.cell;
            /** @type {?} */
            var editMode = !!(crud.row || crud.cell);
            if (this.editable && editMode && !this.row.deleted) {
                if (editableCell) {
                    this.gridAPI.update_cell(editableCell, editableCell.editValue);
                }
                crud.end();
                this.grid.notifyChanges();
                crud.begin(this);
                return;
            }
            if (editableCell && crud.sameRow(this.cellID.rowID)) {
                this.gridAPI.submit_value();
            }
            else if (editMode && !crud.sameRow(this.cellID.rowID)) {
                this.grid.endEdit(true);
            }
        };
        /**
         * @deprecated
         * Gets whether the cell is selected.
         * ```typescript
         * let isCellSelected = thid.cell.isCellSelected();
         * ```
         * @memberof IgxGridCellComponent
         */
        /**
         * @deprecated
         * Gets whether the cell is selected.
         * ```typescript
         * let isCellSelected = thid.cell.isCellSelected();
         * ```
         * \@memberof IgxGridCellComponent
         * @return {?}
         */
        IgxGridCellComponent.prototype.isCellSelected = /**
         * @deprecated
         * Gets whether the cell is selected.
         * ```typescript
         * let isCellSelected = thid.cell.isCellSelected();
         * ```
         * \@memberof IgxGridCellComponent
         * @return {?}
         */
        function () {
            return this.selectionService.selected(this.selectionNode);
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} changes
         * @return {?}
         */
        IgxGridCellComponent.prototype.ngOnChanges = /**
         * @hidden
         * \@internal
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            if (changes.value && !changes.value.firstChange) {
                if (this.highlight) {
                    this.highlight.lastSearchInfo.searchedText = this.grid.lastSearchInfo.searchText;
                    this.highlight.lastSearchInfo.caseSensitive = this.grid.lastSearchInfo.caseSensitive;
                    this.highlight.lastSearchInfo.exactMatch = this.grid.lastSearchInfo.exactMatch;
                }
            }
        };
        /**
         * Starts/ends edit mode for the cell.
         *
         * ```typescript
         * cell.setEditMode(true);
         * ```
         */
        /**
         * Starts/ends edit mode for the cell.
         *
         * ```typescript
         * cell.setEditMode(true);
         * ```
         * @param {?} value
         * @return {?}
         */
        IgxGridCellComponent.prototype.setEditMode = /**
         * Starts/ends edit mode for the cell.
         *
         * ```typescript
         * cell.setEditMode(true);
         * ```
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.row.deleted) {
                return;
            }
            if (this.editable && value) {
                this.gridAPI.submit_value();
                this.crudService.begin(this);
            }
            else {
                this.gridAPI.escape_editMode();
            }
            this.grid.notifyChanges();
        };
        /**
         * Sets new value to the cell.
         * ```typescript
         * this.cell.update('New Value');
         * ```
         * @memberof IgxGridCellComponent
         */
        // TODO: Refactor
        /**
         * Sets new value to the cell.
         * ```typescript
         * this.cell.update('New Value');
         * ```
         * \@memberof IgxGridCellComponent
         * @param {?} val
         * @return {?}
         */
        // TODO: Refactor
        IgxGridCellComponent.prototype.update = /**
         * Sets new value to the cell.
         * ```typescript
         * this.cell.update('New Value');
         * ```
         * \@memberof IgxGridCellComponent
         * @param {?} val
         * @return {?}
         */
        // TODO: Refactor
        function (val) {
            if (this.row.deleted) {
                return;
            }
            /** @type {?} */
            var cell = this.crudService.createCell(this);
            /** @type {?} */
            var args = this.gridAPI.update_cell(cell, val);
            if (this.crudService.cell && this.crudService.sameCell(cell)) {
                if (args.cancel) {
                    return;
                }
                this.gridAPI.escape_editMode();
            }
            this.cdr.markForCheck();
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxGridCellComponent.prototype.onClick = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.grid.onCellClick.emit({
                cell: this,
                event: event
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxGridCellComponent.prototype.onContextMenu = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.grid.onContextMenu.emit({
                cell: this,
                event: event
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxGridCellComponent.prototype.onFocus = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.focused) {
                return;
            }
            this.focused = true;
            this.row.focused = true;
            /** @type {?} */
            var node = this.selectionNode;
            /** @type {?} */
            var shouldEmitSelection = !this.selectionService.isActiveNode(node);
            if (this.selectionService.primaryButton) {
                this._updateCRUDStatus();
                this.selectionService.activeElement = node;
            }
            else {
                this.selectionService.activeElement = null;
                if (this.crudService.inEditMode && !this.editMode) {
                    this.gridAPI.submit_value();
                }
            }
            this.selectionService.primaryButton = true;
            if (this.cellSelectionMode === GridSelectionMode.multiple && this.selectionService.activeElement) {
                this.selectionService.add(this.selectionService.activeElement, false); // pointer events handle range generation
                this.selectionService.keyboardStateOnFocus(node, this.grid.onRangeSelection, this.nativeElement);
            }
            if (this.grid.isCellSelectable && shouldEmitSelection) {
                this.grid.onSelection.emit({ cell: this, event: event });
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridCellComponent.prototype.onBlur = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this.focused = false;
            this.row.focused = false;
        };
        /**
         * @protected
         * @param {?} key
         * @param {?} event
         * @return {?}
         */
        IgxGridCellComponent.prototype.handleAlt = /**
         * @protected
         * @param {?} key
         * @param {?} event
         * @return {?}
         */
        function (key, event) {
            if (this.row.nativeElement.tagName.toLowerCase() === 'igx-tree-grid-row' && this.isToggleKey(key)) {
                /** @type {?} */
                var collapse = ((/** @type {?} */ (this.row))).expanded && ROW_COLLAPSE_KEYS.has(key);
                /** @type {?} */
                var expand = !((/** @type {?} */ (this.row))).expanded && ROW_EXPAND_KEYS.has(key);
                if (collapse) {
                    ((/** @type {?} */ (this.gridAPI))).trigger_row_expansion_toggle(this.row.treeRow, !this.row.expanded, event, this.visibleColumnIndex);
                }
                else if (expand) {
                    ((/** @type {?} */ (this.gridAPI))).trigger_row_expansion_toggle(this.row.treeRow, !this.row.expanded, event, this.visibleColumnIndex);
                }
            }
        };
        /**
         * @protected
         * @param {?} shift
         * @return {?}
         */
        IgxGridCellComponent.prototype.handleTab = /**
         * @protected
         * @param {?} shift
         * @return {?}
         */
        function (shift) {
            if (shift) {
                this.grid.navigation.performShiftTabKey(this.row.nativeElement, this.selectionNode);
            }
            else {
                this.grid.navigation.performTab(this.row.nativeElement, this.selectionNode);
            }
        };
        /**
         * @protected
         * @param {?} ctrl
         * @return {?}
         */
        IgxGridCellComponent.prototype.handleEnd = /**
         * @protected
         * @param {?} ctrl
         * @return {?}
         */
        function (ctrl) {
            if (ctrl) {
                this.grid.navigation.goToLastCell();
            }
            else {
                this.grid.navigation.onKeydownEnd(this.rowIndex, false, this.rowStart);
            }
        };
        /**
         * @protected
         * @param {?} ctrl
         * @return {?}
         */
        IgxGridCellComponent.prototype.handleHome = /**
         * @protected
         * @param {?} ctrl
         * @return {?}
         */
        function (ctrl) {
            if (ctrl) {
                this.grid.navigation.goToFirstCell();
            }
            else {
                this.grid.navigation.onKeydownHome(this.rowIndex, false, this.rowStart);
            }
        };
        // TODO: Refactor
        /**
         *
         * @hidden
         * @internal
         */
        // TODO: Refactor
        /**
         *
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxGridCellComponent.prototype.dispatchEvent = 
        // TODO: Refactor
        /**
         *
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var key = event.key.toLowerCase();
            /** @type {?} */
            var shift = event.shiftKey;
            /** @type {?} */
            var ctrl = event.ctrlKey;
            /** @type {?} */
            var node = this.selectionNode;
            if (!SUPPORTED_KEYS.has(key)) {
                return;
            }
            event.stopPropagation();
            /** @type {?} */
            var keydownArgs = { targetType: 'dataCell', target: this, event: event, cancel: false };
            this.grid.onGridKeydown.emit(keydownArgs);
            if (keydownArgs.cancel) {
                this.selectionService.clear();
                this.selectionService.keyboardState.active = true;
                return;
            }
            if (event.altKey) {
                event.preventDefault();
                this.handleAlt(key, event);
                return;
            }
            this.selectionService.keyboardStateOnKeydown(node, shift, shift && key === 'tab');
            if (key === 'tab') {
                event.preventDefault();
            }
            if (this.editMode) {
                if (NAVIGATION_KEYS.has(key)) {
                    if (this.column.inlineEditorTemplate) {
                        return;
                    }
                    if (['date', 'boolean'].indexOf(this.column.dataType) > -1) {
                        return;
                    }
                    return;
                }
            }
            if (NAVIGATION_KEYS.has(key)) {
                event.preventDefault();
            }
            switch (key) {
                case 'tab':
                    this.handleTab(shift);
                    break;
                case 'end':
                    this.handleEnd(ctrl);
                    break;
                case 'home':
                    this.handleHome(ctrl);
                    break;
                case 'arrowleft':
                case 'left':
                    if (ctrl) {
                        this.grid.navigation.onKeydownHome(node.row, false, this.rowStart);
                        break;
                    }
                    this.grid.navigation.onKeydownArrowLeft(this.nativeElement, this.selectionNode);
                    break;
                case 'arrowright':
                case 'right':
                    if (ctrl) {
                        this.grid.navigation.onKeydownEnd(node.row, false, this.rowStart);
                        break;
                    }
                    this.grid.navigation.onKeydownArrowRight(this.nativeElement, this.selectionNode);
                    break;
                case 'arrowup':
                case 'up':
                    if (ctrl) {
                        this.grid.navigation.navigateTop(this.visibleColumnIndex);
                        break;
                    }
                    this.grid.navigation.navigateUp(this.row.nativeElement, this.selectionNode);
                    break;
                case 'arrowdown':
                case 'down':
                    if (ctrl) {
                        this.grid.navigation.navigateBottom(this.visibleColumnIndex);
                        break;
                    }
                    this.grid.navigation.navigateDown(this.row.nativeElement, this.selectionNode);
                    break;
                case 'enter':
                case 'f2':
                    this.onKeydownEnterEditMode();
                    break;
                case 'escape':
                case 'esc':
                    this.onKeydownExitEditMode();
                    break;
                case ' ':
                case 'spacebar':
                case 'space':
                    if (this.grid.isRowSelectable) {
                        this.row.selected ? this.selectionService.deselectRow(this.row.rowID, event) :
                            this.selectionService.selectRowById(this.row.rowID, false, event);
                    }
                    break;
                default:
                    return;
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridCellComponent.prototype.onKeydownEnterEditMode = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            if (this.isInCompositionMode) {
                return;
            }
            if (this.column.editable && !this.row.deleted) {
                if (this.editMode) {
                    this.grid.endEdit(true);
                    this.nativeElement.focus();
                }
                else {
                    this.crudService.begin(this);
                }
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridCellComponent.prototype.onKeydownExitEditMode = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            if (this.isInCompositionMode) {
                return;
            }
            if (this.editMode) {
                /** @type {?} */
                var args = this.crudService.cell.createEditEventArgs();
                this.grid.onCellEditCancel.emit(args);
                if (args.cancel) {
                    return;
                }
                this.grid.endEdit(false);
                this.nativeElement.focus();
            }
        };
        /**
         * If the provided string matches the text in the cell, the text gets highlighted.
         * ```typescript
         * this.cell.highlightText('Cell Value', true);
         * ```
         * @memberof IgxGridCellComponent
         */
        /**
         * If the provided string matches the text in the cell, the text gets highlighted.
         * ```typescript
         * this.cell.highlightText('Cell Value', true);
         * ```
         * \@memberof IgxGridCellComponent
         * @param {?} text
         * @param {?=} caseSensitive
         * @param {?=} exactMatch
         * @return {?}
         */
        IgxGridCellComponent.prototype.highlightText = /**
         * If the provided string matches the text in the cell, the text gets highlighted.
         * ```typescript
         * this.cell.highlightText('Cell Value', true);
         * ```
         * \@memberof IgxGridCellComponent
         * @param {?} text
         * @param {?=} caseSensitive
         * @param {?=} exactMatch
         * @return {?}
         */
        function (text, caseSensitive, exactMatch) {
            return this.highlight && this.column.searchable ? this.highlight.highlight(text, caseSensitive, exactMatch) : 0;
        };
        /**
         * Clears the highlight of the text in the cell.
         * ```typescript
         * this.cell.clearHighLight();
         * ```
         * @memberof IgxGridCellComponent
         */
        /**
         * Clears the highlight of the text in the cell.
         * ```typescript
         * this.cell.clearHighLight();
         * ```
         * \@memberof IgxGridCellComponent
         * @return {?}
         */
        IgxGridCellComponent.prototype.clearHighlight = /**
         * Clears the highlight of the text in the cell.
         * ```typescript
         * this.cell.clearHighLight();
         * ```
         * \@memberof IgxGridCellComponent
         * @return {?}
         */
        function () {
            if (this.highlight && this.column.searchable) {
                this.highlight.clearHighlight();
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} range
         * @return {?}
         */
        IgxGridCellComponent.prototype.calculateSizeToFit = /**
         * @hidden
         * \@internal
         * @param {?} range
         * @return {?}
         */
        function (range) {
            return Math.max.apply(Math, __spread(Array.from(this.nativeElement.children)
                .map(function (child) { return getNodeSizeViaRange(range, child); })));
        };
        /**
         * @private
         * @param {?} key
         * @return {?}
         */
        IgxGridCellComponent.prototype.isToggleKey = /**
         * @private
         * @param {?} key
         * @return {?}
         */
        function (key) {
            return ROW_COLLAPSE_KEYS.has(key) || ROW_EXPAND_KEYS.has(key);
        };
        IgxGridCellComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        selector: 'igx-grid-cell',
                        template: "<ng-template #defaultCell>\n    <div igxTextHighlight style=\"pointer-events: none\" [cssClass]=\"highlightClass\" [activeCssClass]=\"activeHighlightClass\" [groupName]=\"gridID\"\n        [value]=\"formatter ? formatter(value) : column.dataType === 'number' ? (value | igxdecimal: grid.locale) : column.dataType === 'date' ? (value | igxdate: grid.locale) : value\"\n        [row]=\"rowData\" [column]=\"this.column.field\" [containerClass]=\"'igx-grid__td-text'\"\n        class=\"igx-grid__td-text\">{{ formatter ? formatter(value) : column.dataType === 'number' ? (value | igxdecimal:\n        grid.locale) : column.dataType === 'date' ? (value | igxdate: grid.locale) : value }}</div>\n</ng-template>\n<ng-template #inlineEditor let-cell=\"cell\">\n    <ng-container *ngIf=\"column.dataType === 'string'\">\n        <igx-input-group displayDensity=\"compact\">\n            <input igxInput [value]=\"editValue\" (input)=\"editValue = $event.target.value\" [igxFocus]=\"focused\" />\n        </igx-input-group>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'number'\">\n        <igx-input-group displayDensity=\"compact\">\n            <input igxInput [value]=\"editValue\" (input)=\"editValue = $event.target.value\" [igxFocus]=\"focused\" type=\"number\">\n        </igx-input-group>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'boolean'\">\n        <igx-checkbox (change)=\"editValue = $event.checked\" [value]=\"editValue\" [checked]=\"editValue\"\n            [igxFocus]=\"focused\" [disableRipple]=\"true\"></igx-checkbox>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'date'\">\n        <igx-date-picker [style.width.%]=\"100\" [outlet]=\"grid.outletDirective\" mode=\"dropdown\"\n            [locale]=\"grid.locale\" [(value)]=\"editValue\" [igxFocus]=\"focused\" [labelVisibility]=\"false\">\n        </igx-date-picker>\n    </ng-container>\n</ng-template>\n<ng-container *ngTemplateOutlet=\"template; context: context\">\n</ng-container>\n",
                        providers: [HammerGesturesManager]
                    }] }
        ];
        /** @nocollapse */
        IgxGridCellComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: GridBaseAPIService },
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: HammerGesturesManager },
            { type: PlatformUtil }
        ]; };
        IgxGridCellComponent.propDecorators = {
            column: [{ type: core.Input }],
            row: [{ type: core.Input }],
            rowData: [{ type: core.Input }],
            cellTemplate: [{ type: core.Input }],
            value: [{ type: core.Input }],
            formatter: [{ type: core.Input }],
            rowIndex: [{ type: core.HostBinding, args: ['attr.data-rowIndex',] }],
            visibleColumnIndex: [{ type: core.HostBinding, args: ['attr.data-visibleIndex',] }, { type: core.Input }],
            cellSelectionMode: [{ type: core.Input }],
            lastPinned: [{ type: core.Input }, { type: core.HostBinding, args: ['class.igx-grid__td--pinned-last',] }],
            editMode: [{ type: core.Input }, { type: core.HostBinding, args: ['class.igx-grid__td--editing',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            readonly: [{ type: core.HostBinding, args: ['attr.aria-readonly',] }],
            gridRowSpan: [{ type: core.HostBinding, args: ['style.-ms-grid-row-span',] }],
            gridColumnSpan: [{ type: core.HostBinding, args: ['style.-ms-grid-column-span',] }],
            rowEnd: [{ type: core.HostBinding, args: ['style.grid-row-end',] }],
            colEnd: [{ type: core.HostBinding, args: ['style.grid-column-end',] }],
            rowStart: [{ type: core.HostBinding, args: ['style.-ms-grid-row',] }, { type: core.HostBinding, args: ['style.grid-row-start',] }],
            colStart: [{ type: core.HostBinding, args: ['style.-ms-grid-column',] }, { type: core.HostBinding, args: ['style.grid-column-start',] }],
            describedby: [{ type: core.HostBinding, args: ['attr.aria-describedby',] }],
            width: [{ type: core.HostBinding, args: ['style.min-width',] }, { type: core.HostBinding, args: ['style.max-width',] }, { type: core.HostBinding, args: ['style.flex-basis',] }, { type: core.Input }],
            selected: [{ type: core.HostBinding, args: ['attr.aria-selected',] }, { type: core.HostBinding, args: ['class.igx-grid__td--selected',] }],
            dirty: [{ type: core.HostBinding, args: ['class.igx-grid__td--edited',] }],
            focused: [{ type: core.HostBinding, args: ['class.igx-grid__td--active',] }],
            defaultCellTemplate: [{ type: core.ViewChild, args: ['defaultCell', { read: core.TemplateRef, static: true },] }],
            inlineEditorTemplate: [{ type: core.ViewChild, args: ['inlineEditor', { read: core.TemplateRef, static: true },] }],
            highlight: [{ type: core.ViewChild, args: [IgxTextHighlightDirective, { read: IgxTextHighlightDirective, static: false },] }],
            onDoubleClick: [{ type: core.HostListener, args: ['dblclick', ['$event'],] }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }],
            onContextMenu: [{ type: core.HostListener, args: ['contextmenu', ['$event'],] }],
            onFocus: [{ type: core.HostListener, args: ['focus', ['$event'],] }],
            onBlur: [{ type: core.HostListener, args: ['blur',] }],
            dispatchEvent: [{ type: core.HostListener, args: ['keydown', ['$event'],] }]
        };
        __decorate([
            DeprecateProperty("'inEditMode' is deprecated\nUse 'editMode' to get the current state and 'setEditMode(boolean)' as a setter"),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridCellComponent.prototype, "inEditMode", null);
        __decorate([
            DeprecateMethod("'isCellSelected' is deprecated. Use 'selected' property instead."),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", []),
            __metadata("design:returntype", void 0)
        ], IgxGridCellComponent.prototype, "isCellSelected", null);
        return IgxGridCellComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @abstract
     * @template T
     */
    var IgxRowComponent = /** @class */ (function () {
        function IgxRowComponent(gridAPI, crudService, selectionService, element, cdr) {
            this.gridAPI = gridAPI;
            this.crudService = crudService;
            this.selectionService = selectionService;
            this.element = element;
            this.cdr = cdr;
            /**
             * @hidden
             */
            this.role = 'row';
            /**
             * @hidden
             */
            this.dragging = false;
            /**
             * @hidden
             */
            this.focused = false;
            /**
             * @hidden
             * \@internal
             */
            this.defaultCssClass = 'igx-grid__tr';
        }
        Object.defineProperty(IgxRowComponent.prototype, "rowData", {
            /**
             *  The data passed to the row component.
             *
             * ```typescript
             * // get the row data for the first selected row
             * let selectedRowData = this.grid.selectedRows[0].rowData;
             * ```
             */
            get: /**
             *  The data passed to the row component.
             *
             * ```typescript
             * // get the row data for the first selected row
             * let selectedRowData = this.grid.selectedRows[0].rowData;
             * ```
             * @return {?}
             */
            function () {
                if (this.inEditMode) {
                    return Object.assign({}, this._rowData, this.grid.transactions.getAggregatedValue(this.rowID, false));
                }
                return this._rowData;
            },
            set: /**
             * @param {?} v
             * @return {?}
             */
            function (v) {
                this._rowData = v;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "dataRowIndex", {
            get: /**
             * @return {?}
             */
            function () {
                return this.index;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "styleClasses", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.resolveClasses();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "selected", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.selectionService.isRowSelected(this.rowID);
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                value ? this.selectionService.selectRowsWithNoEvent([this.rowID]) :
                    this.selectionService.deselectRowsWithNoEvent([this.rowID]);
                this.grid.cdr.markForCheck();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "columns", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.visibleColumns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "viewIndex", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                if (((/** @type {?} */ (this.grid))).groupingExpressions.length) {
                    return this.grid.filteredSortedData.indexOf(this.rowData);
                }
                return this.index + this.grid.page * this.grid.perPage;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "pinnedColumns", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.pinnedColumns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "unpinnedColumns", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.unpinnedColumns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "showRowSelectors", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.showRowSelectors;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "dirty", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var row = this.grid.transactions.getState(this.rowID);
                if (row) {
                    return row.type === TransactionType.ADD || row.type === TransactionType.UPDATE;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "isSelected", {
            get: /**
             * @return {?}
             */
            function () {
                return this.selectionService.isRowSelected(this.rowID);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "rowDraggable", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.rowDraggable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "added", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var row = this.grid.transactions.getState(this.rowID);
                if (row) {
                    return row.type === TransactionType.ADD;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "deleted", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.gridAPI.row_deleted_transaction(this.rowID);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "inEditMode", {
            // TODO: Refactor
            get: 
            // TODO: Refactor
            /**
             * @return {?}
             */
            function () {
                if (this.grid.rowEditable) {
                    /** @type {?} */
                    var editRowState = this.crudService.row;
                    return (editRowState && editRowState.id === this.rowID) || false;
                }
                else {
                    return false;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "grid", {
            /**
             * Get a reference to the grid that contains the selected row.
             *
             * ```typescript
             * handleRowSelection(event) {
             *  // the grid on which the onRowSelectionChange event was triggered
             *  const grid = event.row.grid;
             * }
             * ```
             *
             * ```html
             *  <igx-grid
             *    [data]="data"
             *    (onRowSelectionChange)="handleRowSelection($event)">
             *  </igx-grid>
             * ```
             */
            get: /**
             * Get a reference to the grid that contains the selected row.
             *
             * ```typescript
             * handleRowSelection(event) {
             *  // the grid on which the onRowSelectionChange event was triggered
             *  const grid = event.row.grid;
             * }
             * ```
             *
             * ```html
             *  <igx-grid
             *    [data]="data"
             *    (onRowSelectionChange)="handleRowSelection($event)">
             *  </igx-grid>
             * ```
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "rowID", {
            /**
             * Gets the ID of the row.
             * A row in the grid is identified either by:
             * - primaryKey data value,
             * - the whole rowData, if the primaryKey is omitted.
             *
             * ```typescript
             * let rowID = this.grid.selectedRows[2].rowID;
             * ```
             */
            get: /**
             * Gets the ID of the row.
             * A row in the grid is identified either by:
             * - primaryKey data value,
             * - the whole rowData, if the primaryKey is omitted.
             *
             * ```typescript
             * let rowID = this.grid.selectedRows[2].rowID;
             * ```
             * @return {?}
             */
            function () {
                /** @type {?} */
                var primaryKey = this.grid.primaryKey;
                return primaryKey ? this._rowData[primaryKey] : this._rowData;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowComponent.prototype, "nativeElement", {
            /**
             * The native DOM element representing the row. Could be null in certain environments.
             *
             * ```typescript
             * // get the nativeElement of the second selected row
             * let selectedRowNativeElement = this.grid.selectedRows[1].nativeElement;
             * ```
             */
            get: /**
             * The native DOM element representing the row. Could be null in certain environments.
             *
             * ```typescript
             * // get the nativeElement of the second selected row
             * let selectedRowNativeElement = this.grid.selectedRows[1].nativeElement;
             * ```
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxRowComponent.prototype.onClick = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.grid.rowSelection === 'none' || this.deleted) {
                return;
            }
            if (event.shiftKey && this.grid.rowSelection === 'multiple') {
                this.selectionService.selectMultipleRows(this.rowID, this.rowData, event);
                return;
            }
            this.selectionService.selectRowById(this.rowID, !event.ctrlKey, event);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxRowComponent.prototype.onRowSelectorClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            if (event.shiftKey && this.grid.rowSelection === 'multiple') {
                this.selectionService.selectMultipleRows(this.rowID, this.rowData, event);
                return;
            }
            this.selected ? this.selectionService.deselectRow(this.rowID, event) :
                this.selectionService.selectRowById(this.rowID, false, event);
        };
        /**
         * Updates the specified row object and the data source record with the passed value.
         * This method emits `onEditDone` event.
         *
         * ```typescript
         * // update the second selected row's value
         * let newValue = "Apple";
         * this.grid.selectedRows[1].update(newValue);
         * ```
         */
        /**
         * Updates the specified row object and the data source record with the passed value.
         * This method emits `onEditDone` event.
         *
         * ```typescript
         * // update the second selected row's value
         * let newValue = "Apple";
         * this.grid.selectedRows[1].update(newValue);
         * ```
         * @param {?} value
         * @return {?}
         */
        IgxRowComponent.prototype.update = /**
         * Updates the specified row object and the data source record with the passed value.
         * This method emits `onEditDone` event.
         *
         * ```typescript
         * // update the second selected row's value
         * let newValue = "Apple";
         * this.grid.selectedRows[1].update(newValue);
         * ```
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var crudService = this.crudService;
            if (crudService.inEditMode && crudService.cell.id.rowID === this.rowID) {
                this.grid.endEdit(false);
            }
            /** @type {?} */
            var row = new IgxRow(this.rowID, this.index, this.rowData);
            this.gridAPI.update_row(row, value);
            this.cdr.markForCheck();
        };
        /**
         * Removes the specified row from the grid's data source.
         * This method emits `onRowDeleted` event.
         *
         * ```typescript
         * // delete the third selected row from the grid
         * this.grid.selectedRows[2].delete();
         * ```
         */
        /**
         * Removes the specified row from the grid's data source.
         * This method emits `onRowDeleted` event.
         *
         * ```typescript
         * // delete the third selected row from the grid
         * this.grid.selectedRows[2].delete();
         * ```
         * @return {?}
         */
        IgxRowComponent.prototype.delete = /**
         * Removes the specified row from the grid's data source.
         * This method emits `onRowDeleted` event.
         *
         * ```typescript
         * // delete the third selected row from the grid
         * this.grid.selectedRows[2].delete();
         * ```
         * @return {?}
         */
        function () {
            this.grid.deleteRowById(this.rowID);
        };
        Object.defineProperty(IgxRowComponent.prototype, "rowCheckboxAriaLabel", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.primaryKey ?
                    this.selected ? 'Deselect row with key ' + this.rowID : 'Select row with key ' + this.rowID :
                    this.selected ? 'Deselect row' : 'Select row';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowComponent.prototype.ngDoCheck = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.cdr.markForCheck();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxRowComponent.prototype.resolveClasses = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var indexClass = this.index % 2 ? this.grid.evenRowCSS : this.grid.oddRowCSS;
            /** @type {?} */
            var selectedClass = this.selected ? 'igx-grid__tr--selected' : '';
            /** @type {?} */
            var editClass = this.inEditMode ? 'igx-grid__tr--edit' : '';
            /** @type {?} */
            var dirtyClass = this.dirty ? 'igx-grid__tr--edited' : '';
            /** @type {?} */
            var deletedClass = this.deleted ? 'igx-grid__tr--deleted' : '';
            /** @type {?} */
            var mrlClass = this.grid.hasColumnLayouts ? 'igx-grid__tr--mrl' : '';
            /** @type {?} */
            var dragClass = this.dragging ? 'igx-grid__tr--drag' : '';
            return (this.defaultCssClass + " " + indexClass + " " + selectedClass + " " + editClass + " " + dirtyClass + "\n         " + deletedClass + " " + mrlClass + " " + dragClass).trim();
        };
        Object.defineProperty(IgxRowComponent.prototype, "resolveDragIndicatorClasses", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var defaultDragIndicatorCssClass = 'igx-grid__drag-indicator';
                /** @type {?} */
                var dragIndicatorOff = this.grid.rowDragging && !this.dragging ? 'igx-grid__drag-indicator--off' : '';
                return defaultDragIndicatorCssClass + " " + dragIndicatorOff;
            },
            enumerable: true,
            configurable: true
        });
        IgxRowComponent.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        IgxRowComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: IgxGridCRUDService },
            { type: IgxGridSelectionService },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxRowComponent.propDecorators = {
            rowData: [{ type: core.Input }],
            index: [{ type: core.Input }],
            gridID: [{ type: core.Input }],
            virtDirRow: [{ type: core.ViewChild, args: ['igxDirRef', { read: IgxGridForOfDirective, static: false },] }],
            checkboxElement: [{ type: core.ViewChild, args: [core.forwardRef(function () { return IgxCheckboxComponent; }), { read: IgxCheckboxComponent, static: false },] }],
            cells: [{ type: core.ViewChildren, args: [core.forwardRef(function () { return IgxGridCellComponent; }),] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            dataRowIndex: [{ type: core.HostBinding, args: ['attr.data-rowIndex',] }],
            styleClasses: [{ type: core.HostBinding, args: ['class',] }],
            selected: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.aria-selected',] }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }]
        };
        __decorate([
            DeprecateProperty('isSelected property is deprecated. Use selected property instead.'),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [])
        ], IgxRowComponent.prototype, "isSelected", null);
        return IgxRowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @return {?}
     */
    function WatchChanges() {
        return function (target, key, propDesc) {
            /** @type {?} */
            var privateKey = '_' + key.toString();
            propDesc = propDesc || {
                configurable: true,
                enumerable: true,
            };
            propDesc.get = propDesc.get || (function () { return this[privateKey]; });
            /** @type {?} */
            var originalSetter = propDesc.set || (function (val) { this[privateKey] = val; });
            propDesc.set = function (val) {
                var _a;
                /** @type {?} */
                var init = this._init;
                /** @type {?} */
                var oldValue = this[key];
                if (val !== oldValue || (typeof val === 'object' && val === oldValue)) {
                    originalSetter.call(this, val);
                    if (this.ngOnChanges && !init) {
                        // in case wacthed prop changes trigger ngOnChanges manually
                        /** @type {?} */
                        var changes = (_a = {},
                            _a[key] = new core.SimpleChange(oldValue, val, false),
                            _a);
                        this.ngOnChanges(changes);
                    }
                }
            };
            return propDesc;
        };
    }
    /**
     * @return {?}
     */
    function WatchColumnChanges() {
        return function (target, key, propDesc) {
            /** @type {?} */
            var privateKey = '_' + key.toString();
            propDesc = propDesc || {
                configurable: true,
                enumerable: true,
            };
            propDesc.get = propDesc.get || (function () { return this[privateKey]; });
            /** @type {?} */
            var originalSetter = propDesc.set || (function (val) { this[privateKey] = val; });
            propDesc.set = function (val) {
                /** @type {?} */
                var init = this._init;
                /** @type {?} */
                var oldValue = this[key];
                originalSetter.call(this, val);
                if (val !== oldValue || (typeof val === 'object' && val === oldValue)) {
                    if (this.rowIslandAPI.rowIsland) {
                        this.rowIslandAPI.rowIsland.updateColumnList();
                    }
                }
            };
            return propDesc;
        };
    }
    /**
     * @param {?=} repaint
     * @return {?}
     */
    function notifyChanges(repaint) {
        if (repaint === void 0) { repaint = false; }
        return function (_, key, propDesc) {
            /** @type {?} */
            var privateKey = "__" + key;
            propDesc = propDesc || {
                enumerable: true,
                configurable: true
            };
            /** @type {?} */
            var originalSetter = propDesc ? propDesc.set : null;
            propDesc.get = propDesc.get || (function () { return this[privateKey]; });
            propDesc.set = function (newValue) {
                if (originalSetter) {
                    originalSetter.call(this, newValue);
                    if (this.grid) {
                        this.grid.notifyChanges(repaint);
                    }
                }
                else {
                    if (newValue === this[key]) {
                        return;
                    }
                    this[privateKey] = newValue;
                    if (this.grid) {
                        this.grid.notifyChanges(repaint);
                    }
                }
            };
            return (/** @type {?} */ (propDesc));
        };
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxRowIslandAPIService = /** @class */ (function () {
        function IgxRowIslandAPIService() {
            this.change = new rxjs.Subject();
            this.state = new Map();
            this.destroyMap = new Map();
            this.childRowIslands = new Map();
            this.childGrids = new Map();
        }
        /**
         * @param {?} rowIsland
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.register = /**
         * @param {?} rowIsland
         * @return {?}
         */
        function (rowIsland) {
            this.state.set(rowIsland.id, rowIsland);
            this.destroyMap.set(rowIsland.id, new rxjs.Subject());
        };
        /**
         * @param {?} rowIsland
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.unsubscribe = /**
         * @param {?} rowIsland
         * @return {?}
         */
        function (rowIsland) {
            this.state.delete(rowIsland.id);
        };
        /**
         * @param {?} id
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.get = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            return this.state.get(id);
        };
        /**
         * @param {?} id
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.unset = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            this.state.delete(id);
            this.destroyMap.delete(id);
        };
        /**
         * @param {?} oldId
         * @param {?} newId
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.reset = /**
         * @param {?} oldId
         * @param {?} newId
         * @return {?}
         */
        function (oldId, newId) {
            /** @type {?} */
            var destroy = this.destroyMap.get(oldId);
            /** @type {?} */
            var rowIsland = this.get(oldId);
            this.unset(oldId);
            if (rowIsland) {
                this.state.set(newId, rowIsland);
            }
            if (destroy) {
                this.destroyMap.set(newId, destroy);
            }
        };
        /**
         * @param {?} rowIsland
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.registerChildRowIsland = /**
         * @param {?} rowIsland
         * @return {?}
         */
        function (rowIsland) {
            this.childRowIslands.set(rowIsland.key, rowIsland);
            this.destroyMap.set(rowIsland.key, new rxjs.Subject());
        };
        /**
         * @param {?} rowIsland
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.unsetChildRowIsland = /**
         * @param {?} rowIsland
         * @return {?}
         */
        function (rowIsland) {
            this.childRowIslands.delete(rowIsland.key);
            this.destroyMap.delete(rowIsland.key);
        };
        /**
         * @param {?} rowIslandKey
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.getChildRowIsland = /**
         * @param {?} rowIslandKey
         * @return {?}
         */
        function (rowIslandKey) {
            return this.childRowIslands.get(rowIslandKey);
        };
        /**
         * @param {?} parentRowID
         * @param {?} grid
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.registerChildGrid = /**
         * @param {?} parentRowID
         * @param {?} grid
         * @return {?}
         */
        function (parentRowID, grid) {
            this.childGrids.set(parentRowID, grid);
        };
        /**
         * @param {?=} inDepth
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.getChildGrids = /**
         * @param {?=} inDepth
         * @return {?}
         */
        function (inDepth) {
            /** @type {?} */
            var allChildren = [];
            this.childGrids.forEach(function (grid) {
                allChildren.push(grid);
            });
            if (inDepth) {
                this.childRowIslands.forEach(function (layout) {
                    allChildren = allChildren.concat(layout.rowIslandAPI.getChildGrids(inDepth));
                });
            }
            return allChildren;
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxRowIslandAPIService.prototype.getChildGridByID = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            return this.childGrids.get(rowID);
        };
        return IgxRowIslandAPIService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var clear = function (el) { return el === 0 || Boolean(el); };
    /** @type {?} */
    var first = function (arr) { return arr[0]; };
    /** @type {?} */
    var last = function (arr) { return arr[arr.length - 1]; };
    var IgxSummaryOperand = /** @class */ (function () {
        function IgxSummaryOperand() {
        }
        /**
         * Counts all the records in the data source.
         * If filtering is applied, counts only the filtered records.
         * ```typescript
         * IgxSummaryOperand.count(dataSource);
         * ```
         * @memberof IgxSummaryOperand
         */
        /**
         * Counts all the records in the data source.
         * If filtering is applied, counts only the filtered records.
         * ```typescript
         * IgxSummaryOperand.count(dataSource);
         * ```
         * \@memberof IgxSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxSummaryOperand.count = /**
         * Counts all the records in the data source.
         * If filtering is applied, counts only the filtered records.
         * ```typescript
         * IgxSummaryOperand.count(dataSource);
         * ```
         * \@memberof IgxSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length;
        };
        /**
         * Executes the static `count` method and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomSummary extends IgxSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "test",
         *       label: "Test",
         *       summaryResult: IgxSummaryOperand.count(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomSummary;
         * ```
         * @memberof IgxSummaryOperand
         */
        /**
         * Executes the static `count` method and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomSummary extends IgxSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "test",
         *       label: "Test",
         *       summaryResult: IgxSummaryOperand.count(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomSummary;
         * ```
         * \@memberof IgxSummaryOperand
         * @param {?=} data
         * @param {?=} allData
         * @param {?=} fieldName
         * @return {?}
         */
        IgxSummaryOperand.prototype.operate = /**
         * Executes the static `count` method and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomSummary extends IgxSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "test",
         *       label: "Test",
         *       summaryResult: IgxSummaryOperand.count(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomSummary;
         * ```
         * \@memberof IgxSummaryOperand
         * @param {?=} data
         * @param {?=} allData
         * @param {?=} fieldName
         * @return {?}
         */
        function (data, allData, fieldName) {
            if (data === void 0) { data = []; }
            return [{
                    key: 'count',
                    label: 'Count',
                    summaryResult: IgxSummaryOperand.count(data)
                }];
        };
        return IgxSummaryOperand;
    }());
    // @dynamic
    var   
    // @dynamic
    IgxNumberSummaryOperand = /** @class */ (function (_super) {
        __extends(IgxNumberSummaryOperand, _super);
        function IgxNumberSummaryOperand() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Returns the minimum numeric value in the provided data records.
         * If filtering is applied, returns the minimum value in the filtered data records.
         * ```typescript
         * IgxNumberSummaryOperand.min(data);
         * ```
         * @memberof IgxNumberSummaryOperand
         */
        /**
         * Returns the minimum numeric value in the provided data records.
         * If filtering is applied, returns the minimum value in the filtered data records.
         * ```typescript
         * IgxNumberSummaryOperand.min(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxNumberSummaryOperand.min = /**
         * Returns the minimum numeric value in the provided data records.
         * If filtering is applied, returns the minimum value in the filtered data records.
         * ```typescript
         * IgxNumberSummaryOperand.min(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length && data.filter(clear).length ? data.filter(clear).reduce(function (a, b) { return Math.min(a, b); }) : 0;
        };
        /**
         * Returns the maximum numeric value in the provided data records.
         * If filtering is applied, returns the maximum value in the filtered data records.
         * ```typescript
         * IgxNumberSummaryOperand.max(data);
         * ```
         * @memberof IgxNumberSummaryOperand
         */
        /**
         * Returns the maximum numeric value in the provided data records.
         * If filtering is applied, returns the maximum value in the filtered data records.
         * ```typescript
         * IgxNumberSummaryOperand.max(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxNumberSummaryOperand.max = /**
         * Returns the maximum numeric value in the provided data records.
         * If filtering is applied, returns the maximum value in the filtered data records.
         * ```typescript
         * IgxNumberSummaryOperand.max(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length && data.filter(clear).length ? data.filter(clear).reduce(function (a, b) { return Math.max(a, b); }) : 0;
        };
        /**
         * Returns the sum of the numeric values in the provided data records.
         * If filtering is applied, returns the sum of the numeric values in the data records.
         * ```typescript
         * IgxNumberSummaryOperand.sum(data);
         * ```
         * @memberof IgxNumberSummaryOperand
         */
        /**
         * Returns the sum of the numeric values in the provided data records.
         * If filtering is applied, returns the sum of the numeric values in the data records.
         * ```typescript
         * IgxNumberSummaryOperand.sum(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxNumberSummaryOperand.sum = /**
         * Returns the sum of the numeric values in the provided data records.
         * If filtering is applied, returns the sum of the numeric values in the data records.
         * ```typescript
         * IgxNumberSummaryOperand.sum(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length && data.filter(clear).length ? data.filter(clear).reduce(function (a, b) { return +a + +b; }) : 0;
        };
        /**
         * Returns the average numeric value in the data provided data records.
         * If filtering is applied, returns the average numeric value in the filtered data records.
         * ```typescript
         * IgxSummaryOperand.average(data);
         * ```
         * @memberof IgxNumberSummaryOperand
         */
        /**
         * Returns the average numeric value in the data provided data records.
         * If filtering is applied, returns the average numeric value in the filtered data records.
         * ```typescript
         * IgxSummaryOperand.average(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxNumberSummaryOperand.average = /**
         * Returns the average numeric value in the data provided data records.
         * If filtering is applied, returns the average numeric value in the filtered data records.
         * ```typescript
         * IgxSummaryOperand.average(data);
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length && data.filter(clear).length ? this.sum(data) / this.count(data) : 0;
        };
        /**
         * Executes the static methods and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomNumberSummary extends IgxNumberSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "avg",
         *       label: "Avg",
         *       summaryResult: IgxNumberSummaryOperand.average(data)
         *     });
         *     result.push({
         *       key: "max",
         *       label: "Max",
         *       summaryResult: IgxNumberSummaryOperand.max(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomNumberSummary;
         * ```
         * @memberof IgxNumberSummaryOperand
         */
        /**
         * Executes the static methods and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomNumberSummary extends IgxNumberSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "avg",
         *       label: "Avg",
         *       summaryResult: IgxNumberSummaryOperand.average(data)
         *     });
         *     result.push({
         *       key: "max",
         *       label: "Max",
         *       summaryResult: IgxNumberSummaryOperand.max(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomNumberSummary;
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?=} data
         * @param {?=} allData
         * @param {?=} fieldName
         * @return {?}
         */
        IgxNumberSummaryOperand.prototype.operate = /**
         * Executes the static methods and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomNumberSummary extends IgxNumberSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "avg",
         *       label: "Avg",
         *       summaryResult: IgxNumberSummaryOperand.average(data)
         *     });
         *     result.push({
         *       key: "max",
         *       label: "Max",
         *       summaryResult: IgxNumberSummaryOperand.max(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomNumberSummary;
         * ```
         * \@memberof IgxNumberSummaryOperand
         * @param {?=} data
         * @param {?=} allData
         * @param {?=} fieldName
         * @return {?}
         */
        function (data, allData, fieldName) {
            if (data === void 0) { data = []; }
            if (allData === void 0) { allData = []; }
            /** @type {?} */
            var result = _super.prototype.operate.call(this, data, allData, fieldName);
            result.push({
                key: 'min',
                label: 'Min',
                summaryResult: IgxNumberSummaryOperand.min(data)
            });
            result.push({
                key: 'max',
                label: 'Max',
                summaryResult: IgxNumberSummaryOperand.max(data)
            });
            result.push({
                key: 'sum',
                label: 'Sum',
                summaryResult: IgxNumberSummaryOperand.sum(data)
            });
            result.push({
                key: 'average',
                label: 'Avg',
                summaryResult: IgxNumberSummaryOperand.average(data)
            });
            return result;
        };
        return IgxNumberSummaryOperand;
    }(IgxSummaryOperand));
    // @dynamic
    var   
    // @dynamic
    IgxDateSummaryOperand = /** @class */ (function (_super) {
        __extends(IgxDateSummaryOperand, _super);
        function IgxDateSummaryOperand() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * Returns the latest date value in the data records.
         * If filtering is applied, returns the latest date value in the filtered data records.
         * ```typescript
         * IgxDateSummaryOperand.latest(data);
         * ```
         * @memberof IgxDateSummaryOperand
         */
        /**
         * Returns the latest date value in the data records.
         * If filtering is applied, returns the latest date value in the filtered data records.
         * ```typescript
         * IgxDateSummaryOperand.latest(data);
         * ```
         * \@memberof IgxDateSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxDateSummaryOperand.latest = /**
         * Returns the latest date value in the data records.
         * If filtering is applied, returns the latest date value in the filtered data records.
         * ```typescript
         * IgxDateSummaryOperand.latest(data);
         * ```
         * \@memberof IgxDateSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length && data.filter(clear).length ?
                first(data.filter(clear).sort(function (a, b) { return new Date(b).valueOf() - new Date(a).valueOf(); })) : undefined;
        };
        /**
         * Returns the earliest date value in the data records.
         * If filtering is applied, returns the latest date value in the filtered data records.
         * ```typescript
         * IgxDateSummaryOperand.earliest(data);
         * ```
         * @memberof IgxDateSummaryOperand
         */
        /**
         * Returns the earliest date value in the data records.
         * If filtering is applied, returns the latest date value in the filtered data records.
         * ```typescript
         * IgxDateSummaryOperand.earliest(data);
         * ```
         * \@memberof IgxDateSummaryOperand
         * @param {?} data
         * @return {?}
         */
        IgxDateSummaryOperand.earliest = /**
         * Returns the earliest date value in the data records.
         * If filtering is applied, returns the latest date value in the filtered data records.
         * ```typescript
         * IgxDateSummaryOperand.earliest(data);
         * ```
         * \@memberof IgxDateSummaryOperand
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return data.length && data.filter(clear).length ?
                last(data.filter(clear).sort(function (a, b) { return new Date(b).valueOf() - new Date(a).valueOf(); })) : undefined;
        };
        /**
         * Executes the static methods and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomDateSummary extends IgxDateSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "latest",
         *       label: "Latest Date",
         *       summaryResult: IgxDateSummaryOperand.latest(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomDateSummary;
         * ```
         * @memberof IgxDateSummaryOperand
         */
        /**
         * Executes the static methods and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomDateSummary extends IgxDateSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "latest",
         *       label: "Latest Date",
         *       summaryResult: IgxDateSummaryOperand.latest(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomDateSummary;
         * ```
         * \@memberof IgxDateSummaryOperand
         * @param {?=} data
         * @param {?=} allData
         * @param {?=} fieldName
         * @return {?}
         */
        IgxDateSummaryOperand.prototype.operate = /**
         * Executes the static methods and returns `IgxSummaryResult[]`.
         * ```typescript
         * interface IgxSummaryResult {
         *   key: string;
         *   label: string;
         *   summaryResult: any;
         * }
         * ```
         * Can be overridden in the inherited classes to provide customization for the `summary`.
         * ```typescript
         * class CustomDateSummary extends IgxDateSummaryOperand {
         *   constructor() {
         *     super();
         *   }
         *   public operate(data: any[], allData: any[], fieldName: string): IgxSummaryResult[] {
         *     const result = [];
         *     result.push({
         *       key: "latest",
         *       label: "Latest Date",
         *       summaryResult: IgxDateSummaryOperand.latest(data)
         *     });
         *     return result;
         *   }
         * }
         * this.grid.getColumnByName('ColumnName').summaries = CustomDateSummary;
         * ```
         * \@memberof IgxDateSummaryOperand
         * @param {?=} data
         * @param {?=} allData
         * @param {?=} fieldName
         * @return {?}
         */
        function (data, allData, fieldName) {
            if (data === void 0) { data = []; }
            if (allData === void 0) { allData = []; }
            /** @type {?} */
            var result = _super.prototype.operate.call(this, data, allData, fieldName);
            result.push({
                key: 'earliest',
                label: 'Earliest',
                summaryResult: IgxDateSummaryOperand.earliest(data)
            });
            result.push({
                key: 'latest',
                label: 'Latest',
                summaryResult: IgxDateSummaryOperand.latest(data)
            });
            return result;
        };
        return IgxDateSummaryOperand;
    }(IgxSummaryOperand));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxFilterCellTemplateDirective = /** @class */ (function () {
        function IgxFilterCellTemplateDirective(template) {
            this.template = template;
        }
        IgxFilterCellTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxFilterCellTemplate]'
                    },] }
        ];
        /** @nocollapse */
        IgxFilterCellTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxFilterCellTemplateDirective;
    }());
    var IgxCellTemplateDirective = /** @class */ (function () {
        function IgxCellTemplateDirective(template) {
            this.template = template;
        }
        IgxCellTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCell]'
                    },] }
        ];
        /** @nocollapse */
        IgxCellTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxCellTemplateDirective;
    }());
    var IgxCellHeaderTemplateDirective = /** @class */ (function () {
        function IgxCellHeaderTemplateDirective(template) {
            this.template = template;
        }
        IgxCellHeaderTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxHeader]'
                    },] }
        ];
        /** @nocollapse */
        IgxCellHeaderTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxCellHeaderTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxCellFooterTemplateDirective = /** @class */ (function () {
        function IgxCellFooterTemplateDirective(template) {
            this.template = template;
        }
        IgxCellFooterTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxFooter]'
                    },] }
        ];
        /** @nocollapse */
        IgxCellFooterTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxCellFooterTemplateDirective;
    }());
    var IgxCellEditorTemplateDirective = /** @class */ (function () {
        function IgxCellEditorTemplateDirective(template) {
            this.template = template;
        }
        IgxCellEditorTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxCellEditor]'
                    },] }
        ];
        /** @nocollapse */
        IgxCellEditorTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxCellEditorTemplateDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * **Ignite UI for Angular Column** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/grid.html#columns-configuration)
     *
     * The Ignite UI Column is used within an `igx-grid` element to define what data the column will show. Features such as sorting,
     * filtering & editing are enabled at the column level.  You can also provide a template containing custom content inside
     * the column using `ng-template` which will be used for all cells within the column.
     */
    var IgxColumnComponent = /** @class */ (function () {
        function IgxColumnComponent(gridAPI, cdr, rowIslandAPI) {
            this.gridAPI = gridAPI;
            this.cdr = cdr;
            this.rowIslandAPI = rowIslandAPI;
            /**
             * Sets/gets the `header` value.
             * ```typescript
             * let columnHeader = this.column.header;
             * ```
             * ```html
             * <igx-column [header] = "'ID'"></igx-column>
             * ```
             *
             * \@memberof IgxColumnComponent
             */
            this.header = '';
            /**
             * Sets/gets whether the column is sortable.
             * Default value is `false`.
             * ```typescript
             * let isSortable = this.column.sortable;
             * ```
             * ```html
             * <igx-column [sortable] = "true"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.sortable = false;
            /**
             * Sets/gets whether the column is groupable.
             * Default value is `false`.
             * ```typescript
             * let isGroupable = this.column.groupable;
             * ```
             * ```html
             * <igx-column [groupable] = "true"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.groupable = false;
            /**
             * Sets/gets whether the column is filterable.
             * Default value is `true`.
             * ```typescript
             * let isFilterable = this.column.filterable;
             * ```
             * ```html
             * <igx-column [filterable] = "false"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.filterable = true;
            /**
             * Sets/gets whether the column is resizable.
             * Default value is `false`.
             * ```typescript
             * let isResizable = this.column.resizable;
             * ```
             * ```html
             * <igx-column [resizable] = "true"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.resizable = false;
            /**
             * @hidden
             */
            this.hiddenChange = new core.EventEmitter();
            /**
             * Gets whether the hiding is disabled.
             * ```typescript
             * let isHidingDisabled =  this.column.disableHiding;
             * ```
             * \@memberof IgxColumnComponent
             */
            this.disableHiding = false;
            /**
             * Gets whether the pinning is disabled.
             * ```typescript
             * let isPinningDisabled =  this.column.disablePinning;
             * ```
             * \@memberof IgxColumnComponent
             */
            this.disablePinning = false;
            /**
             * Sets/gets whether the column is movable.
             * Default value is `false`.
             * ```typescript
             * let isMovable = this.column.movable;
             * ```
             * ```html
             * <igx-column [movable] = "true"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.movable = false;
            /**
             * @hidden
             */
            this.widthChange = new core.EventEmitter();
            this._calcWidth = null;
            /**
             * Sets/gets the class selector of the column header.
             * ```typescript
             * let columnHeaderClass = this.column.headerClasses;
             * ```
             * ```html
             * <igx-column [headerClasses] = "'column-header'"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.headerClasses = '';
            /**
             * Sets/gets the class selector of the column group header.
             * ```typescript
             * let columnHeaderClass = this.column.headerGroupClasses;
             * ```
             * ```html
             * <igx-column [headerGroupClasses] = "'column-group-header'"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.headerGroupClasses = '';
            /**
             * Sets conditional style properties on the column cells.
             * Similar to `ngStyle` it accepts an object literal where the keys are
             * the style properties and the value is the expression to be evaluated.
             * As with `cellClasses` it accepts a callback function.
             * ```typescript
             * styles = {
             *  background: 'royalblue',
             *  color: (rowData, columnKey, cellValue, rowIndex) => value.startsWith('Important') : 'red': 'inherit'
             * }
             * ```
             * ```html
             * <igx-column [cellStyles]="styles"></igx-column>
             * ```
             *
             * \@memberof IgxColumnComponent
             */
            this.cellStyles = null;
            /**
             * Sets/gets whether the column filtering should be case sensitive.
             * Default value is `true`.
             * ```typescript
             * let filteringIgnoreCase = this.column.filteringIgnoreCase;
             * ```
             * ```html
             * <igx-column [filteringIgnoreCase] = "false"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.filteringIgnoreCase = true;
            /**
             * Sets/gets whether the column sorting should be case sensitive.
             * Default value is `true`.
             * ```typescript
             * let sortingIgnoreCase = this.column.sortingIgnoreCase;
             * ```
             * ```html
             * <igx-column [sortingIgnoreCase] = "false"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.sortingIgnoreCase = true;
            /**
             * Sets/gets the data type of the column values.
             * Default value is `string`.
             * ```typescript
             * let columnDataType = this.column.dataType;
             * ```
             * ```html
             * <igx-column [dataType] = "'number'"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.dataType = DataType.String;
            /**
             * @hidden
             */
            this.pinnedChange = new core.EventEmitter();
            /**
             * Sets/gets whether the column is `searchable`.
             * Default value is `true`.
             * ```typescript
             * let isSearchable =  this.column.searchable';
             * ```
             * ```html
             *  <igx-column [searchable] = "false"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             */
            this.searchable = true;
            /**
             * Sets/gets the parent column.
             * ```typescript
             * let parentColumn = this.column.parent;
             * ```
             * ```typescript
             * this.column.parent = higherLevelColumn;
             * ```
             * \@memberof IgxColumnComponent
             */
            this.parent = null;
            /**
             * @hidden
             */
            this.destroy$ = new rxjs.Subject();
            /**
             * @hidden
             */
            this._pinned = false;
            /**
             * @hidden
             */
            this._summaries = null;
            /**
             * @hidden
             */
            this._filters = null;
            /**
             * @hidden
             */
            this._sortStrategy = DefaultSortingStrategy.instance();
            /**
             * @hidden
             */
            this._hidden = false;
            /**
             * @hidden
             */
            this._disablePinning = false;
            /**
             * @hidden
             */
            this._defaultMinWidth = '';
            /**
             * @hidden
             */
            this._hasSummary = false;
            this._vIndex = NaN;
        }
        Object.defineProperty(IgxColumnComponent.prototype, "editable", {
            /**
             * Gets whether the column is editable.
             * Default value is `false`.
             * ```typescript
             * let isEditable = this.column.editable;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets whether the column is editable.
             * Default value is `false`.
             * ```typescript
             * let isEditable = this.column.editable;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                // Updating the primary key when grid has transactions (incl. row edit)
                // should not be allowed, as that can corrupt transaction state.
                /** @type {?} */
                var rowEditable = this.grid && this.grid.rowEditable;
                /** @type {?} */
                var hasTransactions = this.grid && this.grid.transactions.enabled;
                if (this.isPrimaryColumn && (rowEditable || hasTransactions)) {
                    return false;
                }
                if (this._editable !== undefined) {
                    return this._editable;
                }
                else {
                    return rowEditable;
                }
            },
            /**
             * Sets whether the column is editable.
             * ```typescript
             * this.column.editable = true;
             * ```
             * ```html
             * <igx-column [editable] = "true"></igx-column>
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets whether the column is editable.
             * ```typescript
             * this.column.editable = true;
             * ```
             * ```html
             * <igx-column [editable] = "true"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} editable
             * @return {?}
             */
            function (editable) {
                this._editable = editable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "hasSummary", {
            /**
             * Gets a value indicating whether the summary for the column is enabled.
             * ```typescript
             * let hasSummary = this.column.hasSummary;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets a value indicating whether the summary for the column is enabled.
             * ```typescript
             * let hasSummary = this.column.hasSummary;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._hasSummary;
            },
            /**
             * Sets a value indicating whether the summary for the column is enabled.
             * Default value is `false`.
             * ```html
             * <igx-column [hasSummary] = "true"></igx-column>
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets a value indicating whether the summary for the column is enabled.
             * Default value is `false`.
             * ```html
             * <igx-column [hasSummary] = "true"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._hasSummary = value;
                if (this.grid) {
                    this.grid.summaryService.resetSummaryHeight();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "hidden", {
            /**
             * Gets whether the column is hidden.
             * ```typescript
             * let isHidden = this.column.hidden;
             * ```
             *@memberof IgxColumnComponent
             */
            get: /**
             * Gets whether the column is hidden.
             * ```typescript
             * let isHidden = this.column.hidden;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._hidden;
            },
            /**
             * Sets the column hidden property.
             * Default value is `false`.
             * ```html
             * <igx-column [hidden] = "true"></igx-column>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-column [(hidden)] = "model.isHidden"></igx-column>
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the column hidden property.
             * Default value is `false`.
             * ```html
             * <igx-column [hidden] = "true"></igx-column>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-column [(hidden)] = "model.isHidden"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._hidden !== value) {
                    this._hidden = value;
                    this.hiddenChange.emit(this._hidden);
                    if (this.columnLayoutChild && this.parent.hidden !== value) {
                        this.parent.hidden = value;
                        return;
                    }
                    if (this.grid) {
                        this.grid.endEdit(false);
                        this.grid.summaryService.resetSummaryHeight();
                        this.grid.filteringService.refreshExpressions();
                        this.grid.notifyChanges();
                        // this.grid.refreshSearch(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "width", {
            /**
             * Gets the `width` of the column.
             * ```typescript
             * let columnWidth = this.column.width;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the `width` of the column.
             * ```typescript
             * let columnWidth = this.column.width;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this.widthSetByUser ? this._width : this.defaultWidth;
            },
            /**
             * Sets the `width` of the column.
             * ```html
             * <igx-column [width] = "'25%'"></igx-column>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-column [(width)]="model.columns[0].width"></igx-column>
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the `width` of the column.
             * ```html
             * <igx-column [width] = "'25%'"></igx-column>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-column [(width)]="model.columns[0].width"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value) {
                    this._calcWidth = null;
                    this.calcPixelWidth = NaN;
                    this.widthSetByUser = true;
                    this._width = value;
                    if (this.grid) {
                        this.cacheCalcWidth();
                    }
                    this.widthChange.emit(this._width);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "calcWidth", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.getCalcWidth();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "minWidth", {
            get: /**
             * @return {?}
             */
            function () {
                return !this._defaultMinWidth ? this.defaultMinWidth : this._defaultMinWidth;
            },
            /**
             * Sets/gets the minimum `width` of the column.
             * Default value is `88`;
             * ```typescript
             * let columnMinWidth = this.column.minWidth;
             * ```
             * ```html
             * <igx-column [minWidth] = "'15%'"></igx-column>
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets/gets the minimum `width` of the column.
             * Default value is `88`;
             * ```typescript
             * let columnMinWidth = this.column.minWidth;
             * ```
             * ```html
             * <igx-column [minWidth] = "'15%'"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                /** @type {?} */
                var minVal = parseFloat(value);
                if (Number.isNaN(minVal)) {
                    return;
                }
                this._defaultMinWidth = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "index", {
            /**
             * Gets the column index.
             * ```typescript
             * let columnIndex = this.column.index;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the column index.
             * ```typescript
             * let columnIndex = this.column.index;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this.grid.columns.indexOf(this);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "pinned", {
            /**
             * Gets whether the column is `pinned`.
             * ```typescript
             * let isPinned = this.column.pinned;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets whether the column is `pinned`.
             * ```typescript
             * let isPinned = this.column.pinned;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._pinned;
            },
            /**
             * Sets whether the column is pinned.
             * Default value is `false`.
             * ```html
             * <igx-column [pinned] = "true"></igx-column>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-column [(pinned)] = "model.columns[0].isPinned"></igx-column>
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets whether the column is pinned.
             * Default value is `false`.
             * ```html
             * <igx-column [pinned] = "true"></igx-column>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-column [(pinned)] = "model.columns[0].isPinned"></igx-column>
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._pinned !== value) {
                    if (this.grid && this.width && !isNaN(parseInt(this.width, 10))) {
                        value ? this.pin() : this.unpin();
                        return;
                    }
                    /* No grid/width available at initialization. `initPinning` in the grid
                       will re-init the group (if present)
                    */
                    this._pinned = value;
                    this.pinnedChange.emit(this._pinned);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "summaries", {
            /**
             * Gets the column `summaries`.
             * ```typescript
             * let columnSummaries = this.column.summaries;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the column `summaries`.
             * ```typescript
             * let columnSummaries = this.column.summaries;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._summaries;
            },
            /**
             * Sets the column `summaries`.
             * ```typescript
             * this.column.summaries = IgxNumberSummaryOperand;
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the column `summaries`.
             * ```typescript
             * this.column.summaries = IgxNumberSummaryOperand;
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} classRef
             * @return {?}
             */
            function (classRef) {
                this._summaries = new classRef();
                if (this.grid) {
                    this.grid.summaryService.removeSummariesCachePerColumn(this.field);
                    ((/** @type {?} */ (this.grid)))._summaryPipeTrigger++;
                    this.grid.summaryService.resetSummaryHeight();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "filters", {
            /**
             * Gets the column `filters`.
             * ```typescript
             * let columnFilters = this.column.filters'
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the column `filters`.
             * ```typescript
             * let columnFilters = this.column.filters'
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._filters;
            },
            /**
             * Sets the column `filters`.
             * ```typescript
             * this.column.filters = IgxBooleanFilteringOperand.instance().
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the column `filters`.
             * ```typescript
             * this.column.filters = IgxBooleanFilteringOperand.instance().
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} instance
             * @return {?}
             */
            function (instance) {
                this._filters = instance;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "sortStrategy", {
            /**
             * Gets the column `sortStrategy`.
             * ```typescript
             * let sortStrategy = this.column.sortStrategy
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the column `sortStrategy`.
             * ```typescript
             * let sortStrategy = this.column.sortStrategy
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._sortStrategy;
            },
            /**
             * Sets the column `sortStrategy`.
             * ```typescript
             * this.column.sortStrategy = new CustomSortingStrategy().
             * class CustomSortingStrategy extends SortingStrategy {...}
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the column `sortStrategy`.
             * ```typescript
             * this.column.sortStrategy = new CustomSortingStrategy().
             * class CustomSortingStrategy extends SortingStrategy {...}
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} classRef
             * @return {?}
             */
            function (classRef) {
                this._sortStrategy = classRef;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "groupingComparer", {
            /**
            * Gets the function that compares values for grouping.
            * ```typescript
            * let groupingComparer = this.column.groupingComparer'
            * ```
            * @memberof IgxColumnComponent
            */
            get: /**
             * Gets the function that compares values for grouping.
             * ```typescript
             * let groupingComparer = this.column.groupingComparer'
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._groupingComparer;
            },
            /**
             * Sets a custom function to compare values for grouping.
             * Subsequent values in the sorted data that the function returns 0 for are grouped.
             * ```typescript
             * this.column.groupingComparer = (a: any, b: any) => { return a === b ? 0 : -1; }
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets a custom function to compare values for grouping.
             * Subsequent values in the sorted data that the function returns 0 for are grouped.
             * ```typescript
             * this.column.groupingComparer = (a: any, b: any) => { return a === b ? 0 : -1; }
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} funcRef
             * @return {?}
             */
            function (funcRef) {
                this._groupingComparer = funcRef;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "defaultMinWidth", {
            /**
             * Gets the default minimum `width` of the column.
             * ```typescript
             * let defaultMinWidth =  this.column.defaultMinWidth;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the default minimum `width` of the column.
             * ```typescript
             * let defaultMinWidth =  this.column.defaultMinWidth;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                if (!this.grid) {
                    return '80';
                }
                switch (this.grid.displayDensity) {
                    case DisplayDensity.cosy:
                        return '64';
                    case DisplayDensity.compact:
                        return '56';
                    default:
                        return '80';
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "grid", {
            /**
             * The reference to the `igx-grid` owner.
             * ```typescript
             * let gridComponent = this.column.grid;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * The reference to the `igx-grid` owner.
             * ```typescript
             * let gridComponent = this.column.grid;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "bodyTemplate", {
            /**
             * Returns a reference to the `bodyTemplate`.
             * ```typescript
             * let bodyTemplate = this.column.bodyTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the `bodyTemplate`.
             * ```typescript
             * let bodyTemplate = this.column.bodyTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._bodyTemplate;
            },
            /**
             * Sets the body template.
             * ```html
             * <ng-template #bodyTemplate igxCell let-val>
             *    <div style = "background-color: yellowgreen" (click) = "changeColor(val)">
             *       <span> {{val}} </span>
             *    </div>
             * </ng-template>
             * ```
             * ```typescript
             * @ViewChild("'bodyTemplate'", {read: TemplateRef })
             * public bodyTemplate: TemplateRef<any>;
             * this.column.bodyTemplate = this.bodyTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the body template.
             * ```html
             * <ng-template #bodyTemplate igxCell let-val>
             *    <div style = "background-color: yellowgreen" (click) = "changeColor(val)">
             *       <span> {{val}} </span>
             *    </div>
             * </ng-template>
             * ```
             * ```typescript
             * \@ViewChild("'bodyTemplate'", {read: TemplateRef })
             * public bodyTemplate: TemplateRef<any>;
             * this.column.bodyTemplate = this.bodyTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._bodyTemplate = template;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "headerTemplate", {
            /**
             * Returns a reference to the header template.
             * ```typescript
             * let headerTemplate = this.column.headerTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the header template.
             * ```typescript
             * let headerTemplate = this.column.headerTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._headerTemplate;
            },
            /**
             * Sets the header template.
             * Note that the column header height is fixed and any content bigger than it will be cut off.
             * ```html
             * <ng-template #headerTemplate>
             *   <div style = "background-color:black" (click) = "changeColor(val)">
             *       <span style="color:red" >{{column.field}}</span>
             *   </div>
             * </ng-template>
             * ```
             * ```typescript
             * @ViewChild("'headerTemplate'", {read: TemplateRef })
             * public headerTemplate: TemplateRef<any>;
             * this.column.headerTemplate = this.headerTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the header template.
             * Note that the column header height is fixed and any content bigger than it will be cut off.
             * ```html
             * <ng-template #headerTemplate>
             *   <div style = "background-color:black" (click) = "changeColor(val)">
             *       <span style="color:red" >{{column.field}}</span>
             *   </div>
             * </ng-template>
             * ```
             * ```typescript
             * \@ViewChild("'headerTemplate'", {read: TemplateRef })
             * public headerTemplate: TemplateRef<any>;
             * this.column.headerTemplate = this.headerTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._headerTemplate = template;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "inlineEditorTemplate", {
            /**
             * Returns a reference to the inline editor template.
             * ```typescript
             * let inlineEditorTemplate = this.column.inlineEditorTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the inline editor template.
             * ```typescript
             * let inlineEditorTemplate = this.column.inlineEditorTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._inlineEditorTemplate;
            },
            /**
             * Sets the inline editor template.
             * ```html
             * <ng-template #inlineEditorTemplate igxCellEditor let-cell="cell">
             *     <input type="string" [(ngModel)]="cell.value"/>
             * </ng-template>
             * ```
             * ```typescript
             * @ViewChild("'inlineEditorTemplate'", {read: TemplateRef })
             * public inlineEditorTemplate: TemplateRef<any>;
             * this.column.inlineEditorTemplate = this.inlineEditorTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the inline editor template.
             * ```html
             * <ng-template #inlineEditorTemplate igxCellEditor let-cell="cell">
             *     <input type="string" [(ngModel)]="cell.value"/>
             * </ng-template>
             * ```
             * ```typescript
             * \@ViewChild("'inlineEditorTemplate'", {read: TemplateRef })
             * public inlineEditorTemplate: TemplateRef<any>;
             * this.column.inlineEditorTemplate = this.inlineEditorTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._inlineEditorTemplate = template;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "filterCellTemplate", {
            /**
             * Returns a reference to the `filterCellTemplate`.
             * ```typescript
             * let filterCellTemplate = this.column.filterCellTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the `filterCellTemplate`.
             * ```typescript
             * let filterCellTemplate = this.column.filterCellTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this._filterCellTemplate;
            },
            /**
             * Sets the quick filter template.
             * ```html
             * <ng-template #filterCellTemplate IgxFilterCellTemplate let-column="column">
             *    <input (input)="onInput()">
             * </ng-template>
             * ```
             * ```typescript
             * @ViewChild("'filterCellTemplate'", {read: TemplateRef })
             * public filterCellTemplate: TemplateRef<any>;
             * this.column.filterCellTemplate = this.filterCellTemplate;
             * ```
             * @memberof IgxColumnComponent
             */
            set: /**
             * Sets the quick filter template.
             * ```html
             * <ng-template #filterCellTemplate IgxFilterCellTemplate let-column="column">
             *    <input (input)="onInput()">
             * </ng-template>
             * ```
             * ```typescript
             * \@ViewChild("'filterCellTemplate'", {read: TemplateRef })
             * public filterCellTemplate: TemplateRef<any>;
             * this.column.filterCellTemplate = this.filterCellTemplate;
             * ```
             * \@memberof IgxColumnComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._filterCellTemplate = template;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "cells", {
            /**
             * Gets the cells of the column.
             * ```typescript
             * let columnCells =  this.column.cells;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the cells of the column.
             * ```typescript
             * let columnCells =  this.column.cells;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                var _this = this;
                return this.grid.rowList.filter(function (row) { return row instanceof IgxRowComponent; })
                    .map(function (row) {
                    if (row.cells) {
                        return row.cells.filter(function (cell) { return cell.columnIndex === _this.index; });
                    }
                }).reduce(function (a, b) { return a.concat(b); }, []);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "visibleIndex", {
            /**
             * Gets the column visible index.
             * If the column is not visible, returns `-1`.
             * ```typescript
             * let visibleColumnIndex =  this.column.visibleIndex;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the column visible index.
             * If the column is not visible, returns `-1`.
             * ```typescript
             * let visibleColumnIndex =  this.column.visibleIndex;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                var _this = this;
                if (!isNaN(this._vIndex)) {
                    return this._vIndex;
                }
                /** @type {?} */
                var unpinnedColumns = this.grid.unpinnedColumns.filter(function (c) { return !c.columnGroup; });
                /** @type {?} */
                var pinnedColumns = this.grid.pinnedColumns.filter(function (c) { return !c.columnGroup; });
                /** @type {?} */
                var col = this;
                /** @type {?} */
                var vIndex = -1;
                if (this.columnGroup) {
                    col = (/** @type {?} */ (this.allChildren.filter(function (c) { return !c.columnGroup; })[0]));
                }
                if (this.columnLayoutChild) {
                    return this.parent.childrenVisibleIndexes.find(function (x) { return x.column === _this; }).index;
                }
                if (!this.pinned) {
                    /** @type {?} */
                    var indexInCollection = unpinnedColumns.indexOf(col);
                    vIndex = indexInCollection === -1 ? -1 : pinnedColumns.length + indexInCollection;
                }
                else {
                    vIndex = pinnedColumns.indexOf(col);
                }
                this._vIndex = vIndex;
                return vIndex;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "columnGroup", {
            /**
             * Returns a boolean indicating if the column is a `ColumnGroup`.
             * ```typescript
             * let columnGroup =  this.column.columnGroup;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a boolean indicating if the column is a `ColumnGroup`.
             * ```typescript
             * let columnGroup =  this.column.columnGroup;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "columnLayout", {
            /**
             * Returns a boolean indicating if the column is a `ColumnLayout` for multi-row layout.
             * ```typescript
             * let columnGroup =  this.column.columnGroup;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a boolean indicating if the column is a `ColumnLayout` for multi-row layout.
             * ```typescript
             * let columnGroup =  this.column.columnGroup;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "columnLayoutChild", {
            /**
            * Returns a boolean indicating if the column is a child of a `ColumnLayout` for multi-row layout.
            * ```typescript
            * let columnLayoutChild =  this.column.columnLayoutChild;
            * ```
            * @memberof IgxColumnComponent
            */
            get: /**
             * Returns a boolean indicating if the column is a child of a `ColumnLayout` for multi-row layout.
             * ```typescript
             * let columnLayoutChild =  this.column.columnLayoutChild;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return this.parent && this.parent.columnLayout;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "allChildren", {
            /**
             * Returns the children columns collection.
             * Returns an empty array if the column does not contain children columns.
             * ```typescript
             * let childrenColumns =  this.column.allChildren;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns the children columns collection.
             * Returns an empty array if the column does not contain children columns.
             * ```typescript
             * let childrenColumns =  this.column.allChildren;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return [];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "level", {
            /**
             * Returns the level of the column in a column group.
             * Returns `0` if the column doesn't have a `parent`.
             * ```typescript
             * let columnLevel =  this.column.level;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns the level of the column in a column group.
             * Returns `0` if the column doesn't have a `parent`.
             * ```typescript
             * let columnLevel =  this.column.level;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var ptr = this.parent;
                /** @type {?} */
                var lvl = 0;
                while (ptr) {
                    lvl++;
                    ptr = ptr.parent;
                }
                return lvl;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "isLastPinned", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.pinnedColumns[this.grid.pinnedColumns.length - 1] === this;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "gridRowSpan", {
            get: /**
             * @return {?}
             */
            function () {
                return this.rowEnd && this.rowStart ? this.rowEnd - this.rowStart : 1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "gridColumnSpan", {
            get: /**
             * @return {?}
             */
            function () {
                return this.colEnd && this.colStart ? this.colEnd - this.colStart : 1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "filteringExpressionsTree", {
            /**
             * Returns the filteringExpressionsTree of the column.
             * ```typescript
             * let tree =  this.column.filteringExpressionsTree;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns the filteringExpressionsTree of the column.
             * ```typescript
             * let tree =  this.column.filteringExpressionsTree;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return (/** @type {?} */ (this.grid.filteringExpressionsTree.find(this.field)));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "isPrimaryColumn", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                return this.field !== undefined && this.grid !== undefined && this.field === this.grid.primaryKey;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxColumnComponent.prototype.resetCaches = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this._vIndex = NaN;
            if (this.grid) {
                this.cacheCalcWidth();
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.cellTemplate) {
                this._bodyTemplate = this.cellTemplate.template;
            }
            if (this.headTemplate && this.headTemplate.length) {
                this._headerTemplate = this.headTemplate.toArray()[0].template;
            }
            if (this.editorTemplate) {
                this._inlineEditorTemplate = this.editorTemplate.template;
            }
            if (this.filterCellTemplateDirective) {
                this._filterCellTemplate = this.filterCellTemplateDirective.template;
            }
            if (!this.summaries) {
                switch (this.dataType) {
                    case DataType.String:
                    case DataType.Boolean:
                        this.summaries = IgxSummaryOperand;
                        break;
                    case DataType.Number:
                        this.summaries = IgxNumberSummaryOperand;
                        break;
                    case DataType.Date:
                        this.summaries = IgxDateSummaryOperand;
                        break;
                    default:
                        this.summaries = IgxSummaryOperand;
                        break;
                }
            }
            if (!this.filters) {
                switch (this.dataType) {
                    case DataType.Boolean:
                        this.filters = IgxBooleanFilteringOperand.instance();
                        break;
                    case DataType.Number:
                        this.filters = IgxNumberFilteringOperand.instance();
                        break;
                    case DataType.Date:
                        this.filters = IgxDateFilteringOperand.instance();
                        break;
                    case DataType.String:
                    default:
                        this.filters = IgxStringFilteringOperand.instance();
                        break;
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} isRow
         * @param {?} isIE
         * @return {?}
         */
        IgxColumnComponent.prototype.getGridTemplate = /**
         * @hidden
         * @param {?} isRow
         * @param {?} isIE
         * @return {?}
         */
        function (isRow, isIE) {
            if (isRow) {
                /** @type {?} */
                var rowsCount = this.grid.multiRowLayoutRowSize;
                return isIE ?
                    "(1fr)[" + rowsCount + "]" :
                    "repeat(" + rowsCount + ",1fr)";
            }
            else {
                return this.getColumnSizesString(this.children);
            }
        };
        /**
         * @param {?} children
         * @return {?}
         */
        IgxColumnComponent.prototype.getInitialChildColumnSizes = /**
         * @param {?} children
         * @return {?}
         */
        function (children) {
            var _this = this;
            /** @type {?} */
            var columnSizes = [];
            // find the smallest col spans
            children.forEach(function (col) {
                if (!col.colStart) {
                    return;
                }
                /** @type {?} */
                var newWidthSet = col.widthSetByUser && columnSizes[col.colStart - 1] && !columnSizes[col.colStart - 1].widthSetByUser;
                /** @type {?} */
                var newSpanSmaller = columnSizes[col.colStart - 1] && columnSizes[col.colStart - 1].colSpan > col.gridColumnSpan;
                /** @type {?} */
                var bothWidthsSet = col.widthSetByUser && columnSizes[col.colStart - 1] && columnSizes[col.colStart - 1].widthSetByUser;
                /** @type {?} */
                var bothWidthsNotSet = !col.widthSetByUser && columnSizes[col.colStart - 1] && !columnSizes[col.colStart - 1].widthSetByUser;
                if (columnSizes[col.colStart - 1] === undefined) {
                    // If nothing is defined yet take any column at first
                    // We use colEnd to know where the column actually ends, because not always it starts where we have it set in columnSizes.
                    columnSizes[col.colStart - 1] = {
                        ref: col,
                        width: col.widthSetByUser || _this.grid.columnWidthSetByUser ? parseInt(col.calcWidth, 10) : null,
                        colSpan: col.gridColumnSpan,
                        colEnd: col.colStart + col.gridColumnSpan,
                        widthSetByUser: col.widthSetByUser
                    };
                }
                else if (newWidthSet || (newSpanSmaller && ((bothWidthsSet) || (bothWidthsNotSet)))) {
                    // If a column is set already it should either not have width defined or have width with bigger span than the new one.
                    /**
                     *  If replaced column has bigger span, we want to fill the remaining columns
                     *  that the replacing column does not fill with the old one.
                     **/
                    if (bothWidthsSet && newSpanSmaller) {
                        // Start from where the new column set would end and apply the old column to the rest depending on how much it spans.
                        // We have not yet replaced it so we can use it directly from the columnSizes collection.
                        // This is where colEnd is used because the colStart of the old column is not actually i + 1.
                        for (var i = col.colStart - 1 + col.gridColumnSpan; i < columnSizes[col.colStart - 1].colEnd - 1; i++) {
                            if (!columnSizes[i] || !columnSizes[i].widthSetByUser) {
                                columnSizes[i] = columnSizes[col.colStart - 1];
                            }
                            else {
                                break;
                            }
                        }
                    }
                    // Replace the old column with the new one.
                    columnSizes[col.colStart - 1] = {
                        ref: col,
                        width: col.widthSetByUser || _this.grid.columnWidthSetByUser ? parseInt(col.calcWidth, 10) : null,
                        colSpan: col.gridColumnSpan,
                        colEnd: col.colStart + col.gridColumnSpan,
                        widthSetByUser: col.widthSetByUser
                    };
                }
                else if (bothWidthsSet && columnSizes[col.colStart - 1].colSpan < col.gridColumnSpan) {
                    // If the column already in the columnSizes has smaller span, we still need to fill any empty places with the current col.
                    // Start from where the smaller column set would end and apply the bigger column to the rest depending on how much it spans.
                    // Since here we do not have it in columnSizes we set it as a new column keeping the same colSpan.
                    for (var i = col.colStart - 1 + columnSizes[col.colStart - 1].colSpan; i < col.colStart - 1 + col.gridColumnSpan; i++) {
                        if (!columnSizes[i] || !columnSizes[i].widthSetByUser) {
                            columnSizes[i] = {
                                ref: col,
                                width: col.widthSetByUser || _this.grid.columnWidthSetByUser ? parseInt(col.calcWidth, 10) : null,
                                colSpan: col.gridColumnSpan,
                                colEnd: col.colStart + col.gridColumnSpan,
                                widthSetByUser: col.widthSetByUser
                            };
                        }
                        else {
                            break;
                        }
                    }
                }
            });
            // Flatten columnSizes so there are not columns with colSpan > 1
            for (var i = 0; i < columnSizes.length; i++) {
                if (columnSizes[i] && columnSizes[i].colSpan > 1) {
                    /** @type {?} */
                    var j = 1;
                    // Replace all empty places depending on how much the current column spans starting from next col.
                    for (; j < columnSizes[i].colSpan && i + j + 1 < columnSizes[i].colEnd; j++) {
                        if (columnSizes[i + j] &&
                            ((!columnSizes[i].width && columnSizes[i + j].width) ||
                                (!columnSizes[i].width && !columnSizes[i + j].width && columnSizes[i + j].colSpan <= columnSizes[i].colSpan) ||
                                (!!columnSizes[i + j].width && columnSizes[i + j].colSpan <= columnSizes[i].colSpan))) {
                            // If we reach an already defined column that has width and the current doesn't have or
                            // if the reached column has bigger colSpan we stop.
                            break;
                        }
                        else {
                            /** @type {?} */
                            var width = columnSizes[i].widthSetByUser ?
                                columnSizes[i].width / columnSizes[i].colSpan :
                                columnSizes[i].width;
                            columnSizes[i + j] = {
                                ref: columnSizes[i].ref,
                                width: width,
                                colSpan: 1,
                                colEnd: columnSizes[i].colEnd,
                                widthSetByUser: columnSizes[i].widthSetByUser
                            };
                        }
                    }
                    // Update the current column width so it is divided between all columns it spans and set it to 1.
                    columnSizes[i].width = columnSizes[i].widthSetByUser ?
                        columnSizes[i].width / columnSizes[i].colSpan :
                        columnSizes[i].width;
                    columnSizes[i].colSpan = 1;
                    // Update the index based on how much we have replaced. Subtract 1 because we started from 1.
                    i += j - 1;
                }
            }
            return columnSizes;
        };
        /**
         * @param {?} children
         * @return {?}
         */
        IgxColumnComponent.prototype.getFilledChildColumnSizes = /**
         * @param {?} children
         * @return {?}
         */
        function (children) {
            /** @type {?} */
            var columnSizes = this.getInitialChildColumnSizes(children);
            // fill the gaps if there are any
            /** @type {?} */
            var result = [];
            for (var i = 0; i < columnSizes.length; i++) {
                if (columnSizes[i] && !!columnSizes[i].width) {
                    result.push(columnSizes[i].width + 'px');
                }
                else {
                    result.push(parseInt(this.grid.getPossibleColumnWidth(), 10) + 'px');
                }
            }
            return result;
        };
        /**
         * @protected
         * @param {?} children
         * @return {?}
         */
        IgxColumnComponent.prototype.getColumnSizesString = /**
         * @protected
         * @param {?} children
         * @return {?}
         */
        function (children) {
            /** @type {?} */
            var res = this.getFilledChildColumnSizes(children);
            return res.join(' ');
        };
        /**
         * @return {?}
         */
        IgxColumnComponent.prototype.getResizableColUnderEnd = /**
         * @return {?}
         */
        function () {
            if (this.columnLayout || !this.columnLayoutChild || this.columnGroup) {
                return [{ target: this, spanUsed: 1 }];
            }
            /** @type {?} */
            var columnSized = this.getInitialChildColumnSizes(this.parent.children);
            /** @type {?} */
            var targets = [];
            /** @type {?} */
            var colEnd = this.colEnd ? this.colEnd : this.colStart + 1;
            for (var i = 0; i < columnSized.length; i++) {
                if (this.colStart <= i + 1 && i + 1 < colEnd) {
                    targets.push({ target: columnSized[i].ref, spanUsed: 1 });
                }
            }
            /** @type {?} */
            var targetsSquashed = [];
            for (var j = 0; j < targets.length; j++) {
                if (targetsSquashed.length && targetsSquashed[targetsSquashed.length - 1].target.field === targets[j].target.field) {
                    targetsSquashed[targetsSquashed.length - 1].spanUsed++;
                }
                else {
                    targetsSquashed.push(targets[j]);
                }
            }
            return targetsSquashed;
        };
        /**
         * Pins the column at the provided index in the pinned area. Defaults to index `0` if not provided.
         * Returns `true` if the column is successfully pinned. Returns `false` if the column cannot be pinned.
         * Column cannot be pinned if:
         * - Is already pinned
         * - index argument is out of range
         * - The pinned area exceeds 80% of the grid width
         * ```typescript
         * let success = this.column.pin();
         * ```
         * @memberof IgxColumnComponent
         */
        /**
         * Pins the column at the provided index in the pinned area. Defaults to index `0` if not provided.
         * Returns `true` if the column is successfully pinned. Returns `false` if the column cannot be pinned.
         * Column cannot be pinned if:
         * - Is already pinned
         * - index argument is out of range
         * - The pinned area exceeds 80% of the grid width
         * ```typescript
         * let success = this.column.pin();
         * ```
         * \@memberof IgxColumnComponent
         * @param {?=} index
         * @return {?}
         */
        IgxColumnComponent.prototype.pin = /**
         * Pins the column at the provided index in the pinned area. Defaults to index `0` if not provided.
         * Returns `true` if the column is successfully pinned. Returns `false` if the column cannot be pinned.
         * Column cannot be pinned if:
         * - Is already pinned
         * - index argument is out of range
         * - The pinned area exceeds 80% of the grid width
         * ```typescript
         * let success = this.column.pin();
         * ```
         * \@memberof IgxColumnComponent
         * @param {?=} index
         * @return {?}
         */
        function (index) {
            // TODO: Probably should the return type of the old functions
            // should be moved as a event parameter.
            if (this.grid) {
                this.grid.endEdit(true);
            }
            if (this._pinned) {
                return false;
            }
            if (this.parent && !this.parent.pinned) {
                return this.topLevelParent.pin(index);
            }
            /** @type {?} */
            var grid = ((/** @type {?} */ (this.grid)));
            /** @type {?} */
            var hasIndex = index !== undefined;
            if (hasIndex && (index < 0 || index >= grid.pinnedColumns.length)) {
                return false;
            }
            if (!this.parent && !this.pinnable) {
                return false;
            }
            this._pinned = true;
            this.pinnedChange.emit(this._pinned);
            this._unpinnedIndex = grid._unpinnedColumns.indexOf(this);
            index = index !== undefined ? index : grid._pinnedColumns.length;
            /** @type {?} */
            var targetColumn = grid._pinnedColumns[index];
            /** @type {?} */
            var args = { column: this, insertAtIndex: index, isPinned: true };
            grid.onColumnPinning.emit(args);
            if (grid._pinnedColumns.indexOf(this) === -1) {
                grid._pinnedColumns.splice(args.insertAtIndex, 0, this);
                if (grid._unpinnedColumns.indexOf(this) !== -1) {
                    grid._unpinnedColumns.splice(grid._unpinnedColumns.indexOf(this), 1);
                }
            }
            if (hasIndex) {
                grid._moveColumns(this, targetColumn);
            }
            if (this.columnGroup) {
                this.allChildren.forEach(function (child) { return child.pin(); });
                grid.reinitPinStates();
            }
            grid.resetCaches();
            grid.notifyChanges();
            if (this.columnLayoutChild) {
                this.grid.columns.filter(function (x) { return x.columnLayout; }).forEach(function (x) { return x.populateVisibleIndexes(); });
            }
            this.grid.filteringService.refreshExpressions();
            // this.grid.refreshSearch(true);
            return true;
        };
        /**
         * Unpins the column and place it at the provided index in the unpinned area. Defaults to index `0` if not provided.
         * Returns `true` if the column is successfully unpinned. Returns `false` if the column cannot be unpinned.
         * Column cannot be unpinned if:
         * - Is already unpinned
         * - index argument is out of range
         * ```typescript
         * let success = this.column.unpin();
         * ```
         * @memberof IgxColumnComponent
         */
        /**
         * Unpins the column and place it at the provided index in the unpinned area. Defaults to index `0` if not provided.
         * Returns `true` if the column is successfully unpinned. Returns `false` if the column cannot be unpinned.
         * Column cannot be unpinned if:
         * - Is already unpinned
         * - index argument is out of range
         * ```typescript
         * let success = this.column.unpin();
         * ```
         * \@memberof IgxColumnComponent
         * @param {?=} index
         * @return {?}
         */
        IgxColumnComponent.prototype.unpin = /**
         * Unpins the column and place it at the provided index in the unpinned area. Defaults to index `0` if not provided.
         * Returns `true` if the column is successfully unpinned. Returns `false` if the column cannot be unpinned.
         * Column cannot be unpinned if:
         * - Is already unpinned
         * - index argument is out of range
         * ```typescript
         * let success = this.column.unpin();
         * ```
         * \@memberof IgxColumnComponent
         * @param {?=} index
         * @return {?}
         */
        function (index) {
            if (this.grid) {
                this.grid.endEdit(true);
            }
            if (!this._pinned) {
                return false;
            }
            if (this.parent && this.parent.pinned) {
                return this.topLevelParent.unpin(index);
            }
            /** @type {?} */
            var grid = ((/** @type {?} */ (this.grid)));
            /** @type {?} */
            var hasIndex = index !== undefined;
            if (hasIndex && (index < 0 || index >= grid._unpinnedColumns.length)) {
                return false;
            }
            index = (index !== undefined ? index :
                this._unpinnedIndex !== undefined ? this._unpinnedIndex : this.index);
            this._pinned = false;
            this.pinnedChange.emit(this._pinned);
            /** @type {?} */
            var targetColumn = grid._unpinnedColumns[index];
            grid._unpinnedColumns.splice(index, 0, this);
            if (grid._pinnedColumns.indexOf(this) !== -1) {
                grid._pinnedColumns.splice(grid._pinnedColumns.indexOf(this), 1);
            }
            if (hasIndex) {
                grid._moveColumns(this, targetColumn);
            }
            if (this.columnGroup) {
                this.allChildren.forEach(function (child) { return child.unpin(); });
            }
            grid.reinitPinStates();
            grid.resetCaches();
            /** @type {?} */
            var insertAtIndex = grid._unpinnedColumns.indexOf(this);
            /** @type {?} */
            var args = { column: this, insertAtIndex: insertAtIndex, isPinned: false };
            grid.onColumnPinning.emit(args);
            grid.notifyChanges();
            if (this.columnLayoutChild) {
                this.grid.columns.filter(function (x) { return x.columnLayout; }).forEach(function (x) { return x.populateVisibleIndexes(); });
            }
            this.grid.filteringService.refreshExpressions();
            // this.grid.refreshSearch(true);
            return true;
        };
        Object.defineProperty(IgxColumnComponent.prototype, "topLevelParent", {
            /**
             * Returns a reference to the top level parent column.
             * ```typescript
             * let topLevelParent =  this.column.topLevelParent;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the top level parent column.
             * ```typescript
             * let topLevelParent =  this.column.topLevelParent;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var parent = this.parent;
                while (parent && parent.parent) {
                    parent = parent.parent;
                }
                return parent;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "headerCell", {
            /**
             * Returns a reference to the header of the column.
             * ```typescript
             * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
             * let headerCell = column.headerCell;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the header of the column.
             * ```typescript
             * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
             * let headerCell = column.headerCell;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                var _this = this;
                return this.grid.headerCellList.find(function (header) { return header.column === _this; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "filterCell", {
            /**
            * Returns a reference to the filter cell of the column.
            * ```typescript
            * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
            * let filterell = column.filterell;
            * ```
            * @memberof IgxColumnComponent
            */
            get: /**
             * Returns a reference to the filter cell of the column.
             * ```typescript
             * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
             * let filterell = column.filterell;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                var _this = this;
                return this.grid.filterCellList.find(function (filterCell) { return filterCell.column === _this; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnComponent.prototype, "headerGroup", {
            /**
             * Returns a reference to the header group of the column.
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a reference to the header group of the column.
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                var _this = this;
                return this.grid.headerGroupsList.find(function (headerGroup) { return headerGroup.column === _this; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Autosize the column to the longest currently visible cell value, including the header cell.
         * ```typescript
         * @ViewChild('grid') grid: IgxGridComponent;
         * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
         * column.autosize();
         * ```
         * @memberof IgxColumnComponent
         */
        /**
         * Autosize the column to the longest currently visible cell value, including the header cell.
         * ```typescript
         * \@ViewChild('grid') grid: IgxGridComponent;
         * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
         * column.autosize();
         * ```
         * \@memberof IgxColumnComponent
         * @return {?}
         */
        IgxColumnComponent.prototype.autosize = /**
         * Autosize the column to the longest currently visible cell value, including the header cell.
         * ```typescript
         * \@ViewChild('grid') grid: IgxGridComponent;
         * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
         * column.autosize();
         * ```
         * \@memberof IgxColumnComponent
         * @return {?}
         */
        function () {
            if (!this.columnGroup) {
                this.width = this.getLargestCellWidth();
                this.grid.reflow();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnComponent.prototype.getCalcWidth = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this._calcWidth !== null && !isNaN(this.calcPixelWidth)) {
                return this._calcWidth;
            }
            this.cacheCalcWidth();
            return this._calcWidth;
        };
        /**
         * @hidden
         * Returns the size (in pixels) of the longest currently visible cell, including the header cell.
         * ```typescript
         * @ViewChild('grid') grid: IgxGridComponent;
         *
         * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
         * let size = column.getLargestCellWidth();
         * ```
         * @memberof IgxColumnComponent
         */
        /**
         * @hidden
         * Returns the size (in pixels) of the longest currently visible cell, including the header cell.
         * ```typescript
         * \@ViewChild('grid') grid: IgxGridComponent;
         *
         * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
         * let size = column.getLargestCellWidth();
         * ```
         * \@memberof IgxColumnComponent
         * @return {?}
         */
        IgxColumnComponent.prototype.getLargestCellWidth = /**
         * @hidden
         * Returns the size (in pixels) of the longest currently visible cell, including the header cell.
         * ```typescript
         * \@ViewChild('grid') grid: IgxGridComponent;
         *
         * let column = this.grid.columnList.filter(c => c.field === 'ID')[0];
         * let size = column.getLargestCellWidth();
         * ```
         * \@memberof IgxColumnComponent
         * @return {?}
         */
        function () {
            /** @type {?} */
            var range = this.grid.document.createRange();
            /** @type {?} */
            var largest = new Map();
            if (this.cells.length > 0) {
                /** @type {?} */
                var cellsContentWidths_1 = [];
                if (this.cells[0].nativeElement.children.length > 0) {
                    this.cells.forEach(function (cell) { return cellsContentWidths_1.push(cell.calculateSizeToFit(range)); });
                }
                else {
                    cellsContentWidths_1 = this.cells.map(function (cell) { return getNodeSizeViaRange(range, cell.nativeElement); });
                }
                /** @type {?} */
                var index = cellsContentWidths_1.indexOf(Math.max.apply(Math, __spread(cellsContentWidths_1)));
                /** @type {?} */
                var cellStyle = this.grid.document.defaultView.getComputedStyle(this.cells[index].nativeElement);
                /** @type {?} */
                var cellPadding = parseFloat(cellStyle.paddingLeft) + parseFloat(cellStyle.paddingRight) +
                    parseFloat(cellStyle.borderRightWidth);
                largest.set(Math.max.apply(Math, __spread(cellsContentWidths_1)), cellPadding);
            }
            if (this.headerCell) {
                /** @type {?} */
                var headerCell = void 0;
                if (this.headerTemplate && this.headerCell.elementRef.nativeElement.children[0].children.length > 0) {
                    headerCell = Math.max.apply(Math, __spread(Array.from(this.headerCell.elementRef.nativeElement.children[0].children)
                        .map(function (child) { return getNodeSizeViaRange(range, child); })));
                }
                else {
                    headerCell = getNodeSizeViaRange(range, this.headerCell.elementRef.nativeElement.children[0]);
                }
                if (this.sortable || this.filterable) {
                    headerCell += this.headerCell.elementRef.nativeElement.children[1].getBoundingClientRect().width;
                }
                /** @type {?} */
                var headerStyle = this.grid.document.defaultView.getComputedStyle(this.headerCell.elementRef.nativeElement);
                /** @type {?} */
                var headerPadding = parseFloat(headerStyle.paddingLeft) + parseFloat(headerStyle.paddingRight) +
                    parseFloat(headerStyle.borderRightWidth);
                largest.set(headerCell, headerPadding);
            }
            /** @type {?} */
            var largestCell = Math.max.apply(Math, __spread(Array.from(largest.keys())));
            /** @type {?} */
            var width = Math.ceil(largestCell + largest.get(largestCell));
            if (Number.isNaN(width)) {
                return this.width;
            }
            else {
                return width + 'px';
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnComponent.prototype.getCellWidth = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var colWidth = this.width;
            /** @type {?} */
            var isPercentageWidth = colWidth && typeof colWidth === 'string' && colWidth.indexOf('%') !== -1;
            if (this.columnLayoutChild) {
                return '';
            }
            if (colWidth && !isPercentageWidth) {
                /** @type {?} */
                var cellWidth = colWidth;
                if (typeof cellWidth !== 'string' || cellWidth.endsWith('px') === false) {
                    cellWidth += 'px';
                }
                return cellWidth;
            }
            else {
                return colWidth;
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @protected
         * @return {?}
         */
        IgxColumnComponent.prototype.cacheCalcWidth = /**
         * @hidden
         * \@internal
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var colWidth = this.width;
            /** @type {?} */
            var isPercentageWidth = colWidth && typeof colWidth === 'string' && colWidth.indexOf('%') !== -1;
            if (isPercentageWidth) {
                this._calcWidth = parseInt(colWidth, 10) / 100 * (grid.calcWidth - grid.featureColumnsWidth);
            }
            else if (!colWidth) {
                // no width
                this._calcWidth = this.defaultWidth || grid.getPossibleColumnWidth();
            }
            else {
                this._calcWidth = this.width;
            }
            this.calcPixelWidth = parseInt(this._calcWidth, 10);
        };
        Object.defineProperty(IgxColumnComponent.prototype, "pinnable", {
            /**
             *@hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var gridUnpinnedWidth = ((/** @type {?} */ (this.grid))).getUnpinnedWidth(true);
                /** @type {?} */
                var elementWidth = this.parent ? parseInt(this.topLevelParent.width, 10) : parseInt(this.width, 10);
                return ((/** @type {?} */ (this.grid)))._init || !((gridUnpinnedWidth - elementWidth) < this.grid.unpinnedAreaMinWidth);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnComponent.prototype.populateVisibleIndexes = /**
         * @hidden
         * @return {?}
         */
        function () { };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        IgxColumnComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-column',
                        template: ""
                    }] }
        ];
        /** @nocollapse */
        IgxColumnComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: core.ChangeDetectorRef },
            { type: IgxRowIslandAPIService }
        ]; };
        IgxColumnComponent.propDecorators = {
            field: [{ type: core.Input }],
            header: [{ type: core.Input }],
            sortable: [{ type: core.Input }],
            groupable: [{ type: core.Input }],
            editable: [{ type: core.Input }],
            filterable: [{ type: core.Input }],
            resizable: [{ type: core.Input }],
            hasSummary: [{ type: core.Input }],
            hidden: [{ type: core.Input }],
            hiddenChange: [{ type: core.Output }],
            disableHiding: [{ type: core.Input }],
            disablePinning: [{ type: core.Input }],
            movable: [{ type: core.Input }],
            width: [{ type: core.Input }],
            widthChange: [{ type: core.Output }],
            maxWidth: [{ type: core.Input }],
            minWidth: [{ type: core.Input }],
            headerClasses: [{ type: core.Input }],
            headerGroupClasses: [{ type: core.Input }],
            cellClasses: [{ type: core.Input }],
            cellStyles: [{ type: core.Input }],
            formatter: [{ type: core.Input }],
            filteringIgnoreCase: [{ type: core.Input }],
            sortingIgnoreCase: [{ type: core.Input }],
            dataType: [{ type: core.Input }],
            pinned: [{ type: core.Input }],
            pinnedChange: [{ type: core.Output }],
            summaries: [{ type: core.Input }],
            searchable: [{ type: core.Input }],
            filters: [{ type: core.Input }],
            sortStrategy: [{ type: core.Input }],
            groupingComparer: [{ type: core.Input }],
            bodyTemplate: [{ type: core.Input, args: ['cellTemplate',] }],
            headerTemplate: [{ type: core.Input }],
            inlineEditorTemplate: [{ type: core.Input, args: ['cellEditorTemplate',] }],
            filterCellTemplate: [{ type: core.Input, args: ['filterCellTemplate',] }],
            rowEnd: [{ type: core.Input }],
            colEnd: [{ type: core.Input }],
            rowStart: [{ type: core.Input }],
            colStart: [{ type: core.Input }],
            cellTemplate: [{ type: core.ContentChild, args: [IgxCellTemplateDirective, { read: IgxCellTemplateDirective, static: false },] }],
            headTemplate: [{ type: core.ContentChildren, args: [IgxCellHeaderTemplateDirective, { read: IgxCellHeaderTemplateDirective, descendants: false },] }],
            editorTemplate: [{ type: core.ContentChild, args: [IgxCellEditorTemplateDirective, { read: IgxCellEditorTemplateDirective, static: false },] }],
            filterCellTemplateDirective: [{ type: core.ContentChild, args: [IgxFilterCellTemplateDirective, { read: IgxFilterCellTemplateDirective, static: false },] }]
        };
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "header", void 0);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "sortable", void 0);
        __decorate([
            notifyChanges(true),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "groupable", void 0);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxColumnComponent.prototype, "editable", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "filterable", void 0);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "resizable", void 0);
        __decorate([
            notifyChanges(true),
            WatchColumnChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxColumnComponent.prototype, "hasSummary", null);
        __decorate([
            notifyChanges(true),
            WatchColumnChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxColumnComponent.prototype, "hidden", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "disableHiding", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "disablePinning", void 0);
        __decorate([
            WatchColumnChanges(),
            notifyChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "movable", void 0);
        __decorate([
            notifyChanges(true),
            WatchColumnChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxColumnComponent.prototype, "width", null);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", String)
        ], IgxColumnComponent.prototype, "maxWidth", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxColumnComponent.prototype, "minWidth", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "headerClasses", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "headerGroupClasses", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "cellClasses", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "cellStyles", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Function)
        ], IgxColumnComponent.prototype, "formatter", void 0);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "filteringIgnoreCase", void 0);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "sortingIgnoreCase", void 0);
        __decorate([
            WatchColumnChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxColumnComponent.prototype, "pinned", null);
        __decorate([
            DeprecateProperty("The property is deprecated. Please, use `column.grid.id` instead."),
            __metadata("design:type", String)
        ], IgxColumnComponent.prototype, "gridID", void 0);
        __decorate([
            notifyChanges(true),
            WatchColumnChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxColumnComponent.prototype, "summaries", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", Object)
        ], IgxColumnComponent.prototype, "searchable", void 0);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", core.TemplateRef),
            __metadata("design:paramtypes", [core.TemplateRef])
        ], IgxColumnComponent.prototype, "bodyTemplate", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", core.TemplateRef),
            __metadata("design:paramtypes", [core.TemplateRef])
        ], IgxColumnComponent.prototype, "headerTemplate", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", core.TemplateRef),
            __metadata("design:paramtypes", [core.TemplateRef])
        ], IgxColumnComponent.prototype, "inlineEditorTemplate", null);
        __decorate([
            notifyChanges(),
            WatchColumnChanges(),
            __metadata("design:type", core.TemplateRef),
            __metadata("design:paramtypes", [core.TemplateRef])
        ], IgxColumnComponent.prototype, "filterCellTemplate", null);
        return IgxColumnComponent;
    }());
    var IgxColumnGroupComponent = /** @class */ (function (_super) {
        __extends(IgxColumnGroupComponent, _super);
        function IgxColumnGroupComponent(gridAPI, cdr, rowIslandAPI) {
            var _this = 
            // D.P. constructor duplication due to es6 compilation, might be obsolete in the future
            _super.call(this, gridAPI, cdr, rowIslandAPI) || this;
            _this.gridAPI = gridAPI;
            _this.cdr = cdr;
            _this.rowIslandAPI = rowIslandAPI;
            _this.children = new core.QueryList();
            /**
             * Sets/gets whether the column group is `searchable`.
             * Default value is `true`.
             * ```typescript
             * let isSearchable =  this.columnGroup.searchable;
             * ```
             * ```html
             *  <igx-column-group [searchable] = "false"></igx-column-group>
             * ```
             * \@memberof IgxColumnGroupComponent
             */
            _this.searchable = true;
            /**
             * @hidden
             */
            _this.hiddenChange = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxColumnGroupComponent.prototype, "summaries", {
            /**
             * Gets the column group `summaries`.
             * ```typescript
             * let columnGroupSummaries = this.columnGroup.summaries;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Gets the column group `summaries`.
             * ```typescript
             * let columnGroupSummaries = this.columnGroup.summaries;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return this._summaries;
            },
            /**
             * Sets the column group `summaries`.
             * ```typescript
             * this.columnGroup.summaries = IgxNumberSummaryOperand;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            set: /**
             * Sets the column group `summaries`.
             * ```typescript
             * this.columnGroup.summaries = IgxNumberSummaryOperand;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @param {?} classRef
             * @return {?}
             */
            function (classRef) { },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "filters", {
            /**
             * Gets the column group `filters`.
             * ```typescript
             * let columnGroupFilters = this.columnGroup.filters;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Gets the column group `filters`.
             * ```typescript
             * let columnGroupFilters = this.columnGroup.filters;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return this._filters;
            },
            /**
             * Sets the column group `filters`.
             * ```typescript
             * this.columnGroup.filters = IgxStringFilteringOperand;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            set: /**
             * Sets the column group `filters`.
             * ```typescript
             * this.columnGroup.filters = IgxStringFilteringOperand;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @param {?} classRef
             * @return {?}
             */
            function (classRef) { },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "bodyTemplate", {
            /**
             * Returns a reference to the body template.
             * ```typescript
             * let bodyTemplate = this.columnGroup.bodyTemplate;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Returns a reference to the body template.
             * ```typescript
             * let bodyTemplate = this.columnGroup.bodyTemplate;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return this._bodyTemplate;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} template
             * @return {?}
             */
            function (template) { },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "inlineEditorTemplate", {
            /**
             * Returns a reference to the inline editor template.
             * ```typescript
             * let inlineEditorTemplate = this.columnGroup.inlineEditorTemplate;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Returns a reference to the inline editor template.
             * ```typescript
             * let inlineEditorTemplate = this.columnGroup.inlineEditorTemplate;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return this._inlineEditorTemplate;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} template
             * @return {?}
             */
            function (template) { },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "cells", {
            /**
             * Gets the column group cells.
             * ```typescript
             * let columnCells = this.columnGroup.cells;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Gets the column group cells.
             * ```typescript
             * let columnCells = this.columnGroup.cells;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return [];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "hidden", {
            /**
             * Gets whether the column group is hidden.
             * ```typescript
             * let isHidden = this.columnGroup.hidden;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Gets whether the column group is hidden.
             * ```typescript
             * let isHidden = this.columnGroup.hidden;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return this.allChildren.every(function (c) { return c.hidden; });
            },
            /**
             * Sets the column group hidden property.
             * ```html
             * <igx-column [hidden] = "true"></igx-column>
             * ```
             *
             * Two-way data binding
             * ```html
             * <igx-column [(hidden)] = "model.columns[0].isHidden"></igx-column>
             * ```
             * @memberof IgxColumnGroupComponent
             */
            set: /**
             * Sets the column group hidden property.
             * ```html
             * <igx-column [hidden] = "true"></igx-column>
             * ```
             *
             * Two-way data binding
             * ```html
             * <igx-column [(hidden)] = "model.columns[0].isHidden"></igx-column>
             * ```
             * \@memberof IgxColumnGroupComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._hidden = value;
                this.hiddenChange.emit(this._hidden);
                this.children.forEach(function (child) { return child.hidden = value; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnGroupComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            /*
                @ContentChildren with descendants still returns the `parent`
                component in the query list.
            */
            if (this.headTemplate && this.headTemplate.length) {
                this._headerTemplate = this.headTemplate.toArray()[0].template;
            }
            this.children.reset(this.children.toArray().slice(1));
            this.children.forEach(function (child) {
                child.parent = _this;
            });
            /*
                TO DO: In Angular 9 this need to be removed, because the @ContentChildren will not return the `parent`
                component in the query list.
            */
            this.children.changes.pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (change) {
                if (change.first === _this) {
                    _this.children.reset(_this.children.toArray().slice(1));
                    _this.children.forEach(function (child) {
                        child.parent = _this;
                    });
                }
            });
        };
        Object.defineProperty(IgxColumnGroupComponent.prototype, "allChildren", {
            /**
             * Returns the children columns collection.
             * ```typescript
             * let columns =  this.columnGroup.allChildren;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Returns the children columns collection.
             * ```typescript
             * let columns =  this.columnGroup.allChildren;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return flatten(this.children.toArray());
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "columnGroup", {
            /**
             * Returns a boolean indicating if the column is a `ColumnGroup`.
             * ```typescript
             * let isColumnGroup =  this.columnGroup.columnGroup
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Returns a boolean indicating if the column is a `ColumnGroup`.
             * ```typescript
             * let isColumnGroup =  this.columnGroup.columnGroup
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "columnLayout", {
            /**
             * Returns a boolean indicating if the column is a `ColumnLayout` for multi-row layout.
             * ```typescript
             * let columnGroup =  this.column.columnGroup;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Returns a boolean indicating if the column is a `ColumnLayout` for multi-row layout.
             * ```typescript
             * let columnGroup =  this.column.columnGroup;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                return false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnGroupComponent.prototype, "width", {
            /**
             * Gets the width of the column group.
             * ```typescript
             * let columnGroupWidth = this.columnGroup.width;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Gets the width of the column group.
             * ```typescript
             * let columnGroupWidth = this.columnGroup.width;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var isChildrenWidthInPercent = false;
                /** @type {?} */
                var width;
                width = "" + this.children.reduce(function (acc, val) {
                    if (val.hidden) {
                        return acc;
                    }
                    if (typeof val.width === 'string' && val.width.indexOf('%') !== -1) {
                        isChildrenWidthInPercent = true;
                    }
                    return acc + parseInt(val.width, 10);
                }, 0);
                return isChildrenWidthInPercent ? width + '%' : width;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) { },
            enumerable: true,
            configurable: true
        });
        IgxColumnGroupComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        providers: [{ provide: IgxColumnComponent, useExisting: core.forwardRef(function () { return IgxColumnGroupComponent; }) }],
                        selector: 'igx-column-group',
                        template: ""
                    }] }
        ];
        /** @nocollapse */
        IgxColumnGroupComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: core.ChangeDetectorRef },
            { type: IgxRowIslandAPIService }
        ]; };
        IgxColumnGroupComponent.propDecorators = {
            children: [{ type: core.ContentChildren, args: [IgxColumnComponent, { read: IgxColumnComponent },] }],
            summaries: [{ type: core.Input }],
            searchable: [{ type: core.Input }],
            filters: [{ type: core.Input }],
            hidden: [{ type: core.Input }],
            hiddenChange: [{ type: core.Output }]
        };
        return IgxColumnGroupComponent;
    }(IgxColumnComponent));
    var IgxColumnLayoutComponent = /** @class */ (function (_super) {
        __extends(IgxColumnLayoutComponent, _super);
        function IgxColumnLayoutComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.childrenVisibleIndexes = [];
            return _this;
        }
        Object.defineProperty(IgxColumnLayoutComponent.prototype, "width", {
            /**
             * Gets the width of the column layout.
             * ```typescript
             * let columnGroupWidth = this.columnGroup.width;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /**
             * Gets the width of the column layout.
             * ```typescript
             * let columnGroupWidth = this.columnGroup.width;
             * ```
             * \@memberof IgxColumnGroupComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var width = this.getFilledChildColumnSizes(this.children).reduce(function (acc, val) { return acc + parseInt(val, 10); }, 0);
                return width;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) { },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnLayoutComponent.prototype, "columnLayout", {
            get: /**
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnLayoutComponent.prototype.getCalcWidth = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var borderWidth = 0;
            if (this.headerGroup && this.headerGroup.hasLastPinnedChildColumn) {
                /** @type {?} */
                var headerStyles = this.grid.document.defaultView.getComputedStyle(this.headerGroup.element.nativeElement.children[0]);
                borderWidth = parseInt(headerStyles.borderRightWidth, 10);
            }
            return _super.prototype.getCalcWidth.call(this) + borderWidth;
        };
        Object.defineProperty(IgxColumnLayoutComponent.prototype, "visibleIndex", {
            /**
             * Gets the column visible index.
             * If the column is not visible, returns `-1`.
             * ```typescript
             * let visibleColumnIndex =  this.column.visibleIndex;
             * ```
             * @memberof IgxColumnComponent
             */
            get: /**
             * Gets the column visible index.
             * If the column is not visible, returns `-1`.
             * ```typescript
             * let visibleColumnIndex =  this.column.visibleIndex;
             * ```
             * \@memberof IgxColumnComponent
             * @return {?}
             */
            function () {
                if (!isNaN(this._vIndex)) {
                    return this._vIndex;
                }
                /** @type {?} */
                var unpinnedColumns = this.grid.unpinnedColumns.filter(function (c) { return c.columnLayout && !c.hidden; });
                /** @type {?} */
                var pinnedColumns = this.grid.pinnedColumns.filter(function (c) { return c.columnLayout && !c.hidden; });
                /** @type {?} */
                var vIndex = -1;
                if (!this.pinned) {
                    /** @type {?} */
                    var indexInCollection = unpinnedColumns.indexOf(this);
                    vIndex = indexInCollection === -1 ? -1 : pinnedColumns.length + indexInCollection;
                }
                else {
                    vIndex = pinnedColumns.indexOf(this);
                }
                this._vIndex = vIndex;
                return vIndex;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnLayoutComponent.prototype, "hidden", {
            /*
             * Gets whether the column layout is hidden.
             * ```typescript
             * let isHidden = this.columnGroup.hidden;
             * ```
             * @memberof IgxColumnGroupComponent
             */
            get: /*
                 * Gets whether the column layout is hidden.
                 * ```typescript
                 * let isHidden = this.columnGroup.hidden;
                 * ```
                 * @memberof IgxColumnGroupComponent
                 */
            /**
             * @return {?}
             */
            function () {
                return this._hidden;
            },
            /**
             * Sets the column layout hidden property.
             * ```typescript
             * <igx-column-layout [hidden] = "true"></igx-column->
             * ```
             * @memberof IgxColumnGroupComponent
             */
            set: /**
             * Sets the column layout hidden property.
             * ```typescript
             * <igx-column-layout [hidden] = "true"></igx-column->
             * ```
             * \@memberof IgxColumnGroupComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._hidden = value;
                this.children.forEach(function (child) { return child.hidden = value; });
                if (this.grid && this.grid.columns && this.grid.columns.length > 0) {
                    // reset indexes in case columns are hidden/shown runtime
                    this.grid.columns.filter(function (x) { return x.columnGroup; }).forEach(function (x) { return x.populateVisibleIndexes(); });
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
        */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnLayoutComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            _super.prototype.ngAfterContentInit.call(this);
            if (!this.hidden) {
                this.hidden = this.allChildren.some(function (x) { return x.hidden; });
            }
            else {
                this.children.forEach(function (child) { return child.hidden = _this.hidden; });
            }
            this.children.forEach(function (child) {
                child.movable = false;
            });
        };
        Object.defineProperty(IgxColumnLayoutComponent.prototype, "hasLastPinnedChildColumn", {
            /*
             * Gets whether the group contains the last pinned child column of the column layout.
             * ```typescript
             * let columsHasLastPinned = this.columnLayout.hasLastPinnedChildColumn;
             * ```
             * @memberof IgxColumnLayoutComponent
             */
            get: /*
                 * Gets whether the group contains the last pinned child column of the column layout.
                 * ```typescript
                 * let columsHasLastPinned = this.columnLayout.hasLastPinnedChildColumn;
                 * ```
                 * @memberof IgxColumnLayoutComponent
                 */
            /**
             * @return {?}
             */
            function () {
                return this.children.some(function (child) { return child.isLastPinned; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
        */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnLayoutComponent.prototype.populateVisibleIndexes = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.childrenVisibleIndexes = [];
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var columns = grid && grid.pinnedColumns && grid.unpinnedColumns ? grid.pinnedColumns.concat(grid.unpinnedColumns) : [];
            /** @type {?} */
            var orderedCols = columns
                .filter(function (x) { return !x.columnGroup && !x.hidden; })
                .sort(function (a, b) { return a.rowStart - b.rowStart || columns.indexOf(a.parent) - columns.indexOf(b.parent) || a.colStart - b.colStart; });
            this.children.forEach(function (child) {
                /** @type {?} */
                var rs = child.rowStart || 1;
                /** @type {?} */
                var vIndex = 0;
                // filter out all cols with larger rowStart
                /** @type {?} */
                var cols = orderedCols.filter(function (c) {
                    return !c.columnGroup && (c.rowStart || 1) <= rs;
                });
                vIndex = cols.indexOf(child);
                _this.childrenVisibleIndexes.push({ column: child, index: vIndex });
            });
        };
        IgxColumnLayoutComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        providers: [{ provide: IgxColumnComponent, useExisting: core.forwardRef(function () { return IgxColumnLayoutComponent; }) }],
                        selector: 'igx-column-layout',
                        template: ""
                    }] }
        ];
        IgxColumnLayoutComponent.propDecorators = {
            hidden: [{ type: core.Input }]
        };
        return IgxColumnLayoutComponent;
    }(IgxColumnGroupComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxColumnResizingService = /** @class */ (function () {
        function IgxColumnResizingService(zone) {
            this.zone = zone;
            /**
             * @hidden
             */
            this.resizeCursor = null;
            /**
             * @hidden
             */
            this.showResizer = false;
        }
        Object.defineProperty(IgxColumnResizingService.prototype, "resizerHeight", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var height = this.column.grid.getVisibleContentHeight();
                // Column height multiplier in case there are Column Layouts. The resizer height need to take into account rowStart.
                /** @type {?} */
                var columnHeightMultiplier = 1;
                if (this.column.columnLayoutChild) {
                    columnHeightMultiplier = this.column.grid.multiRowLayoutRowSize - this.column.rowStart + 1;
                }
                if (this.column.level !== 0) {
                    height -= this.column.topLevelParent.headerGroup.height - this.column.headerGroup.height * columnHeightMultiplier;
                }
                return height;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnResizingService.prototype, "restrictResizeMin", {
            /**
             * Returns the minimal possible width to which the column can be resized.
             */
            get: /**
             * Returns the minimal possible width to which the column can be resized.
             * @return {?}
             */
            function () {
                /** @type {?} */
                var actualMinWidth = parseFloat(this.column.minWidth);
                /** @type {?} */
                var minWidth = actualMinWidth < parseFloat(this.column.width) ? actualMinWidth : parseFloat(this.column.width);
                return this.column.headerCell.elementRef.nativeElement.getBoundingClientRect().width - minWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnResizingService.prototype, "restrictResizeMax", {
            /**
             * Returns the maximal possible width to which the column can be resized.
             */
            get: /**
             * Returns the maximal possible width to which the column can be resized.
             * @return {?}
             */
            function () {
                /** @type {?} */
                var actualWidth = this.column.headerCell.elementRef.nativeElement.getBoundingClientRect().width;
                if (this.column.pinned) {
                    /** @type {?} */
                    var pinnedMaxWidth = this.pinnedMaxWidth =
                        this.column.grid.calcPinnedContainerMaxWidth - this.column.grid.getPinnedWidth(true) + actualWidth;
                    if (this.column.maxWidth && parseFloat(this.column.maxWidth) < pinnedMaxWidth) {
                        this.pinnedMaxWidth = this.column.maxWidth;
                        return parseFloat(this.column.maxWidth) - actualWidth;
                    }
                    else {
                        return pinnedMaxWidth - actualWidth;
                    }
                }
                else {
                    if (this.column.maxWidth) {
                        return parseFloat(this.column.maxWidth) - actualWidth;
                    }
                    else {
                        return Number.MAX_SAFE_INTEGER;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Autosizes the column to the longest currently visible cell value, including the header cell.
         * If the column has a predifined maxWidth and the autosized column width will become bigger than it,
         * then the column is sized to its maxWidth.
         * If the column is pinned and the autosized column width will cause the pinned area to become bigger
         * than the maximum allowed pinned area width (80% of the total grid width), autosizing will be deismissed.
         */
        /**
         * Autosizes the column to the longest currently visible cell value, including the header cell.
         * If the column has a predifined maxWidth and the autosized column width will become bigger than it,
         * then the column is sized to its maxWidth.
         * If the column is pinned and the autosized column width will cause the pinned area to become bigger
         * than the maximum allowed pinned area width (80% of the total grid width), autosizing will be deismissed.
         * @return {?}
         */
        IgxColumnResizingService.prototype.autosizeColumnOnDblClick = /**
         * Autosizes the column to the longest currently visible cell value, including the header cell.
         * If the column has a predifined maxWidth and the autosized column width will become bigger than it,
         * then the column is sized to its maxWidth.
         * If the column is pinned and the autosized column width will cause the pinned area to become bigger
         * than the maximum allowed pinned area width (80% of the total grid width), autosizing will be deismissed.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var currentColWidth = this.column.headerCell.elementRef.nativeElement.getBoundingClientRect().width;
            /** @type {?} */
            var size = this.column.getLargestCellWidth();
            if (this.column.pinned) {
                /** @type {?} */
                var newPinnedWidth = this.column.grid.getPinnedWidth(true) - currentColWidth + parseFloat(size);
                if (newPinnedWidth <= this.column.grid.calcPinnedContainerMaxWidth) {
                    this.column.width = size;
                }
            }
            else if (this.column.maxWidth && (parseFloat(size) > parseFloat(this.column.maxWidth))) {
                this.column.width = parseFloat(this.column.maxWidth) + 'px';
            }
            else if (parseFloat(size) < parseFloat(this.column.minWidth)) {
                this.column.width = this.column.minWidth + 'px';
            }
            else {
                this.column.width = size;
            }
            this.zone.run(function () { });
            this.column.grid.onColumnResized.emit({
                column: this.column,
                prevWidth: currentColWidth.toString(),
                newWidth: this.column.width
            });
        };
        /**
         * Resizes the column regaridng to the column minWidth and maxWidth.
         */
        /**
         * Resizes the column regaridng to the column minWidth and maxWidth.
         * @param {?} event
         * @return {?}
         */
        IgxColumnResizingService.prototype.resizeColumn = /**
         * Resizes the column regaridng to the column minWidth and maxWidth.
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.showResizer = false;
            /** @type {?} */
            var diff = event.clientX - this.startResizePos;
            /** @type {?} */
            var currentColWidth = parseFloat(this.column.width);
            /** @type {?} */
            var actualWidth = this.column.headerCell.elementRef.nativeElement.getBoundingClientRect().width;
            currentColWidth = Number.isNaN(currentColWidth) || (currentColWidth < actualWidth) ? actualWidth : currentColWidth;
            /** @type {?} */
            var colMinWidth = this.getColMinWidth(this.column);
            /** @type {?} */
            var colMaxWidth = this.getColMaxWidth(this.column);
            if (this.column.grid.hasColumnLayouts) {
                this.resizeColumnLayoutFor(this.column, diff);
            }
            else {
                if (currentColWidth + diff < colMinWidth) {
                    this.column.width = colMinWidth + 'px';
                }
                else if (colMaxWidth && (currentColWidth + diff > colMaxWidth)) {
                    this.column.width = colMaxWidth + 'px';
                }
                else {
                    this.column.width = (currentColWidth + diff) + 'px';
                }
            }
            this.zone.run(function () { });
            if (currentColWidth !== parseFloat(this.column.width)) {
                this.column.grid.onColumnResized.emit({
                    column: this.column,
                    prevWidth: currentColWidth.toString(),
                    newWidth: this.column.width
                });
            }
            this.isColumnResizing = false;
        };
        /**
         * @protected
         * @param {?} column
         * @return {?}
         */
        IgxColumnResizingService.prototype.getColMinWidth = /**
         * @protected
         * @param {?} column
         * @return {?}
         */
        function (column) {
            /** @type {?} */
            var currentColWidth = parseFloat(column.width);
            /** @type {?} */
            var actualWidth = column.headerCell.elementRef.nativeElement.getBoundingClientRect().width;
            currentColWidth = Number.isNaN(currentColWidth) || (currentColWidth < actualWidth) ? actualWidth : currentColWidth;
            /** @type {?} */
            var actualMinWidth = parseFloat(column.minWidth);
            return actualMinWidth < currentColWidth ? actualMinWidth : currentColWidth;
        };
        /**
         * @protected
         * @param {?} column
         * @return {?}
         */
        IgxColumnResizingService.prototype.getColMaxWidth = /**
         * @protected
         * @param {?} column
         * @return {?}
         */
        function (column) {
            return column.pinned ? parseFloat(this.pinnedMaxWidth) : parseFloat(column.maxWidth);
        };
        /**
         * @protected
         * @param {?} column
         * @param {?} diff
         * @return {?}
         */
        IgxColumnResizingService.prototype.resizeColumnLayoutFor = /**
         * @protected
         * @param {?} column
         * @param {?} diff
         * @return {?}
         */
        function (column, diff) {
            var _this = this;
            /** @type {?} */
            var relativeColumns = column.getResizableColUnderEnd();
            /** @type {?} */
            var combinedSpan = relativeColumns.reduce(function (acc, col) { return acc + col.spanUsed; }, 0);
            if (column.pinned) {
                /** @type {?} */
                var pinnedWidth = this.column.grid.getPinnedWidth(true);
                /** @type {?} */
                var maxPinnedWidth = this.column.grid.calcPinnedContainerMaxWidth;
                if (pinnedWidth + diff > maxPinnedWidth) {
                    diff = maxPinnedWidth - pinnedWidth;
                }
            }
            // Resize first those who might reach min/max width
            /** @type {?} */
            var columnsToResize = __spread(relativeColumns);
            /** @type {?} */
            var updatedDiff = diff;
            /** @type {?} */
            var updatedCombinedSpan = combinedSpan;
            /** @type {?} */
            var setMinMaxCols = false;
            var _loop_1 = function () {
                // Cycle them until there are not ones that reach min/max size, because the diff accumulates after each cycle.
                // This is because we can have at first 2 cols reaching min width and then after
                // recalculating the diff there might be 1 more that reaches min width.
                setMinMaxCols = false;
                /** @type {?} */
                var newCombinedSpan = updatedCombinedSpan;
                /** @type {?} */
                var newColsToResize = [];
                columnsToResize.forEach(function (col) {
                    /** @type {?} */
                    var currentResizeWidth = parseFloat(col.target.calcWidth);
                    /** @type {?} */
                    var resizeScaled = (diff / updatedCombinedSpan) * col.target.gridColumnSpan;
                    /** @type {?} */
                    var minWidth = _this.getColMinWidth(col.target);
                    /** @type {?} */
                    var maxWidth = _this.getColMaxWidth(col.target);
                    if (currentResizeWidth + resizeScaled < minWidth) {
                        col.target.width = minWidth + 'px';
                        updatedDiff += (currentResizeWidth - minWidth);
                        newCombinedSpan -= col.spanUsed;
                        setMinMaxCols = true;
                    }
                    else if (maxWidth && (currentResizeWidth + resizeScaled > maxWidth)) {
                        col.target.width = maxWidth + 'px';
                        updatedDiff -= (maxWidth - currentResizeWidth);
                        newCombinedSpan -= col.spanUsed;
                        setMinMaxCols = true;
                    }
                    else {
                        // Save new ones that can be resized
                        newColsToResize.push(col);
                    }
                });
                updatedCombinedSpan = newCombinedSpan;
                columnsToResize = newColsToResize;
            };
            do {
                _loop_1();
            } while (setMinMaxCols);
            // Those left that don't reach min/max size resize them normally.
            columnsToResize.forEach(function (col) {
                /** @type {?} */
                var currentResizeWidth = parseFloat(col.target.calcWidth);
                /** @type {?} */
                var resizeScaled = (updatedDiff / updatedCombinedSpan) * col.target.gridColumnSpan;
                col.target.width = (currentResizeWidth + resizeScaled) + 'px';
            });
        };
        IgxColumnResizingService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        IgxColumnResizingService.ctorParameters = function () { return [
            { type: core.NgZone }
        ]; };
        return IgxColumnResizingService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var DEFAULT_DATE_FORMAT = 'mediumDate';
    /** @type {?} */
    var DEBOUNCE_TIME = 200;
    /**
     * @hidden
     */
    var IgxResizeHandleDirective = /** @class */ (function () {
        function IgxResizeHandleDirective(zone, element, colResizingService) {
            this.zone = zone;
            this.element = element;
            this.colResizingService = colResizingService;
            /**
             * @hidden
             */
            this._dblClick = false;
            /**
             * @hidden
             */
            this.destroy$ = new rxjs.Subject();
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxResizeHandleDirective.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxResizeHandleDirective.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this.column.columnGroup && this.column.resizable) {
                this.zone.runOutsideAngular(function () {
                    rxjs.fromEvent(_this.element.nativeElement, 'mousedown').pipe(operators.debounceTime(DEBOUNCE_TIME), operators.takeUntil(_this.destroy$)).subscribe(function (event) {
                        if (_this._dblClick) {
                            _this._dblClick = false;
                            return;
                        }
                        if (event.button === 0) {
                            _this._onResizeAreaMouseDown(event);
                            _this.column.grid.resizeLine.resizer.onMousedown(event);
                        }
                    });
                });
                rxjs.fromEvent(this.element.nativeElement, 'mouseup').pipe(operators.debounceTime(DEBOUNCE_TIME), operators.takeUntil(this.destroy$)).subscribe(function () {
                    _this.colResizingService.isColumnResizing = false;
                    _this.colResizingService.showResizer = false;
                    _this.column.grid.cdr.detectChanges();
                });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxResizeHandleDirective.prototype.onMouseOver = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.colResizingService.resizeCursor = 'col-resize';
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxResizeHandleDirective.prototype.onDoubleClick = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._dblClick = true;
            this.colResizingService.column = this.column;
            this.colResizingService.autosizeColumnOnDblClick();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxResizeHandleDirective.prototype._onResizeAreaMouseDown = /**
         * @hidden
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.colResizingService.column = this.column;
            this.colResizingService.isColumnResizing = true;
            this.colResizingService.startResizePos = event.clientX;
            this.colResizingService.showResizer = true;
            this.column.grid.cdr.detectChanges();
        };
        IgxResizeHandleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxResizeHandle]'
                    },] }
        ];
        /** @nocollapse */
        IgxResizeHandleDirective.ctorParameters = function () { return [
            { type: core.NgZone },
            { type: core.ElementRef },
            { type: IgxColumnResizingService }
        ]; };
        IgxResizeHandleDirective.propDecorators = {
            column: [{ type: core.Input, args: ['igxResizeHandle',] }],
            onMouseOver: [{ type: core.HostListener, args: ['mouseover',] }],
            onDoubleClick: [{ type: core.HostListener, args: ['dblclick',] }]
        };
        return IgxResizeHandleDirective;
    }());
    /**
     * @hidden
     */
    var IgxColumnResizerDirective = /** @class */ (function () {
        function IgxColumnResizerDirective(element, document, zone) {
            var _this = this;
            this.element = element;
            this.document = document;
            this.zone = zone;
            this.restrictHResizeMin = Number.MIN_SAFE_INTEGER;
            this.restrictHResizeMax = Number.MAX_SAFE_INTEGER;
            this.resizeEnd = new rxjs.Subject();
            this.resizeStart = new rxjs.Subject();
            this.resize = new rxjs.Subject();
            this._destroy = new rxjs.Subject();
            this.resizeStart.pipe(operators.map(function (event) { return event.clientX; }), operators.takeUntil(this._destroy), operators.switchMap(function (offset) { return _this.resize.pipe(operators.map(function (event) { return event.clientX - offset; }), operators.takeUntil(_this.resizeEnd), operators.takeUntil(_this._destroy)); })).subscribe(function (pos) {
                /** @type {?} */
                var left = _this._left + pos;
                /** @type {?} */
                var min = _this._left - _this.restrictHResizeMin;
                /** @type {?} */
                var max = _this._left + _this.restrictHResizeMax;
                _this.left = left < min ? min : left;
                if (left > max) {
                    _this.left = max;
                }
            });
        }
        /**
         * @return {?}
         */
        IgxColumnResizerDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.zone.runOutsideAngular(function () {
                rxjs.fromEvent(_this.document.defaultView, 'mousemove').pipe(operators.throttle(function () { return rxjs.interval(0, rxjs.animationFrameScheduler); }), operators.takeUntil(_this._destroy)).subscribe(function (res) { return _this.onMousemove(res); });
                rxjs.fromEvent(_this.document.defaultView, 'mouseup').pipe(operators.takeUntil(_this._destroy))
                    .subscribe(function (res) { return _this.onMouseup(res); });
            });
        };
        /**
         * @return {?}
         */
        IgxColumnResizerDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this._destroy.next(true);
            this._destroy.complete();
        };
        Object.defineProperty(IgxColumnResizerDirective.prototype, "left", {
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                var _this = this;
                requestAnimationFrame(function () { return _this.element.nativeElement.style.left = val + 'px'; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnResizerDirective.prototype, "top", {
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                var _this = this;
                requestAnimationFrame(function () { return _this.element.nativeElement.style.top = val + 'px'; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnResizerDirective.prototype.onMouseup = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.resizeEnd.next(event);
            this.resizeEnd.complete();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnResizerDirective.prototype.onMousedown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            /** @type {?} */
            var parent = this.element.nativeElement.parentElement.parentElement;
            this.left = this._left = event.clientX - parent.getBoundingClientRect().left;
            this.top = event.target.getBoundingClientRect().top - parent.getBoundingClientRect().top;
            this.resizeStart.next(event);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnResizerDirective.prototype.onMousemove = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.resize.next(event);
        };
        IgxColumnResizerDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxResizer]'
                    },] }
        ];
        /** @nocollapse */
        IgxColumnResizerDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.NgZone }
        ]; };
        IgxColumnResizerDirective.propDecorators = {
            restrictHResizeMin: [{ type: core.Input }],
            restrictHResizeMax: [{ type: core.Input }],
            resizeEnd: [{ type: core.Output }],
            resizeStart: [{ type: core.Output }],
            resize: [{ type: core.Output }]
        };
        return IgxColumnResizerDirective;
    }());
    /**
     * @hidden
     */
    var IgxColumnMovingService = /** @class */ (function () {
        function IgxColumnMovingService() {
        }
        Object.defineProperty(IgxColumnMovingService.prototype, "column", {
            get: /**
             * @return {?}
             */
            function () {
                return this._column;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val) {
                    this._column = val;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingService.prototype, "icon", {
            get: /**
             * @return {?}
             */
            function () {
                return this._icon;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val) {
                    this._icon = val;
                }
            },
            enumerable: true,
            configurable: true
        });
        IgxColumnMovingService.decorators = [
            { type: core.Injectable, args: [{
                        providedIn: 'root',
                    },] }
        ];
        /** @nocollapse */ IgxColumnMovingService.ngInjectableDef = core.ɵɵdefineInjectable({ factory: function IgxColumnMovingService_Factory() { return new IgxColumnMovingService(); }, token: IgxColumnMovingService, providedIn: "root" });
        return IgxColumnMovingService;
    }());
    /** @enum {number} */
    var DropPosition = {
        BeforeDropTarget: 0,
        AfterDropTarget: 1,
        None: 2,
    };
    DropPosition[DropPosition.BeforeDropTarget] = 'BeforeDropTarget';
    DropPosition[DropPosition.AfterDropTarget] = 'AfterDropTarget';
    DropPosition[DropPosition.None] = 'None';
    /**
     * @hidden
     */
    var IgxColumnMovingDragDirective = /** @class */ (function (_super) {
        __extends(IgxColumnMovingDragDirective, _super);
        function IgxColumnMovingDragDirective(_element, _viewContainer, _zone, _renderer, _cdr, cms) {
            var _this = _super.call(this, _cdr, _element, _viewContainer, _zone, _renderer) || this;
            _this.cms = cms;
            _this._ghostClass = 'igx-grid__drag-ghost-image';
            _this.ghostImgIconClass = 'igx-grid__drag-ghost-image-icon';
            _this.ghostImgIconGroupClass = 'igx-grid__drag-ghost-image-icon-group';
            return _this;
        }
        Object.defineProperty(IgxColumnMovingDragDirective.prototype, "data", {
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._column = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingDragDirective.prototype, "column", {
            get: /**
             * @return {?}
             */
            function () {
                return this._column;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingDragDirective.prototype, "draggable", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column && (this.column.movable || (this.column.groupable && !this.column.columnGroup));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingDragDirective.prototype, "icon", {
            get: /**
             * @return {?}
             */
            function () {
                return this.cms.icon;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this._unsubscribe();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype.onEscape = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.cms.cancelDrop = true;
            this.onPointerUp(event);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype.onPointerDown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this.draggable || event.target.getAttribute('draggable') === 'false') {
                return;
            }
            event.preventDefault();
            event.stopPropagation();
            this._removeOnDestroy = false;
            this.cms.column = this.column;
            this.ghostClass = this._ghostClass;
            _super.prototype.onPointerDown.call(this, event);
            this.cms.isColumnMoving = true;
            this.column.grid.cdr.detectChanges();
            /** @type {?} */
            var args = {
                source: this.column
            };
            this.column.grid.onColumnMovingStart.emit(args);
            this.subscription$ = rxjs.fromEvent(this.column.grid.document.defaultView, 'keydown').subscribe(function (ev) {
                if (ev.key === "Escape" /* ESCAPE */ || ev.key === "Esc" /* ESCAPE_IE */) {
                    _this.onEscape(ev);
                }
            });
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype.onPointerMove = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            _super.prototype.onPointerMove.call(this, event);
            if (this._dragStarted && this.ghostElement && !this.column.grid.draggedColumn) {
                this.column.grid.draggedColumn = this.column;
                this.column.grid.cdr.detectChanges();
            }
            if (this.cms.isColumnMoving) {
                /** @type {?} */
                var args = {
                    source: this.column,
                    cancel: false
                };
                this.column.grid.onColumnMoving.emit(args);
                if (args.cancel) {
                    this.onEscape(event);
                }
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype.onPointerUp = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            // Run it explicitly inside the zone because sometimes onPointerUp executes after the code below.
            this.zone.run(function () {
                _super.prototype.onPointerUp.call(_this, event);
                _this.cms.isColumnMoving = false;
                _this.column.grid.draggedColumn = null;
                _this.column.grid.cdr.detectChanges();
            });
            this._unsubscribe();
        };
        /**
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype.createGhost = /**
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @return {?}
         */
        function (pageX, pageY) {
            _super.prototype.createGhost.call(this, pageX, pageY);
            this.ghostElement.style.height = null;
            this.ghostElement.style.minWidth = null;
            this.ghostElement.style.flexBasis = null;
            this.ghostElement.style.position = null;
            /** @type {?} */
            var icon = document.createElement('i');
            /** @type {?} */
            var text = document.createTextNode('block');
            icon.appendChild(text);
            icon.classList.add('material-icons');
            this.cms.icon = icon;
            if (!this.column.columnGroup) {
                this.renderer.addClass(icon, this.ghostImgIconClass);
                this.ghostElement.insertBefore(icon, this.ghostElement.firstElementChild);
                this.ghostLeft = this._ghostStartX = pageX - ((this.ghostElement.getBoundingClientRect().width / 3) * 2);
                this.ghostTop = this._ghostStartY = pageY - ((this.ghostElement.getBoundingClientRect().height / 3) * 2);
            }
            else {
                this.ghostElement.insertBefore(icon, this.ghostElement.childNodes[0]);
                this.renderer.addClass(icon, this.ghostImgIconGroupClass);
                this.ghostElement.children[0].style.paddingLeft = '0px';
                this.ghostLeft = this._ghostStartX = pageX - ((this.ghostElement.getBoundingClientRect().width / 3) * 2);
                this.ghostTop = this._ghostStartY = pageY - ((this.ghostElement.getBoundingClientRect().height / 3) * 2);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxColumnMovingDragDirective.prototype._unsubscribe = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.subscription$) {
                this.subscription$.unsubscribe();
                this.subscription$ = null;
            }
        };
        IgxColumnMovingDragDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxColumnMovingDrag]'
                    },] }
        ];
        /** @nocollapse */
        IgxColumnMovingDragDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ViewContainerRef },
            { type: core.NgZone },
            { type: core.Renderer2 },
            { type: core.ChangeDetectorRef },
            { type: IgxColumnMovingService }
        ]; };
        IgxColumnMovingDragDirective.propDecorators = {
            data: [{ type: core.Input, args: ['igxColumnMovingDrag',] }]
        };
        return IgxColumnMovingDragDirective;
    }(IgxDragDirective));
    /**
     * @hidden
     */
    var IgxColumnMovingDropDirective = /** @class */ (function (_super) {
        __extends(IgxColumnMovingDropDirective, _super);
        function IgxColumnMovingDropDirective(elementRef, renderer, zone, cms) {
            var _this = _super.call(this, elementRef, renderer, zone) || this;
            _this.elementRef = elementRef;
            _this.renderer = renderer;
            _this.zone = zone;
            _this.cms = cms;
            _this._dropIndicator = null;
            _this._lastDropIndicator = null;
            _this._dragLeave = new rxjs.Subject();
            _this._dropIndicatorClass = 'igx-grid__th-drop-indicator--active';
            return _this;
        }
        Object.defineProperty(IgxColumnMovingDropDirective.prototype, "data", {
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val instanceof IgxColumnComponent) {
                    this._column = val;
                }
                if (val instanceof IgxGridForOfDirective) {
                    this._hVirtDir = val;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingDropDirective.prototype, "column", {
            get: /**
             * @return {?}
             */
            function () {
                return this._column;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingDropDirective.prototype, "isDropTarget", {
            get: /**
             * @return {?}
             */
            function () {
                return this._column && this._column.grid.hasMovableColumns && this.cms.column.movable &&
                    ((!this._column.pinned && this.cms.column.disablePinning) || !this.cms.column.disablePinning);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnMovingDropDirective.prototype, "horizontalScroll", {
            get: /**
             * @return {?}
             */
            function () {
                if (this._hVirtDir) {
                    return this._hVirtDir;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxColumnMovingDropDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this._dragLeave.next(true);
            this._dragLeave.complete();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDropDirective.prototype.onDragOver = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var drag = event.detail.owner;
            if (!(drag instanceof IgxColumnMovingDragDirective)) {
                return;
            }
            if (this.isDropTarget &&
                this.cms.column !== this.column &&
                this.cms.column.level === this.column.level &&
                this.cms.column.parent === this.column.parent) {
                if (this._lastDropIndicator) {
                    this.renderer.removeClass(this._dropIndicator, this._dropIndicatorClass);
                }
                /** @type {?} */
                var clientRect = this.elementRef.nativeElement.getBoundingClientRect();
                /** @type {?} */
                var pos = clientRect.left + clientRect.width / 2;
                /** @type {?} */
                var parent_1 = this.elementRef.nativeElement.parentElement;
                if (event.detail.pageX < pos) {
                    this._dropPos = DropPosition.BeforeDropTarget;
                    this._lastDropIndicator = this._dropIndicator = parent_1.firstElementChild;
                }
                else {
                    this._dropPos = DropPosition.AfterDropTarget;
                    this._lastDropIndicator = this._dropIndicator = parent_1.lastElementChild;
                }
                if (this.cms.icon.innerText !== 'block') {
                    this.renderer.addClass(this._dropIndicator, this._dropIndicatorClass);
                }
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDropDirective.prototype.onDragEnter = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var drag = event.detail.owner;
            if (!(drag instanceof IgxColumnMovingDragDirective)) {
                return;
            }
            if (this.column && this.cms.column.grid.id !== this.column.grid.id) {
                this.cms.icon.innerText = 'block';
                return;
            }
            if (this.isDropTarget &&
                this.cms.column !== this.column &&
                this.cms.column.level === this.column.level &&
                this.cms.column.parent === this.column.parent) {
                if (!this.column.pinned || (this.column.pinned && this.cms.column.pinned)) {
                    this.cms.icon.innerText = 'swap_horiz';
                }
                if (!this.cms.column.pinned && this.column.pinned) {
                    /** @type {?} */
                    var nextPinnedWidth = this.column.grid.getPinnedWidth(true) + parseFloat(this.cms.column.width);
                    if (nextPinnedWidth <= this.column.grid.calcPinnedContainerMaxWidth) {
                        this.cms.icon.innerText = 'lock';
                    }
                    else {
                        this.cms.icon.innerText = 'block';
                    }
                }
            }
            else {
                this.cms.icon.innerText = 'block';
            }
            if (this.horizontalScroll) {
                this.cms.icon.innerText = event.target.id === 'right' ? 'arrow_forward' : 'arrow_back';
                rxjs.interval(100).pipe(operators.takeUntil(this._dragLeave)).subscribe(function () {
                    _this.cms.column.grid.wheelHandler();
                    event.target.id === 'right' ? _this.horizontalScroll.scrollPosition += 15 :
                        _this.horizontalScroll.scrollPosition -= 15;
                });
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDropDirective.prototype.onDragLeave = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var drag = event.detail.owner;
            if (!(drag instanceof IgxColumnMovingDragDirective)) {
                return;
            }
            this.cms.icon.innerText = 'block';
            if (this._dropIndicator) {
                this.renderer.removeClass(this._dropIndicator, this._dropIndicatorClass);
            }
            if (this.horizontalScroll) {
                this._dragLeave.next(true);
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxColumnMovingDropDirective.prototype.onDragDrop = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            /** @type {?} */
            var drag = event.detail.owner;
            if (!(drag instanceof IgxColumnMovingDragDirective)) {
                return;
            }
            if (this.column && (this.cms.column.grid.id !== this.column.grid.id)) {
                return;
            }
            if (this.horizontalScroll) {
                this._dragLeave.next(true);
            }
            if (this.isDropTarget) {
                /** @type {?} */
                var args = {
                    source: this.cms.column,
                    target: this.column
                };
                /** @type {?} */
                var nextPinnedWidth = void 0;
                if (this.column.pinned && !this.cms.column.pinned) {
                    nextPinnedWidth = this.column.grid.getPinnedWidth(true) + parseFloat(this.cms.column.width);
                }
                if ((nextPinnedWidth && nextPinnedWidth > this.column.grid.calcPinnedContainerMaxWidth) ||
                    this.column.level !== this.cms.column.level ||
                    this.column.parent !== this.cms.column.parent ||
                    this.cms.cancelDrop) {
                    this.cms.cancelDrop = false;
                    this.column.grid.onColumnMovingEnd.emit(args);
                    return;
                }
                this.column.grid.moveColumn(this.cms.column, this.column, this._dropPos);
                this.column.grid.draggedColumn = null;
                this.column.grid.cdr.detectChanges();
            }
        };
        IgxColumnMovingDropDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxColumnMovingDrop]'
                    },] }
        ];
        /** @nocollapse */
        IgxColumnMovingDropDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: core.NgZone },
            { type: IgxColumnMovingService }
        ]; };
        IgxColumnMovingDropDirective.propDecorators = {
            data: [{ type: core.Input, args: ['igxColumnMovingDrop',] }]
        };
        return IgxColumnMovingDropDirective;
    }(IgxDropDirective));
    var IgxGridBodyDirective = /** @class */ (function () {
        function IgxGridBodyDirective() {
        }
        IgxGridBodyDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxGridBody]',
                        providers: [IgxForOfSyncService]
                    },] }
        ];
        return IgxGridBodyDirective;
    }());
    /**
     * @hidden
     */
    var IgxDatePipeComponent = /** @class */ (function (_super) {
        __extends(IgxDatePipeComponent, _super);
        function IgxDatePipeComponent(locale) {
            // D.P. constructor duplication due to es6 compilation, might be obsolete in the future
            return _super.call(this, locale) || this;
        }
        /**
         * @param {?} value
         * @param {?} locale
         * @return {?}
         */
        IgxDatePipeComponent.prototype.transform = /**
         * @param {?} value
         * @param {?} locale
         * @return {?}
         */
        function (value, locale) {
            if (value && value instanceof Date) {
                if (locale) {
                    return _super.prototype.transform.call(this, value, DEFAULT_DATE_FORMAT, undefined, locale);
                }
                else {
                    return _super.prototype.transform.call(this, value);
                }
            }
            else {
                return value;
            }
        };
        IgxDatePipeComponent.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxdate'
                    },] }
        ];
        /** @nocollapse */
        IgxDatePipeComponent.ctorParameters = function () { return [
            { type: String, decorators: [{ type: core.Inject, args: [core.LOCALE_ID,] }] }
        ]; };
        return IgxDatePipeComponent;
    }(common.DatePipe));
    /**
     * @hidden
     */
    var IgxDecimalPipeComponent = /** @class */ (function (_super) {
        __extends(IgxDecimalPipeComponent, _super);
        function IgxDecimalPipeComponent(locale) {
            // D.P. constructor duplication due to es6 compilation, might be obsolete in the future
            return _super.call(this, locale) || this;
        }
        /**
         * @param {?} value
         * @param {?} locale
         * @return {?}
         */
        IgxDecimalPipeComponent.prototype.transform = /**
         * @param {?} value
         * @param {?} locale
         * @return {?}
         */
        function (value, locale) {
            if (value && typeof value === 'number') {
                if (locale) {
                    return _super.prototype.transform.call(this, value, undefined, locale);
                }
                else {
                    return _super.prototype.transform.call(this, value);
                }
            }
            else {
                return value;
            }
        };
        IgxDecimalPipeComponent.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxdecimal'
                    },] }
        ];
        /** @nocollapse */
        IgxDecimalPipeComponent.ctorParameters = function () { return [
            { type: String, decorators: [{ type: core.Inject, args: [core.LOCALE_ID,] }] }
        ]; };
        return IgxDecimalPipeComponent;
    }(common.DecimalPipe));
    /**
     * @hidden
     */
    var   /**
     * @hidden
     */
    RowEditPositionStrategy = /** @class */ (function (_super) {
        __extends(RowEditPositionStrategy, _super);
        function RowEditPositionStrategy() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.isTop = false;
            _this.isTopInitialPosition = null;
            return _this;
        }
        /**
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        RowEditPositionStrategy.prototype.position = /**
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        function (contentElement, size, document, initialCall) {
            /** @type {?} */
            var container = this.settings.container;
            // grid.tbody
            /** @type {?} */
            var target = (/** @type {?} */ (this.settings.target));
            // Position of the overlay depends on the available space in the grid.
            // If the bottom space is not enough then the the row overlay will show at the top of the row.
            // Once shown, either top or bottom, then this position stays until the overlay is closed (isTopInitialPosition property),
            // which means that when scrolling then overlay may hide, while the row is still visible (UX requirement).
            this.isTop = this.isTopInitialPosition !== null ?
                this.isTopInitialPosition :
                container.getBoundingClientRect().bottom <
                    target.getBoundingClientRect().bottom + contentElement.getBoundingClientRect().height;
            // Set width of the row editing overlay to equal row width, otherwise it fits 100% of the grid.
            contentElement.style.width = target.clientWidth + 'px';
            this.settings.verticalStartPoint = this.settings.verticalDirection = this.isTop ? VerticalAlignment.Top : VerticalAlignment.Bottom;
            this.settings.openAnimation = this.isTop ? scaleInVerBottom : scaleInVerTop;
            _super.prototype.position.call(this, contentElement, { width: target.clientWidth, height: target.clientHeight }, document, initialCall);
        };
        return RowEditPositionStrategy;
    }(ConnectedPositioningStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @abstract
     */
    var ItemPropertyValueChanged = /** @class */ (function () {
        function ItemPropertyValueChanged(propName) {
            this.valueChanged = new core.EventEmitter();
            this._propName = propName;
        }
        Object.defineProperty(ItemPropertyValueChanged.prototype, "object", {
            get: /**
             * @return {?}
             */
            function () {
                return this._object;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value) {
                    this._object = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ItemPropertyValueChanged.prototype, "value", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.object) ? this.object[this._propName] : null;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.onValueChanged(value);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} value
         * @return {?}
         */
        ItemPropertyValueChanged.prototype.onValueChanged = /**
         * @protected
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var currentValue = this.value;
            if (value !== currentValue) {
                this.object[this._propName] = value;
                this.valueChanged.emit({ oldValue: currentValue, newValue: value });
            }
        };
        ItemPropertyValueChanged.propDecorators = {
            value: [{ type: core.Input }],
            valueChanged: [{ type: core.Output }]
        };
        return ItemPropertyValueChanged;
    }());
    /**
     * @hidden
     */
    var ColumnChooserItemBase = /** @class */ (function (_super) {
        __extends(ColumnChooserItemBase, _super);
        function ColumnChooserItemBase(prop) {
            var _this = _super.call(this, prop) || this;
            _this.prop = prop;
            _this.indentation = 30;
            return _this;
        }
        Object.defineProperty(ColumnChooserItemBase.prototype, "column", {
            get: /**
             * @return {?}
             */
            function () {
                return this.object;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value) {
                    this.object = value;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserItemBase.prototype, "name", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.column) ? ((this.column.header) ? this.column.header : this.column.field) : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserItemBase.prototype, "level", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.level;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserItemBase.prototype, "calcIndent", {
            get: /**
             * @return {?}
             */
            function () {
                return this.indentation * this.level;
            },
            enumerable: true,
            configurable: true
        });
        ColumnChooserItemBase.propDecorators = {
            column: [{ type: core.Input }],
            indentation: [{ type: core.Input }],
            container: [{ type: core.Input }]
        };
        return ColumnChooserItemBase;
    }(ItemPropertyValueChanged));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxColumnHidingItemDirective = /** @class */ (function (_super) {
        __extends(IgxColumnHidingItemDirective, _super);
        function IgxColumnHidingItemDirective() {
            return _super.call(this, 'hidden') || this;
        }
        Object.defineProperty(IgxColumnHidingItemDirective.prototype, "disabled", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.disableHiding;
            },
            enumerable: true,
            configurable: true
        });
        IgxColumnHidingItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxColumnHidingItem]'
                    },] }
        ];
        /** @nocollapse */
        IgxColumnHidingItemDirective.ctorParameters = function () { return []; };
        return IgxColumnHidingItemDirective;
    }(ColumnChooserItemBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var ColumnDisplayOrder = {
        Alphabetical: 'Alphabetical',
        DisplayOrder: 'DisplayOrder',
    };
    var CustomFilteringStrategy = /** @class */ (function (_super) {
        __extends(CustomFilteringStrategy, _super);
        function CustomFilteringStrategy() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} data
         * @param {?} expressionsTree
         * @return {?}
         */
        CustomFilteringStrategy.prototype.filter = /**
         * @param {?} data
         * @param {?} expressionsTree
         * @return {?}
         */
        function (data, expressionsTree) {
            var _this = this;
            /** @type {?} */
            var res = [];
            data.forEach(function (item) {
                if (_this.matchRecord(item, (/** @type {?} */ (expressionsTree.filteringOperands[0])))) {
                    res.push(item);
                }
                else if (item.column.columnGroup) {
                    if (item.column.allChildren.findIndex(function (child) {
                        return _this.matchRecord(child, (/** @type {?} */ (expressionsTree.filteringOperands[1]))) ||
                            _this.matchRecord(child, (/** @type {?} */ (expressionsTree.filteringOperands[2])));
                    }) > -1) {
                        res.push(item);
                    }
                }
            });
            return res;
        };
        return CustomFilteringStrategy;
    }(FilteringStrategy));
    /**
     * @hidden
     * @abstract
     */
    var ColumnChooserBase = /** @class */ (function () {
        function ColumnChooserBase(cdr) {
            this.cdr = cdr;
            /**
             * Hides/ shows the filtering columns input from the UI.
             */
            this.disableFilter = false;
            /**
             * Access to the columnHidingUI:
             * ```typescript
             * \@ViewChild('column-hiding-component')
             *  public columnHidingUI: IgxColumnHidingComponent;
             * ```
             * Sets/gets the max height of the column area.
             * ```typescript
             * let columnsAreaMaxHeight =  this.columnHidingUI.columnsAreaMaxHeight;
             * ```
             *
             * ```html
             * <igx-column-hiding [columnsAreaMaxHeight]="200px"></igx-column-hiding>
             * ```
             * \@memberof ColumnChooserBase
             */
            this.columnsAreaMaxHeight = '100%';
            /**
             * Sets/Gets the css class selector.
             * By default the value of the `class` attribute is `"igx-column-hiding"`.
             * ```typescript
             * let cssCLass =  this.columnHidingUI.cssClass;
             * ```
             * ```typescript
             * this.columnHidingUI.cssClass = 'column-chooser';
             * ```
             * \@memberof ColumnChooserBase
             */
            this.cssClass = 'igx-column-hiding';
            /**
             * @hidden
             */
            this._currentColumns = [];
            /**
             * @hidden
             */
            this._gridColumns = [];
            /**
             * @hidden
             */
            this._rawColumns = [];
            /**
             * @hidden
             */
            this._columnDisplayOrder = ColumnDisplayOrder.DisplayOrder;
            /**
             * @hidden
             */
            this._filterCriteria = '';
            /**
             * @hidden
             */
            this._filterColumnsPrompt = '';
            /**
             * @hidden
             */
            this._title = '';
        }
        Object.defineProperty(ColumnChooserBase.prototype, "columns", {
            /**
             * Gets the grid columns that are going to be manipulated.
             * ```typescript
             * let gridColumns = this.columnHidingUI.columns;
             * ```
             * @memberof ColumnChooserBase
             */
            get: /**
             * Gets the grid columns that are going to be manipulated.
             * ```typescript
             * let gridColumns = this.columnHidingUI.columns;
             * ```
             * \@memberof ColumnChooserBase
             * @return {?}
             */
            function () {
                return this._gridColumns;
            },
            /**
             * Sets the the grid columns that are going to be manipulated.
             * ```html
             * <igx-column-hiding [columns]="grid.columns"></igx-column-hiding>
             * ```
             * @memberof ColumnChooserBase
             */
            set: /**
             * Sets the the grid columns that are going to be manipulated.
             * ```html
             * <igx-column-hiding [columns]="grid.columns"></igx-column-hiding>
             * ```
             * \@memberof ColumnChooserBase
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value) {
                    this._gridColumns = value;
                    this.createColumnItems();
                    if (this.filterCriteria) {
                        this.filter();
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserBase.prototype, "title", {
            /**
             * Sets/gets the title of the column chooser.
             * ```typescript
             * let title =  this.columnHidingUI.title;
             * ```
             * @memberof ColumnChooserBase
             */
            get: /**
             * Sets/gets the title of the column chooser.
             * ```typescript
             * let title =  this.columnHidingUI.title;
             * ```
             * \@memberof ColumnChooserBase
             * @return {?}
             */
            function () {
                return this._title;
            },
            /**
             * ```html
             * <igx-column-hiding [title]="'IgxColumnHidingComponent Title'"></igx-column-hiding>
             * ```
             * @memberof ColumnChooserBase
             */
            set: /**
             * ```html
             * <igx-column-hiding [title]="'IgxColumnHidingComponent Title'"></igx-column-hiding>
             * ```
             * \@memberof ColumnChooserBase
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._title = (value) ? value : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserBase.prototype, "filterColumnsPrompt", {
            /**
             * Gets the prompt that is displayed in the filter input.
             * ```typescript
             * let filterColumnsPrompt =  this.columnHidingUI.filterColumnsPrompt;
             * ```
             * @memberof ColumnChooserBase
             */
            get: /**
             * Gets the prompt that is displayed in the filter input.
             * ```typescript
             * let filterColumnsPrompt =  this.columnHidingUI.filterColumnsPrompt;
             * ```
             * \@memberof ColumnChooserBase
             * @return {?}
             */
            function () {
                return this._filterColumnsPrompt;
            },
            /**
             * Sets the prompt that is going to be displayed in the filter input.
             * ```html
             * <igx-column-hiding [filterColumnsPrompt]="'Type here to search'"></igx-column-hiding>
             * ```
             * @memberof ColumnChooserBase
             */
            set: /**
             * Sets the prompt that is going to be displayed in the filter input.
             * ```html
             * <igx-column-hiding [filterColumnsPrompt]="'Type here to search'"></igx-column-hiding>
             * ```
             * \@memberof ColumnChooserBase
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filterColumnsPrompt = (value) ? value : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserBase.prototype, "columnItems", {
            /**
             * Gets the items of the selected columns.
             * ```typescript
             * let columnItems =  this.columnHidingUI.columnItems;
             * ```
             * @memberof ColumnChooserBase
             */
            get: /**
             * Gets the items of the selected columns.
             * ```typescript
             * let columnItems =  this.columnHidingUI.columnItems;
             * ```
             * \@memberof ColumnChooserBase
             * @return {?}
             */
            function () {
                return this._currentColumns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserBase.prototype, "filterCriteria", {
            /**
             * Gets the value which filters the columns list.
             * ```typescript
             * let filterCriteria =  this.columnHidingUI.filterCriteria;
             * ```
             * @memberof ColumnChooserBase
             */
            get: /**
             * Gets the value which filters the columns list.
             * ```typescript
             * let filterCriteria =  this.columnHidingUI.filterCriteria;
             * ```
             * \@memberof ColumnChooserBase
             * @return {?}
             */
            function () {
                return this._filterCriteria;
            },
            /**
             * Sets the value which filters the columns list.
             * ```html
             *  <igx-column-hiding [filterCriteria]="'ID'"></igx-column-hiding>
             * ```
             * @memberof ColumnChooserBase
             */
            set: /**
             * Sets the value which filters the columns list.
             * ```html
             *  <igx-column-hiding [filterCriteria]="'ID'"></igx-column-hiding>
             * ```
             * \@memberof ColumnChooserBase
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (!value || value.length === 0) {
                    this.clearFiltering();
                    this._filterCriteria = '';
                    this.cdr.detectChanges();
                    return;
                }
                else if (this._filterCriteria && this._filterCriteria.length > value.length) {
                    this.clearFiltering();
                }
                this._filterCriteria = value;
                this.filter();
                this.cdr.detectChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(ColumnChooserBase.prototype, "columnDisplayOrder", {
            /**
             * Gets the display order of the columns.
             * ```typescript
             * let columnDisplayOrder  =  this.columnHidingUI.columnDisplayOrder;
             * ```
             * @memberof ColumnChooserBase
             */
            get: /**
             * Gets the display order of the columns.
             * ```typescript
             * let columnDisplayOrder  =  this.columnHidingUI.columnDisplayOrder;
             * ```
             * \@memberof ColumnChooserBase
             * @return {?}
             */
            function () {
                return this._columnDisplayOrder;
            },
            /**
             * Sets the display order of the columns.
             * ```typescript
             * this.columnHidingUI.columnDisplayOrder = ColumnDisplayOrder.Alphabetical;
             * ```
             * @memberof ColumnChooserBase
             */
            set: /**
             * Sets the display order of the columns.
             * ```typescript
             * this.columnHidingUI.columnDisplayOrder = ColumnDisplayOrder.Alphabetical;
             * ```
             * \@memberof ColumnChooserBase
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value !== undefined) {
                    this.orderColumns(value);
                    if (this._filterCriteria.length > 0) {
                        this.filter();
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        ColumnChooserBase.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            var e_1, _a;
            try {
                for (var _b = __values(this._currentColumns), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var item = _c.value;
                    item.valueChanged.unsubscribe();
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        ColumnChooserBase.prototype.createColumnItems = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this._gridColumns.length > 0) {
                this._rawColumns = [];
                this._gridColumns.forEach(function (column) {
                    /** @type {?} */
                    var item = _this.createColumnItem(_this, column);
                    if (item) {
                        _this._rawColumns.push(item);
                    }
                });
                this._currentColumns = this._rawColumns.slice(0);
                this.orderColumns(this._columnDisplayOrder);
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        ColumnChooserBase.prototype.orderColumns = /**
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._columnDisplayOrder = value;
            if (value === ColumnDisplayOrder[ColumnDisplayOrder.Alphabetical] ||
                value === ColumnDisplayOrder.Alphabetical) {
                this._currentColumns = this._rawColumns.slice(0).sort(function (current, next) {
                    return current.name.toLowerCase().localeCompare(next.name.toLowerCase());
                });
            }
            else {
                this._currentColumns = this._rawColumns;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        ColumnChooserBase.prototype.filter = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var filteringExpressionsTree = new FilteringExpressionsTree(FilteringLogic.Or);
            filteringExpressionsTree.filteringOperands.push(this.createFilteringExpression('name'));
            filteringExpressionsTree.filteringOperands.push(this.createFilteringExpression('field'));
            filteringExpressionsTree.filteringOperands.push(this.createFilteringExpression('header'));
            /** @type {?} */
            var strategy = new CustomFilteringStrategy();
            this._currentColumns = strategy.filter(this._currentColumns, filteringExpressionsTree);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        ColumnChooserBase.prototype.createFilteringExpression = /**
         * @hidden
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            return {
                condition: IgxStringFilteringOperand.instance().condition('contains'),
                fieldName: fieldName,
                ignoreCase: true,
                searchVal: this._filterCriteria
            };
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        ColumnChooserBase.prototype.clearFiltering = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            this.createColumnItems();
        };
        ColumnChooserBase.propDecorators = {
            columns: [{ type: core.Input }],
            title: [{ type: core.Input }],
            filterColumnsPrompt: [{ type: core.Input }],
            disableFilter: [{ type: core.Input }],
            columnItems: [{ type: core.Input }],
            filterCriteria: [{ type: core.Input }],
            columnDisplayOrder: [{ type: core.Input }],
            columnsAreaMaxHeight: [{ type: core.Input }],
            cssClass: [{ type: core.HostBinding, args: ['attr.class',] }]
        };
        return ColumnChooserBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxColumnHidingComponent = /** @class */ (function (_super) {
        __extends(IgxColumnHidingComponent, _super);
        function IgxColumnHidingComponent(cdr) {
            var _this = _super.call(this, cdr) || this;
            _this.cdr = cdr;
            /**
             * Sets/gets the text of the button that shows all columns if they are hidden.
             * ```typescript
             * let showAllButtonText =  this.columnHiding.showAllText;
             * ```
             *
             * ```html
             * <igx-column-hiding [showAllText] = "'Show Columns'"></igx-column-hiding>
             * ```
             * \@memberof IgxColumnHidingComponent
             */
            _this.showAllText = 'Show All';
            /**
             * Sets/gets the text of the button that hides all columns if they are shown.
             * ```typescript
             * let hideAllButtonText =  this.columnHiding.hideAllText;
             * ```
             *
             * ```html
             * <igx-column-hiding [hideAllText] = "'Hide Columns'"></igx-column-hiding>
             * ```
             * \@memberof IgxColumnHidingComponent
             */
            _this.hideAllText = 'Hide All';
            /**
             * An event that is emitted after the columns visibility is changed.
             * Provides references to the `column` and the `newValue` properties as event arguments.
             * ```html
             *  <igx-column-hiding (onColumnVisibilityChanged) = "onColumnVisibilityChanged($event)"></igx-column-hiding>
             * ```
             * \@memberof IgxColumnHidingComponent
             */
            _this.onColumnVisibilityChanged = new core.EventEmitter();
            _this.destroy$ = new rxjs.Subject();
            return _this;
        }
        Object.defineProperty(IgxColumnHidingComponent.prototype, "disableHideAll", {
            /**
             * Returns a boolean indicating whether the `HIDE ALL` button is disabled.
             * ```html
             * <igx-column-hiding #columnHidingUI
             *     [columns]="grid.columns" [title]="'Column Hiding'">
             * </igx-column-hiding>
             * ```
             * ```typescript
             * @ViewChild("'columnHidingUI'")
             * public columnHiding: IgxColumnHidingComponent;
             * let isHideAlldisabled =  this.columnHiding.disableHideAll;
             * ```
             *@memberof IgxColumnHidingComponent
             */
            get: /**
             * Returns a boolean indicating whether the `HIDE ALL` button is disabled.
             * ```html
             * <igx-column-hiding #columnHidingUI
             *     [columns]="grid.columns" [title]="'Column Hiding'">
             * </igx-column-hiding>
             * ```
             * ```typescript
             * \@ViewChild("'columnHidingUI'")
             * public columnHiding: IgxColumnHidingComponent;
             * let isHideAlldisabled =  this.columnHiding.disableHideAll;
             * ```
             * \@memberof IgxColumnHidingComponent
             * @return {?}
             */
            function () {
                if (!this.columnItems || this.columnItems.length < 1 ||
                    this.hiddenColumnsCount === this.columns.length) {
                    return true;
                }
                else if (this.hidableColumns.length < 1 ||
                    this.hidableColumns.length === this.hidableColumns.filter(function (col) { return col.value; }).length) {
                    return true;
                }
                else {
                    return false;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnHidingComponent.prototype, "disableShowAll", {
            /**
             * Returns a boolean indicating whether the `SHOW ALL` button is disabled.
             * ```typescript
             * let isShowAlldisabled =  this.columnHiding.disableShowAll;
             * ```
             * @memberof IgxColumnHidingComponent
             */
            get: /**
             * Returns a boolean indicating whether the `SHOW ALL` button is disabled.
             * ```typescript
             * let isShowAlldisabled =  this.columnHiding.disableShowAll;
             * ```
             * \@memberof IgxColumnHidingComponent
             * @return {?}
             */
            function () {
                if (!this.columnItems || this.columnItems.length < 1 ||
                    this.hiddenColumnsCount < 1 || this.hidableColumns.length < 1) {
                    return true;
                }
                else if (this.hidableColumns.length === this.hidableColumns.filter(function (col) { return !col.value; }).length) {
                    return true;
                }
                else {
                    return false;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnHidingComponent.prototype, "hiddenColumnsCount", {
            /**
             * Gets the count of the hidden columns.
             * ```typescript
             * let hiddenColumnsCount =  this.columnHiding.hiddenColumnsCount;
             * ```
             * @memberof IgxColumnHidingComponent
             */
            get: /**
             * Gets the count of the hidden columns.
             * ```typescript
             * let hiddenColumnsCount =  this.columnHiding.hiddenColumnsCount;
             * ```
             * \@memberof IgxColumnHidingComponent
             * @return {?}
             */
            function () {
                return (this.columns) ? this.columns.filter(function (col) { return col.hidden; }).length : 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxColumnHidingComponent.prototype, "hidableColumns", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.columnItems.filter(function (col) { return !col.disabled; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} container
         * @param {?} column
         * @return {?}
         */
        IgxColumnHidingComponent.prototype.createColumnItem = /**
         * @hidden
         * @protected
         * @param {?} container
         * @param {?} column
         * @return {?}
         */
        function (container, column) {
            var _this = this;
            if (column.grid.hasColumnLayouts && !column.columnLayout) {
                return null;
            }
            /** @type {?} */
            var item = new IgxColumnHidingItemDirective();
            item.container = container;
            item.column = column;
            item.valueChanged.pipe(operators.takeUntil(this.destroy$)).subscribe(function (args) {
                _this.onVisibilityChanged({ column: item.column, newValue: args.newValue });
            });
            return item;
        };
        /**
         * Shows all columns in the grid.
         * ```typescript
         * this.columnHiding.showAllColumns();
         * ```
         * @memberof IgxColumnHidingComponent
         */
        /**
         * Shows all columns in the grid.
         * ```typescript
         * this.columnHiding.showAllColumns();
         * ```
         * \@memberof IgxColumnHidingComponent
         * @return {?}
         */
        IgxColumnHidingComponent.prototype.showAllColumns = /**
         * Shows all columns in the grid.
         * ```typescript
         * this.columnHiding.showAllColumns();
         * ```
         * \@memberof IgxColumnHidingComponent
         * @return {?}
         */
        function () {
            var e_1, _a;
            /** @type {?} */
            var collection = this.hidableColumns;
            try {
                for (var collection_1 = __values(collection), collection_1_1 = collection_1.next(); !collection_1_1.done; collection_1_1 = collection_1.next()) {
                    var col = collection_1_1.value;
                    col.value = false;
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (collection_1_1 && !collection_1_1.done && (_a = collection_1.return)) _a.call(collection_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /**
         * Hides all columns in the grid.
         * ```typescript
         * this.columnHiding.hideAllColumns();
         * ```
         * @memberof IgxColumnHidingComponent
         */
        /**
         * Hides all columns in the grid.
         * ```typescript
         * this.columnHiding.hideAllColumns();
         * ```
         * \@memberof IgxColumnHidingComponent
         * @return {?}
         */
        IgxColumnHidingComponent.prototype.hideAllColumns = /**
         * Hides all columns in the grid.
         * ```typescript
         * this.columnHiding.hideAllColumns();
         * ```
         * \@memberof IgxColumnHidingComponent
         * @return {?}
         */
        function () {
            var e_2, _a;
            /** @type {?} */
            var collection = this.hidableColumns;
            try {
                for (var collection_2 = __values(collection), collection_2_1 = collection_2.next(); !collection_2_1.done; collection_2_1 = collection_2.next()) {
                    var col = collection_2_1.value;
                    col.value = true;
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (collection_2_1 && !collection_2_1.done && (_a = collection_2.return)) _a.call(collection_2);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        IgxColumnHidingComponent.prototype.onVisibilityChanged = /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        function (args) {
            this.onColumnVisibilityChanged.emit(args);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxColumnHidingComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        IgxColumnHidingComponent.decorators = [
            { type: core.Component, args: [{
                        preserveWhitespaces: false,
                        selector: 'igx-column-hiding',
                        template: "<div class=\"igx-column-hiding__header\">\n    <h4 class=\"igx-column-hiding__header-title\" *ngIf=\"title\">{{ title }}</h4>\n\n    <igx-input-group class=\"igx-column-hiding__header-input\" *ngIf=\"!disableFilter\">\n        <input igxInput\n            type=\"text\"\n            [(ngModel)]=\"filterCriteria\"\n            [placeholder]=\"filterColumnsPrompt\"\n            autocomplete=\"off\" />\n    </igx-input-group>\n</div>\n\n<div class=\"igx-column-hiding__columns\"\n    [style.max-height]=\"columnsAreaMaxHeight\">\n    <igx-checkbox\n        *ngFor=\"let columnItem of hidableColumns\"\n        class=\"igx-column-hiding__columns-item\"\n        (onColumnVisibilityChanged)=\"onVisibilityChanged($event)\"\n        (change)=\"columnItem.value = !columnItem.value\"\n        [checked]=\"columnItem.value\"\n        [disabled]=\"columnItem.disabled\"\n        [style.margin-left.px]=\"columnItem.calcIndent\">\n        {{ columnItem.name }}\n    </igx-checkbox>\n</div>\n\n<div class=\"igx-column-hiding__buttons\">\n    <button igxButton igxRipple (click)=\"showAllColumns()\" [disabled]=\"disableShowAll\">{{ showAllText }}</button>\n    <button igxButton igxRipple (click)=\"hideAllColumns()\" [disabled]=\"disableHideAll\">{{ hideAllText }}</button>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxColumnHidingComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        IgxColumnHidingComponent.propDecorators = {
            disableHideAll: [{ type: core.Input }],
            disableShowAll: [{ type: core.Input }],
            showAllText: [{ type: core.Input }],
            hideAllText: [{ type: core.Input }],
            onColumnVisibilityChanged: [{ type: core.Output }]
        };
        return IgxColumnHidingComponent;
    }(ColumnChooserBase));
    /**
     * @hidden
     */
    var IgxColumnHidingModule = /** @class */ (function () {
        function IgxColumnHidingModule() {
        }
        IgxColumnHidingModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxColumnHidingComponent, IgxColumnHidingItemDirective],
                        exports: [IgxColumnHidingComponent],
                        imports: [
                            IgxButtonModule,
                            IgxCheckboxModule,
                            IgxInputGroupModule,
                            common.CommonModule,
                            forms.FormsModule,
                        ]
                    },] }
        ];
        return IgxColumnHidingModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxColumnPinningItemDirective = /** @class */ (function (_super) {
        __extends(IgxColumnPinningItemDirective, _super);
        function IgxColumnPinningItemDirective() {
            return _super.call(this, 'pinned') || this;
        }
        Object.defineProperty(IgxColumnPinningItemDirective.prototype, "pinnable", {
            /**
             * Returns whether a column could be pinned.
             * It's not possible to pin a column if there is not enough space for the unpinned area.
             * ```typescript
             * const columnItem: IgxColumnPinningItemDirective;
             * this.columnItem.pinnable;
             * ```
             */
            get: /**
             * Returns whether a column could be pinned.
             * It's not possible to pin a column if there is not enough space for the unpinned area.
             * ```typescript
             * const columnItem: IgxColumnPinningItemDirective;
             * this.columnItem.pinnable;
             * ```
             * @return {?}
             */
            function () {
                return this.column.pinnable;
            },
            enumerable: true,
            configurable: true
        });
        IgxColumnPinningItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxColumnPinningItem]'
                    },] }
        ];
        /** @nocollapse */
        IgxColumnPinningItemDirective.ctorParameters = function () { return []; };
        return IgxColumnPinningItemDirective;
    }(ColumnChooserItemBase));
    var IgxColumnPinningComponent = /** @class */ (function (_super) {
        __extends(IgxColumnPinningComponent, _super);
        function IgxColumnPinningComponent(cdr) {
            var _this = _super.call(this, cdr) || this;
            _this.cdr = cdr;
            return _this;
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} container
         * @param {?} column
         * @return {?}
         */
        IgxColumnPinningComponent.prototype.createColumnItem = /**
         * @hidden
         * @param {?} container
         * @param {?} column
         * @return {?}
         */
        function (container, column) {
            if (column.level !== 0 || column.disablePinning) {
                return null;
            }
            /** @type {?} */
            var item = new IgxColumnPinningItemDirective();
            item.container = container;
            item.column = column;
            return item;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @param {?} columnItem
         * @return {?}
         */
        IgxColumnPinningComponent.prototype.checkboxValueChange = /**
         * @hidden
         * @param {?} event
         * @param {?} columnItem
         * @return {?}
         */
        function (event, columnItem) {
            if (event.checked && !columnItem.pinnable) {
                event.checkbox.checked = false;
                return false;
            }
            columnItem.value = !columnItem.value;
        };
        IgxColumnPinningComponent.decorators = [
            { type: core.Component, args: [{
                        preserveWhitespaces: false,
                        selector: 'igx-column-pinning',
                        template: "\n<div class=\"igx-column-hiding__header\">\n    <h4 class=\"igx-column-hiding__header-title\" *ngIf=\"title\">{{ title }}</h4>\n\n    <igx-input-group class=\"igx-column-hiding__header-input\" *ngIf=\"!disableFilter\">\n        <input igxInput\n            type=\"text\"\n            [(ngModel)]=\"filterCriteria\"\n            [placeholder]=\"filterColumnsPrompt\"\n            autocomplete=\"off\" />\n    </igx-input-group>\n</div>\n\n<div class=\"igx-column-hiding__columns\"\n    [style.max-height]=\"columnsAreaMaxHeight\">\n    <igx-checkbox igxColumnPinningItem\n        *ngFor=\"let columnItem of columnItems\"\n        class=\"igx-column-hiding__columns-item\"\n        (change)=\"checkboxValueChange($event, columnItem)\"\n        [checked]=\"columnItem.value\">\n        {{ columnItem.name }}\n    </igx-checkbox>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxColumnPinningComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        return IgxColumnPinningComponent;
    }(ColumnChooserBase));
    /**
     * @hidden
     */
    var IgxColumnPinningModule = /** @class */ (function () {
        function IgxColumnPinningModule() {
        }
        IgxColumnPinningModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxColumnPinningComponent, IgxColumnPinningItemDirective],
                        exports: [IgxColumnPinningComponent],
                        imports: [
                            IgxCheckboxModule,
                            IgxInputGroupModule,
                            common.CommonModule,
                            forms.FormsModule
                        ]
                    },] }
        ];
        return IgxColumnPinningModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * This class encapsulates the Toolbar's logic and is internally used by
     * the `IgxGridComponent`, `IgxTreeGridComponent` and `IgxHierarchicalGridComponent`.
     */
    var IgxGridToolbarComponent = /** @class */ (function (_super) {
        __extends(IgxGridToolbarComponent, _super);
        function IgxGridToolbarComponent(gridAPI, cdr, excelExporter, csvExporter, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.gridAPI = gridAPI;
            _this.cdr = cdr;
            _this.excelExporter = excelExporter;
            _this.csvExporter = csvExporter;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._filterColumnsPrompt = 'Filter columns list ...';
            _this._positionSettings = {
                horizontalDirection: HorizontalAlignment.Left,
                horizontalStartPoint: HorizontalAlignment.Right,
                verticalDirection: VerticalAlignment.Bottom,
                verticalStartPoint: VerticalAlignment.Bottom
            };
            _this._overlaySettings = {
                positionStrategy: new ConnectedPositioningStrategy(_this._positionSettings),
                scrollStrategy: new AbsoluteScrollStrategy(),
                modal: false,
                closeOnOutsideClick: true,
                excludePositionTarget: true
            };
            return _this;
        }
        Object.defineProperty(IgxGridToolbarComponent.prototype, "filterColumnsPrompt", {
            /**
             * Gets the default text shown in the filtering box.
             * ```typescript
             * const filterPrompt = this.grid.toolbar.filterColumnsPrompt;
             * ```
             */
            get: /**
             * Gets the default text shown in the filtering box.
             * ```typescript
             * const filterPrompt = this.grid.toolbar.filterColumnsPrompt;
             * ```
             * @return {?}
             */
            function () {
                return this._filterColumnsPrompt;
            },
            /**
             * Sets the default text shown in the filtering box.
             * ```typescript
             * this.grid.toolbar.filterColumnsPrompt('Filter columns ...');
             * ```
             */
            set: /**
             * Sets the default text shown in the filtering box.
             * ```typescript
             * this.grid.toolbar.filterColumnsPrompt('Filter columns ...');
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filterColumnsPrompt = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "defaultDropDownsMaxHeight", {
            /**
             * Gets the height for the `IgxGridToolbarComponent`'s drop down panels.
             * ```typescript
             * const dropdownHeight = this.grid.toolbar.defaultDropDownsMaxHeight;
             * ```
             */
            get: /**
             * Gets the height for the `IgxGridToolbarComponent`'s drop down panels.
             * ```typescript
             * const dropdownHeight = this.grid.toolbar.defaultDropDownsMaxHeight;
             * ```
             * @return {?}
             */
            function () {
                /** @type {?} */
                var gridHeight = this.grid.calcHeight;
                return (gridHeight) ? gridHeight * 0.7 + 'px' : '100%';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "grid", {
            /**
             * Returns a reference to the `IgxGridComponent` component, hosting the `IgxGridToolbarComponent`.
             * ```typescript
             * const grid = this.igxGrid1.toolbar.grid;
             * ```
             */
            get: /**
             * Returns a reference to the `IgxGridComponent` component, hosting the `IgxGridToolbarComponent`.
             * ```typescript
             * const grid = this.igxGrid1.toolbar.grid;
             * ```
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "shouldShowExportButton", {
            /**
             * Returns whether the `IgxGridComponent` renders an export button.
             * ```typescript
             * const exportButton = this.igxGrid1.toolbar.shouldShowExportButton;
             * ```
             */
            get: /**
             * Returns whether the `IgxGridComponent` renders an export button.
             * ```typescript
             * const exportButton = this.igxGrid1.toolbar.shouldShowExportButton;
             * ```
             * @return {?}
             */
            function () {
                return (this.grid != null && (this.grid.exportExcel || this.grid.exportCsv));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "shouldShowExportExcelButton", {
            /**
             * Returns whether the `IgxGridComponent` renders an Excel export button.
             * ```typescript
             * const exportExcelButton = this.igxGrid1.toolbar.shouldShowExportExcelButton;
             * ```
             */
            get: /**
             * Returns whether the `IgxGridComponent` renders an Excel export button.
             * ```typescript
             * const exportExcelButton = this.igxGrid1.toolbar.shouldShowExportExcelButton;
             * ```
             * @return {?}
             */
            function () {
                return (this.grid != null && this.grid.exportExcel);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "shouldShowExportCsvButton", {
            /**
             * Returns whether the `IgxGridComponent` renders an CSV export button.
             * ```typescript
             * const exportCSVButton = this.igxGrid1.toolbar.shouldShowExportCsvButton;
             * ```
             */
            get: /**
             * Returns whether the `IgxGridComponent` renders an CSV export button.
             * ```typescript
             * const exportCSVButton = this.igxGrid1.toolbar.shouldShowExportCsvButton;
             * ```
             * @return {?}
             */
            function () {
                return (this.grid != null && this.grid.exportCsv);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "pinnedColumnsCount", {
            /**
             * Returns how many columns are pinned.
             * ```typescript
             * const pinnedCount = this.igxGrid1.toolbar.pinnedColumnsCount;
             * ```
             */
            get: /**
             * Returns how many columns are pinned.
             * ```typescript
             * const pinnedCount = this.igxGrid1.toolbar.pinnedColumnsCount;
             * ```
             * @return {?}
             */
            function () {
                return this.grid.pinnedColumns.filter(function (col) { return !col.columnLayout; }).length;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "hostClass", {
            /**
             * Returns the theme of the `IgxGridToolbarComponent`.
             * ```typescript
             * const toolbarTheme = this.grid.toolbar.hostClass;
             * ```
             */
            get: /**
             * Returns the theme of the `IgxGridToolbarComponent`.
             * ```typescript
             * const toolbarTheme = this.grid.toolbar.hostClass;
             * ```
             * @return {?}
             */
            function () {
                return this.getComponentDensityClass('igx-grid-toolbar');
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns the title of `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarTitle = this.igxGrid1.toolbar.getTitle();
         * ```
         */
        /**
         * Returns the title of `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarTitle = this.igxGrid1.toolbar.getTitle();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.getTitle = /**
         * Returns the title of `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarTitle = this.igxGrid1.toolbar.getTitle();
         * ```
         * @return {?}
         */
        function () {
            return this.grid != null ? this.grid.toolbarTitle : '';
        };
        /**
         * Returns the text of the export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarExportText = this.igxGrid1.toolbar.getTitle();
         * ```
         */
        /**
         * Returns the text of the export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarExportText = this.igxGrid1.toolbar.getTitle();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.getExportText = /**
         * Returns the text of the export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarExportText = this.igxGrid1.toolbar.getTitle();
         * ```
         * @return {?}
         */
        function () {
            return this.grid != null ? this.grid.exportText : '';
        };
        /**
         * Returns the text of the Excel export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarExcelText = this.igxGrid1.toolbar.getExportExcelText();
         * ```
         */
        /**
         * Returns the text of the Excel export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarExcelText = this.igxGrid1.toolbar.getExportExcelText();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.getExportExcelText = /**
         * Returns the text of the Excel export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarExcelText = this.igxGrid1.toolbar.getExportExcelText();
         * ```
         * @return {?}
         */
        function () {
            return this.grid != null ? this.grid.exportExcelText : '';
        };
        /**
         * Returns the text of the CSV export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarCSVText = this.igxGrid1.toolbar.getExportCsvText();
         * ```
         */
        /**
         * Returns the text of the CSV export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarCSVText = this.igxGrid1.toolbar.getExportCsvText();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.getExportCsvText = /**
         * Returns the text of the CSV export button of the `IgxGridToolbarComponent`.
         * ```typescript
         * const toolbarCSVText = this.igxGrid1.toolbar.getExportCsvText();
         * ```
         * @return {?}
         */
        function () {
            return this.grid != null ? this.grid.exportCsvText : '';
        };
        /**
         * Toggles the export button's dropdown menu.
         * ```typescript
         * this.igxGrid1.toolbar.exportClicked();
         * ```
         */
        /**
         * Toggles the export button's dropdown menu.
         * ```typescript
         * this.igxGrid1.toolbar.exportClicked();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.exportClicked = /**
         * Toggles the export button's dropdown menu.
         * ```typescript
         * this.igxGrid1.toolbar.exportClicked();
         * ```
         * @return {?}
         */
        function () {
            this._overlaySettings.positionStrategy.settings.target = this.exportButton.nativeElement;
            this._overlaySettings.outlet = this.grid.outletDirective;
            this.exportDropdown.toggle(this._overlaySettings);
        };
        /**
         * Exports the grid to excel.
         * ```typescript
         * this.igxGrid1.toolbar.exportToExcelClicked();
         * ```
         */
        /**
         * Exports the grid to excel.
         * ```typescript
         * this.igxGrid1.toolbar.exportToExcelClicked();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.exportToExcelClicked = /**
         * Exports the grid to excel.
         * ```typescript
         * this.igxGrid1.toolbar.exportToExcelClicked();
         * ```
         * @return {?}
         */
        function () {
            this.performExport(this.excelExporter, 'excel');
        };
        /**
         * Exports the grid to CSV.
         * ```typescript
         * this.igxGrid1.toolbar.exportToCsvClicked();
         * ```
         */
        /**
         * Exports the grid to CSV.
         * ```typescript
         * this.igxGrid1.toolbar.exportToCsvClicked();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.exportToCsvClicked = /**
         * Exports the grid to CSV.
         * ```typescript
         * this.igxGrid1.toolbar.exportToCsvClicked();
         * ```
         * @return {?}
         */
        function () {
            this.performExport(this.csvExporter, 'csv');
        };
        /**
         * @private
         * @param {?} exp
         * @param {?} exportType
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.performExport = /**
         * @private
         * @param {?} exp
         * @param {?} exportType
         * @return {?}
         */
        function (exp, exportType) {
            this.exportClicked();
            /** @type {?} */
            var fileName = 'ExportedData';
            /** @type {?} */
            var options = exportType === 'excel' ?
                new IgxExcelExporterOptions(fileName) :
                new IgxCsvExporterOptions(fileName, CsvFileTypes.CSV);
            /** @type {?} */
            var args = { grid: this.grid, exporter: exp, options: options, cancel: false };
            this.grid.onToolbarExporting.emit(args);
            if (args.cancel) {
                return;
            }
            exp.export(this.grid, options);
        };
        /**
         * Toggles the Column Hiding UI.
         * ```typescript
         * this.grid1.toolbar.toggleColumnHidingUI();
         * ```
         */
        /**
         * Toggles the Column Hiding UI.
         * ```typescript
         * this.grid1.toolbar.toggleColumnHidingUI();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.toggleColumnHidingUI = /**
         * Toggles the Column Hiding UI.
         * ```typescript
         * this.grid1.toolbar.toggleColumnHidingUI();
         * ```
         * @return {?}
         */
        function () {
            this._overlaySettings.positionStrategy.settings.target = this.columnHidingButton.nativeElement;
            this._overlaySettings.outlet = this.grid.outletDirective;
            this.columnHidingDropdown.toggle(this._overlaySettings);
        };
        /**
         * Toggles the Column Pinning UI.
         * ```typescript
         * this.grid1.toolbar.toggleColumnPinningUI();
         * ```
         */
        /**
         * Toggles the Column Pinning UI.
         * ```typescript
         * this.grid1.toolbar.toggleColumnPinningUI();
         * ```
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.toggleColumnPinningUI = /**
         * Toggles the Column Pinning UI.
         * ```typescript
         * this.grid1.toolbar.toggleColumnPinningUI();
         * ```
         * @return {?}
         */
        function () {
            this._overlaySettings.positionStrategy.settings.target = this.columnPinningButton.nativeElement;
            this._overlaySettings.outlet = this.grid.outletDirective;
            this.columnPinningDropdown.toggle(this._overlaySettings);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxGridToolbarComponent.prototype.showAdvancedFilteringUI = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.grid.openAdvancedFilteringDialog();
        };
        Object.defineProperty(IgxGridToolbarComponent.prototype, "context", {
            /**
             * Returns the `context` object which represents the `template context` binding into the
             * `toolbar custom container` by providing references to the parent IgxGird and the toolbar itself.
             * ```typescript
             * const context =  this.igxGrid.toolbar.context;
             * ```
             */
            get: /**
             * Returns the `context` object which represents the `template context` binding into the
             * `toolbar custom container` by providing references to the parent IgxGird and the toolbar itself.
             * ```typescript
             * const context =  this.igxGrid.toolbar.context;
             * ```
             * @return {?}
             */
            function () {
                return {
                    // $implicit: this
                    grid: this.grid,
                    toolbar: this
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridToolbarComponent.prototype, "customContentTemplate", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.grid != null && this.grid.toolbarCustomContentTemplate != null) {
                    return this.grid.toolbarCustomContentTemplate.template;
                }
                else {
                    return null;
                }
            },
            enumerable: true,
            configurable: true
        });
        IgxGridToolbarComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-grid-toolbar',
                        template: "<span class=\"igx-grid-toolbar__title\" *ngIf=\"getTitle()\">\n    {{ getTitle() }}\n</span>\n\n<div class=\"igx-grid-toolbar__custom-content\" *ngIf=\"customContentTemplate != null\">\n    <ng-container *ngTemplateOutlet=\"customContentTemplate; context: context\">\n    </ng-container>\n</div>\n\n<div class=\"igx-grid-toolbar__actions\">\n    <div *ngIf=\"grid.allowAdvancedFiltering\">\n        <button igxButton=\"outlined\" [displayDensity]=\"grid.displayDensity\" #advancedFilteringButton name=\"btnAdvancedFiltering\" igxRipple\n            [ngClass]=\"grid.advancedFilteringExpressionsTree ? 'igx-grid-toolbar__adv-filter--filtered' : 'igx-grid-toolbar__adv-filter'\"\n            (click)=\"showAdvancedFilteringUI()\">\n            <div class=\"igx-grid-toolbar__button-space\">\n                <igx-icon>\n                    filter_list\n                </igx-icon>\n                <span>{{grid.resourceStrings.igx_grid_advanced_filter_title}}</span>\n            </div>\n        </button>\n    </div>\n\n    <div *ngIf=\"grid.columnHiding\">\n        <button igxButton=\"outlined\" [displayDensity]=\"grid.displayDensity\" #columnHidingButton name=\"btnColumnHiding\" igxRipple\n            (click)=\"toggleColumnHidingUI()\">\n            <div  class=\"igx-grid-toolbar__button-space\">\n                <igx-icon *ngIf=\"grid.hiddenColumnsCount > 0\">visibility_off</igx-icon>\n                <igx-icon *ngIf=\"grid.hiddenColumnsCount === 0\">visibility</igx-icon>\n                <span>{{ grid.hiddenColumnsCount }}</span>\n                <span>{{ grid.hiddenColumnsText }}</span>\n            </div>\n        </button>\n        <igx-drop-down #columnHidingDropdown>\n            <igx-column-hiding\n                [columns]=\"grid.columns\"\n                [title]=\"grid.columnHidingTitle\"\n                [filterColumnsPrompt]=\"filterColumnsPrompt\"\n                [columnsAreaMaxHeight]=\"defaultDropDownsMaxHeight\"\n                (onColumnVisibilityChanged)=\"grid.toggleColumnVisibility($event)\">\n            </igx-column-hiding>\n        </igx-drop-down>\n    </div>\n    <div *ngIf=\"grid.columnPinning\">\n        <button igxButton=\"outlined\" [displayDensity]=\"grid.displayDensity\" #columnPinningButton name=\"btnColumnPinning\" igxRipple\n            (click)=\"toggleColumnPinningUI()\">\n            <div  class=\"igx-grid-toolbar__button-space\">\n                <igx-icon *ngIf=\"pinnedColumnsCount > 0\">lock</igx-icon>\n                <igx-icon *ngIf=\"pinnedColumnsCount === 0\">lock_open</igx-icon>\n                <span>{{ pinnedColumnsCount }}</span>\n                <span>{{ grid.pinnedColumnsText }}</span>\n                <span></span>\n            </div>\n        </button>\n        <igx-drop-down #columnPinningDropdown>\n            <igx-column-pinning\n                [columns]=\"grid.columns\"\n                [title]=\"grid.columnPinningTitle\"\n                [filterColumnsPrompt]=\"filterColumnsPrompt\"\n                [columnsAreaMaxHeight]=\"defaultDropDownsMaxHeight\"></igx-column-pinning>\n        </igx-drop-down>\n    </div>\n\n    <div class=\"igx-grid-toolbar__dropdown\" *ngIf=\"shouldShowExportButton\" id=\"btnExport\">\n        <button igxButton=\"outlined\" [displayDensity]=\"grid.displayDensity\" igxRipple #btnExport\n                (click)=\"exportClicked()\">\n            <span class=\"igx-grid-toolbar__button-space\">\n                <igx-icon fontSet=\"material\">import_export</igx-icon>\n                <span>{{ getExportText() }}</span>\n                <igx-icon fontSet=\"material\">arrow_drop_down</igx-icon>\n            </span>\n        </button>\n\n        <igx-drop-down #exportDropdown>\n            <ul class=\"igx-grid-toolbar__dd-list\">\n                <li class=\"igx-grid-toolbar__dd-list-items\" igxRipple *ngIf=\"shouldShowExportExcelButton\" id=\"btnExportExcel\"\n                (click)=\"exportToExcelClicked()\">{{ getExportExcelText() }}</li>\n                <li class=\"igx-grid-toolbar__dd-list-items\" igxRipple *ngIf=\"shouldShowExportCsvButton\" id=\"btnExportCsv\"\n                (click)=\"exportToCsvClicked()\">{{ getExportCsvText() }}</li>\n            </ul>\n        </igx-drop-down>\n    </div>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridToolbarComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: core.ChangeDetectorRef },
            { type: IgxExcelExporterService, decorators: [{ type: core.Optional }] },
            { type: IgxCsvExporterService, decorators: [{ type: core.Optional }] },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxGridToolbarComponent.propDecorators = {
            gridID: [{ type: core.HostBinding, args: ['class.igx-grid-toolbar',] }, { type: core.Input }],
            filterColumnsPrompt: [{ type: core.Input }],
            defaultDropDownsMaxHeight: [{ type: core.Input }],
            columnHidingDropdown: [{ type: core.ViewChild, args: ['columnHidingDropdown', { read: IgxDropDownComponent, static: false },] }],
            columnHidingUI: [{ type: core.ViewChild, args: [IgxColumnHidingComponent, { static: false },] }],
            columnHidingButton: [{ type: core.ViewChild, args: ['columnHidingButton', { read: IgxButtonDirective, static: false },] }],
            exportDropdown: [{ type: core.ViewChild, args: ['exportDropdown', { read: IgxDropDownComponent, static: false },] }],
            exportButton: [{ type: core.ViewChild, args: ['btnExport', { read: IgxButtonDirective, static: false },] }],
            columnPinningDropdown: [{ type: core.ViewChild, args: ['columnPinningDropdown', { read: IgxDropDownComponent, static: false },] }],
            columnPinningUI: [{ type: core.ViewChild, args: [IgxColumnPinningComponent, { static: false },] }],
            columnPinningButton: [{ type: core.ViewChild, args: ['columnPinningButton', { read: IgxButtonDirective, static: false },] }],
            hostClass: [{ type: core.HostBinding, args: ['attr.class',] }]
        };
        return IgxGridToolbarComponent;
    }(DisplayDensityBase));
    /**
     * The IgxGridToolbarCustomContentDirective directive is used to mark an 'ng-template' (with
     * the 'igxToolbarCustomContent' selector) defined in the IgxGrid which is used to provide
     * custom content for cener part of the IgxGridToolbar.
     */
    var IgxGridToolbarCustomContentDirective = /** @class */ (function () {
        function IgxGridToolbarCustomContentDirective(template) {
            this.template = template;
        }
        IgxGridToolbarCustomContentDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxToolbarCustomContent]'
                    },] }
        ];
        /** @nocollapse */
        IgxGridToolbarCustomContentDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxGridToolbarCustomContentDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxRowEditTemplateDirective = /** @class */ (function () {
        function IgxRowEditTemplateDirective() {
        }
        IgxRowEditTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowEdit]'
                    },] }
        ];
        return IgxRowEditTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxRowEditTextDirective = /** @class */ (function () {
        function IgxRowEditTextDirective() {
        }
        IgxRowEditTextDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowEditText]'
                    },] }
        ];
        return IgxRowEditTextDirective;
    }());
    /**
     * @hidden
     */
    var IgxRowEditActionsDirective = /** @class */ (function () {
        function IgxRowEditActionsDirective() {
        }
        IgxRowEditActionsDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowEditActions]'
                    },] }
        ];
        return IgxRowEditActionsDirective;
    }());
    // TODO: Refactor circular ref, deps and logic
    /**
     * @hidden
     */
    var IgxRowEditTabStopDirective = /** @class */ (function () {
        function IgxRowEditTabStopDirective(api, element) {
            var _this = this;
            this.api = api;
            this.element = element;
            /**
             * Sets the cell in edit mode and focus its native element
             * @param cellIndex index of the cell to activate
             */
            this.activateCell = function () {
                /** @type {?} */
                var cell = _this.grid.rowInEditMode.cells.find(function (e) { return e.visibleColumnIndex === _this.currentCellIndex; });
                cell.nativeElement.focus();
                cell.setEditMode(true);
                _this.currentCellIndex = -1;
            };
        }
        Object.defineProperty(IgxRowEditTabStopDirective.prototype, "grid", {
            get: /**
             * @return {?}
             */
            function () {
                return this.api.grid;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} event
         * @return {?}
         */
        IgxRowEditTabStopDirective.prototype.handleTab = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            if ((this.grid.rowEditTabs.last === this && !event.shiftKey) ||
                (this.grid.rowEditTabs.first === this && event.shiftKey)) {
                this.move(event);
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxRowEditTabStopDirective.prototype.handleEscape = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.grid.endEdit(false, event);
            /** @type {?} */
            var activeNode = this.grid.selectionService.activeElement;
            //  on right click activeNode is deleted, so we may have no one
            if (activeNode) {
                /** @type {?} */
                var cell = this.grid.navigation.getCellElementByVisibleIndex(activeNode.row, activeNode.layout ? activeNode.layout.columnVisibleIndex : activeNode.column);
                cell.focus();
            }
        };
        /**
         * Moves focus to first/last editable cell in the editable row and put the cell in edit mode.
         * If cell is out of view first scrolls to the cell
         * @param event keyboard event containing information about whether SHIFT key was pressed
         */
        /**
         * Moves focus to first/last editable cell in the editable row and put the cell in edit mode.
         * If cell is out of view first scrolls to the cell
         * @private
         * @param {?} event keyboard event containing information about whether SHIFT key was pressed
         * @return {?}
         */
        IgxRowEditTabStopDirective.prototype.move = /**
         * Moves focus to first/last editable cell in the editable row and put the cell in edit mode.
         * If cell is out of view first scrolls to the cell
         * @private
         * @param {?} event keyboard event containing information about whether SHIFT key was pressed
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.currentCellIndex = event.shiftKey ? this.grid.lastEditableColumnIndex : this.grid.firstEditableColumnIndex;
            if (!this.grid.navigation.isColumnFullyVisible(this.currentCellIndex)) {
                this.grid.navigation.performHorizontalScrollToCell(this.grid.rowInEditMode.index, this.currentCellIndex, false, this.activateCell);
            }
            else {
                this.activateCell();
            }
        };
        IgxRowEditTabStopDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: "[igxRowEditTabStop]"
                    },] }
        ];
        /** @nocollapse */
        IgxRowEditTabStopDirective.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: core.ElementRef }
        ]; };
        IgxRowEditTabStopDirective.propDecorators = {
            handleTab: [{ type: core.HostListener, args: ['keydown.Tab', ["$event"],] }, { type: core.HostListener, args: ['keydown.Shift.Tab', ["$event"],] }],
            handleEscape: [{ type: core.HostListener, args: ['keydown.Escape', ["$event"],] }]
        };
        return IgxRowEditTabStopDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGridGroupByRowComponent = /** @class */ (function () {
        function IgxGridGroupByRowComponent(gridAPI, gridSelection, element, cdr) {
            this.gridAPI = gridAPI;
            this.gridSelection = gridSelection;
            this.element = element;
            this.cdr = cdr;
            /**
             * @hidden
             */
            this.defaultCssClass = 'igx-grid__group-row';
            /**
             * @hidden
             */
            this.paddingIndentationCssClass = 'igx-grid__group-row--padding-level';
            /**
             * @hidden
             */
            this.isFocused = false;
            /**
             * @hidden
             */
            this.tabindex = 0;
        }
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "focused", {
            /**
             * Returns whether the row is focused.
             * ```
             * let gridRowFocused = this.grid1.rowList.first.focused;
             * ```
             */
            get: /**
             * Returns whether the row is focused.
             * ```
             * let gridRowFocused = this.grid1.rowList.first.focused;
             * ```
             * @return {?}
             */
            function () {
                return this.isFocused;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "expanded", {
            /**
             * Returns whether the group row is expanded.
             * ```typescript
             * const groupRowExpanded = this.grid1.rowList.first.expanded;
             * ```
             */
            get: /**
             * Returns whether the group row is expanded.
             * ```typescript
             * const groupRowExpanded = this.grid1.rowList.first.expanded;
             * ```
             * @return {?}
             */
            function () {
                return this.grid.isExpandedGroup(this.groupRow);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "describedBy", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var grRowExpr = this.groupRow.expression !== undefined ? this.groupRow.expression.fieldName : '';
                return this.gridID + '_' + grRowExpr;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "dataRowIndex", {
            get: /**
             * @return {?}
             */
            function () {
                return this.index;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "nativeElement", {
            /**
             * Returns a reference to the underlying HTML element.
             * ```typescript
             * const groupRowElement = this.nativeElement;
             * ```
             */
            get: /**
             * Returns a reference to the underlying HTML element.
             * ```typescript
             * const groupRowElement = this.nativeElement;
             * ```
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "styleClasses", {
            /**
             * Returns the style classes applied to the group rows.
             * ```typescript
             * const groupCssStyles = this.grid1.rowList.first.styleClasses;
             * ```
             */
            get: /**
             * Returns the style classes applied to the group rows.
             * ```typescript
             * const groupCssStyles = this.grid1.rowList.first.styleClasses;
             * ```
             * @return {?}
             */
            function () {
                return this.defaultCssClass + " " + (this.paddingIndentationCssClass + "-") + this.groupRow.level +
                    (this.focused ? " " + this.defaultCssClass + "--active" : '');
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.onFocus = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.isFocused = true;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.onBlur = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.isFocused = false;
        };
        /**
         * Toggles the group row.
         * ```typescript
         * this.grid1.rowList.first.toggle()
         * ```
         */
        /**
         * Toggles the group row.
         * ```typescript
         * this.grid1.rowList.first.toggle()
         * ```
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.toggle = /**
         * Toggles the group row.
         * ```typescript
         * this.grid1.rowList.first.toggle()
         * ```
         * @return {?}
         */
        function () {
            /** @type {?} */
            var isVirtualized = !this.grid.verticalScrollContainer.dc.instance.notVirtual;
            /** @type {?} */
            var groupRowIndex = this.index;
            this.grid.toggleGroup(this.groupRow);
            if (isVirtualized) {
                /** @type {?} */
                var groupRow = this.grid.nativeElement.querySelector("[data-rowIndex=\"" + groupRowIndex + "\"]");
                if (groupRow) {
                    groupRow.focus();
                }
            }
        };
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "iconTemplate", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.expanded) {
                    return this.grid.rowExpandedIndicatorTemplate || this.defaultGroupByExpandedTemplate;
                }
                else {
                    return this.grid.rowCollapsedIndicatorTemplate || this.defaultGroupByCollapsedTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "selectionNode", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return {
                    row: this.index,
                    column: this.gridSelection.activeElement ? this.gridSelection.activeElement.column : 0
                };
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.onKeydown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // TODO: Refactor
            /** @type {?} */
            var key = event.key.toLowerCase();
            if (!SUPPORTED_KEYS.has(key)) {
                return;
            }
            event.stopPropagation();
            /** @type {?} */
            var keydownArgs = { targetType: 'groupRow', target: this, event: event, cancel: false };
            this.grid.onGridKeydown.emit(keydownArgs);
            if (keydownArgs.cancel) {
                return;
            }
            event.preventDefault();
            if (!this.isKeySupportedInGroupRow(key, event.shiftKey, event.altKey) || event.ctrlKey) {
                return;
            }
            if (this.isToggleKey(key, event.altKey)) {
                if ((this.expanded && ROW_COLLAPSE_KEYS.has(key)) || (!this.expanded && ROW_EXPAND_KEYS.has(key))) {
                    this.toggle();
                }
                return;
            }
            /** @type {?} */
            var selection = this.gridSelection;
            selection.keyboardState.shift = event.shiftKey && !(key === 'tab');
            /** @type {?} */
            var activeNode = selection.activeElement ? Object.assign({}, selection.activeElement) : this.selectionNode;
            activeNode.row = this.index;
            switch (key) {
                case 'arrowdown':
                case 'down':
                    this.grid.navigation.navigateDown(this.nativeElement, activeNode);
                    break;
                case 'arrowup':
                case 'up':
                    this.grid.navigation.navigateUp(this.nativeElement, activeNode);
                    break;
                case 'tab':
                    this.handleTabKey(event.shiftKey, activeNode);
                    break;
            }
        };
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "grid", {
            /**
             * Returns a reference to the `IgxGridComponent` the `IgxGridGroupByRowComponent` belongs to.
             * ```typescript
             * this.grid1.rowList.first.grid;
             * ```
             */
            get: /**
             * Returns a reference to the `IgxGridComponent` the `IgxGridGroupByRowComponent` belongs to.
             * ```typescript
             * this.grid1.rowList.first.grid;
             * ```
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridGroupByRowComponent.prototype, "dataType", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var column = this.grid.getColumnByName(this.groupRow.expression.fieldName);
                return (column && column.dataType) || DataType.String;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} shift
         * @param {?} activeNode
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.handleTabKey = /**
         * @private
         * @param {?} shift
         * @param {?} activeNode
         * @return {?}
         */
        function (shift, activeNode) {
            if (shift) {
                this.grid.navigation.performShiftTabKey(this.nativeElement, activeNode);
            }
            else {
                if (this.index === this.grid.dataView.length - 1 && this.grid.rootSummariesEnabled) {
                    this.grid.navigation.onKeydownHome(0, true);
                }
                else {
                    /** @type {?} */
                    var orderedColumns = this.grid.navigation.gridOrderedColumns;
                    /** @type {?} */
                    var lastCol = orderedColumns[orderedColumns.length - 1];
                    activeNode.column = lastCol.columnLayoutChild ? lastCol.parent.visibleIndex : lastCol.visibleIndex;
                    this.grid.navigation.performTab(this.nativeElement, activeNode);
                }
            }
        };
        /**
         * @private
         * @param {?} key
         * @param {?=} shift
         * @param {?=} alt
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.isKeySupportedInGroupRow = /**
         * @private
         * @param {?} key
         * @param {?=} shift
         * @param {?=} alt
         * @return {?}
         */
        function (key, shift, alt) {
            if (shift === void 0) { shift = false; }
            if (alt === void 0) { alt = false; }
            if (shift) {
                return ['down', 'up', 'arrowdown', 'arrowup', 'tab'].indexOf(key) !== -1;
            }
            return this.isToggleKey(key, alt) ? true : ['down', 'up', 'arrowdown', 'arrowup', 'tab'].indexOf(key) !== -1;
        };
        /**
         * @private
         * @param {?} key
         * @param {?} altKey
         * @return {?}
         */
        IgxGridGroupByRowComponent.prototype.isToggleKey = /**
         * @private
         * @param {?} key
         * @param {?} altKey
         * @return {?}
         */
        function (key, altKey) {
            return altKey && ['left', 'right', 'up', 'down', 'arrowleft', 'arrowright', 'arrowup', 'arrowdown'].indexOf(key) !== -1;
        };
        IgxGridGroupByRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-groupby-row',
                        template: "<ng-container #defaultGroupRow>\n    <div (click)=\"toggle()\" class=\"igx-grid__grouping-indicator\">\n            <ng-container *ngTemplateOutlet=\"iconTemplate; context: { $implicit: this }\">\n            </ng-container>\n    </div>\n\n    <div class=\"igx-grid__group-content\" #groupContent>\n        <ng-container *ngTemplateOutlet=\"grid.groupRowTemplate ? grid.groupRowTemplate : defaultGroupByTemplate; context: { $implicit: groupRow }\">\n        </ng-container>\n    </div>\n\n    <ng-template #defaultGroupByExpandedTemplate>\n        <igx-icon fontSet=\"material\">expand_more</igx-icon>\n    </ng-template>\n\n    <ng-template #defaultGroupByCollapsedTemplate>\n        <igx-icon fontSet=\"material\">chevron_right</igx-icon>\n    </ng-template>\n\n\n    <ng-template #defaultGroupByTemplate>\n        <div class=\"igx-group-label\">\n            <igx-icon fontSet=\"material\" class=\"igx-group-label__icon\">group_work</igx-icon>\n            <span class=\"igx-group-label__column-name\">\n            {{ groupRow.expression ? groupRow.expression.fieldName : '' }}:\n            </span>\n\n            <ng-container *ngIf=\"dataType === 'boolean' || dataType === 'string'; else default\" >\n                <span class=\"igx-group-label__text\">{{ groupRow.value }}</span>\n            </ng-container>\n            <ng-template #default>\n                <ng-container *ngIf=\"dataType === 'number'\">\n                    <span class=\"igx-group-label__text\">{{ groupRow.value | number }}</span>\n                </ng-container>\n                <ng-container *ngIf=\"dataType === 'date'\">\n                    <span class=\"igx-group-label__text\">{{ groupRow.value | date }}</span>\n                </ng-container>\n            </ng-template>\n\n            <igx-badge [value]=\"groupRow.records ? groupRow.records.length : 0\" class='igx-group-label__count-badge'></igx-badge>\n        </div>\n    </ng-template>\n</ng-container>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridGroupByRowComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: IgxGridSelectionService },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxGridGroupByRowComponent.propDecorators = {
            defaultGroupByExpandedTemplate: [{ type: core.ViewChild, args: ['defaultGroupByExpandedTemplate', { read: core.TemplateRef, static: true },] }],
            defaultGroupByCollapsedTemplate: [{ type: core.ViewChild, args: ['defaultGroupByCollapsedTemplate', { read: core.TemplateRef, static: true },] }],
            isFocused: [{ type: core.Input }],
            index: [{ type: core.Input }],
            gridID: [{ type: core.Input }],
            groupRow: [{ type: core.Input }],
            groupContent: [{ type: core.ViewChild, args: ['groupContent', { static: true },] }],
            expanded: [{ type: core.HostBinding, args: ['attr.aria-expanded',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            describedBy: [{ type: core.HostBinding, args: ['attr.aria-describedby',] }],
            dataRowIndex: [{ type: core.HostBinding, args: ['attr.data-rowIndex',] }],
            styleClasses: [{ type: core.HostBinding, args: ['class',] }],
            onFocus: [{ type: core.HostListener, args: ['focus',] }],
            onBlur: [{ type: core.HostListener, args: ['blur',] }],
            onKeydown: [{ type: core.HostListener, args: ['keydown', ['$event'],] }]
        };
        return IgxGridGroupByRowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var MoveDirection = {
        LEFT: 'left',
        RIGHT: 'right',
    };
    /**
     * @hidden
     */
    var IgxGridNavigationService = /** @class */ (function () {
        function IgxGridNavigationService() {
        }
        Object.defineProperty(IgxGridNavigationService.prototype, "displayContainerWidth", {
            get: /**
             * @return {?}
             */
            function () {
                return Math.round(this.grid.parentVirtDir.dc.instance._viewContainer.element.nativeElement.offsetWidth);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridNavigationService.prototype, "displayContainerScrollLeft", {
            get: /**
             * @return {?}
             */
            function () {
                return Math.ceil(this.grid.headerContainer.scrollPosition);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridNavigationService.prototype, "verticalDisplayContainerElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.verticalScrollContainer.dc.instance._viewContainer.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} rowIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.horizontalScroll = /**
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowIndex) {
            /** @type {?} */
            var rowComp = this.grid.dataRowList.find(function (row) { return row.index === rowIndex; }) || this.grid.dataRowList.first;
            if (!rowComp) {
                rowComp = this.grid.summariesRowList.find(function (row) { return row.index === rowIndex; });
            }
            return rowComp.virtDirRow;
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.getColumnUnpinnedIndex = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            /** @type {?} */
            var column = this.grid.unpinnedColumns.find(function (col) { return !col.columnGroup && col.visibleIndex === visibleColumnIndex; });
            return this.grid.pinnedColumns.length ? this.grid.unpinnedColumns.filter(function (c) { return !c.columnGroup; }).indexOf(column) :
                visibleColumnIndex;
        };
        /**
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.isColumnFullyVisible = /**
         * @param {?} columnIndex
         * @return {?}
         */
        function (columnIndex) {
            return this.isColumnRightEdgeVisible(columnIndex) && this.isColumnLeftEdgeVisible(columnIndex);
        };
        /**
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.isColumnRightEdgeVisible = /**
         * @param {?} columnIndex
         * @return {?}
         */
        function (columnIndex) {
            /** @type {?} */
            var forOfDir = this.forOfDir();
            if (this.isColumnPinned(columnIndex, forOfDir)) {
                return true;
            }
            /** @type {?} */
            var index = this.getColumnUnpinnedIndex(columnIndex);
            return this.displayContainerWidth >= forOfDir.getColumnScrollLeft(index + 1) - this.displayContainerScrollLeft;
        };
        /**
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.isColumnLeftEdgeVisible = /**
         * @param {?} columnIndex
         * @return {?}
         */
        function (columnIndex) {
            /** @type {?} */
            var forOfDir = this.forOfDir();
            if (this.isColumnPinned(columnIndex, forOfDir)) {
                return true;
            }
            /** @type {?} */
            var index = this.getColumnUnpinnedIndex(columnIndex);
            return this.displayContainerScrollLeft <= forOfDir.getColumnScrollLeft(index);
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridNavigationService.prototype.forOfDir = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var forOfDir;
            if (this.grid.dataRowList.length > 0) {
                forOfDir = this.grid.dataRowList.first.virtDirRow;
            }
            else {
                forOfDir = this.grid.headerContainer;
            }
            return forOfDir;
        };
        /**
         * @private
         * @param {?} columnIndex
         * @param {?} forOfDir
         * @return {?}
         */
        IgxGridNavigationService.prototype.isColumnPinned = /**
         * @private
         * @param {?} columnIndex
         * @param {?} forOfDir
         * @return {?}
         */
        function (columnIndex, forOfDir) {
            /** @type {?} */
            var horizontalScroll = forOfDir.getScroll();
            /** @type {?} */
            var column = this.grid.columnList.filter(function (c) { return !c.columnGroup; }).find(function (col) { return col.visibleIndex === columnIndex; });
            return (!horizontalScroll.clientWidth || column.pinned);
        };
        Object.defineProperty(IgxGridNavigationService.prototype, "gridOrderedColumns", {
            get: /**
             * @return {?}
             */
            function () {
                return __spread(this.grid.pinnedColumns, this.grid.unpinnedColumns).filter(function (c) { return !c.columnGroup; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} rowIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.isRowInEditMode = /**
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowIndex) {
            return this.grid.rowEditable && (this.grid.rowInEditMode && this.grid.rowInEditMode.index === rowIndex);
        };
        /**
         * @param {?} direction
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.findNextEditable = /**
         * @param {?} direction
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (direction, visibleColumnIndex) {
            // go trough all columns in one cycle instead of
            // splice().reverse().find()
            /** @type {?} */
            var gridColumns = this.gridOrderedColumns;
            /** @type {?} */
            var start = visibleColumnIndex;
            /** @type {?} */
            var end = 0;
            /** @type {?} */
            var step = 0;
            /** @type {?} */
            var result = -1;
            if (direction === MoveDirection.LEFT) {
                end = 0;
                step = -1;
            }
            else if (direction === MoveDirection.RIGHT) {
                end = gridColumns.length - 1;
                step = 1;
            }
            for (var c = start; (c * step) <= end; c += step) {
                /** @type {?} */
                var column = gridColumns[c];
                if (column.editable) {
                    result = c;
                    break;
                }
            }
            return result;
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxGridNavigationService.prototype.getCellElementByVisibleIndex = /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (rowIndex, visibleColumnIndex, isSummary) {
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var cellSelector = this.getCellSelector(visibleColumnIndex, isSummary);
            return (/** @type {?} */ (this.grid.nativeElement.querySelector(cellSelector + "[data-rowindex=\"" + rowIndex + "\"][data-visibleIndex=\"" + visibleColumnIndex + "\"]")));
        };
        /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridNavigationService.prototype.onKeydownArrowRight = /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        function (element, selectedNode) {
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var isSummary = selectedNode.isSummaryRow;
            if (this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex === visibleColumnIndex) {
                return;
            }
            if (this.isColumnRightEdgeVisible(visibleColumnIndex + 1)) { // if next column is fully visible or is pinned
                if (element.classList.contains('igx-grid__td--pinned-last') || element.classList.contains('igx-grid-summary--pinned-last')) {
                    if (this.isColumnLeftEdgeVisible(visibleColumnIndex + 1)) {
                        element.nextElementSibling.firstElementChild.focus({ preventScroll: true });
                    }
                    else {
                        this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                        this.grid.parentVirtDir.onChunkLoad
                            .pipe(operators.first())
                            .subscribe(function () {
                            element.nextElementSibling.firstElementChild.focus({ preventScroll: true });
                        });
                        this.horizontalScroll(rowIndex).scrollTo(0);
                    }
                }
                else {
                    element.nextElementSibling.focus({ preventScroll: true });
                }
            }
            else {
                this.performHorizontalScrollToCell(rowIndex, visibleColumnIndex + 1, isSummary);
            }
        };
        /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridNavigationService.prototype.onKeydownArrowLeft = /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        function (element, selectedNode) {
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var isSummary = selectedNode.isSummaryRow;
            if (visibleColumnIndex === 0) {
                return;
            }
            /** @type {?} */
            var index = this.getColumnUnpinnedIndex(visibleColumnIndex - 1);
            if (!element.previousElementSibling && this.grid.pinnedColumns.length && index === -1) {
                element.parentNode.previousElementSibling.focus({ preventScroll: true });
            }
            else if (!this.isColumnLeftEdgeVisible(visibleColumnIndex - 1)) {
                this.performHorizontalScrollToCell(rowIndex, visibleColumnIndex - 1, isSummary);
            }
            else {
                element.previousElementSibling.focus({ preventScroll: true });
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?} currentColumnVisibleIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.movePreviousEditable = /**
         * @param {?} rowIndex
         * @param {?} currentColumnVisibleIndex
         * @return {?}
         */
        function (rowIndex, currentColumnVisibleIndex) {
            /** @type {?} */
            var prevEditableColumnIndex = this.findNextEditable(MoveDirection.LEFT, currentColumnVisibleIndex - 1);
            if (prevEditableColumnIndex === -1) {
                if (this.grid.rowEditTabs.length) {
                    //  TODO: make gridAPI visible for internal use and remove cast to any
                    ((/** @type {?} */ (this.grid))).gridAPI.submit_value();
                    this.grid.rowEditTabs.last.element.nativeElement.focus();
                    return;
                }
                else {
                    // In case when row edit template is empty select last editable cell
                    prevEditableColumnIndex = this.grid.lastEditableColumnIndex;
                }
            }
            this.focusEditableTarget(rowIndex, prevEditableColumnIndex);
        };
        /**
         * @param {?} rowIndex
         * @param {?} currentColumnVisibleIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.moveNextEditable = /**
         * @param {?} rowIndex
         * @param {?} currentColumnVisibleIndex
         * @return {?}
         */
        function (rowIndex, currentColumnVisibleIndex) {
            /** @type {?} */
            var nextEditableColumnIndex = this.findNextEditable(MoveDirection.RIGHT, currentColumnVisibleIndex + 1);
            if (nextEditableColumnIndex === -1) {
                if (this.grid.rowEditTabs.length) {
                    //  TODO: make gridAPI visible for internal use and remove cast to any
                    ((/** @type {?} */ (this.grid))).gridAPI.submit_value();
                    this.grid.rowEditTabs.first.element.nativeElement.focus();
                    return;
                }
                else {
                    // In case when row edit template is empty select first editable cell
                    nextEditableColumnIndex = this.grid.firstEditableColumnIndex;
                }
            }
            this.focusEditableTarget(rowIndex, nextEditableColumnIndex);
        };
        /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.focusEditableTarget = /**
         * @param {?} rowIndex
         * @param {?} columnIndex
         * @return {?}
         */
        function (rowIndex, columnIndex) {
            if (this.isColumnFullyVisible(columnIndex)) {
                this.getCellElementByVisibleIndex(rowIndex, columnIndex).focus();
            }
            else {
                this.performHorizontalScrollToCell(rowIndex, columnIndex);
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxGridNavigationService.prototype.onKeydownHome = /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (rowIndex, isSummary) {
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var rowList = isSummary ? this.grid.summariesRowList : this.grid.dataRowList;
            /** @type {?} */
            var rowElement = rowList.find(function (row) { return row.index === rowIndex; });
            /** @type {?} */
            var cellSelector = this.getCellSelector(0, isSummary);
            if (!rowElement) {
                return;
            }
            rowElement = rowElement.nativeElement;
            /** @type {?} */
            var firstCell = rowElement.querySelector(cellSelector);
            if (this.grid.pinnedColumns.length || this.displayContainerScrollLeft === 0) {
                firstCell.focus({ preventScroll: true });
            }
            else {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.parentVirtDir.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(function () {
                    firstCell = rowElement.querySelector(cellSelector);
                    firstCell.focus({ preventScroll: true });
                });
                this.horizontalScroll(rowIndex).scrollTo(0);
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxGridNavigationService.prototype.onKeydownEnd = /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (rowIndex, isSummary) {
            var _this = this;
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var index = this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex;
            /** @type {?} */
            var rowList = isSummary ? this.grid.summariesRowList : this.grid.dataRowList;
            /** @type {?} */
            var rowElement = rowList.find(function (row) { return row.index === rowIndex; });
            if (!rowElement) {
                return;
            }
            rowElement = rowElement.nativeElement;
            if (this.isColumnRightEdgeVisible(index)) {
                /** @type {?} */
                var allCells = rowElement.querySelectorAll(this.getCellSelector(-1, isSummary));
                allCells[allCells.length - 1].focus({ preventScroll: true });
            }
            else {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.parentVirtDir.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(function () {
                    /** @type {?} */
                    var allCells = rowElement.querySelectorAll(_this.getCellSelector(-1, isSummary));
                    allCells[allCells.length - 1].focus({ preventScroll: true });
                });
                this.horizontalScroll(rowIndex).scrollTo(this.getColumnUnpinnedIndex(index));
            }
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigateTop = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            var _this = this;
            /** @type {?} */
            var targetIndex = this.findFirstDataRowIndex();
            /** @type {?} */
            var verticalScroll = this.grid.verticalScrollContainer.getScroll();
            /** @type {?} */
            var cellSelector = this.getCellSelector(visibleColumnIndex);
            /** @type {?} */
            var targetScr = this.grid.verticalScrollContainer.getScrollForIndex(targetIndex, false);
            if (targetScr >= verticalScroll.scrollTop) {
                /** @type {?} */
                var cells = this.grid.nativeElement.querySelectorAll(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                ((/** @type {?} */ (cells[0]))).focus();
            }
            else {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.scrollTo(targetIndex !== -1 ? targetIndex : 0);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first()).subscribe(function () {
                    /** @type {?} */
                    var cells = _this.grid.nativeElement.querySelectorAll(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                    if (cells.length > 0) {
                        ((/** @type {?} */ (cells[0]))).focus();
                    }
                });
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridNavigationService.prototype.findFirstDataRowIndex = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var dv = this.grid.dataView;
            return dv.findIndex(function (rec) { return !_this.grid.isGroupByRecord(rec); });
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridNavigationService.prototype.findLastDataRowIndex = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var i = this.grid.dataView.length;
            while (i--) {
                /** @type {?} */
                var rec = this.grid.dataView[i];
                if (!this.grid.isGroupByRecord(rec)) {
                    return i;
                }
            }
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigateBottom = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            var _this = this;
            /** @type {?} */
            var targetIndex = this.findLastDataRowIndex();
            /** @type {?} */
            var targetScr = this.grid.verticalScrollContainer.getScrollForIndex(targetIndex, true);
            /** @type {?} */
            var verticalScroll = this.grid.verticalScrollContainer.getScroll();
            /** @type {?} */
            var cellSelector = this.getCellSelector(visibleColumnIndex);
            if (verticalScroll.scrollHeight === 0 ||
                verticalScroll.scrollTop === targetScr) {
                /** @type {?} */
                var cells = this.grid.nativeElement.querySelectorAll(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                ((/** @type {?} */ (cells[cells.length - 1]))).focus();
            }
            else {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.scrollTo(targetIndex !== -1 ? targetIndex : this.grid.dataView.length - 1);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first()).subscribe(function () {
                    /** @type {?} */
                    var cells = _this.grid.nativeElement.querySelectorAll(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                    if (cells.length > 0) {
                        ((/** @type {?} */ (cells[cells.length - 1]))).focus();
                    }
                });
            }
        };
        /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigateUp = /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            var _this = this;
            /** @type {?} */
            var currentRowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            if (currentRowIndex === 0) {
                return;
            }
            /** @type {?} */
            var containerTopOffset = parseInt(this.verticalDisplayContainerElement.style.top, 10);
            if (!rowElement.previousElementSibling ||
                rowElement.previousElementSibling.offsetTop < Math.abs(containerTopOffset)) {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.scrollTo(currentRowIndex - 1);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(function () {
                    /** @type {?} */
                    var tag = rowElement.tagName.toLowerCase();
                    /** @type {?} */
                    var rowSelector = _this.getRowSelector();
                    if (tag === rowSelector || tag === 'igx-grid-summary-row') {
                        rowElement = _this.getRowByIndex(currentRowIndex, tag);
                    }
                    else {
                        rowElement = _this.grid.nativeElement.querySelector("igx-grid-groupby-row[data-rowindex=\"" + currentRowIndex + "\"]");
                    }
                    _this.focusPreviousElement(rowElement, visibleColumnIndex);
                });
            }
            else {
                this.focusPreviousElement(rowElement, visibleColumnIndex);
            }
        };
        /**
         * @protected
         * @param {?} currentRowEl
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.focusPreviousElement = /**
         * @protected
         * @param {?} currentRowEl
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (currentRowEl, visibleColumnIndex) {
            this.focusElem(currentRowEl.previousElementSibling, visibleColumnIndex);
        };
        /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigateDown = /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            var _this = this;
            /** @type {?} */
            var currentRowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            if (currentRowIndex === this.grid.dataView.length - 1 ||
                (currentRowIndex === 0 && rowElement.tagName.toLowerCase() === 'igx-grid-summary-row')) {
                // check if this is rootSummary row
                return;
            }
            /** @type {?} */
            var rowHeight = this.grid.verticalScrollContainer.getSizeAt(currentRowIndex + 1);
            /** @type {?} */
            var containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
            /** @type {?} */
            var targetEndTopOffset = rowElement.nextElementSibling ?
                rowElement.nextElementSibling.offsetTop + rowHeight + parseInt(this.verticalDisplayContainerElement.style.top, 10) :
                containerHeight + rowHeight;
            this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
            if (containerHeight && containerHeight < targetEndTopOffset) {
                /** @type {?} */
                var nextIndex_1 = currentRowIndex + 1;
                this.grid.verticalScrollContainer.scrollTo(nextIndex_1);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(function () {
                    rowElement = _this.getNextRowByIndex(nextIndex_1);
                    _this.focusElem(rowElement, visibleColumnIndex);
                });
            }
            else {
                this.focusNextElement(rowElement, visibleColumnIndex);
            }
        };
        /**
         * @protected
         * @param {?} rowElement
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.focusElem = /**
         * @protected
         * @param {?} rowElement
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (rowElement, visibleColumnIndex) {
            if (rowElement.tagName.toLowerCase() === 'igx-grid-groupby-row') {
                rowElement.focus();
            }
            else {
                /** @type {?} */
                var isSummaryRow = rowElement.tagName.toLowerCase() === 'igx-grid-summary-row';
                if (this.isColumnFullyVisible(visibleColumnIndex)) {
                    /** @type {?} */
                    var cellSelector = this.getCellSelector(visibleColumnIndex, isSummaryRow);
                    /** @type {?} */
                    var cell = rowElement.querySelector(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                    cell.focus();
                    return cell;
                }
                this.performHorizontalScrollToCell(parseInt(rowElement.getAttribute('data-rowindex'), 10), visibleColumnIndex, isSummaryRow);
            }
        };
        /**
         * @protected
         * @param {?} rowElement
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.focusNextElement = /**
         * @protected
         * @param {?} rowElement
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (rowElement, visibleColumnIndex) {
            return this.focusElem(rowElement.nextElementSibling, visibleColumnIndex);
        };
        /**
         * @return {?}
         */
        IgxGridNavigationService.prototype.goToFirstCell = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var targetIndex = this.findFirstDataRowIndex();
            /** @type {?} */
            var targetScr = this.grid.verticalScrollContainer.getScrollForIndex(targetIndex, false);
            /** @type {?} */
            var verticalScroll = this.grid.verticalScrollContainer.getScroll();
            if (verticalScroll.scrollTop === targetScr) {
                this.onKeydownHome(this.grid.dataRowList.first.index);
            }
            else {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.scrollTo(targetIndex !== -1 ? targetIndex : 0);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first()).subscribe(function () {
                    _this.onKeydownHome(_this.grid.dataRowList.first.index);
                });
            }
        };
        /**
         * @return {?}
         */
        IgxGridNavigationService.prototype.goToLastCell = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var targetIndex = this.findLastDataRowIndex();
            /** @type {?} */
            var targetScr = this.grid.verticalScrollContainer.getScrollForIndex(targetIndex, true);
            /** @type {?} */
            var verticalScroll = this.grid.verticalScrollContainer.getScroll();
            if (verticalScroll.scrollHeight === 0 ||
                verticalScroll.scrollTop === targetScr) {
                /** @type {?} */
                var rows = this.getAllRows();
                /** @type {?} */
                var rowIndex = parseInt(rows[rows.length - 1].getAttribute('data-rowIndex'), 10);
                this.onKeydownEnd(rowIndex);
            }
            else {
                this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.scrollTo(targetIndex !== -1 ? targetIndex : this.grid.dataView.length - 1);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first()).subscribe(function () {
                    /** @type {?} */
                    var rows = _this.getAllRows();
                    if (rows.length > 0) {
                        /** @type {?} */
                        var rowIndex = parseInt(rows[rows.length - 1].getAttribute('data-rowIndex'), 10);
                        _this.onKeydownEnd(rowIndex);
                    }
                });
            }
        };
        /**
         * @return {?}
         */
        IgxGridNavigationService.prototype.goToLastBodyElement = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var verticalScroll = this.grid.verticalScrollContainer.getScroll();
            if (verticalScroll.scrollHeight === 0 ||
                verticalScroll.scrollTop === verticalScroll.scrollHeight - this.grid.verticalScrollContainer.igxForContainerSize) {
                /** @type {?} */
                var rowIndex = this.grid.dataView.length - 1;
                /** @type {?} */
                var row = (/** @type {?} */ (this.grid.nativeElement.querySelector("[data-rowindex=\"" + rowIndex + "\"]")));
                if (row && row.tagName.toLowerCase() === 'igx-grid-groupby-row') {
                    row.focus();
                    return;
                }
                /** @type {?} */
                var isSummary = (row && row.tagName.toLowerCase() === 'igx-grid-summary-row') ? true : false;
                this.onKeydownEnd(rowIndex, isSummary);
            }
            else {
                this.grid.verticalScrollContainer.scrollTo(this.grid.dataView.length - 1);
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first()).subscribe(function () {
                    /** @type {?} */
                    var rowIndex = _this.grid.dataView.length - 1;
                    /** @type {?} */
                    var row = (/** @type {?} */ (_this.grid.nativeElement.querySelector("[data-rowindex=\"" + rowIndex + "\"]")));
                    if (row && row.tagName.toLowerCase() === 'igx-grid-groupby-row') {
                        row.focus();
                        return;
                    }
                    /** @type {?} */
                    var isSummary = (row && row.tagName.toLowerCase() === 'igx-grid-summary-row') ? true : false;
                    _this.onKeydownEnd(rowIndex, isSummary);
                });
            }
        };
        /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridNavigationService.prototype.performTab = /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        function (currentRowEl, selectedNode) {
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var isSummaryRow = selectedNode.isSummaryRow;
            if (isSummaryRow && rowIndex === 0 &&
                this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex === visibleColumnIndex) {
                return;
            }
            if (this.isRowInEditMode(rowIndex)) {
                this.moveNextEditable(rowIndex, visibleColumnIndex);
                return;
            }
            if (this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex === visibleColumnIndex) {
                /** @type {?} */
                var rowEl = this.grid.rowList.find(function (row) { return row.index === rowIndex + 1; }) ?
                    this.grid.rowList.find(function (row) { return row.index === rowIndex + 1; }) :
                    this.grid.summariesRowList.find(function (row) { return row.index === rowIndex + 1; });
                if (rowIndex === this.grid.dataView.length - 1 && this.grid.rootSummariesEnabled) {
                    this.onKeydownHome(0, true);
                    return;
                }
                if (rowEl) {
                    this.navigateDown(currentRowEl, { row: rowIndex, column: 0 });
                }
            }
            else {
                /** @type {?} */
                var cell = this.getCellElementByVisibleIndex(rowIndex, visibleColumnIndex, isSummaryRow);
                if (cell) {
                    this.onKeydownArrowRight(cell, selectedNode);
                }
            }
        };
        /**
         * @param {?=} toStart
         * @return {?}
         */
        IgxGridNavigationService.prototype.moveFocusToFilterCell = /**
         * @param {?=} toStart
         * @return {?}
         */
        function (toStart) {
            if (this.grid.filteringService.isFilterRowVisible) {
                this.grid.filteringService.focusFilterRowCloseButton();
                return;
            }
            /** @type {?} */
            var columns = this.grid.filteringService.unpinnedFilterableColumns;
            /** @type {?} */
            var targetIndex = toStart ? 0 : columns.length - 1;
            /** @type {?} */
            var visibleIndex = columns[targetIndex].visibleIndex;
            /** @type {?} */
            var isVisible = toStart ? this.isColumnLeftEdgeVisible(visibleIndex) : this.isColumnRightEdgeVisible(visibleIndex);
            if (isVisible) {
                this.grid.filteringService.focusFilterCellChip(columns[targetIndex], false);
            }
            else {
                this.grid.filteringService.scrollToFilterCell(columns[targetIndex], false);
            }
        };
        /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigatePrevFilterCell = /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        function (column, eventArgs) {
            /** @type {?} */
            var cols = this.grid.filteringService.unpinnedFilterableColumns;
            /** @type {?} */
            var prevFilterableIndex = cols.indexOf(column) - 1;
            /** @type {?} */
            var visibleIndex = column.visibleIndex;
            if (visibleIndex === 0 || prevFilterableIndex < 0) {
                // prev is not filter cell
                /** @type {?} */
                var firstFiltarableCol = this.getFirstPinnedFilterableColumn();
                if (!firstFiltarableCol || column === firstFiltarableCol) {
                    eventArgs.preventDefault();
                }
                return;
            }
            /** @type {?} */
            var prevColumn = cols[prevFilterableIndex];
            /** @type {?} */
            var prevVisibleIndex = prevColumn.visibleIndex;
            if (prevFilterableIndex >= 0 && visibleIndex > 0 && !this.isColumnLeftEdgeVisible(prevVisibleIndex) && !column.pinned) {
                eventArgs.preventDefault();
                this.grid.filteringService.scrollToFilterCell(prevColumn, false);
            }
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigateFirstCellIfPossible = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (this.grid.rowList.length > 0) {
                if (this.grid.rowList.filter(function (row) { return row instanceof IgxGridGroupByRowComponent; }).length > 0) {
                    eventArgs.stopPropagation();
                    return;
                }
                this.goToFirstCell();
            }
            else if (this.grid.rootSummariesEnabled) {
                this.onKeydownHome(0, true);
            }
            eventArgs.preventDefault();
        };
        /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridNavigationService.prototype.navigateNextFilterCell = /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        function (column, eventArgs) {
            /** @type {?} */
            var cols = this.grid.filteringService.unpinnedFilterableColumns;
            /** @type {?} */
            var nextFilterableIndex = cols.indexOf(column) + 1;
            if (nextFilterableIndex >= this.grid.filteringService.unpinnedFilterableColumns.length) {
                // next is not filter cell
                this.navigateFirstCellIfPossible(eventArgs);
                return;
            }
            /** @type {?} */
            var nextColumn = cols[nextFilterableIndex];
            /** @type {?} */
            var nextVisibleIndex = nextColumn.visibleIndex;
            if (!column.pinned && !this.isColumnRightEdgeVisible(nextVisibleIndex)) {
                eventArgs.preventDefault();
                this.grid.filteringService.scrollToFilterCell(nextColumn, true);
            }
            else if (column === this.getLastPinnedFilterableColumn() && !this.isColumnRightEdgeVisible(nextVisibleIndex)) {
                this.grid.filteringService.scrollToFilterCell(nextColumn, false);
                eventArgs.stopPropagation();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridNavigationService.prototype.getLastPinnedFilterableColumn = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var pinnedFilterableColums = this.grid.pinnedColumns.filter(function (col) { return !(col.columnGroup) && col.filterable; });
            return pinnedFilterableColums[pinnedFilterableColums.length - 1];
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridNavigationService.prototype.getFirstPinnedFilterableColumn = /**
         * @private
         * @return {?}
         */
        function () {
            return this.grid.pinnedColumns.filter(function (col) { return !(col.columnGroup) && col.filterable; })[0];
        };
        /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridNavigationService.prototype.performShiftTabKey = /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        function (currentRowEl, selectedNode) {
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var isSummary = selectedNode.isSummaryRow;
            if (isSummary && rowIndex === 0 && visibleColumnIndex === 0 && this.grid.rowList.length) {
                this.goToLastBodyElement();
                return;
            }
            if (this.isRowInEditMode(rowIndex)) {
                this.movePreviousEditable(rowIndex, visibleColumnIndex);
                return;
            }
            if (visibleColumnIndex === 0) {
                if (rowIndex === 0 && this.grid.allowFiltering && this.grid.filterMode === FilterMode.quickFilter) {
                    this.moveFocusToFilterCell();
                }
                else {
                    this.navigateUp(currentRowEl, {
                        row: rowIndex,
                        column: this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex
                    });
                }
            }
            else {
                /** @type {?} */
                var cell = this.getCellElementByVisibleIndex(rowIndex, visibleColumnIndex, isSummary);
                if (cell) {
                    this.onKeydownArrowLeft(cell, selectedNode);
                }
            }
        };
        /**
         * @param {?} targetRowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.shouldPerformVerticalScroll = /**
         * @param {?} targetRowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (targetRowIndex, visibleColumnIndex) {
            /** @type {?} */
            var containerTopOffset = parseInt(this.verticalDisplayContainerElement.style.top, 10);
            /** @type {?} */
            var targetRow = this.grid.summariesRowList.filter(function (s) { return s.index !== 0; })
                .concat(this.grid.rowList.toArray()).find(function (r) { return r.index === targetRowIndex; });
            /** @type {?} */
            var rowHeight = this.grid.verticalScrollContainer.getSizeAt(targetRowIndex);
            /** @type {?} */
            var containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
            /** @type {?} */
            var targetEndTopOffset = targetRow ? targetRow.nativeElement.offsetTop + rowHeight + containerTopOffset :
                containerHeight + rowHeight;
            if (!targetRow || targetRow.nativeElement.offsetTop < Math.abs(containerTopOffset)
                || containerHeight && containerHeight < targetEndTopOffset) {
                return true;
            }
            else {
                return false;
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColIndex
         * @param {?=} cb
         * @return {?}
         */
        IgxGridNavigationService.prototype.performVerticalScrollToCell = /**
         * @param {?} rowIndex
         * @param {?} visibleColIndex
         * @param {?=} cb
         * @return {?}
         */
        function (rowIndex, visibleColIndex, cb) {
            this.grid.verticalScrollContainer.scrollTo(rowIndex);
            this.grid.verticalScrollContainer.onChunkLoad
                .pipe(operators.first()).subscribe(function () {
                cb();
            });
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @param {?=} cb
         * @return {?}
         */
        IgxGridNavigationService.prototype.performHorizontalScrollToCell = /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @param {?=} cb
         * @return {?}
         */
        function (rowIndex, visibleColumnIndex, isSummary, cb) {
            var _this = this;
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var unpinnedIndex = this.getColumnUnpinnedIndex(visibleColumnIndex);
            this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
            this.grid.parentVirtDir.onChunkLoad
                .pipe(operators.first())
                .subscribe(function () {
                if (cb) {
                    cb();
                }
                else {
                    /** @type {?} */
                    var cellElement = _this.getCellElementByVisibleIndex(rowIndex, visibleColumnIndex, isSummary);
                    if (cellElement) {
                        cellElement.focus({ preventScroll: true });
                    }
                }
            });
            this.horizontalScroll(rowIndex).scrollTo(unpinnedIndex);
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridNavigationService.prototype.getFocusableGrid = /**
         * @protected
         * @return {?}
         */
        function () {
            return this.grid;
        };
        /**
         * @protected
         * @param {?} index
         * @param {?=} selector
         * @return {?}
         */
        IgxGridNavigationService.prototype.getRowByIndex = /**
         * @protected
         * @param {?} index
         * @param {?=} selector
         * @return {?}
         */
        function (index, selector) {
            if (selector === void 0) { selector = this.getRowSelector(); }
            return this.grid.nativeElement.querySelector(selector + "[data-rowindex=\"" + index + "\"]");
        };
        /**
         * @protected
         * @param {?} nextIndex
         * @return {?}
         */
        IgxGridNavigationService.prototype.getNextRowByIndex = /**
         * @protected
         * @param {?} nextIndex
         * @return {?}
         */
        function (nextIndex) {
            return this.grid.tbody.nativeElement.querySelector("[data-rowindex=\"" + nextIndex + "\"]");
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridNavigationService.prototype.getAllRows = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selector = this.getRowSelector();
            return this.grid.nativeElement.querySelectorAll(selector);
        };
        /**
         * @protected
         * @param {?=} visibleIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxGridNavigationService.prototype.getCellSelector = /**
         * @protected
         * @param {?=} visibleIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (visibleIndex, isSummary) {
            if (isSummary === void 0) { isSummary = false; }
            return isSummary ? 'igx-grid-summary-cell' : 'igx-grid-cell';
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridNavigationService.prototype.getRowSelector = /**
         * @protected
         * @return {?}
         */
        function () {
            return 'igx-grid-row';
        };
        IgxGridNavigationService.decorators = [
            { type: core.Injectable }
        ];
        return IgxGridNavigationService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /* tslint:disable */
    var icons = [
        {
            name: 'add_filter',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M19 15v-3h-2v3h-3v2h3v3h2v-3h3v-2h-3zM5 10h10v2H5zM2 5h16v2H2zM8 15h4v2H8z\"/>\n      </svg>"
        },
        {
            name: 'contains',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" id=\"Layer_1\" data-name=\"Layer 1\" viewBox=\"0 0 24 24\">\n        <path d=\"M3 3v18h18V3zm16 16H5V5h14z\"/>\n        <path d=\"M12 11.3a4.39 4.39 0 0 0-2.54.63 2.07 2.07 0 0 0-.9 1.78 2.29 2.29 0 0 0 .66 1.74 2.63 2.63 0 0 0 1.89.63 2.39 2.39 0 0 0 1.32-.37 3.05 3.05 0 0 0 1-.93 3.72 3.72 0 0 0 .08.57c0 .19.1.38.16.58h1.79a4.51 4.51 0 0 1-.21-.88 5.57 5.57 0 0 1-.07-.93v-3.5a2.44 2.44 0 0 0-.84-2 3.34 3.34 0 0 0-2.22-.7 3.54 3.54 0 0 0-2.3.72A1.93 1.93 0 0 0 9 10.29h1.71a.93.93 0 0 1 .29-.71 1.5 1.5 0 0 1 1-.29 1.45 1.45 0 0 1 1 .35 1.3 1.3 0 0 1 .37 1v.69zm1.4 1.08v1.17a1.61 1.61 0 0 1-.71.77 2.27 2.27 0 0 1-1.21.34 1.18 1.18 0 0 1-.84-.27.92.92 0 0 1-.3-.72 1.16 1.16 0 0 1 .44-.9 1.76 1.76 0 0 1 1.22-.39z\"/>\n      </svg>"
        },
        {
            name: 'does_not_contain',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M21,19.74V3H4.26L2.89,1.63,1.63,2.92,3,4.29V21H19.73l1.37,1.37,1.27-1.26ZM5,19V6.28l5.28,5.27a3.19,3.19,0,0,0-.81.38,2.07,2.07,0,0,0-.9,1.78,2.29,2.29,0,0,0,.66,1.74,2.63,2.63,0,0,0,1.89.63,2.39,2.39,0,0,0,1.32-.37,3.05,3.05,0,0,0,1-.93,3.72,3.72,0,0,0,.08.57c0,.19.1.38.16.58h1L17.73,19Zm5.79-6.23a1.31,1.31,0,0,1,.45-.25l1.37,1.36.28.29a1.57,1.57,0,0,1-.19.15,2.27,2.27,0,0,1-1.21.34,1.18,1.18,0,0,1-.84-.27.92.92,0,0,1-.3-.72A1.16,1.16,0,0,1,10.79,12.77Zm2.6-1.47h-.83L10.94,9.68l.08-.1a1.5,1.5,0,0,1,1-.29,1.45,1.45,0,0,1,1,.35,1.3,1.3,0,0,1,.37,1ZM19,17.74l-3.85-3.85V10.62a2.44,2.44,0,0,0-.84-2,3.34,3.34,0,0,0-2.22-.7,3.64,3.64,0,0,0-2.24.67L6.26,5H19Z\"/>\n    </svg>"
        },
        {
            name: 'all',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M2 14h8v2H2zM2 6h12v2H2zM16 17l-3-3-1.5 1.5L16 20l7-7-1.5-1.5L16 17zM2 10h12v2H2z\"/>\n      </svg>\n      "
        },
        {
            name: 'empty',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M5 17h2v2H5zM13 17h2v2h-2zM5 13h2v2H5zM17 17h2v2h-2zM13 5h2v2h-2zM9 17h2v2H9zM17 9h2v2h-2zM17 13h2v2h-2zM17 5h2v2h-2zM5 9h2v2H5zM5 5h2v2H5zM9 5h2v2H9z\"/>\n      </svg>"
        },
        {
            name: 'end_expression',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M13.14 6.76L17.49 12l-4.35 5.24 1.54 1.28L20.09 12l-5.41-6.52-1.54 1.28z\"/>\n        <path d=\"M11.91 11h2v2h-2zM7.91 11h2v2h-2zM3.91 11h2v2h-2z\"/>\n      </svg>"
        },
        {
            name: 'ends_with',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M3 14.5h2v2H3zM11 14.5h2v2h-2zM7 14.5h2v2H7zM20.8 14.8v-3A2.1 2.1 0 0 0 20 10a3 3 0 0 0-2-.6 3 3 0 0 0-2 .6 1.7 1.7 0 0 0-.7 1.5h1.5a.8.8 0 0 1 .3-.7 1.3 1.3 0 0 1 .9-.3 1.3 1.3 0 0 1 .9.4 1.1 1.1 0 0 1 .3.8v.6H18a3.8 3.8 0 0 0-2.2.6 1.8 1.8 0 0 0-.8 1.5 2 2 0 0 0 .6 1.6 2.3 2.3 0 0 0 1.6.6 2.1 2.1 0 0 0 1.2-.4 2.8 2.8 0 0 0 .8-.8 4.3 4.3 0 0 0 .1.5l.1.5H21a4.1 4.1 0 0 1-.2-.7 5.4 5.4 0 0 1 0-1zm-1.6-.5a1.5 1.5 0 0 1-.6.7 2 2 0 0 1-1 .2 1.1 1.1 0 0 1-.8-.2.8.8 0 0 1-.2-.6 1 1 0 0 1 .3-.8 1.5 1.5 0 0 1 1.1-.3h1.2z\"/>\n      </svg>"
        },
        {
            name: 'equals',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M5 13.5h14v2H5zM5 8.5h14v2H5z\"/>\n      </svg>"
        },
        {
            name: 'greater_than_or_equal',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M5.99 19h12.02v2H5.99zM18 9.47L6 3v2.11L15.09 10 6 14.9v2.11l12-6.47V9.47z\"/>\n      </svg>"
        },
        {
            name: 'greater_than',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M6 7.11L15.09 12 6 16.89V19l12-6.46v-1.08L6 5v2.11z\"/>\n      </svg>\n      "
        },
        {
            name: 'is_after',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M15 7h4v10h-4v2h6V5h-6v2zM11 3h2v18h-2zM7 5h2v2H7zM3 5h2v2H3zM3 17h2v2H3zM3 13h2v2H3zM3 9h2v2H3zM7 17h2v2H7z\"/>\n      </svg>"
        },
        {
            name: 'is_before',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M3 19h6v-2H5V7h4V5H3v14zM11 3h2v18h-2zM15 5h2v2h-2zM19 5h2v2h-2zM19 13h2v2h-2zM15 17h2v2h-2zM19 17h2v2h-2zM19 9h2v2h-2z\"/>\n      </svg>"
        },
        {
            name: 'is_false',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M8 5a7 7 0 1 0 7 7 7 7 0 0 0-7-7zm4.31 9.79l-1.52 1.52L8 13.52l-2.79 2.79-1.52-1.52L6.48 12 3.69 9.21l1.52-1.52L8 10.48l2.79-2.79 1.52 1.52L9.52 12zM18 7a5 5 0 0 0-3 1.06 7.48 7.48 0 0 1 .49 1 3.89 3.89 0 1 1 0 5.82 8.08 8.08 0 0 1-.49 1A5 5 0 1 0 18 7z\"/>\n        <path d=\"M17.52 13.85l2.91-2.92-.78-.78-2.13 2.12-1.17-1.15-.38.37-.41.41.42.42L17 13.34l.52.51z\"/>\n      </svg>"
        },
        {
            name: 'is_not_null',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M16.58 6.07l.79-1.36-1.74-1-.78 1.35a7.5 7.5 0 0 0-7.43 12.87l-.79 1.36 1.74 1 .78-1.35a7.5 7.5 0 0 0 7.43-12.87zM6.5 12A5.5 5.5 0 0 1 12 6.5a5.65 5.65 0 0 1 1.84.32l-5.41 9.36A5.49 5.49 0 0 1 6.5 12zm5.5 5.5a5.65 5.65 0 0 1-1.84-.32l5.41-9.36A5.5 5.5 0 0 1 12 17.5z\"/>\n      </svg>"
        },
        {
            name: 'is_null',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M12 4.5a7.5 7.5 0 1 0 7.5 7.5A7.5 7.5 0 0 0 12 4.5zm0 13a5.5 5.5 0 1 1 5.5-5.5 5.5 5.5 0 0 1-5.5 5.5z\"/>\n      </svg>"
        },
        {
            name: 'is_true',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M19.44 14.22zM16.56 14.22zM16.56 14.22L18 12.79l1.44 1.43.78-.78L18.79 12l1.43-1.44-.78-.78L18 11.21l-1.44-1.43-.78.78L17.21 12l-1.43 1.44.78.78z\"/>\n        <path d=\"M18 7a5 5 0 0 0-3 1.06 7.48 7.48 0 0 1 .49 1 3.89 3.89 0 1 1 0 5.82 8.08 8.08 0 0 1-.49 1A5 5 0 1 0 18 7zM8 5a7 7 0 1 0 7 7 7 7 0 0 0-7-7zm-.93 10.18l-3.38-3.37 1.13-1.12 2.25 2.25 4.11-4.12 1.13 1.12z\"/>\n      </svg>"
        },
        {
            name: 'last_month',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M17.5 14a4.48 4.48 0 1 0 4.5 4.5 4.47 4.47 0 0 0-4.5-4.5zm3.5 5.5h-4v2l-3-3 3-3v2h4zM5 9h2v2H5zM5 13h2v2H5zM10 13h2v2h-2zM5 17h2v2H5zM10 17h2v2h-2zM10 9h2v2h-2zM15 9h2v2h-2z\"/>\n        <path d=\"M4 8h14v4h2V5a2 2 0 0 0-2-2h-1V1h-2v2H7V1H5v2H4a2 2 0 0 0-2 2v15a2 2 0 0 0 2 2h7v-2H4z\"/>\n      </svg>"
        },
        {
            name: 'last_year',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M21 10v11H7v2h14a2 2 0 0 0 2-2V10z\"/>\n        <path d=\"M19 17V5a2 2 0 0 0-2-2h-1V1h-2v2H6V1H4v2H3a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2zM3 17V7h14v10H3z\"/>\n        <path d=\"M8.87 9l-2.99 3 2.99 3v-2.25h5.26v-1.5H8.87V9z\"/>\n      </svg>"
        },
        {
            name: 'less_than_or_equal',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M5.99 19h12.02v2H5.99zM18 14.9L8.91 10 18 5.11V3L6 9.47v1.07l12 6.47V14.9z\"/>\n      </svg>"
        },
        {
            name: 'less_than',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M6 12.54L18 19v-2.11L8.91 12 18 7.11V5L6 11.46v1.08z\"/>\n      </svg>"
        },
        {
            name: 'next_month',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M20 14.76a4.5 4.5 0 1 0 2 3.74 4.47 4.47 0 0 0-2-3.74zm-2 6.74v-2h-4v-2h4v-2l3 3zM5 9h2v2H5zM5 13h2v2H5zM10 13h2v2h-2zM5 17h2v2H5zM10 17h2v2h-2zM10 9h2v2h-2zM15 9h2v2h-2z\"/>\n        <path d=\"M4 8h14v4h2V5a2 2 0 0 0-2-2h-1V1h-2v2H7V1H5v2H4a2 2 0 0 0-2 2v15a2 2 0 0 0 2 2h7v-2H4z\"/>\n      </svg>"
        },
        {
            name: 'next_year',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M21 21H7v2h14a2 2 0 0 0 2-2V10h-2z\"/>\n        <path d=\"M19 17V5a2 2 0 0 0-2-2h-1V1h-2v2H6V1H4v2H3a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2zM3 17V7h14v10H3z\"/>\n        <path d=\"M11.13 11.25H5.88v1.5h5.25V15l3-3-3-3v2.25z\"/>\n      </svg>"
        },
        {
            name: 'not_empty',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M5 9h2v2H5zM9 17h2v2H9zM13 17h2v2h-2zM17 9h2v2h-2zM17 5h2v2h-2zM5 17h2v2H5zM13 5h2v2h-2zM5 13h2v2H5zM19 15v-2h-2v.47L18.53 15H19zM11 7V5H9v.46L10.54 7H11zM2.76 1.76L1.5 3.06 20.97 22.5l1.26-1.26-8.89-8.89L2.76 1.76z\"/>\n      </svg>"
        },
        {
            name: 'not_equal',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M17.37 4.71l-1.74-1-2.76 4.79H5v2h6.71l-1.73 3H5v2h3.82l-2.19 3.79 1.74 1 2.76-4.79H19v-2h-6.71l1.73-3H19v-2h-3.82l2.19-3.79z\"/>\n      </svg>"
        },
        {
            name: 'start_expression',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M18.1 11h2v2h-2zM10.1 11h2v2h-2z\"/>\n        <path d=\"M10.9 6.8L9.3 5.5 4 12l5.4 6.5 1.6-1.3L6.5 12 11 6.8zM14.1 11h2v2h-2z\"/>\n      </svg>"
        },
        {
            name: 'starts_with',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path fill=\"none\" d=\"M4.97 13.23h3.06L6.5 9.12l-1.53 4.11z\"/>\n        <path d=\"M5.89 7.5L2 16.5h1.72l.73-1.8h4.1l.73 1.8H11l-3.89-9zM5 13.23l1.5-4.11L8 13.23zM12 14.5h2v2h-2zM20 14.5h2v2h-2zM16 14.5h2v2h-2z\"/>\n      </svg>"
        },
        {
            name: 'this_month',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M6 9h2v2H6zM6 13h2v2H6zM11 13h2v2h-2zM6 17h2v2H6zM11 17h2v2h-2zM11 9h2v2h-2zM16 9h2v2h-2zM21 14.76a4.5 4.5 0 1 0 2 3.74 4.47 4.47 0 0 0-2-3.74zm-2.94 5.41l-1.75-1.76.69-.71 1.05 1L20 16.83l.71.71z\"/>\n        <path d=\"M5 8h14v4h2V5a2 2 0 0 0-2-2h-1V1h-2v2H8V1H6v2H5a2 2 0 0 0-2 2v15a2 2 0 0 0 2 2h7v-2H5z\"/>\n      </svg>"
        },
        {
            name: 'this_year',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M21 21H7v2h14a2 2 0 0 0 2-2V10h-2z\"/>\n        <path d=\"M19 17V5a2 2 0 0 0-2-2h-1V1h-2v2H6V1H4v2H3a2 2 0 0 0-2 2v12a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2zM3 17V7h14v10H3z\"/>\n        <path d=\"M8.85 13.15l-1.77-1.77-.88.89 2.65 2.65 4.95-4.96-.88-.88-4.07 4.07z\"/>\n      </svg>"
        },
        {
            name: 'today',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M19 4h-1V2h-2v2H8V2H6v2H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2zm0 16H5V9h14z\"/>\n        <path d=\"M16.53 12.06L15.47 11l-4.88 4.88-2.12-2.12-1.06 1.06L10.59 18l5.94-5.94z\"/>\n      </svg>"
        },
        {
            name: 'ungroup',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M15 15h5v5h-5zM6 13h5v5H6zM13 6h5v5h-5zM6 6h5v5H6z\"/>\n        <path d=\"M20 2H4a2 2 0 0 0-2 2v16a2 2 0 0 0 2 2h9v-2H4V4h16v9h2V4a2 2 0 0 0-2-2z\"/>\n      </svg>"
        },
        {
            name: 'yesterday',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M10.68 15.38h6.13v-1.75h-6.13V11l-3.49 3.5 3.49 3.5v-2.62z\"/>\n        <path d=\"M19 4h-1V2h-2v2H8V2H6v2H5a2 2 0 0 0-2 2v14a2 2 0 0 0 2 2h14a2 2 0 0 0 2-2V6a2 2 0 0 0-2-2zm0 16H5V9h14z\"/>\n      </svg>"
        },
        {
            name: 'pin',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path d=\"M15.18 2.25l7.07 7.07-2.83-.01-3.54 3.55.01 4.24-3.53-3.54-5.66 5.66H5.28V17.8l5.66-5.66L7.4 8.61l4.24.01 3.55-3.54-.01-2.83z\"/>\n      </svg>"
        },
        {
            name: 'unpin',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n        <path fill=\"none\" d=\"M0 0h24v25H0V0z\"/>\n        <path d=\"M11.84 14.08L6.7 19.22H5.28V17.8l5.14-5.14L2 4.26 3.29 3l18 18L20 22.21zm4-.49l-5-5h.73l3.55-3.54v-2.8l7.07 7.07h-2.77l-3.54 3.54z\" />\n      </svg>"
        },
        {
            name: 'ungroup',
            value: "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\">\n          <path d=\"M18,4.5H6A1.5,1.5,0,0,0,4.5,6V18A1.5,1.5,0,0,0,6,19.5h6.75V18H6V6H18v6.75h1.5V6A1.5,1.5,0,0,0,18,4.5Z\"/>\n          <rect x=\"7.5\" y=\"12.75\" width=\"3.75\" height=\"3.75\"/>\n          <rect x=\"14.25\" y=\"14.25\" width=\"3.75\" height=\"3.75\"/>\n          <rect x=\"7.5\" y=\"7.5\" width=\"3.75\" height=\"3.75\"/>\n          <rect x=\"12.75\" y=\"7.5\" width=\"3.75\" height=\"3.75\"/>\n        </svg>"
        }
    ];

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var FILTERING_ICONS_FONT_SET = 'filtering-icons';
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ExpressionUI = /** @class */ (function () {
        function ExpressionUI() {
            this.isSelected = false;
            this.isVisible = true;
        }
        return ExpressionUI;
    }());
    /**
     * @hidden
     */
    var IgxFilteringService = /** @class */ (function () {
        function IgxFilteringService(gridAPI, iconService) {
            this.gridAPI = gridAPI;
            this.iconService = iconService;
            this.columnsWithComplexFilter = new Set();
            this.areEventsSubscribed = false;
            this.destroy$ = new rxjs.Subject();
            this.isFiltering = false;
            this.columnToExpressionsMap = new Map();
            this.columnStartIndex = -1;
            this._filterIconsRegistered = false;
            this.isFilterRowVisible = false;
            this.filteredColumn = null;
            this.selectedExpression = null;
            this.columnToFocus = null;
            this.shouldFocusNext = false;
            this.columnToMoreIconHidden = new Map();
        }
        /**
         * @return {?}
         */
        IgxFilteringService.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        Object.defineProperty(IgxFilteringService.prototype, "displayContainerWidth", {
            get: /**
             * @return {?}
             */
            function () {
                return parseInt(this.grid.parentVirtDir.dc.instance._viewContainer.element.nativeElement.offsetWidth, 10);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFilteringService.prototype, "displayContainerScrollLeft", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.headerContainer.scrollPosition;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFilteringService.prototype, "areAllColumnsInView", {
            get: /**
             * @return {?}
             */
            function () {
                return parseInt(this.grid.parentVirtDir.dc.instance._viewContainer.element.nativeElement.offsetWidth, 10) === 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFilteringService.prototype, "unpinnedFilterableColumns", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.unpinnedColumns.filter(function (col) { return !col.columnGroup && col.filterable; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFilteringService.prototype, "unpinnedColumns", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.unpinnedColumns.filter(function (col) { return !col.columnGroup; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxFilteringService.prototype, "datePipe", {
            get: /**
             * @return {?}
             */
            function () {
                if (!this._datePipe) {
                    this._datePipe = new IgxDatePipeComponent(this.grid.locale);
                }
                return this._datePipe;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Subscribe to grid's events.
         */
        /**
         * Subscribe to grid's events.
         * @return {?}
         */
        IgxFilteringService.prototype.subscribeToEvents = /**
         * Subscribe to grid's events.
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this.areEventsSubscribed) {
                this.areEventsSubscribed = true;
                this.grid.onColumnResized.pipe(operators.takeUntil(this.destroy$)).subscribe(function (eventArgs) {
                    _this.updateFilteringCell(eventArgs.column);
                });
                this.grid.parentVirtDir.onChunkLoad.pipe(operators.takeUntil(this.destroy$)).subscribe(function (eventArgs) {
                    if (eventArgs.startIndex !== _this.columnStartIndex) {
                        _this.columnStartIndex = eventArgs.startIndex;
                        _this.grid.filterCellList.forEach(function (filterCell) {
                            filterCell.updateFilterCellArea();
                        });
                    }
                    if (_this.columnToFocus) {
                        _this.focusFilterCellChip(_this.columnToFocus, false);
                        _this.columnToFocus = null;
                    }
                });
                this.grid.onColumnMovingEnd.pipe(operators.takeUntil(this.destroy$)).subscribe(function () {
                    _this.grid.filterCellList.forEach(function (filterCell) {
                        filterCell.updateFilterCellArea();
                    });
                });
                this.grid.onColumnVisibilityChanged.pipe(operators.takeUntil(this.destroy$)).subscribe(function (eventArgs) {
                    if (_this.grid.filteringRow && _this.grid.filteringRow.column === eventArgs.column) {
                        _this.grid.filteringRow.close();
                    }
                });
            }
        };
        /**
         * Internal method to create expressionsTree and filter grid used in both filter modes.
         */
        /**
         * Internal method to create expressionsTree and filter grid used in both filter modes.
         * @param {?} field
         * @param {?=} expressions
         * @return {?}
         */
        IgxFilteringService.prototype.filterInternal = /**
         * Internal method to create expressionsTree and filter grid used in both filter modes.
         * @param {?} field
         * @param {?=} expressions
         * @return {?}
         */
        function (field, expressions) {
            if (expressions === void 0) { expressions = null; }
            this.isFiltering = true;
            /** @type {?} */
            var expressionsTree;
            if (expressions instanceof FilteringExpressionsTree) {
                expressionsTree = expressions;
            }
            else {
                expressionsTree = this.createSimpleFilteringTree(field, expressions);
            }
            if (expressionsTree.filteringOperands.length === 0) {
                this.clearFilter(field);
            }
            else {
                this.filter(field, null, expressionsTree);
            }
            this.isFiltering = false;
        };
        /**
         * Execute filtering on the grid.
         */
        /**
         * Execute filtering on the grid.
         * @param {?} field
         * @param {?} value
         * @param {?=} conditionOrExpressionTree
         * @param {?=} ignoreCase
         * @return {?}
         */
        IgxFilteringService.prototype.filter = /**
         * Execute filtering on the grid.
         * @param {?} field
         * @param {?} value
         * @param {?=} conditionOrExpressionTree
         * @param {?=} ignoreCase
         * @return {?}
         */
        function (field, value, conditionOrExpressionTree, ignoreCase) {
            var _this = this;
            /** @type {?} */
            var col = this.gridAPI.get_column_by_name(field);
            /** @type {?} */
            var filteringIgnoreCase = ignoreCase || (col ? col.filteringIgnoreCase : false);
            if (conditionOrExpressionTree) {
                this.gridAPI.filter(field, value, conditionOrExpressionTree, filteringIgnoreCase);
            }
            else {
                /** @type {?} */
                var expressionsTreeForColumn = this.grid.filteringExpressionsTree.find(field);
                if (!expressionsTreeForColumn) {
                    throw new Error('Invalid condition or Expression Tree!');
                }
                else if (expressionsTreeForColumn instanceof FilteringExpressionsTree) {
                    this.gridAPI.filter(field, value, expressionsTreeForColumn, filteringIgnoreCase);
                }
                else {
                    /** @type {?} */
                    var expressionForColumn = (/** @type {?} */ (expressionsTreeForColumn));
                    this.gridAPI.filter(field, value, expressionForColumn.condition, filteringIgnoreCase);
                }
            }
            // Wait for the change detection to update filtered data through the pipes and then emit the event.
            requestAnimationFrame(function () { return _this.grid.onFilteringDone.emit(col.filteringExpressionsTree); });
        };
        /**
         * Clear the filter of a given column.
         */
        /**
         * Clear the filter of a given column.
         * @param {?} field
         * @return {?}
         */
        IgxFilteringService.prototype.clearFilter = /**
         * Clear the filter of a given column.
         * @param {?} field
         * @return {?}
         */
        function (field) {
            var _this = this;
            if (field) {
                /** @type {?} */
                var column = this.gridAPI.get_column_by_name(field);
                if (!column) {
                    return;
                }
            }
            this.isFiltering = true;
            this.gridAPI.clear_filter(field);
            // Wait for the change detection to update filtered data through the pipes and then emit the event.
            requestAnimationFrame(function () { return _this.grid.onFilteringDone.emit(null); });
            if (field) {
                /** @type {?} */
                var expressions = this.getExpressions(field);
                expressions.length = 0;
            }
            this.isFiltering = false;
        };
        /**
         * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
         */
        /**
         * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
         * @param {?} value
         * @param {?} condition
         * @param {?=} ignoreCase
         * @return {?}
         */
        IgxFilteringService.prototype.filterGlobal = /**
         * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
         * @param {?} value
         * @param {?} condition
         * @param {?=} ignoreCase
         * @return {?}
         */
        function (value, condition, ignoreCase) {
            var _this = this;
            this.gridAPI.filter_global(value, condition, ignoreCase);
            // Wait for the change detection to update filtered data through the pipes and then emit the event.
            requestAnimationFrame(function () { return _this.grid.onFilteringDone.emit(_this.grid.filteringExpressionsTree); });
        };
        /**
         * Register filtering SVG icons in the icon service.
         */
        /**
         * Register filtering SVG icons in the icon service.
         * @return {?}
         */
        IgxFilteringService.prototype.registerSVGIcons = /**
         * Register filtering SVG icons in the icon service.
         * @return {?}
         */
        function () {
            var e_1, _a;
            if (!this._filterIconsRegistered) {
                try {
                    for (var icons_1 = __values(icons), icons_1_1 = icons_1.next(); !icons_1_1.done; icons_1_1 = icons_1.next()) {
                        var icon = icons_1_1.value;
                        if (!this.iconService.isSvgIconCached(icon.name, FILTERING_ICONS_FONT_SET)) {
                            this.iconService.addSvgIconFromText(icon.name, icon.value, FILTERING_ICONS_FONT_SET);
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (icons_1_1 && !icons_1_1.done && (_a = icons_1.return)) _a.call(icons_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                this._filterIconsRegistered = true;
            }
        };
        /**
         * Returns the ExpressionUI array for a given column.
         */
        /**
         * Returns the ExpressionUI array for a given column.
         * @param {?} columnId
         * @return {?}
         */
        IgxFilteringService.prototype.getExpressions = /**
         * Returns the ExpressionUI array for a given column.
         * @param {?} columnId
         * @return {?}
         */
        function (columnId) {
            if (!this.columnToExpressionsMap.has(columnId)) {
                /** @type {?} */
                var column = this.grid.columns.find(function (col) { return col.field === columnId; });
                /** @type {?} */
                var expressionUIs = new Array();
                if (column) {
                    this.generateExpressionsList(column.filteringExpressionsTree, this.grid.filteringExpressionsTree.operator, expressionUIs);
                    this.columnToExpressionsMap.set(columnId, expressionUIs);
                }
                return expressionUIs;
            }
            return this.columnToExpressionsMap.get(columnId);
        };
        /**
         * Recreates all ExpressionUIs for all columns. Executed after filtering to refresh the cache.
         */
        /**
         * Recreates all ExpressionUIs for all columns. Executed after filtering to refresh the cache.
         * @return {?}
         */
        IgxFilteringService.prototype.refreshExpressions = /**
         * Recreates all ExpressionUIs for all columns. Executed after filtering to refresh the cache.
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this.isFiltering) {
                this.columnsWithComplexFilter.clear();
                this.columnToExpressionsMap.forEach(function (value, key) {
                    /** @type {?} */
                    var column = _this.grid.columns.find(function (col) { return col.field === key; });
                    if (column) {
                        value.length = 0;
                        _this.generateExpressionsList(column.filteringExpressionsTree, _this.grid.filteringExpressionsTree.operator, value);
                        /** @type {?} */
                        var isComplex = _this.isFilteringTreeComplex(column.filteringExpressionsTree);
                        if (isComplex) {
                            _this.columnsWithComplexFilter.add(key);
                        }
                        _this.updateFilteringCell(column);
                    }
                    else {
                        _this.columnToExpressionsMap.delete(key);
                    }
                });
            }
        };
        /**
         * Remove an ExpressionUI for a given column.
         */
        /**
         * Remove an ExpressionUI for a given column.
         * @param {?} columnId
         * @param {?} indexToRemove
         * @return {?}
         */
        IgxFilteringService.prototype.removeExpression = /**
         * Remove an ExpressionUI for a given column.
         * @param {?} columnId
         * @param {?} indexToRemove
         * @return {?}
         */
        function (columnId, indexToRemove) {
            /** @type {?} */
            var expressionsList = this.getExpressions(columnId);
            if (indexToRemove === 0 && expressionsList.length > 1) {
                expressionsList[1].beforeOperator = null;
            }
            else if (indexToRemove === expressionsList.length - 1) {
                expressionsList[indexToRemove - 1].afterOperator = null;
            }
            else {
                expressionsList[indexToRemove - 1].afterOperator = expressionsList[indexToRemove + 1].beforeOperator;
                expressionsList[0].beforeOperator = null;
                expressionsList[expressionsList.length - 1].afterOperator = null;
            }
            expressionsList.splice(indexToRemove, 1);
        };
        /**
         * Generate filtering tree for a given column from existing ExpressionUIs.
         */
        /**
         * Generate filtering tree for a given column from existing ExpressionUIs.
         * @param {?} columnId
         * @param {?=} expressionUIList
         * @return {?}
         */
        IgxFilteringService.prototype.createSimpleFilteringTree = /**
         * Generate filtering tree for a given column from existing ExpressionUIs.
         * @param {?} columnId
         * @param {?=} expressionUIList
         * @return {?}
         */
        function (columnId, expressionUIList) {
            if (expressionUIList === void 0) { expressionUIList = null; }
            /** @type {?} */
            var expressionsList = expressionUIList ? expressionUIList : this.getExpressions(columnId);
            /** @type {?} */
            var expressionsTree = new FilteringExpressionsTree(FilteringLogic.Or, columnId);
            /** @type {?} */
            var currAndBranch;
            /** @type {?} */
            var currExpressionUI;
            for (var i = 0; i < expressionsList.length; i++) {
                currExpressionUI = expressionsList[i];
                if (!currExpressionUI.expression.condition.isUnary && currExpressionUI.expression.searchVal === null) {
                    if (currExpressionUI.afterOperator === FilteringLogic.And && !currAndBranch) {
                        currAndBranch = new FilteringExpressionsTree(FilteringLogic.And, columnId);
                        expressionsTree.filteringOperands.push(currAndBranch);
                    }
                    continue;
                }
                if ((currExpressionUI.beforeOperator === undefined || currExpressionUI.beforeOperator === null ||
                    currExpressionUI.beforeOperator === FilteringLogic.Or) &&
                    currExpressionUI.afterOperator === FilteringLogic.And) {
                    currAndBranch = new FilteringExpressionsTree(FilteringLogic.And, columnId);
                    expressionsTree.filteringOperands.push(currAndBranch);
                    currAndBranch.filteringOperands.push(currExpressionUI.expression);
                }
                else if (currExpressionUI.beforeOperator === FilteringLogic.And) {
                    currAndBranch.filteringOperands.push(currExpressionUI.expression);
                }
                else {
                    expressionsTree.filteringOperands.push(currExpressionUI.expression);
                    currAndBranch = null;
                }
            }
            return expressionsTree;
        };
        /**
         * Returns whether a complex filter is applied to a given column.
         */
        /**
         * Returns whether a complex filter is applied to a given column.
         * @param {?} columnId
         * @return {?}
         */
        IgxFilteringService.prototype.isFilterComplex = /**
         * Returns whether a complex filter is applied to a given column.
         * @param {?} columnId
         * @return {?}
         */
        function (columnId) {
            if (this.columnsWithComplexFilter.has(columnId)) {
                return true;
            }
            /** @type {?} */
            var column = this.grid.columns.find(function (col) { return col.field === columnId; });
            /** @type {?} */
            var isComplex = column && this.isFilteringTreeComplex(column.filteringExpressionsTree);
            if (isComplex) {
                this.columnsWithComplexFilter.add(columnId);
            }
            return isComplex;
        };
        /**
         * Returns the string representation of the FilteringLogic operator.
         */
        /**
         * Returns the string representation of the FilteringLogic operator.
         * @param {?} operator
         * @return {?}
         */
        IgxFilteringService.prototype.getOperatorAsString = /**
         * Returns the string representation of the FilteringLogic operator.
         * @param {?} operator
         * @return {?}
         */
        function (operator) {
            if (operator === 0) {
                return this.grid.resourceStrings.igx_grid_filter_operator_and;
            }
            else {
                return this.grid.resourceStrings.igx_grid_filter_operator_or;
            }
        };
        /**
         * Generate the label of a chip from a given filtering expression.
         */
        /**
         * Generate the label of a chip from a given filtering expression.
         * @param {?} expression
         * @return {?}
         */
        IgxFilteringService.prototype.getChipLabel = /**
         * Generate the label of a chip from a given filtering expression.
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            if (expression.condition.isUnary) {
                return this.grid.resourceStrings["igx_grid_filter_" + expression.condition.name] || expression.condition.name;
            }
            else if (expression.searchVal instanceof Date) {
                return this.datePipe.transform(expression.searchVal, this.grid.locale);
            }
            else {
                return expression.searchVal;
            }
        };
        /**
         * Updates the content of a filterCell.
         */
        /**
         * Updates the content of a filterCell.
         * @param {?} column
         * @return {?}
         */
        IgxFilteringService.prototype.updateFilteringCell = /**
         * Updates the content of a filterCell.
         * @param {?} column
         * @return {?}
         */
        function (column) {
            /** @type {?} */
            var filterCell = column.filterCell;
            if (filterCell) {
                filterCell.updateFilterCellArea();
            }
        };
        /**
         * Focus a chip in a filterCell.
         */
        /**
         * Focus a chip in a filterCell.
         * @param {?} column
         * @param {?} focusFirst
         * @return {?}
         */
        IgxFilteringService.prototype.focusFilterCellChip = /**
         * Focus a chip in a filterCell.
         * @param {?} column
         * @param {?} focusFirst
         * @return {?}
         */
        function (column, focusFirst) {
            /** @type {?} */
            var filterCell = column.filterCell;
            if (filterCell) {
                filterCell.focusChip(focusFirst);
            }
        };
        /**
         * Focus the close button in the filtering row.
         */
        /**
         * Focus the close button in the filtering row.
         * @return {?}
         */
        IgxFilteringService.prototype.focusFilterRowCloseButton = /**
         * Focus the close button in the filtering row.
         * @return {?}
         */
        function () {
            this.grid.filteringRow.closeButton.nativeElement.focus();
        };
        Object.defineProperty(IgxFilteringService.prototype, "filteredData", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.filteredData;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Scrolls to a filterCell.
         */
        /**
         * Scrolls to a filterCell.
         * @param {?} column
         * @param {?} shouldFocusNext
         * @return {?}
         */
        IgxFilteringService.prototype.scrollToFilterCell = /**
         * Scrolls to a filterCell.
         * @param {?} column
         * @param {?} shouldFocusNext
         * @return {?}
         */
        function (column, shouldFocusNext) {
            this.grid.nativeElement.focus({ preventScroll: true });
            this.columnToFocus = column;
            this.shouldFocusNext = shouldFocusNext;
            /** @type {?} */
            var currentColumnRight = 0;
            /** @type {?} */
            var currentColumnLeft = 0;
            for (var index = 0; index < this.unpinnedColumns.length; index++) {
                currentColumnRight += parseInt(this.unpinnedColumns[index].width, 10);
                if (this.unpinnedColumns[index] === column) {
                    currentColumnLeft = currentColumnRight - parseInt(this.unpinnedColumns[index].width, 10);
                    break;
                }
            }
            /** @type {?} */
            var forOfDir = this.grid.headerContainer;
            /** @type {?} */
            var width = this.displayContainerWidth + this.displayContainerScrollLeft;
            if (shouldFocusNext) {
                forOfDir.scrollPosition += currentColumnRight - width;
            }
            else {
                forOfDir.scrollPosition = currentColumnLeft;
            }
        };
        /**
         * @private
         * @param {?} expressions
         * @return {?}
         */
        IgxFilteringService.prototype.isFilteringTreeComplex = /**
         * @private
         * @param {?} expressions
         * @return {?}
         */
        function (expressions) {
            if (!expressions) {
                return false;
            }
            if (expressions instanceof FilteringExpressionsTree) {
                /** @type {?} */
                var expressionsTree = (/** @type {?} */ (expressions));
                if (expressionsTree.operator === FilteringLogic.Or) {
                    /** @type {?} */
                    var andOperatorsCount = this.getChildAndOperatorsCount(expressionsTree);
                    // having more that 'And' and operator in the sub-tree means that the filter could not be represented without parentheses.
                    return andOperatorsCount > 1;
                }
                /** @type {?} */
                var isComplex = false;
                for (var i = 0; i < expressionsTree.filteringOperands.length; i++) {
                    isComplex = isComplex || this.isFilteringTreeComplex(expressionsTree.filteringOperands[i]);
                }
                return isComplex;
            }
            return false;
        };
        /**
         * @private
         * @param {?} expressions
         * @return {?}
         */
        IgxFilteringService.prototype.getChildAndOperatorsCount = /**
         * @private
         * @param {?} expressions
         * @return {?}
         */
        function (expressions) {
            /** @type {?} */
            var count = 0;
            /** @type {?} */
            var operand;
            for (var i = 0; i < expressions.filteringOperands.length; i++) {
                operand = expressions[i];
                if (operand instanceof FilteringExpressionsTree) {
                    if (operand.operator === FilteringLogic.And) {
                        count++;
                    }
                    count = count + this.getChildAndOperatorsCount(operand);
                }
            }
            return count;
        };
        /**
         * @param {?} expressions
         * @param {?} operator
         * @param {?} expressionsUIs
         * @return {?}
         */
        IgxFilteringService.prototype.generateExpressionsList = /**
         * @param {?} expressions
         * @param {?} operator
         * @param {?} expressionsUIs
         * @return {?}
         */
        function (expressions, operator, expressionsUIs) {
            this.generateExpressionsListRecursive(expressions, operator, expressionsUIs);
            // The beforeOperator of the first expression and the afterOperator of the last expression should be null
            if (expressionsUIs.length) {
                expressionsUIs[expressionsUIs.length - 1].afterOperator = null;
            }
        };
        /**
         * @private
         * @param {?} expressions
         * @param {?} operator
         * @param {?} expressionsUIs
         * @return {?}
         */
        IgxFilteringService.prototype.generateExpressionsListRecursive = /**
         * @private
         * @param {?} expressions
         * @param {?} operator
         * @param {?} expressionsUIs
         * @return {?}
         */
        function (expressions, operator, expressionsUIs) {
            if (!expressions) {
                return;
            }
            if (expressions instanceof FilteringExpressionsTree) {
                /** @type {?} */
                var expressionsTree = (/** @type {?} */ (expressions));
                for (var i = 0; i < expressionsTree.filteringOperands.length; i++) {
                    this.generateExpressionsListRecursive(expressionsTree.filteringOperands[i], expressionsTree.operator, expressionsUIs);
                }
                if (expressionsUIs.length) {
                    expressionsUIs[expressionsUIs.length - 1].afterOperator = operator;
                }
            }
            else {
                /** @type {?} */
                var exprUI = new ExpressionUI();
                exprUI.expression = (/** @type {?} */ (expressions));
                exprUI.afterOperator = operator;
                /** @type {?} */
                var prevExprUI = expressionsUIs[expressionsUIs.length - 1];
                if (prevExprUI) {
                    exprUI.beforeOperator = prevExprUI.afterOperator;
                }
                expressionsUIs.push(exprUI);
            }
        };
        /**
         * @param {?} expressionTree
         * @return {?}
         */
        IgxFilteringService.prototype.isFilteringExpressionsTreeEmpty = /**
         * @param {?} expressionTree
         * @return {?}
         */
        function (expressionTree) {
            if (FilteringExpressionsTree.empty(expressionTree)) {
                return true;
            }
            /** @type {?} */
            var expr;
            for (var i = 0; i < expressionTree.filteringOperands.length; i++) {
                expr = expressionTree.filteringOperands[i];
                if ((expr instanceof FilteringExpressionsTree)) {
                    /** @type {?} */
                    var exprTree = (/** @type {?} */ (expr));
                    if (exprTree.filteringOperands && exprTree.filteringOperands.length) {
                        return false;
                    }
                }
                else {
                    return false;
                }
            }
            return true;
        };
        IgxFilteringService.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        IgxFilteringService.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: IgxIconService }
        ]; };
        return IgxFilteringService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxExcelStyleLoadingValuesTemplateDirective = /** @class */ (function () {
        function IgxExcelStyleLoadingValuesTemplateDirective(template) {
            this.template = template;
        }
        IgxExcelStyleLoadingValuesTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxExcelStyleLoading]'
                    },] }
        ];
        /** @nocollapse */
        IgxExcelStyleLoadingValuesTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxExcelStyleLoadingValuesTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxExcelStyleSearchComponent = /** @class */ (function () {
        function IgxExcelStyleSearchComponent(cdr) {
            this.cdr = cdr;
        }
        Object.defineProperty(IgxExcelStyleSearchComponent.prototype, "isLoading", {
            get: /**
             * @return {?}
             */
            function () {
                return this._isLoading;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._isLoading = value;
                if (!((/** @type {?} */ (this.cdr))).destroyed) {
                    this.cdr.detectChanges();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleSearchComponent.prototype, "valuesLoadingTemplate", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.grid.excelStyleLoadingValuesTemplateDirective) {
                    return this.grid.excelStyleLoadingValuesTemplateDirective.template;
                }
                else {
                    return this.defaultExcelStyleLoadingValuesTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxExcelStyleSearchComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            this.refreshSize();
        };
        /**
         * @return {?}
         */
        IgxExcelStyleSearchComponent.prototype.refreshSize = /**
         * @return {?}
         */
        function () {
            var _this = this;
            requestAnimationFrame(function () {
                _this.virtDir.recalcUpdateSizes();
            });
        };
        /**
         * @return {?}
         */
        IgxExcelStyleSearchComponent.prototype.clearInput = /**
         * @return {?}
         */
        function () {
            this.searchValue = null;
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxExcelStyleSearchComponent.prototype.onCheckboxChange = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            var _this = this;
            /** @type {?} */
            var selectedIndex = this.data.indexOf(eventArgs.checkbox.value);
            if (selectedIndex === 0) {
                this.data.forEach(function (element) {
                    element.isSelected = eventArgs.checked;
                    _this.data[0].indeterminate = false;
                });
            }
            else {
                eventArgs.checkbox.value.isSelected = eventArgs.checked;
                if (!this.data.slice(1, this.data.length).find(function (el) { return el.isSelected === false; })) {
                    this.data[0].indeterminate = false;
                    this.data[0].isSelected = true;
                }
                else if (!this.data.slice(1, this.data.length).find(function (el) { return el.isSelected === true; })) {
                    this.data[0].indeterminate = false;
                    this.data[0].isSelected = false;
                }
                else {
                    this.data[0].indeterminate = true;
                }
            }
            eventArgs.checkbox.nativeCheckbox.nativeElement.blur();
        };
        Object.defineProperty(IgxExcelStyleSearchComponent.prototype, "itemSize", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var itemSize = '40px';
                switch (this.displayDensity) {
                    case DisplayDensity.cosy:
                        itemSize = '32px';
                        break;
                    case DisplayDensity.compact:
                        itemSize = '24px';
                        break;
                    default: break;
                }
                return itemSize;
            },
            enumerable: true,
            configurable: true
        });
        IgxExcelStyleSearchComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-excel-style-search',
                        template: "<igx-input-group\n            type=\"box\"\n            [displayDensity]=\"displayDensity\"\n            [supressInputAutofocus]=\"true\">\n    <igx-icon igxPrefix>search</igx-icon>\n    <input\n        #input\n        igxInput\n        tabindex=\"0\"\n        [(ngModel)]=\"searchValue\"\n        [placeholder]=\"column.grid.resourceStrings.igx_grid_excel_search_placeholder\"\n        autocomplete=\"off\"/>\n    <igx-icon\n        igxSuffix\n        *ngIf=\"searchValue || searchValue === 0\"\n        (click)=\"clearInput()\"\n        tabindex=\"0\">\n        clear\n    </igx-icon>\n</igx-input-group>\n\n<igx-list [displayDensity]=\"displayDensity\" [style.height.px]=\"250\" [isLoading]=\"isLoading\">\n    <div [style.overflow]=\"'hidden'\" [style.position]=\"'relative'\">\n        <igx-list-item\n            *igxFor=\"let item of data | excelStyleSearchFilter: searchValue; scrollOrientation : 'vertical'; containerSize: '250px'; itemSize: itemSize\">\n            <igx-checkbox\n            [value]=\"item\"\n            tabindex=\"-1\"\n            [checked]=\"item.isSelected\"\n            [disableRipple]=\"true\"\n            [indeterminate]=\"item.indeterminate\"\n            [disableTransitions]=\"true\"\n            (change)=\"onCheckboxChange($event)\">\n                {{ column.formatter && !item.isSpecial ? column.formatter(item.label) : column.dataType === 'number' ? (item.label | igxdecimal:\n                    column.grid.locale) : column.dataType === 'date' ? (item.label | igxdate: column.grid.locale) : item.label }}\n            </igx-checkbox>\n        </igx-list-item>\n    </div>\n\n    <ng-template igxDataLoading>        \n        <div class=\"igx-excel-filter__loading\">\n            <ng-container *ngTemplateOutlet=\"valuesLoadingTemplate\">\n            </ng-container>\n        </div>\n    </ng-template>\n</igx-list>\n\n<ng-template #defaultExcelStyleLoadingValuesTemplate>\n    <igx-circular-bar [indeterminate]=\"true\">\n    </igx-circular-bar>\n</ng-template>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxExcelStyleSearchComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        IgxExcelStyleSearchComponent.propDecorators = {
            grid: [{ type: core.Input }],
            data: [{ type: core.Input }],
            column: [{ type: core.Input }],
            searchInput: [{ type: core.ViewChild, args: ['input', { read: IgxInputDirective, static: true },] }],
            displayDensity: [{ type: core.Input }],
            virtDir: [{ type: core.ViewChild, args: [IgxForOfDirective, { static: true },] }],
            defaultExcelStyleLoadingValuesTemplate: [{ type: core.ViewChild, args: ['defaultExcelStyleLoadingValuesTemplate', { read: core.TemplateRef, static: true },] }]
        };
        return IgxExcelStyleSearchComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExcelStyleDefaultExpressionComponent = /** @class */ (function () {
        function IgxExcelStyleDefaultExpressionComponent(cdr) {
            this.cdr = cdr;
            this._dropDownOverlaySettings = {
                closeOnOutsideClick: true,
                modal: false,
                positionStrategy: new ConnectedPositioningStrategy(),
                scrollStrategy: new CloseScrollStrategy()
            };
            this.onExpressionRemoved = new core.EventEmitter();
            this.onLogicOperatorChanged = new core.EventEmitter();
        }
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "inputValuesElement", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.inputValuesDirective;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "isLast", {
            get: /**
             * @return {?}
             */
            function () {
                return this.expressionsList[this.expressionsList.length - 1] === this.expressionUI;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "isSingle", {
            get: /**
             * @return {?}
             */
            function () {
                return this.expressionsList.length === 1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "inputConditionsPlaceholder", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.resourceStrings['igx_grid_filter_condition_placeholder'];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "inputValuePlaceholder", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.resourceStrings['igx_grid_filter_row_placeholder'];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "type", {
            get: /**
             * @return {?}
             */
            function () {
                switch (this.column.dataType) {
                    case DataType.Number:
                        return 'number';
                    default:
                        return 'text';
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            this._dropDownOverlaySettings.outlet = this.column.grid.outletDirective;
            this._dropDownOverlaySettings.positionStrategy.settings.target = this.inputGroupConditions.element.nativeElement;
        };
        /**
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.focus = /**
         * @return {?}
         */
        function () {
            var _this = this;
            // use requestAnimationFrame to focus the values input because when initializing the component
            // datepicker's input group is not yet fully initialized
            requestAnimationFrame(function () { return _this.inputValuesElement.focus(); });
        };
        /**
         * @param {?} conditionName
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.isConditionSelected = /**
         * @param {?} conditionName
         * @return {?}
         */
        function (conditionName) {
            return this.expressionUI.expression.condition && this.expressionUI.expression.condition.name === conditionName;
        };
        /**
         * @param {?} condition
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.getConditionName = /**
         * @param {?} condition
         * @return {?}
         */
        function (condition) {
            return condition ? this.translateCondition(condition.name) : null;
        };
        /**
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.getInputWidth = /**
         * @return {?}
         */
        function () {
            return this.inputGroupConditions.element.nativeElement.offsetWidth + 'px';
        };
        Object.defineProperty(IgxExcelStyleDefaultExpressionComponent.prototype, "conditions", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.filters.conditionList();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} value
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.translateCondition = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.grid.resourceStrings["igx_grid_filter_" + this.getCondition(value).name] || value;
        };
        /**
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.getIconName = /**
         * @return {?}
         */
        function () {
            if (this.column.dataType === DataType.Boolean && this.expressionUI.expression.condition === null) {
                return this.getCondition(this.conditions[0]).iconName;
            }
            else if (!this.expressionUI.expression.condition) {
                return 'filter_list';
            }
            else {
                return this.expressionUI.expression.condition.iconName;
            }
        };
        /**
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.toggleCustomDialogDropDown = /**
         * @return {?}
         */
        function () {
            this.dropdownConditions.toggle(this._dropDownOverlaySettings);
        };
        /**
         * @param {?} value
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.getCondition = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.column.filters.condition(value);
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.onConditionsChanged = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            /** @type {?} */
            var value = ((/** @type {?} */ (eventArgs.newSelection))).value;
            this.expressionUI.expression.condition = this.getCondition(value);
            this.focus();
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.onValuesInput = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            this.expressionUI.expression.searchVal = DataUtil.parseValue(this.column.dataType, eventArgs.target.value);
        };
        /**
         * @param {?} eventArgs
         * @param {?} buttonIndex
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.onLogicOperatorButtonClicked = /**
         * @param {?} eventArgs
         * @param {?} buttonIndex
         * @return {?}
         */
        function (eventArgs, buttonIndex) {
            if (this.logicOperatorButtonGroup.selectedButtons.length === 0) {
                eventArgs.stopPropagation();
                this.logicOperatorButtonGroup.selectButton(buttonIndex);
            }
            else {
                this.onLogicOperatorChanged.emit({
                    target: this.expressionUI,
                    newValue: (/** @type {?} */ (buttonIndex))
                });
            }
        };
        /**
         * @param {?} eventArgs
         * @param {?} buttonIndex
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.onLogicOperatorKeyDown = /**
         * @param {?} eventArgs
         * @param {?} buttonIndex
         * @return {?}
         */
        function (eventArgs, buttonIndex) {
            if (eventArgs.key === "Enter" /* ENTER */) {
                this.logicOperatorButtonGroup.selectButton(buttonIndex);
                this.onLogicOperatorChanged.emit({
                    target: this.expressionUI,
                    newValue: (/** @type {?} */ (buttonIndex))
                });
            }
        };
        /**
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.onRemoveButtonClick = /**
         * @return {?}
         */
        function () {
            this.onExpressionRemoved.emit(this.expressionUI);
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxExcelStyleDefaultExpressionComponent.prototype.onInputConditionsKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.altKey && (eventArgs.key === "ArrowDown" /* DOWN_ARROW */ || eventArgs.key === "Down" /* DOWN_ARROW_IE */)) {
                this.toggleCustomDialogDropDown();
            }
            if (eventArgs.key === "Tab" /* TAB */ && eventArgs.shiftKey && this.expressionsList[0] === this.expressionUI) {
                eventArgs.preventDefault();
            }
            event.stopPropagation();
        };
        IgxExcelStyleDefaultExpressionComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-excel-style-default-expression',
                        template: "<igx-drop-down\n    #dropdownConditions\n    [maxHeight]=\"'200px'\"\n    [width]=\"getInputWidth()\"\n    [displayDensity]=\"displayDensity\"\n    (onSelection)=\"onConditionsChanged($event)\">\n    <igx-drop-down-item *ngFor=\"let condition of conditions\" [value]=\"condition\" [selected]=\"isConditionSelected(condition)\">\n        <igx-icon fontSet=\"filtering-icons\" [name]=\"getCondition(condition).iconName\"></igx-icon>\n        <span>{{ translateCondition(condition) }}</span>\n    </igx-drop-down-item>\n</igx-drop-down>\n\n<igx-input-group\n    #inputGroupConditions\n    (click)=\"toggleCustomDialogDropDown()\"\n    type=\"box\"\n    [displayDensity]=\"displayDensity\"\n    [supressInputAutofocus]=\"true\">\n\n    <igx-prefix>\n        <igx-icon *ngIf=\"expressionUI.expression.condition\" fontSet=\"filtering-icons\" [name]=\"getIconName()\"></igx-icon>\n        <igx-icon *ngIf=\"!expressionUI.expression.condition\">filter_list</igx-icon>\n    </igx-prefix>\n\n    <input\n        igxInput\n        (keydown)=\"onInputConditionsKeyDown($event)\"\n        [igxDropDownItemNavigation]=\"dropdownConditions\"\n        tabindex=\"0\"\n        [placeholder]=\"inputConditionsPlaceholder\"\n        autocomplete=\"off\"\n        [value]=\"getConditionName(expressionUI.expression.condition)\"\n        [readonly]=\"true\"\n    />\n</igx-input-group>\n\n<igx-input-group #inputGroupValues type=\"box\" [displayDensity]=\"displayDensity\" [supressInputAutofocus]=\"true\">\n    <input\n        #inputValues\n        igxInput\n        [type]=\"type\"\n        tabindex=\"0\"\n        [placeholder]=\"inputValuePlaceholder\"\n        [disabled]=\"expressionUI.expression.condition && expressionUI.expression.condition.isUnary\"\n        autocomplete=\"off\"\n        [value]=\"expressionUI.expression.searchVal\"\n        (input)=\"onValuesInput($event)\"\n    />\n</igx-input-group>\n\n<button (click)=\"onRemoveButtonClick()\" igxButton=\"icon\" [displayDensity]=\"displayDensity\" *ngIf=\"!isSingle\">\n    <igx-icon>cancel</igx-icon>\n</button>\n\n<igx-buttongroup #logicOperatorButtonGroup\n    *ngIf=\"!isLast\"\n    [multiSelection]=\"false\">\n    <span igxButton [displayDensity]=\"displayDensity\"\n        tabindex=\"0\"\n        #andButton\n        (keydown)=\"onLogicOperatorKeyDown($event, 0)\"\n        [selected]=\"expressionUI.afterOperator === 0\"\n        type=\"button\"\n        (click)=\"onLogicOperatorButtonClicked($event, 0)\">\n        {{ grid.resourceStrings.igx_grid_filter_operator_and }}\n    </span>\n\n    <span igxButton [displayDensity]=\"displayDensity\"\n        tabindex=\"0\"\n        #orButton\n        (keydown)=\"onLogicOperatorKeyDown($event, 1)\"\n        [selected]=\"expressionUI.afterOperator === 1\"\n        type=\"button\"\n        (click)=\"onLogicOperatorButtonClicked($event, 1)\">\n        {{ grid.resourceStrings.igx_grid_filter_operator_or }}\n    </span>\n</igx-buttongroup>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxExcelStyleDefaultExpressionComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        IgxExcelStyleDefaultExpressionComponent.propDecorators = {
            column: [{ type: core.Input }],
            expressionUI: [{ type: core.Input }],
            expressionsList: [{ type: core.Input }],
            grid: [{ type: core.Input }],
            displayDensity: [{ type: core.Input }],
            onExpressionRemoved: [{ type: core.Output }],
            onLogicOperatorChanged: [{ type: core.Output }],
            inputGroupConditions: [{ type: core.ViewChild, args: ['inputGroupConditions', { read: IgxInputGroupComponent, static: true },] }],
            inputValuesDirective: [{ type: core.ViewChild, args: ['inputValues', { read: IgxInputDirective, static: true },] }],
            dropdownConditions: [{ type: core.ViewChild, args: ['dropdownConditions', { read: IgxDropDownComponent, static: true },] }],
            logicOperatorButtonGroup: [{ type: core.ViewChild, args: ['logicOperatorButtonGroup', { read: IgxButtonGroupComponent, static: false },] }]
        };
        return IgxExcelStyleDefaultExpressionComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExcelStyleDateExpressionComponent = /** @class */ (function (_super) {
        __extends(IgxExcelStyleDateExpressionComponent, _super);
        function IgxExcelStyleDateExpressionComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(IgxExcelStyleDateExpressionComponent.prototype, "inputValuesElement", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return this.datePicker.getEditElement();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleDateExpressionComponent.prototype, "inputDatePlaceholder", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.resourceStrings['igx_grid_filter_row_date_placeholder'];
            },
            enumerable: true,
            configurable: true
        });
        IgxExcelStyleDateExpressionComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-excel-style-date-expression',
                        template: "<igx-drop-down\n    #dropdownConditions\n    [maxHeight]=\"'200px'\"\n    [width]=\"getInputWidth()\"\n    [displayDensity]=\"displayDensity\"\n    (onSelection)=\"onConditionsChanged($event)\">\n    <igx-drop-down-item *ngFor=\"let condition of conditions\" [value]=\"condition\" [selected]=\"isConditionSelected(condition)\">\n        <igx-icon fontSet=\"filtering-icons\" [name]=\"getCondition(condition).iconName\"></igx-icon>\n        <span>{{ translateCondition(condition) }}</span>\n    </igx-drop-down-item>\n</igx-drop-down>\n\n<igx-input-group\n    #inputGroupConditions\n    (click)=\"toggleCustomDialogDropDown()\"\n    type=\"box\"\n    [displayDensity]=\"displayDensity\"\n    [supressInputAutofocus]=\"true\">\n\n    <igx-prefix>\n        <igx-icon *ngIf=\"expressionUI.expression.condition\" fontSet=\"filtering-icons\" [name]=\"getIconName()\"></igx-icon>\n        <igx-icon *ngIf=\"!expressionUI.expression.condition\">filter_list</igx-icon>\n    </igx-prefix>\n\n    <input\n        igxInput\n        (keydown)=\"onInputConditionsKeyDown($event)\"\n        tabindex=\"0\"\n        [igxDropDownItemNavigation]=\"dropdownConditions\"\n        [placeholder]=\"inputConditionsPlaceholder\"\n        autocomplete=\"off\"\n        [value]=\"getConditionName(expressionUI.expression.condition)\"\n        [readonly]=\"true\"\n    />\n</igx-input-group>\n\n<igx-date-picker #datePicker mode=\"dropdown\" [(ngModel)]=\"expressionUI.expression.searchVal\" [locale]=\"grid.locale\" [outlet]=\"grid.outletDirective\">\n    <ng-template igxDatePickerTemplate let-openDialog=\"openDialog\" let-value=\"value\">\n        <igx-input-group #dropDownTarget type=\"box\" [displayDensity]=\"displayDensity\" [supressInputAutofocus]=\"true\">\n            <input #input\n                    igxInput\n                    tabindex=\"0\"\n                    (click)=\"openDialog(dropDownTarget.element.nativeElement)\"\n                    [placeholder]=\"inputDatePlaceholder\"\n                    autocomplete=\"off\"\n                    [value]=\"value | igxdate: grid.locale\"\n                    [readonly]=\"true\"\n                    [disabled]=\"expressionUI.expression.condition && expressionUI.expression.condition.isUnary\"/>\n        </igx-input-group>\n    </ng-template>\n</igx-date-picker>\n\n<button (click)=\"onRemoveButtonClick()\" igxButton=\"icon\" [displayDensity]=\"displayDensity\" *ngIf=\"!isSingle\" >\n    <igx-icon>cancel</igx-icon>\n</button>\n\n<igx-buttongroup #logicOperatorButtonGroup\n    *ngIf=\"!isLast\"\n    [multiSelection]=\"false\">\n    <span igxButton [displayDensity]=\"displayDensity\"\n        #andButton\n        (keydown)=\"onLogicOperatorKeyDown($event, 0)\"\n        tabindex=\"0\"\n        [selected]=\"expressionUI.afterOperator === 0\"\n        type=\"button\"\n        (click)=\"onLogicOperatorButtonClicked($event, 0)\">\n        {{ grid.resourceStrings.igx_grid_filter_operator_and }}\n    </span>\n\n    <span igxButton [displayDensity]=\"displayDensity\"\n        #orButton\n        tabindex=\"0\"\n        (keydown)=\"onLogicOperatorKeyDown($event, 1)\"\n        [selected]=\"expressionUI.afterOperator === 1\"\n        type=\"button\"\n        (click)=\"onLogicOperatorButtonClicked($event, 1)\">\n        {{ grid.resourceStrings.igx_grid_filter_operator_or }}\n    </span>\n</igx-buttongroup>\n"
                    }] }
        ];
        IgxExcelStyleDateExpressionComponent.propDecorators = {
            datePicker: [{ type: core.ViewChild, args: ['datePicker', { read: IgxDatePickerComponent, static: true },] }],
            displayDensity: [{ type: core.Input }]
        };
        return IgxExcelStyleDateExpressionComponent;
    }(IgxExcelStyleDefaultExpressionComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExcelStyleCustomDialogComponent = /** @class */ (function () {
        function IgxExcelStyleCustomDialogComponent(cdr) {
            this.cdr = cdr;
            this.expressionsList = new Array();
            this._customDialogPositionSettings = {
                verticalDirection: VerticalAlignment.Middle,
                horizontalDirection: HorizontalAlignment.Center,
                horizontalStartPoint: HorizontalAlignment.Center,
                verticalStartPoint: VerticalAlignment.Middle
            };
            this._customDialogOverlaySettings = {
                closeOnOutsideClick: true,
                modal: false,
                positionStrategy: new ConnectedPositioningStrategy(this._customDialogPositionSettings),
                scrollStrategy: new AbsoluteScrollStrategy()
            };
        }
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            this._customDialogOverlaySettings.outlet = this.grid.outlet;
        };
        Object.defineProperty(IgxExcelStyleCustomDialogComponent.prototype, "template", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.column.dataType === DataType.Date) {
                    return this.dateExpressionTemplate;
                }
                return this.defaultExpressionTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleCustomDialogComponent.prototype, "grid", {
            get: /**
             * @return {?}
             */
            function () {
                return this.filteringService.grid;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onCustomDialogOpening = /**
         * @return {?}
         */
        function () {
            if (this.selectedOperator) {
                this.createInitialExpressionUIElement();
            }
        };
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onCustomDialogOpened = /**
         * @return {?}
         */
        function () {
            if (this.expressionComponents.first) {
                this.expressionComponents.first.focus();
            }
        };
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.open = /**
         * @return {?}
         */
        function () {
            this._customDialogOverlaySettings.positionStrategy.settings.target =
                this.grid.rootGrid ? this.grid.rootGrid.nativeElement : this.grid.nativeElement;
            this.toggle.open(this._customDialogOverlaySettings);
        };
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onClearButtonClick = /**
         * @return {?}
         */
        function () {
            this.filteringService.clearFilter(this.column.field);
            this.createInitialExpressionUIElement();
            this.cdr.detectChanges();
        };
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.closeDialog = /**
         * @return {?}
         */
        function () {
            if (this.overlayComponentId) {
                this.overlayService.hide(this.overlayComponentId);
            }
        };
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onApplyButtonClick = /**
         * @return {?}
         */
        function () {
            this.expressionsList = this.expressionsList.filter(function (element) { return element.expression.condition &&
                (element.expression.searchVal || element.expression.searchVal === 0 || element.expression.condition.isUnary); });
            if (this.expressionsList.length > 0) {
                this.expressionsList[0].beforeOperator = null;
                this.expressionsList[this.expressionsList.length - 1].afterOperator = null;
            }
            this.filteringService.filterInternal(this.column.field, this.expressionsList);
            this.closeDialog();
        };
        /**
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onAddButtonClick = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var exprUI = new ExpressionUI();
            exprUI.expression = {
                condition: null,
                fieldName: this.column.field,
                ignoreCase: this.column.filteringIgnoreCase,
                searchVal: null
            };
            this.expressionsList[this.expressionsList.length - 1].afterOperator = FilteringLogic.And;
            exprUI.beforeOperator = this.expressionsList[this.expressionsList.length - 1].afterOperator;
            this.expressionsList.push(exprUI);
            this.markChildrenForCheck();
            this.scrollToBottom();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onExpressionRemoved = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var indexToRemove = this.expressionsList.indexOf(event);
            if (indexToRemove === 0 && this.expressionsList.length > 1) {
                this.expressionsList[1].beforeOperator = null;
            }
            else if (indexToRemove === this.expressionsList.length - 1) {
                this.expressionsList[indexToRemove - 1].afterOperator = null;
            }
            else {
                this.expressionsList[indexToRemove - 1].afterOperator = this.expressionsList[indexToRemove + 1].beforeOperator;
                this.expressionsList[0].beforeOperator = null;
                this.expressionsList[this.expressionsList.length - 1].afterOperator = null;
            }
            this.expressionsList.splice(indexToRemove, 1);
            this.cdr.detectChanges();
            this.markChildrenForCheck();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onLogicOperatorChanged = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var index = this.expressionsList.indexOf(event.target);
            event.target.afterOperator = event.newValue;
            if (index + 1 < this.expressionsList.length) {
                this.expressionsList[index + 1].beforeOperator = event.newValue;
            }
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            eventArgs.stopPropagation();
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.onApplyButtonKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Tab" /* TAB */ && !eventArgs.shiftKey) {
                eventArgs.stopPropagation();
                eventArgs.preventDefault();
            }
        };
        /**
         * @private
         * @param {?} conditionName
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.createCondition = /**
         * @private
         * @param {?} conditionName
         * @return {?}
         */
        function (conditionName) {
            switch (this.column.dataType) {
                case DataType.Boolean:
                    return IgxBooleanFilteringOperand.instance().condition(conditionName);
                case DataType.Number:
                    return IgxNumberFilteringOperand.instance().condition(conditionName);
                case DataType.Date:
                    return IgxDateFilteringOperand.instance().condition(conditionName);
                default:
                    return IgxStringFilteringOperand.instance().condition(conditionName);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.markChildrenForCheck = /**
         * @private
         * @return {?}
         */
        function () {
            this.expressionComponents.forEach(function (x) { return x.cdr.markForCheck(); });
            this.expressionDateComponents.forEach(function (x) { return x.cdr.markForCheck(); });
        };
        /**
         * @private
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.createInitialExpressionUIElement = /**
         * @private
         * @return {?}
         */
        function () {
            this.expressionsList = [];
            /** @type {?} */
            var firstExprUI = new ExpressionUI();
            firstExprUI.expression = {
                condition: this.createCondition(this.selectedOperator),
                fieldName: this.column.field,
                ignoreCase: this.column.filteringIgnoreCase,
                searchVal: null
            };
            firstExprUI.afterOperator = FilteringLogic.And;
            this.expressionsList.push(firstExprUI);
            /** @type {?} */
            var secondExprUI = new ExpressionUI();
            secondExprUI.expression = {
                condition: null,
                fieldName: this.column.field,
                ignoreCase: this.column.filteringIgnoreCase,
                searchVal: null
            };
            secondExprUI.beforeOperator = FilteringLogic.And;
            this.expressionsList.push(secondExprUI);
        };
        /**
         * @private
         * @return {?}
         */
        IgxExcelStyleCustomDialogComponent.prototype.scrollToBottom = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            requestAnimationFrame(function () {
                _this.expressionsContainer.nativeElement.scrollTop = _this.expressionsContainer.nativeElement.scrollHeight;
            });
        };
        IgxExcelStyleCustomDialogComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-excel-style-custom-dialog',
                        template: "<article #toggle igxToggle\n    class=\"igx-excel-filter__secondary\"\n    [ngClass]=\"{\n        'igx-excel-filter__secondary--cosy': grid.displayDensity === 'cosy',\n        'igx-excel-filter__secondary--compact': grid.displayDensity === 'compact'\n    }\"\n    (keydown)=\"onKeyDown($event)\"\n    (onOpening)=\"onCustomDialogOpening()\"\n    (onOpened)=\"onCustomDialogOpened()\">\n    <header class=\"igx-excel-filter__secondary-header\">\n        <h4 class=\"igx-typography__h6\">\n            {{ grid.resourceStrings.igx_grid_excel_custom_dialog_header }}{{ column.header || column.field }}\n        </h4>\n    </header>\n\n    <article #expressionsContainer class=\"igx-excel-filter__secondary-main\">\n        <ng-container *ngIf=\"column.dataType === 'date'\">\n            <igx-excel-style-date-expression *ngFor=\"let expression of expressionsList;\"\n                class=\"igx-excel-filter__condition\"\n                [expressionUI]=\"expression\"\n                [column]=\"column\"\n                [grid]=\"grid\"\n                [displayDensity]=\"displayDensity\"\n                [expressionsList]=\"expressionsList\"\n                (onExpressionRemoved)=\"onExpressionRemoved($event)\"\n                (onLogicOperatorChanged)=\"onLogicOperatorChanged($event)\">\n            </igx-excel-style-date-expression>\n        </ng-container>\n\n        <ng-container *ngIf=\"column.dataType !== 'date'\">\n            <igx-excel-style-default-expression *ngFor=\"let expression of expressionsList;\"\n                class=\"igx-excel-filter__condition\"\n                [expressionUI]=\"expression\"\n                [column]=\"column\"\n                [grid]=\"grid\"\n                [displayDensity]=\"displayDensity\"\n                [expressionsList]=\"expressionsList\"\n                (onExpressionRemoved)=\"onExpressionRemoved($event)\"\n                (onLogicOperatorChanged)=\"onLogicOperatorChanged($event)\">\n            </igx-excel-style-default-expression>\n        </ng-container>\n\n        <button igxButton [displayDensity]=\"displayDensity\"\n            class=\"igx-excel-filter__add-filter\"\n            (click)=\"onAddButtonClick()\">\n            <igx-icon>add</igx-icon>\n            <span>{{ grid.resourceStrings.igx_grid_excel_custom_dialog_add }}</span>\n        </button>\n    </article>\n\n    <footer class=\"igx-excel-filter__secondary-footer\">\n        <button igxButton [displayDensity]=\"displayDensity\" (click)=\"onClearButtonClick()\">{{ grid.resourceStrings.igx_grid_excel_custom_dialog_clear }}</button>\n\n        <div>\n            <button igxButton [displayDensity]=\"displayDensity\" (click)=\"closeDialog()\">{{ grid.resourceStrings.igx_grid_excel_cancel }}</button>\n            <button igxButton=\"raised\" [displayDensity]=\"displayDensity\" (click)=\"onApplyButtonClick()\" (keydown)=\"onApplyButtonKeyDown($event)\">\n                {{ grid.resourceStrings.igx_grid_excel_apply }}\n            </button>\n        </div>\n    </footer>\n</article>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxExcelStyleCustomDialogComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        IgxExcelStyleCustomDialogComponent.propDecorators = {
            expressionsList: [{ type: core.Input }],
            column: [{ type: core.Input }],
            selectedOperator: [{ type: core.Input }],
            filteringService: [{ type: core.Input }],
            overlayComponentId: [{ type: core.Input }],
            overlayService: [{ type: core.Input }],
            displayDensity: [{ type: core.Input }],
            expressionComponents: [{ type: core.ViewChildren, args: [IgxExcelStyleDefaultExpressionComponent,] }],
            expressionDateComponents: [{ type: core.ViewChildren, args: [IgxExcelStyleDateExpressionComponent,] }],
            toggle: [{ type: core.ViewChild, args: ['toggle', { read: IgxToggleDirective, static: true },] }],
            defaultExpressionTemplate: [{ type: core.ViewChild, args: ['defaultExpressionTemplate', { read: core.TemplateRef, static: false },] }],
            dateExpressionTemplate: [{ type: core.ViewChild, args: ['dateExpressionTemplate', { read: core.TemplateRef, static: false },] }],
            expressionsContainer: [{ type: core.ViewChild, args: ['expressionsContainer', { static: true },] }]
        };
        return IgxExcelStyleCustomDialogComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExcelStyleSortingComponent = /** @class */ (function () {
        function IgxExcelStyleSortingComponent() {
        }
        /**
         * @param {?} sortDirection
         * @return {?}
         */
        IgxExcelStyleSortingComponent.prototype.onSortButtonClicked = /**
         * @param {?} sortDirection
         * @return {?}
         */
        function (sortDirection) {
            if (this.sortButtonGroup.selectedIndexes.length === 0) {
                if (this.grid.isColumnGrouped(this.column.field)) {
                    this.selectButton(sortDirection);
                }
                else {
                    this.grid.clearSort(this.column.field);
                }
            }
            else {
                this.grid.sort({ fieldName: this.column.field, dir: sortDirection, ignoreCase: true });
            }
        };
        /**
         * @param {?} sortDirection
         * @return {?}
         */
        IgxExcelStyleSortingComponent.prototype.selectButton = /**
         * @param {?} sortDirection
         * @return {?}
         */
        function (sortDirection) {
            if (sortDirection === 1) {
                this.sortButtonGroup.selectButton(0);
            }
            else {
                this.sortButtonGroup.selectButton(1);
            }
        };
        IgxExcelStyleSortingComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-excel-style-sorting',
                        template: "<header>\n    {{ grid.resourceStrings.igx_grid_excel_filter_sorting_header }}\n</header>\n<igx-buttongroup #sortButtonGroup [multiSelection]=\"false\">\n    <span tabindex=\"0\" igxButton type=\"button\" [displayDensity]=\"displayDensity\" [attr.data-togglable]=\"true\" (click)=\"onSortButtonClicked(1)\">\n        <igx-icon>arrow_upwards</igx-icon>\n        <span>\n            {{ displayDensity==='compact'?\n            grid.resourceStrings.igx_grid_excel_filter_sorting_asc_short:\n            grid.resourceStrings.igx_grid_excel_filter_sorting_asc  }}\n        </span>\n    </span>\n\n    <span tabindex=\"0\" igxButton type=\"button\" [displayDensity]=\"displayDensity\" [attr.data-togglable]=\"true\" (click)=\"onSortButtonClicked(2)\">\n        <igx-icon>arrow_downwards</igx-icon>\n        <span>\n            {{ displayDensity==='compact'?\n            grid.resourceStrings.igx_grid_excel_filter_sorting_desc_short:\n            grid.resourceStrings.igx_grid_excel_filter_sorting_desc\n         }}\n        </span>\n    </span>\n</igx-buttongroup>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxExcelStyleSortingComponent.ctorParameters = function () { return []; };
        IgxExcelStyleSortingComponent.propDecorators = {
            column: [{ type: core.Input }],
            grid: [{ type: core.Input }],
            displayDensity: [{ type: core.Input }],
            sortButtonGroup: [{ type: core.ViewChild, args: ['sortButtonGroup', { read: IgxButtonGroupComponent, static: true },] }]
        };
        return IgxExcelStyleSortingComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    FilterListItem = /** @class */ (function () {
        function FilterListItem() {
            this.isSpecial = false;
        }
        return FilterListItem;
    }());
    var IgxExcelStyleSortingTemplateDirective = /** @class */ (function () {
        function IgxExcelStyleSortingTemplateDirective(template) {
            this.template = template;
        }
        IgxExcelStyleSortingTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxExcelStyleSorting]'
                    },] }
        ];
        /** @nocollapse */
        IgxExcelStyleSortingTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxExcelStyleSortingTemplateDirective;
    }());
    var IgxExcelStyleMovingTemplateDirective = /** @class */ (function () {
        function IgxExcelStyleMovingTemplateDirective(template) {
            this.template = template;
        }
        IgxExcelStyleMovingTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxExcelStyleMoving]'
                    },] }
        ];
        /** @nocollapse */
        IgxExcelStyleMovingTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxExcelStyleMovingTemplateDirective;
    }());
    var IgxExcelStyleHidingTemplateDirective = /** @class */ (function () {
        function IgxExcelStyleHidingTemplateDirective(template) {
            this.template = template;
        }
        IgxExcelStyleHidingTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxExcelStyleHiding]'
                    },] }
        ];
        /** @nocollapse */
        IgxExcelStyleHidingTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxExcelStyleHidingTemplateDirective;
    }());
    var IgxExcelStylePinningTemplateDirective = /** @class */ (function () {
        function IgxExcelStylePinningTemplateDirective(template) {
            this.template = template;
        }
        IgxExcelStylePinningTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxExcelStylePinning]'
                    },] }
        ];
        /** @nocollapse */
        IgxExcelStylePinningTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxExcelStylePinningTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxGridExcelStyleFilteringComponent = /** @class */ (function () {
        function IgxGridExcelStyleFilteringComponent(cdr) {
            this.cdr = cdr;
            this.shouldOpenSubMenu = true;
            this.expressionsList = new Array();
            this.destroy$ = new rxjs.Subject();
            this.containsNullOrEmpty = false;
            this.selectAllSelected = true;
            this.selectAllIndeterminate = false;
            this.filterValues = new Set();
            this.columnMoving = new rxjs.Subscription();
            this.listData = new Array();
            this.uniqueValues = [];
            this._subMenuPositionSettings = {
                verticalStartPoint: VerticalAlignment.Top
            };
            this._subMenuOverlaySettings = {
                closeOnOutsideClick: true,
                modal: false,
                positionStrategy: new AutoPositionStrategy(this._subMenuPositionSettings),
                scrollStrategy: new AbsoluteScrollStrategy()
            };
            this.className = 'igx-excel-filter';
        }
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "grid", {
            get: /**
             * @return {?}
             */
            function () {
                return this.filteringService.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "conditions", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.filters.conditionList();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "subMenuText", {
            get: /**
             * @return {?}
             */
            function () {
                switch (this.column.dataType) {
                    case DataType.Boolean:
                        return this.grid.resourceStrings.igx_grid_excel_boolean_filter;
                    case DataType.Number:
                        return this.grid.resourceStrings.igx_grid_excel_number_filter;
                    case DataType.Date:
                        return this.grid.resourceStrings.igx_grid_excel_date_filter;
                    default:
                        return this.grid.resourceStrings.igx_grid_excel_text_filter;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.isColumnPinnable = this.column.pinnable;
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.expressionsList = new Array();
            this.filteringService.generateExpressionsList(this.column.filteringExpressionsTree, this.grid.filteringLogic, this.expressionsList);
            if (this.expressionsList && this.expressionsList.length &&
                this.expressionsList[0].expression.condition.name !== 'in') {
                this.customDialog.expressionsList = this.expressionsList;
            }
            this.populateColumnData();
            if (this.excelStyleSorting) {
                /** @type {?} */
                var se = this.grid.sortingExpressions.find(function (expr) { return expr.fieldName === _this.column.field; });
                if (se) {
                    this.excelStyleSorting.selectButton(se.dir);
                }
            }
            requestAnimationFrame(function () {
                _this.excelStyleSearch.searchInput.nativeElement.focus();
            });
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.clearFilterClass = /**
         * @return {?}
         */
        function () {
            if (this.column.filteringExpressionsTree) {
                return 'igx-excel-filter__actions-clear';
            }
            return 'igx-excel-filter__actions-clear--disabled';
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.pinClass = /**
         * @return {?}
         */
        function () {
            return this.isColumnPinnable ? 'igx-excel-filter__actions-pin' : 'igx-excel-filter__actions-pin--disabled';
        };
        /**
         * @param {?} column
         * @param {?} filteringService
         * @param {?} overlayService
         * @param {?} overlayComponentId
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.initialize = /**
         * @param {?} column
         * @param {?} filteringService
         * @param {?} overlayService
         * @param {?} overlayComponentId
         * @return {?}
         */
        function (column, filteringService, overlayService, overlayComponentId) {
            var _this = this;
            this.column = column;
            this.filteringService = filteringService;
            this.overlayService = overlayService;
            this.overlayComponentId = overlayComponentId;
            this._subMenuOverlaySettings.outlet = this.grid.outlet;
            this.columnMoving = this.grid.onColumnMoving.pipe(operators.takeUntil(this.destroy$)).subscribe(function () {
                _this.closeDropdown();
            });
        };
        /**
         * Returns the filtering operation condition for a given value.
         */
        /**
         * Returns the filtering operation condition for a given value.
         * @param {?} value
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.getCondition = /**
         * Returns the filtering operation condition for a given value.
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.column.filters.condition(value);
        };
        /**
         * Returns the translated condition name for a given value.
         */
        /**
         * Returns the translated condition name for a given value.
         * @param {?} value
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.translateCondition = /**
         * Returns the translated condition name for a given value.
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.grid.resourceStrings["igx_grid_filter_" + this.getCondition(value).name] || value;
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onPin = /**
         * @return {?}
         */
        function () {
            this.column.pinned = !this.column.pinned;
            this.closeDropdown();
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onHide = /**
         * @return {?}
         */
        function () {
            this.column.hidden = true;
            this.grid.onColumnVisibilityChanged.emit({ column: this.column, newValue: true });
            this.closeDropdown();
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onTextFilterClick = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (this.shouldOpenSubMenu) {
                this._subMenuOverlaySettings.positionStrategy.settings.target = eventArgs.currentTarget;
                /** @type {?} */
                var gridRect = this.grid.nativeElement.getBoundingClientRect();
                /** @type {?} */
                var dropdownRect = this.mainDropdown.nativeElement.getBoundingClientRect();
                /** @type {?} */
                var x = dropdownRect.left + dropdownRect.width;
                /** @type {?} */
                var x1 = gridRect.left + gridRect.width;
                x += window.pageXOffset;
                x1 += window.pageXOffset;
                if (Math.abs(x - x1) < 200) {
                    this._subMenuOverlaySettings.positionStrategy.settings.horizontalDirection = HorizontalAlignment.Left;
                    this._subMenuOverlaySettings.positionStrategy.settings.horizontalStartPoint = HorizontalAlignment.Left;
                }
                else {
                    this._subMenuOverlaySettings.positionStrategy.settings.horizontalDirection = HorizontalAlignment.Right;
                    this._subMenuOverlaySettings.positionStrategy.settings.horizontalStartPoint = HorizontalAlignment.Right;
                }
                this.subMenu.open(this._subMenuOverlaySettings);
                this.shouldOpenSubMenu = false;
            }
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onTextFilterKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Enter" /* ENTER */) {
                this.onTextFilterClick(eventArgs);
            }
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onSubMenuClosed = /**
         * @return {?}
         */
        function () {
            var _this = this;
            requestAnimationFrame(function () {
                _this.shouldOpenSubMenu = true;
            });
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onSubMenuSelection = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            this.customDialog.selectedOperator = eventArgs.newSelection.value;
            eventArgs.cancel = true;
            this.mainDropdown.nativeElement.style.display = 'none';
            this.subMenu.close();
            this.customDialog.open();
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.areExpressionsSelectable = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.expressionsList.length === 1 &&
                (this.expressionsList[0].expression.condition.name === 'equals' ||
                    this.expressionsList[0].expression.condition.name === 'true' ||
                    this.expressionsList[0].expression.condition.name === 'false' ||
                    this.expressionsList[0].expression.condition.name === 'empty' ||
                    this.expressionsList[0].expression.condition.name === 'in')) {
                return true;
            }
            /** @type {?} */
            var selectableExpressionsCount = this.expressionsList.filter(function (exp) {
                return (exp.beforeOperator === 1 || exp.afterOperator === 1) &&
                    (exp.expression.condition.name === 'equals' ||
                        exp.expression.condition.name === 'true' ||
                        exp.expression.condition.name === 'false' ||
                        exp.expression.condition.name === 'empty' ||
                        exp.expression.condition.name === 'in');
            }).length;
            return selectableExpressionsCount === this.expressionsList.length;
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.areExpressionsValuesInTheList = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.column.dataType === DataType.Boolean) {
                return true;
            }
            if (this.filterValues.size === 1) {
                /** @type {?} */
                var firstValue = this.filterValues.values().next().value;
                if (!firstValue && firstValue !== 0) {
                    return true;
                }
            }
            for (var index = 0; index < this.uniqueValues.length; index++) {
                if (this.filterValues.has(this.uniqueValues[index])) {
                    return true;
                }
            }
            return false;
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.populateColumnData = /**
         * @return {?}
         */
        function () {
            if (this.grid.uniqueColumnValuesStrategy) {
                this.renderColumnValuesRemotely();
            }
            else {
                this.renderColumnValuesFromData();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.renderColumnValuesRemotely = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this.excelStyleSearch.isLoading = true;
            /** @type {?} */
            var expressionsTree = this.getColumnFilterExpressionsTree();
            this.grid.uniqueColumnValuesStrategy(this.column, expressionsTree, function (colVals) {
                /** @type {?} */
                var columnValues = (_this.column.dataType === DataType.Date) ?
                    colVals.map(function (val) { return val ? val.toDateString() : val; }) : colVals;
                _this.renderValues(columnValues);
                _this.excelStyleSearch.isLoading = false;
                _this.excelStyleSearch.refreshSize();
            });
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.renderColumnValuesFromData = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var data = this.column.gridAPI.get_all_data(this.grid.id);
            /** @type {?} */
            var expressionsTree = this.getColumnFilterExpressionsTree();
            if (expressionsTree.filteringOperands.length) {
                /** @type {?} */
                var state = { expressionsTree: expressionsTree };
                data = DataUtil.filter(cloneArray(data), state);
            }
            /** @type {?} */
            var columnField = this.column.field;
            /** @type {?} */
            var columnValues = (this.column.dataType === DataType.Date) ?
                data.map(function (record) { return record[columnField] ? record[columnField].toDateString() : record[columnField]; }) :
                data.map(function (record) { return record[columnField]; });
            this.renderValues(columnValues);
        };
        /**
         * @private
         * @param {?} columnValues
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.renderValues = /**
         * @private
         * @param {?} columnValues
         * @return {?}
         */
        function (columnValues) {
            this.generateUniqueValues(columnValues);
            this.generateFilterValues(this.column.dataType === DataType.Date);
            this.generateListData();
        };
        /**
         * @private
         * @param {?} columnValues
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.generateUniqueValues = /**
         * @private
         * @param {?} columnValues
         * @return {?}
         */
        function (columnValues) {
            this.uniqueValues = Array.from(new Set(columnValues));
        };
        /**
         * @private
         * @param {?=} isDateColumn
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.generateFilterValues = /**
         * @private
         * @param {?=} isDateColumn
         * @return {?}
         */
        function (isDateColumn) {
            if (isDateColumn === void 0) { isDateColumn = false; }
            if (isDateColumn) {
                this.filterValues = new Set(this.expressionsList.reduce(function (arr, e) {
                    if (e.expression.condition.name === 'in') {
                        return __spread(arr, Array.from(((/** @type {?} */ (e.expression.searchVal))).values()).map(function (v) {
                            return new Date(v).toDateString();
                        }));
                    }
                    return __spread(arr, [e.expression.searchVal ? e.expression.searchVal.toDateString() : e.expression.searchVal]);
                }, []));
            }
            else {
                this.filterValues = new Set(this.expressionsList.reduce(function (arr, e) {
                    if (e.expression.condition.name === 'in') {
                        return __spread(arr, Array.from(((/** @type {?} */ (e.expression.searchVal))).values()));
                    }
                    return __spread(arr, [e.expression.searchVal]);
                }, []));
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.generateListData = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this.listData = new Array();
            /** @type {?} */
            var shouldUpdateSelection = this.areExpressionsSelectable() && this.areExpressionsValuesInTheList();
            if (this.column.dataType === DataType.Boolean) {
                this.addBooleanItems();
            }
            else {
                this.addItems(shouldUpdateSelection);
            }
            this.listData.sort(function (a, b) { return _this.sortData(a, b); });
            if (this.column.dataType === DataType.Date) {
                this.uniqueValues = this.uniqueValues.map(function (value) { return new Date(value); });
            }
            if (this.containsNullOrEmpty) {
                this.addBlanksItem(shouldUpdateSelection);
            }
            this.addSelectAllItem();
            if (!((/** @type {?} */ (this.cdr))).destroyed) {
                this.cdr.detectChanges();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.getColumnFilterExpressionsTree = /**
         * @private
         * @return {?}
         */
        function () {
            var e_1, _a;
            /** @type {?} */
            var gridExpressionsTree = this.grid.filteringExpressionsTree;
            /** @type {?} */
            var expressionsTree = new FilteringExpressionsTree(gridExpressionsTree.operator, gridExpressionsTree.fieldName);
            try {
                for (var _b = __values(gridExpressionsTree.filteringOperands), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var operand = _c.value;
                    if (operand instanceof FilteringExpressionsTree) {
                        /** @type {?} */
                        var columnExprTree = (/** @type {?} */ (operand));
                        if (columnExprTree.fieldName === this.column.field) {
                            break;
                        }
                    }
                    expressionsTree.filteringOperands.push(operand);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return expressionsTree;
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.addBooleanItems = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this.selectAllSelected = true;
            this.selectAllIndeterminate = false;
            this.uniqueValues.forEach(function (element) {
                /** @type {?} */
                var filterListItem = new FilterListItem();
                if (element !== undefined && element !== null && element !== '') {
                    if (_this.column.filteringExpressionsTree) {
                        if (element === true && _this.expressionsList.find(function (exp) { return exp.expression.condition.name === 'true'; })) {
                            filterListItem.isSelected = true;
                            _this.selectAllIndeterminate = true;
                        }
                        else if (element === false && _this.expressionsList.find(function (exp) { return exp.expression.condition.name === 'false'; })) {
                            filterListItem.isSelected = true;
                            _this.selectAllIndeterminate = true;
                        }
                        else {
                            filterListItem.isSelected = false;
                        }
                    }
                    else {
                        filterListItem.isSelected = true;
                    }
                    filterListItem.value = element;
                    filterListItem.label = element;
                    filterListItem.indeterminate = false;
                    _this.listData.push(filterListItem);
                }
                else {
                    _this.containsNullOrEmpty = true;
                }
            });
        };
        /**
         * @private
         * @param {?} shouldUpdateSelection
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.addItems = /**
         * @private
         * @param {?} shouldUpdateSelection
         * @return {?}
         */
        function (shouldUpdateSelection) {
            var _this = this;
            this.selectAllSelected = true;
            this.selectAllIndeterminate = false;
            this.uniqueValues.forEach(function (element) {
                if (element !== undefined && element !== null && element !== '') {
                    /** @type {?} */
                    var filterListItem = new FilterListItem();
                    if (_this.column.filteringExpressionsTree) {
                        if (shouldUpdateSelection) {
                            if (_this.filterValues.has(element)) {
                                filterListItem.isSelected = true;
                            }
                            else {
                                filterListItem.isSelected = false;
                            }
                            _this.selectAllIndeterminate = true;
                        }
                        else {
                            filterListItem.isSelected = false;
                            _this.selectAllSelected = false;
                        }
                    }
                    else {
                        filterListItem.isSelected = true;
                    }
                    if (_this.column.dataType === DataType.Date) {
                        filterListItem.value = new Date(element);
                        filterListItem.label = new Date(element);
                    }
                    else {
                        filterListItem.value = element;
                        filterListItem.label = element;
                    }
                    filterListItem.indeterminate = false;
                    _this.listData.push(filterListItem);
                }
                else {
                    _this.containsNullOrEmpty = true;
                }
            });
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.addSelectAllItem = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selectAll = new FilterListItem();
            selectAll.isSelected = this.selectAllSelected;
            selectAll.value = this.grid.resourceStrings.igx_grid_excel_select_all;
            selectAll.label = this.grid.resourceStrings.igx_grid_excel_select_all;
            selectAll.indeterminate = this.selectAllIndeterminate;
            selectAll.isSpecial = true;
            this.listData.unshift(selectAll);
        };
        /**
         * @private
         * @param {?} shouldUpdateSelection
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.addBlanksItem = /**
         * @private
         * @param {?} shouldUpdateSelection
         * @return {?}
         */
        function (shouldUpdateSelection) {
            /** @type {?} */
            var blanks = new FilterListItem();
            if (this.column.filteringExpressionsTree) {
                if (shouldUpdateSelection) {
                    if (this.filterValues.has(null)) {
                        blanks.isSelected = true;
                    }
                    else {
                        blanks.isSelected = false;
                    }
                }
            }
            else {
                blanks.isSelected = true;
            }
            blanks.value = null;
            blanks.label = this.grid.resourceStrings.igx_grid_excel_blanks;
            blanks.indeterminate = false;
            blanks.isSpecial = true;
            this.listData.unshift(blanks);
        };
        /**
         * @private
         * @param {?} a
         * @param {?} b
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.sortData = /**
         * @private
         * @param {?} a
         * @param {?} b
         * @return {?}
         */
        function (a, b) {
            /** @type {?} */
            var valueA = a.value;
            /** @type {?} */
            var valueB = b.value;
            if (typeof (a) === DataType.String) {
                valueA = a.value.toUpperCase();
                valueB = b.value.toUpperCase();
            }
            if (valueA < valueB) {
                return -1;
            }
            else if (valueA > valueB) {
                return 1;
            }
            else {
                return 0;
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.selectAllFilterItems = /**
         * @private
         * @return {?}
         */
        function () {
            this.listData.forEach(function (filterListItem) {
                filterListItem.isSelected = true;
                filterListItem.indeterminate = false;
            });
            this.excelStyleSearch.cdr.detectChanges();
        };
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "sortingTemplate", {
            // TODO: sort members by access modifier
            get: 
            // TODO: sort members by access modifier
            /**
             * @return {?}
             */
            function () {
                if (this.grid.excelStyleSortingTemplateDirective) {
                    return this.grid.excelStyleSortingTemplateDirective.template;
                }
                else {
                    return this.defaultExcelStyleSortingTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "movingTemplate", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.grid.excelStyleMovingTemplateDirective) {
                    return this.grid.excelStyleMovingTemplateDirective.template;
                }
                else {
                    return this.defaultExcelStyleMovingTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "pinningTemplate", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.grid.excelStylePinningTemplateDirective) {
                    return this.grid.excelStylePinningTemplateDirective.template;
                }
                else {
                    return this.defaultExcelStylePinningTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "hidingTemplate", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.grid.excelStyleHidingTemplateDirective) {
                    return this.grid.excelStyleHidingTemplateDirective.template;
                }
                else {
                    return this.defaultExcelStyleHidingTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridExcelStyleFilteringComponent.prototype, "applyButtonDisabled", {
            get: /**
             * @return {?}
             */
            function () {
                return this.listData[0] && !this.listData[0].isSelected && !this.listData[0].indeterminate;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.applyFilter = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var filterTree = new FilteringExpressionsTree(FilteringLogic.Or, this.column.field);
            /** @type {?} */
            var selectedItems = this.listData.slice(1, this.listData.length).filter(function (el) { return el.isSelected === true; });
            /** @type {?} */
            var unselectedItem = this.listData.slice(1, this.listData.length).find(function (el) { return el.isSelected === false; });
            if (unselectedItem) {
                if (selectedItems.length <= IgxGridExcelStyleFilteringComponent.filterOptimizationThreshold) {
                    selectedItems.forEach(function (element) {
                        /** @type {?} */
                        var condition = null;
                        if (element.value !== null && element.value !== undefined) {
                            if (_this.column.dataType === DataType.Boolean) {
                                condition = _this.createCondition(element.value.toString());
                            }
                            else {
                                condition = _this.createCondition('equals');
                            }
                        }
                        else {
                            condition = _this.createCondition('empty');
                        }
                        filterTree.filteringOperands.push({
                            condition: condition,
                            fieldName: _this.column.field,
                            ignoreCase: _this.column.filteringIgnoreCase,
                            searchVal: element.value
                        });
                    });
                }
                else {
                    /** @type {?} */
                    var blanksItemIndex = selectedItems.findIndex(function (e) { return e.value === null || e.value === undefined; });
                    /** @type {?} */
                    var blanksItem = void 0;
                    if (blanksItemIndex >= 0) {
                        blanksItem = selectedItems[blanksItemIndex];
                        selectedItems.splice(blanksItemIndex, 1);
                    }
                    filterTree.filteringOperands.push({
                        condition: this.createCondition('in'),
                        fieldName: this.column.field,
                        ignoreCase: this.column.filteringIgnoreCase,
                        searchVal: new Set(this.column.dataType === DataType.Date ?
                            selectedItems.map(function (d) { return new Date(d.value.getFullYear(), d.value.getMonth(), d.value.getDate()).toISOString(); }) :
                            selectedItems.map(function (e) { return e.value; }))
                    });
                    if (blanksItem) {
                        filterTree.filteringOperands.push({
                            condition: this.createCondition('empty'),
                            fieldName: this.column.field,
                            ignoreCase: this.column.filteringIgnoreCase,
                            searchVal: blanksItem.value
                        });
                    }
                }
                this.expressionsList = new Array();
                this.filteringService.filterInternal(this.column.field, filterTree);
            }
            else {
                this.filteringService.clearFilter(this.column.field);
            }
            this.closeDropdown();
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.closeDropdown = /**
         * @return {?}
         */
        function () {
            if (this.overlayComponentId) {
                this.overlayService.hide(this.overlayComponentId);
                this.overlayComponentId = null;
            }
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Escape" /* ESCAPE */ || eventArgs.key === "Esc" /* ESCAPE_IE */) {
                this.closeDropdown();
            }
            eventArgs.stopPropagation();
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.clearFilter = /**
         * @return {?}
         */
        function () {
            this.filteringService.clearFilter(this.column.field);
            this.selectAllFilterItems();
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.onClearFilterKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Enter" /* ENTER */) {
                this.clearFilter();
            }
        };
        /**
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.showCustomFilterItem = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var exprTree = this.column.filteringExpressionsTree;
            return exprTree && exprTree.filteringOperands && exprTree.filteringOperands.length &&
                !(((/** @type {?} */ (exprTree.filteringOperands[0]))).condition &&
                    ((/** @type {?} */ (exprTree.filteringOperands[0]))).condition.name === 'in');
        };
        /**
         * @private
         * @param {?} conditionName
         * @return {?}
         */
        IgxGridExcelStyleFilteringComponent.prototype.createCondition = /**
         * @private
         * @param {?} conditionName
         * @return {?}
         */
        function (conditionName) {
            switch (this.column.dataType) {
                case DataType.Boolean:
                    return IgxBooleanFilteringOperand.instance().condition(conditionName);
                case DataType.Number:
                    return IgxNumberFilteringOperand.instance().condition(conditionName);
                case DataType.Date:
                    return IgxDateFilteringOperand.instance().condition(conditionName);
                default:
                    return IgxStringFilteringOperand.instance().condition(conditionName);
            }
        };
        IgxGridExcelStyleFilteringComponent.filterOptimizationThreshold = 2;
        IgxGridExcelStyleFilteringComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-excel-style-filtering',
                        template: "<article #dropdown\n    class=\"igx-excel-filter__menu\"\n    [ngClass]=\"{\n        'igx-excel-filter__menu--cosy': grid.displayDensity === 'cosy',\n        'igx-excel-filter__menu--compact': grid.displayDensity === 'compact'\n    }\"\n    [id]=\"overlayComponentId\"\n    (keydown)=\"onKeyDown($event)\">\n\n    <header class=\"igx-excel-filter__menu-header\">\n        <h4>{{ column.header || column.field }}</h4>\n        <div *ngIf=\"grid.displayDensity!=='comfortable'\" class=\"igx-excel-filter__menu-header-actions\">\n            <button *ngIf=\"!column.disablePinning && !column.pinned\"\n                igxButton=\"icon\"\n                [displayDensity]=\"grid.displayDensity\"\n                (click)=\"onPin()\"\n                [disabled]=\"!isColumnPinnable\"\n                tabindex=\"0\">\n                <igx-icon fontSet=\"filtering-icons\" name=\"pin\"></igx-icon>\n            </button>\n            <button *ngIf=\"!column.disablePinning && column.pinned\"\n                igxButton=\"icon\"\n                [displayDensity]=\"grid.displayDensity\"\n                (click)=\"onPin()\"\n                tabindex=\"0\">\n                <igx-icon fontSet=\"filtering-icons\" name=\"unpin\"></igx-icon>\n            </button>\n            <button *ngIf=\"!column.disableHiding\"\n                igxButton=\"icon\"\n                [displayDensity]=\"grid.displayDensity\"\n                tabindex=\"0\"\n                (click)=\"onHide()\">\n                <igx-icon>visibility_off</igx-icon>\n            </button>\n        </div>\n    </header>\n\n    <ng-template #defaultExcelStyleSortingTemplate>\n        <igx-excel-style-sorting #excelStyleSorting\n            class=\"igx-excel-filter__sort\"\n            [column]=\"column\"\n            [grid]=\"grid\"\n            [displayDensity]=\"grid.displayDensity\">\n        </igx-excel-style-sorting>\n    </ng-template>\n\n    <div *ngIf=\"column.sortable\">\n        <ng-container *ngTemplateOutlet=\"sortingTemplate\"></ng-container>\n    </div>\n\n    <section class=\"igx-excel-filter__actions\">\n\n        <ng-template #defaultExcelStyleMovingTemplate>\n            <igx-excel-style-column-moving\n                class=\"igx-excel-filter__move\"\n                [column]=\"column\"\n                [grid]=\"grid\"\n                [isColumnPinnable]=\"isColumnPinnable\"\n                [displayDensity]=\"grid.displayDensity\">\n            </igx-excel-style-column-moving>\n        </ng-template>\n\n        <div *ngIf=\"column.movable\">\n            <ng-container *ngTemplateOutlet=\"movingTemplate\"></ng-container>\n        </div>\n\n        <ng-template #defaultExcelStylePinningTemplate>\n            <div [ngClass]=\"pinClass()\"\n                (click)=\"onPin()\"\n                tabindex=\"0\"\n                *ngIf=\"!column.pinned\">\n                <span>{{ grid.resourceStrings.igx_grid_excel_pin }}</span>\n                <igx-icon fontSet=\"filtering-icons\" name=\"pin\"></igx-icon>\n            </div>\n\n            <div class=\"igx-excel-filter__actions-unpin\"\n                (click)=\"onPin()\"\n                tabindex=\"0\"\n                *ngIf=\"column.pinned\">\n                <span>{{ grid.resourceStrings.igx_grid_excel_unpin }}</span>\n                <igx-icon fontSet=\"filtering-icons\" name=\"unpin\"></igx-icon>\n            </div>\n        </ng-template>\n\n        <div *ngIf=\"!column.disablePinning && grid.displayDensity==='comfortable'\">\n            <ng-container *ngTemplateOutlet=\"pinningTemplate\"></ng-container>\n        </div>\n\n        <ng-template #defaultExcelStyleHidingTemplate>\n            <div class=\"igx-excel-filter__actions-hide\"\n                tabindex=\"0\"\n                (click)=\"onHide()\">\n                <span>{{ grid.resourceStrings.igx_grid_excel_hide }}</span>\n                <igx-icon>visibility_off</igx-icon>\n            </div>\n        </ng-template>\n\n        <div *ngIf=\"!column.disableHiding && grid.displayDensity==='comfortable'\">\n            <ng-container *ngTemplateOutlet=\"hidingTemplate\"></ng-container>\n        </div>\n\n        <div\n            tabindex=\"0\"\n            [ngClass]=\"clearFilterClass()\"\n            (keydown)=\"onClearFilterKeyDown($event)\"\n            (click)=\"clearFilter()\">\n            <span>{{ grid.resourceStrings.igx_grid_excel_filter_clear }}</span>\n            <igx-icon>clear</igx-icon>\n        </div>\n\n        <div\n            tabindex=\"0\"\n            class=\"igx-excel-filter__actions-filter\"\n            (keydown)=\"onTextFilterKeyDown($event)\"\n            (click)=\"onTextFilterClick($event)\"\n            [igxDropDownItemNavigation]=\"subMenu\" >\n            <span>{{ subMenuText }}</span>\n            <igx-icon>keyboard_arrow_right</igx-icon>\n        </div>\n    </section>\n\n    <igx-excel-style-search\n        class=\"igx-excel-filter__menu-main\"\n        #excelStyleSearch\n        [column]=\"column\"\n        [data]=\"listData\"\n        [grid]=\"grid\"\n        [displayDensity]=\"grid.displayDensity\">\n    </igx-excel-style-search>\n\n    <footer class=\"igx-excel-filter__menu-footer\">\n        <button igxButton [displayDensity]=\"grid.displayDensity\" (click)=\"closeDropdown()\">{{ grid.resourceStrings.igx_grid_excel_cancel }}</button>\n        <button igxButton=\"raised\" [displayDensity]=\"grid.displayDensity\" [disabled]=\"applyButtonDisabled\" (click)=\"applyFilter()\">{{ grid.resourceStrings.igx_grid_excel_apply }}</button>\n    </footer>\n</article>\n\n<igx-drop-down [maxHeight]=\"'397px'\" [displayDensity]=\"grid.displayDensity\" #subMenu (onSelection)=\"onSubMenuSelection($event)\" (onClosed)=\"onSubMenuClosed()\">\n    <div>\n        <igx-drop-down-item\n            *ngFor=\"let condition of conditions\"\n            [value]=\"condition\">\n            <igx-icon fontSet=\"filtering-icons\" [name]=\"getCondition(condition).iconName\"></igx-icon>\n            <span style=\"margin-left: 16px\">{{ translateCondition(condition) }}</span>\n        </igx-drop-down-item>\n        <igx-drop-down-item *ngIf=\"showCustomFilterItem()\">\n            <igx-icon>filter_list</igx-icon>\n            <span style=\"margin-left: 16px\">{{ grid.resourceStrings.igx_grid_excel_custom_filter }}</span>\n        </igx-drop-down-item>\n    </div>\n</igx-drop-down>\n\n<igx-excel-style-custom-dialog\n    #customDialog\n    [column]=\"column\"\n    [filteringService]=\"filteringService\"\n    [overlayComponentId]=\"overlayComponentId\"\n    [overlayService]=\"overlayService\"\n    [displayDensity]=\"grid.displayDensity\">\n</igx-excel-style-custom-dialog>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridExcelStyleFilteringComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef }
        ]; };
        IgxGridExcelStyleFilteringComponent.propDecorators = {
            className: [{ type: core.HostBinding, args: ['class.igx-excel-filter',] }],
            mainDropdown: [{ type: core.ViewChild, args: ['dropdown', { read: core.ElementRef, static: true },] }],
            subMenu: [{ type: core.ViewChild, args: ['subMenu', { read: IgxDropDownComponent, static: true },] }],
            customDialog: [{ type: core.ViewChild, args: ['customDialog', { read: IgxExcelStyleCustomDialogComponent, static: true },] }],
            excelStyleSearch: [{ type: core.ViewChild, args: ['excelStyleSearch', { read: IgxExcelStyleSearchComponent, static: true },] }],
            excelStyleSorting: [{ type: core.ViewChild, args: ['excelStyleSorting', { read: IgxExcelStyleSortingComponent, static: false },] }],
            defaultExcelStyleSortingTemplate: [{ type: core.ViewChild, args: ['defaultExcelStyleSortingTemplate', { read: core.TemplateRef, static: true },] }],
            defaultExcelStyleHidingTemplate: [{ type: core.ViewChild, args: ['defaultExcelStyleHidingTemplate', { read: core.TemplateRef, static: true },] }],
            defaultExcelStyleMovingTemplate: [{ type: core.ViewChild, args: ['defaultExcelStyleMovingTemplate', { read: core.TemplateRef, static: true },] }],
            defaultExcelStylePinningTemplate: [{ type: core.ViewChild, args: ['defaultExcelStylePinningTemplate', { read: core.TemplateRef, static: true },] }]
        };
        return IgxGridExcelStyleFilteringComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridHeaderComponent = /** @class */ (function () {
        function IgxGridHeaderComponent(gridAPI, colResizingService, cdr, elementRef, zone, _filteringService, _moduleRef, _overlayService) {
            this.gridAPI = gridAPI;
            this.colResizingService = colResizingService;
            this.cdr = cdr;
            this.elementRef = elementRef;
            this.zone = zone;
            this._filteringService = _filteringService;
            this._moduleRef = _moduleRef;
            this._overlayService = _overlayService;
            this._destroy$ = new rxjs.Subject();
            this.hostRole = 'columnheader';
            this.tabindex = -1;
            this.sortDirection = SortingDirection.None;
        }
        Object.defineProperty(IgxGridHeaderComponent.prototype, "styleClasses", {
            get: /**
             * @return {?}
             */
            function () {
                var e_1, _a;
                /** @type {?} */
                var defaultClasses = [
                    'igx-grid__th--fw',
                    this.column.headerClasses
                ];
                /** @type {?} */
                var classList = {
                    'igx-grid__th': !this.column.columnGroup,
                    'asc': this.ascending,
                    'desc': this.descending,
                    'igx-grid__th--number': this.column.dataType === DataType.Number,
                    'igx-grid__th--sortable': this.column.sortable,
                    'igx-grid__th--filtrable': this.column.filterable && this.grid.filteringService.isFilterRowVisible,
                    'igx-grid__th--sorted': this.sorted
                };
                try {
                    for (var _b = __values(Object.keys(classList)), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var klass = _c.value;
                        if (classList[klass]) {
                            defaultClasses.push(klass);
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                return defaultClasses.join(' ');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "height", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.grid.hasColumnGroups) {
                    return (this.grid.maxLevelHeaderDepth + 1 - this.column.level) * this.grid.defaultRowHeight / this.grid._baseFontSize;
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "ascending", {
            get: /**
             * @return {?}
             */
            function () {
                return this.sortDirection === SortingDirection.Asc;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "descending", {
            get: /**
             * @return {?}
             */
            function () {
                return this.sortDirection === SortingDirection.Desc;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "sortingIcon", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.sortDirection !== SortingDirection.None) {
                    // arrow_downward and arrow_upward
                    // are material icons ligature strings
                    return this.sortDirection === SortingDirection.Asc ? 'arrow_upward' : 'arrow_downward';
                }
                return 'arrow_upward';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "sorted", {
            get: /**
             * @return {?}
             */
            function () {
                return this.sortDirection !== SortingDirection.None;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "filterIconClassName", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.filteringExpressionsTree ? 'igx-excel-filter__icon--filtered' : 'igx-excel-filter__icon';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderComponent.prototype, "headerID", {
            get: /**
             * @return {?}
             */
            function () {
                return this.gridID + "_" + this.column.field;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.initFilteringSettings();
        };
        /**
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            this.getSortDirection();
            this.cdr.markForCheck();
        };
        /**
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this._destroy$.next(true);
            this._destroy$.complete();
            if (this._componentOverlayId) {
                this._overlayService.hide(this._componentOverlayId);
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.onClick = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this.colResizingService.isColumnResizing) {
                event.stopPropagation();
                if (this.grid.filteringService.isFilterRowVisible) {
                    if (this.column.filterable && !this.column.columnGroup &&
                        !this.grid.filteringService.isFilterComplex(this.column.field)) {
                        this.grid.filteringService.filteredColumn = this.column;
                    }
                }
                else if (this.column.sortable) {
                    this.triggerSort();
                }
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.onFilteringIconClick = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            this.toggleFilterDropdown();
        };
        Object.defineProperty(IgxGridHeaderComponent.prototype, "grid", {
            get: /**
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.getSortDirection = /**
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var expr = this.gridAPI.grid.sortingExpressions.find(function (x) { return x.fieldName === _this.column.field; });
            this.sortDirection = expr ? expr.dir : SortingDirection.None;
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.onSortingIconClick = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.grid.filteringService.isFilterRowVisible) {
                event.stopPropagation();
                this.triggerSort();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.triggerSort = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var groupingExpr = this.grid.groupingExpressions ?
                this.grid.groupingExpressions.find(function (expr) { return expr.fieldName === _this.column.field; }) : null;
            /** @type {?} */
            var sortDir = groupingExpr ?
                this.sortDirection + 1 > SortingDirection.Desc ? SortingDirection.Asc : SortingDirection.Desc
                : this.sortDirection + 1 > SortingDirection.Desc ? SortingDirection.None : this.sortDirection + 1;
            this.sortDirection = sortDir;
            this.grid.sort({ fieldName: this.column.field, dir: this.sortDirection, ignoreCase: this.column.sortingIgnoreCase,
                strategy: this.column.sortStrategy });
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.toggleFilterDropdown = /**
         * @private
         * @return {?}
         */
        function () {
            if (!this._componentOverlayId) {
                /** @type {?} */
                var headerTarget = this.elementRef.nativeElement;
                /** @type {?} */
                var filterIconTarget = headerTarget.querySelector('.' + this.filterIconClassName);
                this._filterMenuOverlaySettings.positionStrategy.settings.target = filterIconTarget;
                this._filterMenuOverlaySettings.outlet = this.grid.outlet;
                this._componentOverlayId =
                    this._overlayService.attach(IgxGridExcelStyleFilteringComponent, this._filterMenuOverlaySettings, this._moduleRef);
                this._overlayService.show(this._componentOverlayId, this._filterMenuOverlaySettings);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.initFilteringSettings = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this._filterMenuPositionSettings = {
                verticalStartPoint: VerticalAlignment.Bottom,
                openAnimation: animations.useAnimation(fadeIn, {
                    params: {
                        duration: '250ms'
                    }
                }),
                closeAnimation: animations.useAnimation(fadeOut, {
                    params: {
                        duration: '200ms'
                    }
                })
            };
            this._filterMenuOverlaySettings = {
                closeOnOutsideClick: true,
                modal: false,
                positionStrategy: new AutoPositionStrategy(this._filterMenuPositionSettings),
                scrollStrategy: new AbsoluteScrollStrategy()
            };
            this._overlayService.onOpening.pipe(operators.filter(function (overlay) { return overlay.id === _this._componentOverlayId; }), operators.takeUntil(this._destroy$)).subscribe(function (eventArgs) {
                _this.onOverlayOpening(eventArgs);
            });
            this._overlayService.onClosed.pipe(operators.filter(function (overlay) { return overlay.id === _this._componentOverlayId; }), operators.takeUntil(this._destroy$)).subscribe(function () {
                _this.onOverlayClosed();
            });
        };
        /**
         * @private
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.onOverlayOpening = /**
         * @private
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            /** @type {?} */
            var instance = (/** @type {?} */ (eventArgs.componentRef.instance));
            if (instance) {
                instance.initialize(this.column, this._filteringService, this._overlayService, eventArgs.id);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridHeaderComponent.prototype.onOverlayClosed = /**
         * @private
         * @return {?}
         */
        function () {
            this._componentOverlayId = null;
        };
        IgxGridHeaderComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-header',
                        template: "<ng-template #defaultColumn>\n    <span [attr.title]=\"column.header || column.field\">{{ column.header || column.field }}</span>\n</ng-template>\n\n<span class=\"igx-grid__th-title\">\n    <ng-container *ngTemplateOutlet=\"column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}\">\n    </ng-container>\n</span>\n<div class=\"igx-grid__th-icons\" *ngIf=\"!column.columnGroup\">\n    <igx-icon [attr.draggable]=\"false\"\n        class=\"sort-icon\"\n        *ngIf=\"column.sortable\"\n        (click)=\"onSortingIconClick($event)\">\n        {{sortingIcon}}\n    </igx-icon>\n\n    <igx-icon [ngClass]=\"filterIconClassName\" [attr.draggable]=\"false\" (click)=\"onFilteringIconClick($event)\"\n        *ngIf=\"grid.allowFiltering == true && column.filterable && grid.filterMode == 'excelStyleFilter'\">\n        filter_list\n    </igx-icon>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridHeaderComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: IgxColumnResizingService },
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: IgxFilteringService },
            { type: core.NgModuleRef },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] }
        ]; };
        IgxGridHeaderComponent.propDecorators = {
            column: [{ type: core.Input }],
            gridID: [{ type: core.Input }],
            styleClasses: [{ type: core.HostBinding, args: ['class',] }],
            height: [{ type: core.HostBinding, args: ['style.height.rem',] }],
            hostRole: [{ type: core.HostBinding, args: ['attr.role',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            headerID: [{ type: core.HostBinding, args: ['attr.id',] }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }]
        };
        return IgxGridHeaderComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridFilteringCellComponent = /** @class */ (function () {
        function IgxGridFilteringCellComponent(cdr, filteringService, navService) {
            this.cdr = cdr;
            this.filteringService = filteringService;
            this.navService = navService;
            this.baseClass = 'igx-grid__filtering-cell-indicator';
            this.currentTemplate = null;
            this.moreFiltersCount = 0;
            this.cssClass = 'igx-grid__filtering-cell';
            this.filteringService.subscribeToEvents();
        }
        /**
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            this.filteringService.columnToMoreIconHidden.set(this.column.field, true);
        };
        /**
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            this.updateFilterCellArea();
        };
        /**
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            this.updateFilterCellArea();
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.onTabKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (this.isLastElementFocused()) {
                this.filteringService.grid.navigation.navigateNextFilterCell(this.column, eventArgs);
            }
            eventArgs.stopPropagation();
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.onShiftTabKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (this.isFirstElementFocused()) {
                this.filteringService.grid.navigation.navigatePrevFilterCell(this.column, eventArgs);
            }
            eventArgs.stopPropagation();
        };
        /**
         * Returns whether a chip with a given index is visible or not.
         */
        /**
         * Returns whether a chip with a given index is visible or not.
         * @param {?} index
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.isChipVisible = /**
         * Returns whether a chip with a given index is visible or not.
         * @param {?} index
         * @return {?}
         */
        function (index) {
            /** @type {?} */
            var expression = this.expressionsList[index];
            return !!(expression && expression.isVisible);
        };
        /**
         * Updates the filtering cell area.
         */
        /**
         * Updates the filtering cell area.
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.updateFilterCellArea = /**
         * Updates the filtering cell area.
         * @return {?}
         */
        function () {
            this.expressionsList = this.filteringService.getExpressions(this.column.field);
            this.updateVisibleFilters();
        };
        Object.defineProperty(IgxGridFilteringCellComponent.prototype, "template", {
            get: /**
             * @return {?}
             */
            function () {
                if (!this.column.filterable) {
                    this.currentTemplate = null;
                    return null;
                }
                if (this.column.filterCellTemplate) {
                    this.currentTemplate = this.column.filterCellTemplate;
                    return this.column.filterCellTemplate;
                }
                /** @type {?} */
                var expressionTree = this.column.filteringExpressionsTree;
                if (!expressionTree || expressionTree.filteringOperands.length === 0) {
                    this.currentTemplate = this.emptyFilter;
                    return this.emptyFilter;
                }
                if (this.filteringService.isFilterComplex(this.column.field)) {
                    this.currentTemplate = this.complexFilter;
                    return this.complexFilter;
                }
                this.currentTemplate = this.defaultFilter;
                return this.defaultFilter;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringCellComponent.prototype, "context", {
            /**
             * Gets the context passed to the filter template.
             * @memberof IgxGridFilteringCellComponent
             */
            get: /**
             * Gets the context passed to the filter template.
             * \@memberof IgxGridFilteringCellComponent
             * @return {?}
             */
            function () {
                return {
                    column: this.column
                };
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Chip clicked event handler.
         */
        /**
         * Chip clicked event handler.
         * @param {?=} expression
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.onChipClicked = /**
         * Chip clicked event handler.
         * @param {?=} expression
         * @return {?}
         */
        function (expression) {
            if (expression) {
                this.expressionsList.forEach(function (item) {
                    item.isSelected = (item.expression === expression);
                });
            }
            else if (this.expressionsList.length > 0) {
                this.expressionsList.forEach(function (item) {
                    item.isSelected = false;
                });
                this.expressionsList[0].isSelected = true;
            }
            /** @type {?} */
            var index = this.filteringService.unpinnedFilterableColumns.indexOf(this.column);
            if (index >= 0 && !this.isColumnRightVisible(index)) {
                this.filteringService.scrollToFilterCell(this.filteringService.unpinnedFilterableColumns[index], true);
            }
            else if (index >= 0 && !this.isColumnLeftVisible(index)) {
                this.filteringService.scrollToFilterCell(this.filteringService.unpinnedFilterableColumns[index], false);
            }
            this.filteringService.filteredColumn = this.column;
            this.filteringService.isFilterRowVisible = true;
            this.filteringService.selectedExpression = expression;
        };
        /**
         * Chip removed event handler.
         */
        /**
         * Chip removed event handler.
         * @param {?} eventArgs
         * @param {?} item
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.onChipRemoved = /**
         * Chip removed event handler.
         * @param {?} eventArgs
         * @param {?} item
         * @return {?}
         */
        function (eventArgs, item) {
            /** @type {?} */
            var indexToRemove = this.expressionsList.indexOf(item);
            this.removeExpression(indexToRemove);
            this.focusChip();
        };
        /**
         * Clears the filtering.
         */
        /**
         * Clears the filtering.
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.clearFiltering = /**
         * Clears the filtering.
         * @return {?}
         */
        function () {
            this.filteringService.clearFilter(this.column.field);
            this.cdr.detectChanges();
        };
        /**
         * Chip keydown event handler.
         */
        /**
         * Chip keydown event handler.
         * @param {?} eventArgs
         * @param {?=} expression
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.onChipKeyDown = /**
         * Chip keydown event handler.
         * @param {?} eventArgs
         * @param {?=} expression
         * @return {?}
         */
        function (eventArgs, expression) {
            if (eventArgs.key === "Enter" /* ENTER */) {
                eventArgs.preventDefault();
                this.onChipClicked(expression);
            }
        };
        /**
         * Returns the filtering indicator class.
         */
        /**
         * Returns the filtering indicator class.
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.filteringIndicatorClass = /**
         * Returns the filtering indicator class.
         * @return {?}
         */
        function () {
            var _a;
            return _a = {},
                _a[this.baseClass] = !this.isMoreIconHidden(),
                _a[this.baseClass + "--hidden"] = this.isMoreIconHidden(),
                _a;
        };
        /**
         * Focus a chip depending on the current visible template.
         */
        /**
         * Focus a chip depending on the current visible template.
         * @param {?=} focusFirst
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.focusChip = /**
         * Focus a chip depending on the current visible template.
         * @param {?=} focusFirst
         * @return {?}
         */
        function (focusFirst) {
            if (focusFirst === void 0) { focusFirst = false; }
            if (this.currentTemplate === this.defaultFilter) {
                if (focusFirst) {
                    this.focusFirstElement();
                }
                else {
                    this.focusElement();
                }
            }
            else if (this.currentTemplate === this.emptyFilter) {
                this.ghostChip.elementRef.nativeElement.querySelector(".igx-chip__item").focus();
            }
            else if (this.currentTemplate === this.complexFilter) {
                this.complexChip.elementRef.nativeElement.querySelector(".igx-chip__item").focus();
            }
        };
        /**
         * @private
         * @param {?} indexToRemove
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.removeExpression = /**
         * @private
         * @param {?} indexToRemove
         * @return {?}
         */
        function (indexToRemove) {
            if (indexToRemove === 0 && this.expressionsList.length === 1) {
                this.clearFiltering();
                return;
            }
            this.filteringService.removeExpression(this.column.field, indexToRemove);
            this.updateVisibleFilters();
            this.filteringService.filterInternal(this.column.field);
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.isMoreIconHidden = /**
         * @private
         * @return {?}
         */
        function () {
            return this.filteringService.columnToMoreIconHidden.get(this.column.field);
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.updateVisibleFilters = /**
         * @private
         * @return {?}
         */
        function () {
            this.expressionsList.forEach(function (ex) { return ex.isVisible = true; });
            if (this.moreIcon) {
                this.filteringService.columnToMoreIconHidden.set(this.column.field, true);
            }
            this.cdr.detectChanges();
            if (this.chipsArea && this.expressionsList.length > 1) {
                /** @type {?} */
                var areaWidth = this.chipsArea.element.nativeElement.offsetWidth;
                /** @type {?} */
                var viewWidth = 0;
                /** @type {?} */
                var chipsAreaElements = this.chipsArea.element.nativeElement.children;
                /** @type {?} */
                var visibleChipsCount = 0;
                /** @type {?} */
                var moreIconWidth = this.moreIcon.nativeElement.offsetWidth -
                    parseInt(document.defaultView.getComputedStyle(this.moreIcon.nativeElement)['margin-left'], 10);
                for (var index = 0; index < chipsAreaElements.length - 1; index++) {
                    if (viewWidth + chipsAreaElements[index].offsetWidth < areaWidth) {
                        viewWidth += chipsAreaElements[index].offsetWidth;
                        if (index % 2 === 0) {
                            visibleChipsCount++;
                        }
                        else {
                            viewWidth += parseInt(document.defaultView.getComputedStyle(chipsAreaElements[index])['margin-left'], 10);
                            viewWidth += parseInt(document.defaultView.getComputedStyle(chipsAreaElements[index])['margin-right'], 10);
                        }
                    }
                    else {
                        if (index % 2 !== 0 && viewWidth + moreIconWidth > areaWidth) {
                            visibleChipsCount--;
                        }
                        else if (visibleChipsCount > 0 && viewWidth - chipsAreaElements[index - 1].offsetWidth + moreIconWidth > areaWidth) {
                            visibleChipsCount--;
                        }
                        this.moreFiltersCount = this.expressionsList.length - visibleChipsCount;
                        this.filteringService.columnToMoreIconHidden.set(this.column.field, false);
                        break;
                    }
                }
                for (var i = visibleChipsCount; i < this.expressionsList.length; i++) {
                    this.expressionsList[i].isVisible = false;
                }
                this.cdr.detectChanges();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.isFirstElementFocused = /**
         * @private
         * @return {?}
         */
        function () {
            return !(this.chipsArea && this.chipsArea.chipsList.length > 0 &&
                this.chipsArea.chipsList.first.elementRef.nativeElement.querySelector(".igx-chip__item") !== document.activeElement);
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.isLastElementFocused = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.chipsArea) {
                if (this.isMoreIconHidden() && this.chipsArea.chipsList.last.elementRef.nativeElement.querySelector(".igx-chip__remove") !==
                    document.activeElement) {
                    return false;
                }
                else if (!this.isMoreIconHidden() && this.moreIcon.nativeElement !== document.activeElement) {
                    return false;
                }
            }
            return true;
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.focusFirstElement = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.chipsArea.chipsList.length > 0) {
                this.chipsArea.chipsList.first.elementRef.nativeElement.querySelector(".igx-chip__item").focus();
            }
            else {
                this.moreIcon.nativeElement.focus();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.focusElement = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.filteringService.shouldFocusNext) {
                if (!this.isMoreIconHidden() && this.chipsArea.chipsList.length === 0) {
                    this.moreIcon.nativeElement.focus();
                }
                else {
                    this.chipsArea.chipsList.first.elementRef.nativeElement.querySelector(".igx-chip__item").focus();
                }
            }
            else {
                if (!this.isMoreIconHidden()) {
                    this.moreIcon.nativeElement.focus();
                }
                else {
                    this.chipsArea.chipsList.last.elementRef.nativeElement.querySelector(".igx-chip__remove").focus();
                }
            }
        };
        /**
         * @private
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.isColumnRightVisible = /**
         * @private
         * @param {?} columnIndex
         * @return {?}
         */
        function (columnIndex) {
            if (this.filteringService.areAllColumnsInView) {
                return true;
            }
            /** @type {?} */
            var currentColumnRight = 0;
            for (var index = 0; index < this.filteringService.unpinnedColumns.length; index++) {
                currentColumnRight += parseInt(this.filteringService.unpinnedColumns[index].width, 10);
                if (this.filteringService.unpinnedColumns[index] === this.filteringService.unpinnedFilterableColumns[columnIndex]) {
                    break;
                }
            }
            /** @type {?} */
            var width = this.filteringService.displayContainerWidth + this.filteringService.displayContainerScrollLeft;
            return currentColumnRight <= width;
        };
        /**
         * @private
         * @param {?} columnIndex
         * @return {?}
         */
        IgxGridFilteringCellComponent.prototype.isColumnLeftVisible = /**
         * @private
         * @param {?} columnIndex
         * @return {?}
         */
        function (columnIndex) {
            if (this.filteringService.areAllColumnsInView) {
                return true;
            }
            /** @type {?} */
            var currentColumnLeft = 0;
            for (var index = 0; index < this.filteringService.unpinnedColumns.length; index++) {
                if (this.filteringService.unpinnedColumns[index] === this.filteringService.unpinnedFilterableColumns[columnIndex]) {
                    break;
                }
                currentColumnLeft += parseInt(this.filteringService.unpinnedColumns[index].width, 10);
            }
            return currentColumnLeft >= this.filteringService.displayContainerScrollLeft;
        };
        IgxGridFilteringCellComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-filtering-cell',
                        template: "<ng-template #emptyFilter>\n        <igx-chips-area [attr.draggable]=\"false\" class=\"igx-filtering-chips\">\n            <igx-chip #ghostChip [attr.draggable]=\"false\" (click)=\"onChipClicked()\" (keydown)=\"onChipKeyDown($event)\" [displayDensity]=\"'cosy'\">\n                <igx-icon [attr.draggable]=\"false\" igxPrefix>filter_list</igx-icon>\n                <span [attr.draggable]=\"false\">{{filteringService.grid.resourceStrings.igx_grid_filter}}</span>\n            </igx-chip>\n        </igx-chips-area>\n</ng-template>\n\n<ng-template #defaultFilter>\n    <igx-chips-area #chipsArea class=\"igx-filtering-chips\">\n        <ng-container *ngFor=\"let item of expressionsList; let last = last; let index = index;\" >\n            <igx-chip\n                *ngIf=\"isChipVisible(index)\"\n                [removable]=\"true\"\n                [displayDensity]=\"'cosy'\"\n                (click)=\"onChipClicked(item.expression)\"\n                (keydown)=\"onChipKeyDown($event, item.expression)\"\n                (onRemove)=\"onChipRemoved($event, item)\">\n                <igx-icon igxPrefix\n                    fontSet=\"filtering-icons\"\n                    [name]=\"item.expression.condition.iconName\">\n                </igx-icon>\n                <span #label>\n                    {{filteringService.getChipLabel(item.expression)}}\n                </span>\n            </igx-chip>\n            <span class=\"igx-filtering-chips__connector\" *ngIf=\"!last && isChipVisible(index + 1)\">{{filteringService.getOperatorAsString(item.afterOperator)}}</span>\n        </ng-container>\n        <div #moreIcon [ngClass]=\"filteringIndicatorClass()\" (click)=\"onChipClicked()\" (keydown)=\"onChipKeyDown($event)\" tabindex=\"0\">\n            <igx-icon>filter_list</igx-icon>\n            <igx-badge [value]=\"moreFiltersCount\"></igx-badge>\n        </div>\n    </igx-chips-area>\n</ng-template>\n\n<ng-template #complexFilter>\n    <igx-chip #complexChip [removable]=\"true\" [displayDensity]=\"'cosy'\" (onRemove)=\"clearFiltering()\">\n        <igx-icon igxPrefix>filter_list</igx-icon>\n        <span>{{filteringService.grid.resourceStrings.igx_grid_complex_filter}}</span>\n    </igx-chip>\n</ng-template>\n\n<ng-container *ngTemplateOutlet=\"template; context: context\"></ng-container>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridFilteringCellComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: IgxFilteringService },
            { type: IgxGridNavigationService }
        ]; };
        IgxGridFilteringCellComponent.propDecorators = {
            column: [{ type: core.Input }],
            emptyFilter: [{ type: core.ViewChild, args: ['emptyFilter', { read: core.TemplateRef, static: true },] }],
            defaultFilter: [{ type: core.ViewChild, args: ['defaultFilter', { read: core.TemplateRef, static: true },] }],
            complexFilter: [{ type: core.ViewChild, args: ['complexFilter', { read: core.TemplateRef, static: true },] }],
            chipsArea: [{ type: core.ViewChild, args: ['chipsArea', { read: IgxChipsAreaComponent, static: false },] }],
            moreIcon: [{ type: core.ViewChild, args: ['moreIcon', { read: core.ElementRef, static: false },] }],
            ghostChip: [{ type: core.ViewChild, args: ['ghostChip', { read: IgxChipComponent, static: false },] }],
            complexChip: [{ type: core.ViewChild, args: ['complexChip', { read: IgxChipComponent, static: false },] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-grid__filtering-cell',] }],
            onTabKeyDown: [{ type: core.HostListener, args: ['keydown.tab', ['$event'],] }],
            onShiftTabKeyDown: [{ type: core.HostListener, args: ['keydown.shift.tab', ['$event'],] }]
        };
        return IgxGridFilteringCellComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var Z_INDEX = 9999;
    /**
     * @hidden
     */
    var IgxGridHeaderGroupComponent = /** @class */ (function () {
        function IgxGridHeaderGroupComponent(cdr, gridAPI, element, colResizingService, filteringService) {
            this.cdr = cdr;
            this.gridAPI = gridAPI;
            this.element = element;
            this.colResizingService = colResizingService;
            this.filteringService = filteringService;
        }
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "gridRowSpan", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.gridRowSpan;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "gridColumnSpan", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.gridColumnSpan;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "rowEnd", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.rowEnd;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "colEnd", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.colEnd;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "rowStart", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.rowStart;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "colStart", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.colStart;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "width", {
            /**
             * Gets the width of the header group.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets the width of the header group.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                return this.grid.getHeaderGroupWidth(this.column);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "styleClasses", {
            /**
             * Gets the style classes of the header group.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets the style classes of the header group.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                var e_1, _a;
                /** @type {?} */
                var defaultClasses = [
                    'igx-grid__thead-item',
                    this.column.headerGroupClasses
                ];
                /** @type {?} */
                var classList = {
                    'igx-grid__th--pinned': this.isPinned,
                    'igx-grid__th--pinned-last': this.isLastPinned,
                    'igx-grid__drag-col-header': this.isHeaderDragged,
                    'igx-grid__th--filtering': this.isFiltered
                };
                try {
                    for (var _b = __values(Object.keys(classList)), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var className = _c.value;
                        if (classList[className]) {
                            defaultClasses.push(className);
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                return defaultClasses.join(' ');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "zIndex", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (!this.column.pinned) {
                    return null;
                }
                return Z_INDEX - this.grid.pinnedColumns.indexOf(this.column);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "grid", {
            /**
             * Gets the grid of the header group.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets the grid of the header group.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "isFiltered", {
            /**
             * Gets whether the header group belongs to a column that is filtered.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets whether the header group belongs to a column that is filtered.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                return this.filteringService.filteredColumn === this.column;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "isLastPinned", {
            /**
             * Gets whether the header group is stored in the last column in the pinned area.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets whether the header group is stored in the last column in the pinned area.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                return !this.grid.hasColumnLayouts ? this.column.isLastPinned : false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "groupDisplayStyle", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.hasColumnLayouts && this.column.children && !isIE() ? 'flex' : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "isPinned", {
            /**
             * Gets whether the header group is stored in a pinned column.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets whether the header group is stored in a pinned column.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                return this.column.pinned;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "isHeaderDragged", {
            /**
             * Gets whether the header group belongs to a column that is moved.
             * @memberof IgxGridHeaderGroupComponent
             */
            get: /**
             * Gets whether the header group belongs to a column that is moved.
             * \@memberof IgxGridHeaderGroupComponent
             * @return {?}
             */
            function () {
                return this.grid.draggedColumn === this.column;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "hasLastPinnedChildColumn", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.column.allChildren.some(function (child) { return child.isLastPinned; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridHeaderGroupComponent.prototype, "height", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.element.nativeElement.getBoundingClientRect().height;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridHeaderGroupComponent.prototype.onMouseDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // hack for preventing text selection in IE and Edge while dragging the resizer
            event.preventDefault();
        };
        /**
         * @return {?}
         */
        IgxGridHeaderGroupComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            this.cdr.markForCheck();
        };
        IgxGridHeaderGroupComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-header-group',
                        template: "<ng-container *ngIf=\"grid.hasColumnLayouts && column.columnGroup\">\n    <span *ngIf=\"grid.hasMovableColumns\" class=\"igx-grid__th-drop-indicator-left\"></span>\n    <div class=\"igx-grid__thead-group igx-grid__mrl-block\"\n     [ngClass]=\"{'igx-grid__th--pinned-last': hasLastPinnedChildColumn}\"\n     [ngStyle]=\"{'grid-template-rows':column.getGridTemplate(true, false),\n     'grid-template-columns':column.getGridTemplate(false, false),\n     '-ms-grid-rows':column.getGridTemplate(true, true),\n     '-ms-grid-columns':column.getGridTemplate(false, true)}\">\n        <ng-container *ngFor=\"let child of column.children\" >\n            <igx-grid-header-group *ngIf=\"!child.hidden\" class=\"igx-grid__thead-subgroup\"\n                [column]=\"child\"\n                [gridID]=\"child.gridID\"\n                [igxColumnMovingDrag]=\"child\"\n                [ghostHost]=\"grid.outletDirective.nativeElement\"\n                [attr.droppable]=\"true\"\n                [igxColumnMovingDrop]=\"child\">\n            </igx-grid-header-group>\n        </ng-container>\n    </div>\n    <span *ngIf=\"grid.hasMovableColumns\" class=\"igx-grid__th-drop-indicator-right\"></span>\n</ng-container>\n\n<ng-template #defaultColumn>\n    <span [attr.title]=\"column.header\">{{column.header}}</span>\n</ng-template>\n\n<ng-container *ngIf=\"!grid.hasColumnLayouts && column.columnGroup\">\n    <span *ngIf=\"grid.hasMovableColumns\" class=\"igx-grid__th-drop-indicator-left\"></span>\n    <div class=\"igx-grid__thead-title\"\n        [ngClass]=\"{'igx-grid__th--pinned-last': hasLastPinnedChildColumn}\"\n        [igxColumnMovingDrag]=\"column\"\n        [ghostHost]=\"grid.outletDirective.nativeElement\"\n        [attr.droppable]=\"true\"\n        [igxColumnMovingDrop]=\"column\">\n        <ng-container *ngTemplateOutlet=\"column.headerTemplate ? column.headerTemplate : defaultColumn; context: { $implicit: column, column: column}\">\n        </ng-container>\n    </div>\n    <div class=\"igx-grid__thead-group\">\n        <ng-container *ngFor=\"let child of column.children\">\n            <igx-grid-header-group *ngIf=\"!child.hidden\" class=\"igx-grid__thead-subgroup\"\n                                [column]=\"child\"\n                                [gridID]=\"child.grid.id\"\n                                [style.min-width.px]=\"grid.getHeaderGroupWidth(child)\"\n                                [style.flex-basis.px]=\"grid.getHeaderGroupWidth(child)\">\n            </igx-grid-header-group>\n        </ng-container>\n    </div>\n    <span *ngIf=\"grid.hasMovableColumns\" class=\"igx-grid__th-drop-indicator-right\"></span>\n</ng-container>\n\n<ng-container *ngIf=\"!column.columnGroup\">\n    <span *ngIf=\"grid.hasMovableColumns\" class=\"igx-grid__th-drop-indicator-left\"></span>\n    <igx-grid-header [igxColumnMovingDrag]=\"column\" [ghostHost]=\"grid.outletDirective.nativeElement\" [attr.droppable]=\"true\" [igxColumnMovingDrop]=\"column\" [gridID]=\"column.grid.id\" [column]=\"column\"></igx-grid-header>\n    <igx-grid-filtering-cell *ngIf=\"grid.allowFiltering && grid.filterMode == 'quickFilter'\" [column]=\"column\" [attr.draggable]=\"false\"></igx-grid-filtering-cell>\n    <span *ngIf=\"!column.columnGroup && column.resizable\" class=\"igx-grid__th-resize-handle\"\n          [igxResizeHandle]=\"column\"\n          [attr.draggable]=\"false\"\n          [style.cursor]=\"colResizingService.resizeCursor\">\n    </span>\n    <span *ngIf=\"grid.hasMovableColumns\" class=\"igx-grid__th-drop-indicator-right\"></span>\n</ng-container>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridHeaderGroupComponent.ctorParameters = function () { return [
            { type: core.ChangeDetectorRef },
            { type: GridBaseAPIService },
            { type: core.ElementRef },
            { type: IgxColumnResizingService },
            { type: IgxFilteringService }
        ]; };
        IgxGridHeaderGroupComponent.propDecorators = {
            gridRowSpan: [{ type: core.HostBinding, args: ['style.-ms-grid-row-span',] }],
            gridColumnSpan: [{ type: core.HostBinding, args: ['style.-ms-grid-column-span',] }],
            rowEnd: [{ type: core.HostBinding, args: ['style.grid-row-end',] }],
            colEnd: [{ type: core.HostBinding, args: ['style.grid-column-end',] }],
            rowStart: [{ type: core.HostBinding, args: ['style.-ms-grid-row',] }, { type: core.HostBinding, args: ['style.grid-row-start',] }],
            colStart: [{ type: core.HostBinding, args: ['style.-ms-grid-column',] }, { type: core.HostBinding, args: ['style.grid-column-start',] }],
            column: [{ type: core.Input }],
            gridID: [{ type: core.Input }],
            headerCell: [{ type: core.ViewChild, args: [IgxGridHeaderComponent, { static: false },] }],
            filterCell: [{ type: core.ViewChild, args: [IgxGridFilteringCellComponent, { static: false },] }],
            children: [{ type: core.ViewChildren, args: [core.forwardRef(function () { return IgxGridHeaderGroupComponent; }), { read: IgxGridHeaderGroupComponent },] }],
            width: [{ type: core.HostBinding, args: ['style.min-width',] }, { type: core.HostBinding, args: ['style.flex-basis',] }],
            styleClasses: [{ type: core.HostBinding, args: ['class',] }],
            zIndex: [{ type: core.HostBinding, args: ['style.z-index',] }],
            groupDisplayStyle: [{ type: core.HostBinding, args: ['style.display',] }],
            onMouseDown: [{ type: core.HostListener, args: ['mousedown', ['$event'],] }]
        };
        return IgxGridHeaderGroupComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var GridResourceStringsEN = {
        igx_grid_groupByArea_message: 'Drag a column header and drop it here to group by that column.',
        igx_grid_emptyFilteredGrid_message: 'No records found.',
        igx_grid_emptyGrid_message: 'Grid has no data.',
        igx_grid_filter: 'Filter',
        igx_grid_filter_row_close: 'Close',
        igx_grid_filter_row_reset: 'Reset',
        igx_grid_filter_row_placeholder: 'Add filter value',
        igx_grid_filter_row_boolean_placeholder: 'All',
        igx_grid_filter_row_date_placeholder: 'Pick up date',
        igx_grid_filter_operator_and: 'And',
        igx_grid_filter_operator_or: 'Or',
        igx_grid_complex_filter: 'Complex Filter',
        igx_grid_filter_contains: 'Contains',
        igx_grid_filter_doesNotContain: 'Does Not Contain',
        igx_grid_filter_startsWith: 'Starts With',
        igx_grid_filter_endsWith: 'Ends With',
        igx_grid_filter_equals: 'Equals',
        igx_grid_filter_doesNotEqual: 'Does Not Equal',
        igx_grid_filter_empty: 'Empty',
        igx_grid_filter_notEmpty: 'Not Empty',
        igx_grid_filter_null: 'Null',
        igx_grid_filter_notNull: 'Not Null',
        igx_grid_filter_before: 'Before',
        igx_grid_filter_after: 'After',
        igx_grid_filter_today: 'Today',
        igx_grid_filter_yesterday: 'Yesterday',
        igx_grid_filter_thisMonth: 'This Month',
        igx_grid_filter_lastMonth: 'Last Month',
        igx_grid_filter_nextMonth: 'Next Month',
        igx_grid_filter_thisYear: 'This Year',
        igx_grid_filter_lastYear: 'Last Year',
        igx_grid_filter_nextYear: 'Next Year',
        igx_grid_filter_greaterThan: 'Greater Than',
        igx_grid_filter_lessThan: 'Less Than',
        igx_grid_filter_greaterThanOrEqualTo: 'Greater Than Or Equal To',
        igx_grid_filter_lessThanOrEqualTo: 'Less Than Or Equal To',
        igx_grid_filter_true: 'True',
        igx_grid_filter_false: 'False',
        igx_grid_filter_all: 'All',
        igx_grid_filter_condition_placeholder: 'Select filter',
        igx_grid_summary_count: 'Count',
        igx_grid_summary_min: 'Min',
        igx_grid_summary_max: 'Max',
        igx_grid_summary_sum: 'Sum',
        igx_grid_summary_average: 'Avg',
        igx_grid_summary_earliest: 'Earliest',
        igx_grid_summary_latest: 'Latest',
        igx_grid_excel_filter_moving_left: 'move left',
        igx_grid_excel_filter_moving_left_short: 'left',
        igx_grid_excel_filter_moving_right: 'move right',
        igx_grid_excel_filter_moving_right_short: 'right',
        igx_grid_excel_filter_moving_header: 'move',
        igx_grid_excel_filter_sorting_asc: 'ascending',
        igx_grid_excel_filter_sorting_asc_short: 'asc',
        igx_grid_excel_filter_sorting_desc: 'descending',
        igx_grid_excel_filter_sorting_desc_short: 'desc',
        igx_grid_excel_filter_sorting_header: 'sort',
        igx_grid_excel_filter_clear: 'Clear column filters',
        igx_grid_excel_custom_dialog_add: 'add filter',
        igx_grid_excel_custom_dialog_clear: 'Clear filter',
        igx_grid_excel_custom_dialog_header: 'Custom auto-filter on column: ',
        igx_grid_excel_cancel: 'cancel',
        igx_grid_excel_apply: 'apply',
        igx_grid_excel_search_placeholder: 'Search',
        igx_grid_excel_select_all: 'Select All',
        igx_grid_excel_blanks: '(Blanks)',
        igx_grid_excel_hide: 'Hide column',
        igx_grid_excel_pin: 'Pin column',
        igx_grid_excel_unpin: 'Unpin column',
        igx_grid_excel_text_filter: 'Text filter',
        igx_grid_excel_number_filter: 'Number filter',
        igx_grid_excel_date_filter: 'Date filter',
        igx_grid_excel_boolean_filter: 'Boolean filter',
        igx_grid_excel_custom_filter: 'Custom filter...',
        igx_grid_advanced_filter_title: 'Advanced Filtering',
        igx_grid_advanced_filter_and_group: '"And" Group',
        igx_grid_advanced_filter_or_group: '"Or" Group',
        igx_grid_advanced_filter_end_group: 'End Group',
        igx_grid_advanced_filter_create_and_group: 'Create "And" Group',
        igx_grid_advanced_filter_create_or_group: 'Create "Or" Group',
        igx_grid_advanced_filter_and_label: 'and',
        igx_grid_advanced_filter_or_label: 'or',
        igx_grid_advanced_filter_add_condition: 'Condition',
        igx_grid_advanced_filter_ungroup: 'Ungroup',
        igx_grid_advanced_filter_delete: 'Delete',
        igx_grid_advanced_filter_delete_filters: 'Delete filters',
        igx_grid_advanced_filter_initial_text: 'Start with creating a group of conditions linked with "And" or "Or"',
        igx_grid_advanced_filter_column_placeholder: 'Select column',
        igx_grid_advanced_filter_value_placeholder: 'Value'
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var TimePickerResourceStringsEN = {
        igx_time_picker_ok: 'OK',
        igx_time_picker_cancel: 'Cancel'
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var PaginatorResourceStringsEN = {
        igx_paginator_label: 'Items per page'
    };

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @type {?}
     */
    var CurrentResourceStrings = {
        GridResStrings: cloneValue(GridResourceStringsEN),
        TimePickerResStrings: cloneValue(TimePickerResourceStringsEN),
        PaginatorResStrings: cloneValue(PaginatorResourceStringsEN)
    };
    /**
     * @param {?} currentStrings
     * @param {?} newStrings
     * @return {?}
     */
    function updateResourceStrings(currentStrings, newStrings) {
        var e_1, _a;
        try {
            for (var _b = __values(Object.keys(newStrings)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var key = _c.value;
                if (key in currentStrings) {
                    currentStrings[key] = newStrings[key];
                }
            }
        }
        catch (e_1_1) { e_1 = { error: e_1_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_1) throw e_1.error; }
        }
    }
    /**
     * Changes the resource strings for all components in the application
     * ```
     * @param {?} resourceStrings to be applied
     * @return {?}
     */
    function changei18n(resourceStrings) {
        var e_2, _a;
        try {
            for (var _b = __values(Object.keys(CurrentResourceStrings)), _c = _b.next(); !_c.done; _c = _b.next()) {
                var key = _c.value;
                updateResourceStrings(CurrentResourceStrings[key], resourceStrings);
            }
        }
        catch (e_2_1) { e_2 = { error: e_2_1 }; }
        finally {
            try {
                if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
            }
            finally { if (e_2) throw e_2.error; }
        }
    }
    /**
     * Returns current resource strings for all components
     * @return {?}
     */
    function getCurrentResourceStrings() {
        return __assign({}, CurrentResourceStrings.GridResStrings, CurrentResourceStrings.TimePickerResStrings);
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridSummaryService = /** @class */ (function () {
        function IgxGridSummaryService() {
            this.summaryCacheMap = new Map();
            this.rootSummaryID = 'igxGridRootSummary';
            this.summaryHeight = 0;
            this.maxSummariesLenght = 0;
            this.groupingExpressions = [];
            this.retriggerRootPipe = 0;
            this.deleteOperation = false;
        }
        /**
         * @return {?}
         */
        IgxGridSummaryService.prototype.recalculateSummaries = /**
         * @return {?}
         */
        function () {
            this.resetSummaryHeight();
            this.grid.notifyChanges(true);
        };
        /**
         * @param {?=} args
         * @return {?}
         */
        IgxGridSummaryService.prototype.clearSummaryCache = /**
         * @param {?=} args
         * @return {?}
         */
        function (args) {
            if (!this.summaryCacheMap.size) {
                return;
            }
            if (!args) {
                this.summaryCacheMap.clear();
                if (this.grid && this.grid.rootSummariesEnabled) {
                    this.retriggerRootPipe++;
                }
                return;
            }
            if (args.data) {
                /** @type {?} */
                var rowID = this.grid.primaryKey ? args.data[this.grid.primaryKey] : args.data;
                this.removeSummaries(rowID);
            }
            if (args.rowID !== undefined && args.rowID !== null) {
                /** @type {?} */
                var columnName = args.cellID ? this.grid.columnList.find(function (col) { return col.index === args.cellID.columnID; }).field : undefined;
                if (columnName && this.grid.rowEditable) {
                    return;
                }
                /** @type {?} */
                var isGroupedColumn = this.grid.groupingExpressions &&
                    this.grid.groupingExpressions.map(function (expr) { return expr.fieldName; }).indexOf(columnName) !== -1;
                if (columnName && isGroupedColumn) {
                    columnName = undefined;
                }
                this.removeSummaries(args.rowID, columnName);
            }
        };
        /**
         * @param {?} rowID
         * @param {?=} columnName
         * @return {?}
         */
        IgxGridSummaryService.prototype.removeSummaries = /**
         * @param {?} rowID
         * @param {?=} columnName
         * @return {?}
         */
        function (rowID, columnName) {
            var _this = this;
            this.deleteSummaryCache(this.rootSummaryID, columnName);
            if (this.summaryCacheMap.size === 1 && this.summaryCacheMap.has(this.rootSummaryID)) {
                return;
            }
            if (this.isTreeGrid) {
                if (this.grid.transactions.enabled && this.deleteOperation) {
                    this.deleteOperation = false;
                    // TODO: this.removeChildRowSummaries(rowID, columnName);
                    this.summaryCacheMap.clear();
                    return;
                }
                this.removeAllTreeGridSummaries(rowID, columnName);
            }
            else if (this.isHierarchicalGrid) {
                if (this.grid.transactions.enabled && this.deleteOperation) {
                    this.deleteOperation = false;
                    this.summaryCacheMap.clear();
                }
            }
            else {
                /** @type {?} */
                var summaryIds = this.getSummaryID(rowID, this.grid.groupingExpressions);
                summaryIds.forEach(function (id) {
                    _this.deleteSummaryCache(id, columnName);
                });
            }
        };
        /**
         * @param {?} columnName
         * @return {?}
         */
        IgxGridSummaryService.prototype.removeSummariesCachePerColumn = /**
         * @param {?} columnName
         * @return {?}
         */
        function (columnName) {
            this.summaryCacheMap.forEach(function (cache) {
                if (cache.get(columnName)) {
                    cache.delete(columnName);
                }
            });
            if (this.grid.rootSummariesEnabled) {
                this.retriggerRootPipe++;
            }
        };
        /**
         * @return {?}
         */
        IgxGridSummaryService.prototype.calcMaxSummaryHeight = /**
         * @return {?}
         */
        function () {
            if (this.summaryHeight) {
                return this.summaryHeight;
            }
            if (!this.grid.data) {
                return this.summaryHeight = 0;
            }
            /** @type {?} */
            var maxSummaryLength = 0;
            this.grid.columnList.filter(function (col) { return col.hasSummary && !col.hidden; }).forEach(function (column) {
                /** @type {?} */
                var getCurrentSummaryColumn = column.summaries.operate([], [], column.field).length;
                if (getCurrentSummaryColumn) {
                    if (maxSummaryLength < getCurrentSummaryColumn) {
                        maxSummaryLength = getCurrentSummaryColumn;
                    }
                }
            });
            this.maxSummariesLenght = maxSummaryLength;
            this.summaryHeight = maxSummaryLength * this.grid.defaultSummaryHeight;
            return this.summaryHeight;
        };
        /**
         * @param {?} rowID
         * @param {?} data
         * @return {?}
         */
        IgxGridSummaryService.prototype.calculateSummaries = /**
         * @param {?} rowID
         * @param {?} data
         * @return {?}
         */
        function (rowID, data) {
            /** @type {?} */
            var rowSummaries = this.summaryCacheMap.get(rowID);
            if (!rowSummaries) {
                rowSummaries = new Map();
                this.summaryCacheMap.set(rowID, rowSummaries);
            }
            if (!this.hasSummarizedColumns || !data) {
                return rowSummaries;
            }
            this.grid.columnList.filter(function (col) { return col.hasSummary; }).forEach(function (column) {
                if (!rowSummaries.get(column.field)) {
                    rowSummaries.set(column.field, column.summaries.operate(data.map(function (r) { return r[column.field]; }), data, column.field));
                }
            });
            return rowSummaries;
        };
        /**
         * @return {?}
         */
        IgxGridSummaryService.prototype.resetSummaryHeight = /**
         * @return {?}
         */
        function () {
            this.summaryHeight = 0;
            ((/** @type {?} */ (this.grid)))._summaryPipeTrigger++;
            if (this.grid.rootSummariesEnabled) {
                this.retriggerRootPipe++;
            }
        };
        /**
         * @param {?} groupingArgs
         * @return {?}
         */
        IgxGridSummaryService.prototype.updateSummaryCache = /**
         * @param {?} groupingArgs
         * @return {?}
         */
        function (groupingArgs) {
            if (this.summaryCacheMap.size === 0 || !this.hasSummarizedColumns) {
                return;
            }
            if (this.groupingExpressions.length === 0) {
                this.groupingExpressions = groupingArgs.expressions.map(function (record) { return record.fieldName; });
                return;
            }
            if (groupingArgs.length === 0) {
                this.groupingExpressions = [];
                this.clearSummaryCache();
                return;
            }
            this.compareGroupingExpressions(this.groupingExpressions, groupingArgs);
            this.groupingExpressions = groupingArgs.expressions.map(function (record) { return record.fieldName; });
        };
        Object.defineProperty(IgxGridSummaryService.prototype, "hasSummarizedColumns", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var summarizedColumns = this.grid.columnList.filter(function (col) { return col.hasSummary && !col.hidden; });
                return summarizedColumns.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} id
         * @param {?} columnName
         * @return {?}
         */
        IgxGridSummaryService.prototype.deleteSummaryCache = /**
         * @private
         * @param {?} id
         * @param {?} columnName
         * @return {?}
         */
        function (id, columnName) {
            if (this.summaryCacheMap.get(id)) {
                /** @type {?} */
                var filteringApplied = columnName && this.grid.filteringExpressionsTree &&
                    this.grid.filteringExpressionsTree.filteringOperands.map(function (expr) { return expr.fieldName; }).indexOf(columnName) !== -1;
                if (columnName && this.summaryCacheMap.get(id).get(columnName) && !filteringApplied) {
                    this.summaryCacheMap.get(id).delete(columnName);
                }
                else {
                    this.summaryCacheMap.delete(id);
                }
                if (id === this.rootSummaryID && this.grid.rootSummariesEnabled) {
                    this.retriggerRootPipe++;
                }
            }
        };
        /**
         * @private
         * @param {?} rowID
         * @param {?} groupingExpressions
         * @return {?}
         */
        IgxGridSummaryService.prototype.getSummaryID = /**
         * @private
         * @param {?} rowID
         * @param {?} groupingExpressions
         * @return {?}
         */
        function (rowID, groupingExpressions) {
            var _this = this;
            if (groupingExpressions.length === 0) {
                return [];
            }
            /** @type {?} */
            var summaryIDs = [];
            /** @type {?} */
            var data = this.grid.data;
            if (this.grid.transactions.enabled) {
                data = DataUtil.mergeTransactions(cloneArray(this.grid.data), this.grid.transactions.getAggregatedChanges(true), this.grid.primaryKey);
            }
            /** @type {?} */
            var rowData = this.grid.primaryKey ? data.find(function (rec) { return rec[_this.grid.primaryKey] === rowID; }) : rowID;
            /** @type {?} */
            var id = '{ ';
            groupingExpressions.forEach(function (expr) {
                id += "'" + expr.fieldName + "': '" + rowData[expr.fieldName] + "'";
                summaryIDs.push(id.concat(' }'));
                id += ', ';
            });
            return summaryIDs;
        };
        /**
         * @private
         * @param {?} rowID
         * @param {?=} columnName
         * @return {?}
         */
        IgxGridSummaryService.prototype.removeAllTreeGridSummaries = /**
         * @private
         * @param {?} rowID
         * @param {?=} columnName
         * @return {?}
         */
        function (rowID, columnName) {
            /** @type {?} */
            var row = this.grid.records.get(rowID);
            if (!row) {
                return;
            }
            row = row.children ? row : row.parent;
            while (row) {
                rowID = row.rowID;
                this.deleteSummaryCache(rowID, columnName);
                row = row.parent;
            }
        };
        // TODO: remove only deleted rows
        // TODO: remove only deleted rows
        /**
         * @private
         * @param {?} rowID
         * @param {?=} columnName
         * @return {?}
         */
        IgxGridSummaryService.prototype.removeChildRowSummaries = 
        // TODO: remove only deleted rows
        /**
         * @private
         * @param {?} rowID
         * @param {?=} columnName
         * @return {?}
         */
        function (rowID, columnName) {
        };
        /**
         * @private
         * @param {?} current
         * @param {?} groupingArgs
         * @return {?}
         */
        IgxGridSummaryService.prototype.compareGroupingExpressions = /**
         * @private
         * @param {?} current
         * @param {?} groupingArgs
         * @return {?}
         */
        function (current, groupingArgs) {
            var _this = this;
            /** @type {?} */
            var newExpressions = groupingArgs.expressions.map(function (record) { return record.fieldName; });
            /** @type {?} */
            var removedCols = groupingArgs.ungroupedColumns;
            if (current.length <= newExpressions.length) {
                /** @type {?} */
                var newExpr = newExpressions.slice(0, current.length).toString();
                if (current.toString() !== newExpr) {
                    this.clearSummaryCache();
                }
            }
            else {
                /** @type {?} */
                var currExpr = current.slice(0, newExpressions.length).toString();
                if (currExpr !== newExpressions.toString()) {
                    this.clearSummaryCache();
                    return;
                }
                removedCols.map(function (col) { return col.field; }).forEach(function (colName) {
                    _this.summaryCacheMap.forEach(function (cache, id) {
                        if (id.indexOf(colName) !== -1) {
                            _this.summaryCacheMap.delete(id);
                        }
                    });
                });
            }
        };
        Object.defineProperty(IgxGridSummaryService.prototype, "isTreeGrid", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.grid.nativeElement.tagName.toLowerCase() === 'igx-tree-grid';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridSummaryService.prototype, "isHierarchicalGrid", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.grid.nativeElement.tagName.toLowerCase() === 'igx-hierarchical-grid';
            },
            enumerable: true,
            configurable: true
        });
        IgxGridSummaryService.decorators = [
            { type: core.Injectable }
        ];
        return IgxGridSummaryService;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxSummaryCellComponent = /** @class */ (function () {
        function IgxSummaryCellComponent(element) {
            this.element = element;
            this.firstCellIndentation = 0;
            this.hasSummary = false;
            this.tabindex = 0;
        }
        Object.defineProperty(IgxSummaryCellComponent.prototype, "visibleColumnIndex", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.visibleIndex;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryCellComponent.prototype, "describeby", {
            get: /**
             * @return {?}
             */
            function () {
                return "Summary_" + this.column.field;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxSummaryCellComponent.prototype.onFocus = /**
         * @return {?}
         */
        function () {
            this.focused = true;
        };
        /**
         * @return {?}
         */
        IgxSummaryCellComponent.prototype.onBlur = /**
         * @return {?}
         */
        function () {
            this.focused = false;
        };
        Object.defineProperty(IgxSummaryCellComponent.prototype, "selectionNode", {
            get: /**
             * @protected
             * @return {?}
             */
            function () {
                return {
                    row: this.rowIndex,
                    column: this.column.columnLayoutChild ? this.column.parent.visibleIndex : this.visibleColumnIndex,
                    isSummaryRow: true
                };
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} event
         * @return {?}
         */
        IgxSummaryCellComponent.prototype.dispatchEvent = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // TODO: Refactor
            /** @type {?} */
            var key = event.key.toLowerCase();
            /** @type {?} */
            var ctrl = event.ctrlKey;
            /** @type {?} */
            var shift = event.shiftKey;
            if (!SUPPORTED_KEYS.has(key)) {
                return;
            }
            event.stopPropagation();
            /** @type {?} */
            var args = { targetType: 'summaryCell', target: this, event: event, cancel: false };
            this.grid.onGridKeydown.emit(args);
            if (args.cancel) {
                return;
            }
            event.preventDefault();
            if (!this.isKeySupportedInCell(key, ctrl)) {
                return;
            }
            this.grid.selectionService.keyboardState.shift = shift && !(key === 'tab');
            /** @type {?} */
            var row = this.getRowElementByIndex(this.rowIndex);
            switch (key) {
                case 'tab':
                    if (shift) {
                        this.grid.navigation.performShiftTabKey(row, this.selectionNode);
                        break;
                    }
                    this.grid.navigation.performTab(row, this.selectionNode);
                    break;
                case 'arrowleft':
                case 'home':
                case 'left':
                    if (ctrl || key === 'home') {
                        this.grid.navigation.onKeydownHome(this.rowIndex, true);
                        break;
                    }
                    this.grid.navigation.onKeydownArrowLeft(this.nativeElement, this.selectionNode);
                    break;
                case 'end':
                case 'arrowright':
                case 'right':
                    if (ctrl || key === 'end') {
                        this.grid.navigation.onKeydownEnd(this.rowIndex, true);
                        break;
                    }
                    this.grid.navigation.onKeydownArrowRight(this.nativeElement, this.selectionNode);
                    break;
                case 'arrowup':
                case 'up':
                    this.grid.navigation.navigateUp(row, this.selectionNode);
                    break;
                case 'arrowdown':
                case 'down':
                    this.grid.navigation.navigateDown(row, this.selectionNode);
                    break;
            }
        };
        Object.defineProperty(IgxSummaryCellComponent.prototype, "width", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.getCellWidth();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryCellComponent.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryCellComponent.prototype, "columnDatatype", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.dataType;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryCellComponent.prototype, "itemHeight", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.grid.defaultSummaryHeight;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryCellComponent.prototype, "grid", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return ((/** @type {?} */ (this.column.grid)));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} rowIndex
         * @return {?}
         */
        IgxSummaryCellComponent.prototype.getRowElementByIndex = /**
         * @private
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowIndex) {
            /** @type {?} */
            var summaryRows = this.grid.summariesRowList.toArray();
            return summaryRows.find(function (sr) { return sr.dataRowIndex === rowIndex; }).nativeElement;
        };
        /**
         * @private
         * @param {?} key
         * @param {?} ctrl
         * @return {?}
         */
        IgxSummaryCellComponent.prototype.isKeySupportedInCell = /**
         * @private
         * @param {?} key
         * @param {?} ctrl
         * @return {?}
         */
        function (key, ctrl) {
            if (ctrl) {
                return ['arrowup', 'arrowdown', 'up', 'down', 'end', 'home'].indexOf(key) === -1;
            }
            return ['down', 'up', 'left', 'right', 'arrowdown', 'arrowup', 'arrowleft', 'arrowright', 'home', 'end', 'tab'].indexOf(key) !== -1;
        };
        /**
         * @param {?} summary
         * @return {?}
         */
        IgxSummaryCellComponent.prototype.translateSummary = /**
         * @param {?} summary
         * @return {?}
         */
        function (summary) {
            return this.grid.resourceStrings["igx_grid_summary_" + summary.key] || summary.label;
        };
        IgxSummaryCellComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-summary-cell',
                        template: "<ng-container *ngIf=\"hasSummary\">\n    <ng-container *ngFor=\"let summary of summaryResults\">\n            <div class=\"igx-grid-summary__item\" [style.height.px]=\"itemHeight\">\n\n                <ng-container *ngIf=\"visibleColumnIndex === 0 && firstCellIndentation >= 0\">\n                    <div class=\"igx-grid__tree-cell--padding-level-{{firstCellIndentation}}\"></div>\n\n                    <div #indicator class=\"igx-grid__tree-grouping-indicator\" style=\"visibility: hidden\">\n                        <igx-icon fontSet=\"material\">chevron_right</igx-icon>\n                    </div>\n                </ng-container>\n\n                <span class=\"igx-grid-summary__label\" title=\"{{ summary.label }}\">{{ translateSummary(summary) }}</span>\n                <span class=\"igx-grid-summary__result\" title=\"{{ summary.summaryResult }}\">\n                    {{ columnDatatype === 'number' ? (summary.summaryResult | igxdecimal: grid.locale) : columnDatatype === 'date' ? (summary.summaryResult | igxdate: grid.locale) : (summary.summaryResult) }}\n                </span>\n            </div>\n    </ng-container>\n</ng-container>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxSummaryCellComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxSummaryCellComponent.propDecorators = {
            summaryResults: [{ type: core.Input }],
            column: [{ type: core.Input }],
            firstCellIndentation: [{ type: core.Input }],
            hasSummary: [{ type: core.Input }],
            density: [{ type: core.Input }],
            rowIndex: [{ type: core.Input }, { type: core.HostBinding, args: ['attr.data-rowIndex',] }],
            visibleColumnIndex: [{ type: core.HostBinding, args: ['attr.data-visibleIndex',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            describeby: [{ type: core.HostBinding, args: ['attr.aria-describedby',] }],
            focused: [{ type: core.HostBinding, args: ['class.igx-grid-summary--active',] }],
            onFocus: [{ type: core.HostListener, args: ['focus',] }],
            onBlur: [{ type: core.HostListener, args: ['blur',] }],
            dispatchEvent: [{ type: core.HostListener, args: ['keydown', ['$event'],] }],
            width: [{ type: core.HostBinding, args: ['style.min-width',] }, { type: core.HostBinding, args: ['style.max-width',] }, { type: core.HostBinding, args: ['style.flex-basis',] }]
        };
        return IgxSummaryCellComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxSummaryRowComponent = /** @class */ (function () {
        function IgxSummaryRowComponent(gridAPI, element, cdr) {
            this.gridAPI = gridAPI;
            this.element = element;
            this.cdr = cdr;
            this.firstCellIndentation = -1;
        }
        Object.defineProperty(IgxSummaryRowComponent.prototype, "dataRowIndex", {
            get: /**
             * @return {?}
             */
            function () {
                return this.index;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryRowComponent.prototype, "minHeight", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.summaryService.calcMaxSummaryHeight() - 1;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxSummaryRowComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            this.cdr.markForCheck();
        };
        Object.defineProperty(IgxSummaryRowComponent.prototype, "grid", {
            get: /**
             * @return {?}
             */
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryRowComponent.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} columnName
         * @return {?}
         */
        IgxSummaryRowComponent.prototype.getColumnSummaries = /**
         * @param {?} columnName
         * @return {?}
         */
        function (columnName) {
            if (!this.summaries.get(columnName)) {
                return [];
            }
            return this.summaries.get(columnName);
        };
        Object.defineProperty(IgxSummaryRowComponent.prototype, "pinnedColumns", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.pinnedColumns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSummaryRowComponent.prototype, "unpinnedColumns", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.unpinnedColumns;
            },
            enumerable: true,
            configurable: true
        });
        IgxSummaryRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-summary-row',
                        template: "<ng-container *ngIf=\"summaries.size\">\n    <ng-container *ngIf=\"grid.summariesMargin\">\n        <div\n        class=\"igx-grid__summaries-patch\"\n        [style.min-width.px]=\"grid.summariesMargin\"\n        [style.flex-basis.px]=\"grid.summariesMargin\"\n        ></div>\n    </ng-container>\n    <ng-container *ngIf=\"pinnedColumns.length > 0\">\n        <igx-grid-summary-cell *ngFor=\"let col of pinnedColumns | igxNotGrouped\"\n            class=\"igx-grid-summary igx-grid-summary--fw igx-grid-summary--pinned\"\n            [class.igx-grid-summary--cosy]=\"grid.displayDensity === 'cosy'\"\n            [class.igx-grid-summary--compact]=\"grid.displayDensity === 'compact'\"\n            [class.igx-grid-summary--empty]=\"!col.hasSummary\"\n            [class.igx-grid-summary--pinned-last]=\"col.isLastPinned\"\n            [column]=\"col\"\n            [firstCellIndentation]=\"firstCellIndentation\"\n            [rowIndex]=\"index\"\n            [summaryResults]=\"getColumnSummaries(col.field)\"\n            [hasSummary]=\"col.hasSummary\"\n            [density]=\"grid.displayDensity\"\n            [style.max-height.px]=\"minHeight\"\n            [style.min-height.px]=\"minHeight\">\n        </igx-grid-summary-cell>\n    </ng-container>\n    <ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxNotGrouped\" [igxForScrollContainer]=\"grid.parentVirtDir\" let-colIndex=\"index\" [igxForScrollOrientation]=\"'horizontal'\" [igxForContainerSize]=\"grid.unpinnedWidth\" [igxForTrackBy]=\"grid.trackColumnChanges\" [igxForSizePropName]='\"calcPixelWidth\"' #igxDirRef>\n        <igx-grid-summary-cell\n            class=\"igx-grid-summary igx-grid-summary--fw\"\n            [class.igx-grid-summary--cosy]=\"grid.displayDensity === 'cosy'\"\n            [class.igx-grid-summary--compact]=\"grid.displayDensity === 'compact'\"\n            [class.igx-grid-summary--empty]=\"!col.hasSummary\"\n            [column]=\"col\"\n            [rowIndex]=\"index\"\n            [firstCellIndentation]=\"firstCellIndentation\"\n            [summaryResults]=\"getColumnSummaries(col.field)\"\n            [hasSummary]=\"col.hasSummary\"\n            [density]=\"grid.displayDensity\"\n            [style.max-height.px]=\"minHeight\"\n            [style.min-height.px]=\"minHeight\">\n        </igx-grid-summary-cell>\n    </ng-template>\n</ng-container>\n",
                        providers: [IgxForOfSyncService]
                    }] }
        ];
        /** @nocollapse */
        IgxSummaryRowComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxSummaryRowComponent.propDecorators = {
            summaries: [{ type: core.Input }],
            gridID: [{ type: core.Input }],
            index: [{ type: core.Input }],
            firstCellIndentation: [{ type: core.Input }],
            dataRowIndex: [{ type: core.HostBinding, args: ['attr.data-rowIndex',] }],
            summaryCells: [{ type: core.ViewChildren, args: [IgxSummaryCellComponent, { read: IgxSummaryCellComponent },] }],
            virtDirRow: [{ type: core.ViewChild, args: ['igxDirRef', { read: IgxGridForOfDirective, static: false },] }]
        };
        return IgxSummaryRowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var DragScrollDirection = {
        NONE: 0,
        LEFT: 1,
        TOP: 2,
        RIGHT: 3,
        BOTTOM: 4,
        TOPLEFT: 5,
        TOPRIGHT: 6,
        BOTTOMLEFT: 7,
        BOTTOMRIGHT: 8,
    };
    DragScrollDirection[DragScrollDirection.NONE] = 'NONE';
    DragScrollDirection[DragScrollDirection.LEFT] = 'LEFT';
    DragScrollDirection[DragScrollDirection.TOP] = 'TOP';
    DragScrollDirection[DragScrollDirection.RIGHT] = 'RIGHT';
    DragScrollDirection[DragScrollDirection.BOTTOM] = 'BOTTOM';
    DragScrollDirection[DragScrollDirection.TOPLEFT] = 'TOPLEFT';
    DragScrollDirection[DragScrollDirection.TOPRIGHT] = 'TOPRIGHT';
    DragScrollDirection[DragScrollDirection.BOTTOMLEFT] = 'BOTTOMLEFT';
    DragScrollDirection[DragScrollDirection.BOTTOMRIGHT] = 'BOTTOMRIGHT';
    var IgxGridDragSelectDirective = /** @class */ (function () {
        function IgxGridDragSelectDirective(ref, zone) {
            var _this = this;
            this.ref = ref;
            this.zone = zone;
            this.onDragStop = new core.EventEmitter();
            this.onDragScroll = new core.EventEmitter();
            this.end$ = new rxjs.Subject();
            this.lastDirection = DragScrollDirection.NONE;
            this.startDragSelection = function (ev) {
                if (!_this.activeDrag) {
                    return;
                }
                /** @type {?} */
                var x = ev.clientX;
                /** @type {?} */
                var y = ev.clientY;
                /** @type {?} */
                var direction = _this._measureDimensions(x, y);
                if (direction === _this.lastDirection) {
                    return;
                }
                _this.unsubscribe();
                _this._sub = _this._interval$.subscribe(function () { return _this.onDragScroll.emit(direction); });
                _this.lastDirection = direction;
            };
            this.stopDragSelection = function () {
                if (!_this.activeDrag) {
                    return;
                }
                _this.onDragStop.emit(false);
                _this.unsubscribe();
                _this.lastDirection = DragScrollDirection.NONE;
            };
            this._interval$ = rxjs.interval(100).pipe(operators.takeUntil(this.end$), operators.filter(function () { return _this.activeDrag; }));
        }
        Object.defineProperty(IgxGridDragSelectDirective.prototype, "activeDrag", {
            get: /**
             * @return {?}
             */
            function () {
                return this._activeDrag;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val !== this._activeDrag) {
                    this.unsubscribe();
                    this._activeDrag = val;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridDragSelectDirective.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this.ref.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridDragSelectDirective.prototype, "clientRect", {
            get: /**
             * @return {?}
             */
            function () {
                return this.nativeElement.getBoundingClientRect();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridDragSelectDirective.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.zone.runOutsideAngular(function () {
                _this.nativeElement.addEventListener('pointerover', _this.startDragSelection);
                _this.nativeElement.addEventListener('pointerleave', _this.stopDragSelection);
            });
        };
        /**
         * @return {?}
         */
        IgxGridDragSelectDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.zone.runOutsideAngular(function () {
                _this.nativeElement.removeEventListener('pointerover', _this.startDragSelection);
                _this.nativeElement.removeEventListener('pointerleave', _this.stopDragSelection);
            });
            this.unsubscribe();
            this.end$.complete();
        };
        /**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        IgxGridDragSelectDirective.prototype._measureDimensions = /**
         * @param {?} x
         * @param {?} y
         * @return {?}
         */
        function (x, y) {
            /** @type {?} */
            var direction;
            /** @type {?} */
            var rect = this.clientRect;
            /** @type {?} */
            var RATIO = 0.15;
            /** @type {?} */
            var offsetX = Math.trunc(x - rect.left);
            /** @type {?} */
            var offsetY = Math.trunc(y - rect.top);
            /** @type {?} */
            var left = offsetX <= rect.width * RATIO;
            /** @type {?} */
            var right = offsetX >= rect.width * (1 - RATIO);
            /** @type {?} */
            var top = offsetY <= rect.height * RATIO;
            /** @type {?} */
            var bottom = offsetY >= rect.height * (1 - RATIO);
            if (top && left) {
                direction = DragScrollDirection.TOPLEFT;
            }
            else if (top && right) {
                direction = DragScrollDirection.TOPRIGHT;
            }
            else if (bottom && left) {
                direction = DragScrollDirection.BOTTOMLEFT;
            }
            else if (bottom && right) {
                direction = DragScrollDirection.BOTTOMRIGHT;
            }
            else if (top) {
                direction = DragScrollDirection.TOP;
            }
            else if (bottom) {
                direction = DragScrollDirection.BOTTOM;
            }
            else if (left) {
                direction = DragScrollDirection.LEFT;
            }
            else if (right) {
                direction = DragScrollDirection.RIGHT;
            }
            else {
                direction = DragScrollDirection.NONE;
            }
            return direction;
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridDragSelectDirective.prototype.unsubscribe = /**
         * @protected
         * @return {?}
         */
        function () {
            if (this._sub) {
                this._sub.unsubscribe();
            }
        };
        IgxGridDragSelectDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxGridDragSelect]'
                    },] }
        ];
        /** @nocollapse */
        IgxGridDragSelectDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.NgZone }
        ]; };
        IgxGridDragSelectDirective.propDecorators = {
            activeDrag: [{ type: core.Input, args: ['igxGridDragSelect',] }],
            onDragStop: [{ type: core.Output }],
            onDragScroll: [{ type: core.Output }]
        };
        return IgxGridDragSelectDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxTemplateOutletDirective = /** @class */ (function () {
        function IgxTemplateOutletDirective(_viewContainerRef, _zone, cdr) {
            this._viewContainerRef = _viewContainerRef;
            this._zone = _zone;
            this.cdr = cdr;
            /**
             * The embedded views cache. Collection is key-value paired.
             * Key is the template id, value is the embedded view for the related template.
             */
            this._embeddedViewsMap = new Map();
            this.onViewCreated = new core.EventEmitter();
            this.onViewMoved = new core.EventEmitter();
            this.onCachedViewLoaded = new core.EventEmitter();
            this.onBeforeViewDetach = new core.EventEmitter();
        }
        /**
         * @param {?} changes
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype.ngOnChanges = /**
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var actionType = this._getActionType(changes);
            switch (actionType) {
                case TemplateOutletAction.CreateView:
                    this._recreateView();
                    break;
                case TemplateOutletAction.MoveView:
                    this._moveView();
                    break;
                case TemplateOutletAction.UseCachedView:
                    this._useCachedView();
                    break;
                case TemplateOutletAction.UpdateViewContext:
                    this._updateExistingContext(this.igxTemplateOutletContext);
                    break;
            }
        };
        /**
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype.cleanCache = /**
         * @return {?}
         */
        function () {
            this._embeddedViewsMap.forEach(function (item) {
                if (!item.destroyed) {
                    item.destroy();
                }
            });
            this._embeddedViewsMap.clear();
        };
        /**
         * @param {?} tmplID
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype.cleanView = /**
         * @param {?} tmplID
         * @return {?}
         */
        function (tmplID) {
            /** @type {?} */
            var embView = this._embeddedViewsMap.get(tmplID);
            if (embView) {
                embView.destroy();
                this._embeddedViewsMap.delete(tmplID);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._recreateView = /**
         * @private
         * @return {?}
         */
        function () {
            // detach old and create new
            if (this._viewRef) {
                this.onBeforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
                this._viewContainerRef.detach(this._viewContainerRef.indexOf(this._viewRef));
            }
            if (this.igxTemplateOutlet) {
                this._viewRef = this._viewContainerRef.createEmbeddedView(this.igxTemplateOutlet, this.igxTemplateOutletContext);
                this.onViewCreated.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
                /** @type {?} */
                var tmplId = this.igxTemplateOutletContext['templateID'];
                if (tmplId) {
                    // if context contains a template id, check if we have a view for that template already stored in the cache
                    // if not create a copy and add it to the cache in detached state.
                    // Note: Views in detached state do not appear in the DOM, however they remain stored in memory.
                    /** @type {?} */
                    var res = this._embeddedViewsMap.get(this.igxTemplateOutletContext['templateID']);
                    if (!res) {
                        this._embeddedViewsMap.set(this.igxTemplateOutletContext['templateID'], this._viewRef);
                    }
                }
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._moveView = /**
         * @private
         * @return {?}
         */
        function () {
            // using external view and inserting it in current view.
            /** @type {?} */
            var view = this.igxTemplateOutletContext['moveView'];
            /** @type {?} */
            var owner = this.igxTemplateOutletContext['owner'];
            if (view !== this._viewRef) {
                if (owner._viewContainerRef.indexOf(view) !== -1) {
                    // detach in case view it is attached somewhere else at the moment.
                    this.onBeforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
                    owner._viewContainerRef.detach(owner._viewContainerRef.indexOf(view));
                }
                if (this._viewRef && this._viewContainerRef.indexOf(this._viewRef) !== -1) {
                    this.onBeforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
                    this._viewContainerRef.detach(this._viewContainerRef.indexOf(this._viewRef));
                }
                this._viewRef = view;
                this._viewContainerRef.insert(view, 0);
                this._updateExistingContext(this.igxTemplateOutletContext);
                this.onViewMoved.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
            }
            else {
                this._updateExistingContext(this.igxTemplateOutletContext);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._useCachedView = /**
         * @private
         * @return {?}
         */
        function () {
            // use view for specific template cached in the current template outlet
            /** @type {?} */
            var tmplID = this.igxTemplateOutletContext['templateID'];
            /** @type {?} */
            var cachedView = tmplID ?
                this._embeddedViewsMap.get(tmplID) :
                null;
            // if view exists, but template has been changed and there is a view in the cache with the related template
            // then detach old view and insert the stored one with the matching template
            // after that update its context.
            this.onBeforeViewDetach.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext });
            this._viewContainerRef.detach(this._viewContainerRef.indexOf(this._viewRef));
            this._viewRef = cachedView;
            /** @type {?} */
            var oldContext = this._cloneContext(cachedView.context);
            this._viewContainerRef.insert(this._viewRef, 0);
            this._updateExistingContext(this.igxTemplateOutletContext);
            this.onCachedViewLoaded.emit({ owner: this, view: this._viewRef, context: this.igxTemplateOutletContext, oldContext: oldContext });
        };
        /**
         * @private
         * @param {?} changes
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._shouldRecreateView = /**
         * @private
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var ctxChange = changes['igxTemplateOutletContext'];
            return !!changes['igxTemplateOutlet'] || (ctxChange && this._hasContextShapeChanged(ctxChange));
        };
        /**
         * @private
         * @param {?} ctxChange
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._hasContextShapeChanged = /**
         * @private
         * @param {?} ctxChange
         * @return {?}
         */
        function (ctxChange) {
            var e_1, _a;
            /** @type {?} */
            var prevCtxKeys = Object.keys(ctxChange.previousValue || {});
            /** @type {?} */
            var currCtxKeys = Object.keys(ctxChange.currentValue || {});
            if (prevCtxKeys.length === currCtxKeys.length) {
                try {
                    for (var currCtxKeys_1 = __values(currCtxKeys), currCtxKeys_1_1 = currCtxKeys_1.next(); !currCtxKeys_1_1.done; currCtxKeys_1_1 = currCtxKeys_1.next()) {
                        var propName = currCtxKeys_1_1.value;
                        if (prevCtxKeys.indexOf(propName) === -1) {
                            return true;
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (currCtxKeys_1_1 && !currCtxKeys_1_1.done && (_a = currCtxKeys_1.return)) _a.call(currCtxKeys_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                return false;
            }
            else {
                return true;
            }
        };
        /**
         * @private
         * @param {?} ctx
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._updateExistingContext = /**
         * @private
         * @param {?} ctx
         * @return {?}
         */
        function (ctx) {
            var e_2, _a;
            try {
                for (var _b = __values(Object.keys(ctx)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var propName = _c.value;
                    ((/** @type {?} */ (this._viewRef.context)))[propName] = ((/** @type {?} */ (this.igxTemplateOutletContext)))[propName];
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
        };
        /**
         * @private
         * @param {?} ctx
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._cloneContext = /**
         * @private
         * @param {?} ctx
         * @return {?}
         */
        function (ctx) {
            var e_3, _a;
            /** @type {?} */
            var clone = {};
            try {
                for (var _b = __values(Object.keys(ctx)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var propName = _c.value;
                    clone[propName] = ctx[propName];
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_3) throw e_3.error; }
            }
            return clone;
        };
        /**
         * @private
         * @param {?} changes
         * @return {?}
         */
        IgxTemplateOutletDirective.prototype._getActionType = /**
         * @private
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            /** @type {?} */
            var movedView = this.igxTemplateOutletContext['moveView'];
            /** @type {?} */
            var tmplID = this.igxTemplateOutletContext['templateID'];
            /** @type {?} */
            var cachedView = tmplID ?
                this._embeddedViewsMap.get(tmplID) :
                null;
            /** @type {?} */
            var shouldRecreate = this._shouldRecreateView(changes);
            if (movedView) {
                // view is moved from external source
                return TemplateOutletAction.MoveView;
            }
            else if (shouldRecreate && cachedView) {
                // should recreate (template or context change) and there is a matching template in cache
                return TemplateOutletAction.UseCachedView;
            }
            else if (!this._viewRef || shouldRecreate) {
                // no view or should recreate
                return TemplateOutletAction.CreateView;
            }
            else if (this.igxTemplateOutletContext) {
                // has context, update context
                return TemplateOutletAction.UpdateViewContext;
            }
        };
        IgxTemplateOutletDirective.decorators = [
            { type: core.Directive, args: [{ selector: '[igxTemplateOutlet]' },] }
        ];
        /** @nocollapse */
        IgxTemplateOutletDirective.ctorParameters = function () { return [
            { type: core.ViewContainerRef },
            { type: core.NgZone },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxTemplateOutletDirective.propDecorators = {
            igxTemplateOutletContext: [{ type: core.Input }],
            igxTemplateOutlet: [{ type: core.Input }],
            onViewCreated: [{ type: core.Output }],
            onViewMoved: [{ type: core.Output }],
            onCachedViewLoaded: [{ type: core.Output }],
            onBeforeViewDetach: [{ type: core.Output }]
        };
        return IgxTemplateOutletDirective;
    }());
    /** @enum {number} */
    var TemplateOutletAction = {
        CreateView: 0,
        MoveView: 1,
        UseCachedView: 2,
        UpdateViewContext: 3,
    };
    TemplateOutletAction[TemplateOutletAction.CreateView] = 'CreateView';
    TemplateOutletAction[TemplateOutletAction.MoveView] = 'MoveView';
    TemplateOutletAction[TemplateOutletAction.UseCachedView] = 'UseCachedView';
    TemplateOutletAction[TemplateOutletAction.UpdateViewContext] = 'UpdateViewContext';
    /**
     * @hidden
     */
    var IgxTemplateOutletModule = /** @class */ (function () {
        function IgxTemplateOutletModule() {
        }
        IgxTemplateOutletModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxTemplateOutletDirective],
                        entryComponents: [],
                        exports: [IgxTemplateOutletDirective],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxTemplateOutletModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGridColumnResizerComponent = /** @class */ (function () {
        function IgxGridColumnResizerComponent(colResizingService) {
            this.colResizingService = colResizingService;
        }
        IgxGridColumnResizerComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-column-resizer',
                        template: "<div class=\"igx-grid__th-resize-line\"\n    [style.left.px]=\"-99999\" igxResizer\n    [style.height.px]=\"colResizingService.resizerHeight\"\n    [restrictHResizeMax]=\"colResizingService.restrictResizeMax\"\n    [restrictHResizeMin]=\"colResizingService.restrictResizeMin\"\n    (resizeEnd)=\"colResizingService.resizeColumn($event)\">\n</div>"
                    }] }
        ];
        /** @nocollapse */
        IgxGridColumnResizerComponent.ctorParameters = function () { return [
            { type: IgxColumnResizingService }
        ]; };
        IgxGridColumnResizerComponent.propDecorators = {
            resizer: [{ type: core.ViewChild, args: [IgxColumnResizerDirective, { static: true },] }]
        };
        return IgxGridColumnResizerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridFilteringRowComponent = /** @class */ (function () {
        function IgxGridFilteringRowComponent(filteringService, element, cdr) {
            this.filteringService = filteringService;
            this.element = element;
            this.cdr = cdr;
            this._positionSettings = {
                horizontalStartPoint: HorizontalAlignment.Left,
                verticalStartPoint: VerticalAlignment.Bottom
            };
            this._conditionsOverlaySettings = {
                excludePositionTarget: true,
                closeOnOutsideClick: true,
                modal: false,
                scrollStrategy: new AbsoluteScrollStrategy(),
                positionStrategy: new ConnectedPositioningStrategy(this._positionSettings)
            };
            this._operatorsOverlaySettings = {
                excludePositionTarget: true,
                closeOnOutsideClick: true,
                modal: false,
                scrollStrategy: new AbsoluteScrollStrategy(),
                positionStrategy: new ConnectedPositioningStrategy(this._positionSettings)
            };
            this.chipAreaScrollOffset = 0;
            this._column = null;
            this.isKeyPressed = false;
            this.isComposing = false;
            this._cancelChipClick = false;
            this.cssClass = 'igx-grid__filtering-row';
        }
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "column", {
            get: /**
             * @return {?}
             */
            function () {
                return this._column;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (this._column) {
                    this.expressionsList.forEach(function (exp) { return exp.isSelected = false; });
                }
                if (val) {
                    this._column = val;
                    this.expressionsList = this.filteringService.getExpressions(this._column.field);
                    this.resetExpression();
                    this.chipAreaScrollOffset = 0;
                    this.transform(this.chipAreaScrollOffset);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "value", {
            get: /**
             * @return {?}
             */
            function () {
                return this.expression ? this.expression.searchVal : null;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                var _this = this;
                if (!val && val !== 0) {
                    this.expression.searchVal = null;
                    this.showHideArrowButtons();
                }
                else {
                    this.expression.searchVal = DataUtil.parseValue(this.column.dataType, val);
                    if (this.expressionsList.find(function (item) { return item.expression === _this.expression; }) === undefined) {
                        this.addExpression(true);
                    }
                }
                this.filter();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            this._conditionsOverlaySettings.outlet = this.column.grid.outletDirective;
            this._operatorsOverlaySettings.outlet = this.column.grid.outletDirective;
            /** @type {?} */
            var selectedItem = this.expressionsList.find(function (expr) { return expr.isSelected === true; });
            if (selectedItem) {
                this.expression = selectedItem.expression;
            }
            this.input.nativeElement.focus();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onTabKeydown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            if (document.activeElement === this.closeButton.nativeElement && !event.shiftKey) {
                this.filteringService.grid.navigation.navigateFirstCellIfPossible(event);
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onEscKeydown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            this.close();
        };
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "disabled", {
            get: /**
             * @return {?}
             */
            function () {
                return !(this.column.filteringExpressionsTree && this.column.filteringExpressionsTree.filteringOperands.length > 0);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "template", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.column.dataType === DataType.Date) {
                    return this.defaultDateUI;
                }
                return this.defaultFilterUI;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "type", {
            get: /**
             * @return {?}
             */
            function () {
                switch (this.column.dataType) {
                    case DataType.String:
                    case DataType.Boolean:
                        return 'text';
                    case DataType.Number:
                        return 'number';
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "conditions", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.filters.conditionList();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "isUnaryCondition", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.expression.condition) {
                    return this.expression.condition.isUnary;
                }
                else {
                    return true;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "placeholder", {
            get: /**
             * @return {?}
             */
            function () {
                if (this.expression.condition && this.expression.condition.isUnary) {
                    return this.filteringService.getChipLabel(this.expression);
                }
                else if (this.column.dataType === DataType.Date) {
                    return this.filteringService.grid.resourceStrings.igx_grid_filter_row_date_placeholder;
                }
                else if (this.column.dataType === DataType.Boolean) {
                    return this.filteringService.grid.resourceStrings.igx_grid_filter_row_boolean_placeholder;
                }
                else {
                    return this.filteringService.grid.resourceStrings.igx_grid_filter_row_placeholder;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Event handler for keydown on the input group's prefix.
         */
        /**
         * Event handler for keydown on the input group's prefix.
         * @param {?} event
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onPrefixKeyDown = /**
         * Event handler for keydown on the input group's prefix.
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if ((event.key === "Enter" /* ENTER */ || event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */) && this.dropDownConditions.collapsed) {
                this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
                event.stopImmediatePropagation();
            }
            else if (event.key === "Tab" /* TAB */) {
                if (event.shiftKey) {
                    event.preventDefault();
                    event.stopPropagation();
                }
                else if (!this.dropDownConditions.collapsed) {
                    this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
                }
            }
        };
        /**
         * Event handler for keydown on the input.
         */
        /**
         * Event handler for keydown on the input.
         * @param {?} event
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onInputKeyDown = /**
         * Event handler for keydown on the input.
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.isKeyPressed = true;
            if (this.column.dataType === DataType.Boolean) {
                if (event.key === "Enter" /* ENTER */ || event.key === " " /* SPACE */ || event.key === "Spacebar" /* SPACE_IE */) {
                    this.inputGroupPrefix.nativeElement.focus();
                    this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
                    event.stopPropagation();
                    return;
                }
            }
            if (event.key === "Enter" /* ENTER */) {
                if (this.isComposing) {
                    return;
                }
                this.commitInput();
            }
            else if (event.altKey && (event.key === "ArrowDown" /* DOWN_ARROW */ || event.key === "Down" /* DOWN_ARROW_IE */)) {
                this.inputGroupPrefix.nativeElement.focus();
                this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
            }
            else if (event.key === "Escape" /* ESCAPE */ || event.key === "Esc" /* ESCAPE_IE */) {
                event.preventDefault();
                this.close();
            }
            event.stopPropagation();
        };
        /**
         * Event handler for keyup on the input.
         */
        /**
         * Event handler for keyup on the input.
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onInputKeyUp = /**
         * Event handler for keyup on the input.
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            this.isKeyPressed = false;
        };
        /**
         * Event handler for input on the input.
         */
        /**
         * Event handler for input on the input.
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onInput = /**
         * Event handler for input on the input.
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            // The 'iskeyPressed' flag is needed for a case in IE, because the input event is fired on focus and for some reason,
            // when you have a japanese character as a placeholder, on init the value here is empty string .
            if (isEdge() || this.isKeyPressed || eventArgs.target.value) {
                this.value = eventArgs.target.value;
            }
        };
        /**
         * Event handler for compositionstart on the input.
         */
        /**
         * Event handler for compositionstart on the input.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onCompositionStart = /**
         * Event handler for compositionstart on the input.
         * @return {?}
         */
        function () {
            this.isComposing = true;
        };
        /**
         * Event handler for compositionend on the input.
         */
        /**
         * Event handler for compositionend on the input.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onCompositionEnd = /**
         * Event handler for compositionend on the input.
         * @return {?}
         */
        function () {
            this.isComposing = false;
        };
        /**
         * Event handler for input click event.
         */
        /**
         * Event handler for input click event.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onInputClick = /**
         * Event handler for input click event.
         * @return {?}
         */
        function () {
            if (this.column.dataType === DataType.Boolean && this.dropDownConditions.collapsed) {
                this.inputGroupPrefix.nativeElement.focus();
                this.toggleConditionsDropDown(this.inputGroupPrefix.nativeElement);
            }
        };
        /**
         * Event handler for datepicker's close.
         */
        /**
         * Event handler for datepicker's close.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.datePickerClose = /**
         * Event handler for datepicker's close.
         * @return {?}
         */
        function () {
            this.input.nativeElement.focus();
        };
        /**
         * Returns the filtering operation condition for a given value.
         */
        /**
         * Returns the filtering operation condition for a given value.
         * @param {?} value
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.getCondition = /**
         * Returns the filtering operation condition for a given value.
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.column.filters.condition(value);
        };
        /**
         * Returns the translated condition name for a given value.
         */
        /**
         * Returns the translated condition name for a given value.
         * @param {?} value
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.translateCondition = /**
         * Returns the translated condition name for a given value.
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return this.filteringService.grid.resourceStrings["igx_grid_filter_" + this.getCondition(value).name] || value;
        };
        /**
         * Returns the icon name of the current condition.
         */
        /**
         * Returns the icon name of the current condition.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.getIconName = /**
         * Returns the icon name of the current condition.
         * @return {?}
         */
        function () {
            if (this.column.dataType === DataType.Boolean && this.expression.condition === null) {
                return this.getCondition(this.conditions[0]).iconName;
            }
            else {
                return this.expression.condition.iconName;
            }
        };
        /**
         * Returns whether a given condition is selected in dropdown.
         */
        /**
         * Returns whether a given condition is selected in dropdown.
         * @param {?} conditionName
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.isConditionSelected = /**
         * Returns whether a given condition is selected in dropdown.
         * @param {?} conditionName
         * @return {?}
         */
        function (conditionName) {
            if (this.expression.condition) {
                return this.expression.condition.name === conditionName;
            }
            else {
                return false;
            }
        };
        /**
         * Clears the current filtering.
         */
        /**
         * Clears the current filtering.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.clearFiltering = /**
         * Clears the current filtering.
         * @return {?}
         */
        function () {
            this.filteringService.clearFilter(this.column.field);
            this.resetExpression();
            if (this.input) {
                this.input.nativeElement.focus();
            }
            this.cdr.detectChanges();
            this.chipAreaScrollOffset = 0;
            this.transform(this.chipAreaScrollOffset);
        };
        /**
         * Commits the value of the input.
         */
        /**
         * Commits the value of the input.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.commitInput = /**
         * Commits the value of the input.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selectedItem = this.expressionsList.filter(function (ex) { return ex.isSelected === true; });
            selectedItem.forEach(function (e) { return e.isSelected = false; });
            /** @type {?} */
            var indexToDeselect = -1;
            for (var index = 0; index < this.expressionsList.length; index++) {
                /** @type {?} */
                var expression = this.expressionsList[index].expression;
                if (expression.searchVal === null && !expression.condition.isUnary) {
                    indexToDeselect = index;
                }
            }
            if (indexToDeselect !== -1) {
                this.removeExpression(indexToDeselect, this.expression);
            }
            this.resetExpression();
            this.scrollChipsWhenAddingExpression();
        };
        /**
         * Clears the value of the input.
         */
        /**
         * Clears the value of the input.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.clearInput = /**
         * Clears the value of the input.
         * @return {?}
         */
        function () {
            this.value = null;
        };
        /**
         * Event handler for keydown on clear button.
         */
        /**
         * Event handler for keydown on clear button.
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onClearKeyDown = /**
         * Event handler for keydown on clear button.
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Enter" /* ENTER */ || eventArgs.key === " " /* SPACE */ || eventArgs.key === "Spacebar" /* SPACE_IE */) {
                eventArgs.preventDefault();
                this.clearInput();
                this.input.nativeElement.focus();
            }
        };
        /**
         * Event handler for click on clear button.
         */
        /**
         * Event handler for click on clear button.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onClearClick = /**
         * Event handler for click on clear button.
         * @return {?}
         */
        function () {
            this.clearInput();
            this.input.nativeElement.focus();
        };
        /**
         * Event handler for keydown on commit button.
         */
        /**
         * Event handler for keydown on commit button.
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onCommitKeyDown = /**
         * Event handler for keydown on commit button.
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Enter" /* ENTER */ || eventArgs.key === " " /* SPACE */ || eventArgs.key === "Spacebar" /* SPACE_IE */) {
                eventArgs.preventDefault();
                this.commitInput();
                this.input.nativeElement.focus();
            }
        };
        /**
         * Event handler for click on commit button.
         */
        /**
         * Event handler for click on commit button.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onCommitClick = /**
         * Event handler for click on commit button.
         * @return {?}
         */
        function () {
            this.commitInput();
            this.input.nativeElement.focus();
        };
        /**
         * Event handler for focusout on the input group.
         */
        /**
         * Event handler for focusout on the input group.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onInputGroupFocusout = /**
         * Event handler for focusout on the input group.
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this.value && this.value !== 0 &&
                this.expression.condition && !this.expression.condition.isUnary) {
                return;
            }
            requestAnimationFrame(function () {
                /** @type {?} */
                var focusedElement = document.activeElement;
                if (focusedElement.className === 'igx-chip__remove') {
                    return;
                }
                if (!(focusedElement && _this.inputGroup.nativeElement.contains(focusedElement))
                    && _this.dropDownConditions.collapsed) {
                    _this.commitInput();
                }
            });
        };
        /**
         * Closes the filtering edit row.
         */
        /**
         * Closes the filtering edit row.
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.close = /**
         * Closes the filtering edit row.
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.expressionsList.length === 1 &&
                this.expressionsList[0].expression.searchVal === null &&
                this.expressionsList[0].expression.condition.isUnary === false) {
                this.filteringService.getExpressions(this.column.field).pop();
            }
            else {
                this.expressionsList.forEach(function (item) {
                    if (item.expression.searchVal === null && !item.expression.condition.isUnary) {
                        _this.filteringService.removeExpression(_this.column.field, _this.expressionsList.indexOf(item));
                    }
                });
            }
            this.filteringService.isFilterRowVisible = false;
            this.filteringService.updateFilteringCell(this.column);
            this.filteringService.focusFilterCellChip(this.column, true);
            this.filteringService.filteredColumn = null;
            this.filteringService.selectedExpression = null;
            this.chipAreaScrollOffset = 0;
            this.transform(this.chipAreaScrollOffset);
        };
        /*
        * noop
        */
        /*
            * noop
            */
        /**
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.noop = /*
            * noop
            */
        /**
         * @return {?}
         */
        function () { };
        /**
         *  Event handler for date picker's selection.
         */
        /**
         *  Event handler for date picker's selection.
         * @param {?} value
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onDateSelected = /**
         *  Event handler for date picker's selection.
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.value = value;
            this.commitInput();
        };
        /**
         * Opens the conditions dropdown.
         */
        /**
         * Opens the conditions dropdown.
         * @param {?} target
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.toggleConditionsDropDown = /**
         * Opens the conditions dropdown.
         * @param {?} target
         * @return {?}
         */
        function (target) {
            this._conditionsOverlaySettings.positionStrategy.settings.target = target;
            this.dropDownConditions.toggle(this._conditionsOverlaySettings);
        };
        /**
         * Opens the logic operators dropdown.
         */
        /**
         * Opens the logic operators dropdown.
         * @param {?} eventArgs
         * @param {?} index
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.toggleOperatorsDropDown = /**
         * Opens the logic operators dropdown.
         * @param {?} eventArgs
         * @param {?} index
         * @return {?}
         */
        function (eventArgs, index) {
            this._operatorsOverlaySettings.positionStrategy.settings.target = eventArgs.target.parentElement;
            this.dropDownOperators.toArray()[index].toggle(this._operatorsOverlaySettings);
        };
        /**
         * Event handler for change event in conditions dropdown.
         */
        /**
         * Event handler for change event in conditions dropdown.
         * @param {?} eventArgs
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onConditionsChanged = /**
         * Event handler for change event in conditions dropdown.
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            var _this = this;
            /** @type {?} */
            var value = ((/** @type {?} */ (eventArgs.newSelection))).value;
            this.expression.condition = this.getCondition(value);
            if (this.expression.condition.isUnary) {
                // update grid's filtering on the next cycle to ensure the drop-down is closed
                // if the drop-down is not closed this event handler will be invoked multiple times
                requestAnimationFrame(function () { return _this.unaryConditionChangedCallback(); });
            }
            else {
                requestAnimationFrame(function () { return _this.conditionChangedCallback(); });
            }
            if (this.input) {
                // Add requestAnimationFrame becasue of an issue in IE, where you are still able to write in the input,
                // if it has been focused and then set to readonly.
                requestAnimationFrame(function () { return _this.input.nativeElement.focus(); });
            }
        };
        /**
         * @param {?} args
         * @param {?} chip
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onChipPointerdown = /**
         * @param {?} args
         * @param {?} chip
         * @return {?}
         */
        function (args, chip) {
            /** @type {?} */
            var activeElement = document.activeElement;
            this._cancelChipClick = chip.selected && activeElement &&
                this.inputGroup.nativeElement.contains(activeElement);
        };
        /**
         * @param {?} args
         * @param {?} item
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onChipClick = /**
         * @param {?} args
         * @param {?} item
         * @return {?}
         */
        function (args, item) {
            if (this._cancelChipClick) {
                return;
            }
            this._cancelChipClick = false;
            this.expressionsList.forEach(function (ex) { return ex.isSelected = false; });
            this.toggleChip(item);
        };
        /**
         * @param {?} item
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.toggleChip = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            item.isSelected = !item.isSelected;
            if (item.isSelected) {
                this.expression = item.expression;
                if (this.input) {
                    this.input.nativeElement.focus();
                }
            }
        };
        /**
         * Event handler for chip keydown event.
         */
        /**
         * Event handler for chip keydown event.
         * @param {?} eventArgs
         * @param {?} item
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onChipKeyDown = /**
         * Event handler for chip keydown event.
         * @param {?} eventArgs
         * @param {?} item
         * @return {?}
         */
        function (eventArgs, item) {
            if (eventArgs.key === "Enter" /* ENTER */) {
                eventArgs.preventDefault();
                this.toggleChip(item);
            }
        };
        /**
         * Scrolls the first chip into view if the tab key is pressed on the left arrow.
         */
        /**
         * Scrolls the first chip into view if the tab key is pressed on the left arrow.
         * @param {?} event
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onLeftArrowKeyDown = /**
         * Scrolls the first chip into view if the tab key is pressed on the left arrow.
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.key === "Tab" /* TAB */) {
                this.chipAreaScrollOffset = 0;
                this.transform(this.chipAreaScrollOffset);
            }
        };
        /**
         * Event handler for chip removed event.
         */
        /**
         * Event handler for chip removed event.
         * @param {?} eventArgs
         * @param {?} item
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onChipRemoved = /**
         * Event handler for chip removed event.
         * @param {?} eventArgs
         * @param {?} item
         * @return {?}
         */
        function (eventArgs, item) {
            /** @type {?} */
            var indexToRemove = this.expressionsList.indexOf(item);
            this.removeExpression(indexToRemove, item.expression);
            this.scrollChipsOnRemove();
        };
        /**
         * Event handler for logic operator changed event.
         */
        /**
         * Event handler for logic operator changed event.
         * @param {?} eventArgs
         * @param {?} expression
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.onLogicOperatorChanged = /**
         * Event handler for logic operator changed event.
         * @param {?} eventArgs
         * @param {?} expression
         * @return {?}
         */
        function (eventArgs, expression) {
            var _this = this;
            if (eventArgs.oldSelection) {
                expression.afterOperator = ((/** @type {?} */ (eventArgs.newSelection))).value;
                this.expressionsList[this.expressionsList.indexOf(expression) + 1].beforeOperator = expression.afterOperator;
                // update grid's filtering on the next cycle to ensure the drop-down is closed
                // if the drop-down is not closed this event handler will be invoked multiple times
                requestAnimationFrame(function () { return _this.filter(); });
            }
        };
        /**
         * Scrolls the chips into the chip area when left or right arrows are pressed.
         */
        /**
         * Scrolls the chips into the chip area when left or right arrows are pressed.
         * @param {?} arrowPosition
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.scrollChipsOnArrowPress = /**
         * Scrolls the chips into the chip area when left or right arrows are pressed.
         * @param {?} arrowPosition
         * @return {?}
         */
        function (arrowPosition) {
            /** @type {?} */
            var count = 0;
            /** @type {?} */
            var chipAraeChildren = this.chipsArea.element.nativeElement.children;
            /** @type {?} */
            var containerRect = this.container.nativeElement.getBoundingClientRect();
            if (arrowPosition === 'right') {
                for (var index = 0; index < chipAraeChildren.length; index++) {
                    if (Math.ceil(chipAraeChildren[index].getBoundingClientRect().right) < Math.ceil(containerRect.right)) {
                        count++;
                    }
                }
                if (count < chipAraeChildren.length) {
                    this.chipAreaScrollOffset -= Math.ceil(chipAraeChildren[count].getBoundingClientRect().right) -
                        Math.ceil(containerRect.right) + 1;
                    this.transform(this.chipAreaScrollOffset);
                }
            }
            if (arrowPosition === 'left') {
                for (var index = 0; index < chipAraeChildren.length; index++) {
                    if (Math.ceil(chipAraeChildren[index].getBoundingClientRect().left) < Math.ceil(containerRect.left)) {
                        count++;
                    }
                }
                if (count > 0) {
                    this.chipAreaScrollOffset += Math.ceil(containerRect.left) -
                        Math.ceil(chipAraeChildren[count - 1].getBoundingClientRect().left) + 1;
                    this.transform(this.chipAreaScrollOffset);
                }
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.showHideArrowButtons = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            requestAnimationFrame(function () {
                if (_this.filteringService.isFilterRowVisible) {
                    /** @type {?} */
                    var containerWidth = _this.container.nativeElement.getBoundingClientRect().width;
                    _this.chipsAreaWidth = _this.chipsArea.element.nativeElement.getBoundingClientRect().width;
                    _this.showArrows = _this.chipsAreaWidth >= containerWidth && _this.isColumnFiltered;
                    // TODO: revise the cdr.detectChanges() usage here
                    if (!((/** @type {?} */ (_this.cdr))).destroyed) {
                        _this.cdr.detectChanges();
                    }
                }
            });
        };
        /**
         * @private
         * @param {?} isSelected
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.addExpression = /**
         * @private
         * @param {?} isSelected
         * @return {?}
         */
        function (isSelected) {
            /** @type {?} */
            var exprUI = new ExpressionUI();
            exprUI.expression = this.expression;
            exprUI.beforeOperator = this.expressionsList.length > 0 ? FilteringLogic.And : null;
            exprUI.isSelected = isSelected;
            this.expressionsList.push(exprUI);
            /** @type {?} */
            var length = this.expressionsList.length;
            if (this.expressionsList[length - 2]) {
                this.expressionsList[length - 2].afterOperator = this.expressionsList[length - 1].beforeOperator;
            }
            this.showHideArrowButtons();
        };
        /**
         * @private
         * @param {?} indexToRemove
         * @param {?} expression
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.removeExpression = /**
         * @private
         * @param {?} indexToRemove
         * @param {?} expression
         * @return {?}
         */
        function (indexToRemove, expression) {
            if (indexToRemove === 0 && this.expressionsList.length === 1) {
                this.clearFiltering();
                return;
            }
            this.filteringService.removeExpression(this.column.field, indexToRemove);
            this.filter();
            if (this.expression === expression) {
                this.resetExpression();
            }
            this.showHideArrowButtons();
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.resetExpression = /**
         * @private
         * @return {?}
         */
        function () {
            this.expression = {
                fieldName: this.column.field,
                condition: null,
                searchVal: null,
                ignoreCase: this.column.filteringIgnoreCase
            };
            if (this.column.dataType !== DataType.Boolean) {
                this.expression.condition = this.getCondition(this.conditions[0]);
            }
            if (this.column.dataType === DataType.Date && this.input) {
                this.input.nativeElement.value = null;
            }
            this.showHideArrowButtons();
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.scrollChipsWhenAddingExpression = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var chipAraeChildren = this.chipsArea.element.nativeElement.children;
            if (!chipAraeChildren || chipAraeChildren.length === 0) {
                return;
            }
            /** @type {?} */
            var containerRectRight = Math.ceil(this.container.nativeElement.getBoundingClientRect().right);
            /** @type {?} */
            var lastChipRectRight = Math.ceil(chipAraeChildren[chipAraeChildren.length - 1].getBoundingClientRect().right);
            if (lastChipRectRight >= containerRectRight) {
                this.chipAreaScrollOffset -= lastChipRectRight - containerRectRight;
                this.transform(this.chipAreaScrollOffset);
            }
        };
        /**
         * @hidden
         * Resets the chips area
         * @memberof IgxGridFilteringRowComponent
         */
        /**
         * @hidden
         * Resets the chips area
         * \@memberof IgxGridFilteringRowComponent
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.resetChipsArea = /**
         * @hidden
         * Resets the chips area
         * \@memberof IgxGridFilteringRowComponent
         * @return {?}
         */
        function () {
            this.chipAreaScrollOffset = 0;
            this.transform(this.chipAreaScrollOffset);
            this.showHideArrowButtons();
        };
        /**
         * @private
         * @param {?} offset
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.transform = /**
         * @private
         * @param {?} offset
         * @return {?}
         */
        function (offset) {
            var _this = this;
            requestAnimationFrame(function () {
                _this.chipsArea.element.nativeElement.style.transform = "translate(" + offset + "px)";
            });
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.scrollChipsOnRemove = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var count = 0;
            /** @type {?} */
            var chipAraeChildren = this.chipsArea.element.nativeElement.children;
            /** @type {?} */
            var containerRect = this.container.nativeElement.getBoundingClientRect();
            for (var index = 0; index < chipAraeChildren.length; index++) {
                if (Math.ceil(chipAraeChildren[index].getBoundingClientRect().right) < Math.ceil(containerRect.left)) {
                    count++;
                }
            }
            if (count <= 2) {
                this.chipAreaScrollOffset = 0;
            }
            else {
                /** @type {?} */
                var dif = chipAraeChildren[count].id === 'chip' ? count - 2 : count - 1;
                this.chipAreaScrollOffset += Math.ceil(containerRect.left) - Math.ceil(chipAraeChildren[dif].getBoundingClientRect().left) + 1;
            }
            this.transform(this.chipAreaScrollOffset);
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.conditionChangedCallback = /**
         * @private
         * @return {?}
         */
        function () {
            if (!!this.expression.searchVal || this.expression.searchVal === 0) {
                this.filter();
            }
            else if (this.value) {
                this.value = null;
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.unaryConditionChangedCallback = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.value) {
                this.value = null;
            }
            if (this.expressionsList.find(function (item) { return item.expression === _this.expression; }) === undefined) {
                this.addExpression(true);
            }
            this.filter();
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridFilteringRowComponent.prototype.filter = /**
         * @private
         * @return {?}
         */
        function () {
            this.filteringService.filterInternal(this.column.field);
        };
        Object.defineProperty(IgxGridFilteringRowComponent.prototype, "isColumnFiltered", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.column.filteringExpressionsTree && this.column.filteringExpressionsTree.filteringOperands.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        IgxGridFilteringRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-filtering-row',
                        template: "<!-- Have to apply styles inline because of the overlay outlet ... -->\n<igx-drop-down #inputGroupConditions [height]=\"'200px'\" (onSelection)=\"onConditionsChanged($event)\">\n    <igx-drop-down-item\n        *ngFor=\"let condition of conditions\"\n        [value]=\"condition\"\n        [selected]=\"isConditionSelected(condition)\">\n        <igx-icon fontSet=\"filtering-icons\" [name]=\"getCondition(condition).iconName\"></igx-icon>\n        <span style=\"margin-left: 16px\">{{ translateCondition(condition) }}</span>\n    </igx-drop-down-item>\n</igx-drop-down>\n\n<ng-template #defaultFilterUI>\n    <igx-input-group #inputGroup type=\"box\" [displayDensity]=\"'compact'\" [supressInputAutofocus]=\"true\" (focusout)=\"onInputGroupFocusout()\">\n        <igx-prefix #inputGroupPrefix\n                    (click)=\"toggleConditionsDropDown(inputGroupPrefix)\"\n                    (keydown)=\"onPrefixKeyDown($event)\"\n                    tabindex=\"0\"\n                    [igxDropDownItemNavigation]=\"inputGroupConditions\">\n            <igx-icon fontSet=\"filtering-icons\" [name]=\"getIconName()\"></igx-icon>\n        </igx-prefix>\n        <input\n            #input\n            igxInput\n            tabindex=\"0\"\n            [placeholder]=\"placeholder\"\n            autocomplete=\"off\"\n            [value]=\"value\"\n            (input)=\"onInput($event)\"\n            [type]=\"type\"\n            [readonly]=\"isUnaryCondition\"\n            (click)=\"onInputClick()\"\n            (compositionstart)=\"onCompositionStart()\"\n            (compositionend)=\"onCompositionEnd()\"\n            (keydown)=\"onInputKeyDown($event)\"\n            (keyup)=\"onInputKeyUp($event)\"/>\n            <igx-suffix *ngIf=\"value || value === 0\" >\n                <igx-icon (keydown)=\"onCommitKeyDown($event)\" (click)=\"onCommitClick()\" tabindex=\"0\">done</igx-icon>\n                <igx-icon (keydown)=\"onClearKeyDown($event)\" (click)=\"onClearClick()\" tabindex=\"0\">clear</igx-icon>\n            </igx-suffix>\n    </igx-input-group>\n</ng-template>\n\n<ng-template #defaultDateUI>\n    <igx-date-picker\n        tabindex=\"0\"\n        mode=\"dropdown\"\n        [value]=\"value\"\n        [outlet]=\"filteringService.grid.outletDirective\"\n        [locale]=\"filteringService.grid.locale\"\n        (onSelection)=\"onDateSelected($event)\"\n        (onClose)=\"datePickerClose()\">\n        <ng-template igxDatePickerTemplate let-openDialog=\"openDialog\">\n            <igx-input-group #inputGroup type=\"box\" [displayDensity]=\"'compact'\" [supressInputAutofocus]=\"true\" (focusout)=\"onInputGroupFocusout()\">\n                <igx-prefix #inputGroupPrefix\n                            tabindex=\"0\"\n                            (click)=\"toggleConditionsDropDown(inputGroupPrefix)\"\n                            (keydown)=\"onPrefixKeyDown($event)\"\n                            [igxDropDownItemNavigation]=\"inputGroupConditions\">\n                    <igx-icon fontSet=\"filtering-icons\" [name]=\"expression.condition.iconName\"></igx-icon>\n                </igx-prefix>\n                <input #input\n                       igxInput\n                       tabindex=\"0\"\n                       (click)=\"expression.condition.isUnary ? noop() : openDialog(inputGroup.element.nativeElement)\"\n                       [placeholder]=\"placeholder\"\n                       autocomplete=\"off\"\n                       [value]=\"value | igxdate: filteringService.grid.locale\"\n                       [readonly]=\"true\"\n                       (keydown)=\"onInputKeyDown($event)\"/>\n                <igx-suffix *ngIf=\"value\" (keydown)=\"onClearKeyDown($event)\" (click)=\"clearInput()\" tabindex=\"0\">\n                    <igx-icon>clear</igx-icon>\n                </igx-suffix>\n            </igx-input-group>\n            </ng-template>\n    </igx-date-picker>\n</ng-template>\n\n<ng-container *ngTemplateOutlet=\"template; context: { $implicit: this }\"></ng-container>\n\n<button igxButton=\"icon\" class=\"igx-grid__filtering-row-scroll-start\" *ngIf=\"showArrows\" (keydown)=\"onLeftArrowKeyDown($event)\" (click)=\"scrollChipsOnArrowPress('left')\">\n    <igx-icon>navigate_before</igx-icon>\n</button>\n\n<div #container class=\"igx-grid__filtering-row-main\">\n    <div>\n         <igx-chips-area #chipsArea>\n            <ng-container *ngFor=\"let item of expressionsList; index as i; let last = last;\" tabindex=\"0\">\n                <igx-chip #chip id='chip'\n                    (pointerdown)=\"onChipPointerdown($event, chip)\"\n                    (click)=\"onChipClick($event, item)\"\n                    (keydown)=\"onChipKeyDown($event, item)\"\n                    (onRemove)=\"onChipRemoved($event, item)\"\n                    [selectable]=\"false\"\n                    [selected]=\"item.isSelected\"\n                    [displayDensity]=\"'cosy'\"\n                    [removable]=\"true\">\n                    <igx-icon\n                        igxPrefix\n                        fontSet=\"filtering-icons\"\n                        [name]=\"item.expression.condition.iconName\">\n                    </igx-icon>\n                    <span>{{filteringService.getChipLabel(item.expression)}}</span>\n                </igx-chip>\n\n                <span id='operand' *ngIf=\"!last\">\n                    <button igxButton (click)=\"toggleOperatorsDropDown($event, i)\" [igxDropDownItemNavigation]=\"operators\">\n                        <igx-icon>expand_more</igx-icon>\n                        <span>{{filteringService.getOperatorAsString(item.afterOperator)}}</span>\n                    </button>\n                    <igx-drop-down #operators (onSelection)=\"onLogicOperatorChanged($event, item)\">\n                            <igx-drop-down-item [value]=\"0\" [selected]=\"item.afterOperator === 0\">{{filteringService.grid.resourceStrings.igx_grid_filter_operator_and}}</igx-drop-down-item>\n                            <igx-drop-down-item [value]=\"1\" [selected]=\"item.afterOperator === 1\">{{filteringService.grid.resourceStrings.igx_grid_filter_operator_or}}</igx-drop-down-item>\n                    </igx-drop-down>\n                </span>\n            </ng-container>\n        </igx-chips-area>\n    </div>\n</div>\n\n<button igxButton=\"icon\" class=\"igx-grid__filtering-row-scroll-end\" *ngIf=\"showArrows\" (click)=\"scrollChipsOnArrowPress('right')\">\n    <igx-icon>navigate_next</igx-icon>\n</button>\n\n<div #buttonsContainer class=\"igx-grid__filtering-row-editing-buttons\">\n    <button igxButton igxRipple (click)=\"clearFiltering()\" [disabled]=\"disabled\" [tabindex]=\"disabled\">{{filteringService.grid.resourceStrings.igx_grid_filter_row_reset}}</button>\n    <button #closeButton igxButton igxRipple (click)=\"close()\">{{filteringService.grid.resourceStrings.igx_grid_filter_row_close}}</button>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxGridFilteringRowComponent.ctorParameters = function () { return [
            { type: IgxFilteringService },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxGridFilteringRowComponent.propDecorators = {
            column: [{ type: core.Input }],
            value: [{ type: core.Input }],
            defaultFilterUI: [{ type: core.ViewChild, args: ['defaultFilterUI', { read: core.TemplateRef, static: true },] }],
            defaultDateUI: [{ type: core.ViewChild, args: ['defaultDateUI', { read: core.TemplateRef, static: true },] }],
            input: [{ type: core.ViewChild, args: ['input', { read: core.ElementRef, static: false },] }],
            dropDownConditions: [{ type: core.ViewChild, args: ['inputGroupConditions', { read: IgxDropDownComponent, static: true },] }],
            chipsArea: [{ type: core.ViewChild, args: ['chipsArea', { read: IgxChipsAreaComponent, static: true },] }],
            dropDownOperators: [{ type: core.ViewChildren, args: ['operators', { read: IgxDropDownComponent },] }],
            inputGroup: [{ type: core.ViewChild, args: ['inputGroup', { read: core.ElementRef, static: false },] }],
            inputGroupPrefix: [{ type: core.ViewChild, args: ['inputGroupPrefix', { read: core.ElementRef, static: false },] }],
            container: [{ type: core.ViewChild, args: ['container', { static: true },] }],
            operand: [{ type: core.ViewChild, args: ['operand', { static: false },] }],
            closeButton: [{ type: core.ViewChild, args: ['closeButton', { static: true },] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-grid__filtering-row',] }],
            onTabKeydown: [{ type: core.HostListener, args: ['keydown.shift.tab', ['$event'],] }, { type: core.HostListener, args: ['keydown.tab', ['$event'],] }],
            onEscKeydown: [{ type: core.HostListener, args: ['keydown.esc', ['$event'],] }]
        };
        return IgxGridFilteringRowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxSelectItemComponent = /** @class */ (function (_super) {
        __extends(IgxSelectItemComponent, _super);
        function IgxSelectItemComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(IgxSelectItemComponent.prototype, "text", {
            /**
             * An @Input property that gets/sets the item's text to be displayed in the select component's input when the item is selected.
             *
             * ```typescript
             *  //get
             *  let mySelectedItem = this.dropDown.selectedItem;
             *  let selectedItemText = mySelectedItem.text;
             * ```
        
             * ```html
             * // set
             * <igx-select-item [text]="'London'"></igx-select-item>
             * ```
             */
            get: /**
             * An \@Input property that gets/sets the item's text to be displayed in the select component's input when the item is selected.
             *
             * ```typescript
             *  //get
             *  let mySelectedItem = this.dropDown.selectedItem;
             *  let selectedItemText = mySelectedItem.text;
             * ```
             * ```html
             * // set
             * <igx-select-item [text]="'London'"></igx-select-item>
             * ```
             * @return {?}
             */
            function () {
                return this._text;
            },
            set: /**
             * @param {?} text
             * @return {?}
             */
            function (text) {
                this._text = text;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSelectItemComponent.prototype, "itemText", {
            /** @hidden @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                if (this._text !== undefined) {
                    return this._text;
                }
                // If text @Input is undefined, try extract a meaningful item text out of the item template
                return this.elementRef.nativeElement.textContent.trim();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSelectItemComponent.prototype, "selected", {
            /**
             * Sets/Gets if the item is the currently selected one in the select
             *
             * ```typescript
             *  let mySelectedItem = this.select.selectedItem;
             *  let isMyItemSelected = mySelectedItem.selected; // true
             * ```
             */
            get: /**
             * Sets/Gets if the item is the currently selected one in the select
             *
             * ```typescript
             *  let mySelectedItem = this.select.selectedItem;
             *  let isMyItemSelected = mySelectedItem.selected; // true
             * ```
             * @return {?}
             */
            function () {
                return !this.isHeader && !this.disabled && this.selection.is_item_selected(this.dropDown.id, this);
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value && !this.isHeader && !this.disabled) {
                    this.dropDown.selectItem(this);
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxSelectItemComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
        };
        IgxSelectItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-select-item',
                        template: '<ng-content></ng-content>'
                    }] }
        ];
        IgxSelectItemComponent.propDecorators = {
            text: [{ type: core.Input }]
        };
        return IgxSelectItemComponent;
    }(IgxDropDownItemComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {number} */
    var Direction$2 = {
        Top: -1,
        Bottom: 1,
        None: 0,
    };
    Direction$2[Direction$2.Top] = 'Top';
    Direction$2[Direction$2.Bottom] = 'Bottom';
    Direction$2[Direction$2.None] = 'None';
    /**
     * @hidden \@internal
     */
    var /**
     * @hidden \@internal
     */
    SelectPositioningStrategy = /** @class */ (function (_super) {
        __extends(SelectPositioningStrategy, _super);
        function SelectPositioningStrategy(select, settings) {
            var _this = _super.call(this) || this;
            _this.select = select;
            _this._selectDefaultSettings = {
                target: null,
                horizontalDirection: HorizontalAlignment.Right,
                verticalDirection: VerticalAlignment.Bottom,
                horizontalStartPoint: HorizontalAlignment.Left,
                verticalStartPoint: VerticalAlignment.Top,
                openAnimation: fadeIn,
                closeAnimation: fadeOut
            };
            _this.defaultWindowToListOffset = 5;
            _this.viewPort = Util.getViewportRect(document);
            _this.settings = Object.assign({}, _this._selectDefaultSettings, settings);
            return _this;
        }
        /**
         * @private
         * @param {?} contentElement
         * @param {?} outBoundsAmount
         * @return {?}
         */
        SelectPositioningStrategy.prototype.positionAndScrollBottom = /**
         * @private
         * @param {?} contentElement
         * @param {?} outBoundsAmount
         * @return {?}
         */
        function (contentElement, outBoundsAmount) {
            contentElement.style.top = this.viewPort.bottom - this.listContainerBoundRect.height - this.defaultWindowToListOffset + "px";
            contentElement.firstElementChild.scrollTop -= outBoundsAmount - (this.defaultWindowToListOffset);
            this.deltaY = this.viewPort.bottom - this.listContainerBoundRect.height -
                this.defaultWindowToListOffset - ((/** @type {?} */ (this.select.input.nativeElement.getBoundingClientRect()))).top;
        };
        /**
         * @private
         * @param {?} contentElement
         * @param {?} CURRENT_POSITION_Y
         * @return {?}
         */
        SelectPositioningStrategy.prototype.positionNoScroll = /**
         * @private
         * @param {?} contentElement
         * @param {?} CURRENT_POSITION_Y
         * @return {?}
         */
        function (contentElement, CURRENT_POSITION_Y) {
            contentElement.style.top = CURRENT_POSITION_Y - this.itemTextToInputTextDiff + "px";
            this.deltaY = CURRENT_POSITION_Y -
                ((/** @type {?} */ (this.select.input.nativeElement.getBoundingClientRect()))).top - this.itemTextToInputTextDiff;
        };
        /**
         * @private
         * @param {?} contentElement
         * @param {?} outBoundsAmount
         * @return {?}
         */
        SelectPositioningStrategy.prototype.positionAndScrollTop = /**
         * @private
         * @param {?} contentElement
         * @param {?} outBoundsAmount
         * @return {?}
         */
        function (contentElement, outBoundsAmount) {
            contentElement.style.top = this.viewPort.top + this.defaultWindowToListOffset + "px";
            contentElement.firstElementChild.scrollTop += outBoundsAmount + this.itemTextToInputTextDiff + this.defaultWindowToListOffset;
            this.deltaY = this.viewPort.top + this.defaultWindowToListOffset -
                ((/** @type {?} */ (this.select.input.nativeElement.getBoundingClientRect()))).top;
        };
        /**
         * @private
         * @param {?} contentElement
         * @param {?} itemHeight
         * @return {?}
         */
        SelectPositioningStrategy.prototype.getItemsOutOfView = /**
         * @private
         * @param {?} contentElement
         * @param {?} itemHeight
         * @return {?}
         */
        function (contentElement, itemHeight) {
            if (contentElement.firstElementChild.scrollHeight <= contentElement.firstElementChild.clientHeight) {
                return {
                    'currentScroll': 0,
                    'remainingScroll': 0
                };
            }
            /** @type {?} */
            var currentScroll = contentElement.firstElementChild.scrollTop;
            /** @type {?} */
            var remainingScroll = this.select.items.length * itemHeight - currentScroll - this.listContainerBoundRect.height;
            return {
                'currentScroll': currentScroll,
                'remainingScroll': remainingScroll
            };
        };
        /**
         * @private
         * @param {?} elementContainer
         * @param {?} document
         * @return {?}
         */
        SelectPositioningStrategy.prototype.listOutOfBounds = /**
         * @private
         * @param {?} elementContainer
         * @param {?} document
         * @return {?}
         */
        function (elementContainer, document) {
            /** @type {?} */
            var container = {
                TOP: elementContainer.top,
                BOTTOM: elementContainer.bottom,
            };
            /** @type {?} */
            var viewPort = Util.getViewportRect(document);
            /** @type {?} */
            var documentElement = {
                TOP: viewPort.top,
                BOTTOM: viewPort.bottom
            };
            /** @type {?} */
            var returnVals = {
                Direction: Direction$2.None,
                Amount: 0
            };
            if (documentElement.TOP + this.defaultWindowToListOffset > container.TOP) {
                returnVals.Direction = Direction$2.Top;
                returnVals.Amount = documentElement.TOP - container.TOP;
            }
            else if (documentElement.BOTTOM - this.defaultWindowToListOffset < container.BOTTOM) {
                returnVals.Direction = Direction$2.Bottom;
                returnVals.Amount = container.BOTTOM - documentElement.BOTTOM;
            }
            else {
                return null;
            }
            return returnVals;
        };
        /**
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        SelectPositioningStrategy.prototype.position = /**
         * @param {?} contentElement
         * @param {?} size
         * @param {?=} document
         * @param {?=} initialCall
         * @return {?}
         */
        function (contentElement, size, document, initialCall) {
            /** @type {?} */
            var inputElement = this.select.input.nativeElement;
            /** @type {?} */
            var inputRect = (/** @type {?} */ (inputElement.getBoundingClientRect()));
            this.listContainerBoundRect = (/** @type {?} */ (contentElement.getBoundingClientRect()));
            /** @type {?} */
            var LIST_HEIGHT = this.listContainerBoundRect.height;
            if (!initialCall) {
                this.deltaX = inputRect.left - this.itemTextPadding - this.itemTextIndent;
                /** @type {?} */
                var point = new Point(this.deltaX, inputRect.top + this.deltaY);
                this.settings.target = point;
                _super.prototype.position.call(this, contentElement, size);
                return;
            }
            /** @type {?} */
            var START = {
                X: inputRect.left,
                Y: inputRect.top
            };
            /** @type {?} */
            var itemElement;
            if (this.select.selectedItem) {
                itemElement = this.select.selectedItem.element.nativeElement;
                // D.P. Feb 22 2019, #3921 Force item scroll before measuring in IE11, due to base scrollToItem delay
                if (isIE()) {
                    contentElement.firstElementChild.scrollTop = this.select.calculateScrollPosition(this.select.selectedItem);
                }
            }
            else {
                itemElement = this.select.getFirstItemElement();
            }
            /** @type {?} */
            var inputHeight = inputRect.height;
            /** @type {?} */
            var itemBoundRect = (/** @type {?} */ (itemElement.getBoundingClientRect()));
            /** @type {?} */
            var itemTopListOffset = itemBoundRect.top - this.listContainerBoundRect.top;
            /** @type {?} */
            var itemHeight = itemBoundRect.height;
            /** @type {?} */
            var inputFontSize = window.getComputedStyle(inputElement).fontSize;
            /** @type {?} */
            var numericInputFontSize = parseInt(inputFontSize.slice(0, inputFontSize.indexOf('p')), 10) || 0;
            /** @type {?} */
            var itemFontSize = window.getComputedStyle(itemElement).fontSize;
            /** @type {?} */
            var numericItemFontSize = parseInt(itemFontSize.slice(0, itemFontSize.indexOf('p')), 10) || 0;
            /** @type {?} */
            var inputTextToInputTop = (inputHeight - numericInputFontSize) / 2;
            /** @type {?} */
            var itemTextToItemTop = (itemHeight - numericItemFontSize) / 2;
            this.itemTextToInputTextDiff = itemTextToItemTop - inputTextToInputTop;
            /** @type {?} */
            var CURRENT_POSITION_Y = START.Y - itemTopListOffset;
            /** @type {?} */
            var CURRENT_BOTTOM_Y = CURRENT_POSITION_Y + this.listContainerBoundRect.height;
            /** @type {?} */
            var OUT_OF_BOUNDS = this.listOutOfBounds({ top: CURRENT_POSITION_Y, bottom: CURRENT_BOTTOM_Y }, document);
            if (OUT_OF_BOUNDS) {
                if (OUT_OF_BOUNDS.Direction === Direction$2.Top) {
                    CURRENT_POSITION_Y = START.Y;
                }
                else {
                    CURRENT_POSITION_Y = -1 * (LIST_HEIGHT - (itemHeight - (itemHeight - inputHeight) / 2));
                    CURRENT_POSITION_Y += START.Y;
                }
            }
            /** @type {?} */
            var selectItemPaddingHorizontal = 24;
            /** @type {?} */
            var itemLeftPadding = window.getComputedStyle(itemElement).paddingLeft;
            /** @type {?} */
            var itemTextIndent = window.getComputedStyle(itemElement).textIndent;
            /** @type {?} */
            var numericLeftPadding = parseInt(itemLeftPadding.slice(0, itemLeftPadding.indexOf('p')), 10) || 0;
            /** @type {?} */
            var numericTextIndent = parseInt(itemTextIndent.slice(0, itemTextIndent.indexOf('r')), 10) || 0;
            this.itemTextPadding = numericLeftPadding;
            this.itemTextIndent = numericTextIndent;
            contentElement.style.left += START.X - numericLeftPadding - numericTextIndent + "px";
            contentElement.style.width = inputRect.width + 24 + selectItemPaddingHorizontal * 2 + 'px';
            this.deltaX = START.X - numericLeftPadding - numericTextIndent;
            /** @type {?} */
            var currentScroll = this.getItemsOutOfView(contentElement, itemHeight)['currentScroll'];
            /** @type {?} */
            var remainingScroll = this.getItemsOutOfView(contentElement, itemHeight)['remainingScroll'];
            // (5 items or less) no scroll and respectively no remaining scroll
            if (remainingScroll === 0 && currentScroll === 0) {
                this.positionNoScroll(contentElement, CURRENT_POSITION_Y);
            }
            // (more than 5 items) there is scroll OR remaining scroll
            if (remainingScroll !== 0 || currentScroll !== 0) {
                if (remainingScroll !== 0 && !OUT_OF_BOUNDS) {
                    this.positionNoScroll(contentElement, CURRENT_POSITION_Y);
                }
                // (more than 5 items) and container getting out of the visible port
                if (remainingScroll !== 0 && OUT_OF_BOUNDS) {
                    // if there is enough remaining scroll to scroll the item
                    if (remainingScroll > itemHeight) {
                        if (OUT_OF_BOUNDS.Direction === Direction$2.Top) {
                            this.positionAndScrollTop(contentElement, OUT_OF_BOUNDS.Amount);
                            return;
                        }
                        if (OUT_OF_BOUNDS.Direction === Direction$2.Bottom) {
                            // (more than 5 items) and no current scroll
                            if (currentScroll === 0) {
                                this.positionNoScroll(contentElement, CURRENT_POSITION_Y);
                                return;
                                // (more than 5 items) and current scroll
                            }
                            else {
                                this.positionAndScrollBottom(contentElement, OUT_OF_BOUNDS.Amount);
                                return;
                            }
                        }
                    }
                    // if there is no enough remaining scroll to scroll the item
                    if (remainingScroll < itemHeight) {
                        if (OUT_OF_BOUNDS.Direction === Direction$2.Top) {
                            this.positionNoScroll(contentElement, CURRENT_POSITION_Y);
                        }
                        if (OUT_OF_BOUNDS.Direction === Direction$2.Bottom) {
                            this.positionAndScrollBottom(contentElement, OUT_OF_BOUNDS.Amount);
                        }
                    }
                }
                // (more than 5 items) and no remaining scroll
                if (remainingScroll === 0 && currentScroll !== 0) {
                    if (OUT_OF_BOUNDS) {
                        if (OUT_OF_BOUNDS.Direction === Direction$2.Bottom) {
                            this.positionAndScrollBottom(contentElement, OUT_OF_BOUNDS.Amount);
                            return;
                        }
                    }
                    this.positionNoScroll(contentElement, CURRENT_POSITION_Y);
                }
            }
        };
        return SelectPositioningStrategy;
    }(ConnectedPositioningStrategy));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden \@internal
     */
    var IgxSelectToggleIconDirective = /** @class */ (function () {
        function IgxSelectToggleIconDirective() {
        }
        IgxSelectToggleIconDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxSelectToggleIcon]'
                    },] }
        ];
        return IgxSelectToggleIconDirective;
    }());
    /** @type {?} */
    var noop$6 = function () { };
    /**
     * **Ignite UI for Angular Select** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/select.html)
     *
     * The `igxSelect` provides an input with dropdown list allowing selection of a single item.
     *
     * Example:
     * ```html
     * <igx-select #select1 [placeholder]="'Pick One'">
     *   <label igxLabel>Select Label</label>
     *   <igx-select-item *ngFor="let item of items" [value]="item.field">
     *     {{ item.field }}
     *   </igx-select-item>
     * </igx-select>
     * ```
     */
    var IgxSelectComponent = /** @class */ (function (_super) {
        __extends(IgxSelectComponent, _super);
        function IgxSelectComponent(elementRef, cdr, selection, _displayDensityOptions, _injector) {
            var _this = _super.call(this, elementRef, cdr, selection, _displayDensityOptions) || this;
            _this.elementRef = elementRef;
            _this.cdr = cdr;
            _this.selection = selection;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._injector = _injector;
            _this.ngControl = null;
            /**
             * @hidden \@internal do not use the drop-down container class
             */
            _this.cssClass = false;
            /**
             * @hidden \@internal
             */
            _this.allowItemsFocus = false;
            /**
             * An \@Input property that disables the `IgxSelectComponent`.
             * ```html
             * <igx-select [disabled]="'true'"></igx-select>
             * ```
             */
            _this.disabled = false;
            /**
             * @hidden \@internal
             */
            _this.maxHeight = '256px';
            /**
             * An \@Input property that sets how the select will be styled.
             * The allowed values are `line`, `box` and `border`. The default is `line`.
             * ```html
             * <igx-select [type]="'box'"></igx-select>
             * ```
             */
            _this.type = 'line';
            /**
             * The custom template, if any, that should be used when rendering the select TOGGLE(open/close) button
             *
             * ```typescript
             * // Set in typescript
             * const myCustomTemplate: TemplateRef<any> = myComponent.customTemplate;
             * myComponent.select.toggleIconTemplate = myCustomTemplate;
             * ```
             * ```html
             * <!-- Set in markup -->
             *  <igx-select #select>
             *      ...
             *      <ng-template igxSelectToggleIcon let-collapsed>
             *          <igx-icon>{{ collapsed ? 'remove_circle' : 'remove_circle_outline'}}</igx-icon>
             *      </ng-template>
             *  </igx-select>
             * ```
             */
            _this.toggleIconTemplate = null;
            //#region ControlValueAccessor
            /**
             * @hidden \@internal
             */
            _this._onChangeCallback = noop$6;
            /**
             * @hidden \@internal
             */
            _this._onTouchedCallback = noop$6;
            /**
             * @hidden \@internal
             */
            _this.writeValue = function (value) {
                _this.value = value;
            };
            return _this;
        }
        Object.defineProperty(IgxSelectComponent.prototype, "value", {
            /**
             * An @Input property that gets/sets the component value.
             *
             * ```typescript
             * // get
             * let selectValue = this.select.value;
             * ```
             *
             * ```typescript
             * // set
             * this.select.value = 'London';
             * ```
             * ```html
             * <igx-select [value]="value"></igx-select>
             * ```
             */
            get: /**
             * An \@Input property that gets/sets the component value.
             *
             * ```typescript
             * // get
             * let selectValue = this.select.value;
             * ```
             *
             * ```typescript
             * // set
             * this.select.value = 'London';
             * ```
             * ```html
             * <igx-select [value]="value"></igx-select>
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            set: /**
             * @param {?} v
             * @return {?}
             */
            function (v) {
                var _this = this;
                if (this._value === v) {
                    return;
                }
                this._value = v;
                this.setSelection(this.items.find(function (x) { return x.value === _this.value; }));
                this.cdr.detectChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSelectComponent.prototype, "selectionValue", {
            /** @hidden @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                /** @type {?} */
                var selectedItem = this.selectedItem;
                return selectedItem ? selectedItem.itemText : '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSelectComponent.prototype, "selectedItem", {
            /** @hidden @internal */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this.selection.first_item(this.id);
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxSelectComponent.prototype.registerOnChange = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onChangeCallback = fn;
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxSelectComponent.prototype.registerOnTouched = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onTouchedCallback = fn;
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        IgxSelectComponent.prototype.setDisabledState = /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        function (isDisabled) {
            this.disabled = isDisabled;
        };
        //#endregion
        /** @hidden @internal */
        //#endregion
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.getEditElement = 
        //#endregion
        /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            return this.input.nativeElement;
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} newSelection
         * @param {?=} event
         * @return {?}
         */
        IgxSelectComponent.prototype.selectItem = /**
         * @hidden \@internal
         * @param {?} newSelection
         * @param {?=} event
         * @return {?}
         */
        function (newSelection, event) {
            /** @type {?} */
            var oldSelection = this.selectedItem;
            if (event) {
                this.toggleDirective.close();
            }
            if (newSelection === null || newSelection === oldSelection || newSelection.disabled || newSelection.isHeader) {
                return;
            }
            /** @type {?} */
            var args = { oldSelection: oldSelection, newSelection: newSelection, cancel: false };
            this.onSelection.emit(args);
            if (args.cancel) {
                return;
            }
            this.setSelection(newSelection);
            this._value = newSelection.value;
            this.cdr.detectChanges();
            this._onChangeCallback(this.value);
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.getFirstItemElement = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            return this.children.first.element.nativeElement;
        };
        /**
         * Opens the select
         *
         * ```typescript
         * this.select.open();
         * ```
         */
        /**
         * Opens the select
         *
         * ```typescript
         * this.select.open();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        IgxSelectComponent.prototype.open = /**
         * Opens the select
         *
         * ```typescript
         * this.select.open();
         * ```
         * @param {?=} overlaySettings
         * @return {?}
         */
        function (overlaySettings) {
            if (this.disabled || this.items.length === 0) {
                return;
            }
            if (!this.selectedItem) {
                this.navigateFirst();
            }
            _super.prototype.open.call(this, Object.assign({}, this._overlayDefaults, this.overlaySettings, overlaySettings));
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.ngAfterContentInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            var _this = this;
            this._overlayDefaults = {
                modal: false,
                closeOnOutsideClick: false,
                positionStrategy: new SelectPositioningStrategy(this, { target: this.inputGroup.element.nativeElement }),
                scrollStrategy: new AbsoluteScrollStrategy(),
                excludePositionTarget: true
            };
            this.children.changes.subscribe(function () {
                _this.setSelection(_this.items.find(function (x) { return x.value === _this.value; }));
                _this.cdr.detectChanges();
            });
            Promise.resolve().then(function () { return _this.children.notifyOnChanges(); });
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        IgxSelectComponent.prototype.onToggleOpening = /**
         * @hidden \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onOpening.emit(event);
            if (event.cancel) {
                return;
            }
            this.scrollToItem(this.selectedItem);
        };
        /**
         * @protected
         * @param {?} direction
         * @param {?=} currentIndex
         * @return {?}
         */
        IgxSelectComponent.prototype.navigate = /**
         * @protected
         * @param {?} direction
         * @param {?=} currentIndex
         * @return {?}
         */
        function (direction, currentIndex) {
            if (this.collapsed && this.selectedItem) {
                this.navigateItem(this.selectedItem.itemIndex);
            }
            _super.prototype.navigate.call(this, direction, currentIndex);
        };
        /**
         * @protected
         * @return {?}
         */
        IgxSelectComponent.prototype.manageRequiredAsterisk = /**
         * @protected
         * @return {?}
         */
        function () {
            if (this.ngControl && this.ngControl.control.validator) {
                // Run the validation with empty object to check if required is enabled.
                /** @type {?} */
                var error = this.ngControl.control.validator((/** @type {?} */ ({})));
                this.inputGroup.isRequired = error && error.required;
                this.cdr.markForCheck();
            }
        };
        /**
         * @private
         * @param {?} item
         * @return {?}
         */
        IgxSelectComponent.prototype.setSelection = /**
         * @private
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item && item.value !== undefined && item.value !== null) {
                this.selection.set(this.id, new Set([item]));
            }
            else {
                this.selection.clear(this.id);
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.onBlur = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this._onTouchedCallback();
            if (this.ngControl && !this.ngControl.valid) {
                this.input.valid = IgxInputState.INVALID;
            }
            else {
                this.input.valid = IgxInputState.INITIAL;
            }
            if (!this.collapsed) {
                this.toggleDirective.close();
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.onFocus = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this._onTouchedCallback();
        };
        /**
         * @protected
         * @return {?}
         */
        IgxSelectComponent.prototype.onStatusChanged = /**
         * @protected
         * @return {?}
         */
        function () {
            if ((this.ngControl.control.touched || this.ngControl.control.dirty) &&
                (this.ngControl.control.validator || this.ngControl.control.asyncValidator)) {
                if (this.inputGroup.isFocused) {
                    this.input.valid = this.ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
                }
                else {
                    this.input.valid = this.ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
                }
            }
            this.manageRequiredAsterisk();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.ngOnInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.ngControl = this._injector.get((/** @type {?} */ (forms.NgControl)), null);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.ngAfterViewInit = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.ngControl) {
                this._statusChanges$ = this.ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
                this.manageRequiredAsterisk();
            }
            this.cdr.detectChanges();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxSelectComponent.prototype.ngOnDestroy = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            this.selection.clear(this.id);
            if (this._statusChanges$) {
                this._statusChanges$.unsubscribe();
            }
        };
        IgxSelectComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-select',
                        template: "<igx-input-group #inputGroup class=\"input-group\" [disabled]=\"disabled\" (click)=\"toggle()\" [type]=\"type\" [displayDensity]=\"displayDensity\">\n    <ng-container ngProjectAs=\"[igxLabel]\">\n        <ng-content select=\"[igxLabel]\"></ng-content>\n    </ng-container>\n    <ng-container ngProjectAs=\"igx-prefix\">\n        <ng-content select=\"igx-prefix,[igxPrefix]\"></ng-content>\n    </ng-container>\n        <input #input class=\"input\" type=\"text\" igxInput [igxSelectItemNavigation]=\"this\"\n            readonly=\"true\"\n            [attr.placeholder]=\"this.placeholder\"\n            [value]=\"this.selectionValue\"\n            role=\"combobox\"\n            aria-haspopup=\"listbox\"\n            [attr.aria-labelledby]=\"this.label ? this.label.id : ''\"\n            [attr.aria-expanded]=\"!this.collapsed\"\n            [attr.aria-owns]=\"this.listId\"\n            [attr.aria-activedescendant]=\"!this.collapsed ? this.focusedItem?.id : null\"\n            (blur)=\"onBlur()\"\n            (focus)=\"onFocus()\"\n            />\n        <ng-container ngProjectAs=\"igx-suffix\">\n                <ng-content select=\"igx-suffix,[igxSuffix]\"></ng-content>\n            </ng-container>\n        <igx-suffix>\n            <ng-container *ngIf=\"toggleIconTemplate\">\n                <ng-container *ngTemplateOutlet=\"toggleIconTemplate; context: {$implicit: this.collapsed}\"></ng-container>\n                </ng-container>\n            <igx-icon *ngIf=\"!toggleIconTemplate\" fontSet=\"material\">{{ collapsed ? 'arrow_drop_down' : 'arrow_drop_up'}}</igx-icon>\n        </igx-suffix>\n    </igx-input-group>\n    <div class=\"igx-drop-down__list--select\" igxToggle [style.maxHeight]=\"maxHeight\"\n        (onOpening)=\"onToggleOpening($event)\" (onOpened)=\"onToggleOpened()\"\n        (onClosing)=\"onToggleClosing($event)\" (onClosed)=\"onToggleClosed()\"\n        [attr.id]=\"this.listId\" role=\"listbox\">\n        <ng-content select=\"igx-select-item, igx-select-item-group\">\n        </ng-content>\n    </div>\n",
                        providers: [
                            { provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxSelectComponent, multi: true },
                            { provide: IGX_DROPDOWN_BASE, useExisting: IgxSelectComponent }
                        ],
                        styles: ["\n        :host {\n            display: block;\n        }\n    "]
                    }] }
        ];
        /** @nocollapse */
        IgxSelectComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef },
            { type: IgxSelectionAPIService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] },
            { type: core.Injector }
        ]; };
        IgxSelectComponent.propDecorators = {
            inputGroup: [{ type: core.ViewChild, args: ['inputGroup', { read: IgxInputGroupComponent, static: true },] }],
            input: [{ type: core.ViewChild, args: ['input', { read: IgxInputDirective, static: true },] }],
            children: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxSelectItemComponent; }), { descendants: true },] }],
            label: [{ type: core.ContentChild, args: [core.forwardRef(function () { return IgxLabelDirective; }), { static: true },] }],
            value: [{ type: core.Input }],
            placeholder: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            overlaySettings: [{ type: core.Input }],
            maxHeight: [{ type: core.HostBinding, args: ['style.maxHeight',] }],
            type: [{ type: core.Input }],
            toggleIconTemplate: [{ type: core.ContentChild, args: [IgxSelectToggleIconDirective, { read: core.TemplateRef, static: false },] }]
        };
        return IgxSelectComponent;
    }(IgxDropDownComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ExpressionItem = /** @class */ (function () {
        function ExpressionItem(parent) {
            this.parent = parent;
        }
        return ExpressionItem;
    }());
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ExpressionGroupItem = /** @class */ (function (_super) {
        __extends(ExpressionGroupItem, _super);
        function ExpressionGroupItem(operator, parent) {
            var _this = _super.call(this, parent) || this;
            _this.operator = operator;
            _this.children = [];
            return _this;
        }
        return ExpressionGroupItem;
    }(ExpressionItem));
    /**
     * @hidden
     */
    var /**
     * @hidden
     */
    ExpressionOperandItem = /** @class */ (function (_super) {
        __extends(ExpressionOperandItem, _super);
        function ExpressionOperandItem(expression, parent) {
            var _this = _super.call(this, parent) || this;
            _this.expression = expression;
            return _this;
        }
        return ExpressionOperandItem;
    }(ExpressionItem));
    /**
     * @hidden
     */
    var IgxAdvancedFilteringDialogComponent = /** @class */ (function () {
        function IgxAdvancedFilteringDialogComponent(element, cdr) {
            this.element = element;
            this.cdr = cdr;
            this.selectedExpressions = [];
            this.selectedGroups = [];
            this._positionSettings = {
                horizontalStartPoint: HorizontalAlignment.Right,
                verticalStartPoint: VerticalAlignment.Top
            };
            this._overlaySettings = {
                closeOnOutsideClick: false,
                modal: false,
                positionStrategy: new ConnectedPositioningStrategy(this._positionSettings),
                scrollStrategy: new CloseScrollStrategy()
            };
            this.columnSelectOverlaySettings = {
                scrollStrategy: new AbsoluteScrollStrategy(),
                modal: false,
                closeOnOutsideClick: false,
                excludePositionTarget: true
            };
            this.conditionSelectOverlaySettings = {
                scrollStrategy: new AbsoluteScrollStrategy(),
                modal: false,
                closeOnOutsideClick: false,
                excludePositionTarget: true
            };
            this.display = 'block';
            this.destroy$ = new rxjs.Subject();
            this._dblClickDelay = 200;
            this._preventChipClick = false;
        }
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "editingInputsContainer", {
            get: /**
             * @return {?}
             */
            function () {
                return this._editingInputsContainer;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if ((value && !this._editingInputsContainer) ||
                    (value && this._editingInputsContainer && this._editingInputsContainer.nativeElement !== value.nativeElement)) {
                    requestAnimationFrame(function () {
                        _this.scrollElementIntoView(value.nativeElement);
                    });
                }
                this._editingInputsContainer = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "addModeContainer", {
            get: /**
             * @return {?}
             */
            function () {
                return this._addModeContainer;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if ((value && !this._addModeContainer) ||
                    (value && this._addModeContainer && this._addModeContainer.nativeElement !== value.nativeElement)) {
                    requestAnimationFrame(function () {
                        _this.scrollElementIntoView(value.nativeElement);
                    });
                }
                this._addModeContainer = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "currentGroupButtonsContainer", {
            get: /**
             * @return {?}
             */
            function () {
                return this._currentGroupButtonsContainer;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if ((value && !this._currentGroupButtonsContainer) ||
                    (value && this._currentGroupButtonsContainer && this._currentGroupButtonsContainer.nativeElement !== value.nativeElement)) {
                    requestAnimationFrame(function () {
                        _this.scrollElementIntoView(value.nativeElement);
                    });
                }
                this._currentGroupButtonsContainer = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this._overlaySettings.outlet = this.overlayOutlet;
            this.columnSelectOverlaySettings.outlet = this.overlayOutlet;
            this.conditionSelectOverlaySettings.outlet = this.overlayOutlet;
            this.contextMenuToggle.onClosed.pipe(operators.takeUntil(this.destroy$)).subscribe(function (args) {
                _this.contextualGroup = null;
            });
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.destroy$.next(true);
            this.destroy$.complete();
        };
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "displayDensity", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.displayDensity;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "selectedColumn", {
            get: /**
             * @return {?}
             */
            function () {
                return this._selectedColumn;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                /** @type {?} */
                var oldValue = this._selectedColumn;
                if (this._selectedColumn !== value) {
                    this._selectedColumn = value;
                    if (oldValue && this._selectedColumn && this._selectedColumn.dataType !== oldValue.dataType) {
                        this.selectedCondition = null;
                        this.searchValue = null;
                        this.cdr.detectChanges();
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "grid", {
            get: /**
             * @return {?}
             */
            function () {
                return this.filteringService.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAdvancedFilteringDialogComponent.prototype, "filterableColumns", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.columns.filter(function (col) { return !col.columnGroup && col.filterable; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} dragArgs
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.dragStart = /**
         * @param {?} dragArgs
         * @return {?}
         */
        function (dragArgs) {
            if (!this.contextMenuToggle.collapsed) {
                this.contextMenuToggle.element.style.display = 'none';
            }
        };
        /**
         * @param {?} dragArgs
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.dragEnd = /**
         * @param {?} dragArgs
         * @return {?}
         */
        function (dragArgs) {
            if (!this.contextMenuToggle.collapsed) {
                this.calculateContextMenuTarget();
                this.contextMenuToggle.reposition();
                this.contextMenuToggle.element.style.display = '';
            }
        };
        /**
         * @param {?} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.addCondition = /**
         * @param {?} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        function (parent, afterExpression) {
            this.cancelOperandAdd();
            /** @type {?} */
            var operandItem = new ExpressionOperandItem({
                fieldName: null,
                condition: null,
                ignoreCase: true,
                searchVal: null
            }, parent);
            if (afterExpression) {
                /** @type {?} */
                var index = parent.children.indexOf(afterExpression);
                parent.children.splice(index + 1, 0, operandItem);
            }
            else {
                parent.children.push(operandItem);
            }
            this.enterExpressionEdit(operandItem);
        };
        /**
         * @param {?=} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.addAndGroup = /**
         * @param {?=} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        function (parent, afterExpression) {
            this.addGroup(FilteringLogic.And, parent, afterExpression);
        };
        /**
         * @param {?=} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.addOrGroup = /**
         * @param {?=} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        function (parent, afterExpression) {
            this.addGroup(FilteringLogic.Or, parent, afterExpression);
        };
        /**
         * @param {?} groupItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.endGroup = /**
         * @param {?} groupItem
         * @return {?}
         */
        function (groupItem) {
            this.currentGroup = groupItem.parent;
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.commitOperandEdit = /**
         * @return {?}
         */
        function () {
            if (this.editedExpression) {
                this.editedExpression.expression.fieldName = this.selectedColumn.field;
                this.editedExpression.expression.condition = this.selectedColumn.filters.condition(this.selectedCondition);
                this.editedExpression.expression.searchVal = DataUtil.parseValue(this.selectedColumn.dataType, this.searchValue);
                this.editedExpression.columnHeader = this.selectedColumn.header;
                this.editedExpression.inEditMode = false;
                this.editedExpression = null;
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.cancelOperandAdd = /**
         * @return {?}
         */
        function () {
            if (this.addModeExpression) {
                this.addModeExpression.inAddMode = false;
                this.addModeExpression = null;
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.cancelOperandEdit = /**
         * @return {?}
         */
        function () {
            if (this.editedExpression) {
                this.editedExpression.inEditMode = false;
                if (!this.editedExpression.expression.fieldName) {
                    this.deleteItem(this.editedExpression);
                }
                this.editedExpression = null;
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.operandCanBeCommitted = /**
         * @return {?}
         */
        function () {
            return this.selectedColumn && this.selectedCondition &&
                (!!this.searchValue || this.selectedColumn.filters.condition(this.selectedCondition).isUnary);
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.exitOperandEdit = /**
         * @return {?}
         */
        function () {
            if (!this.editedExpression) {
                return;
            }
            if (this.operandCanBeCommitted()) {
                this.commitOperandEdit();
            }
            else {
                this.cancelOperandEdit();
            }
        };
        /**
         * @param {?} expression
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.isExpressionGroup = /**
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            return expression instanceof ExpressionGroupItem;
        };
        /**
         * @private
         * @param {?} operator
         * @param {?=} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.addGroup = /**
         * @private
         * @param {?} operator
         * @param {?=} parent
         * @param {?=} afterExpression
         * @return {?}
         */
        function (operator, parent, afterExpression) {
            this.cancelOperandAdd();
            /** @type {?} */
            var groupItem = new ExpressionGroupItem(operator, parent);
            if (parent) {
                if (afterExpression) {
                    /** @type {?} */
                    var index = parent.children.indexOf(afterExpression);
                    parent.children.splice(index + 1, 0, groupItem);
                }
                else {
                    parent.children.push(groupItem);
                }
            }
            else {
                this.rootGroup = groupItem;
            }
            this.addCondition(groupItem);
            this.currentGroup = groupItem;
        };
        /**
         * @private
         * @param {?} expressionTree
         * @param {?=} parent
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.createExpressionGroupItem = /**
         * @private
         * @param {?} expressionTree
         * @param {?=} parent
         * @return {?}
         */
        function (expressionTree, parent) {
            var e_1, _a;
            /** @type {?} */
            var groupItem;
            if (expressionTree) {
                groupItem = new ExpressionGroupItem(expressionTree.operator, parent);
                try {
                    for (var _b = __values(expressionTree.filteringOperands), _c = _b.next(); !_c.done; _c = _b.next()) {
                        var expr = _c.value;
                        if (expr instanceof FilteringExpressionsTree) {
                            groupItem.children.push(this.createExpressionGroupItem(expr, groupItem));
                        }
                        else {
                            /** @type {?} */
                            var filteringExpr = (/** @type {?} */ (expr));
                            /** @type {?} */
                            var exprCopy = {
                                fieldName: filteringExpr.fieldName,
                                condition: filteringExpr.condition,
                                searchVal: filteringExpr.searchVal,
                                ignoreCase: filteringExpr.ignoreCase
                            };
                            /** @type {?} */
                            var operandItem = new ExpressionOperandItem(exprCopy, groupItem);
                            /** @type {?} */
                            var column = this.grid.getColumnByName(filteringExpr.fieldName);
                            operandItem.columnHeader = column.header;
                            groupItem.children.push(operandItem);
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
            return groupItem;
        };
        /**
         * @private
         * @param {?} groupItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.createExpressionsTreeFromGroupItem = /**
         * @private
         * @param {?} groupItem
         * @return {?}
         */
        function (groupItem) {
            var e_2, _a;
            if (!groupItem) {
                return null;
            }
            /** @type {?} */
            var expressionsTree = new FilteringExpressionsTree(groupItem.operator);
            try {
                for (var _b = __values(groupItem.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var item = _c.value;
                    if (item instanceof ExpressionGroupItem) {
                        /** @type {?} */
                        var subTree = this.createExpressionsTreeFromGroupItem(((/** @type {?} */ (item))));
                        expressionsTree.filteringOperands.push(subTree);
                    }
                    else {
                        expressionsTree.filteringOperands.push(((/** @type {?} */ (item))).expression);
                    }
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
            return expressionsTree;
        };
        /**
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onChipRemove = /**
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            this.deleteItem(expressionItem);
        };
        /**
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onChipClick = /**
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            var _this = this;
            this._clickTimer = setTimeout(function () {
                if (!_this._preventChipClick) {
                    _this.onToggleExpression(expressionItem);
                }
                _this._preventChipClick = false;
            }, this._dblClickDelay);
        };
        /**
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onChipDblClick = /**
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            clearTimeout(this._clickTimer);
            this._preventChipClick = true;
            this.enterExpressionEdit(expressionItem);
        };
        /**
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.enterExpressionEdit = /**
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            this.clearSelection();
            this.exitOperandEdit();
            this.cancelOperandAdd();
            if (this.editedExpression) {
                this.editedExpression.inEditMode = false;
            }
            expressionItem.hovered = false;
            this.selectedColumn = expressionItem.expression.fieldName ?
                this.grid.getColumnByName(expressionItem.expression.fieldName) : null;
            this.selectedCondition = expressionItem.expression.condition ?
                expressionItem.expression.condition.name : null;
            this.searchValue = expressionItem.expression.searchVal;
            expressionItem.inEditMode = true;
            this.editedExpression = expressionItem;
            this.cdr.detectChanges();
            this.columnSelectOverlaySettings.positionStrategy = new AutoPositionStrategy({ target: this.columnSelect.element });
            this.conditionSelectOverlaySettings.positionStrategy = new AutoPositionStrategy({ target: this.conditionSelect.element });
            if (!this.selectedColumn) {
                this.columnSelect.input.nativeElement.focus();
            }
            else if (this.selectedColumn.filters.condition(this.selectedCondition).isUnary) {
                this.conditionSelect.input.nativeElement.focus();
            }
            else {
                this.searchValueInput.nativeElement.focus();
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.clearSelection = /**
         * @return {?}
         */
        function () {
            var e_3, _a, e_4, _b;
            try {
                for (var _c = __values(this.selectedGroups), _d = _c.next(); !_d.done; _d = _c.next()) {
                    var group = _d.value;
                    group.selected = false;
                }
            }
            catch (e_3_1) { e_3 = { error: e_3_1 }; }
            finally {
                try {
                    if (_d && !_d.done && (_a = _c.return)) _a.call(_c);
                }
                finally { if (e_3) throw e_3.error; }
            }
            this.selectedGroups = [];
            try {
                for (var _e = __values(this.selectedExpressions), _f = _e.next(); !_f.done; _f = _e.next()) {
                    var expr = _f.value;
                    expr.selected = false;
                }
            }
            catch (e_4_1) { e_4 = { error: e_4_1 }; }
            finally {
                try {
                    if (_f && !_f.done && (_b = _e.return)) _b.call(_e);
                }
                finally { if (e_4) throw e_4.error; }
            }
            this.selectedExpressions = [];
            this.toggleContextMenu();
        };
        /**
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.enterExpressionAdd = /**
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            this.clearSelection();
            this.exitOperandEdit();
            if (this.addModeExpression) {
                this.addModeExpression.inAddMode = false;
            }
            expressionItem.inAddMode = true;
            this.addModeExpression = expressionItem;
            if (expressionItem.selected) {
                this.toggleExpression(expressionItem);
            }
        };
        /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onToggleExpression = /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            this.exitOperandEdit();
            this.toggleExpression(expressionItem);
            this.toggleContextMenu();
        };
        /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.toggleExpression = /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            expressionItem.selected = !expressionItem.selected;
            if (expressionItem.selected) {
                this.selectedExpressions.push(expressionItem);
            }
            else {
                /** @type {?} */
                var index = this.selectedExpressions.indexOf(expressionItem);
                this.selectedExpressions.splice(index, 1);
                this.deselectParentRecursive(expressionItem);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.toggleContextMenu = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var contextualGroup = this.findSingleSelectedGroup();
            if (contextualGroup || this.selectedExpressions.length > 1) {
                this.contextualGroup = contextualGroup;
                if (contextualGroup) {
                    this.filteringLogics = [
                        {
                            label: this.grid.resourceStrings.igx_grid_filter_operator_and,
                            selected: contextualGroup.operator === FilteringLogic.And
                        },
                        {
                            label: this.grid.resourceStrings.igx_grid_filter_operator_or,
                            selected: contextualGroup.operator === FilteringLogic.Or
                        }
                    ];
                }
            }
            else {
                this.contextMenuToggle.close();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.findSingleSelectedGroup = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            var e_5, _a;
            var _loop_1 = function (group) {
                /** @type {?} */
                var containsAllSelectedExpressions = this_1.selectedExpressions.every(function (op) { return _this.isInsideGroup(op, group); });
                if (containsAllSelectedExpressions) {
                    return { value: group };
                }
            };
            var this_1 = this;
            try {
                for (var _b = __values(this.selectedGroups), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var group = _c.value;
                    var state_1 = _loop_1(group);
                    if (typeof state_1 === "object")
                        return state_1.value;
                }
            }
            catch (e_5_1) { e_5 = { error: e_5_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_5) throw e_5.error; }
            }
            return null;
        };
        /**
         * @private
         * @param {?} item
         * @param {?} group
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.isInsideGroup = /**
         * @private
         * @param {?} item
         * @param {?} group
         * @return {?}
         */
        function (item, group) {
            if (!item) {
                return false;
            }
            if (item.parent === group) {
                return true;
            }
            return this.isInsideGroup(item.parent, group);
        };
        /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.deleteItem = /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            if (!expressionItem.parent) {
                this.rootGroup = null;
                this.currentGroup = null;
                return;
            }
            if (expressionItem === this.currentGroup) {
                this.currentGroup = this.currentGroup.parent;
            }
            /** @type {?} */
            var children = expressionItem.parent.children;
            /** @type {?} */
            var index = children.indexOf(expressionItem);
            children.splice(index, 1);
            if (!children.length) {
                this.deleteItem(expressionItem.parent);
            }
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onKeyDown = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            eventArgs.stopPropagation();
            if (!this.contextMenuToggle.collapsed &&
                (eventArgs.key === "Escape" /* ESCAPE */ || eventArgs.key === "Esc" /* ESCAPE_IE */)) {
                this.clearSelection();
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.createAndGroup = /**
         * @return {?}
         */
        function () {
            this.createGroup(FilteringLogic.And);
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.createOrGroup = /**
         * @return {?}
         */
        function () {
            this.createGroup(FilteringLogic.Or);
        };
        /**
         * @private
         * @param {?} operator
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.createGroup = /**
         * @private
         * @param {?} operator
         * @return {?}
         */
        function (operator) {
            var e_6, _a;
            /** @type {?} */
            var chips = this.chips.toArray();
            /** @type {?} */
            var minIndex = this.selectedExpressions.reduce(function (i, e) { return Math.min(i, chips.findIndex(function (c) { return c.data === e; })); }, Number.MAX_VALUE);
            /** @type {?} */
            var firstExpression = chips[minIndex].data;
            /** @type {?} */
            var parent = firstExpression.parent;
            /** @type {?} */
            var groupItem = new ExpressionGroupItem(operator, parent);
            /** @type {?} */
            var index = parent.children.indexOf(firstExpression);
            parent.children.splice(index, 0, groupItem);
            try {
                for (var _b = __values(this.selectedExpressions), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var expr = _c.value;
                    this.deleteItem(expr);
                    groupItem.children.push(expr);
                    expr.parent = groupItem;
                }
            }
            catch (e_6_1) { e_6 = { error: e_6_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_6) throw e_6.error; }
            }
            this.clearSelection();
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.deleteFilters = /**
         * @return {?}
         */
        function () {
            var e_7, _a;
            try {
                for (var _b = __values(this.selectedExpressions), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var expr = _c.value;
                    this.deleteItem(expr);
                }
            }
            catch (e_7_1) { e_7 = { error: e_7_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_7) throw e_7.error; }
            }
            this.clearSelection();
        };
        /**
         * @param {?} groupItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onGroupClick = /**
         * @param {?} groupItem
         * @return {?}
         */
        function (groupItem) {
            this.toggleGroup(groupItem);
        };
        /**
         * @private
         * @param {?} groupItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.toggleGroup = /**
         * @private
         * @param {?} groupItem
         * @return {?}
         */
        function (groupItem) {
            this.exitOperandEdit();
            if (groupItem.children && groupItem.children.length) {
                this.toggleGroupRecursive(groupItem, !groupItem.selected);
                if (!groupItem.selected) {
                    this.deselectParentRecursive(groupItem);
                }
                this.toggleContextMenu();
            }
        };
        /**
         * @private
         * @param {?} groupItem
         * @param {?} selected
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.toggleGroupRecursive = /**
         * @private
         * @param {?} groupItem
         * @param {?} selected
         * @return {?}
         */
        function (groupItem, selected) {
            var e_8, _a;
            if (groupItem.selected !== selected) {
                groupItem.selected = selected;
                if (groupItem.selected) {
                    this.selectedGroups.push(groupItem);
                }
                else {
                    /** @type {?} */
                    var index = this.selectedGroups.indexOf(groupItem);
                    this.selectedGroups.splice(index, 1);
                }
            }
            try {
                for (var _b = __values(groupItem.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var expr = _c.value;
                    if (expr instanceof ExpressionGroupItem) {
                        this.toggleGroupRecursive(expr, selected);
                    }
                    else {
                        /** @type {?} */
                        var operandExpression = (/** @type {?} */ (expr));
                        if (operandExpression.selected !== selected) {
                            this.toggleExpression(operandExpression);
                        }
                    }
                }
            }
            catch (e_8_1) { e_8 = { error: e_8_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_8) throw e_8.error; }
            }
        };
        /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.deselectParentRecursive = /**
         * @private
         * @param {?} expressionItem
         * @return {?}
         */
        function (expressionItem) {
            /** @type {?} */
            var parent = expressionItem.parent;
            if (parent) {
                if (parent.selected) {
                    parent.selected = false;
                    /** @type {?} */
                    var index = this.selectedGroups.indexOf(parent);
                    this.selectedGroups.splice(index, 1);
                }
                this.deselectParentRecursive(parent);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.calculateContextMenuTarget = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var containerRect = this.expressionsContainer.nativeElement.getBoundingClientRect();
            /** @type {?} */
            var chips = this.chips.filter(function (c) { return _this.selectedExpressions.indexOf(c.data) !== -1; });
            /** @type {?} */
            var minTop = chips.reduce(function (t, c) {
                return Math.min(t, c.elementRef.nativeElement.getBoundingClientRect().top);
            }, Number.MAX_VALUE);
            minTop = Math.max(containerRect.top, minTop);
            minTop = Math.min(containerRect.bottom, minTop);
            /** @type {?} */
            var maxRight = chips.reduce(function (r, c) {
                return Math.max(r, c.elementRef.nativeElement.getBoundingClientRect().right);
            }, 0);
            maxRight = Math.max(maxRight, containerRect.left);
            maxRight = Math.min(maxRight, containerRect.right);
            this._overlaySettings.positionStrategy.settings.target = new Point(maxRight, minTop);
        };
        /**
         * @private
         * @param {?} target
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.scrollElementIntoView = /**
         * @private
         * @param {?} target
         * @return {?}
         */
        function (target) {
            /** @type {?} */
            var container = this.expressionsContainer.nativeElement;
            /** @type {?} */
            var targetOffset = target.offsetTop - container.offsetTop;
            /** @type {?} */
            var delta = 10;
            if (container.scrollTop + delta > targetOffset) {
                container.scrollTop = targetOffset - delta;
            }
            else if (container.scrollTop + container.clientHeight < targetOffset + target.offsetHeight + delta) {
                container.scrollTop = targetOffset + target.offsetHeight + delta - container.clientHeight;
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.ungroup = /**
         * @return {?}
         */
        function () {
            var _a, e_9, _b;
            /** @type {?} */
            var selectedGroup = this.contextualGroup;
            /** @type {?} */
            var parent = selectedGroup.parent;
            if (parent) {
                /** @type {?} */
                var index = parent.children.indexOf(selectedGroup);
                (_a = parent.children).splice.apply(_a, __spread([index, 1], selectedGroup.children));
                try {
                    for (var _c = __values(selectedGroup.children), _d = _c.next(); !_d.done; _d = _c.next()) {
                        var expr = _d.value;
                        expr.parent = parent;
                    }
                }
                catch (e_9_1) { e_9 = { error: e_9_1 }; }
                finally {
                    try {
                        if (_d && !_d.done && (_b = _c.return)) _b.call(_c);
                    }
                    finally { if (e_9) throw e_9.error; }
                }
            }
            this.clearSelection();
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.deleteGroup = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selectedGroup = this.contextualGroup;
            /** @type {?} */
            var parent = selectedGroup.parent;
            if (parent) {
                /** @type {?} */
                var index = parent.children.indexOf(selectedGroup);
                parent.children.splice(index, 1);
            }
            else {
                this.rootGroup = null;
            }
            this.clearSelection();
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.selectFilteringLogic = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.contextualGroup.operator = (/** @type {?} */ (event.index));
        };
        /**
         * @param {?} name
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.getConditionFriendlyName = /**
         * @param {?} name
         * @return {?}
         */
        function (name) {
            return this.grid.resourceStrings["igx_grid_filter_" + name] || name;
        };
        /**
         * @param {?} value
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.isDate = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value instanceof Date;
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onExpressionsScrolled = /**
         * @return {?}
         */
        function () {
            if (!this.contextMenuToggle.collapsed) {
                this.calculateContextMenuTarget();
                this.contextMenuToggle.reposition();
            }
        };
        /**
         * @param {?} eventArgs
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.invokeClick = /**
         * @param {?} eventArgs
         * @return {?}
         */
        function (eventArgs) {
            if (eventArgs.key === "Enter" /* ENTER */ || eventArgs.key === " " /* SPACE */ || eventArgs.key === "Spacebar" /* SPACE_IE */) {
                eventArgs.preventDefault();
                ((/** @type {?} */ (eventArgs.currentTarget))).click();
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onOutletPointerDown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // This prevents closing the select's dropdown when clicking the scroll
            event.preventDefault();
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.getConditionList = /**
         * @return {?}
         */
        function () {
            return this.selectedColumn ? this.selectedColumn.filters.conditionList() : [];
        };
        /**
         * @param {?} filteringService
         * @param {?} overlayService
         * @param {?} overlayComponentId
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.initialize = /**
         * @param {?} filteringService
         * @param {?} overlayService
         * @param {?} overlayComponentId
         * @return {?}
         */
        function (filteringService, overlayService, overlayComponentId) {
            var _this = this;
            this.filteringService = filteringService;
            this.overlayService = overlayService;
            this.overlayComponentId = overlayComponentId;
            this.filteringService.registerSVGIcons();
            // Set pointer-events to none of the overlay content element which blocks the grid interaction after dragging
            this.overlayService.onOpened.pipe(operators.first()).subscribe(function () {
                if (_this.element.nativeElement.parentElement) {
                    _this.element.nativeElement.parentElement.style['pointer-events'] = 'none';
                }
            });
            if (this.grid.advancedFilteringExpressionsTree) {
                this.rootGroup = this.createExpressionGroupItem(this.grid.advancedFilteringExpressionsTree);
                this.currentGroup = this.rootGroup;
            }
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.setAddButtonFocus = /**
         * @hidden \@internal
         * @return {?}
         */
        function () {
            if (this.addRootAndGroupButton) {
                this.addRootAndGroupButton.nativeElement.focus();
            }
            else if (this.addConditionButton) {
                this.addConditionButton.nativeElement.focus();
            }
        };
        /**
         * @param {?} expression
         * @param {?=} afterExpression
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.context = /**
         * @param {?} expression
         * @param {?=} afterExpression
         * @return {?}
         */
        function (expression, afterExpression) {
            return {
                $implicit: expression,
                afterExpression: afterExpression
            };
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onClearButtonClick = /**
         * @return {?}
         */
        function () {
            this.clearSelection();
            this.cancelOperandAdd();
            this.cancelOperandEdit();
            this.currentGroup = null;
            this.rootGroup = null;
            this.grid.advancedFilteringExpressionsTree = null;
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.closeDialog = /**
         * @return {?}
         */
        function () {
            if (this.overlayComponentId) {
                this.overlayService.hide(this.overlayComponentId);
            }
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.applyChanges = /**
         * @return {?}
         */
        function () {
            this.exitOperandEdit();
            this.grid.advancedFilteringExpressionsTree = this.createExpressionsTreeFromGroupItem(this.rootGroup);
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onApplyButtonClick = /**
         * @return {?}
         */
        function () {
            this.applyChanges();
            this.closeDialog();
        };
        /**
         * @return {?}
         */
        IgxAdvancedFilteringDialogComponent.prototype.onChipSelectionEnd = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var contextualGroup = this.findSingleSelectedGroup();
            if (contextualGroup || this.selectedExpressions.length > 1) {
                this.contextualGroup = contextualGroup;
                this.calculateContextMenuTarget();
                if (this.contextMenuToggle.collapsed) {
                    this.contextMenuToggle.open(this._overlaySettings);
                }
                else {
                    this.contextMenuToggle.reposition();
                }
            }
        };
        IgxAdvancedFilteringDialogComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-advanced-filtering-dialog',
                        template: "<article\n    class=\"igx-advanced-filter\"\n    igxDrag\n    [ghost]=\"false\"\n    [dragTolerance]=\"0\"\n    (dragStart)=\"dragStart($event)\"\n    (dragEnd)=\"dragEnd($event)\"\n    (keydown)=\"onKeyDown($event)\"\n    [ngClass]=\"{\n        'igx-advanced-filter--cosy': grid.displayDensity === 'cosy',\n        'igx-advanced-filter--compact': grid.displayDensity === 'compact'\n    }\"\n>\n    <header class=\"igx-advanced-filter__header\" igxDragHandle>\n        <h4 class=\"igx-typography__h6\" style=\"pointer-events: none;\">\n            {{ grid.resourceStrings.igx_grid_advanced_filter_title }}\n        </h4>\n        <div class=\"igx-filter-legend\">\n            <div class=\"igx-filter-legend__item--and\">\n                <span>{{ grid.resourceStrings.igx_grid_advanced_filter_and_label }}</span>\n            </div>\n            <div class=\"igx-filter-legend__item--or\">\n                <span>{{ grid.resourceStrings.igx_grid_advanced_filter_or_label }}</span>\n            </div>\n        </div>\n    </header>\n\n    <article #expressionsContainer\n             class=\"igx-advanced-filter__main\"\n             (scroll)=\"onExpressionsScrolled()\">\n        <ng-container *ngIf=\"!rootGroup\">\n\n            <button #addRootAndGroupButton\n                igxButton=\"outlined\"\n                [displayDensity]=\"displayDensity\"\n                (click)=\"addAndGroup()\"\n            >\n                <igx-icon fontSet=\"material\">add</igx-icon>\n                <span>{{grid.resourceStrings.igx_grid_advanced_filter_and_group}}</span>\n            </button>\n\n            <button igxButton=\"outlined\" [displayDensity]=\"displayDensity\" (click)=\"addOrGroup()\">\n                <igx-icon fontSet=\"material\">add</igx-icon>\n                <span>{{grid.resourceStrings.igx_grid_advanced_filter_or_group}}</span>\n            </button>\n\n            <div class=\"igx-filter-empty\">\n                <h6 class=\"igx-filter-empty__title\">\n                    {{grid.resourceStrings.igx_grid_advanced_filter_initial_text}}\n                </h6>\n            </div>\n        </ng-container>\n\n        <ng-template #addExpressionsTemplate let-expressionItem let-afterExpression=\"afterExpression\">\n            <button #addConditionButton\n                    igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    [disabled]=\"editedExpression\"\n                    (click)=\"addCondition(expressionItem, afterExpression)\"\n            >\n                <igx-icon fontSet=\"material\">add</igx-icon>\n                <span>{{grid.resourceStrings.igx_grid_advanced_filter_add_condition}}</span>\n            </button>\n\n            <button igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    [disabled]=\"editedExpression\"\n                    (click)=\"addAndGroup(expressionItem, afterExpression)\">\n                <igx-icon fontSet=\"material\">add</igx-icon>\n                <span>{{grid.resourceStrings.igx_grid_advanced_filter_and_group}}</span>\n            </button>\n\n            <button igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    [disabled]=\"editedExpression\"\n                    (click)=\"addOrGroup(expressionItem, afterExpression)\">\n                <igx-icon fontSet=\"material\">add</igx-icon>\n                <span>{{grid.resourceStrings.igx_grid_advanced_filter_or_group}}</span>\n            </button>\n\n        </ng-template>\n\n        <ng-template #filterOperandTemplate let-expressionItem>\n            <div *ngIf=\"!expressionItem.inEditMode\"\n                class=\"igx-filter-tree__expression-item\"\n                (mouseenter)=\"expressionItem.hovered = true\"\n                (mouseleave)=\"expressionItem.hovered = false\"\n                >\n                <igx-chip [data]=\"expressionItem\"\n                          [displayDensity]=\"displayDensity === 'compact' ? 'cosy' : displayDensity\"\n                          [removable]=\"true\"\n                          [selected]=\"expressionItem.selected\"\n                          (keydown)=\"invokeClick($event)\"\n                          (click)=\"onChipClick(expressionItem)\"\n                          (dblclick)=\"onChipDblClick(expressionItem)\"\n                          (onRemove)=\"onChipRemove(expressionItem)\"\n                          (onSelectionDone)=\"onChipSelectionEnd()\"\n                    >\n                    <span igxPrefix class=\"igx-filter-tree__expression-column\">{{ expressionItem.columnHeader || expressionItem.expression.fieldName }}</span>\n                    <igx-icon\n                        igxPrefix\n                        fontSet=\"filtering-icons\"\n                        [name]=\"expressionItem.expression.condition.iconName\"\n                    >\n                    </igx-icon>\n                    <span class=\"igx-filter-tree__expression-condition\">\n                        {{ getConditionFriendlyName(expressionItem.expression.condition.name) }}\n                    </span>\n                    <span igxSuffix *ngIf=\"!expressionItem.expression.condition.isUnary\">\n                        {{ isDate(expressionItem.expression.searchVal) ? (expressionItem.expression.searchVal | igxdate:grid.locale) : expressionItem.expression.searchVal }}\n                    </span>\n                </igx-chip>\n                <div class=\"igx-filter-tree__expression-actions\"\n                *ngIf=\"(expressionItem.selected && selectedExpressions.length === 1) || expressionItem.hovered\">\n                    <igx-icon\n                        tabindex=\"0\"\n                        (keydown)=\"invokeClick($event)\"\n                        (click)=\"enterExpressionEdit(expressionItem)\">\n                        edit\n                    </igx-icon>\n                    <igx-icon\n                        tabindex=\"0\"\n                        (keydown)=\"invokeClick($event)\"\n                        (click)=\"enterExpressionAdd(expressionItem)\"\n                        *ngIf=\"!expressionItem.inAddMode && (expressionItem.parent !== currentGroup || expressionItem !== currentGroup.children[currentGroup.children.length - 1])\"\n                    >\n                        add\n                    </igx-icon>\n                </div>\n            </div>\n\n            <div *ngIf=\"expressionItem.inEditMode\"\n                #editingInputsContainer\n                class=\"igx-filter-tree__inputs\"\n            >\n                <igx-select #columnSelect\n                            type=\"box\"\n                            [displayDensity]=\"'compact'\"\n                            [overlaySettings]=\"columnSelectOverlaySettings\"\n                            [placeholder]=\"grid.resourceStrings.igx_grid_advanced_filter_column_placeholder\"\n                            [(ngModel)]=\"selectedColumn\">\n                    <igx-select-item *ngFor=\"let column of filterableColumns\" [value]=\"column\">\n                        {{column.header || column.field}}\n                    </igx-select-item>\n                </igx-select>\n\n                <igx-select #conditionSelect\n                            type=\"box\"\n                            [displayDensity]=\"'compact'\"\n                            [overlaySettings]=\"conditionSelectOverlaySettings\"\n                            [placeholder]=\"grid.resourceStrings.igx_grid_filter_condition_placeholder\"\n                            [(ngModel)]=\"selectedCondition\"\n                            [disabled]=\"!selectedColumn\">\n                    <igx-icon *ngIf=\"selectedColumn && conditionSelect.value && selectedColumn.filters.condition(conditionSelect.value)\"\n                              igxPrefix\n                              fontSet=\"filtering-icons\"\n                              [name]=\"selectedColumn.filters.condition(conditionSelect.value).iconName\">\n                    </igx-icon>\n                    <igx-select-item *ngFor=\"let condition of getConditionList()\" [value]=\"condition\">\n                        <igx-icon fontSet=\"filtering-icons\"\n                                  [name]=\"selectedColumn.filters.condition(condition).iconName\">\n                        </igx-icon>\n                        <span>{{getConditionFriendlyName(condition)}}</span>\n                    </igx-select-item>\n                </igx-select>\n\n                <igx-input-group *ngIf=\"!selectedColumn || selectedColumn.dataType !== 'date'\"\n                                 type=\"box\"\n                                 [disabled]=\"!selectedColumn || !selectedCondition || (selectedColumn && selectedColumn.filters.condition(selectedCondition).isUnary)\"\n                                 [displayDensity]=\"'compact'\">\n                    <input #searchValueInput\n                           igxInput\n                           [type]=\"selectedColumn && selectedColumn.dataType === 'number' ? 'number' : 'text'\"\n                           [placeholder]=\"grid.resourceStrings.igx_grid_advanced_filter_value_placeholder\"\n                           [(ngModel)]=\"searchValue\"/>\n                </igx-input-group>\n\n                <igx-date-picker *ngIf=\"selectedColumn && selectedColumn.dataType === 'date'\"\n                                 mode=\"dropdown\"\n                                 [(ngModel)]=\"searchValue\"\n                                 [locale]=\"grid.locale\"\n                                 [outlet]=\"grid.outletDirective\">\n                    <ng-template igxDatePickerTemplate let-openDialog=\"openDialog\" let-value=\"value\">\n                        <igx-input-group #dropDownTarget type=\"box\" [displayDensity]=\"'compact'\" [supressInputAutofocus]=\"true\">\n                            <input #searchValueInput\n                                    igxInput\n                                    tabindex=\"0\"\n                                    (keydown)=\"invokeClick($event)\"\n                                    (click)=\"openDialog(dropDownTarget.element.nativeElement)\"\n                                    [placeholder]=\"grid.resourceStrings.igx_grid_filter_row_date_placeholder\"\n                                    autocomplete=\"off\"\n                                    [value]=\"value | igxdate: grid.locale\"\n                                    [readonly]=\"true\"\n                                    [disabled]=\"!selectedColumn || !selectedCondition || (selectedColumn && selectedColumn.filters.condition(selectedCondition).isUnary)\"/>\n                        </igx-input-group>\n                    </ng-template>\n                </igx-date-picker>\n\n                <div class=\"igx-filter-tree__inputs-actions\">\n                    <button igxButton=\"icon\"\n                            [displayDensity]=\"displayDensity\"\n                            [disabled]=\"!operandCanBeCommitted()\"\n                            (click)=\"commitOperandEdit()\">\n                        <igx-icon fontSet=\"material\">check</igx-icon>\n                    </button>\n                    <button igxButton=\"icon\"\n                            [displayDensity]=\"displayDensity\"\n                            (click)=\"cancelOperandEdit()\">\n                        <igx-icon fontSet=\"material\">close</igx-icon>\n                    </button>\n                </div>\n            </div>\n\n            <div *ngIf=\"expressionItem.inAddMode\"\n                #addModeContainer\n                class=\"igx-filter-tree__buttons\"\n            >\n                <ng-container *ngTemplateOutlet=\"addExpressionsTemplate; context: context(expressionItem.parent, expressionItem)\"></ng-container>\n                <button igxButton=\"icon\"\n                        [displayDensity]=\"displayDensity\"\n                        (click)=\"cancelOperandAdd()\">\n                    <igx-icon fontSet=\"material\">close</igx-icon>\n                </button>\n            </div>\n\n        </ng-template>\n\n        <ng-template #expressionTreeTemplate let-expressionItem>\n            <div class=\"igx-filter-tree\">\n                <div tabindex=\"0\"\n                     class=\"igx-filter-tree__line\"\n                     [ngClass]=\"{\n                         'igx-filter-tree__line--and': expressionItem.operator === 0,\n                         'igx-filter-tree__line--or': expressionItem.operator === 1,\n                         'igx-filter-tree__line--selected': expressionItem.selected\n                     }\"\n                     (keydown)=\"invokeClick($event)\"\n                     (click)=\"onGroupClick(expressionItem)\"\n                ></div>\n\n                <div class=\"igx-filter-tree__expression\">\n                    <ng-container *ngFor=\"let expr of expressionItem.children\">\n                        <ng-container *ngTemplateOutlet=\"isExpressionGroup(expr) ? expressionTreeTemplate : filterOperandTemplate; context: context(expr)\"></ng-container>\n                    </ng-container>\n                    <div *ngIf=\"currentGroup === expressionItem\"\n                        #currentGroupButtonsContainer\n                        class=\"igx-filter-tree__buttons\">\n                        <ng-container *ngTemplateOutlet=\"addExpressionsTemplate; context: context(expressionItem)\"></ng-container>\n                        <button igxButton=\"outlined\"\n                                *ngIf=\"expressionItem !== rootGroup\"\n                                [displayDensity]=\"displayDensity\"\n                                [disabled]=\"editedExpression || expressionItem.children.length < 2\"\n                                (click)=\"endGroup(expressionItem)\">\n                            <span>{{grid.resourceStrings.igx_grid_advanced_filter_end_group}}</span>\n                        </button>\n                    </div>\n                </div>\n            </div>\n\n        </ng-template>\n\n        <ng-container *ngIf=\"rootGroup\">\n            <ng-container *ngTemplateOutlet=\"expressionTreeTemplate; context: context(rootGroup)\"></ng-container>\n        </ng-container>\n\n        <div igxToggle\n            class=\"igx-filter-contextual-menu\"\n            (keydown)=\"onKeyDown($event)\"\n            [ngClass]=\"{\n                'igx-filter-contextual-menu--cosy': displayDensity === 'cosy',\n                'igx-filter-contextual-menu--compact': displayDensity === 'compact'\n            }\"\n        >\n            <button igxButton=\"icon\"\n                    class=\"igx-filter-contextual-menu__close-btn\"\n                    (click)=\"clearSelection()\"\n            >\n                <igx-icon>close</igx-icon>\n            </button>\n\n            <ng-container *ngIf=\"contextualGroup\">\n                <igx-buttongroup [displayDensity]=\"displayDensity\"\n                                 [multiSelection]=\"false\"\n                                 [values]=\"filteringLogics\"\n                                 type=\"outline\"\n                                 (onSelect)=\"selectFilteringLogic($event)\">\n                </igx-buttongroup>\n\n                <button\n                    igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    [disabled]=\"!contextualGroup.parent\"\n                    (click)=\"ungroup()\"\n                >\n                    <igx-icon fontSet=\"filtering-icons\" name=\"ungroup\"></igx-icon>\n                    <span>{{grid.resourceStrings.igx_grid_advanced_filter_ungroup}}</span>\n                </button>\n                <button\n                    igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    (click)=\"deleteGroup()\"\n                    class=\"igx-filter-contextual-menu__delete-btn\"\n                >\n                    <igx-icon>delete</igx-icon>\n                    <span>{{grid.resourceStrings.igx_grid_advanced_filter_delete}}</span>\n                </button>\n            </ng-container>\n            <ng-container *ngIf=\"!contextualGroup\">\n                <button\n                    igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    (click)=\"createAndGroup()\"\n                >\n                    {{grid.resourceStrings.igx_grid_advanced_filter_create_and_group}}\n                </button>\n                <button\n                    igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    (click)=\"createOrGroup()\"\n                >\n                    {{grid.resourceStrings.igx_grid_advanced_filter_create_or_group}}\n                </button>\n                <button\n                    igxButton=\"outlined\"\n                    [displayDensity]=\"displayDensity\"\n                    (click)=\"deleteFilters()\"\n                    class=\"igx-filter-contextual-menu__delete-btn\"\n                >\n                    {{grid.resourceStrings.igx_grid_advanced_filter_delete_filters}}\n                </button>\n            </ng-container>\n        </div>\n    </article>\n\n    <footer class=\"igx-excel-filter__secondary-footer\">\n        <button igxButton [displayDensity]=\"displayDensity\" (click)=\"onClearButtonClick()\">{{ grid.resourceStrings.igx_grid_excel_custom_dialog_clear }}</button>\n\n        <div>\n            <button igxButton [displayDensity]=\"displayDensity\" (click)=\"closeDialog()\">{{ grid.resourceStrings.igx_grid_excel_cancel }}</button>\n            <button igxButton=\"raised\" [displayDensity]=\"displayDensity\" (click)=\"onApplyButtonClick()\">\n                {{ grid.resourceStrings.igx_grid_excel_apply }}\n            </button>\n        </div>\n    </footer>\n</article>\n<div #overlayOutlet\n     igxOverlayOutlet\n     class=\"igx-advanced-filter__outlet\"\n     (pointerdown)=\"onOutletPointerDown($event)\">\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxAdvancedFilteringDialogComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxAdvancedFilteringDialogComponent.propDecorators = {
            filteringService: [{ type: core.Input }],
            overlayComponentId: [{ type: core.Input }],
            overlayService: [{ type: core.Input }],
            columnSelect: [{ type: core.ViewChild, args: ['columnSelect', { read: IgxSelectComponent, static: false },] }],
            conditionSelect: [{ type: core.ViewChild, args: ['conditionSelect', { read: IgxSelectComponent, static: false },] }],
            searchValueInput: [{ type: core.ViewChild, args: ['searchValueInput', { read: core.ElementRef, static: false },] }],
            addRootAndGroupButton: [{ type: core.ViewChild, args: ['addRootAndGroupButton', { read: core.ElementRef, static: false },] }],
            addConditionButton: [{ type: core.ViewChild, args: ['addConditionButton', { read: core.ElementRef, static: false },] }],
            editingInputsContainer: [{ type: core.ViewChild, args: ['editingInputsContainer', { read: core.ElementRef, static: false },] }],
            addModeContainer: [{ type: core.ViewChild, args: ['addModeContainer', { read: core.ElementRef, static: false },] }],
            currentGroupButtonsContainer: [{ type: core.ViewChild, args: ['currentGroupButtonsContainer', { read: core.ElementRef, static: false },] }],
            contextMenuToggle: [{ type: core.ViewChild, args: [IgxToggleDirective, { static: true },] }],
            chips: [{ type: core.ViewChildren, args: [IgxChipComponent,] }],
            expressionsContainer: [{ type: core.ViewChild, args: ['expressionsContainer', { static: true },] }],
            overlayOutlet: [{ type: core.ViewChild, args: ['overlayOutlet', { read: IgxOverlayOutletDirective, static: true },] }],
            display: [{ type: core.HostBinding, args: ['style.display',] }]
        };
        return IgxAdvancedFilteringDialogComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxRowSelectorDirective = /** @class */ (function () {
        function IgxRowSelectorDirective(templateRef) {
            this.templateRef = templateRef;
        }
        IgxRowSelectorDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowSelector]'
                    },] }
        ];
        /** @nocollapse */
        IgxRowSelectorDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxRowSelectorDirective;
    }());
    /**
     * @hidden
     */
    var IgxHeadSelectorDirective = /** @class */ (function () {
        function IgxHeadSelectorDirective(templateRef) {
            this.templateRef = templateRef;
        }
        IgxHeadSelectorDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxHeadSelector]'
                    },] }
        ];
        /** @nocollapse */
        IgxHeadSelectorDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxHeadSelectorDirective;
    }());
    /**
     * @hidden
     */
    var IgxRowSelectorsModule = /** @class */ (function () {
        function IgxRowSelectorsModule() {
        }
        IgxRowSelectorsModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxRowSelectorDirective, IgxHeadSelectorDirective],
                        exports: [IgxRowSelectorDirective, IgxHeadSelectorDirective]
                    },] }
        ];
        return IgxRowSelectorsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGroupByRowTemplateDirective = /** @class */ (function () {
        function IgxGroupByRowTemplateDirective(template) {
            this.template = template;
        }
        IgxGroupByRowTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxGroupByRow]'
                    },] }
        ];
        /** @nocollapse */
        IgxGroupByRowTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxGroupByRowTemplateDirective;
    }());
    /**
     * @hidden
     */
    var IgxRowExpandedIndicatorDirective = /** @class */ (function () {
        function IgxRowExpandedIndicatorDirective() {
        }
        IgxRowExpandedIndicatorDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowExpandedIndicator]'
                    },] }
        ];
        return IgxRowExpandedIndicatorDirective;
    }());
    /**
     * @hidden
     */
    var IgxRowCollapsedIndicatorDirective = /** @class */ (function () {
        function IgxRowCollapsedIndicatorDirective() {
        }
        IgxRowCollapsedIndicatorDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowCollapsedIndicator]'
                    },] }
        ];
        return IgxRowCollapsedIndicatorDirective;
    }());
    /**
     * @hidden
     */
    var IgxHeaderExpandIndicatorDirective = /** @class */ (function () {
        function IgxHeaderExpandIndicatorDirective() {
        }
        IgxHeaderExpandIndicatorDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxHeaderExpandedIndicator]'
                    },] }
        ];
        return IgxHeaderExpandIndicatorDirective;
    }());
    /**
     * @hidden
     */
    var IgxHeaderCollapseIndicatorDirective = /** @class */ (function () {
        function IgxHeaderCollapseIndicatorDirective() {
        }
        IgxHeaderCollapseIndicatorDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxHeaderCollapsedIndicator]'
                    },] }
        ];
        return IgxHeaderCollapseIndicatorDirective;
    }());
    /**
     * @hidden
     */
    var IgxGroupAreaDropDirective = /** @class */ (function (_super) {
        __extends(IgxGroupAreaDropDirective, _super);
        function IgxGroupAreaDropDirective(elementRef, renderer, zone) {
            var _this = _super.call(this, elementRef, renderer, zone) || this;
            _this.elementRef = elementRef;
            _this.renderer = renderer;
            _this.zone = zone;
            _this.hovered = false;
            return _this;
        }
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGroupAreaDropDirective.prototype.onDragEnter = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var drag = event.detail.owner;
            /** @type {?} */
            var column = drag.column;
            if (!this.columnBelongsToGrid(column)) {
                return;
            }
            /** @type {?} */
            var grid = (/** @type {?} */ (column.grid));
            /** @type {?} */
            var isGrouped = grid.groupingExpressions.findIndex(function (item) { return item.fieldName === column.field; }) !== -1;
            if (column.groupable && !isGrouped && !column.columnGroup && !!column.field) {
                drag.icon.innerText = 'group_work';
                this.hovered = true;
            }
            else {
                drag.icon.innerText = 'block';
                this.hovered = false;
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGroupAreaDropDirective.prototype.onDragLeave = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var drag = event.detail.owner;
            /** @type {?} */
            var column = drag.column;
            if (!this.columnBelongsToGrid(column)) {
                return;
            }
            event.detail.owner.icon.innerText = 'block';
            this.hovered = false;
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxGroupAreaDropDirective.prototype.onDragDrop = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var drag = event.detail.owner;
            if (drag instanceof IgxColumnMovingDragDirective) {
                /** @type {?} */
                var column_1 = drag.column;
                if (!this.columnBelongsToGrid(column_1)) {
                    return;
                }
                /** @type {?} */
                var grid = (/** @type {?} */ (column_1.grid));
                /** @type {?} */
                var isGrouped = grid.groupingExpressions.findIndex(function (item) { return item.fieldName === column_1.field; }) !== -1;
                if (column_1.groupable && !isGrouped && !column_1.columnGroup && !!column_1.field) {
                    grid.groupBy({ fieldName: column_1.field, dir: SortingDirection.Asc, ignoreCase: column_1.sortingIgnoreCase,
                        strategy: column_1.sortStrategy, groupingComparer: column_1.groupingComparer });
                }
            }
        };
        /**
         * @private
         * @param {?} elem
         * @param {?} attr
         * @return {?}
         */
        IgxGroupAreaDropDirective.prototype.closestParentByAttr = /**
         * @private
         * @param {?} elem
         * @param {?} attr
         * @return {?}
         */
        function (elem, attr) {
            return elem.hasAttribute(attr) ?
                elem :
                this.closestParentByAttr(elem.parentElement, attr);
        };
        /**
         * @private
         * @param {?} column
         * @return {?}
         */
        IgxGroupAreaDropDirective.prototype.columnBelongsToGrid = /**
         * @private
         * @param {?} column
         * @return {?}
         */
        function (column) {
            /** @type {?} */
            var elem = this.elementRef.nativeElement;
            /** @type {?} */
            var closestGridID = this.closestParentByAttr(elem, 'igxGroupAreaDrop').getAttribute('gridId');
            if (!column) {
                return false;
            }
            else {
                /** @type {?} */
                var grid = (/** @type {?} */ (column.grid));
                if (!grid || grid.id !== closestGridID) {
                    return false;
                }
                return true;
            }
        };
        IgxGroupAreaDropDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxGroupAreaDrop]'
                    },] }
        ];
        /** @nocollapse */
        IgxGroupAreaDropDirective.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.Renderer2 },
            { type: core.NgZone }
        ]; };
        IgxGroupAreaDropDirective.propDecorators = {
            hovered: [{ type: core.HostBinding, args: ['class.igx-drop-area--hover',] }]
        };
        return IgxGroupAreaDropDirective;
    }(IgxDropDirective));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ghostBackgroundClass = 'igx-grid__tr--ghost';
    /** @type {?} */
    var gridCellClass = 'igx-grid__td';
    /** @type {?} */
    var rowSelectedClass = 'igx-grid__tr--selected';
    /** @type {?} */
    var cellSelectedClass = 'igx-grid__td--selected';
    /** @type {?} */
    var cellActiveClass = 'igx-grid__td--active';
    /**
     * @hidden
     */
    var IgxRowDragDirective = /** @class */ (function (_super) {
        __extends(IgxRowDragDirective, _super);
        function IgxRowDragDirective() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this._rowDragStarted = false;
            _this.transitionEndEvent = function (evt) {
                if (_this.ghostElement) {
                    _this.ghostElement.removeEventListener('transitionend', _this.transitionEndEvent, false);
                }
                _this.endDragging();
            };
            return _this;
        }
        Object.defineProperty(IgxRowDragDirective.prototype, "data", {
            get: /**
             * @return {?}
             */
            function () {
                return this.row;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this.row = val;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} event
         * @return {?}
         */
        IgxRowDragDirective.prototype.onPointerDown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this._rowDragStarted = false;
            this._removeOnDestroy = false;
            _super.prototype.onPointerDown.call(this, event);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxRowDragDirective.prototype.onPointerMove = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            _super.prototype.onPointerMove.call(this, event);
            if (this._dragStarted && !this._rowDragStarted) {
                this._rowDragStarted = true;
                /** @type {?} */
                var args = {
                    dragDirective: this,
                    dragData: this.row,
                    cancel: false,
                    owner: this.row.grid
                };
                this.row.grid.onRowDragStart.emit(args);
                if (args.cancel) {
                    this.ghostElement.parentNode.removeChild(this.ghostElement);
                    this.ghostElement = null;
                    this._dragStarted = false;
                    this._clicked = false;
                    return;
                }
                this.row.dragging = true;
                this.row.grid.rowDragging = true;
                this.row.grid.markForCheck();
                this.subscription$ = rxjs.fromEvent(this.row.grid.document.defaultView, 'keydown').subscribe(function (ev) {
                    if (ev.key === "Escape" /* ESCAPE */ || ev.key === "Esc" /* ESCAPE_IE */) {
                        _this._lastDropArea = false;
                        _this.onPointerUp(event);
                    }
                });
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxRowDragDirective.prototype.onPointerUp = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            if (!this._clicked) {
                return;
            }
            /** @type {?} */
            var args = {
                dragDirective: this,
                dragData: this.row,
                animation: false,
                owner: this.row.grid
            };
            this.zone.run(function () {
                _this.row.grid.onRowDragEnd.emit(args);
            });
            /** @type {?} */
            var dropArea = this._lastDropArea;
            _super.prototype.onPointerUp.call(this, event);
            if (!dropArea && this.ghostElement) {
                this.ghostElement.addEventListener('transitionend', this.transitionEndEvent, false);
            }
            else {
                this.endDragging();
            }
        };
        /**
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @return {?}
         */
        IgxRowDragDirective.prototype.createGhost = /**
         * @protected
         * @param {?} pageX
         * @param {?} pageY
         * @return {?}
         */
        function (pageX, pageY) {
            this.row.grid.endEdit(true);
            this.row.grid.markForCheck();
            this.ghostContext = {
                $implicit: this.row.rowData,
                data: this.row.rowData,
                grid: this.row.grid
            };
            _super.prototype.createGhost.call(this, pageX, pageY, this.row.nativeElement);
            // check if there is an expander icon and create the ghost at the corresponding position
            if (this.isHierarchicalGrid) {
                /** @type {?} */
                var row = (/** @type {?} */ (this.row));
                if (row.expander) {
                    /** @type {?} */
                    var expanderWidth = row.expander.nativeElement.getBoundingClientRect().width;
                    this._ghostHostX += expanderWidth;
                }
            }
            /** @type {?} */
            var ghost = this.ghostElement;
            /** @type {?} */
            var gridRect = this.row.grid.nativeElement.getBoundingClientRect();
            /** @type {?} */
            var rowRect = this.row.nativeElement.getBoundingClientRect();
            ghost.style.overflow = 'hidden';
            ghost.style.width = gridRect.width + 'px';
            ghost.style.height = rowRect.height + 'px';
            this.renderer.addClass(ghost, ghostBackgroundClass);
            this.renderer.removeClass(ghost, rowSelectedClass);
            /** @type {?} */
            var ghostCells = ghost.getElementsByClassName(gridCellClass);
            for (var index = 0; index < ghostCells.length; index++) {
                this.renderer.removeClass(ghostCells[index], cellSelectedClass);
                this.renderer.removeClass(ghostCells[index], cellActiveClass);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxRowDragDirective.prototype._unsubscribe = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.subscription$ && !this.subscription$.closed) {
                this.subscription$.unsubscribe();
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxRowDragDirective.prototype.endDragging = /**
         * @private
         * @return {?}
         */
        function () {
            this.onTransitionEnd(null);
            this.row.dragging = false;
            this.row.grid.rowDragging = false;
            this.row.grid.markForCheck();
            this._unsubscribe();
        };
        Object.defineProperty(IgxRowDragDirective.prototype, "isHierarchicalGrid", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.row.grid.nativeElement.tagName.toLowerCase() === 'igx-hierarchical-grid';
            },
            enumerable: true,
            configurable: true
        });
        IgxRowDragDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowDrag]'
                    },] }
        ];
        IgxRowDragDirective.propDecorators = {
            data: [{ type: core.Input, args: ['igxRowDrag',] }]
        };
        return IgxRowDragDirective;
    }(IgxDragDirective));
    /**
     * @hidden
     */
    var IgxDragIndicatorIconDirective = /** @class */ (function () {
        function IgxDragIndicatorIconDirective() {
        }
        IgxDragIndicatorIconDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDragIndicatorIcon]'
                    },] }
        ];
        return IgxDragIndicatorIconDirective;
    }());
    /**
     * @hidden
     */
    var IgxRowDragGhostDirective = /** @class */ (function () {
        function IgxRowDragGhostDirective(templateRef) {
            this.templateRef = templateRef;
        }
        IgxRowDragGhostDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowDragGhost]'
                    },] }
        ];
        /** @nocollapse */
        IgxRowDragGhostDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxRowDragGhostDirective;
    }());
    var IgxRowDragModule = /** @class */ (function () {
        function IgxRowDragModule() {
        }
        IgxRowDragModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxRowDragDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective],
                        entryComponents: [],
                        exports: [IgxRowDragDirective, IgxDragIndicatorIconDirective, IgxRowDragGhostDirective],
                        imports: []
                    },] }
        ];
        return IgxRowDragModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var MINIMUM_COLUMN_WIDTH = 136;
    /** @type {?} */
    var FILTER_ROW_HEIGHT = 50;
    // By default row editing overlay outlet is inside grid body so that overlay is hidden below grid header when scrolling.
    // In cases when grid has 1-2 rows there isn't enough space in grid body and row editing overlay should be shown above header.
    // Default row editing overlay height is higher then row height that is why the case is valid also for row with 2 rows.
    // More accurate calculation is not possible, cause row editing overlay is still not shown and we don't know its height,
    // but in the same time we need to set row editing overlay outlet before opening the overlay itself.
    /** @type {?} */
    var MIN_ROW_EDITING_COUNT_THRESHOLD = 2;
    /** @type {?} */
    var IgxGridTransaction = new core.InjectionToken('IgxGridTransaction');
    /**
     * @abstract
     */
    var IgxGridBaseComponent = /** @class */ (function (_super) {
        __extends(IgxGridBaseComponent, _super);
        function IgxGridBaseComponent(selectionService, crudService, colResizingService, gridAPI, _transactions, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.selectionService = selectionService;
            _this.crudService = crudService;
            _this.colResizingService = colResizingService;
            _this.gridAPI = gridAPI;
            _this._transactions = _transactions;
            _this.elementRef = elementRef;
            _this.zone = zone;
            _this.document = document;
            _this.cdr = cdr;
            _this.resolver = resolver;
            _this.differs = differs;
            _this.viewRef = viewRef;
            _this.navigation = navigation;
            _this.filteringService = filteringService;
            _this.overlayService = overlayService;
            _this.summaryService = summaryService;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._init = true;
            _this._cdrRequests = false;
            _this._cdrRequestRepaint = false;
            _this._resourceStrings = CurrentResourceStrings.GridResStrings;
            _this._emptyGridMessage = null;
            _this._emptyFilteredGridMessage = null;
            _this._isLoading = false;
            _this._locale = null;
            _this._destroyed = false;
            _this.overlayIDs = [];
            _this._advancedFilteringPositionSettings = {
                verticalDirection: VerticalAlignment.Middle,
                horizontalDirection: HorizontalAlignment.Center,
                horizontalStartPoint: HorizontalAlignment.Center,
                verticalStartPoint: VerticalAlignment.Middle
            };
            _this._advancedFilteringOverlaySettings = {
                closeOnOutsideClick: false,
                modal: false,
                positionStrategy: new ConnectedPositioningStrategy(_this._advancedFilteringPositionSettings),
            };
            /**
             * An \@Input property that autogenerates the `IgxGridComponent` columns.
             * The default value is false.
             * \@remarks
             * When set to true, it will override all columns declared through code or in markup.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.autoGenerate = false;
            /**
             * @hidden
             */
            _this.filteringExpressionsTreeChange = new core.EventEmitter();
            /**
             * Emitted after advanced filtering is performed.
             * Returns the advanced filtering expressions tree.
             * ```typescript
             * advancedFilteringExprTreeChange(event: IFilteringExpressionsTree){
             *     const filteringTree = event;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" [height]="'305px'" [autoGenerate]="true"
             *           (advancedFilteringExpressionsTreeChange)="advancedFilteringExprTreeChange($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.advancedFilteringExpressionsTreeChange = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.pageChange = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.perPageChange = new core.EventEmitter();
            /**
             * @hidden
             * \@internal
             */
            _this.rowDragging = false;
            /**
             * An \@Input property that adds styling classes applied to all even `IgxGridRowComponent`s in the grid.
             * ```html
             * <igx-grid #grid [data]="Data" [evenRowCSS]="'igx-grid--my-even-class'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.evenRowCSS = 'igx-grid__tr--even';
            /**
             * An \@Input property that adds styling classes applied to all odd `IgxGridRowComponent`s in the grid.
             * ```html
             * <igx-grid #grid [data]="Data" [evenRowCSS]="'igx-grid--my-odd-class'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.oddRowCSS = 'igx-grid__tr--odd';
            /**
             * An \@Input property that sets the title to be displayed in the built-in column hiding UI.
             * ```html
             * <igx-grid [showToolbar]="true" [columnHiding]="true" columnHidingTitle="Column Hiding"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.columnHidingTitle = '';
            /**
             * An \@Input property that sets the title to be displayed in the UI of the column pinning.
             * ```html
             * <igx-grid #grid [data]="localData" [columnPinning]="'true" [columnPinningTitle]="'Column Hiding'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.columnPinningTitle = '';
            /**
             * Emitted when `IgxGridCellComponent` is clicked. Returns the `IgxGridCellComponent`.
             * ```html
             * <igx-grid #grid (onCellClick)="onCellClick($event)" [data]="localData" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * ```typescript
             * public onCellClick(e){
             *     alert("The cell has been clicked!");
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onCellClick = new core.EventEmitter();
            /**
             * Emitted when `IgxGridCellComponent` is selected. Returns the `IgxGridCellComponent`.
             * ```html
             * <igx-grid #grid (onSelection)="onCellSelect($event)" [data]="localData" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * ```typescript
             * public onCellSelect(e){
             *     alert("The cell has been selected!");
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onSelection = new core.EventEmitter();
            /**
             *  Emitted when `IgxGridRowComponent` is selected.
             * ```html
             * <igx-grid #grid (onRowSelectionChange)="onCellClickChange($event)" [data]="localData" [autoGenerate]="true"></igx-grid>
             * ```
             * ```typescript
             * public onCellClickChange(e){
             *     alert("The selected row has been changed!");
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onRowSelectionChange = new core.EventEmitter();
            /**
             * Emitted when `IgxColumnComponent` is pinned.
             * The index that the column is inserted at may be changed through the `insertAtIndex` property.
             * ```typescript
             * public columnPinning(event) {
             *     if (event.column.field === "Name") {
             *       event.insertAtIndex = 0;
             *     }
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnPinning = new core.EventEmitter();
            /**
             * An \@Output property emitting an event when `IgxGridCellComponent`
             * editing has been performed in the grid and the values have **not** been submitted (e.g. `Esc` key was pressed).
             * This event is cancelable.
             *
             * args: IGridEditEventArgs = {
             *      cancel: bool,
             *      cellID: {
             *          columnID: int,
             *          rowID: int,
             *          rowIndex: int
             *      }
             *      newValue: object,
             *      oldValue: object,
             *      rowID: int
             *  }
             *
             * ```typescript
             * editCancel(event: IGridEditEventArgs){
             *    const rowID: IgxColumnComponent = event.rowID;
             * }
             * ```
             * ```html
             * <igx-grid #grid3 (onCellEditCancel)="editCancel($event)" [data]="remote | async" [primaryKey]="'ProductID'">
             *          <igx-column [sortable]="true" [field]="'ProductID'"></igx-column>
             *          <igx-column [editable]="true" [field]="'ProductName'"></igx-column>
             *          <igx-column [sortable]="true" [field]="'UnitsInStock'" [header]="'Units in Stock'"></igx-column>
             * </igx-grid>
             * ```
             * \@memberof IgxGridComponent
             */
            _this.onCellEditCancel = new core.EventEmitter();
            /**
             * An \@Output property emitting an event when `IgxGridCellComponent` enters edit mode.
             * This event is cancelable.
             *
             * args: IGridEditEventArgs = {
             *      cancel: bool,
             *      cellID: {
             *          columnID: int,
             *          rowID: int,
             *          rowIndex: int
             *      }
             *      oldValue: object,
             *      rowID: int
             *  }
             *
             * ```typescript
             * editStart(event: IGridEditEventArgs){
             *    const value: IgxColumnComponent = event.newValue;
             * }
             * ```
             * ```html
             * <igx-grid #grid3 (onCellEditEnter)="editStart($event)" [data]="remote | async" (onSortingDone)="process($event)"
             *          [primaryKey]="'ProductID'">
             *          <igx-column [sortable]="true" [field]="'ProductID'"></igx-column>
             *          <igx-column [editable]="true" [field]="'ProductName'"></igx-column>
             *          <igx-column [sortable]="true" [field]="'UnitsInStock'" [header]="'Units in Stock'"></igx-column>
             * </igx-grid>
             * ```
             * \@memberof IgxGridComponent
             */
            _this.onCellEditEnter = new core.EventEmitter();
            /**
             * An \@Output property emitting an event when `IgxGridCellComponent` editing has been performed in the grid.
             * Event is fired after editing is completed, when the cell is exiting edit mode.
             * This event is cancelable.
             *
             * args: IGridEditEventArgs = {
             *      cancel: bool,
             *      cellID: {
             *          columnID: int,
             *          rowID: int,
             *          rowIndex: int
             *      }
             *      newValue: object,
             *      oldValue: object,
             *      rowID: int
             *  }
             *
             * ```typescript
             * editDone(event: IGridEditEventArgs){
             *    const value: IgxColumnComponent = event.newValue;
             * }
             * ```
             * ```html
             * <igx-grid #grid3 (onCellEdit)="editDone($event)" [data]="remote | async" (onSortingDone)="process($event)"
             *          [primaryKey]="'ProductID'">
             *          <igx-column [sortable]="true" [field]="'ProductID'"></igx-column>
             *          <igx-column [editable]="true" [field]="'ProductName'"></igx-column>
             *          <igx-column [sortable]="true" [field]="'UnitsInStock'" [header]="'Units in Stock'"></igx-column>
             * </igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onCellEdit = new core.EventEmitter();
            /**
             * An \@Output property emitting an event when [rowEditable]="true" a row enters edit mode.
             * This event is cancelable.
             *
             * args: IGridEditEventArgs = {
             *      cancel: bool,
             *      oldValue: <rowObj>,
             *      rowID: int
             *  }
             *
             * Bind to the event in markup as follows:
             * ```html
             * <igx-grid #grid3 (onRowEditEnter)="editStart($event)" [data]="remote | async" (onSortingDone)="process($event)"
             *          [primaryKey]="'ProductID'" [rowEditable]="true">
             *          <igx-column [sortable]="true" [field]="'ProductID'"></igx-column>
             *          <igx-column [editable]="true" [field]="'ProductName'"></igx-column>
             *          <igx-column [sortable]="true" [field]="'UnitsInStock'" [header]="'Units in Stock'"></igx-column>
             * </igx-grid>
             * ```
             * ```typescript
             *      editStart(event: IGridEditEventArgs) {
             *          const editedRowObj = event.oldValue;
             *          const cancelValue = event.cancel;
             *          const rowID = event.rowID;
             *      }
             * ```
             * \@memberof IgxGridComponent
             */
            _this.onRowEditEnter = new core.EventEmitter();
            /**
             * An \@Output property emitting an event when [rowEditable]="true" & `endEdit(true)` is called.
             * Emitted when changing rows during edit mode, selecting an un-editable cell in the edited row,
             * performing paging operation, column resizing, pinning, moving or hitting  `Done`
             * button inside of the rowEditingOverlay, or hitting the `Enter` key while editing a cell.
             * This event is cancelable.
             *
             * args: IGridEditEventArgs = {
             *      cancel: bool,
             *      newValue: <rowObj>,
             *      oldValue: <rowObj>,
             *      rowID: int
             *  }
             *
             * Bind to the event in markup as follows:
             * ```html
             * <igx-grid #grid3 (onRowEdit)="editDone($event)" [data]="remote | async" (onSortingDone)="process($event)"
             *          [primaryKey]="'ProductID'" [rowEditable]="true">
             *          <igx-column [sortable]="true" [field]="'ProductID'"></igx-column>
             *          <igx-column [editable]="true" [field]="'ProductName'"></igx-column>
             *          <igx-column [sortable]="true" [field]="'UnitsInStock'" [header]="'Units in Stock'"></igx-column>
             * </igx-grid>
             * ```
             *
             * ```typescript
             *      editDone(event: IGridEditEventArgs) {
             *          const originalRowObj = event.oldValue;
             *          const updatedRowObj = event.newValue;
             *          const cancelValue = event.cancel;
             *          const rowID = event.rowID;
             *      }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onRowEdit = new core.EventEmitter();
            /**
             * An \@Output property emitting an event when [rowEditable]="true" & `endEdit(false)` is called.
             * Emitted when changing hitting `Esc` key during cell editing and when click on the `Cancel` button
             * in the row editing overlay.
             * This event is cancelable.
             *
             * args: IGridEditEventArgs = {
             *      cancel: bool,
             *      newValue: <rowObj>,
             *      oldValue: <rowObj>,
             *      rowID: int
             *  }
             *
             * Bind to the event in markup as follows:
             * ```html
             * <igx-grid #grid3 (onRowEditCancel)="editCancel($event)" [data]="remote | async" (onSortingDone)="process($event)"
             *          [primaryKey]="'ProductID'" [rowEditable]="true">
             *          <igx-column [sortable]="true" [field]="'ProductID'"></igx-column>
             *          <igx-column [editable]="true" [field]="'ProductName'"></igx-column>
             *          <igx-column [sortable]="true" [field]="'UnitsInStock'" [header]="'Units in Stock'"></igx-column>
             * </igx-grid>
             * ```
             * ```typescript
             *      editCancel(emitted: { row: IgxGridRowComponent, newValue: any, oldValue: any }): void {
             *          const originalRowObj = event.oldValue;
             *          const updatedRowObj = event.newValue;
             *          const cancelValue = event.cancel;
             *          const rowID = event.rowID;
             *      }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onRowEditCancel = new core.EventEmitter();
            /**
             * Emitted when a grid column is initialized. Returns the column object.
             * ```html
             * <igx-grid #grid [data]="localData" [onColumnInit]="initColumns($event)" [autoGenerate]="true"></igx-grid>
             * ```
             * ```typescript
             * initColumns(event: IgxColumnComponent) {
             * const column: IgxColumnComponent = event;
             *       column.filterable = true;
             *       column.sortable = true;
             *       column.editable = true;
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnInit = new core.EventEmitter();
            /**
             * Emitted when sorting is performed through the UI. Returns the sorting expression.
             * ```html
             * <igx-grid #grid [data]="localData" [autoGenerate]="true" (onSortingDone)="sortingDone($event)"></igx-grid>
             * ```
             * ```typescript
             * sortingDone(event: SortingDirection){
             *     const sortingDirection = event;
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onSortingDone = new core.EventEmitter();
            /**
             * Emitted when filtering is performed through the UI.
             * Returns the filtering expressions tree of the column for which filtering was performed.
             * ```typescript
             * filteringDone(event: IFilteringExpressionsTree){
             *     const filteringTree = event;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" [height]="'305px'" [autoGenerate]="true" (onFilteringDone)="filteringDone($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onFilteringDone = new core.EventEmitter();
            /**
             * Emitted when paging is performed. Returns an object consisting of the previous and next pages.
             * ```typescript
             * pagingDone(event: IPageEventArgs){
             *     const paging = event;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" [height]="'305px'" [autoGenerate]="true" (onPagingDone)="pagingDone($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onPagingDone = new core.EventEmitter();
            /**
             * Emitted when a `IgxGridRowComponent` is being added to the `IgxGridComponent` through the API.
             * Returns the data for the new `IgxGridRowComponent` object.
             * ```typescript
             * rowAdded(event: IRowDataEventArgs){
             *    const rowInfo = event;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" (onRowAdded)="rowAdded($event)" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onRowAdded = new core.EventEmitter();
            /**
             * Emitted when a `IgxGridRowComponent` is deleted through the `IgxGridComponent` API.
             * Returns an `IRowDataEventArgs` object.
             * ```typescript
             * rowDeleted(event: IRowDataEventArgs){
             *    const rowInfo = event;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" (onRowDeleted)="rowDeleted($event)" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onRowDeleted = new core.EventEmitter();
            /**
             * Emitted when a new chunk of data is loaded from virtualization.
             * ```typescript
             *  <igx-grid #grid [data]="localData" [autoGenerate]="true" (onDataPreLoad)='handleDataPreloadEvent()'></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onDataPreLoad = new core.EventEmitter();
            /**
             * Emitted when `IgxColumnComponent` is resized.
             * Returns the `IgxColumnComponent` object's old and new width.
             * ```typescript
             * resizing(event: IColumnResizeEventArgs){
             *     const grouping = event;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" (onColumnResized)="resizing($event)" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnResized = new core.EventEmitter();
            /**
             * Emitted when a `IgxGridCellComponent` is right clicked. Returns the `IgxGridCellComponent` object.
             * ```typescript
             * contextMenu(event: IGridCellEventArgs){
             *     const resizing = event;
             *     console.log(resizing);
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" (onContextMenu)="contextMenu($event)" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onContextMenu = new core.EventEmitter();
            /**
             * Emitted when a `IgxGridCellComponent` is double clicked. Returns the `IgxGridCellComponent` object.
             * ```typescript
             * dblClick(event: IGridCellEventArgs){
             *     const dblClick = event;
             *     console.log(dblClick);
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" (onDoubleClick)="dblClick($event)" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onDoubleClick = new core.EventEmitter();
            /**
             * Emitted when `IgxColumnComponent` visibility is changed. Args: { column: any, newValue: boolean }
             * ```typescript
             * visibilityChanged(event: IColumnVisibilityChangedEventArgs){
             *    const visiblity = event;
             * }
             * ```
             * ```html
             * <igx-grid [columnHiding]="true" [showToolbar]="true" (onColumnVisibilityChanged)="visibilityChanged($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnVisibilityChanged = new core.EventEmitter();
            /**
             * Emitted when `IgxColumnComponent` moving starts. Returns the moved `IgxColumnComponent` object.
             * ```typescript
             * movingStart(event: IColumnMovingStartEventArgs){
             *     const movingStarts = event;
             * }
             * ```
             * ```html
             * <igx-grid [columnHiding]="true" [showToolbar]="true" (onColumnMovingStart)="movingStart($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnMovingStart = new core.EventEmitter();
            /**
             * Emitted throughout the `IgxColumnComponent` moving operation.
             * Returns the source and target `IgxColumnComponent` objects. This event is cancelable.
             * ```typescript
             * moving(event: IColumnMovingEventArgs){
             *     const moving = event;
             * }
             * ```
             * ```html
             * <igx-grid [columnHiding]="true" [showToolbar]="true" (onColumnMoving)="moving($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnMoving = new core.EventEmitter();
            /**
             * Emitted when `IgxColumnComponent` moving ends.
             * Returns the source and target `IgxColumnComponent` objects.
             * ```typescript
             * movingEnds(event: IColumnMovingEndEventArgs){
             *     const movingEnds = event;
             * }
             * ```
             * ```html
             * <igx-grid [columnHiding]="true" [showToolbar]="true" (onColumnMovingEnd)="movingEnds($event)"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onColumnMovingEnd = new core.EventEmitter();
            /**
             * Emitted when keydown is triggered over element inside grid's body.
             * This event is fired only if the key combination is supported in the grid.
             * Return the target type, target object and the original event. This event is cancelable.
             * ```typescript
             * customKeydown(args: IGridKeydownEventArgs) {
             *  const keydownEvent = args.event;
             * }
             * ```
             * ```html
             *  <igx-grid (onGridKeydown)="customKeydown($event)"></igx-grid>
             * ```
             */
            _this.onGridKeydown = new core.EventEmitter();
            /**
             * Emitted when start dragging a row.
             * Return the dragged row.
             */
            _this.onRowDragStart = new core.EventEmitter();
            /**
             * Emitted when dropping a row.
             * Return the dropped row.
             */
            _this.onRowDragEnd = new core.EventEmitter();
            /**
             * Emitted when a copy operation is executed.
             * Fired only if copy behavior is enabled through the [`clipboardOptions`]{\@link IgxGridBaseComponent#clipboardOptions}.
             */
            _this.onGridCopy = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.columnList = new core.QueryList();
            /**
             * @hidden
             */
            _this.tmpOutlets = new core.QueryList();
            /**
             * The custom template, if any, that should be used when rendering a row expand indicator.
             */
            _this.rowExpandedIndicatorTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering a row collapse indicator.
             */
            _this.rowCollapsedIndicatorTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering a header expand indicator.
             */
            _this.headerExpandIndicatorTemplate = null;
            /**
             * The custom template, if any, that should be used when rendering a header collapse indicator.
             */
            _this.headerCollapseIndicatorTemplate = null;
            /**
             * @hidden
             */
            _this.tabindex = 0;
            /**
             * @hidden
             */
            _this.hostRole = 'grid';
            /**
             * @hidden
             */
            _this.sortingExpressionsChange = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.columnsWithNoSetWidths = null;
            /* Toolbar related definitions */
            _this._showToolbar = false;
            _this._exportExcel = false;
            _this._exportCsv = false;
            _this._toolbarTitle = null;
            _this._exportText = null;
            _this._exportExcelText = null;
            _this._exportCsvText = null;
            _this._rowEditable = false;
            _this._filteredSortedData = null;
            /**
             * Provides access to the `IgxToolbarComponent`.
             * ```typescript
             * const gridToolbar = this.grid.toolbar;
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.toolbar = null;
            _this.toolbarHtml = null;
            /**
             * Controls the copy behavior of the grid.
             */
            _this.clipboardOptions = {
                /**
                 * Enables/disables the copy behavior
                 */
                enabled: true,
                /**
                 * Include the columns headers in the clipboard output.
                 */
                copyHeaders: true,
                /**
                 * Apply the columns formatters (if any) on the data in the clipboard output.
                 */
                copyFormatters: true,
                /**
                 * The separator used for formatting the copy output. Defaults to `\t`.
                 */
                separator: '\t'
            };
            /**
             * Emitted when an export process is initiated by the user.
             * ```typescript
             * toolbarExporting(event: IGridToolbarExportEventArgs){
             *     const toolbarExporting = event;
             * }
             * ```
             * \@memberof IgxGridBaseComponent
             */
            _this.onToolbarExporting = new core.EventEmitter();
            /* End of toolbar related definitions */
            /**
             * Emitted when making a range selection either through
             * drag selection or through keyboard selection.
             */
            _this.onRangeSelection = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.calcHeight = 0;
            /**
             * @hidden
             */
            _this.chipsGoupingExpressions = [];
            /**
             * @hidden
             */
            _this.disableTransitions = false;
            /**
             * @hidden
             */
            _this.lastSearchInfo = {
                searchText: '',
                caseSensitive: false,
                exactMatch: false,
                activeMatchIndex: 0,
                matchInfoCache: []
            };
            /**
             * @hidden
             */
            _this.columnWidthSetByUser = false;
            /**
             * @hidden
             */
            _this.destroy$ = new rxjs.Subject();
            /**
             * @hidden
             */
            _this._perPage = 15;
            /**
             * @hidden
             */
            _this._page = 0;
            /**
             * @hidden
             */
            _this._paging = false;
            /**
             * @hidden
             */
            _this._hideRowSelectors = false;
            /**
             * @hidden
             */
            _this._rowDrag = false;
            /**
             * @hidden
             */
            _this._pipeTrigger = 0;
            /**
             * @hidden
             */
            _this._filteringPipeTrigger = 0;
            /**
             * @hidden
             */
            _this._summaryPipeTrigger = 0;
            /**
             * @hidden
             */
            _this._columns = [];
            /**
             * @hidden
             */
            _this._pinnedColumns = [];
            /**
             * @hidden
             */
            _this._unpinnedColumns = [];
            /**
             * @hidden
             */
            _this._filteringExpressionsTree = new FilteringExpressionsTree(FilteringLogic.And);
            /**
             * @hidden
             */
            _this._sortingExpressions = [];
            /**
             * @hidden
             */
            _this._maxLevelHeaderDepth = null;
            /**
             * @hidden
             */
            _this._columnHiding = false;
            /**
             * @hidden
             */
            _this._columnPinning = false;
            _this._allowFiltering = false;
            _this._allowAdvancedFiltering = false;
            _this._filterMode = FilterMode.quickFilter;
            _this.observer = new ResizeObserver(function () { });
            _this.resizeNotify = new rxjs.Subject();
            _this._hiddenColumnsText = '';
            _this._pinnedColumnsText = '';
            _this._height = '100%';
            _this._width = '100%';
            _this._horizontalForOfs = [];
            _this._multiRowLayoutRowSize = 1;
            // Caches
            _this._totalWidth = NaN;
            _this._pinnedVisible = [];
            _this._unpinnedVisible = [];
            _this._pinnedWidth = NaN;
            _this._unpinnedWidth = NaN;
            _this._visibleColumns = [];
            _this._columnGroups = false;
            _this._defaultTargetRecordNumber = 10;
            _this._summaryPosition = GridSummaryPosition.bottom;
            _this._summaryCalculationMode = GridSummaryCalculationMode.rootAndChildLevels;
            _this._cellSelectionMode = GridSelectionMode.multiple;
            _this._rowSelectionMode = GridSelectionMode.none;
            _this.rowEditPositioningStrategy = new RowEditPositionStrategy({
                horizontalDirection: HorizontalAlignment.Right,
                verticalDirection: VerticalAlignment.Bottom,
                horizontalStartPoint: HorizontalAlignment.Left,
                verticalStartPoint: VerticalAlignment.Bottom,
                closeAnimation: null
            });
            _this.rowEditSettings = {
                scrollStrategy: new AbsoluteScrollStrategy(),
                modal: false,
                closeOnOutsideClick: false,
                outlet: _this.rowOutletDirective,
                positionStrategy: _this.rowEditPositioningStrategy
            };
            _this.verticalScrollHandler = function (event) {
                _this.verticalScrollContainer.onScroll(event);
                if (isEdge()) {
                    _this.wheelHandler(false);
                }
                _this.disableTransitions = true;
                _this.zone.run(function () {
                    _this.zone.onStable.pipe(operators.first()).subscribe(function () {
                        _this.verticalScrollContainer.onChunkLoad.emit(_this.verticalScrollContainer.state);
                    });
                    if (_this.rowEditable) {
                        _this.changeRowEditingOverlayStateOnScroll(_this.rowInEditMode);
                    }
                    _this.disableTransitions = false;
                });
                _this.hideOverlays();
            };
            _this.horizontalScrollHandler = function (event) {
                /** @type {?} */
                var scrollLeft = event.target.scrollLeft;
                if (isEdge()) {
                    _this.wheelHandler(true);
                }
                _this.headerContainer.onHScroll(scrollLeft);
                _this._horizontalForOfs.forEach(function (vfor) { return vfor.onHScroll(scrollLeft); });
                _this.cdr.markForCheck();
                _this.zone.run(function () {
                    _this.zone.onStable.pipe(operators.first()).subscribe(function () {
                        _this.parentVirtDir.onChunkLoad.emit(_this.headerContainer.state);
                    });
                });
                _this.hideOverlays();
            };
            _this.keydownHandler = function (event) {
                /** @type {?} */
                var key = event.key.toLowerCase();
                if ((isNavigationKey(key) && event.keyCode !== 32) || key === 'tab' || key === 'pagedown' || key === 'pageup') {
                    event.preventDefault();
                    if (key === 'pagedown') {
                        _this.verticalScrollContainer.scrollNextPage();
                        _this.nativeElement.focus();
                    }
                    else if (key === 'pageup') {
                        _this.verticalScrollContainer.scrollPrevPage();
                        _this.nativeElement.focus();
                    }
                }
            };
            /**
             * @hidden
             */
            _this.scrollHandler = function (event) {
                _this.headerContainer.scrollPosition += event.target.scrollLeft;
                _this.verticalScrollContainer.scrollPosition += event.target.scrollTop;
                event.target.scrollLeft = 0;
                event.target.scrollTop = 0;
            };
            /**
             * @hidden
             */
            _this.wheelHandler = function (isScroll) {
                if (isScroll === void 0) { isScroll = false; }
                if (_this.document.activeElement &&
                    // tslint:disable-next-line:no-bitwise
                    (_this.document.activeElement.compareDocumentPosition(_this.tbody.nativeElement) & Node.DOCUMENT_POSITION_CONTAINS ||
                        // tslint:disable-next-line:no-bitwise
                        (_this.document.activeElement.
                            compareDocumentPosition(_this.tfoot.nativeElement) & Node.DOCUMENT_POSITION_CONTAINS && isScroll))) {
                    ((/** @type {?} */ (_this.document.activeElement))).blur();
                }
            };
            /**
             * @hidden
             */
            _this.rowEditingWheelHandler = function (event) {
                if (event.deltaY > 0) {
                    _this.verticalScrollContainer.scrollNext();
                }
                else {
                    _this.verticalScrollContainer.scrollPrev();
                }
            };
            _this.cdr.detach();
            return _this;
        }
        Object.defineProperty(IgxGridBaseComponent.prototype, "scrollWidth", {
            get: /**
             * @return {?}
             */
            function () {
                return this._scrollWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "resourceStrings", {
            /**
             * An accessor that returns the resource strings.
            */
            get: /**
             * An accessor that returns the resource strings.
             * @return {?}
             */
            function () {
                return this._resourceStrings;
            },
            /**
             * An accessor that sets the resource strings.
             * By default it uses EN resources.
            */
            set: /**
             * An accessor that sets the resource strings.
             * By default it uses EN resources.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._resourceStrings = Object.assign({}, this._resourceStrings, value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "filteringLogic", {
            get: /**
             * @return {?}
             */
            function () {
                return this._filteringExpressionsTree.operator;
            },
            /**
             * Sets the filtering logic of the `IgxGridComponent`.
             * The default is AND.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true" [filteringLogic]="filtering"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the filtering logic of the `IgxGridComponent`.
             * The default is AND.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true" [filteringLogic]="filtering"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filteringExpressionsTree.operator = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "filteringExpressionsTree", {
            /**
             * Returns the filtering state of `IgxGridComponent`.
             * ```typescript
             * let filteringExpressionsTree = this.grid.filteringExpressionsTree;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the filtering state of `IgxGridComponent`.
             * ```typescript
             * let filteringExpressionsTree = this.grid.filteringExpressionsTree;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._filteringExpressionsTree;
            },
            /**
             * Sets the filtering state of the `IgxGridComponent`.
             * ```typescript
             * const logic = new FilteringExpressionsTree(FilteringLogic.And, "ID");
             * logic.filteringOperands = [
             *     {
             *          condition: IgxNumberFilteringOperand.instance().condition('greaterThan'),
             *          fieldName: 'ID',
             *          searchVal: 1
             *     }
             * ];
             * this.grid.filteringExpressionsTree = (logic);
             * ```
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(filteringExpressionsTree)]="model.filteringExpressions"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the filtering state of the `IgxGridComponent`.
             * ```typescript
             * const logic = new FilteringExpressionsTree(FilteringLogic.And, "ID");
             * logic.filteringOperands = [
             *     {
             *          condition: IgxNumberFilteringOperand.instance().condition('greaterThan'),
             *          fieldName: 'ID',
             *          searchVal: 1
             *     }
             * ];
             * this.grid.filteringExpressionsTree = (logic);
             * ```
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(filteringExpressionsTree)]="model.filteringExpressions"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value && value instanceof FilteringExpressionsTree) {
                    /** @type {?} */
                    var val = ((/** @type {?} */ (value)));
                    for (var index = 0; index < val.filteringOperands.length; index++) {
                        if (!(val.filteringOperands[index] instanceof FilteringExpressionsTree)) {
                            /** @type {?} */
                            var newExpressionsTree = new FilteringExpressionsTree(FilteringLogic.And, val.filteringOperands[index].fieldName);
                            newExpressionsTree.filteringOperands.push((/** @type {?} */ (val.filteringOperands[index])));
                            val.filteringOperands[index] = newExpressionsTree;
                        }
                    }
                    value.type = FilteringExpressionsTreeType.Regular;
                    this._filteringExpressionsTree = value;
                    this._filteringPipeTrigger++;
                    this.filteringExpressionsTreeChange.emit(this._filteringExpressionsTree);
                    if (this.filteringService.isFilteringExpressionsTreeEmpty(this._filteringExpressionsTree) &&
                        !this.advancedFilteringExpressionsTree) {
                        this.filteredData = null;
                    }
                    this.filteringService.refreshExpressions();
                    this.selectionService.clearHeaderCBState();
                    this.summaryService.clearSummaryCache();
                    this.notifyChanges();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "advancedFilteringExpressionsTree", {
            /**
             * Returns the advanced filtering state of `IgxGridComponent`.
             * ```typescript
             * let advancedFilteringExpressionsTree = this.grid.advancedFilteringExpressionsTree;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the advanced filtering state of `IgxGridComponent`.
             * ```typescript
             * let advancedFilteringExpressionsTree = this.grid.advancedFilteringExpressionsTree;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._advancedFilteringExpressionsTree;
            },
            /**
             * Sets the advanced filtering state of the `IgxGridComponent`.
             * ```typescript
             * const logic = new FilteringExpressionsTree(FilteringLogic.And);
             * logic.filteringOperands = [
             *     {
             *          condition: IgxNumberFilteringOperand.instance().condition('greaterThan'),
             *          fieldName: 'ID',
             *          searchVal: 1
             *     },
             *     {
             *          condition: IgxStringFilteringOperand.instance().condition('contains'),
             *          fieldName: 'CompanyName',
             *          searchVal: 'a'
             *     }
             * ];
             * this.grid.advancedFilteringExpressionsTree = logic;
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the advanced filtering state of the `IgxGridComponent`.
             * ```typescript
             * const logic = new FilteringExpressionsTree(FilteringLogic.And);
             * logic.filteringOperands = [
             *     {
             *          condition: IgxNumberFilteringOperand.instance().condition('greaterThan'),
             *          fieldName: 'ID',
             *          searchVal: 1
             *     },
             *     {
             *          condition: IgxStringFilteringOperand.instance().condition('contains'),
             *          fieldName: 'CompanyName',
             *          searchVal: 'a'
             *     }
             * ];
             * this.grid.advancedFilteringExpressionsTree = logic;
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if (value && value instanceof FilteringExpressionsTree) {
                    value.type = FilteringExpressionsTreeType.Advanced;
                    this._advancedFilteringExpressionsTree = value;
                    this._filteringPipeTrigger++;
                }
                else {
                    this._advancedFilteringExpressionsTree = null;
                }
                this.advancedFilteringExpressionsTreeChange.emit(this._advancedFilteringExpressionsTree);
                if (this.filteringService.isFilteringExpressionsTreeEmpty(this._advancedFilteringExpressionsTree) &&
                    !this.advancedFilteringExpressionsTree) {
                    this.filteredData = null;
                }
                this.selectionService.clearHeaderCBState();
                this.summaryService.clearSummaryCache();
                this.notifyChanges();
                // Wait for the change detection to update filtered data through the pipes and then emit the event.
                requestAnimationFrame(function () { return _this.onFilteringDone.emit(_this._advancedFilteringExpressionsTree); });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "locale", {
            /**
             * Returns the locale of the grid.
             * If not set, returns browser's language.
             */
            get: /**
             * Returns the locale of the grid.
             * If not set, returns browser's language.
             * @return {?}
             */
            function () {
                if (this._locale) {
                    return this._locale;
                }
                else {
                    return 'en';
                }
            },
            /**
             * Sets the locale of the grid.
             */
            set: /**
             * Sets the locale of the grid.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._locale = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "paging", {
            /**
             * Returns whether the paging feature is enabled/disabled.
             * The default state is disabled (false).
             * ```
             * const paging = this.grid.paging;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns whether the paging feature is enabled/disabled.
             * The default state is disabled (false).
             * ```
             * const paging = this.grid.paging;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._paging;
            },
            /**
             * Enables/Disables the paging feature.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [paging]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Enables/Disables the paging feature.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [paging]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._paging = value;
                this._pipeTrigger++;
                this.notifyChanges(true);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "page", {
            /**
             * Returns the current page index.
             * ```html
             * let gridPage = this.grid.page;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the current page index.
             * ```html
             * let gridPage = this.grid.page;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._page;
            },
            /**
             * Sets the current page index.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [page]="5" [autoGenerate]="true"></igx-grid>
             *```
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [(page)]="model.page" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the current page index.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [page]="5" [autoGenerate]="true"></igx-grid>
             * ```
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [(page)]="model.page" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val === this._page || val < 0 || val > this.totalPages - 1) {
                    return;
                }
                this.selectionService.clear(true);
                this.onPagingDone.emit({ previous: this._page, current: val });
                this._page = val;
                this.pageChange.emit(this._page);
                this.navigateTo(0);
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "perPage", {
            /**
             * Returns the number of visible items per page of the `IgxGridComponent`.
             * The default is 15.
             * ```html
             * let itemsPerPage = this.grid.perPage;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the number of visible items per page of the `IgxGridComponent`.
             * The default is 15.
             * ```html
             * let itemsPerPage = this.grid.perPage;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._perPage;
            },
            /**
             * Sets the number of visible items per page of the `IgxGridComponent`.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [perPage]="5" [autoGenerate]="true"></igx-grid>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [(perPage)]="model.perPage" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the number of visible items per page of the `IgxGridComponent`.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [perPage]="5" [autoGenerate]="true"></igx-grid>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [paging]="true" [(perPage)]="model.perPage" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (val < 0) {
                    return;
                }
                this.selectionService.clear(true);
                this._perPage = val;
                this.perPageChange.emit(this._perPage);
                this.page = 0;
                this.endEdit(true);
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "columnHiding", {
            /**
             * Returns whether the column hiding UI for the `IgxGridComponent` is enabled.
             * By default it is disabled (false).
             * ```typescript
             * let gridColHiding = this.grid.columnHiding;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns whether the column hiding UI for the `IgxGridComponent` is enabled.
             * By default it is disabled (false).
             * ```typescript
             * let gridColHiding = this.grid.columnHiding;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._columnHiding;
            },
            /**
             * Sets whether the column hiding UI for the `IgxGridComponent` is enabled.
             * In order for the UI to work, you need to enable the toolbar as shown in the example below.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true" [showToolbar]="true" [columnHiding]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets whether the column hiding UI for the `IgxGridComponent` is enabled.
             * In order for the UI to work, you need to enable the toolbar as shown in the example below.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true" [showToolbar]="true" [columnHiding]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._columnHiding !== value) {
                    this._columnHiding = value;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowSelectable", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isRowSelectable;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this.rowSelection = val ? GridSelectionMode.multiple : GridSelectionMode.none;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hideRowSelectors", {
            /**
             * Returns if the row selectors are hidden
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the row selectors are hidden
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._hideRowSelectors;
            },
            /**
             * Allows you to change the visibility of the row selectors
             * By default row selectors are shown
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Allows you to change the visibility of the row selectors
             * By default row selectors are shown
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._hideRowSelectors = value;
                this.notifyChanges(true);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowDraggable", {
            get: /**
             * @return {?}
             */
            function () {
                return this._rowDrag && this.hasVisibleColumns;
            },
            /**
             * Sets whether rows can be moved.
             * ```html
             * <igx-grid #grid [rowDraggable]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets whether rows can be moved.
             * ```html
             * <igx-grid #grid [rowDraggable]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._rowDrag = val;
                this.notifyChanges(true);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowEditable", {
            /**
         * Sets whether the `IgxGridRowComponent` is editable.
         * By default it is set to false.
         * ```typescript
         * let rowEditable = this.grid.rowEditable;
         * ```
         * @memberof IgxGridBaseComponent
         */
            get: /**
             * Sets whether the `IgxGridRowComponent` is editable.
             * By default it is set to false.
             * ```typescript
             * let rowEditable = this.grid.rowEditable;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._rowEditable;
            },
            /**
            * Sets whether rows can be edited.
            * ```html
            * <igx-grid #grid [showToolbar]="true" [rowEditable]="true" [primaryKey]="'ProductID'" [columnHiding]="true"></igx-grid>
            * ```
            * @memberof IgxGridBaseComponent
            */
            set: /**
             * Sets whether rows can be edited.
             * ```html
             * <igx-grid #grid [showToolbar]="true" [rowEditable]="true" [primaryKey]="'ProductID'" [columnHiding]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (!this._init) {
                    this.refreshGridState();
                }
                this._rowEditable = val;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "height", {
            /**
             * Returns the height of the `IgxGridComponent`.
             * ```typescript
             * let gridHeight = this.grid.height;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the height of the `IgxGridComponent`.
             * ```typescript
             * let gridHeight = this.grid.height;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._height;
            },
            /**
             * Sets the height of the `IgxGridComponent`.
             * ```html
             * <igx-grid #grid [data]="Data" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the height of the `IgxGridComponent`.
             * ```html
             * <igx-grid #grid [data]="Data" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._height !== value) {
                    this._height = value;
                    this.nativeElement.style.height = value;
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hostWidth", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._width || this._hostWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "width", {
            /**
             * Returns the width of the `IgxGridComponent`.
             * ```typescript
             * let gridWidth = this.grid.width;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the width of the `IgxGridComponent`.
             * ```typescript
             * let gridWidth = this.grid.width;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._width;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._width !== value) {
                    this._width = value;
                    this.nativeElement.style.width = value;
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "headerWidth", {
            /**
             * Returns the width of the header of the `IgxGridComponent`.
             * ```html
             * let gridHeaderWidth = this.grid.headerWidth;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the width of the header of the `IgxGridComponent`.
             * ```html
             * let gridHeaderWidth = this.grid.headerWidth;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return parseInt(this.width, 10) - 17;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowHeight", {
            /**
             * Returns the row height.
             * ```typescript
             * const rowHeight = this.grid.rowHeight;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the row height.
             * ```typescript
             * const rowHeight = this.grid.rowHeight;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._rowHeight ? this._rowHeight : this.defaultRowHeight;
            },
            /**
             * Sets the row height.
             * ```html
             * <igx-grid #grid [data]="localData" [showToolbar]="true" [rowHeight]="100" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the row height.
             * ```html
             * <igx-grid #grid [data]="localData" [showToolbar]="true" [rowHeight]="100" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._rowHeight = parseInt(value, 10);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "columnWidth", {
            /**
             * An @Input property that sets the default width of the `IgxGridComponent`'s columns.
             * ```html
             * <igx-grid #grid [data]="localData" [showToolbar]="true" [columnWidth]="100" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * An \@Input property that sets the default width of the `IgxGridComponent`'s columns.
             * ```html
             * <igx-grid #grid [data]="localData" [showToolbar]="true" [columnWidth]="100" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._columnWidth;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._columnWidth = value;
                this.columnWidthSetByUser = true;
                this.notifyChanges(true);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "emptyGridMessage", {
            /**
             * An accessor that returns the message displayed when there are no records.
            */
            get: /**
             * An accessor that returns the message displayed when there are no records.
             * @return {?}
             */
            function () {
                return this._emptyGridMessage || this.resourceStrings.igx_grid_emptyGrid_message;
            },
            /**
             * An @Input property that sets the message displayed when there are no records.
             * ```html
             * <igx-grid #grid [data]="Data" [emptyGridMessage]="'The grid is empty'" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * An \@Input property that sets the message displayed when there are no records.
             * ```html
             * <igx-grid #grid [data]="Data" [emptyGridMessage]="'The grid is empty'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._emptyGridMessage = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isLoading", {
            /**
             * An accessor that returns whether the grid is showing loading indicator.
             */
            get: /**
             * An accessor that returns whether the grid is showing loading indicator.
             * @return {?}
             */
            function () {
                return this._isLoading;
            },
            /**
             * An @Input property that sets whether the grid is going to show loading indicator.
             * ```html
             * <igx-grid #grid [data]="Data" [isLoading]="true" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * An \@Input property that sets whether the grid is going to show loading indicator.
             * ```html
             * <igx-grid #grid [data]="Data" [isLoading]="true" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if (this._isLoading !== value) {
                    this._isLoading = value;
                    this.evaluateLoadingState();
                }
                Promise.resolve().then(function () {
                    // wait for the current detection cycle to end before triggering a new one.
                    _this.notifyChanges();
                });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "emptyFilteredGridMessage", {
            /**
             * An accessor that returns the message displayed when there are no records and the grid is filtered.
            */
            get: /**
             * An accessor that returns the message displayed when there are no records and the grid is filtered.
             * @return {?}
             */
            function () {
                return this._emptyFilteredGridMessage || this.resourceStrings.igx_grid_emptyFilteredGrid_message;
            },
            /**
             * An @Input property that sets the message displayed when there are no records and the grid is filtered.
             * ```html
             * <igx-grid #grid [data]="Data" [emptyGridMessage]="'The grid is empty'" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * An \@Input property that sets the message displayed when there are no records and the grid is filtered.
             * ```html
             * <igx-grid #grid [data]="Data" [emptyGridMessage]="'The grid is empty'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._emptyFilteredGridMessage = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "columnPinning", {
            /**
             * Returns if the built-in column pinning UI should be shown in the toolbar.
             * ```typescript
             *  let colPinning = this.grid.columnPinning;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the built-in column pinning UI should be shown in the toolbar.
             * ```typescript
             *  let colPinning = this.grid.columnPinning;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._columnPinning;
            },
            /**
             * Sets if the built-in column pinning UI should be shown in the toolbar.
             * By default it's disabled.
             * ```html
             * <igx-grid #grid [data]="localData" [columnPinning]="'true" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets if the built-in column pinning UI should be shown in the toolbar.
             * By default it's disabled.
             * ```html
             * <igx-grid #grid [data]="localData" [columnPinning]="'true" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._columnPinning !== value) {
                    this._columnPinning = value;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "allowFiltering", {
            /**
             * Returns if the filtering is enabled.
             * ```typescript
             *  let filtering = this.grid.allowFiltering;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the filtering is enabled.
             * ```typescript
             *  let filtering = this.grid.allowFiltering;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._allowFiltering;
            },
            /**
             * Sets if the filtering is enabled.
             * By default it's disabled.
             * ```html
             * <igx-grid #grid [data]="localData" [allowFiltering]="true" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets if the filtering is enabled.
             * By default it's disabled.
             * ```html
             * <igx-grid #grid [data]="localData" [allowFiltering]="true" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._allowFiltering !== value) {
                    this._allowFiltering = value;
                    this.filteringService.registerSVGIcons();
                    if (!this._init) {
                        this.calcGridHeadRow();
                    }
                    this.filteringService.isFilterRowVisible = false;
                    this.filteringService.filteredColumn = null;
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "allowAdvancedFiltering", {
            /**
             * Returns a value indicating whether the advanced filtering is enabled.
             * ```typescript
             *  let filtering = this.grid.allowAdvancedFiltering;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns a value indicating whether the advanced filtering is enabled.
             * ```typescript
             *  let filtering = this.grid.allowAdvancedFiltering;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._allowAdvancedFiltering;
            },
            /**
             * Sets a value indicating whether the advanced filtering is enabled.
             * By default it's disabled.
             * ```html
             * <igx-grid #grid [data]="localData" [allowAdvancedFiltering]="true" [showToolbar]="true" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets a value indicating whether the advanced filtering is enabled.
             * By default it's disabled.
             * ```html
             * <igx-grid #grid [data]="localData" [allowAdvancedFiltering]="true" [showToolbar]="true" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._allowAdvancedFiltering !== value) {
                    this._allowAdvancedFiltering = value;
                    this.filteringService.registerSVGIcons();
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "filterMode", {
            /**
             * Returns the filter mode.
             * ```typescript
             *  let filtering = this.grid.filterMode;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the filter mode.
             * ```typescript
             *  let filtering = this.grid.filterMode;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._filterMode;
            },
            /**
             * Sets filter mode.
             * By default it's set to FilterMode.quickFilter.
             * ```html
             * <igx-grid #grid [data]="localData" [filterMode]="'quickFilter'" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets filter mode.
             * By default it's set to FilterMode.quickFilter.
             * ```html
             * <igx-grid #grid [data]="localData" [filterMode]="'quickFilter'" [height]="'305px'" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filterMode = value;
                if (this.filteringService.isFilterRowVisible) {
                    this.filteringRow.close();
                }
                this.notifyChanges(true);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "summaryPosition", {
            /**
             * Returns the summary position.
             * ```typescript
             *  let summaryPosition = this.grid.summaryPosition;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the summary position.
             * ```typescript
             *  let summaryPosition = this.grid.summaryPosition;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._summaryPosition;
            },
            /**
             * Sets summary position.
             * By default it is bottom.
             * ```html
             * <igx-grid #grid [data]="localData" summaryPosition="top" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets summary position.
             * By default it is bottom.
             * ```html
             * <igx-grid #grid [data]="localData" summaryPosition="top" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._summaryPosition = value;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "summaryCalculationMode", {
            /**
             * Returns the summary calculation mode.
             * ```typescript
             *  let summaryCalculationMode = this.grid.summaryCalculationMode;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the summary calculation mode.
             * ```typescript
             *  let summaryCalculationMode = this.grid.summaryCalculationMode;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._summaryCalculationMode;
            },
            /**
             * Sets summary calculation mode.
             * By default it is rootAndChildLevels which means the summaries are calculated for the root level and each child level.
             * ```html
             * <igx-grid #grid [data]="localData" summaryCalculationMode="rootLevelOnly" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets summary calculation mode.
             * By default it is rootAndChildLevels which means the summaries are calculated for the root level and each child level.
             * ```html
             * <igx-grid #grid [data]="localData" summaryCalculationMode="rootLevelOnly" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._summaryCalculationMode = value;
                if (!this._init) {
                    this.endEdit(true);
                    this.summaryService.resetSummaryHeight();
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "filterStrategy", {
            /**
             * Gets the filtering strategy of the grid.
             * ```typescript
             *  let filterStrategy = this.grid.filterStrategy
             * ```
             */
            get: /**
             * Gets the filtering strategy of the grid.
             * ```typescript
             *  let filterStrategy = this.grid.filterStrategy
             * ```
             * @return {?}
             */
            function () {
                return this._filteringStrategy;
            },
            /**
             * Sets the filtering strategy of the grid.
             * ```html
             *  <igx-grid #grid [data]="localData" [filterStrategy]="filterStrategy"></igx-grid>
             * ```
             */
            set: /**
             * Sets the filtering strategy of the grid.
             * ```html
             *  <igx-grid #grid [data]="localData" [filterStrategy]="filterStrategy"></igx-grid>
             * ```
             * @param {?} classRef
             * @return {?}
             */
            function (classRef) {
                this._filteringStrategy = classRef;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "virtualizationState", {
            /**
             * Returns the state of the grid virtualization, including the start index and how many records are rendered.
             * ```typescript
             * const gridVirtState = this.grid1.virtualizationState;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the state of the grid virtualization, including the start index and how many records are rendered.
             * ```typescript
             * const gridVirtState = this.grid1.virtualizationState;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.verticalScrollContainer.state;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} state
             * @return {?}
             */
            function (state) {
                this.verticalScrollContainer.state = state;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "headerGroupsList", {
            /**
             * A list of all `IgxGridHeaderGroupComponent`.
             * ```typescript
             * const headerGroupsList = this.grid.headerGroupsList;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * A list of all `IgxGridHeaderGroupComponent`.
             * ```typescript
             * const headerGroupsList = this.grid.headerGroupsList;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.headerGroups ? flatten(this.headerGroups.toArray()) : [];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "headerCellList", {
            /**
             * A list of all `IgxGridHeaderComponent`.
             * ```typescript
             * const headers = this.grid.headerCellList;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * A list of all `IgxGridHeaderComponent`.
             * ```typescript
             * const headers = this.grid.headerCellList;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.headerGroupsList.map(function (headerGroup) { return headerGroup.headerCell; }).filter(function (headerCell) { return headerCell; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "filterCellList", {
            /**
             * A list of all `IgxGridFilteringCellComponent`.
             * ```typescript
             * const filterCells = this.grid.filterCellList;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * A list of all `IgxGridFilteringCellComponent`.
             * ```typescript
             * const filterCells = this.grid.filterCellList;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.headerGroupsList.map(function (headerGroup) { return headerGroup.filterCell; }).filter(function (filterCell) { return filterCell; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "summariesRowList", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var res = new core.QueryList();
                if (!this._summaryRowList) {
                    return res;
                }
                /** @type {?} */
                var sumList = this._summaryRowList.filter(function (item) {
                    return item.element.nativeElement.parentElement !== null;
                });
                res.reset(sumList);
                return res;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowList", {
            /**
             * A list of `IgxGridRowComponent`.
             * ```typescript
             * const rowList = this.grid.rowList;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * A list of `IgxGridRowComponent`.
             * ```typescript
             * const rowList = this.grid.rowList;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var res = new core.QueryList();
                if (!this._rowList) {
                    return res;
                }
                /** @type {?} */
                var rList = this._rowList
                    .filter(function (item) {
                    return item.element.nativeElement.parentElement !== null;
                })
                    .sort(function (a, b) {
                    return a.index - b.index;
                });
                res.reset(rList);
                return res;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "dataRowList", {
            /**
             * A list of `IgxGridRowComponent`, currently rendered.
             * ```typescript
             * const dataList = this.grid.dataRowList;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * A list of `IgxGridRowComponent`, currently rendered.
             * ```typescript
             * const dataList = this.grid.dataRowList;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var res = new core.QueryList();
                if (!this._dataRowList) {
                    return res;
                }
                /** @type {?} */
                var rList = this._dataRowList.filter(function (item) {
                    return item.element.nativeElement.parentElement !== null;
                }).sort(function (a, b) {
                    return a.index - b.index;
                });
                res.reset(rList);
                return res;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "toolbarCustomContentTemplate", {
            /**
             * Returns the template which will be used by the toolbar to show custom content.
             * ```typescript
             * let customContentTemplate = this.grid.toolbarCustomContentTemplate;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the template which will be used by the toolbar to show custom content.
             * ```typescript
             * let customContentTemplate = this.grid.toolbarCustomContentTemplate;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.toolbarCustomContentTemplates.first;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "headSelectorTemplate", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                if (this.headSelectorsTemplates && this.headSelectorsTemplates.first) {
                    return this.headSelectorsTemplates.first.templateRef;
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowSelectorTemplate", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                if (this.rowSelectorsTemplates && this.rowSelectorsTemplates.first) {
                    return this.rowSelectorsTemplates.first.templateRef;
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "dragIndicatorIconTemplate", {
            /**
            * The custom template, if any, that should be used when rendering the row drag indicator icon
            */
            get: /**
             * The custom template, if any, that should be used when rendering the row drag indicator icon
             * @return {?}
             */
            function () {
                return this._customDragIndicatorIconTemplate || this.dragIndicatorIconTemplates.first;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._customDragIndicatorIconTemplate = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "outletDirective", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._outletDirective;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowOutletDirective", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.rowEditingOutletDirective;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "parentRowOutletDirective", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.outletDirective;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowEditContainer", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.rowEditCustom ? this.rowEditCustom : this.defaultRowEditTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowInEditMode", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var editRowState = this.crudService.row;
                return editRowState !== null ? this.rowList.find(function (e) { return e.rowID === editRowState.id; }) : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "firstEditableColumnIndex", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var index = this.navigation.gridOrderedColumns.findIndex(function (e) { return e.editable; });
                return index !== -1 ? index : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "lastEditableColumnIndex", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var orderedColumns = this.navigation.gridOrderedColumns;
                /** @type {?} */
                var index = orderedColumns.reverse().findIndex(function (e) { return e.editable; });
                return index !== -1 ? orderedColumns.length - 1 - index : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowEditTabs", {
            /**
             * @hidden
             * TODO: Nav service logic doesn't handle 0 results from this querylist
             */
            get: /**
             * @hidden
             * TODO: Nav service logic doesn't handle 0 results from this querylist
             * @return {?}
             */
            function () {
                return this.rowEditTabsCUSTOM.length ? this.rowEditTabsCUSTOM : this.rowEditTabsDEFAULT;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hostClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.getComponentDensityClass('igx-grid');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "bannerClass", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var position = this.rowEditPositioningStrategy.isTop ? 'igx-banner__border-top' : 'igx-banner__border-bottom';
                return this.getComponentDensityClass('igx-banner') + " " + position;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "pipeTrigger", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._pipeTrigger;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "filteringPipeTrigger", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._filteringPipeTrigger;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "summaryPipeTrigger", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._summaryPipeTrigger;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "sortingExpressions", {
            /**
             * Returns the sorting state of the `IgxGridComponent`.
             * ```typescript
             * const sortingState = this.grid.sortingExpressions;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the sorting state of the `IgxGridComponent`.
             * ```typescript
             * const sortingState = this.grid.sortingExpressions;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._sortingExpressions;
            },
            /**
             * Sets the sorting state of the `IgxGridComponent`.
             * ```typescript
             * this.grid.sortingExpressions = [{
             *     fieldName: "ID",
             *     dir: SortingDirection.Desc,
             *     ignoreCase: true
             * }];
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(sortingExpressions)]="model.sortingExpressions"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the sorting state of the `IgxGridComponent`.
             * ```typescript
             * this.grid.sortingExpressions = [{
             *     fieldName: "ID",
             *     dir: SortingDirection.Desc,
             *     ignoreCase: true
             * }];
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(sortingExpressions)]="model.sortingExpressions"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._sortingExpressions = cloneArray(value);
                this.sortingExpressionsChange.emit(this._sortingExpressions);
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "maxLevelHeaderDepth", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this._maxLevelHeaderDepth === null) {
                    this._maxLevelHeaderDepth = this.hasColumnLayouts ?
                        this.columnList.reduce(function (acc, col) { return Math.max(acc, col.rowStart); }, 0) :
                        this.columnList.reduce(function (acc, col) { return Math.max(acc, col.level); }, 0);
                }
                return this._maxLevelHeaderDepth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hiddenColumnsCount", {
            /**
             * Returns the number of hidden `IgxColumnComponent`.
             * ```typescript
             * const hiddenCol = this.grid.hiddenColumnsCount;
             * ``
             */
            get: /**
             * Returns the number of hidden `IgxColumnComponent`.
             * ```typescript
             * const hiddenCol = this.grid.hiddenColumnsCount;
             * ``
             * @return {?}
             */
            function () {
                return this.columnList.filter(function (col) { return col.columnGroup === false && col.hidden === true; }).length;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hiddenColumnsText", {
            /**
             * Returns the text to be displayed inside the toggle button
             * for the built-in column hiding UI of the`IgxColumnComponent`.
             * ```typescript
             * const hiddenColText = this.grid.hiddenColumnsText;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the text to be displayed inside the toggle button
             * for the built-in column hiding UI of the`IgxColumnComponent`.
             * ```typescript
             * const hiddenColText = this.grid.hiddenColumnsText;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._hiddenColumnsText;
            },
            /**
             * Sets the text to be displayed inside the toggle button
             * for the built-in column hiding UI of the`IgxColumnComponent`.
             * ```typescript
             * <igx-grid [columnHiding]="true" [showToolbar]="true" [hiddenColumnsText]="'Hidden Columns'"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the text to be displayed inside the toggle button
             * for the built-in column hiding UI of the`IgxColumnComponent`.
             * ```typescript
             * <igx-grid [columnHiding]="true" [showToolbar]="true" [hiddenColumnsText]="'Hidden Columns'"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._hiddenColumnsText = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "pinnedColumnsText", {
            /**
             * Returns the text to be displayed inside the toggle button
             * for the built-in column pinning UI of the`IgxColumnComponent`.
             * ```typescript
             * const pinnedText = this.grid.pinnedColumnsText;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the text to be displayed inside the toggle button
             * for the built-in column pinning UI of the`IgxColumnComponent`.
             * ```typescript
             * const pinnedText = this.grid.pinnedColumnsText;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._pinnedColumnsText;
            },
            /**
             * Sets the text to be displayed inside the toggle button
             * for the built-in column pinning UI of the`IgxColumnComponent`.
             * ```html
             * <igx-grid [pinnedColumnsText]="'PinnedCols Text" [data]="data" [width]="'100%'" [height]="'500px'"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the text to be displayed inside the toggle button
             * for the built-in column pinning UI of the`IgxColumnComponent`.
             * ```html
             * <igx-grid [pinnedColumnsText]="'PinnedCols Text" [data]="data" [width]="'100%'" [height]="'500px'"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._pinnedColumnsText = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "transactions", {
            /**
             * Get transactions service for the grid.
             */
            get: /**
             * Get transactions service for the grid.
             * @return {?}
             */
            function () {
                return this._transactions;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "currentRowState", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._currentRowState;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "showToolbar", {
            /**
             * Returns whether the `IgxGridComponent`'s toolbar is shown or hidden.
             * ```typescript
             * const toolbarGrid = this.grid.showToolbar;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns whether the `IgxGridComponent`'s toolbar is shown or hidden.
             * ```typescript
             * const toolbarGrid = this.grid.showToolbar;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._showToolbar;
            },
            /**
             * Shows or hides the `IgxGridComponent`'s toolbar.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" ></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Shows or hides the `IgxGridComponent`'s toolbar.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" ></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._showToolbar !== newValue) {
                    this._showToolbar = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "toolbarTitle", {
            /**
             * Returns the toolbar's title.
             * ```typescript
             * const toolbarTitle  = this.grid.toolbarTitle;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the toolbar's title.
             * ```typescript
             * const toolbarTitle  = this.grid.toolbarTitle;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._toolbarTitle;
            },
            /**
             * Sets the toolbar's title.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" [toolbarTitle]="'My Grid'"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the toolbar's title.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" [toolbarTitle]="'My Grid'"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._toolbarTitle !== newValue) {
                    this._toolbarTitle = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "exportExcel", {
            /**
             * Returns whether the option for exporting to MS Excel is enabled or disabled.
             * ```typescript
             * cosnt excelExporter = this.grid.exportExcel;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns whether the option for exporting to MS Excel is enabled or disabled.
             * ```typescript
             * cosnt excelExporter = this.grid.exportExcel;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.getExportExcel();
            },
            /**
             * Enable or disable the option for exporting to MS Excel.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" [exportExcel]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Enable or disable the option for exporting to MS Excel.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" [exportExcel]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._exportExcel !== newValue) {
                    this._exportExcel = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "exportCsv", {
            /**
             * Returns whether the option for exporting to CSV is enabled or disabled.
             * ```typescript
             * const exportCsv = this.grid.exportCsv;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns whether the option for exporting to CSV is enabled or disabled.
             * ```typescript
             * const exportCsv = this.grid.exportCsv;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.getExportCsv();
            },
            /**
             * Enable or disable the option for exporting to CSV.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" [exportCsv]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Enable or disable the option for exporting to CSV.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [autoGenerate]="true" [exportCsv]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._exportCsv !== newValue) {
                    this._exportCsv = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "exportText", {
            /**
             * Returns the textual content for the main export button.
             * ```typescript
             * const exportText = this.grid.exportText;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the textual content for the main export button.
             * ```typescript
             * const exportText = this.grid.exportText;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._exportText;
            },
            /**
             * Sets the textual content for the main export button.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [exportText]="'My Exporter'" [exportCsv]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the textual content for the main export button.
             * ```html
             * <igx-grid [data]="localData" [showToolbar]="true" [exportText]="'My Exporter'" [exportCsv]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._exportText !== newValue) {
                    this._exportText = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "exportExcelText", {
            /**
             * Returns the textual content for the MS Excel export button.
             * ```typescript
             * const excelText = this.grid.exportExcelText;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the textual content for the MS Excel export button.
             * ```typescript
             * const excelText = this.grid.exportExcelText;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._exportExcelText;
            },
            /**
             * Sets the textual content for the MS Excel export button.
             * ```html
             * <igx-grid [exportExcelText]="'My Excel Exporter" [showToolbar]="true" [exportText]="'My Exporter'" [exportCsv]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the textual content for the MS Excel export button.
             * ```html
             * <igx-grid [exportExcelText]="'My Excel Exporter" [showToolbar]="true" [exportText]="'My Exporter'" [exportCsv]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._exportExcelText !== newValue) {
                    this._exportExcelText = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "exportCsvText", {
            /**
             * Returns the textual content for the CSV export button.
             * ```typescript
             * const csvText = this.grid.exportCsvText;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the textual content for the CSV export button.
             * ```typescript
             * const csvText = this.grid.exportCsvText;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._exportCsvText;
            },
            /**
             * Sets the textual content for the CSV export button.
             * ```html
             * <igx-grid [exportCsvText]="'My Csv Exporter" [showToolbar]="true" [exportText]="'My Exporter'" [exportExcel]="true"></igx-grid>
             * ```
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Sets the textual content for the CSV export button.
             * ```html
             * <igx-grid [exportCsvText]="'My Csv Exporter" [showToolbar]="true" [exportText]="'My Exporter'" [exportExcel]="true"></igx-grid>
             * ```
             * \@memberof IgxGridBaseComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._exportCsvText !== newValue) {
                    this._exportCsvText = newValue;
                    if (!this._init) {
                        this.notifyChanges(true);
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "cellSelection", {
            /**
             * Returns the current cell selection state, which can be none, single or multiple
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the current cell selection state, which can be none, single or multiple
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._cellSelectionMode;
            },
            /**
             * Allows you to set cell selection mode
             * By default the cell selection mode is multiple
             * @param selectionMode: GridSelectionMode
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Allows you to set cell selection mode
             * By default the cell selection mode is multiple
             * \@memberof IgxGridBaseComponent
             * @param {?} selectionMode
             * @return {?}
             */
            function (selectionMode) {
                this._cellSelectionMode = selectionMode;
                if (this.gridAPI.grid) {
                    this.selectionService.clear(true);
                    this.notifyChanges();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowSelection", {
            /**
             * Returns the current row selection state, which can be none, single or multiple
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the current row selection state, which can be none, single or multiple
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._rowSelectionMode;
            },
            /**
             * Allows you to set row selection mode
             * By default the row selection mode is none
             * @param selectionMode: GridSelectionMode
             * @memberof IgxGridBaseComponent
             */
            set: /**
             * Allows you to set row selection mode
             * By default the row selection mode is none
             * \@memberof IgxGridBaseComponent
             * @param {?} selectionMode
             * @return {?}
             */
            function (selectionMode) {
                this._rowSelectionMode = selectionMode;
                if (this.gridAPI.grid && this.columnList) {
                    this.selectionService.clearAllSelectedRows();
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
        * @hidden
        * @internal
        */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.hideOverlays = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            var _this = this;
            this.overlayIDs.forEach(function (overlayID) {
                _this.overlayService.hide(overlayID);
                _this.overlayService.onClosed.pipe(operators.filter(function (o) { return o.id === overlayID; }), operators.takeUntil(_this.destroy$)).subscribe(function () {
                    _this.nativeElement.focus();
                });
            });
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype._setupServices = /**
         * @return {?}
         */
        function () {
            this.gridAPI.grid = this;
            this.crudService.grid = this;
            this.selectionService.grid = this;
            this.navigation.grid = this;
            this.filteringService.grid = this;
            this.summaryService.grid = this;
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype._setupListeners = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var destructor = operators.takeUntil(this.destroy$);
            this.onRowAdded.pipe(destructor).subscribe(function (args) { return _this.refreshGridState(args); });
            this.onRowDeleted.pipe(destructor).subscribe(function (args) {
                _this.summaryService.deleteOperation = true;
                _this.summaryService.clearSummaryCache(args);
            });
            this.transactions.onStateUpdate.pipe(destructor).subscribe(function () {
                _this.selectionService.clearHeaderCBState();
                _this.summaryService.clearSummaryCache();
                _this._pipeTrigger++;
                _this.notifyChanges();
                if (_this.transactions.getAggregatedChanges(false).length === 0) {
                    // Needs better check, calling 'transactions.clear()' will also trigger this
                    if (_this.gridAPI.atInexistingPage()) {
                        _this.page--;
                    }
                }
            });
            this.resizeNotify.pipe(destructor, operators.filter(function () { return !_this._init; }), operators.throttleTime(100))
                .subscribe(function () {
                _this.zone.run(function () {
                    _this.notifyChanges(true);
                });
            });
            this.onPagingDone.pipe(destructor).subscribe(function () {
                _this.endEdit(true);
                _this.selectionService.clear(true);
            });
            this.onColumnMoving.pipe(destructor).subscribe(function () { return _this.endEdit(true); });
            this.onColumnResized.pipe(destructor).subscribe(function () { return _this.endEdit(true); });
            this.overlayService.onOpening.pipe(destructor).subscribe(function (event) {
                if (_this._advancedFilteringOverlayId === event.id) {
                    /** @type {?} */
                    var instance = (/** @type {?} */ (event.componentRef.instance));
                    if (instance) {
                        instance.initialize(_this.filteringService, _this.overlayService, event.id);
                    }
                }
            });
            this.overlayService.onOpened.pipe(destructor).subscribe(function (event) {
                // do not hide the advanced filtering overlay on scroll
                if (_this._advancedFilteringOverlayId === event.id) {
                    /** @type {?} */
                    var instance = (/** @type {?} */ (event.componentRef.instance));
                    if (instance) {
                        instance.setAddButtonFocus();
                    }
                    return;
                }
                if (_this.overlayService.getOverlayById(event.id).settings.outlet === _this.outletDirective &&
                    _this.overlayIDs.indexOf(event.id) < 0) {
                    _this.overlayIDs.push(event.id);
                }
            });
            this.overlayService.onClosed.pipe(destructor, operators.filter(function () { return !_this._init; })).subscribe(function (event) {
                if (_this._advancedFilteringOverlayId === event.id) {
                    _this._advancedFilteringOverlayId = null;
                    return;
                }
                /** @type {?} */
                var ind = _this.overlayIDs.indexOf(event.id);
                if (ind !== -1) {
                    _this.overlayIDs.splice(ind, 1);
                }
            });
            this.verticalScrollContainer.onDataChanging.pipe(destructor, operators.filter(function () { return !_this._init; })).subscribe(function ($event) {
                /** @type {?} */
                var shouldRecalcSize = _this.isPercentHeight &&
                    (!_this.calcHeight || _this.calcHeight === _this.getDataBasedBodyHeight() ||
                        _this.calcHeight === _this.renderedRowHeight * _this._defaultTargetRecordNumber);
                if (shouldRecalcSize) {
                    _this.calculateGridHeight();
                    $event.containerSize = _this.calcHeight;
                }
                _this.evaluateLoadingState();
            });
            this.verticalScrollContainer.onScrollbarVisibilityChanged.pipe(destructor, operators.filter(function () { return !_this._init; })).subscribe(function () {
                // called to recalc all widths that may have changes as a result of
                // the vert. scrollbar showing/hiding
                _this.notifyChanges(true);
            });
            this.verticalScrollContainer.onContentSizeChange.pipe(destructor, operators.filter(function () { return !_this._init; })).subscribe(function ($event) {
                _this.calculateGridSizes();
            });
            this.onDensityChanged.pipe(destructor).subscribe(function () {
                _this.summaryService.summaryHeight = 0;
                _this.endEdit(true);
                _this.cdr.markForCheck();
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridBaseComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            _super.prototype.ngOnInit.call(this);
            this._setupServices();
            this._setupListeners();
            this.columnListDiffer = this.differs.find([]).create(null);
            this.calcWidth = this.width && this.width.indexOf('%') === -1 ? parseInt(this.width, 10) : 0;
            this.shouldGenerate = this.autoGenerate;
            this._scrollWidth = this.getScrollWidth();
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.setupColumns = /**
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.autoGenerate) {
                this.autogenerateColumns();
            }
            this.initColumns(this.columnList, function (col) { return _this.onColumnInit.emit(col); });
            this.columnListDiffer.diff(this.columnList);
            this.columnList.changes
                .pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (change) { _this.onColumnsChanged(change); });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resetColumnsCaches = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this.columnList.forEach(function (column) { return column.resetCaches(); });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resetForOfCache = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            /** @type {?} */
            var firstVirtRow = this.dataRowList.first;
            if (firstVirtRow) {
                if (this._cdrRequests) {
                    firstVirtRow.virtDirRow.cdr.detectChanges();
                }
                firstVirtRow.virtDirRow.assumeMaster();
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resetColumnCollections = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this._visibleColumns.length = 0;
            this._pinnedVisible.length = 0;
            this._unpinnedVisible.length = 0;
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resetCachedWidths = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this._unpinnedWidth = NaN;
            this._pinnedWidth = NaN;
            this._totalWidth = NaN;
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resetCaches = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            this.resetForOfCache();
            this.resetColumnsCaches();
            this.resetColumnCollections();
            this.resetCachedWidths();
            this.hasVisibleColumns = undefined;
            this._columnGroups = this.columnList.some(function (col) { return col.columnGroup; });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridBaseComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.setupColumns();
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype._setupRowObservers = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var elementFilter = function (item) { return _this.isDefined(item.nativeElement.parentElement); };
            /** @type {?} */
            var extractForOfs = rxjs.pipe(operators.map(function (collection) { return collection.filter(elementFilter).map(function (item) { return item.virtDirRow; }); }));
            /** @type {?} */
            var rowListObserver = extractForOfs(this._dataRowList.changes);
            /** @type {?} */
            var summaryRowObserver = extractForOfs(this._summaryRowList.changes);
            rxjs.combineLatest([rowListObserver, summaryRowObserver]).pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (_a) {
                var _b = __read(_a, 2), row = _b[0], summary = _b[1];
                return _this._horizontalForOfs = __spread(row, summary);
            });
            this._horizontalForOfs = __spread(this._dataRowList.filter(elementFilter).map(function (item) { return item.virtDirRow; }), this._summaryRowList.filter(elementFilter).map(function (item) { return item.virtDirRow; }));
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype._zoneBegoneListeners = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this.zone.runOutsideAngular(function () {
                _this.nativeElement.addEventListener('keydown', _this.keydownHandler);
                _this.verticalScrollContainer.getScroll().addEventListener('scroll', _this.verticalScrollHandler);
                _this.headerContainer.getScroll().addEventListener('scroll', _this.horizontalScrollHandler);
                _this.observer = new ResizeObserver(function () { return _this.resizeNotify.next(); });
                _this.observer.observe(_this.nativeElement);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridBaseComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.initPinning();
            this.calculateGridSizes();
            this._init = false;
            this.cdr.reattach();
            this._setupRowObservers();
            this._zoneBegoneListeners();
            /** @type {?} */
            var vertScrDC = this.verticalScrollContainer.displayContainer;
            vertScrDC.addEventListener('scroll', this.scrollHandler);
            vertScrDC.addEventListener('wheel', function () { return _this.wheelHandler(); });
        };
        /**
         * @param {?=} repaint
         * @return {?}
         */
        IgxGridBaseComponent.prototype.notifyChanges = /**
         * @param {?=} repaint
         * @return {?}
         */
        function (repaint) {
            if (repaint === void 0) { repaint = false; }
            this._cdrRequests = true;
            this._cdrRequestRepaint = repaint;
            this.cdr.markForCheck();
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resetNotifyChanges = /**
         * @protected
         * @return {?}
         */
        function () {
            this._cdrRequestRepaint = false;
            this._cdrRequests = false;
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            _super.prototype.ngDoCheck.call(this);
            if (this._init) {
                return;
            }
            if (this._cdrRequestRepaint) {
                this.resetNotifyChanges();
                this.calculateGridSizes();
                this.refreshSearch(true);
                return;
            }
            if (this._cdrRequests) {
                this.resetNotifyChanges();
                this.cdr.detectChanges();
            }
        };
        /**
         * @hidden
         * @internal
        */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getDragGhostCustomTemplate = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            if (this.dragGhostCustomTemplates && this.dragGhostCustomTemplates.first) {
                return this.dragGhostCustomTemplates.first;
            }
            return null;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridBaseComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.tmpOutlets.forEach(function (tmplOutlet) {
                tmplOutlet.cleanCache();
            });
            this.destroy$.next(true);
            this.destroy$.complete();
            this._destroyed = true;
            if (this._advancedFilteringOverlayId) {
                this.overlayService.hide(this._advancedFilteringOverlayId);
            }
            this.zone.runOutsideAngular(function () {
                _this.observer.disconnect();
                _this.nativeElement.removeEventListener('keydown', _this.keydownHandler);
                _this.verticalScrollContainer.getScroll().removeEventListener('scroll', _this.verticalScrollHandler);
                _this.headerContainer.getScroll().removeEventListener('scroll', _this.horizontalScrollHandler);
                /** @type {?} */
                var vertScrDC = _this.verticalScrollContainer.displayContainer;
                vertScrDC.removeEventListener('scroll', _this.scrollHandler);
                vertScrDC.removeEventListener('wheel', function () { return _this.wheelHandler(); });
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridBaseComponent.prototype.dataLoading = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onDataPreLoad.emit(event);
        };
        /**
         * Toggles the specified column's visibility.
         * ```typescript
         * this.grid1.toggleColumnVisibility({
         *       column: this.grid1.columns[0],
         *       newValue: true
         * });
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Toggles the specified column's visibility.
         * ```typescript
         * this.grid1.toggleColumnVisibility({
         *       column: this.grid1.columns[0],
         *       newValue: true
         * });
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} args
         * @return {?}
         */
        IgxGridBaseComponent.prototype.toggleColumnVisibility = /**
         * Toggles the specified column's visibility.
         * ```typescript
         * this.grid1.toggleColumnVisibility({
         *       column: this.grid1.columns[0],
         *       newValue: true
         * });
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} args
         * @return {?}
         */
        function (args) {
            /** @type {?} */
            var col = args.column ? this.columnList.find(function (c) { return c === args.column; }) : undefined;
            if (!col) {
                return;
            }
            col.hidden = args.newValue;
            this.onColumnVisibilityChanged.emit(args);
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "nativeElement", {
            /**
             * Returns the native element of the `IgxGridComponent`.
             * ```typescript
             * const nativeEl = this.grid.nativeElement.
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the native element of the `IgxGridComponent`.
             * ```typescript
             * const nativeEl = this.grid.nativeElement.
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "outlet", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                return this.outletDirective;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "defaultRowHeight", {
            /**
             * Returns the `IgxGridComponent`'s rows height.
             * ```typescript
             * const rowHeigh = this.grid.defaultRowHeight;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the `IgxGridComponent`'s rows height.
             * ```typescript
             * const rowHeigh = this.grid.defaultRowHeight;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                switch (this.displayDensity) {
                    case DisplayDensity.cosy:
                        return 40;
                    case DisplayDensity.compact:
                        return 32;
                    default:
                        return 50;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "defaultSummaryHeight", {
            get: /**
             * @return {?}
             */
            function () {
                switch (this.displayDensity) {
                    case DisplayDensity.cosy:
                        return 30;
                    case DisplayDensity.compact:
                        return 24;
                    default:
                        return 36;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "defaultHeaderGroupMinWidth", {
            /**
             * Returns the `IgxGridHeaderGroupComponent`'s minimum allowed width.
             * Used internally for restricting header group component width.
             * The values below depend on the header cell default right/left padding values.
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the `IgxGridHeaderGroupComponent`'s minimum allowed width.
             * Used internally for restricting header group component width.
             * The values below depend on the header cell default right/left padding values.
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                switch (this.displayDensity) {
                    case DisplayDensity.cosy:
                        return 32;
                    case DisplayDensity.compact:
                        return 24;
                    default:
                        return 48;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.paginatorClassName = /**
         * @return {?}
         */
        function () {
            switch (this.displayDensity) {
                case DisplayDensity.cosy:
                    return 'igx-paginator--cosy';
                case DisplayDensity.compact:
                    return 'igx-paginator--compact';
                default:
                    return 'igx-paginator';
            }
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "calcPinnedContainerMaxWidth", {
            /**
             * Returns the maximum width of the container for the pinned `IgxColumnComponent`s.
             * The width is 80% of the total grid width.
             * ```typescript
             * const maxPinnedColWidth = this.grid.calcPinnedContainerMaxWidth;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the maximum width of the container for the pinned `IgxColumnComponent`s.
             * The width is 80% of the total grid width.
             * ```typescript
             * const maxPinnedColWidth = this.grid.calcPinnedContainerMaxWidth;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return (this.calcWidth * 80) / 100;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "unpinnedAreaMinWidth", {
            /**
             * Returns the minimum width of the container for the unpinned `IgxColumnComponent`s.
             * The width is 20% of the total grid width.
             * ```typescript
             * const minUnpinnedColWidth = this.grid.unpinnedAreaMinWidth;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the minimum width of the container for the unpinned `IgxColumnComponent`s.
             * The width is 20% of the total grid width.
             * ```typescript
             * const minUnpinnedColWidth = this.grid.unpinnedAreaMinWidth;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return (this.calcWidth * 20) / 100;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "pinnedWidth", {
            /**
             * Returns the current width of the container for the pinned `IgxColumnComponent`s.
             * ```typescript
             * const pinnedWidth = this.grid.getPinnedWidth;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the current width of the container for the pinned `IgxColumnComponent`s.
             * ```typescript
             * const pinnedWidth = this.grid.getPinnedWidth;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (!isNaN(this._pinnedWidth)) {
                    return this._pinnedWidth;
                }
                this._pinnedWidth = this.getPinnedWidth();
                return this._pinnedWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "unpinnedWidth", {
            /**
             * Returns the current width of the container for the unpinned `IgxColumnComponent`s.
             * ```typescript
             * const unpinnedWidth = this.grid.getUnpinnedWidth;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the current width of the container for the unpinned `IgxColumnComponent`s.
             * ```typescript
             * const unpinnedWidth = this.grid.getUnpinnedWidth;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (!isNaN(this._unpinnedWidth)) {
                    return this._unpinnedWidth;
                }
                this._unpinnedWidth = this.getUnpinnedWidth();
                return this._unpinnedWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isHorizontalScrollHidden", {
            get: /**
             * @return {?}
             */
            function () {
                /** @type {?} */
                var diff = this.unpinnedWidth - this.totalWidth;
                return this.width === null || diff >= 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "featureColumnsWidth", {
            /**
             * @hidden
             * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
             * TODO: Update for Angular 8. Calling parent class getter using super is not supported for now.
             */
            get: /**
             * @hidden
             * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
             * TODO: Update for Angular 8. Calling parent class getter using super is not supported for now.
             * @return {?}
             */
            function () {
                return this.getFeatureColumnsWidth();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "summariesMargin", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.featureColumnsWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "columns", {
            /**
             * Returns an array of `IgxColumnComponent`s.
             * ```typescript
             * const colums = this.grid.columns.
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns an array of `IgxColumnComponent`s.
             * ```typescript
             * const colums = this.grid.columns.
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._columns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "pinnedColumns", {
            /**
             * Returns an array of the pinned `IgxColumnComponent`s.
             * ```typescript
             * const pinnedColumns = this.grid.pinnedColumns.
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns an array of the pinned `IgxColumnComponent`s.
             * ```typescript
             * const pinnedColumns = this.grid.pinnedColumns.
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (this._pinnedVisible.length) {
                    return this._pinnedVisible;
                }
                this._pinnedVisible = this._pinnedColumns.filter(function (col) { return !col.hidden; });
                return this._pinnedVisible;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "unpinnedColumns", {
            /**
             * Returns an array of unpinned `IgxColumnComponent`s.
             * ```typescript
             * const unpinnedColumns = this.grid.unpinnedColumns.
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns an array of unpinned `IgxColumnComponent`s.
             * ```typescript
             * const unpinnedColumns = this.grid.unpinnedColumns.
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (this._unpinnedVisible.length) {
                    return this._unpinnedVisible;
                }
                this._unpinnedVisible = this._unpinnedColumns.filter(function (col) { return !col.hidden; });
                return this._unpinnedVisible;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns the `width` to be set on `IgxGridHeaderGroupComponent`.
         * @memberof IgxGridBaseComponent
         */
        /**
         * Returns the `width` to be set on `IgxGridHeaderGroupComponent`.
         * \@memberof IgxGridBaseComponent
         * @param {?} column
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getHeaderGroupWidth = /**
         * Returns the `width` to be set on `IgxGridHeaderGroupComponent`.
         * \@memberof IgxGridBaseComponent
         * @param {?} column
         * @return {?}
         */
        function (column) {
            if (this.hasColumnLayouts) {
                return '';
            }
            /** @type {?} */
            var colWidth = column.width;
            /** @type {?} */
            var minWidth = this.defaultHeaderGroupMinWidth;
            /** @type {?} */
            var isPercentageWidth = colWidth && typeof colWidth === 'string' && colWidth.indexOf('%') !== -1;
            if (!isPercentageWidth && parseInt(column.width, 10) < minWidth) {
                return minWidth.toString();
            }
            return column.width;
        };
        /**
         * Returns the `IgxColumnComponent` by field name.
         * ```typescript
         * const myCol = this.grid1.getColumnByName("ID");
         * ```
         * @param name
         * @memberof IgxGridBaseComponent
         */
        /**
         * Returns the `IgxColumnComponent` by field name.
         * ```typescript
         * const myCol = this.grid1.getColumnByName("ID");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} name
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getColumnByName = /**
         * Returns the `IgxColumnComponent` by field name.
         * ```typescript
         * const myCol = this.grid1.getColumnByName("ID");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} name
         * @return {?}
         */
        function (name) {
            return this.columnList.find(function (col) { return col.field === name; });
        };
        /**
         * Returns the `IgxRowComponent` by index.
         * ```typescript
         * const myRow = this.grid1.getRowByIndex(1);
         * ```
         * @param index
         * @memberof IgxGridBaseComponent
         */
        /**
         * Returns the `IgxRowComponent` by index.
         * ```typescript
         * const myRow = this.grid1.getRowByIndex(1);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} index
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getRowByIndex = /**
         * Returns the `IgxRowComponent` by index.
         * ```typescript
         * const myRow = this.grid1.getRowByIndex(1);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} index
         * @return {?}
         */
        function (index) {
            return this.gridAPI.get_row_by_index(index);
        };
        /**
         * Returns `IgxGridRowComponent` object by the specified primary key .
         * Requires that the `primaryKey` property is set.
         * ```typescript
         * const myRow = this.grid1.getRowByKey("cell5");
         * ```
         * @param keyValue
         * @memberof IgxGridBaseComponent
         */
        /**
         * Returns `IgxGridRowComponent` object by the specified primary key .
         * Requires that the `primaryKey` property is set.
         * ```typescript
         * const myRow = this.grid1.getRowByKey("cell5");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} keyValue
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getRowByKey = /**
         * Returns `IgxGridRowComponent` object by the specified primary key .
         * Requires that the `primaryKey` property is set.
         * ```typescript
         * const myRow = this.grid1.getRowByKey("cell5");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} keyValue
         * @return {?}
         */
        function (keyValue) {
            return this.gridAPI.get_row_by_key(keyValue);
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "visibleColumns", {
            /**
             * Returns an array of visible `IgxColumnComponent`s.
             * ```typescript
             * const visibleColumns = this.grid.visibleColumns.
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns an array of visible `IgxColumnComponent`s.
             * ```typescript
             * const visibleColumns = this.grid.visibleColumns.
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (this._visibleColumns.length) {
                    return this._visibleColumns;
                }
                this._visibleColumns = this.columnList.filter(function (c) { return !c.hidden; });
                return this._visibleColumns;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Returns the `IgxGridCellComponent` that matches the conditions.
         * ```typescript
         * const myCell = this.grid1.getCellByColumn(2,"UnitPrice");
         * ```
         * @param rowIndex
         * @param columnField
         * @memberof IgxGridBaseComponent
         */
        /**
         * Returns the `IgxGridCellComponent` that matches the conditions.
         * ```typescript
         * const myCell = this.grid1.getCellByColumn(2,"UnitPrice");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIndex
         * @param {?} columnField
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getCellByColumn = /**
         * Returns the `IgxGridCellComponent` that matches the conditions.
         * ```typescript
         * const myCell = this.grid1.getCellByColumn(2,"UnitPrice");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIndex
         * @param {?} columnField
         * @return {?}
         */
        function (rowIndex, columnField) {
            /** @type {?} */
            var columnId = this.columnList.map(function (column) { return column.field; }).indexOf(columnField);
            if (columnId !== -1) {
                return this.gridAPI.get_cell_by_index(rowIndex, columnId);
            }
        };
        /**
         * Returns an `IgxGridCellComponent` object by the specified primary key and column field.
         * Requires that the primaryKey property is set.
         * ```typescript
         * grid.getCellByKey(1, 'index');
         * ```
         * @param rowSelector match any rowID
         * @param columnField
         * @memberof IgxGridBaseComponent
         */
        /**
         * Returns an `IgxGridCellComponent` object by the specified primary key and column field.
         * Requires that the primaryKey property is set.
         * ```typescript
         * grid.getCellByKey(1, 'index');
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowSelector match any rowID
         * @param {?} columnField
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getCellByKey = /**
         * Returns an `IgxGridCellComponent` object by the specified primary key and column field.
         * Requires that the primaryKey property is set.
         * ```typescript
         * grid.getCellByKey(1, 'index');
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowSelector match any rowID
         * @param {?} columnField
         * @return {?}
         */
        function (rowSelector, columnField) {
            return this.gridAPI.get_cell_by_key(rowSelector, columnField);
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "totalPages", {
            /**
             * Returns the total number of pages.
             * ```typescript
             * const totalPages = this.grid.totalPages;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the total number of pages.
             * ```typescript
             * const totalPages = this.grid.totalPages;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (this.pagingState) {
                    return this.pagingState.metadata.countPages;
                }
                return -1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isFirstPage", {
            /**
             * Returns if the current page is the first page.
             * ```typescript
             * const firstPage = this.grid.isFirstPage;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the current page is the first page.
             * ```typescript
             * const firstPage = this.grid.isFirstPage;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.page === 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Goes to the next page of the `IgxGridComponent`, if the grid is not already at the last page.
         * ```typescript
         * this.grid1.nextPage();
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Goes to the next page of the `IgxGridComponent`, if the grid is not already at the last page.
         * ```typescript
         * this.grid1.nextPage();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        IgxGridBaseComponent.prototype.nextPage = /**
         * Goes to the next page of the `IgxGridComponent`, if the grid is not already at the last page.
         * ```typescript
         * this.grid1.nextPage();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        function () {
            if (!this.isLastPage) {
                this.page += 1;
            }
        };
        /**
         * Goes to the previous page of the `IgxGridComponent`, if the grid is not already at the first page.
         * ```typescript
         * this.grid1.previousPage();
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Goes to the previous page of the `IgxGridComponent`, if the grid is not already at the first page.
         * ```typescript
         * this.grid1.previousPage();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        IgxGridBaseComponent.prototype.previousPage = /**
         * Goes to the previous page of the `IgxGridComponent`, if the grid is not already at the first page.
         * ```typescript
         * this.grid1.previousPage();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        function () {
            if (!this.isFirstPage) {
                this.page -= 1;
            }
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "totalRecords", {
            /**
             * Returns the total number of records.
             * Only functions when paging is enabled.
             * ```typescript
             * const totalRecords = this.grid.totalRecords;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the total number of records.
             * Only functions when paging is enabled.
             * ```typescript
             * const totalRecords = this.grid.totalRecords;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (this.pagingState) {
                    return this.pagingState.metadata.countRecords;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isLastPage", {
            /**
             * Returns if the current page is the last page.
             * ```typescript
             * const lastPage = this.grid.isLastPage;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the current page is the last page.
             * ```typescript
             * const lastPage = this.grid.isLastPage;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.page + 1 >= this.totalPages;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "totalWidth", {
            /**
             * Returns the total width of the `IgxGridComponent`.
             * ```typescript
             * const gridWidth = this.grid.totalWidth;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns the total width of the `IgxGridComponent`.
             * ```typescript
             * const gridWidth = this.grid.totalWidth;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (!isNaN(this._totalWidth)) {
                    return this._totalWidth;
                }
                // Take only top level columns
                /** @type {?} */
                var cols = this.visibleColumns.filter(function (col) { return col.level === 0 && !col.pinned; });
                /** @type {?} */
                var totalWidth = 0;
                /** @type {?} */
                var i = 0;
                for (i; i < cols.length; i++) {
                    totalWidth += parseInt(cols[i].calcWidth, 10) || 0;
                }
                this._totalWidth = totalWidth;
                return totalWidth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "showRowSelectors", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.isRowSelectable && this.hasVisibleColumns && !this.hideRowSelectors;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "showDragIcons", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.rowDraggable && this.columns.length > this.hiddenColumnsCount;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} from
         * @param {?} to
         * @param {?} pos
         * @return {?}
         */
        IgxGridBaseComponent.prototype._moveColumns = /**
         * @hidden
         * @protected
         * @param {?} from
         * @param {?} to
         * @param {?} pos
         * @return {?}
         */
        function (from, to, pos) {
            /** @type {?} */
            var list = this.columnList.toArray();
            /** @type {?} */
            var fromIndex = list.indexOf(from);
            /** @type {?} */
            var toIndex = list.indexOf(to);
            if (pos === DropPosition.BeforeDropTarget) {
                toIndex--;
                if (toIndex < 0) {
                    toIndex = 0;
                }
            }
            if (pos === DropPosition.AfterDropTarget) {
                toIndex++;
            }
            list.splice.apply(list, __spread([toIndex, 0], list.splice(fromIndex, 1)));
            /** @type {?} */
            var newList = this._resetColumnList(list);
            this.columnList.reset(newList);
            this.columnList.notifyOnChanges();
            this._columns = this.columnList.toArray();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?=} list
         * @return {?}
         */
        IgxGridBaseComponent.prototype._resetColumnList = /**
         * @hidden
         * @protected
         * @param {?=} list
         * @return {?}
         */
        function (list) {
            if (!list) {
                list = this.columnList.toArray();
            }
            /** @type {?} */
            var newList = [];
            list.filter(function (c) { return c.level === 0; }).forEach(function (p) {
                newList.push(p);
                if (p.columnGroup) {
                    newList = newList.concat(p.allChildren);
                }
            });
            return newList;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} from
         * @param {?} to
         * @param {?} position
         * @return {?}
         */
        IgxGridBaseComponent.prototype._reorderPinnedColumns = /**
         * @hidden
         * @protected
         * @param {?} from
         * @param {?} to
         * @param {?} position
         * @return {?}
         */
        function (from, to, position) {
            /** @type {?} */
            var pinned = this._pinnedColumns;
            /** @type {?} */
            var dropIndex = pinned.indexOf(to);
            if (to.columnGroup) {
                dropIndex += to.allChildren.length;
            }
            if (position === DropPosition.BeforeDropTarget) {
                dropIndex--;
            }
            if (position === DropPosition.AfterDropTarget) {
                dropIndex++;
            }
            pinned.splice.apply(pinned, __spread([dropIndex, 0], pinned.splice(pinned.indexOf(from), 1)));
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} parent
         * @param {?} from
         * @param {?} to
         * @param {?} pos
         * @return {?}
         */
        IgxGridBaseComponent.prototype._moveChildColumns = /**
         * @hidden
         * @protected
         * @param {?} parent
         * @param {?} from
         * @param {?} to
         * @param {?} pos
         * @return {?}
         */
        function (parent, from, to, pos) {
            /** @type {?} */
            var buffer = parent.children.toArray();
            /** @type {?} */
            var fromIndex = buffer.indexOf(from);
            /** @type {?} */
            var toIndex = buffer.indexOf(to);
            if (pos === DropPosition.BeforeDropTarget) {
                toIndex--;
            }
            if (pos === DropPosition.AfterDropTarget) {
                toIndex++;
            }
            buffer.splice.apply(buffer, __spread([toIndex, 0], buffer.splice(fromIndex, 1)));
            parent.children.reset(buffer);
        };
        /**
         * Moves a column to the specified drop target.
         * ```typescript
         * grid.moveColumn(compName, persDetails);
         * ```
          * @memberof IgxGridBaseComponent
          */
        /**
         * Moves a column to the specified drop target.
         * ```typescript
         * grid.moveColumn(compName, persDetails);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} column
         * @param {?} dropTarget
         * @param {?=} pos
         * @return {?}
         */
        IgxGridBaseComponent.prototype.moveColumn = /**
         * Moves a column to the specified drop target.
         * ```typescript
         * grid.moveColumn(compName, persDetails);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} column
         * @param {?} dropTarget
         * @param {?=} pos
         * @return {?}
         */
        function (column, dropTarget, pos) {
            if (pos === void 0) { pos = DropPosition.None; }
            /** @type {?} */
            var position = pos;
            /** @type {?} */
            var fromIndex = column.visibleIndex;
            /** @type {?} */
            var toIndex = dropTarget.visibleIndex;
            if (pos === DropPosition.BeforeDropTarget && fromIndex < toIndex) {
                position = DropPosition.BeforeDropTarget;
            }
            else if (pos === DropPosition.AfterDropTarget && fromIndex > toIndex) {
                position = DropPosition.AfterDropTarget;
            }
            else {
                position = DropPosition.None;
            }
            if ((column.level !== dropTarget.level) ||
                (column.topLevelParent !== dropTarget.topLevelParent)) {
                return;
            }
            this.endEdit(true);
            if (column.level) {
                this._moveChildColumns(column.parent, column, dropTarget, position);
            }
            if (dropTarget.pinned && column.pinned) {
                this._reorderPinnedColumns(column, dropTarget, position);
            }
            if (dropTarget.pinned && !column.pinned) {
                column.pin();
                this._reorderPinnedColumns(column, dropTarget, position);
            }
            if (!dropTarget.pinned && column.pinned) {
                column.unpin();
                /** @type {?} */
                var list = this.columnList.toArray();
                /** @type {?} */
                var fi = list.indexOf(column);
                /** @type {?} */
                var ti = list.indexOf(dropTarget);
                if (pos === DropPosition.BeforeDropTarget && fi < ti) {
                    position = DropPosition.BeforeDropTarget;
                }
                else if (pos === DropPosition.AfterDropTarget && fi > ti) {
                    position = DropPosition.AfterDropTarget;
                }
                else {
                    position = DropPosition.None;
                }
            }
            this._moveColumns(column, dropTarget, position);
            this.notifyChanges();
            if (this.hasColumnLayouts) {
                this.columns.filter(function (x) { return x.columnLayout; }).forEach(function (x) { return x.populateVisibleIndexes(); });
            }
            /** @type {?} */
            var args = {
                source: column,
                target: dropTarget
            };
            this.onColumnMovingEnd.emit(args);
        };
        /**
         * Goes to the desired page index.
         * ```typescript
         * this.grid1.paginate(1);
         * ```
         * @param val
         * @memberof IgxGridBaseComponent
         */
        /**
         * Goes to the desired page index.
         * ```typescript
         * this.grid1.paginate(1);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} val
         * @return {?}
         */
        IgxGridBaseComponent.prototype.paginate = /**
         * Goes to the desired page index.
         * ```typescript
         * this.grid1.paginate(1);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} val
         * @return {?}
         */
        function (val) {
            if (val < 0 || val > this.totalPages - 1) {
                return;
            }
            this.page = val;
        };
        /**
         * Manually marks the `IgxGridComponent` for change detection.
         * ```typescript
         * this.grid1.markForCheck();
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Manually marks the `IgxGridComponent` for change detection.
         * ```typescript
         * this.grid1.markForCheck();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        IgxGridBaseComponent.prototype.markForCheck = /**
         * Manually marks the `IgxGridComponent` for change detection.
         * ```typescript
         * this.grid1.markForCheck();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        function () {
            this.cdr.detectChanges();
        };
        /**
         * Creates a new `IgxGridRowComponent` and adds the data record to the end of the data source.
         * ```typescript
         * const record = {
         *     ID: this.grid1.data[this.grid1.data.length - 1].ID + 1,
         *     Name: this.newRecord
         * };
         * this.grid1.addRow(record);
         * ```
         * @param data
         * @memberof IgxGridBaseComponent
         */
        /**
         * Creates a new `IgxGridRowComponent` and adds the data record to the end of the data source.
         * ```typescript
         * const record = {
         *     ID: this.grid1.data[this.grid1.data.length - 1].ID + 1,
         *     Name: this.newRecord
         * };
         * this.grid1.addRow(record);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} data
         * @return {?}
         */
        IgxGridBaseComponent.prototype.addRow = /**
         * Creates a new `IgxGridRowComponent` and adds the data record to the end of the data source.
         * ```typescript
         * const record = {
         *     ID: this.grid1.data[this.grid1.data.length - 1].ID + 1,
         *     Name: this.newRecord
         * };
         * this.grid1.addRow(record);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} data
         * @return {?}
         */
        function (data) {
            // commit pending states prior to adding a row
            this.endEdit(true);
            this.gridAPI.addRowToData(data);
            this.onRowAdded.emit({ data: data });
            this._pipeTrigger++;
            this.notifyChanges();
        };
        /**
         * Removes the `IgxGridRowComponent` and the corresponding data record by primary key.
         * Requires that the `primaryKey` property is set.
         * The method accept rowSelector as a parameter, which is the rowID.
         * ```typescript
         * this.grid1.deleteRow(0);
         * ```
         * @param rowSelector
         * @memberof IgxGridBaseComponent
         */
        /**
         * Removes the `IgxGridRowComponent` and the corresponding data record by primary key.
         * Requires that the `primaryKey` property is set.
         * The method accept rowSelector as a parameter, which is the rowID.
         * ```typescript
         * this.grid1.deleteRow(0);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowSelector
         * @return {?}
         */
        IgxGridBaseComponent.prototype.deleteRow = /**
         * Removes the `IgxGridRowComponent` and the corresponding data record by primary key.
         * Requires that the `primaryKey` property is set.
         * The method accept rowSelector as a parameter, which is the rowID.
         * ```typescript
         * this.grid1.deleteRow(0);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowSelector
         * @return {?}
         */
        function (rowSelector) {
            if (this.primaryKey !== undefined && this.primaryKey !== null) {
                this.deleteRowById(rowSelector);
            }
        };
        /** @hidden */
        /**
         * @hidden
         * @param {?} rowId
         * @return {?}
         */
        IgxGridBaseComponent.prototype.deleteRowById = /**
         * @hidden
         * @param {?} rowId
         * @return {?}
         */
        function (rowId) {
            this.gridAPI.deleteRowById(rowId);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        IgxGridBaseComponent.prototype.deleteRowFromData = /**
         * @hidden
         * @protected
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        function (rowID, index) {
            //  if there is a row (index !== 0) delete it
            //  if there is a row in ADD or UPDATE state change it's state to DELETE
            if (index !== -1) {
                if (this.transactions.enabled) {
                    /** @type {?} */
                    var transaction = { id: rowID, type: TransactionType.DELETE, newValue: null };
                    this.transactions.add(transaction, this.data[index]);
                }
                else {
                    this.data.splice(index, 1);
                }
            }
            else {
                /** @type {?} */
                var state = this.transactions.getState(rowID);
                this.transactions.add({ id: rowID, type: TransactionType.DELETE, newValue: null }, state && state.recordRef);
            }
        };
        /**
         * Updates the `IgxGridRowComponent` and the corresponding data record by primary key.
         * Requires that the `primaryKey` property is set.
         * ```typescript
         * this.gridWithPK.updateCell('Updated', 1, 'ProductName');
         * ```
         * @param value the new value which is to be set.
         * @param rowSelector corresponds to rowID.
         * @param column corresponds to column field.
         * @memberof IgxGridBaseComponent
         */
        /**
         * Updates the `IgxGridRowComponent` and the corresponding data record by primary key.
         * Requires that the `primaryKey` property is set.
         * ```typescript
         * this.gridWithPK.updateCell('Updated', 1, 'ProductName');
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} value the new value which is to be set.
         * @param {?} rowSelector corresponds to rowID.
         * @param {?} column corresponds to column field.
         * @return {?}
         */
        IgxGridBaseComponent.prototype.updateCell = /**
         * Updates the `IgxGridRowComponent` and the corresponding data record by primary key.
         * Requires that the `primaryKey` property is set.
         * ```typescript
         * this.gridWithPK.updateCell('Updated', 1, 'ProductName');
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} value the new value which is to be set.
         * @param {?} rowSelector corresponds to rowID.
         * @param {?} column corresponds to column field.
         * @return {?}
         */
        function (value, rowSelector, column) {
            if (this.isDefined(this.primaryKey)) {
                /** @type {?} */
                var col = this.columnList.toArray().find(function (c) { return c.field === column; });
                if (col) {
                    // Simplify
                    /** @type {?} */
                    var rowData = this.gridAPI.getRowData(rowSelector);
                    /** @type {?} */
                    var index = this.gridAPI.get_row_index_in_data(rowSelector);
                    // If row passed is invalid
                    if (index < 0) {
                        return;
                    }
                    /** @type {?} */
                    var id = {
                        rowID: rowSelector,
                        columnID: col.index,
                        rowIndex: index
                    };
                    /** @type {?} */
                    var cell = new IgxCell(id, index, col, rowData[col.field], rowData[col.field], rowData);
                    /** @type {?} */
                    var args = this.gridAPI.update_cell(cell, value);
                    if (this.crudService.cell && this.crudService.sameCell(cell)) {
                        if (args.cancel) {
                            return;
                        }
                        this.gridAPI.escape_editMode();
                    }
                    this.cdr.detectChanges();
                }
            }
        };
        /**
         * Updates the `IgxGridRowComponent`, which is specified by
         * rowSelector parameter and the data source record with the passed value.
         * This method will apply requested update only if primary key is specified in the grid.
         * ```typescript
         * grid.updateRow({
         *       ProductID: 1, ProductName: 'Spearmint', InStock: true, UnitsInStock: 1, OrderDate: new Date('2005-03-21')
         *   }, 1);
         * ```
         * @param value
         * @param rowSelector correspond to rowID
         * @memberof IgxGridBaseComponent
         */
        /**
         * Updates the `IgxGridRowComponent`, which is specified by
         * rowSelector parameter and the data source record with the passed value.
         * This method will apply requested update only if primary key is specified in the grid.
         * ```typescript
         * grid.updateRow({
         *       ProductID: 1, ProductName: 'Spearmint', InStock: true, UnitsInStock: 1, OrderDate: new Date('2005-03-21')
         *   }, 1);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} value
         * @param {?} rowSelector correspond to rowID
         * @return {?}
         */
        IgxGridBaseComponent.prototype.updateRow = /**
         * Updates the `IgxGridRowComponent`, which is specified by
         * rowSelector parameter and the data source record with the passed value.
         * This method will apply requested update only if primary key is specified in the grid.
         * ```typescript
         * grid.updateRow({
         *       ProductID: 1, ProductName: 'Spearmint', InStock: true, UnitsInStock: 1, OrderDate: new Date('2005-03-21')
         *   }, 1);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} value
         * @param {?} rowSelector correspond to rowID
         * @return {?}
         */
        function (value, rowSelector) {
            if (this.isDefined(this.primaryKey)) {
                /** @type {?} */
                var editableCell = this.crudService.cell;
                if (editableCell && editableCell.id.rowID === rowSelector) {
                    this.gridAPI.escape_editMode();
                }
                /** @type {?} */
                var row = new IgxRow(rowSelector, -1, this.gridAPI.getRowData(rowSelector));
                this.gridAPI.update_row(row, value);
                // TODO: fix for #5934 and probably break for #5763
                // consider adding of third optional boolean parameter in updateRow.
                // If developer set this parameter to true we should call notifyChanges(true), and
                // vise-versa if developer set it to false we should call notifyChanges(false).
                // The parameter should default to false
                this.notifyChanges();
            }
        };
        /**
         * Sort a single `IgxColumnComponent`.
         * Sort the `IgxGridComponent`'s `IgxColumnComponent` based on the provided array of sorting expressions.
         * ```typescript
         * this.grid.sort({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Sort a single `IgxColumnComponent`.
         * Sort the `IgxGridComponent`'s `IgxColumnComponent` based on the provided array of sorting expressions.
         * ```typescript
         * this.grid.sort({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} expression
         * @return {?}
         */
        IgxGridBaseComponent.prototype.sort = /**
         * Sort a single `IgxColumnComponent`.
         * Sort the `IgxGridComponent`'s `IgxColumnComponent` based on the provided array of sorting expressions.
         * ```typescript
         * this.grid.sort({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            var _this = this;
            this.endEdit(false);
            if (expression instanceof Array) {
                this.gridAPI.sort_multiple(expression);
            }
            else {
                this.gridAPI.sort(expression);
            }
            requestAnimationFrame(function () { return _this.onSortingDone.emit(expression); });
        };
        /**
         * Filters a single `IgxColumnComponent`.
         * ```typescript
         * public filter(term) {
         *      this.grid.filter("ProductName", term, IgxStringFilteringOperand.instance().condition("contains"));
         * }
         * ```
         * @param name
         * @param value
         * @param conditionOrExpressionTree
         * @param ignoreCase
         * @memberof IgxGridBaseComponent
         */
        /**
         * Filters a single `IgxColumnComponent`.
         * ```typescript
         * public filter(term) {
         *      this.grid.filter("ProductName", term, IgxStringFilteringOperand.instance().condition("contains"));
         * }
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} name
         * @param {?} value
         * @param {?=} conditionOrExpressionTree
         * @param {?=} ignoreCase
         * @return {?}
         */
        IgxGridBaseComponent.prototype.filter = /**
         * Filters a single `IgxColumnComponent`.
         * ```typescript
         * public filter(term) {
         *      this.grid.filter("ProductName", term, IgxStringFilteringOperand.instance().condition("contains"));
         * }
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} name
         * @param {?} value
         * @param {?=} conditionOrExpressionTree
         * @param {?=} ignoreCase
         * @return {?}
         */
        function (name, value, conditionOrExpressionTree, ignoreCase) {
            this.filteringService.filter(name, value, conditionOrExpressionTree, ignoreCase);
        };
        /**
         * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
         * ```typescript
         * grid.filterGlobal('some', IgxStringFilteringOperand.instance().condition('contains'));
         * ```
         * @param value
         * @param condition
         * @param ignoreCase
         * @memberof IgxGridBaseComponent
         */
        /**
         * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
         * ```typescript
         * grid.filterGlobal('some', IgxStringFilteringOperand.instance().condition('contains'));
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} value
         * @param {?} condition
         * @param {?=} ignoreCase
         * @return {?}
         */
        IgxGridBaseComponent.prototype.filterGlobal = /**
         * Filters all the `IgxColumnComponent` in the `IgxGridComponent` with the same condition.
         * ```typescript
         * grid.filterGlobal('some', IgxStringFilteringOperand.instance().condition('contains'));
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} value
         * @param {?} condition
         * @param {?=} ignoreCase
         * @return {?}
         */
        function (value, condition, ignoreCase) {
            this.filteringService.filterGlobal(value, condition, ignoreCase);
        };
        /**
         * Enables summaries for the specified column and applies your customSummary.
         * If you do not provide the customSummary, then the default summary for the column data type will be applied.
         * ```typescript
         * grid.enableSummaries([{ fieldName: 'ProductName' }, { fieldName: 'ID' }]);
         * ```
         * Enable summaries for the listed columns.
         * ```typescript
         * grid.enableSummaries('ProductName');
         * ```
         * @param rest
         * @memberof IgxGridBaseComponent
         */
        /**
         * Enables summaries for the specified column and applies your customSummary.
         * If you do not provide the customSummary, then the default summary for the column data type will be applied.
         * ```typescript
         * grid.enableSummaries([{ fieldName: 'ProductName' }, { fieldName: 'ID' }]);
         * ```
         * Enable summaries for the listed columns.
         * ```typescript
         * grid.enableSummaries('ProductName');
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {...?} rest
         * @return {?}
         */
        IgxGridBaseComponent.prototype.enableSummaries = /**
         * Enables summaries for the specified column and applies your customSummary.
         * If you do not provide the customSummary, then the default summary for the column data type will be applied.
         * ```typescript
         * grid.enableSummaries([{ fieldName: 'ProductName' }, { fieldName: 'ID' }]);
         * ```
         * Enable summaries for the listed columns.
         * ```typescript
         * grid.enableSummaries('ProductName');
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {...?} rest
         * @return {?}
         */
        function () {
            var rest = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                rest[_i] = arguments[_i];
            }
            if (rest.length === 1 && Array.isArray(rest[0])) {
                this._multipleSummaries(rest[0], true);
            }
            else {
                this._summaries(rest[0], true, rest[1]);
            }
        };
        /**
         * Disable summaries for the specified column.
         * ```typescript
         * grid.disableSummaries('ProductName');
         * ```
         *
         * Disable summaries for the listed columns.
         * ```typescript
         * grid.disableSummaries([{ fieldName: 'ProductName' }]);
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Disable summaries for the specified column.
         * ```typescript
         * grid.disableSummaries('ProductName');
         * ```
         *
         * Disable summaries for the listed columns.
         * ```typescript
         * grid.disableSummaries([{ fieldName: 'ProductName' }]);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {...?} rest
         * @return {?}
         */
        IgxGridBaseComponent.prototype.disableSummaries = /**
         * Disable summaries for the specified column.
         * ```typescript
         * grid.disableSummaries('ProductName');
         * ```
         *
         * Disable summaries for the listed columns.
         * ```typescript
         * grid.disableSummaries([{ fieldName: 'ProductName' }]);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {...?} rest
         * @return {?}
         */
        function () {
            var rest = [];
            for (var _i = 0; _i < arguments.length; _i++) {
                rest[_i] = arguments[_i];
            }
            if (rest.length === 1 && Array.isArray(rest[0])) {
                this._disableMultipleSummaries(rest[0]);
            }
            else {
                this._summaries(rest[0], false);
            }
        };
        /**
         * If name is provided, clears the filtering state of the corresponding `IgxColumnComponent`,
         * otherwise clears the filtering state of all `IgxColumnComponent`s.
         * ```typescript
         * this.grid.clearFilter();
         * ```
         * @param name
         * @memberof IgxGridBaseComponent
         */
        /**
         * If name is provided, clears the filtering state of the corresponding `IgxColumnComponent`,
         * otherwise clears the filtering state of all `IgxColumnComponent`s.
         * ```typescript
         * this.grid.clearFilter();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} name
         * @return {?}
         */
        IgxGridBaseComponent.prototype.clearFilter = /**
         * If name is provided, clears the filtering state of the corresponding `IgxColumnComponent`,
         * otherwise clears the filtering state of all `IgxColumnComponent`s.
         * ```typescript
         * this.grid.clearFilter();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} name
         * @return {?}
         */
        function (name) {
            this.filteringService.clearFilter(name);
        };
        /**
         * If name is provided, clears the sorting state of the corresponding `IgxColumnComponent`,
         * otherwise clears the sorting state of all `IgxColumnComponent`.
         * ```typescript
         * this.grid.clearSort();
         * ```
         * @param name
         * @memberof IgxGridBaseComponent
         */
        /**
         * If name is provided, clears the sorting state of the corresponding `IgxColumnComponent`,
         * otherwise clears the sorting state of all `IgxColumnComponent`.
         * ```typescript
         * this.grid.clearSort();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} name
         * @return {?}
         */
        IgxGridBaseComponent.prototype.clearSort = /**
         * If name is provided, clears the sorting state of the corresponding `IgxColumnComponent`,
         * otherwise clears the sorting state of all `IgxColumnComponent`.
         * ```typescript
         * this.grid.clearSort();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} name
         * @return {?}
         */
        function (name) {
            if (!name) {
                this.sortingExpressions = [];
                return;
            }
            if (!this.gridAPI.get_column_by_name(name)) {
                return;
            }
            this.gridAPI.clear_sort(name);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?=} args
         * @return {?}
         */
        IgxGridBaseComponent.prototype.refreshGridState = /**
         * @hidden
         * @param {?=} args
         * @return {?}
         */
        function (args) {
            this.endEdit(true);
            this.selectionService.clearHeaderCBState();
            this.summaryService.clearSummaryCache(args);
        };
        // TODO: We have return values here. Move them to event args ??
        /**
         * Pins a column by field name. Returns whether the operation is successful.
         * ```typescript
         * this.grid.pinColumn("ID");
         * ```
         * @param columnName
         * @param index
         * @memberof IgxGridBaseComponent
         */
        // TODO: We have return values here. Move them to event args ??
        /**
         * Pins a column by field name. Returns whether the operation is successful.
         * ```typescript
         * this.grid.pinColumn("ID");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} columnName
         * @param {?=} index
         * @return {?}
         */
        IgxGridBaseComponent.prototype.pinColumn = 
        // TODO: We have return values here. Move them to event args ??
        /**
         * Pins a column by field name. Returns whether the operation is successful.
         * ```typescript
         * this.grid.pinColumn("ID");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} columnName
         * @param {?=} index
         * @return {?}
         */
        function (columnName, index) {
            /** @type {?} */
            var col = columnName instanceof IgxColumnComponent ? columnName : this.getColumnByName(columnName);
            return col.pin(index);
        };
        /**
         * Unpins a column by field name. Returns whether the operation is successful.
         * ```typescript
         * this.grid.pinColumn("ID");
         * ```
         * @param columnName
         * @param index
         * @memberof IgxGridBaseComponent
         */
        /**
         * Unpins a column by field name. Returns whether the operation is successful.
         * ```typescript
         * this.grid.pinColumn("ID");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} columnName
         * @param {?=} index
         * @return {?}
         */
        IgxGridBaseComponent.prototype.unpinColumn = /**
         * Unpins a column by field name. Returns whether the operation is successful.
         * ```typescript
         * this.grid.pinColumn("ID");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} columnName
         * @param {?=} index
         * @return {?}
         */
        function (columnName, index) {
            /** @type {?} */
            var col = columnName instanceof IgxColumnComponent ? columnName : this.getColumnByName(columnName);
            return col.unpin(index);
        };
        /**
         * Recalculates grid width/height dimensions. Should be run when changing DOM elements dimentions manually that affect the grid's size.
         * ```typescript
         * this.grid.reflow();
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Recalculates grid width/height dimensions. Should be run when changing DOM elements dimentions manually that affect the grid's size.
         * ```typescript
         * this.grid.reflow();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        IgxGridBaseComponent.prototype.reflow = /**
         * Recalculates grid width/height dimensions. Should be run when changing DOM elements dimentions manually that affect the grid's size.
         * ```typescript
         * this.grid.reflow();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        function () {
            this.calculateGridSizes();
        };
        /**
         * Finds the next occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
         * Returns how many times the grid contains the string.
         * ```typescript
         * this.grid.findNext("financial");
         * ```
         * @param text the string to search.
         * @param caseSensitive optionally, if the search should be case sensitive (defaults to false).
         * @param exactMatch optionally, if the text should match the entire value  (defaults to false).
         * @memberof IgxGridBaseComponent
         */
        /**
         * Finds the next occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
         * Returns how many times the grid contains the string.
         * ```typescript
         * this.grid.findNext("financial");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} text the string to search.
         * @param {?=} caseSensitive optionally, if the search should be case sensitive (defaults to false).
         * @param {?=} exactMatch optionally, if the text should match the entire value  (defaults to false).
         * @return {?}
         */
        IgxGridBaseComponent.prototype.findNext = /**
         * Finds the next occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
         * Returns how many times the grid contains the string.
         * ```typescript
         * this.grid.findNext("financial");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} text the string to search.
         * @param {?=} caseSensitive optionally, if the search should be case sensitive (defaults to false).
         * @param {?=} exactMatch optionally, if the text should match the entire value  (defaults to false).
         * @return {?}
         */
        function (text, caseSensitive, exactMatch) {
            return this.find(text, 1, caseSensitive, exactMatch);
        };
        /**
         * Finds the previous occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
         * Returns how many times the grid contains the string.
         * ```typescript
         * this.grid.findPrev("financial");
         * ```
         * @param text the string to search.
         * @param caseSensitive optionally, if the search should be case sensitive (defaults to false).
         * @param exactMatch optionally, if the text should match the entire value (defaults to false).
         * @memberof IgxGridBaseComponent
         */
        /**
         * Finds the previous occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
         * Returns how many times the grid contains the string.
         * ```typescript
         * this.grid.findPrev("financial");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} text the string to search.
         * @param {?=} caseSensitive optionally, if the search should be case sensitive (defaults to false).
         * @param {?=} exactMatch optionally, if the text should match the entire value (defaults to false).
         * @return {?}
         */
        IgxGridBaseComponent.prototype.findPrev = /**
         * Finds the previous occurrence of a given string in the grid and scrolls to the cell if it isn't visible.
         * Returns how many times the grid contains the string.
         * ```typescript
         * this.grid.findPrev("financial");
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} text the string to search.
         * @param {?=} caseSensitive optionally, if the search should be case sensitive (defaults to false).
         * @param {?=} exactMatch optionally, if the text should match the entire value (defaults to false).
         * @return {?}
         */
        function (text, caseSensitive, exactMatch) {
            return this.find(text, -1, caseSensitive, exactMatch);
        };
        /**
         * Reapplies the existing search.
         * Returns how many times the grid contains the last search.
         * ```typescript
         * this.grid.refreshSearch();
         * ```
         * @param updateActiveInfo
         * @memberof IgxGridBaseComponent
         */
        /**
         * Reapplies the existing search.
         * Returns how many times the grid contains the last search.
         * ```typescript
         * this.grid.refreshSearch();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} updateActiveInfo
         * @return {?}
         */
        IgxGridBaseComponent.prototype.refreshSearch = /**
         * Reapplies the existing search.
         * Returns how many times the grid contains the last search.
         * ```typescript
         * this.grid.refreshSearch();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} updateActiveInfo
         * @return {?}
         */
        function (updateActiveInfo) {
            var _this = this;
            if (this.lastSearchInfo.searchText) {
                this.rebuildMatchCache();
                if (updateActiveInfo) {
                    /** @type {?} */
                    var activeInfo_1 = IgxTextHighlightDirective.highlightGroupsMap.get(this.id);
                    this.lastSearchInfo.matchInfoCache.forEach(function (match, i) {
                        if (match.column === activeInfo_1.column &&
                            match.row === activeInfo_1.row &&
                            match.index === activeInfo_1.index) {
                            _this.lastSearchInfo.activeMatchIndex = i;
                        }
                    });
                }
                return this.find(this.lastSearchInfo.searchText, 0, this.lastSearchInfo.caseSensitive, this.lastSearchInfo.exactMatch, false);
            }
            else {
                return 0;
            }
        };
        /**
         * Removes all the highlights in the cell.
         * ```typescript
         * this.grid.clearSearch();
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Removes all the highlights in the cell.
         * ```typescript
         * this.grid.clearSearch();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        IgxGridBaseComponent.prototype.clearSearch = /**
         * Removes all the highlights in the cell.
         * ```typescript
         * this.grid.clearSearch();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        function () {
            this.lastSearchInfo = {
                searchText: '',
                caseSensitive: false,
                exactMatch: false,
                activeMatchIndex: 0,
                matchInfoCache: []
            };
            this.rowList.forEach(function (row) {
                if (row.cells) {
                    row.cells.forEach(function (c) {
                        c.clearHighlight();
                    });
                }
            });
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasSortableColumns", {
            /**
             * Returns if the `IgxGridComponent` has sortable columns.
             * ```typescript
             * const sortableGrid = this.grid.hasSortableColumns;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has sortable columns.
             * ```typescript
             * const sortableGrid = this.grid.hasSortableColumns;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.columnList.some(function (col) { return col.sortable; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasEditableColumns", {
            /**
             * Returns if the `IgxGridComponent` has editable columns.
             * ```typescript
             * const editableGrid = this.grid.hasEditableColumns;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has editable columns.
             * ```typescript
             * const editableGrid = this.grid.hasEditableColumns;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.columnList.some(function (col) { return col.editable; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasFilterableColumns", {
            /**
             * Returns if the `IgxGridComponent` has fiterable columns.
             * ```typescript
             * const filterableGrid = this.grid.hasFilterableColumns;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has fiterable columns.
             * ```typescript
             * const filterableGrid = this.grid.hasFilterableColumns;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.columnList.some(function (col) { return col.filterable; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasSummarizedColumns", {
            /**
             * Returns if the `IgxGridComponent` has summarized columns.
             * ```typescript
             * const summarizedGrid = this.grid.hasSummarizedColumns;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has summarized columns.
             * ```typescript
             * const summarizedGrid = this.grid.hasSummarizedColumns;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.summaryService.hasSummarizedColumns;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rootSummariesEnabled", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.summaryCalculationMode !== GridSummaryCalculationMode.childLevelsOnly;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasVisibleColumns", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this._hasVisibleColumns === undefined) {
                    return this.columnList ? this.columnList.some(function (c) { return !c.hidden; }) : false;
                }
                return this._hasVisibleColumns;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._hasVisibleColumns = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasMovableColumns", {
            /**
             * Returns if the `IgxGridComponent` has moveable columns.
             * ```typescript
             * const movableGrid = this.grid.hasMovableColumns;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has moveable columns.
             * ```typescript
             * const movableGrid = this.grid.hasMovableColumns;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this.columnList && this.columnList.some(function (col) { return col.movable; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasColumnGroups", {
            /**
             * Returns if the `IgxGridComponent` has column groups.
             * ```typescript
             * const groupGrid = this.grid.hasColumnGroups;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has column groups.
             * ```typescript
             * const groupGrid = this.grid.hasColumnGroups;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._columnGroups;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "hasColumnLayouts", {
            /**
             * Returns if the `IgxGridComponent` has column layouts for multi-row layout definition.
             * ```typescript
             * const layoutGrid = this.grid.hasColumnLayouts;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has column layouts for multi-row layout definition.
             * ```typescript
             * const layoutGrid = this.grid.hasColumnLayouts;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return !!this.columnList.some(function (col) { return col.columnLayout; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "selectedCells", {
            /**
             * Returns an array of the selected `IgxGridCellComponent`s.
             * ```typescript
             * const selectedCells = this.grid.selectedCells;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns an array of the selected `IgxGridCellComponent`s.
             * ```typescript
             * const selectedCells = this.grid.selectedCells;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                if (this.dataRowList) {
                    return this.dataRowList.map(function (row) { return row.cells.filter(function (cell) { return cell.selected; }); })
                        .reduce(function (a, b) { return a.concat(b); }, []);
                }
                return [];
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "multiRowLayoutRowSize", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._multiRowLayoutRowSize;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowBasedHeight", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                return this.dataLength * this.rowHeight;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isPercentWidth", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                return this.width && this.width.indexOf('%') !== -1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isPercentHeight", {
            /**
             * @hidden @internal
             */
            get: /**
             * @hidden \@internal
             * @return {?}
             */
            function () {
                return this._height && this._height.indexOf('%') !== -1;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * Sets columns defaultWidth property
         */
        /**
         * @hidden
         * Sets columns defaultWidth property
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype._derivePossibleWidth = /**
         * @hidden
         * Sets columns defaultWidth property
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            if (!this.columnWidthSetByUser) {
                this._columnWidth = this.width !== null ? this.getPossibleColumnWidth() : MINIMUM_COLUMN_WIDTH + 'px';
            }
            this.columnList.forEach(function (column) {
                if (_this.hasColumnLayouts && parseInt(_this._columnWidth, 10)) {
                    /** @type {?} */
                    var columnWidthCombined = parseInt(_this._columnWidth, 10) * (column.colEnd ? column.colEnd - column.colStart : 1);
                    column.defaultWidth = columnWidthCombined + 'px';
                }
                else {
                    column.defaultWidth = _this._columnWidth;
                    column.resetCaches();
                }
            });
            this.resetCachedWidths();
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "defaultTargetBodyHeight", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                /** @type {?} */
                var allItems = this.dataLength;
                return this.renderedRowHeight * Math.min(this._defaultTargetRecordNumber, this.paging ? Math.min(allItems, this.perPage) : allItems);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "renderedRowHeight", {
            /**
             * @hidden @internal
             * The rowHeight input is bound to min-height css prop of rows that adds a 1px border in all cases
             */
            get: /**
             * @hidden \@internal
             * The rowHeight input is bound to min-height css prop of rows that adds a 1px border in all cases
             * @return {?}
             */
            function () {
                return this.rowHeight + 1;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.calcGridHeadRow = /**
         * @hidden
         * \@internal
         * @protected
         * @return {?}
         */
        function () {
            if (this.maxLevelHeaderDepth) {
                this._baseFontSize = parseFloat(getComputedStyle(this.document.documentElement).getPropertyValue('font-size'));
                /** @type {?} */
                var minSize = (this.maxLevelHeaderDepth + 1) * this.defaultRowHeight / this._baseFontSize;
                if (this._allowFiltering && this._filterMode === FilterMode.quickFilter) {
                    minSize += (FILTER_ROW_HEIGHT + 1) / this._baseFontSize;
                }
                this.theadRow.nativeElement.style.minHeight = minSize + "rem";
            }
        };
        /**
         * @hidden
         * Sets TBODY height i.e. this.calcHeight
         */
        /**
         * @hidden
         * Sets TBODY height i.e. this.calcHeight
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.calculateGridHeight = /**
         * @hidden
         * Sets TBODY height i.e. this.calcHeight
         * @protected
         * @return {?}
         */
        function () {
            this.calcGridHeadRow();
            this.summariesHeight = 0;
            if (this.hasSummarizedColumns && this.rootSummariesEnabled) {
                this.summariesHeight = this.summaryService.calcMaxSummaryHeight();
            }
            this.calcHeight = this._calculateGridBodyHeight();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getGroupAreaHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            return 0;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getToolbarHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var toolbarHeight = 0;
            if (this.showToolbar && this.toolbarHtml != null) {
                toolbarHeight = this.toolbarHtml.nativeElement.firstElementChild ?
                    this.toolbarHtml.nativeElement.offsetHeight : 0;
            }
            return toolbarHeight;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getPagingHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var pagingHeight = 0;
            if (this.paging && this.footer) {
                pagingHeight = this.footer.nativeElement.firstElementChild ?
                    this.footer.nativeElement.offsetHeight : 0;
            }
            return pagingHeight;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getFilterCellHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var headerGroupNativeEl = (this.headerGroupsList.length !== 0) ?
                this.headerGroupsList[0].element.nativeElement : null;
            /** @type {?} */
            var filterCellNativeEl = (headerGroupNativeEl) ?
                headerGroupNativeEl.querySelector('igx-grid-filtering-cell') : null;
            return (filterCellNativeEl) ? filterCellNativeEl.offsetHeight : 0;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype._calculateGridBodyHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            if (!this._height) {
                return null;
            }
            /** @type {?} */
            var actualTheadRow = (!this.allowFiltering || (this.allowFiltering && this.filterMode !== FilterMode.quickFilter)) ?
                this.theadRow.nativeElement.offsetHeight - this.getFilterCellHeight() :
                this.theadRow.nativeElement.offsetHeight;
            /** @type {?} */
            var footerHeight = this.summariesHeight || this.tfoot.nativeElement.offsetHeight - this.tfoot.nativeElement.clientHeight;
            /** @type {?} */
            var toolbarHeight = this.getToolbarHeight();
            /** @type {?} */
            var pagingHeight = this.getPagingHeight();
            /** @type {?} */
            var groupAreaHeight = this.getGroupAreaHeight();
            /** @type {?} */
            var renderedHeight = toolbarHeight + actualTheadRow +
                footerHeight + pagingHeight + groupAreaHeight +
                this.scr.nativeElement.clientHeight;
            /** @type {?} */
            var computed = this.document.defaultView.getComputedStyle(this.nativeElement).getPropertyValue('height');
            /** @type {?} */
            var gridHeight = 0;
            if (this.isPercentHeight) {
                /** @type {?} */
                var autoSize = this._shouldAutoSize(renderedHeight);
                if (autoSize || computed.indexOf('%') !== -1) {
                    /** @type {?} */
                    var bodyHeight = this.getDataBasedBodyHeight();
                    return bodyHeight > 0 ? bodyHeight : null;
                }
                gridHeight = parseInt(computed, 10);
            }
            else {
                gridHeight = parseInt(this._height, 10);
            }
            /** @type {?} */
            var height = Math.abs(gridHeight - renderedHeight);
            if (height === 0 || isNaN(gridHeight)) {
                /** @type {?} */
                var bodyHeight = this.defaultTargetBodyHeight;
                return bodyHeight > 0 ? bodyHeight : null;
            }
            return height;
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.checkContainerSizeChange = /**
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var origHeight = this.nativeElement.parentElement.offsetHeight;
            this.nativeElement.style.display = 'none';
            /** @type {?} */
            var height = this.nativeElement.parentElement.offsetHeight;
            this.nativeElement.style.display = '';
            return origHeight !== height;
        };
        /**
         * @protected
         * @param {?} renderedHeight
         * @return {?}
         */
        IgxGridBaseComponent.prototype._shouldAutoSize = /**
         * @protected
         * @param {?} renderedHeight
         * @return {?}
         */
        function (renderedHeight) {
            this.tbody.nativeElement.style.display = 'none';
            /** @type {?} */
            var res = !this.nativeElement.parentElement ||
                this.nativeElement.parentElement.clientHeight === 0 ||
                this.nativeElement.parentElement.clientHeight === renderedHeight;
            if (!isChromium()) {
                // If grid causes the parent container to extend (for example when container is flex)
                // we should always auto-size since the actual size of the container will continuously change as the grid renders elements.
                res = this.checkContainerSizeChange();
            }
            this.tbody.nativeElement.style.display = '';
            return res;
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "outerWidth", {
            get: /**
             * @return {?}
             */
            function () {
                return this.hasVerticalSroll() ? this.calcWidth + this.scrollWidth : this.calcWidth;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * Gets the visible content height that includes header + tbody + footer.
         */
        /**
         * @hidden
         * Gets the visible content height that includes header + tbody + footer.
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getVisibleContentHeight = /**
         * @hidden
         * Gets the visible content height that includes header + tbody + footer.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var height = this.theadRow.nativeElement.clientHeight + this.tbody.nativeElement.clientHeight;
            if (this.hasSummarizedColumns) {
                height += this.tfoot.nativeElement.clientHeight;
            }
            return height;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?=} baseWidth
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getPossibleColumnWidth = /**
         * @hidden
         * @param {?=} baseWidth
         * @return {?}
         */
        function (baseWidth) {
            if (baseWidth === void 0) { baseWidth = null; }
            /** @type {?} */
            var computedWidth;
            if (baseWidth !== null) {
                computedWidth = baseWidth;
            }
            else {
                computedWidth = this.calcWidth ||
                    parseInt(this.document.defaultView.getComputedStyle(this.nativeElement).getPropertyValue('width'), 10);
            }
            computedWidth -= this.getFeatureColumnsWidth();
            if (this.showDragIcons) {
                computedWidth -= this.headerDragContainer ? this.headerDragContainer.nativeElement.offsetWidth : 0;
            }
            /** @type {?} */
            var visibleChildColumns = this.visibleColumns.filter(function (c) { return !c.columnGroup; });
            // Column layouts related
            /** @type {?} */
            var visibleCols = [];
            /** @type {?} */
            var columnBlocks = this.visibleColumns.filter(function (c) { return c.columnGroup; });
            /** @type {?} */
            var colsPerBlock = columnBlocks.map(function (block) { return block.getInitialChildColumnSizes(block.children); });
            /** @type {?} */
            var combinedBlocksSize = colsPerBlock.reduce(function (acc, item) { return acc + item.length; }, 0);
            colsPerBlock.forEach(function (blockCols) { return visibleCols = visibleCols.concat(blockCols); });
            //
            /** @type {?} */
            var columnsWithSetWidths = this.hasColumnLayouts ?
                visibleCols.filter(function (c) { return c.widthSetByUser; }) :
                visibleChildColumns.filter(function (c) { return c.widthSetByUser; });
            /** @type {?} */
            var columnsToSize = this.hasColumnLayouts ?
                combinedBlocksSize - columnsWithSetWidths.length :
                visibleChildColumns.length - columnsWithSetWidths.length;
            /** @type {?} */
            var sumExistingWidths = columnsWithSetWidths
                .reduce(function (prev, curr) {
                /** @type {?} */
                var colWidth = curr.width;
                /** @type {?} */
                var widthValue = parseInt(colWidth, 10);
                /** @type {?} */
                var currWidth = colWidth && typeof colWidth === 'string' && colWidth.indexOf('%') !== -1 ?
                    widthValue / 100 * computedWidth :
                    widthValue;
                return prev + currWidth;
            }, 0);
            // When all columns are hidden, return 0px width
            if (!sumExistingWidths && !columnsToSize) {
                return '0px';
            }
            /** @type {?} */
            var columnWidth = Math.floor(!Number.isFinite(sumExistingWidths) ?
                Math.max(computedWidth / columnsToSize, MINIMUM_COLUMN_WIDTH) :
                Math.max((computedWidth - sumExistingWidths) / columnsToSize, MINIMUM_COLUMN_WIDTH));
            return columnWidth.toString();
        };
        /**
         * @hidden
         * Sets grid width i.e. this.calcWidth
         */
        /**
         * @hidden
         * Sets grid width i.e. this.calcWidth
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.calculateGridWidth = /**
         * @hidden
         * Sets grid width i.e. this.calcWidth
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var width;
            /** @type {?} */
            var computed = this.document.defaultView.getComputedStyle(this.nativeElement).getPropertyValue('width');
            if (this.isPercentWidth) {
                /* width in %*/
                width = computed.indexOf('%') === -1 ? parseInt(computed, 10) : null;
            }
            else {
                width = parseInt(this.width, 10);
            }
            if (!width && this.nativeElement) {
                width = this.nativeElement.offsetWidth;
            }
            if (this.width === null || !width) {
                width = this.getColumnWidthSum();
            }
            if (this.hasVerticalSroll() && this.width !== null) {
                width -= this.scrollWidth;
            }
            if ((Number.isFinite(width) || width === null) && width !== this.calcWidth) {
                this.calcWidth = width;
            }
            this._derivePossibleWidth();
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getColumnWidthSum = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var colSum = 0;
            /** @type {?} */
            var cols = this.hasColumnLayouts ?
                this.visibleColumns.filter(function (x) { return x.columnLayout; }) : this.visibleColumns.filter(function (x) { return !x.columnGroup; });
            cols.forEach(function (item) {
                /** @type {?} */
                var isWidthInPercent = item.width && typeof item.width === 'string' && item.width.indexOf('%') !== -1;
                if (isWidthInPercent) {
                    item.width = item.calcWidth || MINIMUM_COLUMN_WIDTH + 'px';
                }
                colSum += parseInt((item.width || item.defaultWidth), 10) || MINIMUM_COLUMN_WIDTH;
            });
            if (!colSum) {
                return null;
            }
            this.cdr.detectChanges();
            colSum += this.getFeatureColumnsWidth();
            return colSum;
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.hasVerticalSroll = /**
         * @return {?}
         */
        function () {
            if (this._init) {
                return false;
            }
            /** @type {?} */
            var isScrollable = this.verticalScrollContainer ? this.verticalScrollContainer.isScrollable() : false;
            return !!(this.calcWidth && this.dataView &&
                this.dataView.length > 0 &&
                isScrollable);
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getDataBasedBodyHeight = /**
         * @hidden \@internal
         * @protected
         * @return {?}
         */
        function () {
            return !this.data || (this.data.length < this._defaultTargetRecordNumber) ?
                0 : this.defaultTargetBodyHeight;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} change
         * @return {?}
         */
        IgxGridBaseComponent.prototype.onColumnsChanged = /**
         * @hidden
         * @protected
         * @param {?} change
         * @return {?}
         */
        function (change) {
            var _this = this;
            /** @type {?} */
            var diff = this.columnListDiffer.diff(change);
            if (diff) {
                /** @type {?} */
                var added_1 = false;
                /** @type {?} */
                var removed_1 = false;
                this.initColumns(this.columnList);
                diff.forEachAddedItem(function (record) {
                    _this.onColumnInit.emit(record.item);
                    added_1 = true;
                });
                diff.forEachRemovedItem(function (record) {
                    /** @type {?} */
                    var isColumnGroup = record.item instanceof IgxColumnGroupComponent;
                    if (!isColumnGroup) {
                        // Clear Grouping
                        _this.gridAPI.clear_groupby(record.item.field);
                        // Clear Filtering
                        _this.gridAPI.clear_filter(record.item.field);
                        // Close filter row
                        if (_this.filteringService.isFilterRowVisible
                            && _this.filteringService.filteredColumn
                            && _this.filteringService.filteredColumn.field === record.item.field) {
                            _this.filteringRow.close();
                        }
                        // Clear Sorting
                        _this.gridAPI.clear_sort(record.item.field);
                    }
                    removed_1 = true;
                });
                this.resetCaches();
                if (added_1 || removed_1) {
                    this.summaryService.clearSummaryCache();
                    Promise.resolve().then(function () {
                        // `onColumnsChanged` can be executed midway a current detectChange cycle and markForCheck will be ignored then.
                        // This ensures that we will wait for the current cycle to end so we can trigger a new one and ngDoCheck to fire.
                        _this.notifyChanges(true);
                    });
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.calculateGridSizes = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            /*
                TODO: (R.K.) This layered lasagne should be refactored
                ASAP. The reason I have to reset the caches so many times is because
                after teach `detectChanges` call they are filled with invalid
                state. Of course all of this happens midway through the grid
                sizing process which of course, uses values from the caches, thus resulting
                in a broken layout.
            */
            this.resetCaches();
            this.cdr.detectChanges();
            /** @type {?} */
            var hasScroll = this.hasVerticalSroll();
            this.calculateGridWidth();
            this.resetCaches();
            this.cdr.detectChanges();
            this.calculateGridHeight();
            if (this.rowEditable) {
                this.repositionRowEditingOverlay(this.rowInEditMode);
            }
            if (this.filteringService.isFilterRowVisible) {
                this.filteringRow.resetChipsArea();
            }
            this.cdr.detectChanges();
            // in case scrollbar has appeared recalc to size correctly.
            if (hasScroll !== this.hasVerticalSroll()) {
                this.calculateGridWidth();
                this.cdr.detectChanges();
            }
            if (this.zone.isStable) {
                this.zone.run(function () {
                    _this._applyWidthHostBinding();
                    _this.cdr.detectChanges();
                });
            }
            else {
                this.zone.onStable.pipe(operators.first()).subscribe(function () {
                    _this.zone.run(function () {
                        _this._applyWidthHostBinding();
                    });
                });
            }
            this.resetCaches();
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridBaseComponent.prototype._applyWidthHostBinding = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var width = this._width;
            if (width === null) {
                /** @type {?} */
                var currentWidth = this.calcWidth;
                if (this.hasVerticalSroll()) {
                    currentWidth += this.scrollWidth;
                }
                width = currentWidth + 'px';
                this.resetCaches();
            }
            this._hostWidth = width;
            this.cdr.markForCheck();
        };
        /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * Method used to override the calculations.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         */
        /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * Method used to override the calculations.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getFeatureColumnsWidth = /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * Method used to override the calculations.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var width = 0;
            if (this.isRowSelectable) {
                width += this.headerSelectorContainer ? this.headerSelectorContainer.nativeElement.getBoundingClientRect().width : 0;
            }
            if (this.rowDraggable) {
                width += this.headerDragContainer ? this.headerDragContainer.nativeElement.getBoundingClientRect().width : 0;
            }
            return width;
        };
        /**
         * Gets calculated width of the pinned area.
         * ```typescript
         * const pinnedWidth = this.grid.getPinnedWidth();
         * ```
         * @param takeHidden If we should take into account the hidden columns in the pinned area.
         * @memberof IgxGridBaseComponent
         */
        /**
         * Gets calculated width of the pinned area.
         * ```typescript
         * const pinnedWidth = this.grid.getPinnedWidth();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} takeHidden If we should take into account the hidden columns in the pinned area.
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getPinnedWidth = /**
         * Gets calculated width of the pinned area.
         * ```typescript
         * const pinnedWidth = this.grid.getPinnedWidth();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} takeHidden If we should take into account the hidden columns in the pinned area.
         * @return {?}
         */
        function (takeHidden) {
            var e_1, _a;
            if (takeHidden === void 0) { takeHidden = false; }
            /** @type {?} */
            var fc = takeHidden ? this._pinnedColumns : this.pinnedColumns;
            /** @type {?} */
            var sum = 0;
            try {
                for (var fc_1 = __values(fc), fc_1_1 = fc_1.next(); !fc_1_1.done; fc_1_1 = fc_1.next()) {
                    var col = fc_1_1.value;
                    if (col.level === 0) {
                        sum += parseInt(col.calcWidth, 10);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (fc_1_1 && !fc_1_1.done && (_a = fc_1.return)) _a.call(fc_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            sum += this.featureColumnsWidth;
            return sum;
        };
        /**
         * @hidden
         * Gets calculated width of the unpinned area
         * @param takeHidden If we should take into account the hidden columns in the pinned area.
         * @memberof IgxGridBaseComponent
         */
        /**
         * @hidden
         * Gets calculated width of the unpinned area
         * \@memberof IgxGridBaseComponent
         * @protected
         * @param {?=} takeHidden If we should take into account the hidden columns in the pinned area.
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getUnpinnedWidth = /**
         * @hidden
         * Gets calculated width of the unpinned area
         * \@memberof IgxGridBaseComponent
         * @protected
         * @param {?=} takeHidden If we should take into account the hidden columns in the pinned area.
         * @return {?}
         */
        function (takeHidden) {
            if (takeHidden === void 0) { takeHidden = false; }
            /** @type {?} */
            var width = this.isPercentWidth ?
                this.calcWidth :
                parseInt(this.width, 10) || parseInt(this.hostWidth, 10) || this.calcWidth;
            if (this.hasVerticalSroll() && !this.isPercentWidth) {
                width -= this.scrollWidth;
            }
            return width - this.getPinnedWidth(takeHidden);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} fieldName
         * @param {?} hasSummary
         * @param {?=} summaryOperand
         * @return {?}
         */
        IgxGridBaseComponent.prototype._summaries = /**
         * @hidden
         * @protected
         * @param {?} fieldName
         * @param {?} hasSummary
         * @param {?=} summaryOperand
         * @return {?}
         */
        function (fieldName, hasSummary, summaryOperand) {
            /** @type {?} */
            var column = this.gridAPI.get_column_by_name(fieldName);
            if (column) {
                column.hasSummary = hasSummary;
                if (summaryOperand) {
                    if (this.rootSummariesEnabled) {
                        this.summaryService.retriggerRootPipe++;
                    }
                    column.summaries = summaryOperand;
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} expressions
         * @param {?} hasSummary
         * @return {?}
         */
        IgxGridBaseComponent.prototype._multipleSummaries = /**
         * @hidden
         * @protected
         * @param {?} expressions
         * @param {?} hasSummary
         * @return {?}
         */
        function (expressions, hasSummary) {
            var _this = this;
            expressions.forEach(function (element) {
                _this._summaries(element.fieldName, hasSummary, element.customSummary);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} expressions
         * @return {?}
         */
        IgxGridBaseComponent.prototype._disableMultipleSummaries = /**
         * @hidden
         * @protected
         * @param {?} expressions
         * @return {?}
         */
        function (expressions) {
            var _this = this;
            expressions.forEach(function (column) {
                /** @type {?} */
                var columnName = column && column.fieldName ? column.fieldName : column;
                _this._summaries(columnName, false);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} rec
         * @return {?}
         */
        IgxGridBaseComponent.prototype.resolveDataTypes = /**
         * @hidden
         * @protected
         * @param {?} rec
         * @return {?}
         */
        function (rec) {
            if (typeof rec === 'number') {
                return DataType.Number;
            }
            else if (typeof rec === 'boolean') {
                return DataType.Boolean;
            }
            else if (typeof rec === 'object' && rec instanceof Date) {
                return DataType.Date;
            }
            return DataType.String;
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getScrollWidth = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var div = document.createElement('div');
            /** @type {?} */
            var style = div.style;
            style.width = '100px';
            style.height = '100px';
            style.position = 'absolute';
            style.top = '-10000px';
            style.top = '-10000px';
            style.overflow = 'scroll';
            document.body.appendChild(div);
            /** @type {?} */
            var scrollWidth = div.offsetWidth - div.clientWidth;
            document.body.removeChild(div);
            return scrollWidth;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.autogenerateColumns = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var data = this.gridAPI.get_data();
            /** @type {?} */
            var factory = this.resolver.resolveComponentFactory(IgxColumnComponent);
            /** @type {?} */
            var fields = this.generateDataFields(data);
            /** @type {?} */
            var columns = [];
            fields.forEach(function (field) {
                /** @type {?} */
                var ref = factory.create(_this.viewRef.injector);
                ref.instance.field = field;
                ref.instance.dataType = _this.resolveDataTypes(data[0][field]);
                ref.changeDetectorRef.detectChanges();
                columns.push(ref.instance);
            });
            this.columnList.reset(columns);
            if (data && data.length > 0) {
                this.shouldGenerate = false;
            }
        };
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        IgxGridBaseComponent.prototype.generateDataFields = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            return Object.keys(data && data.length !== 0 ? data[0] : []);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} arr
         * @return {?}
         */
        IgxGridBaseComponent.prototype.onlyTopLevel = /**
         * @hidden
         * @param {?} arr
         * @return {?}
         */
        function (arr) {
            return arr.filter(function (c) { return c.level === 0; });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} collection
         * @param {?=} cb
         * @return {?}
         */
        IgxGridBaseComponent.prototype.initColumns = /**
         * @hidden
         * @protected
         * @param {?} collection
         * @param {?=} cb
         * @return {?}
         */
        function (collection, cb) {
            var _this = this;
            if (cb === void 0) { cb = null; }
            this._columnGroups = this.columnList.some(function (col) { return col.columnGroup; });
            if (this.hasColumnLayouts) {
                // Set overall row layout size
                this.columnList.forEach(function (col) {
                    if (col.columnLayout) {
                        /** @type {?} */
                        var layoutSize = col.children ?
                            col.children.reduce(function (acc, val) { return Math.max(val.rowStart + val.gridRowSpan - 1, acc); }, 1) :
                            1;
                        _this._multiRowLayoutRowSize = Math.max(layoutSize, _this._multiRowLayoutRowSize);
                    }
                });
            }
            if (this.hasColumnLayouts && this.hasColumnGroups) {
                // invalid configuration - multi-row and column groups
                // remove column groups
                /** @type {?} */
                var columnLayoutColumns = this.columnList.filter(function (col) { return col.columnLayout || col.columnLayoutChild; });
                this.columnList.reset(columnLayoutColumns);
            }
            this._maxLevelHeaderDepth = null;
            this._columns = this.columnList.toArray();
            collection.forEach(function (column) {
                column.defaultWidth = _this.columnWidthSetByUser ? _this._columnWidth : column.defaultWidth ? column.defaultWidth : '';
                if (cb) {
                    cb(column);
                }
            });
            this.reinitPinStates();
            if (this.hasColumnLayouts) {
                collection.forEach(function (column) {
                    column.populateVisibleIndexes();
                });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.reinitPinStates = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            this._pinnedColumns = (this.hasColumnGroups) ? this.columnList.filter(function (c) { return c.pinned; }) :
                this.columnList.filter(function (c) { return c.pinned; }).sort(function (a, b) { return _this._pinnedColumns.indexOf(a) - _this._pinnedColumns.indexOf(b); });
            this._unpinnedColumns = this.columnList.filter(function (c) { return !c.pinned; });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fieldName
         * @return {?}
         */
        IgxGridBaseComponent.prototype.isColumnGrouped = /**
         * @hidden
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            return false;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridBaseComponent.prototype.onHeaderSelectorClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!this.isMultiRowSelectionEnabled) {
                return;
            }
            this.selectionService.areAllRowSelected() ?
                this.selectionService.clearRowSelection(event) : this.selectionService.selectAllRows(event);
        };
        /**
        * @hidden
        * @internal
        */
        /**
         * @hidden
         * \@internal
         * @param {?} rec
         * @return {?}
         */
        IgxGridBaseComponent.prototype.isGroupByRecord = /**
         * @hidden
         * \@internal
         * @param {?} rec
         * @return {?}
         */
        function (rec) {
            return false;
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "headSelectorBaseAriaLabel", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this._filteringExpressionsTree.filteringOperands.length > 0) {
                    return this.selectionService.areAllRowSelected() ? 'Deselect all filtered' : 'Select all filtered';
                }
                return this.selectionService.areAllRowSelected() ? 'Deselect all' : 'Select all';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "totalRowsCountAfterFilter", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                if (this.data) {
                    return this.selectionService.allData.length;
                }
                return 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "dataView", {
            /**
             * Returns the currently transformed paged/filtered/sorted/grouped data, displayed in the grid.
             * ```typescript
             *      const dataView = this.grid.dataView;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns the currently transformed paged/filtered/sorted/grouped data, displayed in the grid.
             * ```typescript
             *      const dataView = this.grid.dataView;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this.verticalScrollContainer.igxForOf;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Get current selection state.
         * Returns an array with selected rows' IDs (primaryKey or rowData)
         * ```typescript
         * const selectedRows = this.grid.selectedRows();
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * Get current selection state.
         * Returns an array with selected rows' IDs (primaryKey or rowData)
         * ```typescript
         * const selectedRows = this.grid.selectedRows();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        IgxGridBaseComponent.prototype.selectedRows = /**
         * Get current selection state.
         * Returns an array with selected rows' IDs (primaryKey or rowData)
         * ```typescript
         * const selectedRows = this.grid.selectedRows();
         * ```
         * \@memberof IgxGridBaseComponent
         * @return {?}
         */
        function () {
            return this.selectionService.getSelectedRows();
        };
        /**
         * Select specified rows by ID.
         * ```typescript
         * this.grid.selectRows([1,2,5], true);
         * ```
         * @param rowIDs
         * @param clearCurrentSelection if true clears the current selection
         * @memberof IgxGridBaseComponent
         */
        /**
         * Select specified rows by ID.
         * ```typescript
         * this.grid.selectRows([1,2,5], true);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIDs
         * @param {?=} clearCurrentSelection if true clears the current selection
         * @return {?}
         */
        IgxGridBaseComponent.prototype.selectRows = /**
         * Select specified rows by ID.
         * ```typescript
         * this.grid.selectRows([1,2,5], true);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIDs
         * @param {?=} clearCurrentSelection if true clears the current selection
         * @return {?}
         */
        function (rowIDs, clearCurrentSelection) {
            this.selectionService.selectRowsWithNoEvent(rowIDs, clearCurrentSelection);
            this.notifyChanges();
        };
        /**
         * Deselect specified rows by ID.
         * ```typescript
         * this.grid.deselectRows([1,2,5]);
         * ```
         * @param rowIDs
         * @memberof IgxGridBaseComponent
         */
        /**
         * Deselect specified rows by ID.
         * ```typescript
         * this.grid.deselectRows([1,2,5]);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIDs
         * @return {?}
         */
        IgxGridBaseComponent.prototype.deselectRows = /**
         * Deselect specified rows by ID.
         * ```typescript
         * this.grid.deselectRows([1,2,5]);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIDs
         * @return {?}
         */
        function (rowIDs) {
            this.selectionService.deselectRowsWithNoEvent(rowIDs);
            this.notifyChanges();
        };
        /**
         * Selects all rows
         * Note: By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
         * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
         * ```typescript
         * this.grid.selectAllRows();
         * this.grid.selectAllRows(false);
         * ```
         * @param onlyFilterData
         * @memberof IgxGridBaseComponent
         */
        /**
         * Selects all rows
         * Note: By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
         * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
         * ```typescript
         * this.grid.selectAllRows();
         * this.grid.selectAllRows(false);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} onlyFilterData
         * @return {?}
         */
        IgxGridBaseComponent.prototype.selectAllRows = /**
         * Selects all rows
         * Note: By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
         * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
         * ```typescript
         * this.grid.selectAllRows();
         * this.grid.selectAllRows(false);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} onlyFilterData
         * @return {?}
         */
        function (onlyFilterData) {
            var _this = this;
            if (onlyFilterData === void 0) { onlyFilterData = true; }
            /** @type {?} */
            var data = onlyFilterData && this.filteredData ? this.filteredData : this.gridAPI.get_all_data(true);
            /** @type {?} */
            var rowIDs = this.selectionService.getRowIDs(data).filter(function (rID) { return !_this.gridAPI.row_deleted_transaction(rID); });
            this.selectRows(rowIDs);
        };
        /**
         * Deselects all rows
         * Note: By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
         * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
         * ```typescript
         * this.grid.deselectAllRows();
         * ```
         * @param onlyFilterData
         * @memberof IgxGridBaseComponent
         */
        /**
         * Deselects all rows
         * Note: By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
         * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
         * ```typescript
         * this.grid.deselectAllRows();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} onlyFilterData
         * @return {?}
         */
        IgxGridBaseComponent.prototype.deselectAllRows = /**
         * Deselects all rows
         * Note: By default if filtering is in place, selectAllRows() and deselectAllRows() select/deselect all filtered rows.
         * If you set the parameter onlyFilterData to false that will select all rows in the grid exept deleted rows.
         * ```typescript
         * this.grid.deselectAllRows();
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?=} onlyFilterData
         * @return {?}
         */
        function (onlyFilterData) {
            if (onlyFilterData === void 0) { onlyFilterData = true; }
            if (onlyFilterData && this.filteredData && this.filteredData.length > 0) {
                this.deselectRows(this.selectionService.getRowIDs(this.filteredData));
            }
            else {
                this.selectionService.clearAllSelectedRows();
                this.notifyChanges();
            }
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.clearCellSelection = /**
         * @return {?}
         */
        function () {
            this.selectionService.clear(true);
            this.notifyChanges();
        };
        /**
         * @param {?} dir
         * @return {?}
         */
        IgxGridBaseComponent.prototype.dragScroll = /**
         * @param {?} dir
         * @return {?}
         */
        function (dir) {
            /** @type {?} */
            var scrollDelta = 48;
            /** @type {?} */
            var horizontal = this.headerContainer.getScroll();
            /** @type {?} */
            var vertical = this.verticalScrollContainer.getScroll();
            switch (dir) {
                case DragScrollDirection.LEFT:
                    horizontal.scrollLeft -= scrollDelta;
                    break;
                case DragScrollDirection.RIGHT:
                    horizontal.scrollLeft += scrollDelta;
                    break;
                case DragScrollDirection.TOP:
                    vertical.scrollTop -= scrollDelta;
                    break;
                case DragScrollDirection.BOTTOM:
                    vertical.scrollTop += scrollDelta;
                    break;
                case DragScrollDirection.BOTTOMLEFT:
                    horizontal.scrollLeft -= scrollDelta;
                    vertical.scrollTop += scrollDelta;
                    break;
                case DragScrollDirection.BOTTOMRIGHT:
                    horizontal.scrollLeft += scrollDelta;
                    vertical.scrollTop += scrollDelta;
                    break;
                case DragScrollDirection.TOPLEFT:
                    horizontal.scrollLeft -= scrollDelta;
                    vertical.scrollTop -= scrollDelta;
                    break;
                case DragScrollDirection.TOPRIGHT:
                    horizontal.scrollLeft += scrollDelta;
                    vertical.scrollTop -= scrollDelta;
                    break;
                default:
                    return;
            }
            this.wheelHandler();
        };
        /**
         * @param {?} arg
         * @return {?}
         */
        IgxGridBaseComponent.prototype.isDefined = /**
         * @param {?} arg
         * @return {?}
         */
        function (arg) {
            return arg !== undefined && arg !== null;
        };
        /**
         * @param {?} arg
         * @return {?}
         */
        IgxGridBaseComponent.prototype.selectRange = /**
         * @param {?} arg
         * @return {?}
         */
        function (arg) {
            var _this = this;
            if (!this.isDefined(arg)) {
                this.clearCellSelection();
                return;
            }
            if (arg instanceof Array) {
                arg.forEach(function (range) { return _this.setSelection(range); });
            }
            else {
                this.setSelection(arg);
            }
            this.notifyChanges();
        };
        /**
         * @param {?} field
         * @return {?}
         */
        IgxGridBaseComponent.prototype.columnToVisibleIndex = /**
         * @param {?} field
         * @return {?}
         */
        function (field) {
            /** @type {?} */
            var visibleColumns = this.visibleColumns;
            if (typeof field === 'number') {
                return field;
            }
            return visibleColumns.find(function (column) { return column.field === field; }).visibleIndex;
        };
        /**
         * @param {?} range
         * @return {?}
         */
        IgxGridBaseComponent.prototype.setSelection = /**
         * @param {?} range
         * @return {?}
         */
        function (range) {
            /** @type {?} */
            var startNode = { row: range.rowStart, column: this.columnToVisibleIndex(range.columnStart) };
            /** @type {?} */
            var endNode = { row: range.rowEnd, column: this.columnToVisibleIndex(range.columnEnd) };
            this.selectionService.pointerState.node = startNode;
            this.selectionService.selectRange(endNode, this.selectionService.pointerState);
            this.selectionService.addRangeMeta(endNode, this.selectionService.pointerState);
            this.selectionService.initPointerState();
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getSelectedRanges = /**
         * @return {?}
         */
        function () {
            return this.selectionService.ranges;
        };
        /**
         * @protected
         * @param {?} source
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        IgxGridBaseComponent.prototype.extractDataFromSelection = /**
         * @protected
         * @param {?} source
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        function (source, formatters, headers) {
            var e_2, _a;
            if (formatters === void 0) { formatters = false; }
            if (headers === void 0) { headers = false; }
            /** @type {?} */
            var columnsArray;
            /** @type {?} */
            var record = {};
            /** @type {?} */
            var selectedData = [];
            /** @type {?} */
            var activeEl = this.selectionService.activeElement;
            /** @type {?} */
            var selectionMap = Array.from(this.selectionService.selection)
                .filter(function (tuple) { return tuple[0] < source.length; });
            if (this.cellSelection === GridSelectionMode.single && activeEl) {
                selectionMap.push([activeEl.row, new Set().add(activeEl.column)]);
            }
            var _loop_1 = function (row, set) {
                var e_3, _a;
                if (!source[row]) {
                    return "continue";
                }
                /** @type {?} */
                var temp = Array.from(set);
                try {
                    for (var temp_1 = __values(temp), temp_1_1 = temp_1.next(); !temp_1_1.done; temp_1_1 = temp_1.next()) {
                        var each = temp_1_1.value;
                        columnsArray = this_1.getSelectableColumnsAt(each);
                        columnsArray.forEach(function (col) {
                            if (col) {
                                /** @type {?} */
                                var key = headers ? col.header || col.field : col.field;
                                record[key] = formatters && col.formatter ? col.formatter(source[row][col.field])
                                    : source[row][col.field];
                            }
                        });
                    }
                }
                catch (e_3_1) { e_3 = { error: e_3_1 }; }
                finally {
                    try {
                        if (temp_1_1 && !temp_1_1.done && (_a = temp_1.return)) _a.call(temp_1);
                    }
                    finally { if (e_3) throw e_3.error; }
                }
                if (Object.keys(record).length) {
                    selectedData.push(record);
                }
                record = {};
            };
            var this_1 = this;
            try {
                for (var selectionMap_1 = __values(selectionMap), selectionMap_1_1 = selectionMap_1.next(); !selectionMap_1_1.done; selectionMap_1_1 = selectionMap_1.next()) {
                    var _b = __read(selectionMap_1_1.value, 2), row = _b[0], set = _b[1];
                    _loop_1(row, set);
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (selectionMap_1_1 && !selectionMap_1_1.done && (_a = selectionMap_1.return)) _a.call(selectionMap_1);
                }
                finally { if (e_2) throw e_2.error; }
            }
            return selectedData;
        };
        /**
         * @protected
         * @param {?} index
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getSelectableColumnsAt = /**
         * @protected
         * @param {?} index
         * @return {?}
         */
        function (index) {
            if (this.hasColumnLayouts) {
                /** @type {?} */
                var visibleLayoutColumns = this.visibleColumns
                    .filter(function (col) { return col.columnLayout; })
                    .sort(function (a, b) { return a.visibleIndex - b.visibleIndex; });
                /** @type {?} */
                var colLayout = visibleLayoutColumns[index];
                return colLayout ? colLayout.children.toArray() : [];
            }
            else {
                /** @type {?} */
                var visibleColumns = this.visibleColumns
                    .filter(function (col) { return !col.columnGroup; })
                    .sort(function (a, b) { return a.visibleIndex - b.visibleIndex; });
                return [visibleColumns[index]];
            }
        };
        /**
         *
         * Returns an array of the current cell selection in the form of `[{ column.field: cell.value }, ...]`.
         * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
         * If `headers` is enabled, it will use the column header (if any) instead of the column field.
         */
        /**
         *
         * Returns an array of the current cell selection in the form of `[{ column.field: cell.value }, ...]`.
         * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
         * If `headers` is enabled, it will use the column header (if any) instead of the column field.
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getSelectedData = /**
         *
         * Returns an array of the current cell selection in the form of `[{ column.field: cell.value }, ...]`.
         * If `formatters` is enabled, the cell value will be formatted by its respective column formatter (if any).
         * If `headers` is enabled, it will use the column header (if any) instead of the column field.
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        function (formatters, headers) {
            if (formatters === void 0) { formatters = false; }
            if (headers === void 0) { headers = false; }
            /** @type {?} */
            var source = this.dataView;
            return this.extractDataFromSelection(source, formatters, headers);
        };
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.copyHandlerIE = /**
         * @return {?}
         */
        function () {
            if (isIE()) {
                this.copyHandler(null, true);
            }
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @param {?=} ie11
         * @return {?}
         */
        IgxGridBaseComponent.prototype.copyHandler = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @param {?=} ie11
         * @return {?}
         */
        function (event, ie11) {
            if (ie11 === void 0) { ie11 = false; }
            if (!this.clipboardOptions.enabled || this.crudService.inEditMode) {
                return;
            }
            /** @type {?} */
            var data = this.getSelectedData(this.clipboardOptions.copyFormatters, this.clipboardOptions.copyHeaders);
            /** @type {?} */
            var ev = (/** @type {?} */ ({ data: data, cancel: false }));
            this.onGridCopy.emit(ev);
            if (ev.cancel) {
                return;
            }
            /** @type {?} */
            var transformer = new CharSeparatedValueData(ev.data, this.clipboardOptions.separator);
            /** @type {?} */
            var result = transformer.prepareData();
            if (!this.clipboardOptions.copyHeaders) {
                result = result.substring(result.indexOf('\n') + 1);
            }
            if (ie11) {
                ((/** @type {?} */ (window))).clipboardData.setData('Text', result);
                return;
            }
            event.preventDefault();
            /* Necessary for the hiearachical case but will probably have to
               change how getSelectedData is propagated in the hiearachical grid
            */
            event.stopPropagation();
            event.clipboardData.setData('text/plain', result);
        };
        /**
         * This method allows you to navigate to a position
         * in the grid based on provided `rowindex` and `visibleColumnIndex`,
         * also to execute a custom logic over the target element,
         * through a callback function that accepts { targetType: GridKeydownTargetType, target: Object }
         * ```typescript
         *  this.grid.navigateTo(10, 3, (args) => { args.target.nativeElement.focus(); });
         * ```
         * @memberof IgxGridBaseComponent
         */
        /**
         * This method allows you to navigate to a position
         * in the grid based on provided `rowindex` and `visibleColumnIndex`,
         * also to execute a custom logic over the target element,
         * through a callback function that accepts { targetType: GridKeydownTargetType, target: Object }
         * ```typescript
         *  this.grid.navigateTo(10, 3, (args) => { args.target.nativeElement.focus(); });
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIndex
         * @param {?=} visibleColIndex
         * @param {?=} cb
         * @return {?}
         */
        IgxGridBaseComponent.prototype.navigateTo = /**
         * This method allows you to navigate to a position
         * in the grid based on provided `rowindex` and `visibleColumnIndex`,
         * also to execute a custom logic over the target element,
         * through a callback function that accepts { targetType: GridKeydownTargetType, target: Object }
         * ```typescript
         *  this.grid.navigateTo(10, 3, (args) => { args.target.nativeElement.focus(); });
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} rowIndex
         * @param {?=} visibleColIndex
         * @param {?=} cb
         * @return {?}
         */
        function (rowIndex, visibleColIndex, cb) {
            var _this = this;
            if (visibleColIndex === void 0) { visibleColIndex = -1; }
            if (cb === void 0) { cb = null; }
            if (rowIndex < 0 || rowIndex > this.dataView.length - 1
                || (visibleColIndex !== -1 && this.columnList.map(function (col) { return col.visibleIndex; }).indexOf(visibleColIndex) === -1)) {
                return;
            }
            this.wheelHandler();
            if (this.dataView.slice(rowIndex, rowIndex + 1).find(function (rec) { return rec.expression || rec.childGridsData; })) {
                visibleColIndex = -1;
            }
            /** @type {?} */
            var shouldScrollVertically = this.navigation.shouldPerformVerticalScroll(rowIndex, visibleColIndex);
            /** @type {?} */
            var shouldScrollHorizontally = visibleColIndex !== -1 && !this.navigation.isColumnFullyVisible(visibleColIndex);
            if (shouldScrollVertically) {
                this.navigation.performVerticalScrollToCell(rowIndex, visibleColIndex, function () { _this.navigateTo(rowIndex, visibleColIndex, cb); });
            }
            else if (shouldScrollHorizontally) {
                this.navigation.performHorizontalScrollToCell(rowIndex, visibleColIndex, false, function () { _this.navigateTo(rowIndex, visibleColIndex, cb); });
            }
            else {
                this.executeCallback(rowIndex, visibleColIndex, cb);
            }
        };
        /**
        * Returns `ICellPosition` which defines the next cell,
        * according to the current position, that match specific criteria.
        * You can pass callback function as a third parameter of `getPreviousCell` method.
        * The callback function accepts IgxColumnComponent as a param
        * ```typescript
        *  const nextEditableCellPosition = this.grid.getNextCell(0, 3, (column) => column.editable);
        * ```
        * @memberof IgxGridBaseComponent
        */
        /**
         * Returns `ICellPosition` which defines the next cell,
         * according to the current position, that match specific criteria.
         * You can pass callback function as a third parameter of `getPreviousCell` method.
         * The callback function accepts IgxColumnComponent as a param
         * ```typescript
         *  const nextEditableCellPosition = this.grid.getNextCell(0, 3, (column) => column.editable);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} currRowIndex
         * @param {?} curVisibleColIndex
         * @param {?=} callback
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getNextCell = /**
         * Returns `ICellPosition` which defines the next cell,
         * according to the current position, that match specific criteria.
         * You can pass callback function as a third parameter of `getPreviousCell` method.
         * The callback function accepts IgxColumnComponent as a param
         * ```typescript
         *  const nextEditableCellPosition = this.grid.getNextCell(0, 3, (column) => column.editable);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} currRowIndex
         * @param {?} curVisibleColIndex
         * @param {?=} callback
         * @return {?}
         */
        function (currRowIndex, curVisibleColIndex, callback) {
            if (callback === void 0) { callback = null; }
            /** @type {?} */
            var columns = this.columnList.filter(function (col) { return !col.columnGroup && col.visibleIndex >= 0; });
            if (!this.isValidPosition(currRowIndex, curVisibleColIndex)) {
                return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
            }
            /** @type {?} */
            var colIndexes = callback ? columns.filter(function (col) { return callback(col); }).map(function (editCol) { return editCol.visibleIndex; }).sort(function (a, b) { return a - b; }) :
                columns.map(function (editCol) { return editCol.visibleIndex; }).sort(function (a, b) { return a - b; });
            /** @type {?} */
            var nextCellIndex = colIndexes.find(function (index) { return index > curVisibleColIndex; });
            if (this.dataView.slice(currRowIndex, currRowIndex + 1)
                .find(function (rec) { return !rec.expression && !rec.summaries && !rec.childGridsData; }) && nextCellIndex !== undefined) {
                return { rowIndex: currRowIndex, visibleColumnIndex: nextCellIndex };
            }
            else {
                if (colIndexes.length === 0 || this.getNextDataRowIndex(currRowIndex) === currRowIndex) {
                    return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
                }
                else {
                    return { rowIndex: this.getNextDataRowIndex(currRowIndex), visibleColumnIndex: colIndexes[0] };
                }
            }
        };
        /**
        * Returns `ICellPosition` which defines the previous cell,
        * according to the current position, that match specific criteria.
        * You can pass callback function as a third parameter of `getPreviousCell` method.
        * The callback function accepts IgxColumnComponent as a param
        * ```typescript
        *  const previousEditableCellPosition = this.grid.getPreviousCell(0, 3, (column) => column.editable);
        * ```
        * @memberof IgxGridBaseComponent
        */
        /**
         * Returns `ICellPosition` which defines the previous cell,
         * according to the current position, that match specific criteria.
         * You can pass callback function as a third parameter of `getPreviousCell` method.
         * The callback function accepts IgxColumnComponent as a param
         * ```typescript
         *  const previousEditableCellPosition = this.grid.getPreviousCell(0, 3, (column) => column.editable);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} currRowIndex
         * @param {?} curVisibleColIndex
         * @param {?=} callback
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getPreviousCell = /**
         * Returns `ICellPosition` which defines the previous cell,
         * according to the current position, that match specific criteria.
         * You can pass callback function as a third parameter of `getPreviousCell` method.
         * The callback function accepts IgxColumnComponent as a param
         * ```typescript
         *  const previousEditableCellPosition = this.grid.getPreviousCell(0, 3, (column) => column.editable);
         * ```
         * \@memberof IgxGridBaseComponent
         * @param {?} currRowIndex
         * @param {?} curVisibleColIndex
         * @param {?=} callback
         * @return {?}
         */
        function (currRowIndex, curVisibleColIndex, callback) {
            if (callback === void 0) { callback = null; }
            /** @type {?} */
            var columns = this.columnList.filter(function (col) { return !col.columnGroup && col.visibleIndex >= 0; });
            if (!this.isValidPosition(currRowIndex, curVisibleColIndex)) {
                return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
            }
            /** @type {?} */
            var colIndexes = callback ? columns.filter(function (col) { return callback(col); }).map(function (editCol) { return editCol.visibleIndex; }).sort(function (a, b) { return b - a; }) :
                columns.map(function (editCol) { return editCol.visibleIndex; }).sort(function (a, b) { return b - a; });
            /** @type {?} */
            var prevCellIndex = colIndexes.find(function (index) { return index < curVisibleColIndex; });
            if (this.dataView.slice(currRowIndex, currRowIndex + 1)
                .find(function (rec) { return !rec.expression && !rec.summaries && !rec.childGridsData; }) && prevCellIndex !== undefined) {
                return { rowIndex: currRowIndex, visibleColumnIndex: prevCellIndex };
            }
            else {
                if (colIndexes.length === 0 || this.getPrevDataRowIndex(currRowIndex) === currRowIndex) {
                    return { rowIndex: currRowIndex, visibleColumnIndex: curVisibleColIndex };
                }
                else {
                    return { rowIndex: this.getPrevDataRowIndex(currRowIndex), visibleColumnIndex: colIndexes[0] };
                }
            }
        };
        /**
         * @private
         * @param {?} rowIndex
         * @param {?=} visibleColIndex
         * @param {?=} cb
         * @return {?}
         */
        IgxGridBaseComponent.prototype.executeCallback = /**
         * @private
         * @param {?} rowIndex
         * @param {?=} visibleColIndex
         * @param {?=} cb
         * @return {?}
         */
        function (rowIndex, visibleColIndex, cb) {
            if (visibleColIndex === void 0) { visibleColIndex = -1; }
            if (cb === void 0) { cb = null; }
            if (!cb) {
                return;
            }
            /** @type {?} */
            var targetType;
            /** @type {?} */
            var target;
            /** @type {?} */
            var row = this.summariesRowList.filter(function (s) { return s.index !== 0; }).concat(this.rowList.toArray()).find(function (r) { return r.index === rowIndex; });
            if (!row) {
                return;
            }
            switch (row.nativeElement.tagName.toLowerCase()) {
                case 'igx-grid-groupby-row':
                    targetType = GridKeydownTargetType.groupRow;
                    target = row;
                    break;
                case 'igx-grid-summary-row':
                    targetType = GridKeydownTargetType.summaryCell;
                    target = visibleColIndex !== -1 ?
                        row.summaryCells.find(function (c) { return c.visibleColumnIndex === visibleColIndex; }) : row.summaryCells.first;
                    break;
                case 'igx-child-grid-row':
                    targetType = GridKeydownTargetType.hierarchicalRow;
                    target = row;
                    break;
                default:
                    targetType = GridKeydownTargetType.dataCell;
                    target = visibleColIndex !== -1 ? row.cells.find(function (c) { return c.visibleColumnIndex === visibleColIndex; }) : row.cells.first;
                    break;
            }
            /** @type {?} */
            var args = { targetType: targetType, target: target };
            cb(args);
        };
        /**
         * @private
         * @param {?} currentRowIndex
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getPrevDataRowIndex = /**
         * @private
         * @param {?} currentRowIndex
         * @return {?}
         */
        function (currentRowIndex) {
            if (currentRowIndex <= 0) {
                return currentRowIndex;
            }
            /** @type {?} */
            var prevRow = this.dataView.slice(0, currentRowIndex).reverse()
                .find(function (rec) { return !rec.expression && !rec.summaries && !rec.childGridsData; });
            return prevRow ? this.dataView.indexOf(prevRow) : currentRowIndex;
        };
        /**
         * @private
         * @param {?} currentRowIndex
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getNextDataRowIndex = /**
         * @private
         * @param {?} currentRowIndex
         * @return {?}
         */
        function (currentRowIndex) {
            if (currentRowIndex === this.dataView.length) {
                return currentRowIndex;
            }
            /** @type {?} */
            var nextRow = this.dataView.slice(currentRowIndex + 1, this.dataView.length)
                .find(function (rec) { return !rec.expression && !rec.summaries && !rec.childGridsData; });
            return nextRow ? this.dataView.indexOf(nextRow) : currentRowIndex;
        };
        /**
         * @private
         * @param {?} rowIndex
         * @param {?} colIndex
         * @return {?}
         */
        IgxGridBaseComponent.prototype.isValidPosition = /**
         * @private
         * @param {?} rowIndex
         * @param {?} colIndex
         * @return {?}
         */
        function (rowIndex, colIndex) {
            /** @type {?} */
            var rows = this.summariesRowList.filter(function (s) { return s.index !== 0; }).concat(this.rowList.toArray()).length;
            /** @type {?} */
            var cols = this.columnList.filter(function (col) { return !col.columnGroup && col.visibleIndex >= 0 && !col.hidden; }).length;
            if (rows < 1 || cols < 1) {
                return false;
            }
            if (rowIndex > -1 && rowIndex < this.dataView.length &&
                colIndex > -1 && colIndex < cols) {
                return true;
            }
            return false;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} index
         * @param {?} col
         * @return {?}
         */
        IgxGridBaseComponent.prototype.trackColumnChanges = /**
         * @hidden
         * @param {?} index
         * @param {?} col
         * @return {?}
         */
        function (index, col) {
            return col.field + col._calcWidth;
        };
        /**
         * @private
         * @param {?} text
         * @param {?} increment
         * @param {?=} caseSensitive
         * @param {?=} exactMatch
         * @param {?=} scroll
         * @return {?}
         */
        IgxGridBaseComponent.prototype.find = /**
         * @private
         * @param {?} text
         * @param {?} increment
         * @param {?=} caseSensitive
         * @param {?=} exactMatch
         * @param {?=} scroll
         * @return {?}
         */
        function (text, increment, caseSensitive, exactMatch, scroll) {
            if (!this.rowList) {
                return 0;
            }
            this.endEdit(false);
            if (!text) {
                this.clearSearch();
                return 0;
            }
            /** @type {?} */
            var caseSensitiveResolved = caseSensitive ? true : false;
            /** @type {?} */
            var exactMatchResolved = exactMatch ? true : false;
            /** @type {?} */
            var rebuildCache = false;
            if (this.lastSearchInfo.searchText !== text ||
                this.lastSearchInfo.caseSensitive !== caseSensitiveResolved ||
                this.lastSearchInfo.exactMatch !== exactMatchResolved) {
                this.lastSearchInfo = {
                    searchText: text,
                    activeMatchIndex: 0,
                    caseSensitive: caseSensitiveResolved,
                    exactMatch: exactMatchResolved,
                    matchInfoCache: []
                };
                rebuildCache = true;
            }
            else {
                this.lastSearchInfo.activeMatchIndex += increment;
            }
            if (rebuildCache) {
                this.rowList.forEach(function (row) {
                    if (row.cells) {
                        row.cells.forEach(function (c) {
                            c.highlightText(text, caseSensitiveResolved, exactMatchResolved);
                        });
                    }
                });
                this.rebuildMatchCache();
            }
            if (this.lastSearchInfo.activeMatchIndex >= this.lastSearchInfo.matchInfoCache.length) {
                this.lastSearchInfo.activeMatchIndex = 0;
            }
            else if (this.lastSearchInfo.activeMatchIndex < 0) {
                this.lastSearchInfo.activeMatchIndex = this.lastSearchInfo.matchInfoCache.length - 1;
            }
            if (this.lastSearchInfo.matchInfoCache.length) {
                /** @type {?} */
                var matchInfo = this.lastSearchInfo.matchInfoCache[this.lastSearchInfo.activeMatchIndex];
                this.lastSearchInfo = __assign({}, this.lastSearchInfo);
                if (scroll !== false) {
                    this.scrollTo(matchInfo.row, matchInfo.column);
                }
                IgxTextHighlightDirective.setActiveHighlight(this.id, {
                    column: matchInfo.column,
                    row: matchInfo.row,
                    index: matchInfo.index,
                });
            }
            else {
                IgxTextHighlightDirective.clearActiveHighlight(this.id);
            }
            return this.lastSearchInfo.matchInfoCache.length;
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "filteredSortedData", {
            /**
             * Returns an array containing the filtered sorted data.
             * ```typescript
             * const filteredSortedData = this.grid1.filteredSortedData;
             * ```
             * @memberof IgxGridBaseComponent
             */
            get: /**
             * Returns an array containing the filtered sorted data.
             * ```typescript
             * const filteredSortedData = this.grid1.filteredSortedData;
             * ```
             * \@memberof IgxGridBaseComponent
             * @return {?}
             */
            function () {
                return this._filteredSortedData;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filteredSortedData = value;
                this.refreshSearch(true);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.initPinning = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var currentPinnedWidth = 0;
            /** @type {?} */
            var pinnedColumns = [];
            /** @type {?} */
            var unpinnedColumns = [];
            /** @type {?} */
            var newUnpinnedCols = [];
            this.calculateGridWidth();
            this.resetCaches();
            // When a column is a group or is inside a group, pin all related.
            this._pinnedColumns.forEach(function (col) {
                if (col.parent) {
                    col.parent.pinned = true;
                }
                if (col.columnGroup) {
                    col.children.forEach(function (child) { return child.pinned = true; });
                }
            });
            // Make sure we don't exceed unpinned area min width and get pinned and unpinned col collections.
            // We take into account top level columns (top level groups and non groups).
            // If top level is unpinned the pinning handles all children to be unpinned as well.
            for (var i = 0; i < this._columns.length; i++) {
                if (this._columns[i].pinned && !this._columns[i].parent) {
                    // Pinned column. Check if with it the unpinned min width is exceeded.
                    /** @type {?} */
                    var colWidth = parseInt(this._columns[i].width, 10);
                    if (currentPinnedWidth + colWidth > this.calcWidth - this.unpinnedAreaMinWidth) {
                        // unpinned min width is exceeded. Unpin the columns and add it to the unpinned collection.
                        this._columns[i].pinned = false;
                        unpinnedColumns.push(this._columns[i]);
                        newUnpinnedCols.push(this._columns[i]);
                    }
                    else {
                        // unpinned min width is not exceeded. Keep it pinned and add it to the pinned collection.
                        currentPinnedWidth += colWidth;
                        pinnedColumns.push(this._columns[i]);
                    }
                }
                else if (this._columns[i].pinned && this._columns[i].parent) {
                    if (this._columns[i].topLevelParent.pinned) {
                        pinnedColumns.push(this._columns[i]);
                    }
                    else {
                        this._columns[i].pinned = false;
                        unpinnedColumns.push(this._columns[i]);
                    }
                }
                else {
                    unpinnedColumns.push(this._columns[i]);
                }
            }
            if (newUnpinnedCols.length) {
                console.warn('igxGrid - The pinned area exceeds maximum pinned width. ' +
                    'The following columns were unpinned to prevent further issues:' +
                    newUnpinnedCols.map(function (col) { return '"' + col.header + '"'; }).toString() + '. For more info see our documentation.');
            }
            // Assign the applicaple collections.
            this._pinnedColumns = pinnedColumns;
            this._unpinnedColumns = unpinnedColumns;
            this.notifyChanges();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} row
         * @param {?} column
         * @param {?=} inCollection
         * @return {?}
         */
        IgxGridBaseComponent.prototype.scrollTo = /**
         * @hidden
         * @protected
         * @param {?} row
         * @param {?} column
         * @param {?=} inCollection
         * @return {?}
         */
        function (row, column, inCollection) {
            var _this = this;
            if (inCollection === void 0) { inCollection = this.filteredSortedData; }
            /** @type {?} */
            var delayScrolling = false;
            if (this.paging && typeof (row) !== 'number') {
                /** @type {?} */
                var rowIndex = inCollection.indexOf(row);
                /** @type {?} */
                var page = Math.floor(rowIndex / this.perPage);
                if (this.page !== page) {
                    delayScrolling = true;
                    this.page = page;
                }
            }
            if (delayScrolling) {
                this.verticalScrollContainer.onDataChanged.pipe(operators.first()).subscribe(function () {
                    _this.scrollDirective(_this.verticalScrollContainer, typeof (row) === 'number' ? row : _this.dataView.indexOf(row));
                });
            }
            else {
                this.scrollDirective(this.verticalScrollContainer, typeof (row) === 'number' ? row : this.dataView.indexOf(row));
            }
            this.scrollToHorizontally(column);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} column
         * @return {?}
         */
        IgxGridBaseComponent.prototype.scrollToHorizontally = /**
         * @hidden
         * @protected
         * @param {?} column
         * @return {?}
         */
        function (column) {
            /** @type {?} */
            var columnIndex = typeof column === 'number' ? column : this.getColumnByName(column).visibleIndex;
            /** @type {?} */
            var scrollRow = this.rowList.find(function (r) { return r.virtDirRow; });
            /** @type {?} */
            var virtDir = scrollRow ? scrollRow.virtDirRow : null;
            if (this.pinnedColumns.length) {
                if (columnIndex >= this.pinnedColumns.length) {
                    columnIndex -= this.pinnedColumns.length;
                    this.scrollDirective(virtDir, columnIndex);
                }
            }
            else {
                this.scrollDirective(virtDir, columnIndex);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} directive
         * @param {?} goal
         * @return {?}
         */
        IgxGridBaseComponent.prototype.scrollDirective = /**
         * @hidden
         * @protected
         * @param {?} directive
         * @param {?} goal
         * @return {?}
         */
        function (directive, goal) {
            if (!directive) {
                return;
            }
            directive.scrollTo(goal);
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridBaseComponent.prototype.rebuildMatchCache = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this.lastSearchInfo.matchInfoCache = [];
            /** @type {?} */
            var caseSensitive = this.lastSearchInfo.caseSensitive;
            /** @type {?} */
            var exactMatch = this.lastSearchInfo.exactMatch;
            /** @type {?} */
            var searchText = caseSensitive ? this.lastSearchInfo.searchText : this.lastSearchInfo.searchText.toLowerCase();
            /** @type {?} */
            var data = this.filteredSortedData;
            /** @type {?} */
            var columnItems = this.visibleColumns.filter(function (c) { return !c.columnGroup; }).sort(function (c1, c2) { return c1.visibleIndex - c2.visibleIndex; });
            /** @type {?} */
            var numberPipe = new IgxDecimalPipeComponent(this.locale);
            /** @type {?} */
            var datePipe = new IgxDatePipeComponent(this.locale);
            data.forEach(function (dataRow) {
                columnItems.forEach(function (c) {
                    /** @type {?} */
                    var value = c.formatter ? c.formatter(dataRow[c.field]) :
                        c.dataType === 'number' ? numberPipe.transform(dataRow[c.field], _this.locale) :
                            c.dataType === 'date' ? datePipe.transform(dataRow[c.field], _this.locale)
                                : dataRow[c.field];
                    if (value !== undefined && value !== null && c.searchable) {
                        /** @type {?} */
                        var searchValue = caseSensitive ? String(value) : String(value).toLowerCase();
                        if (exactMatch) {
                            if (searchValue === searchText) {
                                _this.lastSearchInfo.matchInfoCache.push({
                                    row: dataRow,
                                    column: c.field,
                                    index: 0,
                                });
                            }
                        }
                        else {
                            /** @type {?} */
                            var occurenceIndex = 0;
                            /** @type {?} */
                            var searchIndex = searchValue.indexOf(searchText);
                            while (searchIndex !== -1) {
                                _this.lastSearchInfo.matchInfoCache.push({
                                    row: dataRow,
                                    column: c.field,
                                    index: occurenceIndex++,
                                });
                                searchValue = searchValue.substring(searchIndex + searchText.length);
                                searchIndex = searchValue.indexOf(searchText);
                            }
                        }
                    }
                });
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} _group
         * @return {?}
         */
        IgxGridBaseComponent.prototype.isExpandedGroup = /**
         * @hidden
         * @param {?} _group
         * @return {?}
         */
        function (_group) {
            return undefined;
        };
        /**
         * @protected
         * @param {?} row
         * @return {?}
         */
        IgxGridBaseComponent.prototype.changeRowEditingOverlayStateOnScroll = /**
         * @protected
         * @param {?} row
         * @return {?}
         */
        function (row) {
            if (!this.rowEditable || !this.rowEditingOverlay || this.rowEditingOverlay.collapsed) {
                return;
            }
            if (!row) {
                this.toggleRowEditingOverlay(false);
            }
            else {
                this.repositionRowEditingOverlay(row);
            }
        };
        /**
         * Should be called when data and/or isLoading input changes so that the overlay can be
         * hidden/shown based on the current value of shouldOverlayLoading
         */
        /**
         * Should be called when data and/or isLoading input changes so that the overlay can be
         * hidden/shown based on the current value of shouldOverlayLoading
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.evaluateLoadingState = /**
         * Should be called when data and/or isLoading input changes so that the overlay can be
         * hidden/shown based on the current value of shouldOverlayLoading
         * @protected
         * @return {?}
         */
        function () {
            if (this.shouldOverlayLoading) {
                // a new overlay should be shown
                /** @type {?} */
                var overlaySettings = {
                    outlet: this.loadingOutlet,
                    closeOnOutsideClick: false,
                    positionStrategy: new ContainerPositionStrategy()
                };
                if (!this._loadingId) {
                    this._loadingId = this.overlayService.attach(this.loadingOverlay, overlaySettings);
                    this.overlayService.show(this._loadingId, overlaySettings);
                }
            }
            else {
                if (this._loadingId) {
                    this.overlayService.hide(this._loadingId);
                    this._loadingId = null;
                }
            }
        };
        /**
         * @param {?} id
         * @return {?}
         */
        IgxGridBaseComponent.prototype.openRowOverlay = /**
         * @param {?} id
         * @return {?}
         */
        function (id) {
            this.configureRowEditingOverlay(id, this.rowList.length <= MIN_ROW_EDITING_COUNT_THRESHOLD);
            this.rowEditingOverlay.open(this.rowEditSettings);
            this.rowEditPositioningStrategy.isTopInitialPosition = this.rowEditPositioningStrategy.isTop;
            this.rowEditingOverlay.element.addEventListener('wheel', this.rowEditingWheelHandler);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridBaseComponent.prototype.closeRowEditingOverlay = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.rowEditingOverlay.element.removeEventListener('wheel', this.rowEditingWheelHandler);
            this.rowEditPositioningStrategy.isTopInitialPosition = null;
            this.rowEditingOverlay.close();
            this.rowEditingOverlay.element.parentElement.style.display = '';
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} show
         * @return {?}
         */
        IgxGridBaseComponent.prototype.toggleRowEditingOverlay = /**
         * @hidden
         * @param {?} show
         * @return {?}
         */
        function (show) {
            /** @type {?} */
            var rowStyle = this.rowEditingOverlay.element.style;
            if (show) {
                rowStyle.display = 'block';
            }
            else {
                rowStyle.display = 'none';
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} row
         * @return {?}
         */
        IgxGridBaseComponent.prototype.repositionRowEditingOverlay = /**
         * @hidden
         * @param {?} row
         * @return {?}
         */
        function (row) {
            if (row && !this.rowEditingOverlay.collapsed) {
                /** @type {?} */
                var rowStyle = this.rowEditingOverlay.element.parentElement.style;
                if (row) {
                    rowStyle.display = '';
                    this.configureRowEditingOverlay(row.rowID);
                    this.rowEditingOverlay.reposition();
                }
                else {
                    rowStyle.display = 'none';
                }
            }
        };
        /**
         * @private
         * @param {?} rowID
         * @param {?=} useOuter
         * @return {?}
         */
        IgxGridBaseComponent.prototype.configureRowEditingOverlay = /**
         * @private
         * @param {?} rowID
         * @param {?=} useOuter
         * @return {?}
         */
        function (rowID, useOuter) {
            if (useOuter === void 0) { useOuter = false; }
            this.rowEditSettings.outlet = useOuter ? this.parentRowOutletDirective : this.rowOutletDirective;
            this.rowEditPositioningStrategy.settings.container = this.tbody.nativeElement;
            /** @type {?} */
            var targetRow = this.gridAPI.get_row_by_key(rowID);
            if (!targetRow) {
                return;
            }
            this.rowEditPositioningStrategy.settings.target = targetRow.element.nativeElement;
            this.toggleRowEditingOverlay(true);
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "rowChangesCount", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (!this.crudService.row) {
                    return 0;
                }
                /** @type {?} */
                var rowChanges = this.transactions.getAggregatedValue(this.crudService.row.id, false);
                return rowChanges ? Object.keys(rowChanges).length : 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} rowIndex
         * @param {?} value
         * @return {?}
         */
        IgxGridBaseComponent.prototype.writeToData = /**
         * @protected
         * @param {?} rowIndex
         * @param {?} value
         * @return {?}
         */
        function (rowIndex, value) {
            mergeObjects(this.gridAPI.get_all_data()[rowIndex], value);
        };
        /**
         * @param {?} commit
         * @param {?} row
         * @return {?}
         */
        IgxGridBaseComponent.prototype.endRowTransaction = /**
         * @param {?} commit
         * @param {?} row
         * @return {?}
         */
        function (commit, row) {
            row.newData = this.transactions.getAggregatedValue(row.id, true);
            /** @type {?} */
            var args = row.createEditEventArgs();
            if (!commit) {
                this.onRowEditCancel.emit(args);
                this.transactions.endPending(false);
            }
            else {
                args = this.gridAPI.update_row(row, row.newData);
            }
            if (args.cancel) {
                this.transactions.startPending();
                return;
            }
            this.crudService.endRowEdit();
            this.closeRowEditingOverlay();
        };
        /**
        * @hidden
        */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridBaseComponent.prototype.gridOutletKeyboardHandler = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // TODO: This should be removed after grid keyboard refactoring
            // call stopPropagation for keydown event for the outlet not to propagate event to the grid
            event.stopPropagation();
        };
        // TODO: Refactor
        /**
         * Finishes the row transactions on the current row.
         * If `commit === true`, passes them from the pending state to the data (or transaction service)
         *
         * Binding to the event
         * ```html
         * <button igxButton (click)="grid.endEdit(true)">Commit Row</button>
         * ```
         * @param commit
         */
        // TODO: Refactor
        /**
         * Finishes the row transactions on the current row.
         * If `commit === true`, passes them from the pending state to the data (or transaction service)
         *
         * Binding to the event
         * ```html
         * <button igxButton (click)="grid.endEdit(true)">Commit Row</button>
         * ```
         * @param {?=} commit
         * @param {?=} event
         * @return {?}
         */
        IgxGridBaseComponent.prototype.endEdit = 
        // TODO: Refactor
        /**
         * Finishes the row transactions on the current row.
         * If `commit === true`, passes them from the pending state to the data (or transaction service)
         *
         * Binding to the event
         * ```html
         * <button igxButton (click)="grid.endEdit(true)">Commit Row</button>
         * ```
         * @param {?=} commit
         * @param {?=} event
         * @return {?}
         */
        function (commit, event) {
            if (commit === void 0) { commit = true; }
            /** @type {?} */
            var row = this.crudService.row;
            /** @type {?} */
            var cell = this.crudService.cell;
            // TODO: Merge the crudService with wht BaseAPI service
            if (!row && !cell) {
                return;
            }
            commit ? this.gridAPI.submit_value() : this.gridAPI.escape_editMode();
            if (!this.rowEditable || this.rowEditingOverlay && this.rowEditingOverlay.collapsed || !row) {
                return;
            }
            this.endRowTransaction(commit, row);
            /** @type {?} */
            var activeCell = this.selectionService.activeElement;
            if (event && activeCell) {
                /** @type {?} */
                var rowIndex = activeCell.row;
                /** @type {?} */
                var visibleColIndex = activeCell.layout ? activeCell.layout.columnVisibleIndex : activeCell.column;
                this.navigateTo(rowIndex, visibleColIndex, function (c) {
                    if (c.targetType === GridKeydownTargetType.dataCell && c.target) {
                        c.target.nativeElement.focus();
                    }
                });
            }
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "dataWithAddedInTransactionRows", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var result = (/** @type {?} */ (cloneArray(this.gridAPI.get_all_data())));
                if (this.transactions.enabled) {
                    result.push.apply(result, __spread(this.transactions.getAggregatedChanges(true)
                        .filter(function (t) { return t.type === TransactionType.ADD; })
                        .map(function (t) { return t.newValue; })));
                }
                return result;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "dataLength", {
            get: /**
             * @return {?}
             */
            function () {
                return this.transactions.enabled ? this.dataWithAddedInTransactionRows.length : this.gridAPI.get_all_data().length;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxGridBaseComponent.prototype.hasHorizontalScroll = /**
         * @return {?}
         */
        function () {
            return this.totalWidth - this.unpinnedWidth > 0;
        };
        /**
         * @protected
         * @param {?} row
         * @return {?}
         */
        IgxGridBaseComponent.prototype._restoreVirtState = /**
         * @protected
         * @param {?} row
         * @return {?}
         */
        function (row) {
            // check virtualization state of data record added from cache
            // in case state is no longer valid - update it.
            /** @type {?} */
            var rowForOf = row.virtDirRow;
            /** @type {?} */
            var gridScrLeft = rowForOf.getScroll().scrollLeft;
            /** @type {?} */
            var left = -parseInt(rowForOf.dc.instance._viewContainer.element.nativeElement.style.left, 10);
            /** @type {?} */
            var actualScrollLeft = left + rowForOf.getColumnScrollLeft(rowForOf.state.startIndex);
            if (gridScrLeft !== actualScrollLeft) {
                rowForOf.onHScroll(gridScrLeft);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getExportExcel = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            return this._exportExcel;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridBaseComponent.prototype.getExportCsv = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            return this._exportCsv;
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "shouldOverlayLoading", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.isLoading && this.data && this.data.length > 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
        * @hidden
        */
        /**
         * @hidden
         * @param {?} rowData
         * @return {?}
         */
        IgxGridBaseComponent.prototype.isSummaryRow = /**
         * @hidden
         * @param {?} rowData
         * @return {?}
         */
        function (rowData) {
            return rowData.summaries && (rowData.summaries instanceof Map);
        };
        Object.defineProperty(IgxGridBaseComponent.prototype, "isMultiRowSelectionEnabled", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.rowSelection === GridSelectionMode.multiple;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isRowSelectable", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.rowSelection !== GridSelectionMode.none;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridBaseComponent.prototype, "isCellSelectable", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.cellSelection !== GridSelectionMode.none;
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden */
        /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        IgxGridBaseComponent.prototype.viewDetachHandler = /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        function (args) {
            /** @type {?} */
            var context = args.view.context;
            if (context['templateID'] === 'dataRow') {
                // some browsers (like FireFox and Edge) do not trigger onBlur when the focused element is detached from DOM
                // hence we need to trigger it manually when cell is detached.
                /** @type {?} */
                var row = this.getRowByIndex(context.index);
                /** @type {?} */
                var focusedCell = row.cells.find(function (x) { return x.focused; });
                if (focusedCell) {
                    focusedCell.onBlur();
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        IgxGridBaseComponent.prototype.cachedViewLoaded = /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        function (args) {
            var _this = this;
            if (args.context['templateID'] === 'dataRow' && args.context['$implicit'] === args.oldContext['$implicit']) {
                args.view.detectChanges();
                /** @type {?} */
                var row = this.getRowByIndex(args.context.index);
                if (row && row.cells) {
                    row.cells.forEach(function (c) {
                        c.highlightText(_this.lastSearchInfo.searchText, _this.lastSearchInfo.caseSensitive, _this.lastSearchInfo.exactMatch);
                    });
                }
            }
            if (this.hasHorizontalScroll()) {
                /** @type {?} */
                var tmplId = args.context.templateID;
                /** @type {?} */
                var index_1 = args.context.index;
                args.view.detectChanges();
                /** @type {?} */
                var row = tmplId === 'dataRow' ? this.getRowByIndex(index_1) : null;
                /** @type {?} */
                var summaryRow = tmplId === 'summaryRow' ? this.summariesRowList.find(function (sr) { return sr.dataRowIndex === index_1; }) : null;
                if (row && row instanceof IgxRowComponent) {
                    this._restoreVirtState(row);
                }
                else if (summaryRow) {
                    this._restoreVirtState(summaryRow);
                }
            }
        };
        /**
         * Opens the advanced filtering dialog.
         */
        /**
         * Opens the advanced filtering dialog.
         * @return {?}
         */
        IgxGridBaseComponent.prototype.openAdvancedFilteringDialog = /**
         * Opens the advanced filtering dialog.
         * @return {?}
         */
        function () {
            if (!this._advancedFilteringOverlayId) {
                this._advancedFilteringOverlaySettings.positionStrategy.settings.target =
                    ((/** @type {?} */ (this))).rootGrid ? ((/** @type {?} */ (this))).rootGrid.nativeElement : this.nativeElement;
                this._advancedFilteringOverlaySettings.outlet = this.outletDirective;
                this._advancedFilteringOverlayId = this.overlayService.attach(IgxAdvancedFilteringDialogComponent, this._advancedFilteringOverlaySettings, {
                    injector: this.viewRef.injector,
                    componentFactoryResolver: this.resolver
                });
                this.overlayService.show(this._advancedFilteringOverlayId, this._advancedFilteringOverlaySettings);
            }
        };
        /**
         * Closes the advanced filtering dialog.
         * @param applyChanges indicates whether the changes should be applied
         */
        /**
         * Closes the advanced filtering dialog.
         * @param {?} applyChanges indicates whether the changes should be applied
         * @return {?}
         */
        IgxGridBaseComponent.prototype.closeAdvancedFilteringDialog = /**
         * Closes the advanced filtering dialog.
         * @param {?} applyChanges indicates whether the changes should be applied
         * @return {?}
         */
        function (applyChanges) {
            if (this._advancedFilteringOverlayId) {
                /** @type {?} */
                var advancedFilteringOverlay = this.overlayService.getOverlayById(this._advancedFilteringOverlayId);
                /** @type {?} */
                var advancedFilteringDialog = (/** @type {?} */ (advancedFilteringOverlay.componentRef.instance));
                if (applyChanges) {
                    advancedFilteringDialog.applyChanges();
                }
                advancedFilteringDialog.closeDialog();
            }
        };
        IgxGridBaseComponent.decorators = [
            { type: core.Injectable }
        ];
        /** @nocollapse */
        IgxGridBaseComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: IgxColumnResizingService },
            { type: GridBaseAPIService },
            { type: undefined, decorators: [{ type: core.Inject, args: [IgxGridTransaction,] }] },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.ChangeDetectorRef },
            { type: core.ComponentFactoryResolver },
            { type: core.IterableDiffers },
            { type: core.ViewContainerRef },
            { type: IgxGridNavigationService },
            { type: IgxFilteringService },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: IgxGridSummaryService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxGridBaseComponent.propDecorators = {
            defaultExpandedTemplate: [{ type: core.ViewChild, args: ['defaultExpandedTemplate', { read: core.TemplateRef, static: true },] }],
            defaultCollapsedTemplate: [{ type: core.ViewChild, args: ['defaultCollapsedTemplate', { read: core.TemplateRef, static: true },] }],
            resourceStrings: [{ type: core.Input }],
            autoGenerate: [{ type: core.Input }],
            emptyGridTemplate: [{ type: core.Input }],
            loadingGridTemplate: [{ type: core.Input }],
            filteringLogic: [{ type: core.Input }],
            filteringExpressionsTree: [{ type: core.Input }],
            filteringExpressionsTreeChange: [{ type: core.Output }],
            advancedFilteringExpressionsTreeChange: [{ type: core.Output }],
            advancedFilteringExpressionsTree: [{ type: core.Input }],
            locale: [{ type: core.Input }],
            paging: [{ type: core.Input }],
            page: [{ type: core.Input }],
            pageChange: [{ type: core.Output }],
            perPage: [{ type: core.Input }],
            perPageChange: [{ type: core.Output }],
            paginationTemplate: [{ type: core.Input }],
            columnHiding: [{ type: core.Input }],
            rowSelectable: [{ type: core.Input }],
            hideRowSelectors: [{ type: core.Input }],
            rowDraggable: [{ type: core.Input }],
            rowEditable: [{ type: core.Input }],
            height: [{ type: core.HostBinding, args: ['style.height',] }, { type: core.Input }],
            hostWidth: [{ type: core.HostBinding, args: ['style.width',] }],
            width: [{ type: core.Input }],
            evenRowCSS: [{ type: core.Input }],
            oddRowCSS: [{ type: core.Input }],
            rowHeight: [{ type: core.Input }],
            columnWidth: [{ type: core.Input }],
            primaryKey: [{ type: core.Input }],
            emptyGridMessage: [{ type: core.Input }],
            isLoading: [{ type: core.Input }],
            emptyFilteredGridMessage: [{ type: core.Input }],
            columnHidingTitle: [{ type: core.Input }],
            columnPinning: [{ type: core.Input }],
            columnPinningTitle: [{ type: core.Input }],
            allowFiltering: [{ type: core.Input }],
            allowAdvancedFiltering: [{ type: core.Input }],
            filterMode: [{ type: core.Input }],
            summaryPosition: [{ type: core.Input }],
            summaryCalculationMode: [{ type: core.Input }],
            filterStrategy: [{ type: core.Input }],
            uniqueColumnValuesStrategy: [{ type: core.Input }],
            onCellClick: [{ type: core.Output }],
            onSelection: [{ type: core.Output }],
            onRowSelectionChange: [{ type: core.Output }],
            onColumnPinning: [{ type: core.Output }],
            onCellEditCancel: [{ type: core.Output }],
            onCellEditEnter: [{ type: core.Output }],
            onCellEdit: [{ type: core.Output }],
            onRowEditEnter: [{ type: core.Output }],
            onRowEdit: [{ type: core.Output }],
            onRowEditCancel: [{ type: core.Output }],
            onColumnInit: [{ type: core.Output }],
            onSortingDone: [{ type: core.Output }],
            onFilteringDone: [{ type: core.Output }],
            onPagingDone: [{ type: core.Output }],
            onRowAdded: [{ type: core.Output }],
            onRowDeleted: [{ type: core.Output }],
            onDataPreLoad: [{ type: core.Output }],
            onColumnResized: [{ type: core.Output }],
            onContextMenu: [{ type: core.Output }],
            onDoubleClick: [{ type: core.Output }],
            onColumnVisibilityChanged: [{ type: core.Output }],
            onColumnMovingStart: [{ type: core.Output }],
            onColumnMoving: [{ type: core.Output }],
            onColumnMovingEnd: [{ type: core.Output }],
            onGridKeydown: [{ type: core.Output }],
            onRowDragStart: [{ type: core.Output }],
            onRowDragEnd: [{ type: core.Output }],
            onGridCopy: [{ type: core.Output }],
            resizeLine: [{ type: core.ViewChild, args: [IgxGridColumnResizerComponent, { static: false },] }],
            loadingOverlay: [{ type: core.ViewChild, args: ['loadingOverlay', { static: true },] }],
            loadingOutlet: [{ type: core.ViewChild, args: ['igxLoadingOverlayOutlet', { read: IgxOverlayOutletDirective, static: true },] }],
            columnList: [{ type: core.ContentChildren, args: [IgxColumnComponent, { read: IgxColumnComponent, descendants: true },] }],
            excelStyleSortingTemplateDirective: [{ type: core.ContentChild, args: [IgxExcelStyleSortingTemplateDirective, { read: IgxExcelStyleSortingTemplateDirective, static: false },] }],
            excelStyleMovingTemplateDirective: [{ type: core.ContentChild, args: [IgxExcelStyleMovingTemplateDirective, { read: IgxExcelStyleMovingTemplateDirective, static: false },] }],
            excelStyleHidingTemplateDirective: [{ type: core.ContentChild, args: [IgxExcelStyleHidingTemplateDirective, { read: IgxExcelStyleHidingTemplateDirective, static: false },] }],
            excelStylePinningTemplateDirective: [{ type: core.ContentChild, args: [IgxExcelStylePinningTemplateDirective, { read: IgxExcelStylePinningTemplateDirective, static: false },] }],
            excelStyleLoadingValuesTemplateDirective: [{ type: core.ContentChild, args: [IgxExcelStyleLoadingValuesTemplateDirective, { read: IgxExcelStyleLoadingValuesTemplateDirective, static: true },] }],
            headerGroups: [{ type: core.ViewChildren, args: [IgxGridHeaderGroupComponent, { read: IgxGridHeaderGroupComponent },] }],
            _rowList: [{ type: core.ViewChildren, args: ['row',] }],
            _summaryRowList: [{ type: core.ViewChildren, args: ['summaryRow', { read: IgxSummaryRowComponent },] }],
            _dataRowList: [{ type: core.ViewChildren, args: [IgxRowComponent, { read: IgxRowComponent },] }],
            emptyFilteredGridTemplate: [{ type: core.ViewChild, args: ['emptyFilteredGrid', { read: core.TemplateRef, static: true },] }],
            emptyGridDefaultTemplate: [{ type: core.ViewChild, args: ['defaultEmptyGrid', { read: core.TemplateRef, static: true },] }],
            loadingGridDefaultTemplate: [{ type: core.ViewChild, args: ['defaultLoadingGrid', { read: core.TemplateRef, static: true },] }],
            parentVirtDir: [{ type: core.ViewChild, args: ['scrollContainer', { read: IgxGridForOfDirective, static: true },] }],
            toolbarCustomContentTemplates: [{ type: core.ContentChildren, args: [IgxGridToolbarCustomContentDirective, { read: IgxGridToolbarCustomContentDirective, descendants: false },] }],
            headSelectorsTemplates: [{ type: core.ContentChildren, args: [IgxHeadSelectorDirective, { read: IgxHeadSelectorDirective, descendants: false },] }],
            rowSelectorsTemplates: [{ type: core.ContentChildren, args: [IgxRowSelectorDirective, { read: IgxRowSelectorDirective, descendants: false },] }],
            dragGhostCustomTemplates: [{ type: core.ContentChildren, args: [IgxRowDragGhostDirective, { read: core.TemplateRef, descendants: false },] }],
            dragIndicatorIconTemplates: [{ type: core.ContentChildren, args: [IgxDragIndicatorIconDirective, { read: core.TemplateRef, descendants: false },] }],
            verticalScrollContainer: [{ type: core.ViewChild, args: ['verticalScrollContainer', { read: IgxGridForOfDirective, static: true },] }],
            verticalScroll: [{ type: core.ViewChild, args: ['verticalScrollHolder', { read: IgxGridForOfDirective, static: true },] }],
            scr: [{ type: core.ViewChild, args: ['scr', { read: core.ElementRef, static: true },] }],
            footer: [{ type: core.ViewChild, args: ['footer', { read: core.ElementRef, static: false },] }],
            headerContainer: [{ type: core.ViewChild, args: ['hContainer', { read: IgxGridForOfDirective, static: true },] }],
            headerSelectorContainer: [{ type: core.ViewChild, args: ['headerSelectorContainer', { static: false },] }],
            headerDragContainer: [{ type: core.ViewChild, args: ['headerDragContainer', { static: false },] }],
            headerGroupContainer: [{ type: core.ViewChild, args: ['headerGroupContainer', { static: false },] }],
            filteringRow: [{ type: core.ViewChild, args: ['filteringRow', { read: IgxGridFilteringRowComponent, static: false },] }],
            theadRow: [{ type: core.ViewChild, args: ['theadRow', { static: true },] }],
            tbody: [{ type: core.ViewChild, args: ['tbody', { static: true },] }],
            tfoot: [{ type: core.ViewChild, args: ['tfoot', { static: true },] }],
            _outletDirective: [{ type: core.ViewChild, args: ['igxFilteringOverlayOutlet', { read: IgxOverlayOutletDirective, static: true },] }],
            rowEditingOutletDirective: [{ type: core.ViewChild, args: ['igxRowEditingOverlayOutlet', { read: IgxOverlayOutletDirective, static: true },] }],
            tmpOutlets: [{ type: core.ViewChildren, args: [IgxTemplateOutletDirective, { read: IgxTemplateOutletDirective },] }],
            dragIndicatorIconBase: [{ type: core.ViewChild, args: ['dragIndicatorIconBase', { read: core.TemplateRef, static: true },] }],
            defaultRowEditTemplate: [{ type: core.ViewChild, args: ['defaultRowEditTemplate', { read: core.TemplateRef, static: true },] }],
            rowEditCustom: [{ type: core.ContentChild, args: [IgxRowEditTemplateDirective, { read: core.TemplateRef, static: false },] }],
            rowEditText: [{ type: core.ContentChild, args: [IgxRowEditTextDirective, { read: core.TemplateRef, static: false },] }],
            rowEditActions: [{ type: core.ContentChild, args: [IgxRowEditActionsDirective, { read: core.TemplateRef, static: false },] }],
            rowExpandedIndicatorTemplate: [{ type: core.ContentChild, args: [IgxRowExpandedIndicatorDirective, { read: core.TemplateRef, static: false },] }],
            rowCollapsedIndicatorTemplate: [{ type: core.ContentChild, args: [IgxRowCollapsedIndicatorDirective, { read: core.TemplateRef, static: false },] }],
            headerExpandIndicatorTemplate: [{ type: core.ContentChild, args: [IgxHeaderExpandIndicatorDirective, { read: core.TemplateRef, static: false },] }],
            headerCollapseIndicatorTemplate: [{ type: core.ContentChild, args: [IgxHeaderCollapseIndicatorDirective, { read: core.TemplateRef, static: false },] }],
            rowEditTabsDEFAULT: [{ type: core.ViewChildren, args: [IgxRowEditTabStopDirective,] }],
            rowEditTabsCUSTOM: [{ type: core.ContentChildren, args: [IgxRowEditTabStopDirective,] }],
            rowEditingOverlay: [{ type: core.ViewChild, args: [IgxToggleDirective, { static: false },] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            hostClass: [{ type: core.HostBinding, args: ['attr.class',] }],
            hostRole: [{ type: core.HostBinding, args: ['attr.role',] }],
            sortingExpressions: [{ type: core.Input }],
            sortingExpressionsChange: [{ type: core.Output }],
            hiddenColumnsText: [{ type: core.Input }],
            pinnedColumnsText: [{ type: core.Input }],
            toolbar: [{ type: core.ViewChild, args: ['toolbar', { read: IgxGridToolbarComponent, static: false },] }],
            toolbarHtml: [{ type: core.ViewChild, args: ['toolbar', { read: core.ElementRef, static: false },] }],
            showToolbar: [{ type: core.Input }],
            toolbarTitle: [{ type: core.Input }],
            exportExcel: [{ type: core.Input }],
            exportCsv: [{ type: core.Input }],
            exportText: [{ type: core.Input }],
            exportExcelText: [{ type: core.Input }],
            exportCsvText: [{ type: core.Input }],
            clipboardOptions: [{ type: core.Input }],
            cellSelection: [{ type: core.Input }],
            rowSelection: [{ type: core.Input }],
            onToolbarExporting: [{ type: core.Output }],
            onRangeSelection: [{ type: core.Output }]
        };
        __decorate([
            WatchChanges(),
            __metadata("design:type", Number),
            __metadata("design:paramtypes", [Number])
        ], IgxGridBaseComponent.prototype, "filteringLogic", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "filteringExpressionsTree", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "advancedFilteringExpressionsTree", null);
        __decorate([
            DeprecateProperty('rowSelectable property is deprecated. Use rowSelection property instead.'),
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "rowSelectable", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "hideRowSelectors", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "rowEditable", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "height", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "width", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "rowHeight", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "columnWidth", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object)
        ], IgxGridBaseComponent.prototype, "primaryKey", void 0);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "isLoading", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "columnPinning", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Array),
            __metadata("design:paramtypes", [Array])
        ], IgxGridBaseComponent.prototype, "sortingExpressions", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "hiddenColumnsText", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Object),
            __metadata("design:paramtypes", [Object])
        ], IgxGridBaseComponent.prototype, "pinnedColumnsText", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "showToolbar", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "toolbarTitle", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "exportExcel", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxGridBaseComponent.prototype, "exportCsv", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "exportText", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "exportExcelText", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "exportCsvText", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "cellSelection", null);
        __decorate([
            WatchChanges(),
            __metadata("design:type", String),
            __metadata("design:paramtypes", [String])
        ], IgxGridBaseComponent.prototype, "rowSelection", null);
        return IgxGridBaseComponent;
    }(DisplayDensityBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGridFooterComponent = /** @class */ (function () {
        function IgxGridFooterComponent() {
        }
        IgxGridFooterComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-grid-footer',
                        template: '<ng-content></ng-content>'
                    }] }
        ];
        return IgxGridFooterComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxSummaryDataPipe = /** @class */ (function () {
        function IgxSummaryDataPipe(gridAPI) {
            this.gridAPI = gridAPI;
        }
        /**
         * @param {?} id
         * @param {?=} trigger
         * @return {?}
         */
        IgxSummaryDataPipe.prototype.transform = /**
         * @param {?} id
         * @param {?=} trigger
         * @return {?}
         */
        function (id, trigger) {
            /** @type {?} */
            var summaryService = this.gridAPI.grid.summaryService;
            return summaryService.calculateSummaries(summaryService.rootSummaryID, this.gridAPI.get_summary_data());
        };
        IgxSummaryDataPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxGridSummaryDataPipe',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxSummaryDataPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxSummaryDataPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxProcessBarTextTemplateDirective = /** @class */ (function () {
        function IgxProcessBarTextTemplateDirective(template) {
            this.template = template;
        }
        IgxProcessBarTextTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxProcessBarText]'
                    },] }
        ];
        /** @nocollapse */
        IgxProcessBarTextTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxProcessBarTextTemplateDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var ONE_PERCENT = 0.01;
    /** @type {?} */
    var MIN_VALUE = 0;
    /** @enum {string} */
    var IgxTextAlign = {
        START: 'start',
        CENTER: 'center',
        END: 'end',
    };
    /** @enum {string} */
    var IgxProgressType = {
        DANGER: 'danger',
        INFO: 'info',
        WARNING: 'warning',
        SUCCESS: 'success',
    };
    /**
     * @abstract
     */
    var   /**
     * @abstract
     */
    BaseProgress = /** @class */ (function () {
        function BaseProgress() {
            /**
             * @hidden
             */
            this.requestAnimationId = undefined;
            /**
             * @hidden
             */
            this._valueInPercent = MIN_VALUE;
            /**
             * @hidden
             */
            this._max = 100;
            /**
             * @hidden
             */
            this._value = MIN_VALUE;
            /**
             * @hidden
             */
            this._animate = true;
        }
        Object.defineProperty(BaseProgress.prototype, "valueInPercent", {
            /**
             *Returns the `IgxLinearProgressBarComponent`/`IgxCircularProgressBarComponent` value in percentage.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxLinearProgressBarComponent; // IgxCircularProgressBarComponent
             *public valuePercent(event){
             *    let percentValue = this.progressBar.valueInPercent;
             *    alert(percentValue);
             *}
             *```
             */
            get: /**
             * Returns the `IgxLinearProgressBarComponent`/`IgxCircularProgressBarComponent` value in percentage.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxLinearProgressBarComponent; // IgxCircularProgressBarComponent
             * public valuePercent(event){
             *    let percentValue = this.progressBar.valueInPercent;
             *    alert(percentValue);
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._valueInPercent;
            },
            /**
             *Sets the `IgxLinearProgressBarComponent`/`IgxCircularProgressBarComponent` value in percentage.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxLinearProgressBarComponent; // IgxCircularProgressBarComponent
             *    public setValue(event){
             *    this.progressBar.valueInPercent = 56;
             *}
             * //...
             *```
             *```html
             *<button igxButton="fab" igxRipple="" (click)="setValue()">setValue</button>
             *```
             */
            set: /**
             * Sets the `IgxLinearProgressBarComponent`/`IgxCircularProgressBarComponent` value in percentage.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxLinearProgressBarComponent; // IgxCircularProgressBarComponent
             *    public setValue(event){
             *    this.progressBar.valueInPercent = 56;
             * }
             * //...
             * ```
             * ```html
             * <button igxButton="fab" igxRipple="" (click)="setValue()">setValue</button>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._valueInPercent = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} val
         * @param {?} step
         * @return {?}
         */
        BaseProgress.prototype.runAnimation = /**
         * @hidden
         * @protected
         * @param {?} val
         * @param {?} step
         * @return {?}
         */
        function (val, step) {
            var _this = this;
            this.requestAnimationId = requestAnimationFrame(function () { return _this.updateProgressSmoothly.call(_this, val, step); });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} val
         * @param {?} step
         * @return {?}
         */
        BaseProgress.prototype.updateProgressSmoothly = /**
         * @hidden
         * @protected
         * @param {?} val
         * @param {?} step
         * @return {?}
         */
        function (val, step) {
            var _this = this;
            this._value += step;
            /** @type {?} */
            var passedValue = convertInPercentage(val, this._max);
            /** @type {?} */
            var progressValue = convertInPercentage(this._value, this._max);
            if (this.valueInPercent === passedValue) {
                this.updateProgress(val);
                cancelAnimationFrame(this.requestAnimationId);
            }
            else if (this.isInLimitRange(progressValue, passedValue, step)) {
                this.updateProgress(val);
                cancelAnimationFrame(this.requestAnimationId);
            }
            else {
                this.valueInPercent = progressValue;
                this.requestAnimationId = requestAnimationFrame(function () { return _this.updateProgressSmoothly.call(_this, val, step); });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} val
         * @return {?}
         */
        BaseProgress.prototype.updateProgressDirectly = /**
         * @hidden
         * @protected
         * @param {?} val
         * @return {?}
         */
        function (val) {
            this._value = val;
            this.valueInPercent = convertInPercentage(this._value, this._max);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} currentValue
         * @param {?} prevValue
         * @param {?} step
         * @return {?}
         */
        BaseProgress.prototype.directionFlow = /**
         * @hidden
         * @protected
         * @param {?} currentValue
         * @param {?} prevValue
         * @param {?} step
         * @return {?}
         */
        function (currentValue, prevValue, step) {
            if (currentValue < prevValue) {
                return step;
            }
            return -step;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} val
         * @param {?} comparator
         * @param {?} step
         * @return {?}
         */
        BaseProgress.prototype.isInLimitRange = /**
         * @hidden
         * @private
         * @param {?} val
         * @param {?} comparator
         * @param {?} step
         * @return {?}
         */
        function (val, comparator, step) {
            return this.isExceedingUpperLimit(val, comparator, step) || this.isExceedingLowerLimit(val, comparator, step);
        };
        /**
         * @hidden
         *
         *
         * @param val
         * @param comparator
         * @param step
         */
        /**
         * @hidden
         *
         *
         * @private
         * @param {?} val
         * @param {?} comparator
         * @param {?} step
         * @return {?}
         */
        BaseProgress.prototype.isExceedingUpperLimit = /**
         * @hidden
         *
         *
         * @private
         * @param {?} val
         * @param {?} comparator
         * @param {?} step
         * @return {?}
         */
        function (val, comparator, step) {
            return val > comparator && step > 0;
        };
        /**
         * @hidden
         *
         * @param val
         * @param comparator
         * @param step
         */
        /**
         * @hidden
         *
         * @private
         * @param {?} val
         * @param {?} comparator
         * @param {?} step
         * @return {?}
         */
        BaseProgress.prototype.isExceedingLowerLimit = /**
         * @hidden
         *
         * @private
         * @param {?} val
         * @param {?} comparator
         * @param {?} step
         * @return {?}
         */
        function (val, comparator, step) {
            return val < comparator && step < 0;
        };
        /**
         * @hidden
         * @param step
         */
        /**
         * @hidden
         * @private
         * @param {?} val
         * @return {?}
         */
        BaseProgress.prototype.updateProgress = /**
         * @hidden
         * @private
         * @param {?} val
         * @return {?}
         */
        function (val) {
            this._value = val;
            this.valueInPercent = convertInPercentage(this._value, this._max);
        };
        return BaseProgress;
    }());
    /** @type {?} */
    var NEXT_LINEAR_ID = 0;
    /** @type {?} */
    var NEXT_CIRCULAR_ID = 0;
    var IgxLinearProgressBarComponent = /** @class */ (function (_super) {
        __extends(IgxLinearProgressBarComponent, _super);
        function IgxLinearProgressBarComponent() {
            var _this = _super.call(this) || this;
            _this.valueMin = 0;
            _this.cssClass = 'igx-linear-bar';
            /**
             * Set `IgxLinearProgressBarComponent` to have striped style. By default it is set to false.
             * ```html
             * <igx-linear-bar [striped]="true" [max]="200" [value]="50"></igx-linear-bar>
             * ```
             */
            _this.striped = false;
            /**
             * Set `IgxLinearProgressBarComponent` to have indeterminate. By default it is set to false.
             * ```html
             * <igx-linear-bar [indeterminate]="true"></igx-linear-bar>
             * ```
             */
            _this.indeterminate = false;
            /**
             * An \@Input property that sets the value of the `role` attribute. If not provided it will be automatically set to `progressbar`.
             * ```html
             * <igx-linear-bar role="progressbar"></igx-linear-bar>
             * ```
             */
            _this.role = 'progressbar';
            /**
             * An \@Input property that sets the value of `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-linear-bar [id]="'igx-linear-bar-55'" [striped]="true" [max]="200" [value]="50"></igx-linear-bar>
             * ```
             */
            _this.id = "igx-linear-bar-" + NEXT_LINEAR_ID++;
            /**
             * Set the position that defines where the text is aligned.
             * Possible options - `IgxTextAlign.START` (default), `IgxTextAlign.CENTER`, `IgxTextAlign.END`.
             * ```typescript
             * public positionCenter: IgxTextAlign;
             * public ngOnInit() {
             *    this.positionCenter = IgxTextAlign.CENTER;
             * }
             * //...
             * ```
             * ```html
             * <igx-linear-bar type="warning" [text]="'Custom text'" [textAlign]="positionCenter" [striped]="true"></igx-linear-bar>
             * ```
             */
            _this.textAlign = IgxTextAlign.START;
            /**
             * Set the text to be visible. By default it is set to true.
             * ```html
             * <igx-linear-bar type="default" [textVisibility]="false"></igx-linear-bar>
             * ```
             */
            _this.textVisibility = true;
            /**
             * Set the position that defines if the text should be aligned above the progress line. By default is set to false.
             * ```html
             * <igx-linear-bar type="danger" [textTop]="true"></igx-linear-bar>
             * ```
             */
            _this.textTop = false;
            /**
             * Set type of the `IgxLinearProgressBarComponent`. Possible options - `default`, `success`, `info`, `warning`, and `danger`.
             * ```html
             * <igx-linear-bar [striped]="false" [max]="100" [value]="0" type="danger"></igx-linear-bar>
             * ```
             */
            _this.type = 'default';
            /**
             * An event, which is triggered after a progress is changed.
             * ```typescript
             * public progressChange(event) {
             *    alert("Progress made!");
             * }
             * //...
             * ```
             * ```html
             * <igx-linear-bar (onProgressChanged)="progressChange($event)" type="success">
             * ```
             */
            _this.onProgressChanged = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "animate", {
            /**
             *Returns whether the `IgxLinearProgressBarComponent` has animation true/false.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxLinearProgressBarComponent;
             *public animationStatus(event) {
             *    let animationStatus = this.progressBar.animate;
             *    alert(animationStatus);
             *}
             *```
             */
            get: /**
             * Returns whether the `IgxLinearProgressBarComponent` has animation true/false.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxLinearProgressBarComponent;
             * public animationStatus(event) {
             *    let animationStatus = this.progressBar.animate;
             *    alert(animationStatus);
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._animate;
            },
            /**
             *Animation on progress `IgxLinearProgressBarComponent`. By default it is set to true.
             *```html
             *<igx-linear-bar [animate]="false" [striped]="true" [max]="200" [value]="50"></igx-linear-bar>
             *```
             */
            set: /**
             * Animation on progress `IgxLinearProgressBarComponent`. By default it is set to true.
             * ```html
             * <igx-linear-bar [animate]="false" [striped]="true" [max]="200" [value]="50"></igx-linear-bar>
             * ```
             * @param {?} animate
             * @return {?}
             */
            function (animate) {
                this._animate = animate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "max", {
            /**
             *Returns the the maximum progress value of the `IgxLinearProgressBarComponent`.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxLinearProgressBarComponent;
             *public maxValue(event) {
             *    let max = this.progressBar.max;
             *    alert(max);
             *}
             *```
             */
            get: /**
             * Returns the the maximum progress value of the `IgxLinearProgressBarComponent`.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxLinearProgressBarComponent;
             * public maxValue(event) {
             *    let max = this.progressBar.max;
             *    alert(max);
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._max;
            },
            /**
             *Set maximum value that can be passed. By default it is set to 100.
             *```html
             *<igx-linear-bar [striped]="false" [max]="200" [value]="0"></igx-linear-bar>
             *```
             */
            set: /**
             * Set maximum value that can be passed. By default it is set to 100.
             * ```html
             * <igx-linear-bar [striped]="false" [max]="200" [value]="0"></igx-linear-bar>
             * ```
             * @param {?} maxNum
             * @return {?}
             */
            function (maxNum) {
                this._max = maxNum;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "step", {
            /**
             *Returns the value which update the progress indicator of the `IgxLinearProgressBarComponent`.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxLinearProgressBarComponent;
             *public stepValue(event) {
             *    let step = this.progressBar.step;
             *    alert(step);
             *}
             *```
             */
            get: /**
             * Returns the value which update the progress indicator of the `IgxLinearProgressBarComponent`.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxLinearProgressBarComponent;
             * public stepValue(event) {
             *    let step = this.progressBar.step;
             *    alert(step);
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this._step) {
                    return this._step;
                }
                return this._max * ONE_PERCENT;
            },
            /**
             *Sets the value by which progress indicator is updated. By default it is 1% of the maximum value.
             *```html
             *<igx-linear-bar [striped]="false" [max]="200" [value]="0" [step]="1"></igx-linear-bar>
             *```
             */
            set: /**
             * Sets the value by which progress indicator is updated. By default it is 1% of the maximum value.
             * ```html
             * <igx-linear-bar [striped]="false" [max]="200" [value]="0" [step]="1"></igx-linear-bar>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._step = Number(val);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "value", {
            /**
            *Returns value that indicates the current `IgxLinearProgressBarComponent` position.
            *```typescript
            *@ViewChild("MyProgressBar")
            *public progressBar: IgxLinearProgressBarComponent;
            *public getValue(event) {
            *    let value = this.progressBar.value;
            *    alert(value);
            *}
            *```
            */
            get: /**
             * Returns value that indicates the current `IgxLinearProgressBarComponent` position.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxLinearProgressBarComponent;
             * public getValue(event) {
             *    let value = this.progressBar.value;
             *    alert(value);
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            /**
             *Set value that indicates the current `IgxLinearProgressBarComponent` position.
             *```html
             *<igx-linear-bar [striped]="false" [max]="200" [value]="50"></igx-linear-bar>
             *```
             */
            set: /**
             * Set value that indicates the current `IgxLinearProgressBarComponent` position.
             * ```html
             * <igx-linear-bar [striped]="false" [max]="200" [value]="50"></igx-linear-bar>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                val = Number(val);
                if (this._value === val || this.indeterminate) {
                    return;
                }
                /** @type {?} */
                var valueInRange = getValueInProperRange(val, this.max);
                if (isNaN(valueInRange)) {
                    return;
                }
                /** @type {?} */
                var changedValues = {
                    currentValue: valueInRange,
                    previousValue: this._value
                };
                /** @type {?} */
                var updateValue = _super.prototype.directionFlow.call(this, this._value, val, this.step);
                if (this._animate && val >= this.step) {
                    _super.prototype.runAnimation.call(this, valueInRange, updateValue);
                }
                else {
                    _super.prototype.updateProgressDirectly.call(this, valueInRange);
                }
                this.onProgressChanged.emit(changedValues);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "danger", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.type === IgxProgressType.DANGER;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "info", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.type === IgxProgressType.INFO;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "warning", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.type === IgxProgressType.WARNING;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLinearProgressBarComponent.prototype, "success", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.type === IgxProgressType.SUCCESS;
            },
            enumerable: true,
            configurable: true
        });
        IgxLinearProgressBarComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-linear-bar',
                        template: "<div class=\"igx-linear-bar__base\">\n    <div class=\"igx-linear-bar__indicator\"\n    [style.width.%]=\"valueInPercent\"></div>\n</div>\n\n<span\n    class=\"igx-linear-bar__value\"\n    [ngClass]=\"{\n        'igx-linear-bar__value--start': textAlign === 'start',\n        'igx-linear-bar__value--center': textAlign === 'center',\n        'igx-linear-bar__value--end': textAlign === 'end',\n        'igx-linear-bar__value--top': textTop,\n        'igx-linear-bar__value--hidden': !textVisibility\n    }\">\n        {{text ? text : valueInPercent + '%'}}\n</span>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxLinearProgressBarComponent.ctorParameters = function () { return []; };
        IgxLinearProgressBarComponent.propDecorators = {
            animate: [{ type: core.Input }],
            max: [{ type: core.HostBinding, args: ['attr.aria-valuemax',] }, { type: core.Input }],
            step: [{ type: core.Input }],
            valueMin: [{ type: core.HostBinding, args: ['attr.aria-valuemin',] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-linear-bar',] }],
            striped: [{ type: core.HostBinding, args: ['class.igx-linear-bar--striped',] }, { type: core.Input }],
            indeterminate: [{ type: core.HostBinding, args: ['class.igx-linear-bar--indeterminate',] }, { type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }, { type: core.Input }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            textAlign: [{ type: core.Input }],
            textVisibility: [{ type: core.Input }],
            textTop: [{ type: core.Input }],
            text: [{ type: core.Input }],
            type: [{ type: core.Input }],
            value: [{ type: core.HostBinding, args: ['attr.aria-valuenow',] }, { type: core.Input }],
            onProgressChanged: [{ type: core.Output }],
            danger: [{ type: core.HostBinding, args: ['class.igx-linear-bar--danger',] }],
            info: [{ type: core.HostBinding, args: ['class.igx-linear-bar--info',] }],
            warning: [{ type: core.HostBinding, args: ['class.igx-linear-bar--warning',] }],
            success: [{ type: core.HostBinding, args: ['class.igx-linear-bar--success',] }]
        };
        return IgxLinearProgressBarComponent;
    }(BaseProgress));
    var IgxCircularProgressBarComponent = /** @class */ (function (_super) {
        __extends(IgxCircularProgressBarComponent, _super);
        function IgxCircularProgressBarComponent(renderer) {
            var _this = _super.call(this) || this;
            _this.renderer = renderer;
            _this.STROKE_OPACITY_DVIDER = 100;
            _this.STROKE_OPACITY_ADDITION = .2;
            /**
             * @hidden
             */
            _this.cssClass = 'igx-circular-bar';
            /**
             * An event, which is triggered after a progress is changed.
             * ```typescript
             * public progressChange(event) {
             *    alert("Progress made!");
             * }
             * //...
             * ```
             * ```html
             * <igx-circular-bar [value]="currentValue" (onProgressChanged)="progressChange($event)"></igx-circular-bar>
             * ```
             */
            _this.onProgressChanged = new core.EventEmitter();
            /**
             * An \@Input property that sets the value of `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-circular-bar [id]="'igx-circular-bar-55'" [value]="50"></igx-circular-bar>
             * ```
             */
            _this.id = "igx-circular-bar-" + NEXT_CIRCULAR_ID++;
            /**
             * An \@Input property that sets the value of the `indeterminate` attribute. If not provided it will be automatically set to false.
             * ```html
             * <igx-circular-bar [indeterminate]="true"></igx-circular-bar>
             * ```
             */
            _this.indeterminate = false;
            /**
             * Sets the text visibility. By default it is set to true.
             * ```html
             * <igx-circular-bar [textVisibility]="false"></igx-circular-bar>
             * ```
             */
            _this.textVisibility = true;
            _this._circleRadius = 46;
            _this._circumference = 2 * Math.PI * _this._circleRadius;
            return _this;
        }
        Object.defineProperty(IgxCircularProgressBarComponent.prototype, "context", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return {
                    $implicit: { value: this.value, valueInPercent: this.valueInPercent, max: this.max }
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCircularProgressBarComponent.prototype, "animate", {
            /**
             *Returns whether the `IgxCircularProgressBarComponent` has animation true/false.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxCircularProgressBarComponent;
             *public animationStatus(event) {
             *    let animationStatus = this.progressBar.animate;
             *    alert(animationStatus);
             *}
             *```
             */
            get: /**
             * Returns whether the `IgxCircularProgressBarComponent` has animation true/false.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxCircularProgressBarComponent;
             * public animationStatus(event) {
             *    let animationStatus = this.progressBar.animate;
             *    alert(animationStatus);
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._animate;
            },
            /**
            *Animation on progress `IgxCircularProgressBarComponent`. By default it is set to true.
             *```html
             *<igx-circular-bar [animate]="false" [value]="50"></igx-circular-bar>
             *```
             */
            set: /**
             * Animation on progress `IgxCircularProgressBarComponent`. By default it is set to true.
             * ```html
             * <igx-circular-bar [animate]="false" [value]="50"></igx-circular-bar>
             * ```
             * @param {?} animate
             * @return {?}
             */
            function (animate) {
                this._animate = animate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCircularProgressBarComponent.prototype, "max", {
            /**
             *Returns the the maximum progress value of the `IgxCircularProgressBarComponent`.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxCircularProgressBarComponent;
             *public maxValue(event) {
             *    let max = this.progressBar.max;
             *    alert(max);
             *}
             *```
             *```html
             *<igx-circular-bar [max]="245" [animate]="false" [value]="currentValue"></igx-circular-bar>
             *```
             */
            get: /**
             * Returns the the maximum progress value of the `IgxCircularProgressBarComponent`.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxCircularProgressBarComponent;
             * public maxValue(event) {
             *    let max = this.progressBar.max;
             *    alert(max);
             * }
             * ```
             * ```html
             * <igx-circular-bar [max]="245" [animate]="false" [value]="currentValue"></igx-circular-bar>
             * ```
             * @return {?}
             */
            function () {
                return this._max;
            },
            /**
             *Set maximum value that can be passed. By default it is set to 100.
             *```html
             *<igx-circular-bar [max]="200" [value]="0"></igx-circular-bar>
             *```
             */
            set: /**
             * Set maximum value that can be passed. By default it is set to 100.
             * ```html
             * <igx-circular-bar [max]="200" [value]="0"></igx-circular-bar>
             * ```
             * @param {?} maxNum
             * @return {?}
             */
            function (maxNum) {
                this._max = maxNum;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCircularProgressBarComponent.prototype, "step", {
            /**
             *Returns the value which update the progress indicator of the `IgxCircularProgressBarComponent`.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxCircularProgressBarComponent;
             *public stepValue(event) {
             *    let step = this.progressBar.step;
             *    alert(step);
             *}
             *```
             */
            get: /**
             * Returns the value which update the progress indicator of the `IgxCircularProgressBarComponent`.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxCircularProgressBarComponent;
             * public stepValue(event) {
             *    let step = this.progressBar.step;
             *    alert(step);
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this._step) {
                    return this._step;
                }
                return this._max * ONE_PERCENT;
            },
            /**
             *Sets the value by which progress indicator is updated. By default it is 1% of the maximum value.
             *```html
             *<igx-circular-bar [striped]="false" [max]="200" [value]="0" [step]="1"></igx-circular-bar>
             *```
            */
            set: /**
             * Sets the value by which progress indicator is updated. By default it is 1% of the maximum value.
             * ```html
             * <igx-circular-bar [striped]="false" [max]="200" [value]="0" [step]="1"></igx-circular-bar>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._step = Number(val);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxCircularProgressBarComponent.prototype, "value", {
            /**
             *Returns value that indicates the current `IgxCircularProgressBarComponent` position.
             *```typescript
             *@ViewChild("MyProgressBar")
             *public progressBar: IgxCircularProgressBarComponent;
             *public getValue(event) {
             *    let value = this.progressBar.value;
             *    alert(value);
             *}
             *```
             *```html
             *<button igxButton="fab" igxRipple="" (click)="getValue()">Click</button>
             *```
             */
            get: /**
             * Returns value that indicates the current `IgxCircularProgressBarComponent` position.
             * ```typescript
             * \@ViewChild("MyProgressBar")
             * public progressBar: IgxCircularProgressBarComponent;
             * public getValue(event) {
             *    let value = this.progressBar.value;
             *    alert(value);
             * }
             * ```
             * ```html
             * <button igxButton="fab" igxRipple="" (click)="getValue()">Click</button>
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            /**
             *Set value that indicates the current `IgxCircularProgressBarComponent` position.
             *```html
             *<igx-circular-bar [value]="50"></igx-circular-bar>
             *```
             */
            set: /**
             * Set value that indicates the current `IgxCircularProgressBarComponent` position.
             * ```html
             * <igx-circular-bar [value]="50"></igx-circular-bar>
             * ```
             * @param {?} val
             * @return {?}
             */
            function (val) {
                val = Number(val);
                if (this._value === val || this.indeterminate) {
                    return;
                }
                /** @type {?} */
                var valueInProperRange = getValueInProperRange(val, this.max);
                if (isNaN(valueInProperRange)) {
                    return;
                }
                /** @type {?} */
                var changedValues = {
                    currentValue: valueInProperRange,
                    previousValue: this._value
                };
                /** @type {?} */
                var updateValue = _super.prototype.directionFlow.call(this, this._value, val, this.step);
                if (this.animate && val >= this.step) {
                    _super.prototype.runAnimation.call(this, valueInProperRange, updateValue);
                }
                else {
                    this.updateProgressDirectly(valueInProperRange);
                }
                this.onProgressChanged.emit(changedValues);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} val
         * @param {?} step
         * @return {?}
         */
        IgxCircularProgressBarComponent.prototype.updateProgressSmoothly = /**
         * @hidden
         * @param {?} val
         * @param {?} step
         * @return {?}
         */
        function (val, step) {
            // Set frames for the animation
            /** @type {?} */
            var FRAMES = [{
                    strokeDashoffset: this.getProgress(this._value),
                    strokeOpacity: (this._value / this.STROKE_OPACITY_DVIDER) + this.STROKE_OPACITY_ADDITION
                }, {
                    strokeDashoffset: this.getProgress(this.valueInPercent),
                    strokeOpacity: (this.valueInPercent / this.STROKE_OPACITY_DVIDER) + this.STROKE_OPACITY_ADDITION
                }];
            this._svgCircle.nativeElement.animate(FRAMES, {
                easing: 'ease-out',
                fill: 'forwards'
            });
            _super.prototype.updateProgressSmoothly.call(this, val, step);
        };
        Object.defineProperty(IgxCircularProgressBarComponent.prototype, "textContent", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.text;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
        */
        /**
         * @hidden
         * @param {?} val
         * @return {?}
         */
        IgxCircularProgressBarComponent.prototype.updateProgressDirectly = /**
         * @hidden
         * @param {?} val
         * @return {?}
         */
        function (val) {
            _super.prototype.updateProgressDirectly.call(this, val);
            this.renderer.setStyle(this._svgCircle.nativeElement, 'stroke-dashoffset', this.getProgress(this.valueInPercent));
            this.renderer.setStyle(this._svgCircle.nativeElement, 'stroke-opacity', (this.valueInPercent / this.STROKE_OPACITY_DVIDER) + this.STROKE_OPACITY_ADDITION);
        };
        /**
         * @private
         * @param {?} percentage
         * @return {?}
         */
        IgxCircularProgressBarComponent.prototype.getProgress = /**
         * @private
         * @param {?} percentage
         * @return {?}
         */
        function (percentage) {
            // Reverse the sign here: '-' should become '+' in RTL mode
            return this._circumference - (percentage * this._circumference / 100);
        };
        IgxCircularProgressBarComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-circular-bar',
                        template: "<svg #svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" version=\"1.1\"\n    viewBox=\"0 0 100 100\"\n    preserveAspectRatio=\"xMidYMid meet\"\n    role=\"progressbar\"\n    aria-valuemin=\"0\"\n    [attr.aria-valuemax]=\"max\"\n    [attr.aria-valuenow]=\"value\">\n    <circle class=\"igx-circular-bar__inner\" cx=\"50\" cy=\"50\" r=\"46\" />\n    <circle #circle class=\"igx-circular-bar__outer\" cx=\"50\" cy=\"50\" r=\"46\" />\n    <text *ngIf=\"textVisibility\" text-anchor=\"middle\" x=\"50\" y=\"60\">\n        <ng-container *ngTemplateOutlet=\"textTemplate ? textTemplate.template : defaultTextTemplate; context: context\">\n        </ng-container>\n    </text>\n\n    <ng-template #defaultTextTemplate>\n        <tspan class=\"igx-circular-bar__text\"> {{textContent ? textContent: valueInPercent + '%'}}</tspan>\n    </ng-template>\n</svg>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxCircularProgressBarComponent.ctorParameters = function () { return [
            { type: core.Renderer2 }
        ]; };
        IgxCircularProgressBarComponent.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-circular-bar',] }],
            onProgressChanged: [{ type: core.Output }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            indeterminate: [{ type: core.HostBinding, args: ['class.igx-circular-bar--indeterminate',] }, { type: core.Input }],
            textVisibility: [{ type: core.Input }],
            text: [{ type: core.Input }],
            textTemplate: [{ type: core.ContentChild, args: [IgxProcessBarTextTemplateDirective, { read: IgxProcessBarTextTemplateDirective, static: false },] }],
            animate: [{ type: core.Input }],
            max: [{ type: core.Input }],
            step: [{ type: core.Input }],
            value: [{ type: core.Input }],
            _svgCircle: [{ type: core.ViewChild, args: ['circle', { static: true },] }]
        };
        return IgxCircularProgressBarComponent;
    }(BaseProgress));
    /**
     * @param {?} value
     * @param {?} max
     * @param {?=} min
     * @return {?}
     */
    function getValueInProperRange(value, max, min) {
        if (min === void 0) { min = 0; }
        return Math.max(Math.min(value, max), min);
    }
    /**
     * @param {?} value
     * @param {?} max
     * @return {?}
     */
    function convertInPercentage(value, max) {
        return Math.floor(100 * value / max);
    }
    /**
     * @hidden
     */
    var IgxProgressBarModule = /** @class */ (function () {
        function IgxProgressBarModule() {
        }
        IgxProgressBarModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxLinearProgressBarComponent, IgxCircularProgressBarComponent, IgxProcessBarTextTemplateDirective],
                        exports: [IgxLinearProgressBarComponent, IgxCircularProgressBarComponent, IgxProcessBarTextTemplateDirective],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxProgressBarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * The `<igx-select-item>` is a container intended for row items in
     * a `<igx-select>` container.
     */
    var IgxSelectGroupComponent = /** @class */ (function (_super) {
        __extends(IgxSelectGroupComponent, _super);
        function IgxSelectGroupComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        IgxSelectGroupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-select-item-group',
                        template: "\n        <label id=\"{{labelId}}\">{{ label }}</label>\n        <ng-content select=\"igx-select-item\"></ng-content>\n    "
                    }] }
        ];
        return IgxSelectGroupComponent;
    }(IgxDropDownGroupComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden \@internal
     */
    var IgxSelectItemNavigationDirective = /** @class */ (function (_super) {
        __extends(IgxSelectItemNavigationDirective, _super);
        function IgxSelectItemNavigationDirective() {
            var _this = _super.call(this, null) || this;
            // tslint:disable:member-ordering
            _this.inputStream = '';
            _this.clearStream$ = rxjs.Subscription.EMPTY;
            return _this;
        }
        /** Captures keydown events and calls the appropriate handlers on the target component */
        /**
         * Captures keydown events and calls the appropriate handlers on the target component
         * @param {?} event
         * @return {?}
         */
        IgxSelectItemNavigationDirective.prototype.handleKeyDown = /**
         * Captures keydown events and calls the appropriate handlers on the target component
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (!event || event.shiftKey) {
                return;
            }
            /** @type {?} */
            var key = event.key.toLowerCase();
            if (event.altKey && (key === 'arrowdown' || key === 'arrowup' || key === 'down' || key === 'up')) {
                this.target.toggle();
                return;
            }
            if (this.target.collapsed) {
                switch (key) {
                    case 'space':
                    case 'spacebar':
                    case ' ':
                    case 'enter':
                        event.preventDefault();
                        this.target.open();
                        return;
                    case 'arrowdown':
                    case 'down':
                        this.target.navigateNext();
                        this.target.selectItem(this.target.focusedItem);
                        event.preventDefault();
                        return;
                    case 'arrowup':
                    case 'up':
                        this.target.navigatePrev();
                        this.target.selectItem(this.target.focusedItem);
                        event.preventDefault();
                        return;
                    default:
                        break;
                }
            }
            _super.prototype.handleKeyDown.call(this, event);
        };
        /** Handle continuous letter typing navigation */
        /**
         * Handle continuous letter typing navigation
         * @param {?} event
         * @return {?}
         */
        IgxSelectItemNavigationDirective.prototype.captureKey = /**
         * Handle continuous letter typing navigation
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            // relying only on key, available on all major browsers:
            // https://caniuse.com/#feat=keyboardevent-key (IE/Edge quirk doesn't affect letter typing)
            if (!event || !event.key || event.key.length > 1) {
                // ignore longer keys ('Alt', 'ArrowDown', etc)
                return;
            }
            this.clearStream$.unsubscribe();
            this.clearStream$ = rxjs.timer(500).subscribe(function () {
                _this.inputStream = '';
            });
            this.inputStream += event.key;
            /** @type {?} */
            var focusedItem = (/** @type {?} */ (this.target.focusedItem));
            // select the item
            if (focusedItem && this.inputStream.length > 1 && focusedItem.itemText.toLowerCase().startsWith(this.inputStream.toLowerCase())) {
                return;
            }
            this.activateItemByText(this.inputStream);
        };
        /**
         * @param {?} text
         * @return {?}
         */
        IgxSelectItemNavigationDirective.prototype.activateItemByText = /**
         * @param {?} text
         * @return {?}
         */
        function (text) {
            /** @type {?} */
            var items = (/** @type {?} */ (this.target.items));
            /** @type {?} */
            var activeItemIndex = items.indexOf((/** @type {?} */ (this.target.focusedItem))) || 0;
            // ^ this is focused OR selected if the dd is closed
            /** @type {?} */
            var nextItem = items.slice(activeItemIndex + 1).find(function (x) { return !x.disabled && (x.itemText.toLowerCase().startsWith(text.toLowerCase())); });
            if (!nextItem) {
                nextItem = items.slice(0, activeItemIndex).find(function (x) { return !x.disabled && (x.itemText.toLowerCase().startsWith(text.toLowerCase())); });
            }
            if (!nextItem) {
                return;
            }
            if (this.target.collapsed) {
                this.target.selectItem(nextItem);
            }
            this.target.navigateItem(items.indexOf(nextItem));
        };
        /**
         * @return {?}
         */
        IgxSelectItemNavigationDirective.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            this.clearStream$.unsubscribe();
        };
        IgxSelectItemNavigationDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxSelectItemNavigation]'
                    },] }
        ];
        /** @nocollapse */
        IgxSelectItemNavigationDirective.ctorParameters = function () { return []; };
        IgxSelectItemNavigationDirective.propDecorators = {
            target: [{ type: core.Input, args: ['igxSelectItemNavigation',] }],
            captureKey: [{ type: core.HostListener, args: ['keyup', ['$event'],] }]
        };
        return IgxSelectItemNavigationDirective;
    }(IgxDropDownItemNavigationDirective));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxSelectModule = /** @class */ (function () {
        function IgxSelectModule() {
        }
        IgxSelectModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxSelectComponent, IgxSelectItemComponent, IgxSelectItemNavigationDirective,
                            IgxSelectToggleIconDirective, IgxSelectGroupComponent],
                        exports: [IgxSelectComponent, IgxSelectItemComponent, IgxSelectItemNavigationDirective,
                            IgxSelectToggleIconDirective, IgxSelectGroupComponent],
                        imports: [IgxRippleModule, common.CommonModule, IgxInputGroupModule, forms.FormsModule, forms.ReactiveFormsModule,
                            IgxToggleModule, IgxDropDownModule, IgxButtonModule, IgxIconModule],
                        providers: []
                    },] }
        ];
        return IgxSelectModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxPaginatorComponent = /** @class */ (function (_super) {
        __extends(IgxPaginatorComponent, _super);
        function IgxPaginatorComponent(_displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this._displayDensityOptions = _displayDensityOptions;
            _this._page = 0;
            _this.defaultSelectValues = [5, 10, 15, 25, 50, 100, 500];
            _this._perPage = 15;
            /**
             * An \@Input property that sets if the pager in the paginator should be enabled.
             * ```html
             * <igx-paginator [pagerEnabled]="true"></igx-paginator>
             * ```
             * \@memberof IgxPaginatorComponent
             */
            _this.pagerEnabled = true;
            /**
             * An \@Input property that sets if the pager in the paginator should be hidden.
             * ```html
             * <igx-paginator [pagerHidden]="true"></igx-paginator>
             * ```
             * \@memberof IgxPaginatorComponent
             */
            _this.pagerHidden = false;
            /**
             * An \@Input property that sets if the dropdown in the paginator should be enabled.
             * ```html
             * <igx-paginator [dropdownEnabled]="true"></igx-paginator>
             * ```
             * \@memberof IgxPaginatorComponent
             */
            _this.dropdownEnabled = true;
            /**
             * An \@Input property that sets if the dropdown in the paginator should be hidden.
             * ```html
             * <igx-paginator [dropdownHidden]="true"></igx-paginator>
             * ```
             * \@memberof IgxPaginatorComponent
             */
            _this.dropdownHidden = false;
            /**
             * An \@Input property, sets number of label of the select.
             * The default is 'Items per page' localized string.
             * ```html
             * <igx-paginator label="My custom label"></igx-paginator>
             * ```
             * \@memberof IgxPaginatorComponent
             */
            _this.selectLabel = CurrentResourceStrings.PaginatorResStrings.igx_paginator_label;
            /**
             * An event that is emitted when the select in the `IgxPaginatorComponent` changes its value.
             */
            _this.perPageChange = new core.EventEmitter();
            /**
             * An event that is emitted when the paginating is used.
             */
            _this.pageChange = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxPaginatorComponent.prototype, "classCosy", {
            /**
             * Sets the class of the IgxPaginatorComponent based
             * on the provided displayDensity.
             */
            get: /**
             * Sets the class of the IgxPaginatorComponent based
             * on the provided displayDensity.
             * @return {?}
             */
            function () {
                return this.displayDensity === DisplayDensity.cosy;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "classCompact", {
            get: /**
             * @return {?}
             */
            function () {
                return this.displayDensity === DisplayDensity.compact;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "classComfortable", {
            get: /**
             * @return {?}
             */
            function () {
                return this.displayDensity === DisplayDensity.comfortable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "page", {
            /**
           * An @Input property, sets current page of the `IgxPaginatorComponent`.
           * The default is 0.
           * ```typescript
           * let page = this.paginator.page;
           * ```
           * @memberof IgxPaginatorComponent
           */
            get: /**
             * An \@Input property, sets current page of the `IgxPaginatorComponent`.
             * The default is 0.
             * ```typescript
             * let page = this.paginator.page;
             * ```
             * \@memberof IgxPaginatorComponent
             * @return {?}
             */
            function () {
                return this._page;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._page = value;
                this.pageChange.emit(this._page);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "perPage", {
            /**
           * An @Input property, sets number of visible items per page in the `IgxPaginatorComponent`.
           * The default is 15.
           * ```typescript
           * let itemsPerPage = this.paginator.perPage;
           * ```
           * @memberof IgxPaginatorComponent
           */
            get: /**
             * An \@Input property, sets number of visible items per page in the `IgxPaginatorComponent`.
             * The default is 15.
             * ```typescript
             * let itemsPerPage = this.paginator.perPage;
             * ```
             * \@memberof IgxPaginatorComponent
             * @return {?}
             */
            function () {
                return this._perPage;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._perPage = Number(value);
                this.perPageChange.emit(this._perPage);
                this._selectOptions = this.sortUniqueOptions(this.defaultSelectValues, this._perPage);
                this.totalPages = Math.ceil(this.totalRecords / this._perPage);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "totalRecords", {
            /**
            * An @Input property that sets the total records.
            * ```typescript
            * let totalRecords = this.paginator.totalRecords;
            * ```
            * @memberof IgxPaginatorComponent
            */
            get: /**
             * An \@Input property that sets the total records.
             * ```typescript
             * let totalRecords = this.paginator.totalRecords;
             * ```
             * \@memberof IgxPaginatorComponent
             * @return {?}
             */
            function () {
                return this._totalRecords;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._totalRecords = value;
                this.totalPages = Math.ceil(this.totalRecords / this.perPage);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "selectOptions", {
            /**
            * An @Input property that sets custom options in the select of the paginator
            * ```typescript
            * let options = this.paginator.selectOptions;
            * ```
            * @memberof IgxPaginatorComponent
            */
            get: /**
             * An \@Input property that sets custom options in the select of the paginator
             * ```typescript
             * let options = this.paginator.selectOptions;
             * ```
             * \@memberof IgxPaginatorComponent
             * @return {?}
             */
            function () {
                return this._selectOptions;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._selectOptions = this.sortUniqueOptions(value, this._perPage);
                this.defaultSelectValues = __spread(this._selectOptions);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "isLastPage", {
            /**
             * Returns if the current page is the last page.
             * ```typescript
             * const lastPage = this.paginator.isLastPage;
             * ```
             */
            get: /**
             * Returns if the current page is the last page.
             * ```typescript
             * const lastPage = this.paginator.isLastPage;
             * ```
             * @return {?}
             */
            function () {
                return this.page + 1 >= this.totalPages;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxPaginatorComponent.prototype, "isFirstPage", {
            /**
             * Returns if the current page is the first page.
             * ```typescript
             * const lastPage = this.paginator.isFirstPage;
             * ```
             */
            get: /**
             * Returns if the current page is the first page.
             * ```typescript
             * const lastPage = this.paginator.isFirstPage;
             * ```
             * @return {?}
             */
            function () {
                return this.page === 0;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} values
         * @param {?} newOption
         * @return {?}
         */
        IgxPaginatorComponent.prototype.sortUniqueOptions = /**
         * @private
         * @param {?} values
         * @param {?} newOption
         * @return {?}
         */
        function (values, newOption) {
            return Array.from(new Set(__spread(values, [newOption]))).sort(function (a, b) { return a - b; });
        };
        /**
         * Sets DisplayDensity for the <select> inside the paginator
         * @hidden
         */
        /**
         * Sets DisplayDensity for the <select> inside the paginator
         * @hidden
         * @return {?}
         */
        IgxPaginatorComponent.prototype.paginatorSelectDisplayDensity = /**
         * Sets DisplayDensity for the <select> inside the paginator
         * @hidden
         * @return {?}
         */
        function () {
            if (this.displayDensity === DisplayDensity.comfortable) {
                return DisplayDensity.cosy;
            }
            return DisplayDensity.compact;
        };
        /**
         * Goes to the next page of the `IgxPaginatorComponent`, if the paginator is not already at the last page.
         * ```typescript
         * this.paginator.nextPage();
         * ```
         * @memberof IgxPaginatorComponent
         */
        /**
         * Goes to the next page of the `IgxPaginatorComponent`, if the paginator is not already at the last page.
         * ```typescript
         * this.paginator.nextPage();
         * ```
         * \@memberof IgxPaginatorComponent
         * @return {?}
         */
        IgxPaginatorComponent.prototype.nextPage = /**
         * Goes to the next page of the `IgxPaginatorComponent`, if the paginator is not already at the last page.
         * ```typescript
         * this.paginator.nextPage();
         * ```
         * \@memberof IgxPaginatorComponent
         * @return {?}
         */
        function () {
            if (!this.isLastPage) {
                this.page += 1;
            }
        };
        /**
         * Goes to the previous page of the `IgxPaginatorComponent`, if the paginator is not already at the first page.
         * ```typescript
         * this.paginator.previousPage();
         * ```
         * @memberof IgxPaginatorComponent
         */
        /**
         * Goes to the previous page of the `IgxPaginatorComponent`, if the paginator is not already at the first page.
         * ```typescript
         * this.paginator.previousPage();
         * ```
         * \@memberof IgxPaginatorComponent
         * @return {?}
         */
        IgxPaginatorComponent.prototype.previousPage = /**
         * Goes to the previous page of the `IgxPaginatorComponent`, if the paginator is not already at the first page.
         * ```typescript
         * this.paginator.previousPage();
         * ```
         * \@memberof IgxPaginatorComponent
         * @return {?}
         */
        function () {
            if (!this.isFirstPage) {
                this.page -= 1;
            }
        };
        /**
         * Goes to the desired page index.
         * ```typescript
         * this.pagiantor.paginate(1);
         * ```
         * @param val
         * @memberof IgxPaginatorComponent
         */
        /**
         * Goes to the desired page index.
         * ```typescript
         * this.pagiantor.paginate(1);
         * ```
         * \@memberof IgxPaginatorComponent
         * @param {?} val
         * @return {?}
         */
        IgxPaginatorComponent.prototype.paginate = /**
         * Goes to the desired page index.
         * ```typescript
         * this.pagiantor.paginate(1);
         * ```
         * \@memberof IgxPaginatorComponent
         * @param {?} val
         * @return {?}
         */
        function (val) {
            if (val < 0 || val > this.totalPages - 1) {
                return;
            }
            this.page = val;
        };
        IgxPaginatorComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-paginator',
                        template: "<div class=\"igx-paginator__select\" [hidden]=\"dropdownHidden\">\n    <label class=\"igx-paginator__label\">{{ selectLabel }}</label>\n    <div class=\"igx-paginator__select-input\">\n        <igx-select [(ngModel)]=\"perPage\" [displayDensity]=\"paginatorSelectDisplayDensity()\" type=\"border\"\n            [disabled]=\"!dropdownEnabled\">\n            <igx-select-item [value]=\"val\" *ngFor=\"let val of selectOptions\">\n                {{val}}\n            </igx-select-item>\n        </igx-select>\n    </div>\n</div>\n<div class=\"igx-paginator__pager\" [hidden]=\"pagerHidden\">\n    <button [disabled]=\"isFirstPage || !pagerEnabled ? true: false\" (click)=\"paginate(0)\" igxButton=\"icon\" igxRipple igxRippleCentered=\"true\">\n        <igx-icon fontSet=\"material\">first_page</igx-icon>\n    </button>\n    <button [disabled]=\"isFirstPage || !pagerEnabled ? true: false\" (click)=\"previousPage()\" igxButton=\"icon\" igxRipple igxRippleCentered=\"true\">\n        <igx-icon fontSet=\"material\">chevron_left</igx-icon>\n    </button>\n    <div class='igx-paginator__pager-text'>\n        <span>{{ page + 1 }}</span>\n        <span>&nbsp;of&nbsp;</span>\n        <span>{{ totalPages }}</span>\n    </div>\n    <button [disabled]=\"isLastPage || !pagerEnabled ? true: false\" (click)=\"nextPage()\" igxRipple igxRippleCentered=\"true\" igxButton=\"icon\">\n        <igx-icon fontSet=\"material\">chevron_right</igx-icon>\n    </button>\n    <button [disabled]=\"isLastPage || !pagerEnabled ? true: false\" (click)=\"paginate(totalPages - 1)\" igxButton=\"icon\" igxRipple\n        igxRippleCentered=\"true\">\n        <igx-icon fontSet=\"material\">last_page</igx-icon>\n    </button>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxPaginatorComponent.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxPaginatorComponent.propDecorators = {
            classCosy: [{ type: core.HostBinding, args: ['class.igx-paginator--cosy',] }],
            classCompact: [{ type: core.HostBinding, args: ['class.igx-paginator--compact',] }],
            classComfortable: [{ type: core.HostBinding, args: ['class.igx-paginator',] }],
            page: [{ type: core.Input }],
            perPage: [{ type: core.Input }],
            totalRecords: [{ type: core.Input }],
            selectOptions: [{ type: core.Input }],
            pagerEnabled: [{ type: core.Input }],
            pagerHidden: [{ type: core.Input }],
            dropdownEnabled: [{ type: core.Input }],
            dropdownHidden: [{ type: core.Input }],
            selectLabel: [{ type: core.Input }],
            perPageChange: [{ type: core.Output }],
            pageChange: [{ type: core.Output }]
        };
        return IgxPaginatorComponent;
    }(DisplayDensityBase));
    var IgxPaginatorModule = /** @class */ (function () {
        function IgxPaginatorModule() {
        }
        IgxPaginatorModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxPaginatorComponent],
                        exports: [IgxPaginatorComponent],
                        imports: [common.CommonModule, IgxSelectModule, forms.FormsModule, IgxIconModule, IgxButtonModule, IgxRippleModule]
                    },] }
        ];
        return IgxPaginatorModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * \@internal
     */
    var IgxGridCellStyleClassesPipe = /** @class */ (function () {
        function IgxGridCellStyleClassesPipe() {
        }
        /**
         * @param {?} cssClasses
         * @param {?} value
         * @param {?} data
         * @param {?} field
         * @param {?} index
         * @return {?}
         */
        IgxGridCellStyleClassesPipe.prototype.transform = /**
         * @param {?} cssClasses
         * @param {?} value
         * @param {?} data
         * @param {?} field
         * @param {?} index
         * @return {?}
         */
        function (cssClasses, value, data, field, index) {
            var e_1, _a;
            if (!cssClasses) {
                return '';
            }
            /** @type {?} */
            var result = [];
            try {
                for (var _b = __values(Object.keys(cssClasses)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var cssClass = _c.value;
                    /** @type {?} */
                    var callbackOrValue = cssClasses[cssClass];
                    /** @type {?} */
                    var apply = typeof callbackOrValue === 'function' ? callbackOrValue(data, field, value, index) : callbackOrValue;
                    if (apply) {
                        result.push(cssClass);
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
            return result.join(' ');
        };
        IgxGridCellStyleClassesPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxCellStyleClasses'
                    },] }
        ];
        return IgxGridCellStyleClassesPipe;
    }());
    /**
     * @hidden
     * \@internal
     */
    var IgxGridCellStylesPipe = /** @class */ (function () {
        function IgxGridCellStylesPipe() {
        }
        /**
         * @param {?} styles
         * @param {?} value
         * @param {?} data
         * @param {?} field
         * @param {?} index
         * @return {?}
         */
        IgxGridCellStylesPipe.prototype.transform = /**
         * @param {?} styles
         * @param {?} value
         * @param {?} data
         * @param {?} field
         * @param {?} index
         * @return {?}
         */
        function (styles, value, data, field, index) {
            var e_2, _a;
            /** @type {?} */
            var css = {};
            if (!styles) {
                return css;
            }
            try {
                for (var _b = __values(Object.keys(styles)), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var prop = _c.value;
                    /** @type {?} */
                    var res = styles[prop];
                    css[prop] = typeof res === 'function' ? res(data, field, value, index) : res;
                }
            }
            catch (e_2_1) { e_2 = { error: e_2_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_2) throw e_2.error; }
            }
            return css;
        };
        IgxGridCellStylesPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxCellStyles'
                    },] }
        ];
        return IgxGridCellStylesPipe;
    }());
    /**
     * @hidden
     * \@internal
     */
    var IgxGridNotGroupedPipe = /** @class */ (function () {
        function IgxGridNotGroupedPipe() {
        }
        /**
         * @param {?} value
         * @return {?}
         */
        IgxGridNotGroupedPipe.prototype.transform = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value.filter(function (item) { return !item.columnGroup; });
        };
        IgxGridNotGroupedPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxNotGrouped'
                    },] }
        ];
        return IgxGridNotGroupedPipe;
    }());
    var IgxGridTopLevelColumns = /** @class */ (function () {
        function IgxGridTopLevelColumns() {
        }
        /**
         * @param {?} value
         * @return {?}
         */
        IgxGridTopLevelColumns.prototype.transform = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value.filter(function (item) { return item.level === 0; });
        };
        IgxGridTopLevelColumns.decorators = [
            { type: core.Pipe, args: [{
                        name: 'igxTopLevel'
                    },] }
        ];
        return IgxGridTopLevelColumns;
    }());
    /**
     * @hidden
     */
    var IgxGridFilterConditionPipe = /** @class */ (function () {
        function IgxGridFilterConditionPipe() {
        }
        /**
         * @param {?} value
         * @return {?}
         */
        IgxGridFilterConditionPipe.prototype.transform = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            return value.split(/(?=[A-Z])/).join(' ');
        };
        IgxGridFilterConditionPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'filterCondition',
                        pure: true
                    },] }
        ];
        return IgxGridFilterConditionPipe;
    }());
    /**
     * @hidden
     */
    var IgxGridTransactionPipe = /** @class */ (function () {
        function IgxGridTransactionPipe(gridAPI) {
            this.gridAPI = gridAPI;
        }
        /**
         * @param {?} collection
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxGridTransactionPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (collection, id, pipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            if (grid.transactions.enabled) {
                /** @type {?} */
                var result = DataUtil.mergeTransactions(cloneArray(collection), grid.transactions.getAggregatedChanges(true), grid.primaryKey);
                return result;
            }
            return collection;
        };
        IgxGridTransactionPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridTransaction',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridTransactionPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridTransactionPipe;
    }());
    /**
     * @hidden
     */
    var IgxGridPaginatorOptionsPipe = /** @class */ (function () {
        function IgxGridPaginatorOptionsPipe() {
        }
        /**
         * @param {?} values
         * @return {?}
         */
        IgxGridPaginatorOptionsPipe.prototype.transform = /**
         * @param {?} values
         * @return {?}
         */
        function (values) {
            return Array.from(new Set(__spread(values))).sort(function (a, b) { return a - b; });
        };
        IgxGridPaginatorOptionsPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'paginatorOptions',
                        pure: true,
                    },] }
        ];
        return IgxGridPaginatorOptionsPipe;
    }());
    var IgxHasVisibleColumnsPipe = /** @class */ (function () {
        function IgxHasVisibleColumnsPipe() {
        }
        /**
         * @param {?} values
         * @param {?} hasVisibleColumns
         * @return {?}
         */
        IgxHasVisibleColumnsPipe.prototype.transform = /**
         * @param {?} values
         * @param {?} hasVisibleColumns
         * @return {?}
         */
        function (values, hasVisibleColumns) {
            if (!(values && values.length)) {
                return values;
            }
            return hasVisibleColumns ? values : [];
        };
        IgxHasVisibleColumnsPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'visibleColumns',
                        pure: true
                    },] }
        ];
        return IgxHasVisibleColumnsPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGridPipesModule = /** @class */ (function () {
        function IgxGridPipesModule() {
        }
        IgxGridPipesModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxDatePipeComponent,
                            IgxDecimalPipeComponent,
                            IgxGridFilterConditionPipe,
                            IgxGridTransactionPipe,
                            IgxGridNotGroupedPipe,
                            IgxGridTopLevelColumns,
                            IgxGridCellStylesPipe,
                            IgxGridCellStyleClassesPipe,
                            IgxGridPaginatorOptionsPipe,
                            IgxHasVisibleColumnsPipe
                        ],
                        exports: [
                            IgxDatePipeComponent,
                            IgxDecimalPipeComponent,
                            IgxGridFilterConditionPipe,
                            IgxGridTransactionPipe,
                            IgxGridNotGroupedPipe,
                            IgxGridTopLevelColumns,
                            IgxGridCellStylesPipe,
                            IgxGridCellStyleClassesPipe,
                            IgxGridPaginatorOptionsPipe,
                            IgxHasVisibleColumnsPipe
                        ],
                        imports: [
                            common.CommonModule
                        ]
                    },] }
        ];
        return IgxGridPipesModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExcelStyleColumnMovingComponent = /** @class */ (function () {
        function IgxExcelStyleColumnMovingComponent() {
        }
        Object.defineProperty(IgxExcelStyleColumnMovingComponent.prototype, "visibleColumns", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.grid.visibleColumns.filter(function (col) { return !(col instanceof IgxColumnGroupComponent); });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleColumnMovingComponent.prototype, "canNotMoveLeft", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.visibleIndex === 0 ||
                    (this.grid.unpinnedColumns.indexOf(this.column) === 0 && this.column.disablePinning) ||
                    (this.grid.unpinnedColumns.indexOf(this.column) === 0 && !this.isColumnPinnable) ||
                    (this.column.level !== 0 && !this.findColumn(0, this.visibleColumns));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxExcelStyleColumnMovingComponent.prototype, "canNotMoveRight", {
            get: /**
             * @return {?}
             */
            function () {
                return this.column.visibleIndex === this.visibleColumns.length - 1 ||
                    (this.column.level !== 0 && !this.findColumn(1, this.visibleColumns));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} moveDirection
         * @return {?}
         */
        IgxExcelStyleColumnMovingComponent.prototype.onMoveButtonClicked = /**
         * @param {?} moveDirection
         * @return {?}
         */
        function (moveDirection) {
            /** @type {?} */
            var targetColumn;
            if (this.column.pinned) {
                if (this.column.isLastPinned && moveDirection === 1) {
                    targetColumn = this.grid.unpinnedColumns[0];
                    moveDirection = 0;
                }
                else {
                    targetColumn = this.findColumn(moveDirection, this.grid.pinnedColumns);
                }
            }
            else if (this.grid.unpinnedColumns.indexOf(this.column) === 0 && moveDirection === 0) {
                targetColumn = this.grid.pinnedColumns[this.grid.pinnedColumns.length - 1];
                if (targetColumn.parent) {
                    targetColumn = targetColumn.topLevelParent;
                }
                moveDirection = 1;
            }
            else {
                targetColumn = this.findColumn(moveDirection, this.grid.unpinnedColumns);
            }
            this.grid.moveColumn(this.column, targetColumn, moveDirection);
        };
        /**
         * @private
         * @param {?} moveDirection
         * @param {?} columns
         * @return {?}
         */
        IgxExcelStyleColumnMovingComponent.prototype.findColumn = /**
         * @private
         * @param {?} moveDirection
         * @param {?} columns
         * @return {?}
         */
        function (moveDirection, columns) {
            /** @type {?} */
            var index = columns.indexOf(this.column);
            if (moveDirection === 0) {
                while (index > 0) {
                    index--;
                    if (columns[index].level === this.column.level && columns[index].parent === this.column.parent) {
                        return columns[index];
                    }
                }
            }
            else {
                while (index < columns.length - 1) {
                    index++;
                    if (columns[index].level === this.column.level && columns[index].parent === this.column.parent) {
                        return columns[index];
                    }
                }
            }
        };
        IgxExcelStyleColumnMovingComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-excel-style-column-moving',
                        template: "<header>\n    {{ grid.resourceStrings.igx_grid_excel_filter_moving_header }}\n</header>\n<section class=\"igx-excel-filter__move-buttons\">\n    <button [displayDensity]=\"displayDensity\"\n        igxButton\n        [disabled]=\"canNotMoveLeft\"\n        (click)=\"onMoveButtonClicked(0)\">\n        <igx-icon>arrow_back</igx-icon>\n        <span>\n            {{ displayDensity==='compact'?\n            grid.resourceStrings.igx_grid_excel_filter_moving_left_short:\n            grid.resourceStrings.igx_grid_excel_filter_moving_left }}\n        </span>\n    </button>\n    <button [displayDensity]=\"displayDensity\"\n        igxButton\n        [disabled]=\"canNotMoveRight\"\n        (click)=\"onMoveButtonClicked(1)\">\n        <span>\n            {{ displayDensity==='compact'?\n            grid.resourceStrings.igx_grid_excel_filter_moving_right_short:\n            grid.resourceStrings.igx_grid_excel_filter_moving_right }}\n        </span>\n        <igx-icon>arrow_forwards</igx-icon>\n    </button>\n</section>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxExcelStyleColumnMovingComponent.ctorParameters = function () { return []; };
        IgxExcelStyleColumnMovingComponent.propDecorators = {
            column: [{ type: core.Input }],
            grid: [{ type: core.Input }],
            displayDensity: [{ type: core.Input }],
            isColumnPinnable: [{ type: core.Input }]
        };
        return IgxExcelStyleColumnMovingComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @abstract
     */
    var IgxListBase = /** @class */ (function (_super) {
        __extends(IgxListBase, _super);
        function IgxListBase(_displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this._displayDensityOptions = _displayDensityOptions;
            return _this;
        }
        /** @nocollapse */
        IgxListBase.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        return IgxListBase;
    }(DisplayDensityBase));
    /** @enum {number} */
    var IgxListPanState = {
        NONE: 0, LEFT: 1, RIGHT: 2,
    };
    IgxListPanState[IgxListPanState.NONE] = 'NONE';
    IgxListPanState[IgxListPanState.LEFT] = 'LEFT';
    IgxListPanState[IgxListPanState.RIGHT] = 'RIGHT';
    var IgxEmptyListTemplateDirective = /** @class */ (function () {
        function IgxEmptyListTemplateDirective(template) {
            this.template = template;
        }
        IgxEmptyListTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxEmptyList]'
                    },] }
        ];
        /** @nocollapse */
        IgxEmptyListTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxEmptyListTemplateDirective;
    }());
    var IgxDataLoadingTemplateDirective = /** @class */ (function () {
        function IgxDataLoadingTemplateDirective(template) {
            this.template = template;
        }
        IgxDataLoadingTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDataLoading]'
                    },] }
        ];
        /** @nocollapse */
        IgxDataLoadingTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxDataLoadingTemplateDirective;
    }());
    var IgxListItemLeftPanningTemplateDirective = /** @class */ (function () {
        function IgxListItemLeftPanningTemplateDirective(template) {
            this.template = template;
        }
        IgxListItemLeftPanningTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxListItemLeftPanning]'
                    },] }
        ];
        /** @nocollapse */
        IgxListItemLeftPanningTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxListItemLeftPanningTemplateDirective;
    }());
    var IgxListItemRightPanningTemplateDirective = /** @class */ (function () {
        function IgxListItemRightPanningTemplateDirective(template) {
            this.template = template;
        }
        IgxListItemRightPanningTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxListItemRightPanning]'
                    },] }
        ];
        /** @nocollapse */
        IgxListItemRightPanningTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxListItemRightPanningTemplateDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * The Ignite UI List Item component is a container intended for row items in the Ignite UI for Angular List component.
     *
     * Example:
     * ```html
     * <igx-list>
     *   <igx-list-item isHeader="true">Contacts</igx-list-item>
     *   <igx-list-item *ngFor="let contact of contacts">
     *     <span class="name">{{ contact.name }}</span>
     *     <span class="phone">{{ contact.phone }}</span>
     *   </igx-list-item>
     * </igx-list>
     * ```
     */
    var IgxListItemComponent = /** @class */ (function () {
        function IgxListItemComponent(list, elementRef, _renderer) {
            this.list = list;
            this.elementRef = elementRef;
            this._renderer = _renderer;
            /**
             * @hidden
             */
            this._panState = IgxListPanState.NONE;
            /**
             * @hidden
             */
            this.panOffset = 0;
            /**
             * @hidden
             */
            this._index = null;
            /**
             * @hidden
             */
            this.lastPanDir = IgxListPanState.NONE;
            /**
             * Sets/gets whether the `list item` is hidden.
             * By default the `hidden` value is `false`.
             * ```html
             * <igx-list-item [hidden] = "true">Hidden Item</igx-list-item>
             * ```
             * ```typescript
             * let isHidden =  this.listItem.hidden;
             * ```
             * \@memberof IgxListItemComponent
             */
            this.hidden = false;
            /**
             * Gets the `touch-action` style of the `list item`.
             * ```typescript
             * let touchAction = this.listItem.touchAction;
             * ```
             */
            this.touchAction = 'pan-y';
        }
        Object.defineProperty(IgxListItemComponent.prototype, "role", {
            /**
             * Gets the `role` attribute of the `list item`.
             * ```typescript
             * let itemRole =  this.listItem.role;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Gets the `role` attribute of the `list item`.
             * ```typescript
             * let itemRole =  this.listItem.role;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this.isHeader ? 'separator' : 'listitem';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "headerStyle", {
            /**
             * Indicates whether `list item` should have header style.
             * ```typescript
             * let headerStyle =  this.listItem.headerStyle;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Indicates whether `list item` should have header style.
             * ```typescript
             * let headerStyle =  this.listItem.headerStyle;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "innerStyle", {
            /**
             * Applies the inner style of the `list item` if the item is not counted as header.
             * ```typescript
             * let innerStyle =  this.listItem.innerStyle;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Applies the inner style of the `list item` if the item is not counted as header.
             * ```typescript
             * let innerStyle =  this.listItem.innerStyle;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return !this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "display", {
            /**
             * Returns string value which describes the display mode of the `list item`.
             * ```typescript
             * let isHidden = this.listItem.display;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Returns string value which describes the display mode of the `list item`.
             * ```typescript
             * let isHidden = this.listItem.display;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this.hidden ? 'none' : '';
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} evt
         * @return {?}
         */
        IgxListItemComponent.prototype.clicked = /**
         * @hidden
         * @param {?} evt
         * @return {?}
         */
        function (evt) {
            this.list.onItemClicked.emit({ item: this, event: evt, direction: this.lastPanDir });
            this.lastPanDir = IgxListPanState.NONE;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        IgxListItemComponent.prototype.panStart = /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        function (ev) {
            if (this.isTrue(this.isHeader)) {
                return;
            }
            if (!this.isTrue(this.list.allowLeftPanning) && !this.isTrue(this.list.allowRightPanning)) {
                return;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        IgxListItemComponent.prototype.panMove = /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        function (ev) {
            if (this.isTrue(this.isHeader)) {
                return;
            }
            if (!this.isTrue(this.list.allowLeftPanning) && !this.isTrue(this.list.allowRightPanning)) {
                return;
            }
            /** @type {?} */
            var isPanningToLeft = ev.deltaX < 0;
            if (isPanningToLeft && this.isTrue(this.list.allowLeftPanning)) {
                this.showLeftPanTemplate();
                this.setContentElementLeft(Math.max(this.maxLeft, ev.deltaX));
            }
            else if (!isPanningToLeft && this.isTrue(this.list.allowRightPanning)) {
                this.showRightPanTemplate();
                this.setContentElementLeft(Math.min(this.maxRight, ev.deltaX));
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        IgxListItemComponent.prototype.panEnd = /**
         * @hidden
         * @param {?} ev
         * @return {?}
         */
        function (ev) {
            if (this.isTrue(this.isHeader)) {
                return;
            }
            if (!this.isTrue(this.list.allowLeftPanning) && !this.isTrue(this.list.allowRightPanning)) {
                return;
            }
            // the translation offset of the current list item content
            /** @type {?} */
            var relativeOffset = this.panOffset;
            /** @type {?} */
            var widthTriggeringGrip = this.width * this.list.panEndTriggeringThreshold;
            if (relativeOffset === 0) {
                return; // no panning has occured
            }
            /** @type {?} */
            var dir = relativeOffset > 0 ? IgxListPanState.RIGHT : IgxListPanState.LEFT;
            this.lastPanDir = dir;
            /** @type {?} */
            var oldPanState = this._panState;
            if (Math.abs(relativeOffset) < widthTriggeringGrip) {
                this.setContentElementLeft(0);
                this._panState = IgxListPanState.NONE;
                this.hideLeftAndRightPanTemplates();
                return;
            }
            /** @type {?} */
            var args = { item: this, direction: dir, keepItem: false };
            if (dir === IgxListPanState.LEFT) {
                this.list.onLeftPan.emit(args);
            }
            else {
                this.list.onRightPan.emit(args);
            }
            if (args.keepItem === true) {
                this.setContentElementLeft(0);
                this._panState = IgxListPanState.NONE;
            }
            else {
                if (dir === IgxListPanState.LEFT) {
                    this.setContentElementLeft(this.maxLeft);
                    this._panState = IgxListPanState.LEFT;
                }
                else {
                    this.setContentElementLeft(this.maxRight);
                    this._panState = IgxListPanState.RIGHT;
                }
            }
            if (oldPanState !== this._panState) {
                /** @type {?} */
                var args2 = { oldState: oldPanState, newState: this._panState, item: this };
                this.list.onPanStateChange.emit(args2);
            }
            this.hideLeftAndRightPanTemplates();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxListItemComponent.prototype.showLeftPanTemplate = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            this.setLeftAndRightTemplatesVisibility('visible', 'hidden');
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxListItemComponent.prototype.showRightPanTemplate = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            this.setLeftAndRightTemplatesVisibility('hidden', 'visible');
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @return {?}
         */
        IgxListItemComponent.prototype.hideLeftAndRightPanTemplates = /**
         * @hidden
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            setTimeout(function () {
                _this.setLeftAndRightTemplatesVisibility('hidden', 'hidden');
            }, 500);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} leftVisibility
         * @param {?} rightVisibility
         * @return {?}
         */
        IgxListItemComponent.prototype.setLeftAndRightTemplatesVisibility = /**
         * @hidden
         * @private
         * @param {?} leftVisibility
         * @param {?} rightVisibility
         * @return {?}
         */
        function (leftVisibility, rightVisibility) {
            if (this.leftPanningTemplateElement && this.leftPanningTemplateElement.nativeElement) {
                this.leftPanningTemplateElement.nativeElement.style.visibility = leftVisibility;
            }
            if (this.rightPanningTemplateElement && this.rightPanningTemplateElement.nativeElement) {
                this.rightPanningTemplateElement.nativeElement.style.visibility = rightVisibility;
            }
        };
        Object.defineProperty(IgxListItemComponent.prototype, "panState", {
            /**
             * Gets the `panState` of a `list item`.
             * ```typescript
             * let itemPanState =  this.listItem.panState;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Gets the `panState` of a `list item`.
             * ```typescript
             * let itemPanState =  this.listItem.panState;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this._panState;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "index", {
            /**
             * Gets the `index` of a `list item`.
             * ```typescript
             * let itemIndex =  this.listItem.index;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Gets the `index` of a `list item`.
             * ```typescript
             * let itemIndex =  this.listItem.index;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this._index !== null ? this._index : this.list.children.toArray().indexOf(this);
            },
            /**
             * Sets the `index` of the `list item`.
             * ```typescript
             * this.listItem.index = index;
             * ```
             * @memberof IgxListItemComponent
             */
            set: /**
             * Sets the `index` of the `list item`.
             * ```typescript
             * this.listItem.index = index;
             * ```
             * \@memberof IgxListItemComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._index = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "element", {
            /**
             * Returns an element reference to the list item.
             * ```typescript
             * let listItemElement =  this.listItem.element.
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Returns an element reference to the list item.
             * ```typescript
             * let listItemElement =  this.listItem.element.
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "contentElement", {
            /**
             * Returns a reference container which contains the list item's content.
             * ```typescript
             * let listItemContainer =  this.listItem.contentElement.
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Returns a reference container which contains the list item's content.
             * ```typescript
             * let listItemContainer =  this.listItem.contentElement.
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var candidates = this.element.getElementsByClassName('igx-list__item-content');
                return (candidates && candidates.length > 0) ? candidates[0] : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "context", {
            /**
             * Returns the `context` object which represents the `template context` binding into the `list item container`
             * by providing the `$implicit` declaration which is the `IgxListItemComponent` itself.
             * ```typescript
             * let listItemComponent = this.listItem.context;
             * ```
             */
            get: /**
             * Returns the `context` object which represents the `template context` binding into the `list item container`
             * by providing the `$implicit` declaration which is the `IgxListItemComponent` itself.
             * ```typescript
             * let listItemComponent = this.listItem.context;
             * ```
             * @return {?}
             */
            function () {
                return {
                    $implicit: this
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "width", {
            /**
             * Gets the width of a `list item`.
             * ```typescript
             * let itemWidth = this.listItem.width;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Gets the width of a `list item`.
             * ```typescript
             * let itemWidth = this.listItem.width;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                if (this.element) {
                    return this.element.offsetWidth;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "maxLeft", {
            /**
             * Gets the maximum left position of the `list item`.
             * ```typescript
             * let maxLeft = this.listItem.maxLeft;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Gets the maximum left position of the `list item`.
             * ```typescript
             * let maxLeft = this.listItem.maxLeft;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return -this.width;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListItemComponent.prototype, "maxRight", {
            /**
             * Gets the maximum right position of the `list item`.
             * ```typescript
             * let maxRight = this.listItem.maxRight;
             * ```
             * @memberof IgxListItemComponent
             */
            get: /**
             * Gets the maximum right position of the `list item`.
             * ```typescript
             * let maxRight = this.listItem.maxRight;
             * ```
             * \@memberof IgxListItemComponent
             * @return {?}
             */
            function () {
                return this.width;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxListItemComponent.prototype.setContentElementLeft = /**
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this.panOffset = value;
            this.contentElement.style.transform = 'translateX(' + value + 'px)';
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxListItemComponent.prototype.isTrue = /**
         * @hidden
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (typeof (value) === 'boolean') {
                return value;
            }
            else {
                return value === 'true';
            }
        };
        IgxListItemComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [HammerGesturesManager],
                        selector: 'igx-list-item',
                        template: "   \n<div *ngIf=\"!isHeader && list.listItemLeftPanningTemplate != null\" #leftPanningTmpl class=\"igx-list__item-right\"\n    [style.width.px]=\"this.element.offsetWidth\" [style.height.px]=\"this.element.offsetHeight\">\n    <ng-container *ngTemplateOutlet=\"list.listItemLeftPanningTemplate.template; context: context\">\n    </ng-container>\n</div>\n\n<div *ngIf=\"!isHeader && list.listItemRightPanningTemplate != null\" #rightPanningTmpl class=\"igx-list__item-left\"\n    [style.width.px]=\"this.element.offsetWidth\" [style.height.px]=\"this.element.offsetHeight\">\n    <ng-container *ngTemplateOutlet=\"list.listItemRightPanningTemplate.template; context: context\">\n    </ng-container>\n</div>\n\n<ng-template #itemsContent>\n    <ng-content></ng-content>\n</ng-template>\n\n<ng-template #itemThumbnails>\n    <div class=\"igx-list__item-thumbnail\">\n        <ng-content select=\"[igxListThumbnail], igx-list__item-thumbnail, igx-avatar\"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #itemLines>\n    <div class=\"igx-list__item-lines\">\n        <ng-content select=\"[igxListLine], .igx-list__item-lines, [igxListLineTitle], [igxListLineSubTitle], .igx-list__item-line-title, .igx-list__item-line-subtitle\"></ng-content>\n    </div>\n</ng-template>\n\n<ng-template #itemActions>\n    <div class=\"igx-list__item-actions\">\n        <ng-content select=\"[igxListAction], .igx-list__item-actions\"></ng-content>\n    </div>\n</ng-template>\n\n    \n<ng-container *ngIf=\"isHeader\">\n    <ng-container *ngTemplateOutlet=\"itemsContent\"></ng-container>\n</ng-container>\n\n<ng-container *ngIf=\"!isHeader\">\n    <div class=\"igx-list__item-content\">\n        <ng-container *ngTemplateOutlet=\"itemThumbnails\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"itemLines\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"itemActions\"></ng-container>\n        <ng-container *ngTemplateOutlet=\"itemsContent\"></ng-container>\n    </div>\n</ng-container>\n",
                        changeDetection: core.ChangeDetectionStrategy.OnPush
                    }] }
        ];
        /** @nocollapse */
        IgxListItemComponent.ctorParameters = function () { return [
            { type: IgxListBase },
            { type: core.ElementRef },
            { type: core.Renderer2 }
        ]; };
        IgxListItemComponent.propDecorators = {
            leftPanningTemplateElement: [{ type: core.ViewChild, args: ['leftPanningTmpl', { static: false },] }],
            rightPanningTemplateElement: [{ type: core.ViewChild, args: ['rightPanningTmpl', { static: false },] }],
            isHeader: [{ type: core.Input }],
            hidden: [{ type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            ariaLabel: [{ type: core.HostBinding, args: ['attr.aria-label',] }],
            touchAction: [{ type: core.HostBinding, args: ['style.touch-action',] }],
            headerStyle: [{ type: core.HostBinding, args: ['class.igx-list__header',] }],
            innerStyle: [{ type: core.HostBinding, args: ['class.igx-list__item-base',] }],
            display: [{ type: core.HostBinding, args: ['style.display',] }],
            clicked: [{ type: core.HostListener, args: ['click', ['$event'],] }],
            panStart: [{ type: core.HostListener, args: ['panstart', ['$event'],] }],
            panMove: [{ type: core.HostListener, args: ['panmove', ['$event'],] }],
            panEnd: [{ type: core.HostListener, args: ['panend', ['$event'],] }],
            index: [{ type: core.Input }]
        };
        return IgxListItemComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$l = 0;
    /**
     * **Ignite UI for Angular List** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/list.html)
     *
     * The Ignite UI List displays rows of items and supports one or more header items as well as search and filtering
     * of list items. Each list item is completely templateable and will support any valid HTML or Angular component.
     *
     * Example:
     * ```html
     * <igx-list>
     *   <igx-list-item isHeader="true">Contacts</igx-list-item>
     *   <igx-list-item *ngFor="let contact of contacts">
     *     <span class="name">{{ contact.name }}</span>
     *     <span class="phone">{{ contact.phone }}</span>
     *   </igx-list-item>
     * </igx-list>
     * ```
     */
    /**
     * igxListThumbnail is container for the List media
     * Use it to wrap anything you want to be used as a thumbnail.
     */
    var IgxListThumbnailDirective = /** @class */ (function () {
        function IgxListThumbnailDirective() {
        }
        IgxListThumbnailDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: '[igxListThumbnail]'
                    },] }
        ];
        return IgxListThumbnailDirective;
    }());
    /**
     * igxListAction is container for the List action
     * Use it to wrap anything you want to be used as a list action: icon, checkbox...
     */
    var IgxListActionDirective = /** @class */ (function () {
        function IgxListActionDirective() {
        }
        IgxListActionDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: '[igxListAction]'
                    },] }
        ];
        return IgxListActionDirective;
    }());
    /**
     * igxListLine is container for the List text content
     * Use it to wrap anything you want to be used as a plane text.
     */
    var IgxListLineDirective = /** @class */ (function () {
        function IgxListLineDirective() {
        }
        IgxListLineDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: '[igxListLine]'
                    },] }
        ];
        return IgxListLineDirective;
    }());
    /**
     * igxListLineTitle is a directive that add class to the target element
     * Use it to make anything to look like list Title.
     */
    var IgxListLineTitleDirective = /** @class */ (function () {
        function IgxListLineTitleDirective() {
            this.cssClass = 'igx-list__item-line-title';
        }
        IgxListLineTitleDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: '[igxListLineTitle]'
                    },] }
        ];
        IgxListLineTitleDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-list__item-line-title',] }]
        };
        return IgxListLineTitleDirective;
    }());
    /**
     * igxListLineSubTitle is a directive that add class to the target element
     * Use it to make anything to look like list Subtitle.
     */
    var IgxListLineSubTitleDirective = /** @class */ (function () {
        function IgxListLineSubTitleDirective() {
            this.cssClass = 'igx-list__item-line-subtitle';
        }
        IgxListLineSubTitleDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: '[igxListLineSubTitle]'
                    },] }
        ];
        IgxListLineSubTitleDirective.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-list__item-line-subtitle',] }]
        };
        return IgxListLineSubTitleDirective;
    }());
    var IgxListComponent = /** @class */ (function (_super) {
        __extends(IgxListComponent, _super);
        function IgxListComponent(element, _displayDensityOptions) {
            var _this = _super.call(this, _displayDensityOptions) || this;
            _this.element = element;
            _this._displayDensityOptions = _displayDensityOptions;
            /**
             * Provides a threshold after which the item's panning will be completed automatically.
             * By default this property is set to 0.5 which is 50% of the list item's width.
             * ```typescript
             * this.list.panEndTriggeringThreshold = 0.8;
             * ```
             */
            _this.panEndTriggeringThreshold = 0.5;
            /**
             * Sets/gets the `id` of the list.
             * If not set, the `id` of the first list component will be `"igx-list-0"`.
             * ```html
             * <igx-list id = "my-first-list"></igx-list>
             * ```
             * ```typescript
             * let listId =  this.list.id;
             * ```
             * \@memberof IgxListComponent
             */
            _this.id = "igx-list-" + NEXT_ID$l++;
            /**
             * Sets/gets whether the left panning of an item is allowed.
             * Default value is `false`.
             * ```html
             *  <igx-list [allowLeftPanning] = "true"></igx-list>
             * ```
             * ```typescript
             * let isLeftPanningAllowed = this.list.allowLeftPanning;
             * ```
             * \@memberof IgxListComponent
             */
            _this.allowLeftPanning = false;
            /**
             * Sets/gets whether the right panning of an item is allowed.
             * Default value is `false`.
             * ```html
             *  <igx-list [allowRightPanning] = "true"></igx-list>
             * ```
             * ```typescript
             * let isRightPanningAllowed = this.list.allowRightPanning;
             * ```
             * \@memberof IgxListComponent
             */
            _this.allowRightPanning = false;
            /**
             * Sets/gets whether the list is currently loading data.
             * Set it to display the dataLoadingTemplate while data is being retrieved.
             * Default value is `false`.
             * ```html
             *  <igx-list [isLoading]="true"></igx-list>
             * ```
             * ```typescript
             * let isLoading = this.list.isLoading;
             * ```
             * \@memberof IgxListComponent
             */
            _this.isLoading = false;
            /**
             * Emits an event within the current list when left pan gesture is executed on a list item.
             * Provides a reference to an object of type `IListItemPanningEventArgs` as an event argument.
             * ```html
             * <igx-list [allowLeftPanning]="true" (onLeftPan)="onLeftPan($event)"></igx-list>
             * ```
             * \@memberof IgxListComponent
             */
            _this.onLeftPan = new core.EventEmitter();
            /**
             * Emits an event within the current list when right pan gesture is executed on a list item.
             * Provides a reference to an object of type `IListItemPanningEventArgs` as an event argument.
             * ```html
             * <igx-list [allowRightPanning]="true" (onRightPan)="onRightPan($event)"></igx-list>
             * ```
             * \@memberof IgxListComponent
             */
            _this.onRightPan = new core.EventEmitter();
            /**
             * Emits an event within the current list when pan gesture is executed on list item.
             * Provides references to the `IgxListItemComponent` and `IgxListPanState` as event arguments.
             * ```html
             * <igx-list (onPanStateChange) = "onPanStateChange($event)"></igx-list>
             * ```
             * \@memberof IgxListComponent
             */
            _this.onPanStateChange = new core.EventEmitter();
            /**
             * Emits an event within the current list when a list item has been clicked.
             * Provides references to the `IgxListItemComponent` and `Event` as event arguments.
             *  ```html
             * <igx-list (onItemClicked) = "onItemClicked($event)"></igx-list>
             * ```
             * \@memberof IgxListComponent
             */
            _this.onItemClicked = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxListComponent.prototype, "sortedChildren", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @protected
             * @return {?}
             */
            function () {
                if (this.children !== undefined) {
                    return this.children.toArray()
                        .sort(function (a, b) {
                        return a.index - b.index;
                    });
                }
                return null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "role", {
            /**
             * Gets the `role` attribute.
             * ```typescript
             * let listRole =  this.list.role;
             * ```
             * @memberof IgxListComponent
             */
            get: /**
             * Gets the `role` attribute.
             * ```typescript
             * let listRole =  this.list.role;
             * ```
             * \@memberof IgxListComponent
             * @return {?}
             */
            function () {
                return 'list';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "isListEmpty", {
            /**
             * Returns boolean indicating if the list is empty.
             * ```typescript
             * let isEmpty =  this.list.isListEmpty;
             * ```
             * @memberof IgxListComponent
             */
            get: /**
             * Returns boolean indicating if the list is empty.
             * ```typescript
             * let isEmpty =  this.list.isListEmpty;
             * ```
             * \@memberof IgxListComponent
             * @return {?}
             */
            function () {
                return !this.children || this.children.length === 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "cssClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.isListEmpty && this.displayDensity === DisplayDensity.comfortable;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "cssClassCompact", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.isListEmpty && this.displayDensity === DisplayDensity.compact;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "cssClassCosy", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.isListEmpty && this.displayDensity === DisplayDensity.cosy;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "items", {
            /**
             * Returns the `items` in the list excluding the headers.
             * ```typescript
             * let listItems: IgxListItemComponent[] = this.list.items;
             * ```
             * @memberof IgxListComponent
             */
            get: /**
             * Returns the `items` in the list excluding the headers.
             * ```typescript
             * let listItems: IgxListItemComponent[] = this.list.items;
             * ```
             * \@memberof IgxListComponent
             * @return {?}
             */
            function () {
                var e_1, _a;
                /** @type {?} */
                var items = [];
                if (this.children !== undefined) {
                    try {
                        for (var _b = __values(this.sortedChildren), _c = _b.next(); !_c.done; _c = _b.next()) {
                            var child = _c.value;
                            if (!child.isHeader) {
                                items.push(child);
                            }
                        }
                    }
                    catch (e_1_1) { e_1 = { error: e_1_1 }; }
                    finally {
                        try {
                            if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                        }
                        finally { if (e_1) throw e_1.error; }
                    }
                }
                return items;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "headers", {
            /**
             * Returns the headers in the list.
             * ```typescript
             * let listHeaders: IgxListItemComponent[] =  this.list.headers;
             * ```
             * @memberof IgxListComponent
             */
            get: /**
             * Returns the headers in the list.
             * ```typescript
             * let listHeaders: IgxListItemComponent[] =  this.list.headers;
             * ```
             * \@memberof IgxListComponent
             * @return {?}
             */
            function () {
                var e_2, _a;
                /** @type {?} */
                var headers = [];
                if (this.children !== undefined) {
                    try {
                        for (var _b = __values(this.children.toArray()), _c = _b.next(); !_c.done; _c = _b.next()) {
                            var child = _c.value;
                            if (child.isHeader) {
                                headers.push(child);
                            }
                        }
                    }
                    catch (e_2_1) { e_2 = { error: e_2_1 }; }
                    finally {
                        try {
                            if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                        }
                        finally { if (e_2) throw e_2.error; }
                    }
                }
                return headers;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "context", {
            /**
             * Returns the `context` object which represents the `template context` binding into the `list container`
             * by providing the `$implicit` declaration which is the `IgxListComponent` itself.
             * ```typescript
             * let listComponent =  this.list.context;
             * ```
             */
            get: /**
             * Returns the `context` object which represents the `template context` binding into the `list container`
             * by providing the `$implicit` declaration which is the `IgxListComponent` itself.
             * ```typescript
             * let listComponent =  this.list.context;
             * ```
             * @return {?}
             */
            function () {
                return {
                    $implicit: this
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxListComponent.prototype, "template", {
            /**
             * Returns the `template` of an empty list.
             * ```typescript
             * let listTemplate = this.list.template;
             * ```
             * @memberof IgxListComponent
             */
            get: /**
             * Returns the `template` of an empty list.
             * ```typescript
             * let listTemplate = this.list.template;
             * ```
             * \@memberof IgxListComponent
             * @return {?}
             */
            function () {
                if (this.isLoading) {
                    return this.dataLoadingTemplate ? this.dataLoadingTemplate.template : this.defaultDataLoadingTemplate;
                }
                else {
                    return this.emptyListTemplate ? this.emptyListTemplate.template : this.defaultEmptyListTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        IgxListComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-list',
                        template: "<ng-content></ng-content>\n\n<ng-template #defaultEmptyList>\n    <article class=\"message\">\n        There are no items in the list.\n    </article>\n</ng-template>\n\n<ng-template #defaultDataLoading>\n    <article class=\"message\">\n        Loading data from the server...\n    </article>\n</ng-template>\n\n<ng-container *ngIf=\"!children || children.length === 0 || isLoading\">\n    <ng-container *ngTemplateOutlet=\"template; context: context\">\n    </ng-container>\n</ng-container>\n",
                        providers: [{ provide: IgxListBase, useExisting: IgxListComponent }]
                    }] }
        ];
        /** @nocollapse */
        IgxListComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxListComponent.propDecorators = {
            children: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxListItemComponent; }),] }],
            emptyListTemplate: [{ type: core.ContentChild, args: [IgxEmptyListTemplateDirective, { read: IgxEmptyListTemplateDirective, static: false },] }],
            dataLoadingTemplate: [{ type: core.ContentChild, args: [IgxDataLoadingTemplateDirective, { read: IgxDataLoadingTemplateDirective, static: false },] }],
            listItemLeftPanningTemplate: [{ type: core.ContentChild, args: [IgxListItemLeftPanningTemplateDirective, { read: IgxListItemLeftPanningTemplateDirective, static: false },] }],
            listItemRightPanningTemplate: [{ type: core.ContentChild, args: [IgxListItemRightPanningTemplateDirective, { read: IgxListItemRightPanningTemplateDirective, static: false },] }],
            panEndTriggeringThreshold: [{ type: core.Input }],
            defaultEmptyListTemplate: [{ type: core.ViewChild, args: ['defaultEmptyList', { read: core.TemplateRef, static: true },] }],
            defaultDataLoadingTemplate: [{ type: core.ViewChild, args: ['defaultDataLoading', { read: core.TemplateRef, static: true },] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            allowLeftPanning: [{ type: core.Input }],
            allowRightPanning: [{ type: core.Input }],
            isLoading: [{ type: core.Input }],
            onLeftPan: [{ type: core.Output }],
            onRightPan: [{ type: core.Output }],
            onPanStateChange: [{ type: core.Output }],
            onItemClicked: [{ type: core.Output }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            isListEmpty: [{ type: core.HostBinding, args: ['class.igx-list-empty',] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-list',] }],
            cssClassCompact: [{ type: core.HostBinding, args: ['class.igx-list--compact',] }],
            cssClassCosy: [{ type: core.HostBinding, args: ['class.igx-list--cosy',] }]
        };
        return IgxListComponent;
    }(IgxListBase));
    /**
     * @hidden
     */
    var IgxListModule = /** @class */ (function () {
        function IgxListModule() {
        }
        IgxListModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxListComponent,
                            IgxListItemComponent,
                            IgxListThumbnailDirective,
                            IgxListActionDirective,
                            IgxListLineDirective,
                            IgxListLineTitleDirective,
                            IgxListLineSubTitleDirective,
                            IgxDataLoadingTemplateDirective,
                            IgxEmptyListTemplateDirective,
                            IgxListItemLeftPanningTemplateDirective,
                            IgxListItemRightPanningTemplateDirective
                        ],
                        exports: [
                            IgxListComponent,
                            IgxListItemComponent,
                            IgxListThumbnailDirective,
                            IgxListActionDirective,
                            IgxListLineDirective,
                            IgxListLineTitleDirective,
                            IgxListLineSubTitleDirective,
                            IgxDataLoadingTemplateDirective,
                            IgxEmptyListTemplateDirective,
                            IgxListItemLeftPanningTemplateDirective,
                            IgxListItemRightPanningTemplateDirective
                        ],
                        imports: [
                            common.CommonModule,
                            IgxRippleModule
                        ]
                    },] }
        ];
        return IgxListModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxExcelStyleSearchFilterPipe = /** @class */ (function () {
        function IgxExcelStyleSearchFilterPipe() {
        }
        /**
         * @param {?} items
         * @param {?} searchText
         * @return {?}
         */
        IgxExcelStyleSearchFilterPipe.prototype.transform = /**
         * @param {?} items
         * @param {?} searchText
         * @return {?}
         */
        function (items, searchText) {
            if (!items || !items.length) {
                return [];
            }
            if (!searchText) {
                return items;
            }
            searchText = searchText.toLowerCase();
            /** @type {?} */
            var result = items.filter(function (it, i) { return (i === 0 && it.isSpecial) ||
                (it.value !== null && it.value !== undefined) &&
                    it.value.toString().toLowerCase().indexOf(searchText) > -1; });
            // If 'result' contains the 'Select All' item and at least one more - we use it, otherwise we use an empty array.
            return result.length > 1 ? result : [];
        };
        IgxExcelStyleSearchFilterPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'excelStyleSearchFilter'
                    },] }
        ];
        return IgxExcelStyleSearchFilterPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridExcelStyleFilteringModule = /** @class */ (function () {
        function IgxGridExcelStyleFilteringModule() {
        }
        IgxGridExcelStyleFilteringModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxGridExcelStyleFilteringComponent,
                            IgxExcelStyleSortingComponent,
                            IgxExcelStyleColumnMovingComponent,
                            IgxExcelStyleSearchComponent,
                            IgxExcelStyleCustomDialogComponent,
                            IgxExcelStyleDefaultExpressionComponent,
                            IgxExcelStyleDateExpressionComponent,
                            IgxExcelStyleSortingTemplateDirective,
                            IgxExcelStyleHidingTemplateDirective,
                            IgxExcelStyleMovingTemplateDirective,
                            IgxExcelStylePinningTemplateDirective,
                            IgxExcelStyleLoadingValuesTemplateDirective,
                            IgxExcelStyleSearchFilterPipe
                        ],
                        exports: [
                            IgxGridExcelStyleFilteringComponent,
                            IgxExcelStyleSortingTemplateDirective,
                            IgxExcelStyleHidingTemplateDirective,
                            IgxExcelStyleMovingTemplateDirective,
                            IgxExcelStylePinningTemplateDirective,
                            IgxExcelStyleLoadingValuesTemplateDirective,
                            IgxExcelStyleDateExpressionComponent
                        ],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IgxGridPipesModule,
                            IgxButtonModule,
                            IgxButtonGroupModule,
                            IgxDatePickerModule,
                            IgxIconModule,
                            IgxRippleModule,
                            IgxInputGroupModule,
                            IgxDropDownModule,
                            IgxForOfModule,
                            IgxCheckboxModule,
                            IgxFilterModule,
                            IgxToggleModule,
                            IgxListModule,
                            IgxProgressBarModule
                        ],
                        entryComponents: [
                            IgxGridExcelStyleFilteringComponent
                        ],
                        providers: [
                            IgxSelectionAPIService
                        ]
                    },] }
        ];
        return IgxGridExcelStyleFilteringModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridCommonModule = /** @class */ (function () {
        function IgxGridCommonModule() {
        }
        IgxGridCommonModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxGridCellComponent,
                            IgxColumnComponent,
                            IgxColumnGroupComponent,
                            IgxColumnLayoutComponent,
                            IgxGridHeaderComponent,
                            IgxGridToolbarComponent,
                            IgxGridToolbarCustomContentDirective,
                            IgxCellFooterTemplateDirective,
                            IgxCellHeaderTemplateDirective,
                            IgxCellEditorTemplateDirective,
                            IgxCellTemplateDirective,
                            IgxRowEditTemplateDirective,
                            IgxRowEditActionsDirective,
                            IgxRowEditTextDirective,
                            IgxRowEditTabStopDirective,
                            IgxColumnResizerDirective,
                            IgxResizeHandleDirective,
                            IgxColumnMovingDragDirective,
                            IgxColumnMovingDropDirective,
                            IgxGridBodyDirective,
                            IgxGridFilteringCellComponent,
                            IgxGridFilteringRowComponent,
                            IgxSummaryDataPipe,
                            IgxGridHeaderGroupComponent,
                            IgxSummaryRowComponent,
                            IgxSummaryCellComponent,
                            IgxGridDragSelectDirective,
                            IgxGridColumnResizerComponent,
                            IgxFilterCellTemplateDirective,
                            IgxGridFooterComponent,
                            IgxAdvancedFilteringDialogComponent
                        ],
                        entryComponents: [
                            IgxColumnComponent,
                            IgxColumnGroupComponent,
                            IgxColumnLayoutComponent,
                            IgxAdvancedFilteringDialogComponent
                        ],
                        exports: [
                            IgxGridCellComponent,
                            IgxColumnComponent,
                            IgxColumnGroupComponent,
                            IgxColumnLayoutComponent,
                            IgxGridHeaderComponent,
                            IgxGridToolbarComponent,
                            IgxGridToolbarCustomContentDirective,
                            IgxCellFooterTemplateDirective,
                            IgxCellHeaderTemplateDirective,
                            IgxCellEditorTemplateDirective,
                            IgxCellTemplateDirective,
                            IgxRowEditTemplateDirective,
                            IgxRowEditActionsDirective,
                            IgxRowEditTextDirective,
                            IgxRowEditTabStopDirective,
                            IgxColumnResizerDirective,
                            IgxColumnMovingDragDirective,
                            IgxColumnMovingDropDirective,
                            IgxGridBodyDirective,
                            IgxSummaryDataPipe,
                            IgxButtonModule,
                            IgxDatePickerModule,
                            IgxIconModule,
                            IgxRippleModule,
                            IgxInputGroupModule,
                            IgxToggleModule,
                            IgxForOfModule,
                            IgxTemplateOutletModule,
                            IgxFocusModule,
                            IgxTextHighlightModule,
                            IgxTextSelectionModule,
                            IgxCheckboxModule,
                            IgxBadgeModule,
                            IgxChipsModule,
                            IgxDragDropModule,
                            IgxColumnHidingModule,
                            IgxDropDownModule,
                            IgxButtonGroupModule,
                            IgxColumnPinningModule,
                            IgxProgressBarModule,
                            IgxGridFilteringCellComponent,
                            IgxGridFilteringRowComponent,
                            IgxGridHeaderGroupComponent,
                            IgxSummaryRowComponent,
                            IgxSummaryCellComponent,
                            IgxGridDragSelectDirective,
                            IgxGridColumnResizerComponent,
                            IgxFilterModule,
                            IgxGridPipesModule,
                            IgxGridExcelStyleFilteringModule,
                            IgxFilterCellTemplateDirective,
                            IgxRowDragModule,
                            IgxPaginatorModule,
                            IgxGridFooterComponent,
                            IgxAdvancedFilteringDialogComponent,
                            IgxRowSelectorsModule
                        ],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IgxButtonModule,
                            IgxDatePickerModule,
                            IgxIconModule,
                            IgxRippleModule,
                            IgxInputGroupModule,
                            IgxToggleModule,
                            IgxForOfModule,
                            IgxTemplateOutletModule,
                            IgxFocusModule,
                            IgxTextHighlightModule,
                            IgxTextSelectionModule,
                            IgxCheckboxModule,
                            IgxBadgeModule,
                            IgxChipsModule,
                            IgxDragDropModule,
                            IgxColumnHidingModule,
                            IgxDropDownModule,
                            IgxButtonGroupModule,
                            IgxColumnPinningModule,
                            IgxProgressBarModule,
                            IgxFilterModule,
                            IgxGridPipesModule,
                            IgxGridExcelStyleFilteringModule,
                            IgxRowDragModule,
                            IgxSelectModule,
                            IgxPaginatorModule,
                            IgxRowSelectorsModule
                        ],
                        providers: [
                            IgxGridSelectionService,
                            IgxSelectionAPIService,
                            IgxColumnMovingService,
                            IgxGridNavigationService,
                            IgxColumnResizingService,
                            IgxGridSummaryService,
                            { provide: IgxGridTransaction, useClass: IgxBaseTransactionService }
                        ]
                    },] }
        ];
        return IgxGridCommonModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGridAPIService = /** @class */ (function (_super) {
        __extends(IgxGridAPIService, _super);
        function IgxGridAPIService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?} expression
         * @return {?}
         */
        IgxGridAPIService.prototype.groupBy = /**
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            /** @type {?} */
            var groupingState = cloneArray(this.grid.groupingExpressions);
            /** @type {?} */
            var sortingState = cloneArray(this.grid.sortingExpressions);
            this.prepare_sorting_expression([sortingState, groupingState], expression);
            this.grid.groupingExpressions = groupingState;
            this.arrange_sorting_expressions();
        };
        /**
         * @param {?} expressions
         * @return {?}
         */
        IgxGridAPIService.prototype.groupBy_multiple = /**
         * @param {?} expressions
         * @return {?}
         */
        function (expressions) {
            var e_1, _a;
            /** @type {?} */
            var groupingState = cloneArray(this.grid.groupingExpressions);
            /** @type {?} */
            var sortingState = cloneArray(this.grid.sortingExpressions);
            try {
                for (var expressions_1 = __values(expressions), expressions_1_1 = expressions_1.next(); !expressions_1_1.done; expressions_1_1 = expressions_1.next()) {
                    var each = expressions_1_1.value;
                    this.prepare_sorting_expression([sortingState, groupingState], each);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (expressions_1_1 && !expressions_1_1.done && (_a = expressions_1.return)) _a.call(expressions_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
            this.grid.groupingExpressions = groupingState;
            this.arrange_sorting_expressions();
        };
        /**
         * @param {?=} name
         * @return {?}
         */
        IgxGridAPIService.prototype.clear_groupby = /**
         * @param {?=} name
         * @return {?}
         */
        function (name) {
            var _this = this;
            var e_2, _a;
            /** @type {?} */
            var groupingState = cloneArray(this.grid.groupingExpressions);
            /** @type {?} */
            var sortingState = cloneArray(this.grid.sortingExpressions);
            if (name) {
                /** @type {?} */
                var names_1 = typeof name === 'string' ? [name] : name;
                /** @type {?} */
                var groupedCols = groupingState.filter(function (state) { return names_1.indexOf(state.fieldName) < 0; });
                /** @type {?} */
                var newSortingExpr = sortingState.filter(function (state) { return names_1.indexOf(state.fieldName) < 0; });
                this.grid.groupingExpressions = groupedCols;
                this.grid.sortingExpressions = newSortingExpr;
                names_1.forEach(function (colName) {
                    /** @type {?} */
                    var grExprIndex = groupingState.findIndex(function (exp) { return exp.fieldName === colName; });
                    /** @type {?} */
                    var grpExpandState = _this.grid.groupingExpansionState;
                    /* remove expansion states related to the cleared group
                    and all with deeper hierarchy than the cleared group */
                    _this.grid.groupingExpansionState = grpExpandState
                        .filter(function (val) {
                        return val.hierarchy && val.hierarchy.length <= grExprIndex;
                    });
                });
            }
            else {
                // clear all
                this.grid.groupingExpressions = [];
                this.grid.groupingExpansionState = [];
                var _loop_1 = function (grExpr) {
                    /** @type {?} */
                    var sortExprIndex = sortingState.findIndex(function (exp) { return exp.fieldName === grExpr.fieldName; });
                    if (sortExprIndex > -1) {
                        sortingState.splice(sortExprIndex, 1);
                    }
                };
                try {
                    for (var groupingState_1 = __values(groupingState), groupingState_1_1 = groupingState_1.next(); !groupingState_1_1.done; groupingState_1_1 = groupingState_1.next()) {
                        var grExpr = groupingState_1_1.value;
                        _loop_1(grExpr);
                    }
                }
                catch (e_2_1) { e_2 = { error: e_2_1 }; }
                finally {
                    try {
                        if (groupingState_1_1 && !groupingState_1_1.done && (_a = groupingState_1.return)) _a.call(groupingState_1);
                    }
                    finally { if (e_2) throw e_2.error; }
                }
                this.grid.sortingExpressions = sortingState;
            }
        };
        /**
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridAPIService.prototype.groupBy_get_expanded_for_group = /**
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            /** @type {?} */
            var grState = this.grid.groupingExpansionState;
            /** @type {?} */
            var hierarchy = DataUtil.getHierarchy(groupRow);
            return grState.find(function (state) {
                return DataUtil.isHierarchyMatch(state.hierarchy || [{ fieldName: groupRow.expression.fieldName, value: groupRow.value }], hierarchy);
            });
        };
        /**
         * @param {?} groupRow
         * @param {?} rowID
         * @return {?}
         */
        IgxGridAPIService.prototype.groupBy_is_row_in_group = /**
         * @param {?} groupRow
         * @param {?} rowID
         * @return {?}
         */
        function (groupRow, rowID) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var rowInGroup = false;
            groupRow.records.forEach(function (row) {
                if (grid.primaryKey ? row[grid.primaryKey] === rowID : row === rowID) {
                    rowInGroup = true;
                }
            });
            return rowInGroup;
        };
        /**
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridAPIService.prototype.groupBy_toggle_group = /**
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            /** @type {?} */
            var grid = this.grid;
            if (grid.crudService.isInEditMode) {
                grid.endEdit(true);
            }
            /** @type {?} */
            var expansionState = grid.groupingExpansionState;
            /** @type {?} */
            var state = this.groupBy_get_expanded_for_group(groupRow);
            if (state) {
                state.expanded = !state.expanded;
            }
            else {
                expansionState.push({
                    expanded: !grid.groupsExpanded,
                    hierarchy: DataUtil.getHierarchy(groupRow)
                });
            }
            this.grid.groupingExpansionState = __spread(expansionState);
            if (grid.rowEditable) {
                grid.repositionRowEditingOverlay(grid.rowInEditMode);
            }
        };
        /**
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridAPIService.prototype.groupBy_fully_expand_group = /**
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            /** @type {?} */
            var state = this.groupBy_get_expanded_for_group(groupRow);
            /** @type {?} */
            var expanded = state ? state.expanded : this.grid.groupsExpanded;
            if (!expanded) {
                this.groupBy_toggle_group(groupRow);
            }
            if (groupRow.groupParent) {
                this.groupBy_fully_expand_group(groupRow.groupParent);
            }
        };
        /**
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        IgxGridAPIService.prototype.remove_grouping_expression = /**
         * @protected
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            /** @type {?} */
            var groupingExpressions = this.grid.groupingExpressions;
            /** @type {?} */
            var index = groupingExpressions.findIndex(function (expr) { return expr.fieldName === fieldName; });
            if (index !== -1) {
                groupingExpressions.splice(index, 1);
            }
        };
        /**
         * @return {?}
         */
        IgxGridAPIService.prototype.arrange_sorting_expressions = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var groupingState = this.grid.groupingExpressions;
            this.grid.sortingExpressions.sort(function (a, b) {
                /** @type {?} */
                var groupExprA = groupingState.find(function (expr) { return expr.fieldName === a.fieldName; });
                /** @type {?} */
                var groupExprB = groupingState.find(function (expr) { return expr.fieldName === b.fieldName; });
                if (groupExprA && groupExprB) {
                    return groupingState.indexOf(groupExprA) > groupingState.indexOf(groupExprB) ? 1 : -1;
                }
                else if (groupExprA) {
                    return -1;
                }
                else if (groupExprB) {
                    return 1;
                }
                else {
                    return 0;
                }
            });
        };
        /**
         * @param {?} gRow
         * @return {?}
         */
        IgxGridAPIService.prototype.get_groupBy_record_id = /**
         * @param {?} gRow
         * @return {?}
         */
        function (gRow) {
            /** @type {?} */
            var recordId = '{ ';
            /** @type {?} */
            var hierrarchy = DataUtil.getHierarchy(gRow);
            for (var i = 0; i < hierrarchy.length; i++) {
                /** @type {?} */
                var groupByKey = hierrarchy[i];
                recordId += "'" + groupByKey.fieldName + "': '" + groupByKey.value + "'";
                if (i < hierrarchy.length - 1) {
                    recordId += ', ';
                }
            }
            recordId += ' }';
            return recordId;
        };
        return IgxGridAPIService;
    }(GridBaseAPIService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var NavigationDirection = {
        horizontal: 'horizontal',
        vertical: 'vertical',
    };
    /**
     * @hidden
     */
    var IgxGridMRLNavigationService = /** @class */ (function (_super) {
        __extends(IgxGridMRLNavigationService, _super);
        function IgxGridMRLNavigationService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} colStart
         * @param {?} rowStart
         * @param {?} dir
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.setStartNavigationCell = /**
         * @hidden
         * \@internal
         * @param {?} colStart
         * @param {?} rowStart
         * @param {?} dir
         * @return {?}
         */
        function (colStart, rowStart, dir) {
            this.startNavigationCell = {
                colStart: colStart,
                rowStart: rowStart,
                direction: dir
            };
        };
        /**
         * @private
         * @param {?} colStart
         * @param {?} rowStart
         * @param {?} navDirection
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.applyNavigationCell = /**
         * @private
         * @param {?} colStart
         * @param {?} rowStart
         * @param {?} navDirection
         * @return {?}
         */
        function (colStart, rowStart, navDirection) {
            /** @type {?} */
            var oppositeDir = navDirection === NavigationDirection.vertical ?
                NavigationDirection.horizontal : NavigationDirection.vertical;
            if (this.startNavigationCell && this.startNavigationCell.direction !== navDirection) {
                this.startNavigationCell.direction = oppositeDir;
            }
            else {
                this.setStartNavigationCell(colStart, rowStart, oppositeDir);
            }
            return navDirection === NavigationDirection.vertical ?
                this.startNavigationCell.colStart : this.startNavigationCell.rowStart;
        };
        /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.navigateUp = /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            this.focusCellUpFromLayout(rowElement, selectedNode);
        };
        /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.navigateDown = /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            this.focusCellDownFromLayout(rowElement, selectedNode);
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.isColumnRightEdgeVisible = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            /** @type {?} */
            var column = this.grid.columnList.filter(function (c) { return !c.columnGroup; }).find(function (col) { return col.visibleIndex === visibleColumnIndex; });
            /** @type {?} */
            var forOfDir = this.grid.headerContainer;
            /** @type {?} */
            var horizontalScroll = forOfDir.getScroll();
            if (!horizontalScroll.clientWidth || (column && column.pinned)) {
                return true;
            }
            else if (column) {
                if (this.isParentColumnFullyVisible(column)) {
                    return true;
                }
                /** @type {?} */
                var scrollPos = this.getChildColumnScrollPositions(visibleColumnIndex);
                return this.displayContainerWidth >= scrollPos.rightScroll - this.displayContainerScrollLeft &&
                    this.displayContainerScrollLeft <= scrollPos.leftScroll;
            }
            return false;
        };
        /**
         * @private
         * @param {?} parent
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.isParentColumnFullyVisible = /**
         * @private
         * @param {?} parent
         * @return {?}
         */
        function (parent) {
            /** @type {?} */
            var forOfDir = this.grid.dataRowList.length > 0 ? this.grid.dataRowList.first.virtDirRow : this.grid.headerContainer;
            /** @type {?} */
            var horizontalScroll = forOfDir.getScroll();
            if (!horizontalScroll.clientWidth || parent.pinned) {
                return true;
            }
            /** @type {?} */
            var index = forOfDir.igxForOf.indexOf(parent);
            return this.displayContainerWidth >= forOfDir.getColumnScrollLeft(index + 1) - this.displayContainerScrollLeft &&
                this.displayContainerScrollLeft <= forOfDir.getColumnScrollLeft(index);
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.isColumnLeftEdgeVisible = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            /** @type {?} */
            var forOfDir = this.grid.headerContainer;
            /** @type {?} */
            var horizontalScroll = forOfDir.getScroll();
            /** @type {?} */
            var column = this.grid.columnList.filter(function (c) { return !c.columnGroup; }).find(function (col) { return col.visibleIndex === visibleColumnIndex; });
            if (!horizontalScroll.clientWidth || column.pinned) {
                return true;
            }
            if (this.isParentColumnFullyVisible(column)) {
                return true;
            }
            /** @type {?} */
            var scrollPos = this.getChildColumnScrollPositions(visibleColumnIndex);
            return this.displayContainerScrollLeft <= scrollPos.leftScroll;
        };
        /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.onKeydownArrowRight = /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        function (element, selectedNode) {
            this.focusNextCellFromLayout(element, selectedNode);
        };
        /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.onKeydownArrowLeft = /**
         * @param {?} element
         * @param {?} selectedNode
         * @return {?}
         */
        function (element, selectedNode) {
            this.focusPrevCellFromLayout(element, selectedNode);
        };
        Object.defineProperty(IgxGridMRLNavigationService.prototype, "gridOrderedColumns", {
            get: /**
             * @return {?}
             */
            function () {
                return __spread(this.grid.pinnedColumns, this.grid.unpinnedColumns).filter(function (c) { return !c.columnGroup; })
                    .sort(function (a, b) { return a.visibleIndex - b.visibleIndex; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.performTab = /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        function (currentRowEl, selectedNode) {
            /** @type {?} */
            var visibleColumnIndex = selectedNode.layout ? selectedNode.layout.columnVisibleIndex : 0;
            /** @type {?} */
            var nextElementColumn = this.grid.columns.find(function (x) { return !x.columnGroup && x.visibleIndex === visibleColumnIndex + 1; });
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var row = this.grid.getRowByIndex(rowIndex);
            this._moveFocusToCell(currentRowEl, nextElementColumn, row, selectedNode, 'next');
            if (nextElementColumn) {
                this.setStartNavigationCell(nextElementColumn.colStart, nextElementColumn.rowStart, null);
            }
        };
        /**
         * @protected
         * @param {?} currentRowEl
         * @param {?} nextElementColumn
         * @param {?} row
         * @param {?} selectedNode
         * @param {?} dir
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype._moveFocusToCell = /**
         * @protected
         * @param {?} currentRowEl
         * @param {?} nextElementColumn
         * @param {?} row
         * @param {?} selectedNode
         * @param {?} dir
         * @return {?}
         */
        function (currentRowEl, nextElementColumn, row, selectedNode, dir) {
            var _this = this;
            if (nextElementColumn && row.cells) {
                /** @type {?} */
                var nextCell_1 = row.cells.find(function (currCell) { return currCell.column === nextElementColumn; });
                /** @type {?} */
                var isVisible = this.isColumnRightEdgeVisible(nextElementColumn.visibleIndex);
                if (!nextCell_1 || !isVisible) {
                    this.grid.nativeElement.focus({ preventScroll: true });
                    /** @type {?} */
                    var cb = function () {
                        nextCell_1 = row.cells.find(function (currCell) { return currCell.column === nextElementColumn; });
                        if (_this.grid.rowEditable && _this.isRowInEditMode(row.index)) {
                            if (dir === 'next') {
                                _this.moveNextEditable(row.index, selectedNode.layout.columnVisibleIndex);
                            }
                            else {
                                _this.movePreviousEditable(row.index, selectedNode.layout.columnVisibleIndex);
                            }
                            return;
                        }
                        _this._focusCell(nextCell_1.nativeElement);
                    };
                    this.performHorizontalScrollToCell(row.index, nextElementColumn.visibleIndex, false, cb);
                }
                else {
                    if (this.grid.rowEditable && this.isRowInEditMode(row.index)) {
                        if (dir === 'next') {
                            this.moveNextEditable(row.index, selectedNode.layout.columnVisibleIndex);
                        }
                        else {
                            this.movePreviousEditable(row.index, selectedNode.layout.columnVisibleIndex);
                        }
                        return;
                    }
                    this._focusCell(nextCell_1.nativeElement);
                }
            }
            else {
                // end of layout reached
                if (this.isRowInEditMode(row.index)) {
                    //  TODO: make gridAPI visible for internal use and remove cast to any
                    ((/** @type {?} */ (this.grid))).gridAPI.submit_value();
                    if (dir === 'next') {
                        this.grid.rowEditTabs.first.element.nativeElement.focus();
                    }
                    else {
                        this.grid.rowEditTabs.last.element.nativeElement.focus();
                    }
                    return;
                }
                if (dir === 'next') {
                    _super.prototype.navigateDown.call(this, currentRowEl, { row: row.index, column: 0 });
                }
                else {
                    /** @type {?} */
                    var lastVisibleIndex_1 = 0;
                    this.grid.unpinnedColumns.forEach(function (col) {
                        lastVisibleIndex_1 = Math.max(lastVisibleIndex_1, col.visibleIndex);
                    });
                    _super.prototype.navigateUp.call(this, currentRowEl, { row: row.index, column: lastVisibleIndex_1 });
                }
            }
        };
        /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.performShiftTabKey = /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        function (currentRowEl, selectedNode) {
            /** @type {?} */
            var visibleColumnIndex = selectedNode.layout ? selectedNode.layout.columnVisibleIndex : 0;
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var row = this.grid.getRowByIndex(rowIndex);
            /** @type {?} */
            var prevElementColumn = this.grid.columns.find(function (x) { return !x.columnGroup && x.visibleIndex === visibleColumnIndex - 1 && !x.hidden; });
            this._moveFocusToCell(currentRowEl, prevElementColumn, row, selectedNode, 'prev');
            if (prevElementColumn) {
                this.setStartNavigationCell(prevElementColumn.colStart, prevElementColumn.rowStart, null);
            }
        };
        /**
         * @private
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.focusCellUpFromLayout = /**
         * @private
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            var _this = this;
            /** @type {?} */
            var isGroupRow = rowElement.tagName.toLowerCase() === 'igx-grid-groupby-row';
            /** @type {?} */
            var currentRowStart = selectedNode.layout ? selectedNode.layout.rowStart : 1;
            /** @type {?} */
            var currentColStart = this.applyNavigationCell(selectedNode.layout ? selectedNode.layout.colStart : 1, currentRowStart, NavigationDirection.vertical);
            /** @type {?} */
            var parentIndex = selectedNode.column;
            /** @type {?} */
            var columnLayout = this.grid.columns.find(function (x) { return x.columnLayout && x.visibleIndex === parentIndex; });
            /** @type {?} */
            var movePrev;
            // check if element up is from the same layout
            /** @type {?} */
            var upperElementColumn = columnLayout.children.find(function (c) {
                return (c.rowEnd === currentRowStart || c.rowStart + c.gridRowSpan === currentRowStart) &&
                    c.colStart <= currentColStart &&
                    (currentColStart < c.colEnd || currentColStart < c.colStart + c.gridColumnSpan);
            });
            if (isGroupRow || !upperElementColumn) {
                // no prev row in current row layout, go to next row last rowstart
                /** @type {?} */
                var layoutRowEnd_1 = this.grid.multiRowLayoutRowSize + 1;
                upperElementColumn = columnLayout.children.find(function (c) {
                    return (c.rowEnd === layoutRowEnd_1 || c.rowStart + c.gridRowSpan === layoutRowEnd_1) &&
                        c.colStart <= currentColStart &&
                        (currentColStart < c.colEnd || currentColStart < c.colStart + c.gridColumnSpan);
                });
                movePrev = true;
            }
            /** @type {?} */
            var rowIndex = movePrev ? selectedNode.row - 1 : selectedNode.row;
            if (rowIndex < 0) {
                // end of rows reached.
                return;
            }
            /** @type {?} */
            var prevRow;
            /** @type {?} */
            var cb = function () {
                prevRow = _this.grid.getRowByIndex(rowIndex);
                if (prevRow && prevRow.cells) {
                    _this._focusCell(upperElementColumn.cells.find(function (c) { return c.rowIndex === prevRow.index; }).nativeElement);
                }
                else if (prevRow) {
                    prevRow.nativeElement.focus({ preventScroll: true });
                }
            };
            if (this.shouldPerformVerticalScroll(rowIndex, upperElementColumn.visibleIndex)) {
                this.grid.nativeElement.focus({ preventScroll: true });
                this.performVerticalScrollToCell(rowIndex, upperElementColumn.visibleIndex, cb);
            }
            else {
                cb();
            }
        };
        /**
         * @private
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.focusCellDownFromLayout = /**
         * @private
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            var _this = this;
            /** @type {?} */
            var isGroupRow = rowElement.tagName.toLowerCase() === 'igx-grid-groupby-row';
            /** @type {?} */
            var parentIndex = selectedNode.column;
            /** @type {?} */
            var columnLayout = this.grid.columns.find(function (x) { return x.columnLayout && x.visibleIndex === parentIndex; });
            /** @type {?} */
            var currentRowEnd = selectedNode.layout ? selectedNode.layout.rowEnd || selectedNode.layout.rowStart + 1 : 2;
            /** @type {?} */
            var currentColStart = this.applyNavigationCell(selectedNode.layout ? selectedNode.layout.colStart : 1, selectedNode.layout ? selectedNode.layout.rowStart : 1, NavigationDirection.vertical);
            /** @type {?} */
            var moveNext;
            // check if element down is from the same layout
            /** @type {?} */
            var nextElementColumn = columnLayout.children.find(function (c) { return c.rowStart === currentRowEnd &&
                c.colStart <= currentColStart &&
                (currentColStart < c.colEnd || currentColStart < c.colStart + c.gridColumnSpan); });
            if (isGroupRow || !nextElementColumn) {
                // no next row in current row layout, go to next row first rowstart
                nextElementColumn = columnLayout.children.find(function (c) { return c.rowStart === 1 &&
                    c.colStart <= currentColStart &&
                    (currentColStart < c.colEnd || currentColStart < c.colStart + c.gridColumnSpan); });
                moveNext = true;
            }
            /** @type {?} */
            var rowIndex = moveNext ? selectedNode.row + 1 : selectedNode.row;
            if (rowIndex > this.grid.dataView.length - 1) {
                // end of rows reached.
                return;
            }
            /** @type {?} */
            var nextRow;
            /** @type {?} */
            var cb = function () {
                nextRow = _this.grid.getRowByIndex(rowIndex);
                if (nextRow && nextRow.cells) {
                    _this._focusCell(nextElementColumn.cells.find(function (c) { return c.rowIndex === nextRow.index; }).nativeElement);
                }
                else if (nextRow) {
                    nextRow.nativeElement.focus({ preventScroll: true });
                }
            };
            if (this.shouldPerformVerticalScroll(rowIndex, nextElementColumn.visibleIndex)) {
                this.grid.nativeElement.focus({ preventScroll: true });
                this.performVerticalScrollToCell(rowIndex, nextElementColumn.visibleIndex, cb);
            }
            else {
                cb();
            }
        };
        /**
         * @private
         * @param {?} cellElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.focusNextCellFromLayout = /**
         * @private
         * @param {?} cellElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (cellElement, selectedNode) {
            var _this = this;
            /** @type {?} */
            var parentIndex = selectedNode.column;
            /** @type {?} */
            var columnLayout = this.grid.columns.find(function (x) { return x.columnLayout && x.visibleIndex === parentIndex; });
            /** @type {?} */
            var currentColEnd = selectedNode.layout.colEnd || selectedNode.layout.colStart + 1;
            /** @type {?} */
            var currentRowStart = this.applyNavigationCell(selectedNode.layout.colStart, selectedNode.layout.rowStart, NavigationDirection.horizontal);
            /** @type {?} */
            var rowIndex = selectedNode.row;
            // check if next element is from the same layout
            /** @type {?} */
            var nextElementColumn = columnLayout.children.find(function (c) { return c.colStart === currentColEnd &&
                c.rowStart <= currentRowStart &&
                (currentRowStart < c.rowEnd || currentRowStart < c.rowStart + c.gridRowSpan); });
            if (!nextElementColumn) {
                // no next column in current layout, search for next layout
                columnLayout = this.grid.columns.find(function (c) { return c.columnLayout && !c.hidden && c.visibleIndex === columnLayout.visibleIndex + 1; });
                if (!columnLayout) {
                    // reached the end
                    return null;
                }
                // next element is from the next layout
                nextElementColumn = columnLayout.children.find(function (c) { return c.colStart === 1 &&
                    c.rowStart <= currentRowStart &&
                    (currentRowStart < c.rowEnd || currentRowStart < c.rowStart + c.gridRowSpan); });
            }
            /** @type {?} */
            var cb = function () {
                /** @type {?} */
                var nextElement = nextElementColumn.cells.find(function (c) { return c.rowIndex === rowIndex; }).nativeElement;
                _this._focusCell(nextElement);
            };
            if (!this.isColumnRightEdgeVisible(nextElementColumn.visibleIndex)) {
                this.grid.nativeElement.focus({ preventScroll: true });
                this.performHorizontalScrollToCell(rowIndex, nextElementColumn.visibleIndex, false, cb);
            }
            else {
                cb();
            }
        };
        /**
         * @private
         * @param {?} cellElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.focusPrevCellFromLayout = /**
         * @private
         * @param {?} cellElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (cellElement, selectedNode) {
            var _this = this;
            /** @type {?} */
            var parentIndex = selectedNode.column;
            /** @type {?} */
            var columnLayout = this.grid.columns.find(function (x) { return x.columnLayout && x.visibleIndex === parentIndex; });
            /** @type {?} */
            var currentColStart = selectedNode.layout.colStart;
            /** @type {?} */
            var currentRowStart = this.applyNavigationCell(currentColStart, selectedNode.layout.rowStart, NavigationDirection.horizontal);
            /** @type {?} */
            var rowIndex = selectedNode.row;
            // check previous element is from the same layout
            /** @type {?} */
            var prevElementColumn = columnLayout.children
                .find(function (c) { return (c.colEnd === currentColStart || c.colStart + c.gridColumnSpan === currentColStart) &&
                c.rowStart <= currentRowStart &&
                (currentRowStart < c.rowEnd || currentRowStart < c.rowStart + c.gridRowSpan); });
            if (!prevElementColumn) {
                // no prev column in current layout, seacrh for prev layout
                columnLayout = this.grid.columns.find(function (c) { return c.columnLayout && !c.hidden && c.visibleIndex === columnLayout.visibleIndex - 1; });
                if (!columnLayout) {
                    // reached the end
                    return null;
                }
                /** @type {?} */
                var layoutSize_1 = columnLayout.getInitialChildColumnSizes(columnLayout.children).length;
                // first element is from the next layout
                prevElementColumn = columnLayout.children
                    .find(function (c) { return (c.colEnd === layoutSize_1 + 1 || c.colStart + c.gridColumnSpan === layoutSize_1 + 1) &&
                    c.rowStart <= currentRowStart &&
                    (currentRowStart < c.rowEnd || currentRowStart < c.rowStart + c.gridRowSpan); });
            }
            /** @type {?} */
            var cb = function () {
                /** @type {?} */
                var prevElement = prevElementColumn.cells.find(function (c) { return c.rowIndex === rowIndex; }).nativeElement;
                _this._focusCell(prevElement);
            };
            if (!this.isColumnLeftEdgeVisible(prevElementColumn.visibleIndex)) {
                this.grid.nativeElement.focus({ preventScroll: true });
                this.performHorizontalScrollToCell(rowIndex, prevElementColumn.visibleIndex, false, cb);
            }
            else {
                cb();
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @param {?=} cellRowStart
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.onKeydownEnd = /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @param {?=} cellRowStart
         * @return {?}
         */
        function (rowIndex, isSummary, cellRowStart) {
            var _this = this;
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var layouts = this.grid.columns.filter(function (c) { return c.columnLayout && !c.hidden; }).sort(function (a, b) { return a.visibleIndex - b.visibleIndex; });
            /** @type {?} */
            var lastLayout = layouts[layouts.length - 1];
            /** @type {?} */
            var lastLayoutChildren = lastLayout.children;
            /** @type {?} */
            var layoutSize = lastLayout.getInitialChildColumnSizes(lastLayoutChildren).length;
            /** @type {?} */
            var currentRowStart = this.applyNavigationCell(this.startNavigationCell ? this.startNavigationCell.colStart : 1, cellRowStart || this.grid.multiRowLayoutRowSize, NavigationDirection.horizontal);
            /** @type {?} */
            var nextElementColumn = lastLayout.children.find(function (c) {
                return (c.colEnd === layoutSize + 1 || c.colStart + c.gridColumnSpan === layoutSize + 1) &&
                    c.rowStart <= currentRowStart &&
                    (currentRowStart < c.rowEnd || currentRowStart < c.rowStart + c.gridRowSpan);
            });
            /** @type {?} */
            var indexInLayout = lastLayoutChildren.toArray().indexOf(nextElementColumn);
            /** @type {?} */
            var rowList = isSummary ? this.grid.summariesRowList : this.grid.dataRowList;
            /** @type {?} */
            var rowElement = rowList.find(function (row) { return row.index === rowIndex; });
            if (!rowElement) {
                return;
            }
            rowElement = rowElement.nativeElement;
            if (!this.isColumnRightEdgeVisible(nextElementColumn.visibleIndex)) {
                this.grid.nativeElement.focus({ preventScroll: true });
                /** @type {?} */
                var cb = function () {
                    /** @type {?} */
                    var allBlocks = rowElement.querySelectorAll(_this.getColumnLayoutSelector());
                    /** @type {?} */
                    var cell = allBlocks[allBlocks.length - 1].children[indexInLayout];
                    _this._focusCell(cell);
                };
                this.performHorizontalScrollToCell(rowIndex, nextElementColumn.visibleIndex, false, cb);
                return;
            }
            else {
                /** @type {?} */
                var allBlocks = rowElement.querySelectorAll(this.getColumnLayoutSelector());
                /** @type {?} */
                var cell = allBlocks[allBlocks.length - 1].children[indexInLayout];
                this._focusCell(cell);
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @param {?=} cellRowStart
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.onKeydownHome = /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @param {?=} cellRowStart
         * @return {?}
         */
        function (rowIndex, isSummary, cellRowStart) {
            var _this = this;
            if (isSummary === void 0) { isSummary = false; }
            if (cellRowStart === void 0) { cellRowStart = 1; }
            /** @type {?} */
            var firstLayout = this.grid.columns.filter(function (c) { return c.columnLayout && !c.hidden; })[0];
            /** @type {?} */
            var lastLayoutChildren = firstLayout.children.toArray();
            /** @type {?} */
            var currentRowStart = this.applyNavigationCell(this.startNavigationCell ? this.startNavigationCell.colStart : 1, cellRowStart, NavigationDirection.horizontal);
            /** @type {?} */
            var nextElementColumn = firstLayout.children.find(function (c) {
                return c.colStart === 1 &&
                    c.rowStart <= currentRowStart &&
                    (currentRowStart < c.rowEnd || currentRowStart < c.rowStart + c.gridRowSpan);
            });
            /** @type {?} */
            var indexInLayout = lastLayoutChildren.indexOf(nextElementColumn);
            /** @type {?} */
            var rowList = isSummary ? this.grid.summariesRowList : this.grid.dataRowList;
            /** @type {?} */
            var rowElement = rowList.find(function (row) { return row.index === rowIndex; });
            if (!rowElement) {
                return;
            }
            rowElement = rowElement.nativeElement;
            if (!this.isColumnLeftEdgeVisible(nextElementColumn.visibleIndex)) {
                this.grid.nativeElement.focus({ preventScroll: true });
                /** @type {?} */
                var cb = function () {
                    /** @type {?} */
                    var allBlocks = rowElement.querySelectorAll(_this.getColumnLayoutSelector());
                    /** @type {?} */
                    var cell = allBlocks[0].children[indexInLayout];
                    _this._focusCell(cell);
                };
                this.performHorizontalScrollToCell(rowIndex, nextElementColumn.visibleIndex, false, cb);
                return;
            }
            else {
                /** @type {?} */
                var allBlocks = rowElement.querySelectorAll(this.getColumnLayoutSelector());
                /** @type {?} */
                var cell = allBlocks[0].children[indexInLayout];
                this._focusCell(cell);
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.getColumnLayoutSelector = /**
         * @protected
         * @return {?}
         */
        function () {
            return '.igx-grid__mrl-block';
        };
        /**
         * @protected
         * @param {?} visibleColIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.getChildColumnScrollPositions = /**
         * @protected
         * @param {?} visibleColIndex
         * @return {?}
         */
        function (visibleColIndex) {
            /** @type {?} */
            var forOfDir = this.grid.dataRowList.length > 0 ? this.grid.dataRowList.first.virtDirRow : this.grid.headerContainer;
            /** @type {?} */
            var targetCol = this.getColunmByVisibleIndex(visibleColIndex);
            /** @type {?} */
            var parent = targetCol.parent;
            /** @type {?} */
            var parentVIndex = forOfDir.igxForOf.indexOf(parent);
            /** @type {?} */
            var leftScroll = forOfDir.getColumnScrollLeft(parentVIndex);
            /** @type {?} */
            var rightScroll = 0;
            // caculate offset from parent based on target column colStart and colEnd and the resolved child column sizes.
            /** @type {?} */
            var childSizes = parent.getFilledChildColumnSizes(parent.children);
            /** @type {?} */
            var colStart = targetCol.colStart || 1;
            /** @type {?} */
            var colEnd = targetCol.colEnd || colStart + 1;
            for (var i = 1; i < colStart; i++) {
                leftScroll += parseInt(childSizes[i - 1], 10);
            }
            rightScroll += leftScroll;
            for (var j = colStart; j < colEnd; j++) {
                rightScroll += parseInt(childSizes[j - 1], 10);
            }
            return { leftScroll: leftScroll, rightScroll: rightScroll };
        };
        /**
         * @protected
         * @param {?} visibleColIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.getColunmByVisibleIndex = /**
         * @protected
         * @param {?} visibleColIndex
         * @return {?}
         */
        function (visibleColIndex) {
            visibleColIndex = visibleColIndex < 0 ? 0 : visibleColIndex;
            return this.grid.columnList.find(function (col) { return !col.columnLayout && col.visibleIndex === visibleColIndex; });
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.shouldPerformVerticalScroll = /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (rowIndex, visibleColumnIndex) {
            if (this._isGroupRecordAt(rowIndex)) {
                return _super.prototype.shouldPerformVerticalScroll.call(this, rowIndex, visibleColumnIndex);
            }
            if (!_super.prototype.shouldPerformVerticalScroll.call(this, rowIndex, visibleColumnIndex)) {
                return false;
            }
            /** @type {?} */
            var targetRow = this.grid.summariesRowList.filter(function (s) { return s.index !== 0; })
                .concat(this.grid.rowList.toArray()).find(function (r) { return r.index === rowIndex; });
            /** @type {?} */
            var scrollTop = Math.abs(this.grid.verticalScrollContainer.getScroll().scrollTop);
            /** @type {?} */
            var containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
            /** @type {?} */
            var scrollPos = this.getVerticalScrollPositions(rowIndex, visibleColumnIndex);
            if (!targetRow || targetRow.nativeElement.offsetTop + scrollPos.topOffset < Math.abs(this.verticalDCTopOffset)
                || containerHeight && containerHeight < scrollPos.rowBottom - scrollTop) {
                return true;
            }
            else {
                return false;
            }
        };
        Object.defineProperty(IgxGridMRLNavigationService.prototype, "verticalDCTopOffset", {
            get: /**
             * @return {?}
             */
            function () {
                return parseInt(this.grid.verticalScrollContainer.dc.instance._viewContainer.element.nativeElement.style.top, 10);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} rowIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype._isGroupRecordAt = /**
         * @private
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowIndex) {
            /** @type {?} */
            var record = this.grid.dataView[rowIndex];
            return record.records && record.records.length;
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} cb
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.performVerticalScrollToCell = /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} cb
         * @return {?}
         */
        function (rowIndex, visibleColumnIndex, cb) {
            if (this._isGroupRecordAt(rowIndex)) {
                return _super.prototype.performVerticalScrollToCell.call(this, rowIndex, visibleColumnIndex, cb);
            }
            /** @type {?} */
            var containerHeight = this.grid.calcHeight ? Math.ceil(this.grid.calcHeight) : 0;
            /** @type {?} */
            var scrollTop = Math.abs(this.grid.verticalScrollContainer.getScroll().scrollTop);
            /** @type {?} */
            var scrollPos = this.getVerticalScrollPositions(rowIndex, visibleColumnIndex);
            /** @type {?} */
            var targetRow = this.grid.summariesRowList.filter(function (s) { return s.index !== 0; })
                .concat(this.grid.rowList.toArray()).find(function (r) { return r.index === rowIndex; });
            /** @type {?} */
            var isPrevious = (scrollTop > scrollPos.rowTop) && (!targetRow ||
                targetRow.nativeElement.offsetTop + scrollPos.topOffset < Math.abs(this.verticalDCTopOffset));
            /** @type {?} */
            var scrollAmount = isPrevious ? scrollPos.rowTop : Math.abs(scrollTop + containerHeight - scrollPos.rowBottom);
            this.grid.verticalScrollContainer.onChunkLoad
                .pipe(operators.first()).subscribe(function () {
                cb();
            });
            if (isPrevious) {
                this.grid.verticalScrollContainer.scrollPosition = scrollAmount;
            }
            else {
                this.grid.verticalScrollContainer.addScrollTop(scrollAmount);
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColIndex
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.getVerticalScrollPositions = /**
         * @param {?} rowIndex
         * @param {?} visibleColIndex
         * @return {?}
         */
        function (rowIndex, visibleColIndex) {
            /** @type {?} */
            var targetCol = this.getColunmByVisibleIndex(visibleColIndex);
            /** @type {?} */
            var topOffset = (targetCol.rowStart - 1) * this.grid.defaultRowHeight;
            /** @type {?} */
            var rowTop = this.grid.verticalScrollContainer.sizesCache[rowIndex] + topOffset;
            /** @type {?} */
            var rowBottom = rowTop + (this.grid.defaultRowHeight * targetCol.gridRowSpan);
            return { rowTop: rowTop, rowBottom: rowBottom, topOffset: topOffset };
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @param {?=} cb
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.performHorizontalScrollToCell = /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @param {?=} cb
         * @return {?}
         */
        function (rowIndex, visibleColumnIndex, isSummary, cb) {
            var _this = this;
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var scrollPos = this.getChildColumnScrollPositions(visibleColumnIndex);
            /** @type {?} */
            var hScroll = this.horizontalScroll(rowIndex);
            this.grid.parentVirtDir.onChunkLoad
                .pipe(operators.first())
                .subscribe(function () {
                if (cb) {
                    cb();
                }
                else {
                    _this._focusCell(_this.getCellElementByVisibleIndex(rowIndex, visibleColumnIndex, isSummary));
                }
            });
            /** @type {?} */
            var isPrevItem = hScroll.getScroll().scrollLeft > scrollPos.leftScroll;
            /** @type {?} */
            var containerSize = parseInt(hScroll.igxForContainerSize, 10);
            /** @type {?} */
            var nextScroll = isPrevItem ? scrollPos.leftScroll : scrollPos.rightScroll - containerSize;
            hScroll.scrollPosition = nextScroll;
        };
        /**
         * @protected
         * @param {?} cellElem
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype._focusCell = /**
         * @protected
         * @param {?} cellElem
         * @return {?}
         */
        function (cellElem) {
            // in case of variable row heights in mrl grid make sure cell is really in view after it has been rendered.
            /** @type {?} */
            var gridBoundingClientRect = this.grid.tbody.nativeElement.getBoundingClientRect();
            /** @type {?} */
            var diffTop = cellElem.getBoundingClientRect().top - gridBoundingClientRect.top;
            /** @type {?} */
            var diffBottom = cellElem.getBoundingClientRect().bottom - gridBoundingClientRect.bottom;
            if (diffTop < 0) {
                // cell is above grid top - not visible
                this.grid.nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(function () {
                    cellElem.focus({ preventScroll: true });
                });
                this.grid.verticalScrollContainer.addScrollTop(diffTop);
            }
            else if (diffBottom > 0) {
                // cell is below grid bottom - not visible
                this.grid.nativeElement.focus({ preventScroll: true });
                this.grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(function () {
                    cellElem.focus({ preventScroll: true });
                });
                this.grid.verticalScrollContainer.addScrollTop(diffBottom);
            }
            else {
                // cell is visible
                cellElem.focus({ preventScroll: true });
            }
        };
        /**
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.goToFirstCell = /**
         * @return {?}
         */
        function () {
            this.startNavigationCell = null;
            _super.prototype.goToFirstCell.call(this);
        };
        /**
         * @return {?}
         */
        IgxGridMRLNavigationService.prototype.goToLastCell = /**
         * @return {?}
         */
        function () {
            this.startNavigationCell = null;
            _super.prototype.goToLastCell.call(this);
        };
        IgxGridMRLNavigationService.decorators = [
            { type: core.Injectable }
        ];
        return IgxGridMRLNavigationService;
    }(IgxGridNavigationService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$m = 0;
    /**
     * **Ignite UI for Angular Grid** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/grid.html)
     *
     * The Ignite UI Grid is used for presenting and manipulating tabular data in the simplest way possible.  Once data
     * has been bound, it can be manipulated through filtering, sorting & editing operations.
     *
     * Example:
     * ```html
     * <igx-grid [data]="employeeData" autoGenerate="false">
     *   <igx-column field="first" header="First Name"></igx-column>
     *   <igx-column field="last" header="Last Name"></igx-column>
     *   <igx-column field="role" header="Role"></igx-column>
     * </igx-grid>
     * ```
     */
    var IgxGridComponent = /** @class */ (function (_super) {
        __extends(IgxGridComponent, _super);
        function IgxGridComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this._id = "igx-grid-" + NEXT_ID$m++;
            /**
             * @hidden
             */
            _this._groupingExpressions = [];
            /**
             * @hidden
             */
            _this._groupingExpandState = [];
            _this._hideGroupedColumns = false;
            _this._dropAreaMessage = null;
            _this._filteredData = null;
            /**
             * @hidden
             */
            _this.groupingExpressionsChange = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.groupingExpansionStateChange = new core.EventEmitter();
            /**
             * An \@Input property that determines whether created groups are rendered expanded or collapsed.
             * The default rendered state is expanded.
             * ```html
             * <igx-grid #grid [data]="Data" [groupsExpanded]="false" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             */
            _this.groupsExpanded = true;
            /**
             * A hierarchical representation of the group by records.
             * ```typescript
             * let groupRecords = this.grid.groupsRecords;
             * ```
             * \@memberof IgxGridComponent
             */
            _this.groupsRecords = [];
            /**
             * Emitted when a new `IgxColumnComponent` gets grouped/ungrouped, or multiple columns get
             * grouped/ungrouped at once by using the Group By API.
             * The `onGroupingDone` event would be raised only once if several columns get grouped at once by calling
             * the `groupBy()` or `clearGrouping()` API methods and passing an array as an argument.
             * The event arguments provide the `expressions`, `groupedColumns` and `ungroupedColumns` properties, which contain
             * the `ISortingExpression` and the `IgxColumnComponent` related to the grouping/ungrouping operation.
             * Please note that `groupedColumns` and `ungroupedColumns` show only the **newly** changed columns (affected by the **last**
             * grouping/ungrouping operation), not all columns which are currently grouped/ungrouped.
             * columns.
             * ```typescript
             * groupingDone(event: IGroupingDoneEventArgs){
             *     const expressions = event.expressions;
             *     //the newly grouped columns
             *     const groupedColumns = event.groupedColumns;
             *     //the newly ungrouped columns
             *     const ungroupedColumns = event.ungroupedColumns;
             * }
             * ```
             * ```html
             * <igx-grid #grid [data]="localData" (onGroupingDone)="groupingDone($event)" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             */
            _this.onGroupingDone = new core.EventEmitter();
            return _this;
        }
        Object.defineProperty(IgxGridComponent.prototype, "id", {
            /**
             * An @Input property that sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-grid [id]="'igx-grid-1'" [data]="Data" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * An \@Input property that sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-grid [id]="'igx-grid-1'" [data]="Data" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._id;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._id = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "data", {
            /**
             * An @Input property that lets you fill the `IgxGridComponent` with an array of data.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridComponent
            */
            get: /**
             * An \@Input property that lets you fill the `IgxGridComponent` with an array of data.
             * ```html
             * <igx-grid [data]="Data" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._data;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._data = value || [];
                this.summaryService.clearSummaryCache();
                if (this.shouldGenerate) {
                    this.setupColumns();
                }
                this.cdr.markForCheck();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "filteredData", {
            /**
             * Returns an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._filteredData;
            },
            /**
             * Sets an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * this.grid.filteredData = [{
             *       ID: 1,
             *       Name: "A"
             * }];
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * Sets an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * this.grid.filteredData = [{
             *       ID: 1,
             *       Name: "A"
             * }];
             * ```
             * \@memberof IgxGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filteredData = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "totalItemCount", {
            /**
             * Returns the total number of records in the data source.
             * Works only with remote grid virtualization.
             * ```typescript
             * const itemCount = this.grid1.totalItemCount;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns the total number of records in the data source.
             * Works only with remote grid virtualization.
             * ```typescript
             * const itemCount = this.grid1.totalItemCount;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this.verticalScrollContainer.totalItemCount;
            },
            /**
             * Sets the total number of records in the data source.
             * This property is required for remote grid virtualization to function when it is bound to remote data.
             * ```typescript
             * this.grid1.totalItemCount = 55;
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * Sets the total number of records in the data source.
             * This property is required for remote grid virtualization to function when it is bound to remote data.
             * ```typescript
             * this.grid1.totalItemCount = 55;
             * ```
             * \@memberof IgxGridComponent
             * @param {?} count
             * @return {?}
             */
            function (count) {
                this.verticalScrollContainer.totalItemCount = count;
                this.cdr.detectChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "_gridAPI", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return (/** @type {?} */ (this.gridAPI));
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "groupingExpressions", {
            /**
             * Returns the group by state of the `IgxGridComponent`.
             * ```typescript
             * let groupByState = this.grid.groupingExpressions;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns the group by state of the `IgxGridComponent`.
             * ```typescript
             * let groupByState = this.grid.groupingExpressions;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._groupingExpressions;
            },
            /**
             * Sets the group by state of the `IgxGridComponent` and emits the `onGroupingDone`
             * event with the appropriate arguments.
             * ```typescript
             * this.grid.groupingExpressions = [{
             *     fieldName: "ID",
             *     dir: SortingDirection.Asc,
             *     ignoreCase: false
             * }];
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(groupingExpressions)]="model.groupingExpressions"></igx-grid>
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * Sets the group by state of the `IgxGridComponent` and emits the `onGroupingDone`
             * event with the appropriate arguments.
             * ```typescript
             * this.grid.groupingExpressions = [{
             *     fieldName: "ID",
             *     dir: SortingDirection.Asc,
             *     ignoreCase: false
             * }];
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(groupingExpressions)]="model.groupingExpressions"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                if (value && value.length > 10) {
                    throw Error('Maximum amount of grouped columns is 10.');
                }
                /** @type {?} */
                var oldExpressions = this.groupingExpressions;
                /** @type {?} */
                var newExpressions = value;
                this._groupingExpressions = cloneArray(value);
                this.groupingExpressionsChange.emit(this._groupingExpressions);
                this.chipsGoupingExpressions = cloneArray(value);
                if (this._gridAPI.grid) {
                    /* grouping should work in conjunction with sorting
                    and without overriding separate sorting expressions */
                    this._applyGrouping();
                    this._gridAPI.arrange_sorting_expressions();
                    this.notifyChanges();
                }
                else {
                    // setter called before grid is registered in grid API service
                    this.sortingExpressions.unshift.apply(this.sortingExpressions, this._groupingExpressions);
                }
                if (!this._init && JSON.stringify(oldExpressions) !== JSON.stringify(newExpressions) && this.columnList) {
                    /** @type {?} */
                    var groupedCols_1 = [];
                    /** @type {?} */
                    var ungroupedCols_1 = [];
                    /** @type {?} */
                    var groupedColsArr = newExpressions.filter(function (obj) {
                        return !oldExpressions.some(function (obj2) {
                            return obj.fieldName === obj2.fieldName;
                        });
                    });
                    groupedColsArr.forEach(function (elem) {
                        groupedCols_1.push(_this.getColumnByName(elem.fieldName));
                    }, this);
                    /** @type {?} */
                    var ungroupedColsArr = oldExpressions.filter(function (obj) {
                        return !newExpressions.some(function (obj2) {
                            return obj.fieldName === obj2.fieldName;
                        });
                    });
                    ungroupedColsArr.forEach(function (elem) {
                        ungroupedCols_1.push(_this.getColumnByName(elem.fieldName));
                    }, this);
                    this.notifyChanges();
                    /** @type {?} */
                    var groupingDoneArgs = {
                        expressions: newExpressions,
                        groupedColumns: groupedCols_1,
                        ungroupedColumns: ungroupedCols_1
                    };
                    this.onGroupingDone.emit(groupingDoneArgs);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "groupingExpansionState", {
            /**
             * Returns a list of expansion states for group rows.
             * Includes only states that differ from the default one (controlled through groupsExpanded and states that the user has changed.
             * Contains the expansion state (expanded: boolean) and the unique identifier for the group row (Array).
             * ```typescript
             * const groupExpState = this.grid.groupingExpansionState;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns a list of expansion states for group rows.
             * Includes only states that differ from the default one (controlled through groupsExpanded and states that the user has changed.
             * Contains the expansion state (expanded: boolean) and the unique identifier for the group row (Array).
             * ```typescript
             * const groupExpState = this.grid.groupingExpansionState;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._groupingExpandState;
            },
            /**
             * Sets a list of expansion states for group rows.
             * ```typescript
             *      this.grid.groupingExpansionState = [{
             *      expanded: false,
             *      hierarchy: [{ fieldName: 'ID', value: 1 }]
             *   }];
             * // You can use DataUtil.getHierarchy(groupRow) to get the group `IgxGridRowComponent` hierarchy.
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(groupingExpansionState)]="model.groupingExpansionState"></igx-grid>
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * Sets a list of expansion states for group rows.
             * ```typescript
             *      this.grid.groupingExpansionState = [{
             *      expanded: false,
             *      hierarchy: [{ fieldName: 'ID', value: 1 }]
             *   }];
             * // You can use DataUtil.getHierarchy(groupRow) to get the group `IgxGridRowComponent` hierarchy.
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-grid #grid [data]="Data" [autoGenerate]="true" [(groupingExpansionState)]="model.groupingExpansionState"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value !== this._groupingExpandState) {
                    this.groupingExpansionStateChange.emit(value);
                }
                this._groupingExpandState = value;
                if (this.gridAPI.grid) {
                    this.cdr.detectChanges();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "hideGroupedColumns", {
            /**
             * An @Input property that sets whether the grouped columns should be hidden as well.
             * The default value is "false"
             * ```html
             * <igx-grid #grid [data]="localData" [hideGroupedColumns]="true" [autoGenerate]="true"></igx-grid>
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * An \@Input property that sets whether the grouped columns should be hidden as well.
             * The default value is "false"
             * ```html
             * <igx-grid #grid [data]="localData" [hideGroupedColumns]="true" [autoGenerate]="true"></igx-grid>
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._hideGroupedColumns;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value) {
                    this.groupingDiffer = this.differs.find(this.groupingExpressions).create();
                }
                else {
                    this.groupingDiffer = null;
                }
                if (this.columnList && this.groupingExpressions) {
                    this._setGroupColsVisibility(value);
                }
                this._hideGroupedColumns = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "dropAreaMessage", {
            /**
             * An accessor that returns the message displayed inside the GroupBy drop area where columns can be dragged on.
            */
            get: /**
             * An accessor that returns the message displayed inside the GroupBy drop area where columns can be dragged on.
             * @return {?}
             */
            function () {
                return this._dropAreaMessage || this.resourceStrings.igx_grid_groupByArea_message;
            },
            /**
             * An @Input property that sets the message displayed inside the GroupBy drop area where columns can be dragged on.
             * Note: The grid needs to have at least one groupable column in order the GroupBy area to be displayed.
             * ```html
             * <igx-grid dropAreaMessage="Drop here to group!">
             *      <igx-column [groupable]="true" field="ID"></igx-column>
             * </igx-grid>
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * An \@Input property that sets the message displayed inside the GroupBy drop area where columns can be dragged on.
             * Note: The grid needs to have at least one groupable column in order the GroupBy area to be displayed.
             * ```html
             * <igx-grid dropAreaMessage="Drop here to group!">
             *      <igx-column [groupable]="true" field="ID"></igx-column>
             * </igx-grid>
             * ```
             * \@memberof IgxGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._dropAreaMessage = value;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "groupsRowList", {
            /**
             * A list of all group rows.
             * ```typescript
             * const groupList = this.grid.groupsRowList;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * A list of all group rows.
             * ```typescript
             * const groupList = this.grid.groupsRowList;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                /** @type {?} */
                var res = new core.QueryList();
                if (!this._groupsRowList) {
                    return res;
                }
                /** @type {?} */
                var rList = this._groupsRowList.filter(function (item) {
                    return item.element.nativeElement.parentElement !== null;
                });
                res.reset(rList);
                return res;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "groupAreaHostClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.getComponentDensityClass('igx-drop-area');
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "groupRowTemplate", {
            /**
             * Returns the template reference of the `IgxGridComponent`'s group row.
             * ```
             * const groupRowTemplate = this.grid.groupRowTemplate;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns the template reference of the `IgxGridComponent`'s group row.
             * ```
             * const groupRowTemplate = this.grid.groupRowTemplate;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._groupRowTemplate;
            },
            /**
             * Sets the template reference of the `IgxGridComponent`'s group `IgxGridRowComponent`.
             * ```typescript
             * this.grid.groupRowTemplate = myRowTemplate.
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * Sets the template reference of the `IgxGridComponent`'s group `IgxGridRowComponent`.
             * ```typescript
             * this.grid.groupRowTemplate = myRowTemplate.
             * ```
             * \@memberof IgxGridComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._groupRowTemplate = template;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxGridComponent.prototype, "groupAreaTemplate", {
            /**
             * Returns the template reference of the `IgxGridComponent`'s group area.
             * ```typescript
             * const groupAreaTemplate = this.grid.groupAreaTemplate;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns the template reference of the `IgxGridComponent`'s group area.
             * ```typescript
             * const groupAreaTemplate = this.grid.groupAreaTemplate;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this._groupAreaTemplate;
            },
            /**
             * Sets the template reference of the `IgxGridComponent`'s group area.
             * ```typescript
             * this.grid.groupAreaTemplate = myAreaTemplate.
             * ```
             * @memberof IgxGridComponent
             */
            set: /**
             * Sets the template reference of the `IgxGridComponent`'s group area.
             * ```typescript
             * this.grid.groupAreaTemplate = myAreaTemplate.
             * ```
             * \@memberof IgxGridComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._groupAreaTemplate = template;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Groups by a new `IgxColumnComponent` based on the provided expression, or modifies an existing one.
         * Also allows for multiple columns to be grouped at once if an array of `ISortingExpression` is passed.
         * The onGroupingDone event would get raised only **once** if this method gets called multiple times with the same arguments.
         * ```typescript
         * this.grid.groupBy({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
         * this.grid.groupBy([
                { fieldName: name1, dir: SortingDirection.Asc, ignoreCase: false },
                { fieldName: name2, dir: SortingDirection.Desc, ignoreCase: true },
                { fieldName: name3, dir: SortingDirection.Desc, ignoreCase: false }
            ]);
         * ```
         * @memberof IgxGridComponent
         */
        /**
         * Groups by a new `IgxColumnComponent` based on the provided expression, or modifies an existing one.
         * Also allows for multiple columns to be grouped at once if an array of `ISortingExpression` is passed.
         * The onGroupingDone event would get raised only **once** if this method gets called multiple times with the same arguments.
         * ```typescript
         * this.grid.groupBy({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
         * this.grid.groupBy([
         * { fieldName: name1, dir: SortingDirection.Asc, ignoreCase: false },
         * { fieldName: name2, dir: SortingDirection.Desc, ignoreCase: true },
         * { fieldName: name3, dir: SortingDirection.Desc, ignoreCase: false }
         * ]);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} expression
         * @return {?}
         */
        IgxGridComponent.prototype.groupBy = /**
         * Groups by a new `IgxColumnComponent` based on the provided expression, or modifies an existing one.
         * Also allows for multiple columns to be grouped at once if an array of `ISortingExpression` is passed.
         * The onGroupingDone event would get raised only **once** if this method gets called multiple times with the same arguments.
         * ```typescript
         * this.grid.groupBy({ fieldName: name, dir: SortingDirection.Asc, ignoreCase: false });
         * this.grid.groupBy([
         * { fieldName: name1, dir: SortingDirection.Asc, ignoreCase: false },
         * { fieldName: name2, dir: SortingDirection.Desc, ignoreCase: true },
         * { fieldName: name3, dir: SortingDirection.Desc, ignoreCase: false }
         * ]);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            if (this.checkIfNoColumnField(expression)) {
                return;
            }
            this.endEdit(true);
            if (expression instanceof Array) {
                this._gridAPI.groupBy_multiple(expression);
            }
            else {
                this._gridAPI.groupBy(expression);
            }
            this.notifyChanges(true);
        };
        /**
         * Clears all grouping in the grid, if no parameter is passed.
         * If a parameter is provided, clears grouping for a particular column or an array of columns.
         * ```typescript
         * this.grid.clearGrouping(); //clears all grouping
         * this.grid.clearGrouping("ID"); //ungroups a single column
         * this.grid.clearGrouping(["ID", "Column1", "Column2"]); //ungroups multiple columns
         * ```
         *
         */
        /**
         * Clears all grouping in the grid, if no parameter is passed.
         * If a parameter is provided, clears grouping for a particular column or an array of columns.
         * ```typescript
         * this.grid.clearGrouping(); //clears all grouping
         * this.grid.clearGrouping("ID"); //ungroups a single column
         * this.grid.clearGrouping(["ID", "Column1", "Column2"]); //ungroups multiple columns
         * ```
         *
         * @param {?=} name
         * @return {?}
         */
        IgxGridComponent.prototype.clearGrouping = /**
         * Clears all grouping in the grid, if no parameter is passed.
         * If a parameter is provided, clears grouping for a particular column or an array of columns.
         * ```typescript
         * this.grid.clearGrouping(); //clears all grouping
         * this.grid.clearGrouping("ID"); //ungroups a single column
         * this.grid.clearGrouping(["ID", "Column1", "Column2"]); //ungroups multiple columns
         * ```
         *
         * @param {?=} name
         * @return {?}
         */
        function (name) {
            this._gridAPI.clear_groupby(name);
            this.notifyChanges(true);
        };
        /**
         * Returns if a group is expanded or not.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * const expandedGroup = this.grid.isExpandedGroup(this.groupRow);
         * ```
         * @memberof IgxGridComponent
         */
        /**
         * Returns if a group is expanded or not.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * const expandedGroup = this.grid.isExpandedGroup(this.groupRow);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} group
         * @return {?}
         */
        IgxGridComponent.prototype.isExpandedGroup = /**
         * Returns if a group is expanded or not.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * const expandedGroup = this.grid.isExpandedGroup(this.groupRow);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} group
         * @return {?}
         */
        function (group) {
            /** @type {?} */
            var state = this._getStateForGroupRow(group);
            return state ? state.expanded : this.groupsExpanded;
        };
        /**
         * Toggles the expansion state of a group.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * const toggleExpGroup = this.grid.toggleGroup(this.groupRow);
         * ```
         * @memberof IgxGridComponent
         */
        /**
         * Toggles the expansion state of a group.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * const toggleExpGroup = this.grid.toggleGroup(this.groupRow);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridComponent.prototype.toggleGroup = /**
         * Toggles the expansion state of a group.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * const toggleExpGroup = this.grid.toggleGroup(this.groupRow);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            this._toggleGroup(groupRow);
            this.notifyChanges();
        };
        /**
         * Expands the specified group and all of its parent groups.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * this.grid.fullyExpandGroup(this.groupRow);
         * ```
         * @memberof IgxGridComponent
         */
        /**
         * Expands the specified group and all of its parent groups.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * this.grid.fullyExpandGroup(this.groupRow);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridComponent.prototype.fullyExpandGroup = /**
         * Expands the specified group and all of its parent groups.
         * ```typescript
         * public groupRow: IGroupByRecord;
         * this.grid.fullyExpandGroup(this.groupRow);
         * ```
         * \@memberof IgxGridComponent
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            this._fullyExpandGroup(groupRow);
            this.notifyChanges();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        IgxGridComponent.prototype.isGroupByRecord = /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        function (record) {
            // return record.records instance of GroupedRecords fails under Webpack
            return record.records && record.records.length;
        };
        /**
         * Toggles the expansion state of all group rows recursively.
         * ```typescript
         * this.grid.toggleAllGroupRows;
         * ```
         * @memberof IgxGridComponent
         */
        /**
         * Toggles the expansion state of all group rows recursively.
         * ```typescript
         * this.grid.toggleAllGroupRows;
         * ```
         * \@memberof IgxGridComponent
         * @return {?}
         */
        IgxGridComponent.prototype.toggleAllGroupRows = /**
         * Toggles the expansion state of all group rows recursively.
         * ```typescript
         * this.grid.toggleAllGroupRows;
         * ```
         * \@memberof IgxGridComponent
         * @return {?}
         */
        function () {
            this.groupingExpansionState = [];
            this.groupsExpanded = !this.groupsExpanded;
            this.notifyChanges();
        };
        Object.defineProperty(IgxGridComponent.prototype, "hasGroupableColumns", {
            /**
             * Returns if the `IgxGridComponent` has groupable columns.
             * ```typescript
             * const groupableGrid = this.grid.hasGroupableColumns;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns if the `IgxGridComponent` has groupable columns.
             * ```typescript
             * const groupableGrid = this.grid.hasGroupableColumns;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return this.columnList.some(function (col) { return col.groupable && !col.columnGroup; });
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxGridComponent.prototype._setGroupColsVisibility = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            var _this = this;
            if (this.columnList.length > 0 && !this.hasColumnLayouts) {
                this.groupingExpressions.forEach(function (expr) {
                    /** @type {?} */
                    var col = _this.getColumnByName(expr.fieldName);
                    col.hidden = value;
                });
            }
        };
        Object.defineProperty(IgxGridComponent.prototype, "dropAreaVisible", {
            /**
             * Returns if the grid's group by drop area is visible.
             * ```typescript
             * const dropVisible = this.grid.dropAreaVisible;
             * ```
             * @memberof IgxGridComponent
             */
            get: /**
             * Returns if the grid's group by drop area is visible.
             * ```typescript
             * const dropVisible = this.grid.dropAreaVisible;
             * ```
             * \@memberof IgxGridComponent
             * @return {?}
             */
            function () {
                return (this.draggedColumn && this.draggedColumn.groupable) ||
                    !this.chipsGoupingExpressions.length;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridComponent.prototype._getStateForGroupRow = /**
         * @hidden
         * @protected
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            return this._gridAPI.groupBy_get_expanded_for_group(groupRow);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridComponent.prototype._toggleGroup = /**
         * @hidden
         * @protected
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            this._gridAPI.groupBy_toggle_group(groupRow);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} groupRow
         * @return {?}
         */
        IgxGridComponent.prototype._fullyExpandGroup = /**
         * @hidden
         * @protected
         * @param {?} groupRow
         * @return {?}
         */
        function (groupRow) {
            this._gridAPI.groupBy_fully_expand_group(groupRow);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridComponent.prototype._applyGrouping = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            this._gridAPI.sort_multiple(this._groupingExpressions);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fieldName
         * @return {?}
         */
        IgxGridComponent.prototype.isColumnGrouped = /**
         * @hidden
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            return this.groupingExpressions.find(function (exp) { return exp.fieldName === fieldName; }) ? true : false;
        };
        /**
        * @hidden
        */
        /**
         * @hidden
         * @param {?} rowData
         * @param {?} rowIndex
         * @return {?}
         */
        IgxGridComponent.prototype.getContext = /**
         * @hidden
         * @param {?} rowData
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowData, rowIndex) {
            return {
                $implicit: rowData,
                index: rowIndex,
                templateID: this.isGroupByRecord(rowData) ? 'groupRow' : this.isSummaryRow(rowData) ? 'summaryRow' : 'dataRow'
            };
        };
        Object.defineProperty(IgxGridComponent.prototype, "template", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.filteredData && this.filteredData.length === 0) {
                    return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyFilteredGridTemplate;
                }
                if (this.isLoading && (!this.data || this.dataLength === 0)) {
                    return this.loadingGridTemplate ? this.loadingGridTemplate : this.loadingGridDefaultTemplate;
                }
                if (this.dataLength === 0) {
                    return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyGridDefaultTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridComponent.prototype.onChipRemoved = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.clearGrouping(event.owner.id);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridComponent.prototype.chipsOrderChanged = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var newGrouping = [];
            var _loop_1 = function (i) {
                /** @type {?} */
                var expr = this_1.groupingExpressions.filter(function (item) {
                    return item.fieldName === event.chipsArray[i].id;
                })[0];
                if (!this_1.getColumnByName(expr.fieldName).groupable) {
                    return { value: void 0 };
                }
                newGrouping.push(expr);
            };
            var this_1 = this;
            for (var i = 0; i < event.chipsArray.length; i++) {
                var state_1 = _loop_1(i);
                if (typeof state_1 === "object")
                    return state_1.value;
            }
            this.groupingExpansionState = [];
            this.chipsGoupingExpressions = newGrouping;
            if (event.originalEvent instanceof KeyboardEvent) {
                // When reordered using keyboard navigation, we don't have `onMoveEnd` event.
                this.groupingExpressions = this.chipsGoupingExpressions;
            }
            this.notifyChanges();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridComponent.prototype.chipsMovingEnded = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.groupingExpressions = this.chipsGoupingExpressions;
            this.notifyChanges();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridComponent.prototype.onChipClicked = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var sortingExpr = this.sortingExpressions;
            /** @type {?} */
            var columnExpr = sortingExpr.find(function (expr) { return expr.fieldName === event.owner.id; });
            columnExpr.dir = 3 - columnExpr.dir;
            this.sort(columnExpr);
            this.notifyChanges();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxGridComponent.prototype.onChipKeyDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.originalEvent.key === ' ' || event.originalEvent.key === 'Spacebar' || event.originalEvent.key === 'Enter') {
                /** @type {?} */
                var sortingExpr = this.sortingExpressions;
                /** @type {?} */
                var columnExpr = sortingExpr.find(function (expr) { return expr.fieldName === event.owner.id; });
                columnExpr.dir = 3 - columnExpr.dir;
                this.sort(columnExpr);
                this.notifyChanges();
            }
        };
        Object.defineProperty(IgxGridComponent.prototype, "defaultTargetBodyHeight", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                /** @type {?} */
                var allItems = this.totalItemCount || this.dataLength;
                return this.renderedRowHeight * Math.min(this._defaultTargetRecordNumber, this.paging ? Math.min(allItems, this.perPage) : allItems);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxGridComponent.prototype.getGroupAreaHeight = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            return this.groupArea ? this.groupArea.nativeElement.offsetHeight : 0;
        };
        /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         */
        /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         * @return {?}
         */
        IgxGridComponent.prototype.getFeatureColumnsWidth = /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var width = _super.prototype.getFeatureColumnsWidth.call(this);
            if (this.groupingExpressions.length && this.headerGroupContainer) {
                width += this.headerGroupContainer.nativeElement.offsetWidth;
            }
            return width;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} row
         * @param {?} column
         * @return {?}
         */
        IgxGridComponent.prototype.scrollTo = /**
         * @hidden
         * @protected
         * @param {?} row
         * @param {?} column
         * @return {?}
         */
        function (row, column) {
            if (this.groupingExpressions && this.groupingExpressions.length
                && typeof (row) !== 'number') {
                /** @type {?} */
                var rowIndex = this.groupingResult.indexOf(row);
                /** @type {?} */
                var groupByRecord = this.groupingMetadata[rowIndex];
                if (groupByRecord) {
                    this._fullyExpandGroup(groupByRecord);
                }
            }
            _super.prototype.scrollTo.call(this, row, column, this.groupingFlatResult);
        };
        Object.defineProperty(IgxGridComponent.prototype, "dropAreaTemplateResolved", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.dropAreaTemplate) {
                    return this.dropAreaTemplate;
                }
                else {
                    return this.defaultDropAreaTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} expression
         * @return {?}
         */
        IgxGridComponent.prototype.getGroupByChipTitle = /**
         * @hidden
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            /** @type {?} */
            var column = this.getColumnByName(expression.fieldName);
            return (column && column.header) || expression.fieldName;
        };
        Object.defineProperty(IgxGridComponent.prototype, "iconTemplate", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.groupsExpanded) {
                    return this.headerExpandIndicatorTemplate || this.defaultExpandedTemplate;
                }
                else {
                    return this.headerCollapseIndicatorTemplate || this.defaultCollapsedTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fieldName
         * @return {?}
         */
        IgxGridComponent.prototype.getColumnGroupable = /**
         * @hidden
         * @param {?} fieldName
         * @return {?}
         */
        function (fieldName) {
            /** @type {?} */
            var column = this.getColumnByName(fieldName);
            return column && column.groupable;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxGridComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            _super.prototype.ngAfterContentInit.call(this);
            if (this.allowFiltering && this.hasColumnLayouts) {
                this.filterMode = FilterMode.excelStyleFilter;
            }
            if (this.groupTemplate) {
                this._groupRowTemplate = this.groupTemplate.template;
            }
            if (this.hideGroupedColumns && this.columnList && this.groupingExpressions) {
                this._setGroupColsVisibility(this.hideGroupedColumns);
            }
            this._setupNavigationService();
        };
        /**
         * @return {?}
         */
        IgxGridComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            this.onGroupingDone.pipe(operators.takeUntil(this.destroy$)).subscribe(function (args) {
                _this.endEdit(true);
                _this.summaryService.updateSummaryCache(args);
            });
        };
        /**
         * @return {?}
         */
        IgxGridComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.groupingDiffer && this.columnList && !this.hasColumnLayouts) {
                /** @type {?} */
                var changes = this.groupingDiffer.diff(this.groupingExpressions);
                if (changes && this.columnList.length > 0) {
                    changes.forEachAddedItem(function (rec) {
                        /** @type {?} */
                        var col = _this.getColumnByName(rec.item.fieldName);
                        col.hidden = true;
                    });
                    changes.forEachRemovedItem(function (rec) {
                        /** @type {?} */
                        var col = _this.getColumnByName(rec.item.fieldName);
                        col.hidden = false;
                    });
                }
            }
            _super.prototype.ngDoCheck.call(this);
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        IgxGridComponent.prototype.getSelectedData = /**
         * \@inheritdoc
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        function (formatters, headers) {
            if (formatters === void 0) { formatters = false; }
            if (headers === void 0) { headers = false; }
            if (this.groupingExpressions.length) {
                /** @type {?} */
                var source_1 = [];
                /** @type {?} */
                var process = function (record) {
                    if (record.expression || record.summaries) {
                        source_1.push(null);
                        return;
                    }
                    source_1.push(record);
                };
                this.dataView.forEach(process);
                return this.extractDataFromSelection(source_1, formatters, headers);
            }
            else {
                return _super.prototype.getSelectedData.call(this, formatters, headers);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxGridComponent.prototype._setupNavigationService = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.hasColumnLayouts) {
                this.navigation = new IgxGridMRLNavigationService();
                this.navigation.grid = this;
            }
        };
        /**
         * @private
         * @param {?} expression
         * @return {?}
         */
        IgxGridComponent.prototype.checkIfNoColumnField = /**
         * @private
         * @param {?} expression
         * @return {?}
         */
        function (expression) {
            var e_1, _a;
            if (expression instanceof Array) {
                try {
                    for (var expression_1 = __values(expression), expression_1_1 = expression_1.next(); !expression_1_1.done; expression_1_1 = expression_1.next()) {
                        var singleExpression = expression_1_1.value;
                        if (!singleExpression.fieldName) {
                            return true;
                        }
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (expression_1_1 && !expression_1_1.done && (_a = expression_1.return)) _a.call(expression_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                return false;
            }
            return !expression.fieldName;
        };
        IgxGridComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        providers: [
                            IgxGridNavigationService,
                            IgxGridSummaryService,
                            IgxGridSelectionService,
                            IgxGridCRUDService,
                            { provide: GridBaseAPIService, useClass: IgxGridAPIService },
                            { provide: IgxGridBaseComponent, useExisting: core.forwardRef(function () { return IgxGridComponent; }) },
                            IgxFilteringService,
                            IgxColumnResizingService,
                            IgxForOfSyncService,
                            IgxForOfScrollSyncService,
                            IgxRowIslandAPIService
                        ],
                        selector: 'igx-grid',
                        template: "<igx-grid-toolbar [style.flex-basis.px]=\"outerWidth\" role=\"rowgroup\" *ngIf=\"showToolbar\" [gridID]=\"id\"\n    [displayDensity]=\"displayDensity\" #toolbar>\n</igx-grid-toolbar>\n\n<div [style.flex-basis.px]='outerWidth' class=\"igx-grid__grouparea\"\n    *ngIf=\"groupingExpressions.length > 0 || hasGroupableColumns\" #groupArea>\n    <igx-chips-area (onReorder)=\"chipsOrderChanged($event)\" (onMoveEnd)=\"chipsMovingEnded()\">\n        <ng-container *ngFor=\"let expr of chipsGoupingExpressions; let last = last;\">\n            <igx-chip [id]=\"expr.fieldName\" [attr.title]=\"getGroupByChipTitle(expr)\"\n                [removable]=\"getColumnGroupable(expr.fieldName)\"\n                [draggable]=\"getColumnGroupable(expr.fieldName)\" [displayDensity]=\"displayDensity\"\n                (onKeyDown)=\"onChipKeyDown($event)\" (onRemove)=\"onChipRemoved($event)\"\n                (onClick)=\"getColumnGroupable(expr.fieldName) ? onChipClicked($event): null\"\n                [disabled]='!getColumnGroupable(expr.fieldName)'>\n                <span>{{ getGroupByChipTitle(expr) }}</span>\n                <igx-icon igxSuffix>{{ expr.dir == 1 ? 'arrow_upward' : 'arrow_downward' }}</igx-icon>\n            </igx-chip>\n            <span class=\"igx-grid__grouparea-connector\">\n                <igx-icon [style.visibility]=\"(!last || dropAreaVisible) ? 'visible' : 'hidden'\">arrow_forward\n                </igx-icon>\n            </span>\n        </ng-container>\n        <div igxGroupAreaDrop [style.visibility]=\"dropAreaVisible ? 'visible' : 'hidden'\" [class]=\"groupAreaHostClass\"\n            [attr.gridId]='this.id'>\n            <ng-container *ngTemplateOutlet=\"dropAreaTemplateResolved\"></ng-container>\n        </div>\n    </igx-chips-area>\n</div>\n\n<div class=\"igx-grid__thead\">\n    <div class=\"igx-grid__thead-wrapper\" [class.igx-grid__tr--mrl]='hasColumnLayouts' role=\"rowgroup\"\n    [style.width.px]='calcWidth' #theadRow>\n        <div class=\"igx-grid__tr\" role=\"row\" [style.width.px]='calcWidth'>\n            <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length <= 0\"\n                [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n                class=\"igx-grid__scroll-on-drag-left\" [style.left.px]=\"featureColumnsWidth\"></span>\n            <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length > 0\"\n                [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n                class=\"igx-grid__scroll-on-drag-pinned\" [style.left.px]=\"pinnedWidth\"></span>\n\n            <ng-container *ngIf=\"groupingExpressions.length > 0\">\n                <div class=\"igx-grid__header-indentation igx-grid__row-indentation--level-{{groupingExpressions.length}}\"\n                    [ngClass]=\"{\n                    'igx-grid__header-indentation--no-border': isRowSelectable || rowDraggable\n                }\" #headerGroupContainer  (click)=\"toggleAllGroupRows()\">\n\n                <ng-container *ngTemplateOutlet=\"iconTemplate; context: { $implicit: this }\"></ng-container>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"rowDraggable\">\n                <div class=\"igx-grid__drag-indicator\" [ngClass]=\"{\n                    'igx-grid__drag-indicator--header': !isRowSelectable\n                }\" #headerDragContainer>\n                    <div style=\"visibility: hidden;\">\n                        <ng-container\n                            *ngTemplateOutlet=\"this.dragIndicatorIconTemplate ? this.dragIndicatorIconTemplate : dragIndicatorIconBase\">\n                        </ng-container>\n                    </div>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"showRowSelectors\">\n                <div class=\"igx-grid__cbx-selection\" (click)=\"onHeaderSelectorClick($event)\" #headerSelectorContainer [ngClass]=\"{\n                    'igx-grid__cbx-selection--push': filteringService.isFilterRowVisible\n                }\">\n                    <ng-template #headSelector\n                        *ngTemplateOutlet=\"\n                        this.headSelectorTemplate ? this.headSelectorTemplate : headSelectorBaseTemplate;\n                        context: { $implicit: {\n                                        selectedCount: this.selectionService.filteredSelectedRowIds.length,\n                                        totalCount: this.totalRowsCountAfterFilter }}\">\n                    </ng-template>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"pinnedColumns.length > 0\">\n                <ng-template ngFor let-col [ngForOf]=\"pinnedColumns | igxTopLevel\">\n                    <igx-grid-header-group [column]=\"col\" [gridID]=\"id\" [style.min-width.px]=\"getHeaderGroupWidth(col)\"\n                        [style.flex-basis.px]=\"getHeaderGroupWidth(col)\"></igx-grid-header-group>\n                </ng-template>\n            </ng-container>\n            <ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxTopLevel\"\n                [igxForScrollOrientation]=\"'horizontal'\" [igxForScrollContainer]=\"parentVirtDir\"\n                [igxForContainerSize]='unpinnedWidth' [igxForTrackBy]='trackColumnChanges'\n                [igxForSizePropName]='\"calcPixelWidth\"' #hContainer>\n                <igx-grid-header-group [column]=\"col\" [gridID]=\"id\" [style.min-width.px]=\"getHeaderGroupWidth(col)\"\n                    [style.flex-basis.px]=\"getHeaderGroupWidth(col)\"></igx-grid-header-group>\n            </ng-template>\n        </div>\n        <igx-grid-filtering-row #filteringRow [style.width.px]='calcWidth' *ngIf=\"filteringService.isFilterRowVisible\"\n            [column]=\"filteringService.filteredColumn\"></igx-grid-filtering-row>\n    </div>\n    <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n        id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n    <div class=\"igx-grid__thead-thumb\" [hidden]='!hasVerticalSroll()' [style.width.px]=\"scrollWidth\"></div>\n</div>\n\n<div igxGridBody (keydown.control.c)=\"copyHandlerIE()\" (copy)=\"copyHandler($event)\" class=\"igx-grid__tbody\">\n    <div class=\"igx-grid__tbody-content\" role=\"rowgroup\" (onDragStop)=\"selectionService.dragMode = $event\"\n        (onDragScroll)=\"dragScroll($event)\" [igxGridDragSelect]=\"selectionService.dragMode\"\n        [style.height.px]='calcHeight' [style.width.px]='calcWidth || null' #tbody>\n        <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length <= 0\"\n            [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n            class=\"igx-grid__scroll-on-drag-left\"></span>\n        <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length > 0\"\n            [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n            class=\"igx-grid__scroll-on-drag-pinned\" [style.left.px]=\"pinnedWidth\"></span>\n        <ng-template igxGridFor let-rowData [igxGridForOf]=\"data\n        | gridTransaction:id:pipeTrigger\n        | visibleColumns:hasVisibleColumns\n        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger\n        | gridSort:sortingExpressions:id:pipeTrigger\n        | gridGroupBy:groupingExpressions:groupingExpansionState:groupsExpanded:id:groupsRecords:pipeTrigger\n        | gridPaging:page:perPage:id:pipeTrigger\n        | gridSummary:hasSummarizedColumns:summaryCalculationMode:summaryPosition:id:pipeTrigger:summaryPipeTrigger\"\n            let-rowIndex=\"index\" [igxForScrollOrientation]=\"'vertical'\" [igxForScrollContainer]='verticalScroll'\n            [igxForContainerSize]='calcHeight'\n            [igxForItemSize]=\"hasColumnLayouts ? rowHeight * multiRowLayoutRowSize + 1 : renderedRowHeight\"\n            #verticalScrollContainer (onChunkPreload)=\"dataLoading($event)\">\n            <ng-template #record_template>\n                <igx-grid-row [gridID]=\"id\" [index]=\"rowIndex\" [rowData]=\"rowData\" #row>\n                </igx-grid-row>\n            </ng-template>\n            <ng-template #group_template>\n                <igx-grid-groupby-row [gridID]=\"id\" [index]=\"rowIndex\" [groupRow]=\"rowData\" #row>\n                </igx-grid-groupby-row>\n            </ng-template>\n            <ng-template #summary_template>\n                <igx-grid-summary-row [gridID]=\"id\" [summaries]=\"rowData.summaries\" [index]=\"rowIndex\"\n                    class=\"igx-grid__summaries--body\" #summaryRow>\n                </igx-grid-summary-row>\n            </ng-template>\n            <ng-template\n                [igxTemplateOutlet]='isGroupByRecord(rowData) ? group_template : isSummaryRow(rowData) ? summary_template : record_template'\n                [igxTemplateOutletContext]='getContext(rowData, rowIndex)'\n                (onCachedViewLoaded)='cachedViewLoaded($event)'\n                (onBeforeViewDetach)='viewDetachHandler($event)' >\n            </ng-template>\n        </ng-template>\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n        <div class=\"igx-grid__row-editing-outlet\" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>\n    </div>\n    <div [style.display]=\"shouldOverlayLoading ? 'flex' : 'none'\" #loadingOverlay>\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </div>\n    <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n        id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n    <div [hidden]='!hasVerticalSroll()' class=\"igx-grid__tbody-scrollbar\" [style.width.px]=\"scrollWidth\"\n        [style.height.px]='calcHeight'>\n        <ng-template igxGridFor [igxGridForOf]='[]' #verticalScrollHolder></ng-template>\n    </div>\n</div>\n\n\n<div class=\"igx-grid__tfoot\" role=\"rowgroup\" [style.height.px]='summariesHeight' #tfoot>\n    <igx-grid-summary-row [style.width.px]='calcWidth' [style.height.px]='summariesHeight'\n        *ngIf=\"hasSummarizedColumns && rootSummariesEnabled\" [gridID]=\"id\"\n        [summaries]=\"id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe\" [index]=\"0\"\n        class=\"igx-grid__summaries\" #summaryRow>\n    </igx-grid-summary-row>\n    <div class=\"igx-grid__tfoot-thumb\" [hidden]='!hasVerticalSroll()' [style.height.px]='summariesHeight'\n        [style.width.px]=\"scrollWidth\"></div>\n</div>\n\n<div class=\"igx-grid__scroll\" [style.height]=\"'18px'\" #scr [hidden]=\"isHorizontalScrollHidden\">\n    <div class=\"igx-grid__scroll-start\" [style.width.px]='pinnedWidth' [hidden]=\"pinnedWidth === 0\"></div>\n    <div class=\"igx-grid__scroll-main\" [style.width.px]='unpinnedWidth'>\n        <ng-template igxGridFor [igxGridForOf]='[]' #scrollContainer>\n        </ng-template>\n    </div>\n</div>\n\n<div class=\"igx-grid__footer\" #footer>\n    <ng-content select=\"igx-grid-footer\"></ng-content>\n    <ng-container *ngIf=\"paging && totalRecords\">\n        <ng-container\n            *ngTemplateOutlet=\"paginationTemplate ? paginationTemplate : defaultPaginator; context: {$implicit: this}\">\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #defaultPaginator>\n    <igx-paginator [displayDensity]=\"displayDensity\" [(page)]=\"page\" [totalRecords]=\"totalRecords\" [(perPage)]=\"perPage\">\n    </igx-paginator>\n</ng-template>\n\n<ng-template #emptyFilteredGrid>\n    <span class=\"igx-grid__tbody-message\">{{emptyFilteredGridMessage}}</span>\n</ng-template>\n\n<ng-template #defaultEmptyGrid>\n    <span class=\"igx-grid__tbody-message\">{{emptyGridMessage}}</span>\n</ng-template>\n\n<ng-template #defaultLoadingGrid>\n    <div class=\"igx-grid__loading\">\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </div>\n</ng-template>\n\n<ng-template #defaultDropArea>\n    <igx-icon fontSet=\"material\" class=\"igx-drop-area__icon\">group_work</igx-icon>\n    <span class=\"igx-drop-area__text\">{{dropAreaMessage}}</span>\n</ng-template>\n\n<ng-template #defaultExpandedTemplate>\n    <igx-icon role=\"button\" class=\"igx-grid__group-expand-btn\"\n   [ngClass]=\"{\n    'igx-grid__group-expand-btn--push': filteringService.isFilterRowVisible\n}\">unfold_less</igx-icon>\n</ng-template>\n\n <ng-template #defaultCollapsedTemplate>\n    <igx-icon role=\"button\" class=\"igx-grid__group-expand-btn\"\n    [ngClass]=\"{\n    'igx-grid__group-expand-btn--push': filteringService.isFilterRowVisible\n}\">unfold_more</igx-icon>\n</ng-template>\n\n<div *ngIf=\"rowEditable\" igxToggle>\n    <div [className]=\"bannerClass\">\n        <ng-container\n            *ngTemplateOutlet=\"rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: endEdit.bind(this) }\">\n        </ng-container>\n    </div>\n</div>\n\n<ng-template #defaultRowEditText>\n    You have {{ rowChangesCount }} changes in this row\n</ng-template>\n\n<ng-template #defaultRowEditActions>\n    <button igxButton igxRowEditTabStop (click)=\"endEdit(false, $event)\">Cancel</button>\n    <button igxButton igxRowEditTabStop (click)=\"endEdit(true, $event)\">Done</button>\n</ng-template>\n\n<ng-template #defaultRowEditTemplate>\n    <div class=\"igx-banner__message\">\n        <span class=\"igx-banner__text\">\n            <ng-container\n                *ngTemplateOutlet=\"rowEditText ? rowEditText : defaultRowEditText; context: { $implicit: rowChangesCount }\">\n            </ng-container>\n        </span>\n    </div>\n    <div class=\"igx-banner__actions\">\n        <div class=\"igx-banner__row\">\n            <ng-container\n                *ngTemplateOutlet=\"rowEditActions ? rowEditActions : defaultRowEditActions; context: { $implicit: endEdit.bind(this) }\">\n            </ng-container>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #dragIndicatorIconBase>\n    <igx-icon fontSet=\"material\">drag_indicator</igx-icon>\n</ng-template>\n\n<ng-template #headSelectorBaseTemplate igxHeadSelector let-context>\n    <div class=\"igx-grid__cbx-padding\">\n        <igx-checkbox\n            [readonly]=\"true\"\n            [checked]=\"context.selectedCount > 0 && context.totalCount === context.selectedCount\"\n            disableRipple=\"true\"\n            [ngStyle]=\"{'visibility': isMultiRowSelectionEnabled? 'visible' : 'hidden' }\"\n            [indeterminate]=\"context.selectedCount > 0 && context.selectedCount !== context.totalCount\"\n            [aria-label]=\"headSelectorBaseAriaLabel\"\n            #headerCheckbox>\n        </igx-checkbox>\n    </div>\n</ng-template>\n\n<igx-grid-column-resizer *ngIf=\"colResizingService.showResizer\"></igx-grid-column-resizer>\n<div class=\"igx-grid__loading-outlet\" #igxLoadingOverlayOutlet igxOverlayOutlet></div>\n<div class=\"igx-grid__outlet\" #igxFilteringOverlayOutlet igxOverlayOutlet (keydown)=\"gridOutletKeyboardHandler($event)\"></div>\n"
                    }] }
        ];
        IgxGridComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            data: [{ type: core.Input }],
            groupingExpressions: [{ type: core.Input }],
            groupingExpressionsChange: [{ type: core.Output }],
            groupingExpansionState: [{ type: core.Input }],
            groupingExpansionStateChange: [{ type: core.Output }],
            groupsExpanded: [{ type: core.Input }],
            hideGroupedColumns: [{ type: core.Input }],
            dropAreaMessage: [{ type: core.Input }],
            dropAreaTemplate: [{ type: core.Input }],
            onGroupingDone: [{ type: core.Output }],
            groupTemplate: [{ type: core.ContentChild, args: [IgxGroupByRowTemplateDirective, { read: IgxGroupByRowTemplateDirective, static: false },] }],
            _groupsRowList: [{ type: core.ViewChildren, args: [IgxGridGroupByRowComponent, { read: IgxGridGroupByRowComponent },] }],
            defaultDropAreaTemplate: [{ type: core.ViewChild, args: ['defaultDropArea', { read: core.TemplateRef, static: true },] }],
            groupArea: [{ type: core.ViewChild, args: ['groupArea', { static: false },] }]
        };
        return IgxGridComponent;
    }(IgxGridBaseComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridSortingPipe = /** @class */ (function () {
        function IgxGridSortingPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?} expressions
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxGridSortingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} expressions
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (collection, expressions, id, pipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var result;
            if (!expressions.length) {
                result = collection;
            }
            else {
                result = DataUtil.sort(cloneArray(collection), expressions);
            }
            grid.filteredSortedData = result;
            return result;
        };
        IgxGridSortingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridSort',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridSortingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridSortingPipe;
    }());
    /**
     * @hidden
     */
    var IgxGridGroupingPipe = /** @class */ (function () {
        function IgxGridGroupingPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?} expression
         * @param {?} expansion
         * @param {?} defaultExpanded
         * @param {?} id
         * @param {?} groupsRecords
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxGridGroupingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} expression
         * @param {?} expansion
         * @param {?} defaultExpanded
         * @param {?} id
         * @param {?} groupsRecords
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (collection, expression, expansion, defaultExpanded, id, groupsRecords, pipeTrigger) {
            /** @type {?} */
            var state = { expressions: [], expansion: [], defaultExpanded: defaultExpanded };
            /** @type {?} */
            var grid = this.gridAPI.grid;
            state.expressions = grid.groupingExpressions;
            /** @type {?} */
            var result;
            /** @type {?} */
            var fullResult = { data: [], metadata: [] };
            if (!state.expressions.length) {
                // empty the array without changing reference
                groupsRecords.splice(0, groupsRecords.length);
                result = {
                    data: collection,
                    metadata: collection
                };
            }
            else {
                state.expansion = grid.groupingExpansionState;
                state.defaultExpanded = grid.groupsExpanded;
                result = DataUtil.group(cloneArray(collection), state, grid, groupsRecords, fullResult);
            }
            grid.groupingFlatResult = result.data;
            grid.groupingResult = fullResult.data;
            grid.groupingMetadata = fullResult.metadata;
            return result;
        };
        IgxGridGroupingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridGroupBy',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridGroupingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridGroupingPipe;
    }());
    /**
     * @hidden
     */
    var IgxGridPagingPipe = /** @class */ (function () {
        function IgxGridPagingPipe(gridAPI) {
            this.gridAPI = gridAPI;
        }
        /**
         * @param {?} collection
         * @param {?=} page
         * @param {?=} perPage
         * @param {?=} id
         * @param {?=} pipeTrigger
         * @return {?}
         */
        IgxGridPagingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?=} page
         * @param {?=} perPage
         * @param {?=} id
         * @param {?=} pipeTrigger
         * @return {?}
         */
        function (collection, page, perPage, id, pipeTrigger) {
            if (page === void 0) { page = 0; }
            if (perPage === void 0) { perPage = 15; }
            if (!this.gridAPI.grid.paging) {
                return collection;
            }
            /** @type {?} */
            var state = {
                index: page,
                recordsPerPage: perPage
            };
            DataUtil.correctPagingState(state, collection.data.length);
            /** @type {?} */
            var result = {
                data: DataUtil.page(cloneArray(collection.data), state),
                metadata: DataUtil.page(cloneArray(collection.metadata), state)
            };
            if (this.gridAPI.grid.page !== state.index) {
                this.gridAPI.grid.page = state.index;
            }
            this.gridAPI.grid.pagingState = state;
            return result;
        };
        IgxGridPagingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridPaging',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridPagingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridPagingPipe;
    }());
    /**
     * @hidden
     */
    var IgxGridFilteringPipe = /** @class */ (function () {
        function IgxGridFilteringPipe(gridAPI) {
            this.gridAPI = gridAPI;
        }
        /**
         * @param {?} collection
         * @param {?} expressionsTree
         * @param {?} filterStrategy
         * @param {?} advancedExpressionsTree
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} filteringPipeTrigger
         * @return {?}
         */
        IgxGridFilteringPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} expressionsTree
         * @param {?} filterStrategy
         * @param {?} advancedExpressionsTree
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} filteringPipeTrigger
         * @return {?}
         */
        function (collection, expressionsTree, filterStrategy, advancedExpressionsTree, id, pipeTrigger, filteringPipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var state = {
                expressionsTree: expressionsTree,
                strategy: filterStrategy,
                advancedExpressionsTree: advancedExpressionsTree
            };
            if (FilteringExpressionsTree.empty(state.expressionsTree) && FilteringExpressionsTree.empty(state.advancedExpressionsTree)) {
                return collection;
            }
            /** @type {?} */
            var result = DataUtil.filter(cloneArray(collection), state);
            grid.filteredData = result;
            return result;
        };
        IgxGridFilteringPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridFiltering',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridFilteringPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridFilteringPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxGridRowComponent = /** @class */ (function (_super) {
        __extends(IgxGridRowComponent, _super);
        // R.K. TODO: Remove
        function IgxGridRowComponent(gridAPI, crudService, selectionService, element, cdr) {
            var _this = 
            // D.P. constructor duplication due to es6 compilation, might be obsolete in the future
            _super.call(this, gridAPI, crudService, selectionService, element, cdr) || this;
            _this.gridAPI = gridAPI;
            _this.crudService = crudService;
            _this.selectionService = selectionService;
            _this.element = element;
            _this.cdr = cdr;
            return _this;
        }
        Object.defineProperty(IgxGridRowComponent.prototype, "hasColumnLayouts", {
            get: /**
             * @return {?}
             */
            function () {
                return this.grid.hasColumnLayouts;
            },
            enumerable: true,
            configurable: true
        });
        IgxGridRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-grid-row',
                        template: "<ng-container *ngIf=\"grid.groupingExpressions.length > 0\">\n    <div class=\"igx-grid__row-indentation igx-grid__row-indentation--level-{{grid.groupingExpressions.length}}\"></div>\n</ng-container>\n<ng-container *ngIf=\"rowDraggable\">\n    <div [class]=\"resolveDragIndicatorClasses\" [igxRowDrag]=\"this\" (click)=\"$event.stopPropagation()\" [ghostTemplate]=\"this.grid.getDragGhostCustomTemplate()\">\n        <ng-container *ngTemplateOutlet=\"this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase\"></ng-container>\n    </div>\n</ng-container>\n<ng-container *ngIf=\"this.showRowSelectors\">\n    <div class=\"igx-grid__cbx-selection\" (click)=\"onRowSelectorClick($event)\">\n         <ng-template *ngTemplateOutlet=\"\n            this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;\n            context: { $implicit: { index: viewIndex, rowID: rowID, selected: selected }}\">\n        </ng-template>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"!grid.hasColumnLayouts\">\n    <ng-container *ngIf=\"pinnedColumns.length > 0\">\n        <igx-grid-cell *ngFor=\"let col of pinnedColumns | igxNotGrouped\"\n            class=\"igx-grid__td igx-grid__td--fw igx-grid__td--pinned\"\n            [class.igx-grid__td--number]=\"col.dataType === 'number'\"\n            [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n            [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n            [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n            [column]=\"col\"\n            [formatter]=\"col.formatter\"\n            [row]=\"this\"\n            [lastPinned]=\"col.isLastPinned\"\n            [style.min-height.px]=\"grid.rowHeight || 32\"\n            [rowData]=\"rowData\"\n            [style.min-width.px]=\"col.width\"\n            [style.flex-basis.px]=\"col.width\"\n            [width]=\"col.getCellWidth()\"\n            [visibleColumnIndex]=\"col.visibleIndex\"\n            [value]=\"rowData[col.field]\"\n            [cellTemplate]=\"col.bodyTemplate\"\n            [cellSelectionMode]=\"grid.cellSelection\">\n        </igx-grid-cell>\n    </ng-container>\n    <ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxNotGrouped\" [igxForScrollContainer]=\"grid.parentVirtDir\" [igxForScrollOrientation]=\"'horizontal'\" [igxForContainerSize]='grid.unpinnedWidth' [igxForSizePropName]='\"calcPixelWidth\"' [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>\n        <igx-grid-cell\n            class=\"igx-grid__td igx-grid__td--fw\"\n            [class.igx-grid__td--number]=\"col.dataType === 'number'\"\n            [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n            [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n            [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n            [column]=\"col\"\n            [formatter]=\"col.formatter\"\n            [row]=\"this\"\n            [style.min-height.px]=\"grid.rowHeight || 32\"\n            [rowData]=\"rowData\"\n            [style.min-width.px]=\"col.width\"\n            [style.flex-basis.px]=\"col.width\"\n            [width]=\"col.getCellWidth()\"\n            [visibleColumnIndex]=\"col.visibleIndex\"\n            [value]=\"rowData[col.field]\"\n            [cellTemplate]=\"col.bodyTemplate\"\n            [cellSelectionMode]=\"grid.cellSelection\">\n        </igx-grid-cell>\n    </ng-template>\n</ng-container>\n\n<ng-container *ngIf=\"grid.hasColumnLayouts\">\n    <ng-container *ngIf=\"pinnedColumns.length > 0\">\n        <div *ngFor=\"let col of pinnedColumns | igxTopLevel\" class=\"igx-grid__mrl-block\"\n        [ngClass]=\"{'igx-grid__td--pinned-last': col.hasLastPinnedChildColumn}\"\n        [ngStyle]=\"{'grid-template-rows':col.getGridTemplate(true, false),\n        'grid-template-columns':col.getGridTemplate(false, false),\n        'z-index': col.pinned ? 1 : null,\n        '-ms-grid-rows':col.getGridTemplate(true, true),\n        '-ms-grid-columns':col.getGridTemplate(false, true)}\">\n            <igx-grid-cell *ngFor=\"let child of col.children\"\n                class=\"igx-grid__td igx-grid__td--fw igx-grid__td--pinned\"\n                [class.igx-grid__td--number]=\"child.dataType === 'number'\"\n                [ngClass]=\"child.cellClasses | igxCellStyleClasses:rowData[child.field]:rowData:child.field:viewIndex\"\n                [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n                [editMode]=\"child.editable && crudService.isInEditMode(index, child.index)\"\n                [column]=\"child\"\n                [formatter]=\"child.formatter\"\n                [row]=\"this\"\n                [style.min-height.px]=\"grid.rowHeight || 32\"\n                [rowData]=\"rowData\"\n                [visibleColumnIndex]=\"child.visibleIndex\"\n                [value]=\"rowData[child.field]\"\n                [cellTemplate]=\"child.bodyTemplate\"\n                [cellSelectionMode]=\"grid.cellSelection\"></igx-grid-cell>\n        </div>\n    </ng-container>\n    <ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxTopLevel\" [igxForScrollContainer]=\"grid.parentVirtDir\" let-colIndex=\"index\" [igxForScrollOrientation]=\"'horizontal'\" [igxForContainerSize]='grid.unpinnedWidth' [igxForSizePropName]='\"calcPixelWidth\"' [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>\n        <div class=\"igx-grid__mrl-block\"\n        [ngStyle]=\"{'grid-template-rows':col.getGridTemplate(true, false),\n     'grid-template-columns':col.getGridTemplate(false, false),\n     '-ms-grid-rows':col.getGridTemplate(true, true),\n     '-ms-grid-columns':col.getGridTemplate(false, true)}\">\n            <igx-grid-cell *ngFor=\"let child of col.children\"\n                class=\"igx-grid__td igx-grid__td--fw\"\n                [class.igx-grid__td--number]=\"child.dataType === 'number'\"\n                [ngClass]=\"child.cellClasses | igxCellStyleClasses:rowData[child.field]:rowData:child.field:viewIndex\"\n                [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n                [editMode]=\"child.editable && crudService.isInEditMode(index, child.index)\"\n                [column]=\"child\"\n                [formatter]=\"child.formatter\"\n                [row]=\"this\"\n                [style.min-height.px]=\"grid.rowHeight || 32\"\n                [rowData]=\"rowData\"\n                [visibleColumnIndex]=\"child.visibleIndex\"\n                [value]=\"rowData[child.field]\"\n                [cellTemplate]=\"child.bodyTemplate\"\n                [cellSelectionMode]=\"grid.cellSelection\"></igx-grid-cell>\n        </div>\n    </ng-template>\n</ng-container>\n\n<ng-template #rowSelectorBaseTemplate>\n    <div class=\"igx-grid__cbx-padding\">\n        <igx-checkbox\n            [checked]=\"selected\"\n            [readonly]=\"true\"\n            [disabled]=\"deleted\"\n            disableRipple=\"true\"\n            [disableTransitions]=\"grid.disableTransitions\"\n            [aria-label]=\"rowCheckboxAriaLabel\">\n        </igx-checkbox>\n    </div>\n</ng-template>\n",
                        providers: [{ provide: IgxRowComponent, useExisting: core.forwardRef(function () { return IgxGridRowComponent; }) }]
                    }] }
        ];
        /** @nocollapse */
        IgxGridRowComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: IgxGridCRUDService },
            { type: IgxGridSelectionService },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxGridRowComponent.propDecorators = {
            hasColumnLayouts: [{ type: core.HostBinding, args: ['class.igx-grid__tr--mrl',] }]
        };
        return IgxGridRowComponent;
    }(IgxRowComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridSummaryPipe = /** @class */ (function () {
        function IgxGridSummaryPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?} hasSummary
         * @param {?} summaryCalculationMode
         * @param {?} summaryPosition
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} summaryPipeTrigger
         * @return {?}
         */
        IgxGridSummaryPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} hasSummary
         * @param {?} summaryCalculationMode
         * @param {?} summaryPosition
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} summaryPipeTrigger
         * @return {?}
         */
        function (collection, hasSummary, summaryCalculationMode, summaryPosition, id, pipeTrigger, summaryPipeTrigger) {
            if (!collection.data || !hasSummary || summaryCalculationMode === GridSummaryCalculationMode.rootLevelOnly) {
                return collection.data;
            }
            return this.addSummaryRows(id, collection, summaryPosition);
        };
        /**
         * @private
         * @param {?} gridId
         * @param {?} collection
         * @param {?} summaryPosition
         * @return {?}
         */
        IgxGridSummaryPipe.prototype.addSummaryRows = /**
         * @private
         * @param {?} gridId
         * @param {?} collection
         * @param {?} summaryPosition
         * @return {?}
         */
        function (gridId, collection, summaryPosition) {
            var _a;
            /** @type {?} */
            var recordsWithSummary = [];
            /** @type {?} */
            var lastChildMap = new Map();
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var maxSummaryHeight = grid.summaryService.calcMaxSummaryHeight();
            if (collection.metadata.length && !grid.isGroupByRecord(collection.data[0]) &&
                grid.isGroupByRecord(collection.metadata[0]) && summaryPosition === GridSummaryPosition.bottom) {
                /** @type {?} */
                var groups = [];
                groups.push(collection.metadata[0]);
                while (groups[groups.length - 1].groupParent) {
                    groups.push(groups[groups.length - 1].groupParent);
                }
                groups.reverse();
                groups.forEach(function (g) { return g.skip = true; });
                (_a = collection.data).splice.apply(_a, __spread([0, 0], groups));
            }
            for (var i = 0; i < collection.data.length; i++) {
                /** @type {?} */
                var record = collection.data[i];
                /** @type {?} */
                var skipAdd = false;
                /** @type {?} */
                var recordId = void 0;
                /** @type {?} */
                var groupByRecord = null;
                if (grid.isGroupByRecord(record)) {
                    skipAdd = !!record.skip;
                    record.skip = null;
                    groupByRecord = (/** @type {?} */ (record));
                    recordId = this.gridAPI.get_groupBy_record_id(groupByRecord);
                }
                else {
                    recordId = this.gridAPI.get_row_id(record);
                }
                if (!skipAdd) {
                    recordsWithSummary.push(record);
                }
                if (summaryPosition === GridSummaryPosition.bottom && lastChildMap.has(recordId)) {
                    /** @type {?} */
                    var groupRecords = lastChildMap.get(recordId);
                    for (var j = 0; j < groupRecords.length; j++) {
                        /** @type {?} */
                        var groupRecord = groupRecords[j];
                        /** @type {?} */
                        var groupRecordId = this.gridAPI.get_groupBy_record_id(groupRecord);
                        /** @type {?} */
                        var records = this.removeDeletedRecord(grid, groupRecord.records.slice());
                        /** @type {?} */
                        var summaries = grid.summaryService.calculateSummaries(groupRecordId, records);
                        /** @type {?} */
                        var summaryRecord = {
                            summaries: summaries,
                            max: maxSummaryHeight
                        };
                        recordsWithSummary.push(summaryRecord);
                    }
                }
                if (groupByRecord === null || !grid.isExpandedGroup(groupByRecord)) {
                    continue;
                }
                if (summaryPosition === GridSummaryPosition.top) {
                    /** @type {?} */
                    var records = this.removeDeletedRecord(grid, groupByRecord.records.slice());
                    /** @type {?} */
                    var summaries = grid.summaryService.calculateSummaries(recordId, records);
                    /** @type {?} */
                    var summaryRecord = {
                        summaries: summaries,
                        max: maxSummaryHeight
                    };
                    recordsWithSummary.push(summaryRecord);
                }
                else if (summaryPosition === GridSummaryPosition.bottom) {
                    /** @type {?} */
                    var lastChild = groupByRecord;
                    while (lastChild.groups && lastChild.groups.length > 0 && grid.isExpandedGroup(lastChild)) {
                        lastChild = lastChild.groups[lastChild.groups.length - 1];
                    }
                    /** @type {?} */
                    var lastChildId = void 0;
                    if (grid.isExpandedGroup(lastChild)) {
                        lastChildId = this.gridAPI.get_row_id(lastChild.records[lastChild.records.length - 1]);
                    }
                    else {
                        lastChildId = this.gridAPI.get_groupBy_record_id(lastChild);
                    }
                    /** @type {?} */
                    var groupRecords = lastChildMap.get(lastChildId);
                    if (!groupRecords) {
                        groupRecords = [];
                        lastChildMap.set(lastChildId, groupRecords);
                    }
                    groupRecords.unshift(groupByRecord);
                }
            }
            return recordsWithSummary;
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} data
         * @return {?}
         */
        IgxGridSummaryPipe.prototype.removeDeletedRecord = /**
         * @private
         * @param {?} grid
         * @param {?} data
         * @return {?}
         */
        function (grid, data) {
            if (!grid.transactions.enabled) {
                return data;
            }
            /** @type {?} */
            var deletedRows = grid.transactions.getTransactionLog().filter(function (t) { return t.type === 'delete'; }).map(function (t) { return t.id; });
            deletedRows.forEach(function (rowID) {
                /** @type {?} */
                var tempData = grid.primaryKey ? data.map(function (rec) { return rec[grid.primaryKey]; }) : data;
                /** @type {?} */
                var index = tempData.indexOf(rowID);
                if (index !== -1) {
                    data.splice(index, 1);
                }
            });
            return data;
        };
        IgxGridSummaryPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridSummary',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridSummaryPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridSummaryPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridModule = /** @class */ (function () {
        function IgxGridModule() {
        }
        /**
         * @return {?}
         */
        IgxGridModule.forRoot = /**
         * @return {?}
         */
        function () {
            return {
                ngModule: IgxGridModule
            };
        };
        IgxGridModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxGridComponent,
                            IgxGridRowComponent,
                            IgxGridGroupByRowComponent,
                            IgxGroupByRowTemplateDirective,
                            IgxRowExpandedIndicatorDirective,
                            IgxRowCollapsedIndicatorDirective,
                            IgxHeaderExpandIndicatorDirective,
                            IgxHeaderCollapseIndicatorDirective,
                            IgxGroupAreaDropDirective,
                            IgxGridGroupingPipe,
                            IgxGridPagingPipe,
                            IgxGridSortingPipe,
                            IgxGridFilteringPipe,
                            IgxGridSummaryPipe
                        ],
                        exports: [
                            IgxGridComponent,
                            IgxGridGroupByRowComponent,
                            IgxGridRowComponent,
                            IgxGroupByRowTemplateDirective,
                            IgxRowExpandedIndicatorDirective,
                            IgxRowCollapsedIndicatorDirective,
                            IgxHeaderExpandIndicatorDirective,
                            IgxHeaderCollapseIndicatorDirective,
                            IgxGroupAreaDropDirective,
                            IgxGridCommonModule,
                            IgxGridGroupingPipe,
                            IgxGridPagingPipe,
                            IgxGridSortingPipe,
                            IgxGridFilteringPipe,
                            IgxGridSummaryPipe
                        ],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IgxChipsModule,
                            IgxGridCommonModule,
                            IgxSelectModule
                        ]
                    },] }
        ];
        __decorate([
            DeprecateMethod('IgxGridModule.forRoot method is deprecated. Use IgxGridModule instead.'),
            __metadata("design:type", Function),
            __metadata("design:paramtypes", []),
            __metadata("design:returntype", void 0)
        ], IgxGridModule, "forRoot", null);
        return IgxGridModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTreeGridAPIService = /** @class */ (function (_super) {
        __extends(IgxTreeGridAPIService, _super);
        function IgxTreeGridAPIService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @param {?=} transactions
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.get_all_data = /**
         * @param {?=} transactions
         * @return {?}
         */
        function (transactions) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var data = transactions ? grid.dataWithAddedInTransactionRows : grid.flatData;
            return data ? data : [];
        };
        /**
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.get_summary_data = /**
         * @return {?}
         */
        function () {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var data = grid.processedRootRecords.filter(function (row) { return row.isFilteredOutParent === undefined || row.isFilteredOutParent === false; })
                .map(function (rec) { return rec.data; });
            if (grid.transactions.enabled) {
                /** @type {?} */
                var deletedRows = grid.transactions.getTransactionLog().filter(function (t) { return t.type === TransactionType.DELETE; }).map(function (t) { return t.id; });
                deletedRows.forEach(function (rowID) {
                    /** @type {?} */
                    var tempData = grid.primaryKey ? data.map(function (rec) { return rec[grid.primaryKey]; }) : data;
                    /** @type {?} */
                    var index = tempData.indexOf(rowID);
                    if (index !== -1) {
                        data.splice(index, 1);
                    }
                });
            }
            return data;
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.expand_row = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var expandedStates = grid.expansionStates;
            expandedStates.set(rowID, true);
            grid.expansionStates = expandedStates;
            if (grid.rowEditable) {
                grid.endEdit(true);
            }
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.collapse_row = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var expandedStates = grid.expansionStates;
            expandedStates.set(rowID, false);
            grid.expansionStates = expandedStates;
            if (grid.rowEditable) {
                grid.endEdit(true);
            }
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.toggle_row_expansion = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var expandedStates = grid.expansionStates;
            /** @type {?} */
            var treeRecord = grid.records.get(rowID);
            if (treeRecord) {
                /** @type {?} */
                var isExpanded = this.get_row_expansion_state(treeRecord);
                expandedStates.set(rowID, !isExpanded);
                grid.expansionStates = expandedStates;
            }
            if (grid.rowEditable) {
                grid.endEdit(true);
            }
        };
        // TODO: Maybe move the focus logic in the tree cell ?
        // TODO: Maybe move the focus logic in the tree cell ?
        /**
         * @param {?} row
         * @param {?} expanded
         * @param {?=} event
         * @param {?=} visibleColumnIndex
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.trigger_row_expansion_toggle = 
        // TODO: Maybe move the focus logic in the tree cell ?
        /**
         * @param {?} row
         * @param {?} expanded
         * @param {?=} event
         * @param {?=} visibleColumnIndex
         * @return {?}
         */
        function (row, expanded, event, visibleColumnIndex) {
            var _this = this;
            /** @type {?} */
            var grid = this.grid;
            if (row.expanded === expanded ||
                ((!row.children || !row.children.length) && (!grid.loadChildrenOnDemand ||
                    (grid.hasChildrenKey && !row.data[grid.hasChildrenKey])))) {
                return;
            }
            /** @type {?} */
            var args = {
                rowID: row.rowID,
                expanded: expanded,
                event: event,
                cancel: false
            };
            grid.onRowToggle.emit(args);
            if (args.cancel) {
                return;
            }
            /** @type {?} */
            var expandedStates = grid.expansionStates;
            expandedStates.set(row.rowID, expanded);
            grid.expansionStates = expandedStates;
            if (grid.rowEditable) {
                grid.endEdit(true);
            }
            // TODO: Leave it to grid observer
            requestAnimationFrame(function () {
                /** @type {?} */
                var el = _this.grid.selectionService.activeElement;
                if (el) {
                    /** @type {?} */
                    var cell = _this.get_cell_by_visible_index(el.row, el.column);
                    if (cell) {
                        cell.nativeElement.focus();
                    }
                }
            });
        };
        /**
         * @param {?} record
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.expand_path_to_record = /**
         * @param {?} record
         * @return {?}
         */
        function (record) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var expandedStates = grid.expansionStates;
            while (record.parent) {
                record = record.parent;
                /** @type {?} */
                var expanded = this.get_row_expansion_state(record);
                if (!expanded) {
                    expandedStates.set(record.rowID, true);
                }
            }
            grid.expansionStates = expandedStates;
            if (grid.rowEditable) {
                grid.endEdit(true);
            }
        };
        /**
         * @param {?} record
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.get_row_expansion_state = /**
         * @param {?} record
         * @return {?}
         */
        function (record) {
            /** @type {?} */
            var grid = this.grid;
            /** @type {?} */
            var states = grid.expansionStates;
            /** @type {?} */
            var expanded = states.get(record.rowID);
            if (expanded !== undefined) {
                return expanded;
            }
            else {
                return record.children && record.children.length && record.level < grid.expansionDepth;
            }
        };
        /**
         * @protected
         * @param {?} value
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.update_row_in_array = /**
         * @protected
         * @param {?} value
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        function (value, rowID, index) {
            /** @type {?} */
            var grid = this.grid;
            if (grid.primaryKey && grid.foreignKey) {
                _super.prototype.update_row_in_array.call(this, value, rowID, index);
            }
            else {
                /** @type {?} */
                var record = grid.records.get(rowID);
                /** @type {?} */
                var childData = record.parent ? record.parent.data[grid.childDataKey] : grid.data;
                index = grid.primaryKey ? childData.map(function (c) { return c[grid.primaryKey]; }).indexOf(rowID) :
                    childData.indexOf(rowID);
                childData[index] = value;
            }
        };
        /**
         * @param {?} column
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.should_apply_number_style = /**
         * @param {?} column
         * @return {?}
         */
        function (column) {
            return column.dataType === DataType.Number && column.visibleIndex !== 0;
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.deleteRowById = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var treeGrid = this.grid;
            /** @type {?} */
            var flatDataWithCascadeOnDeleteAndTransactions = treeGrid.primaryKey &&
                treeGrid.foreignKey &&
                treeGrid.cascadeOnDelete &&
                treeGrid.transactions.enabled;
            if (flatDataWithCascadeOnDeleteAndTransactions) {
                treeGrid.transactions.startPending();
            }
            _super.prototype.deleteRowById.call(this, rowID);
            if (flatDataWithCascadeOnDeleteAndTransactions) {
                treeGrid.transactions.endPending(true);
            }
        };
        /**
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.deleteRowFromData = /**
         * @param {?} rowID
         * @param {?} index
         * @return {?}
         */
        function (rowID, index) {
            /** @type {?} */
            var treeGrid = this.grid;
            /** @type {?} */
            var record = treeGrid.records.get(rowID);
            if (treeGrid.primaryKey && treeGrid.foreignKey) {
                index = treeGrid.primaryKey ?
                    treeGrid.data.map(function (c) { return c[treeGrid.primaryKey]; }).indexOf(rowID) :
                    treeGrid.data.indexOf(rowID);
                _super.prototype.deleteRowFromData.call(this, rowID, index);
                if (treeGrid.cascadeOnDelete) {
                    if (record && record.children && record.children.length > 0) {
                        for (var i = 0; i < record.children.length; i++) {
                            /** @type {?} */
                            var child = record.children[i];
                            _super.prototype.deleteRowById.call(this, child.rowID);
                        }
                    }
                }
            }
            else {
                /** @type {?} */
                var collection = record.parent ? record.parent.data[treeGrid.childDataKey] : treeGrid.data;
                index = treeGrid.primaryKey ?
                    collection.map(function (c) { return c[treeGrid.primaryKey]; }).indexOf(rowID) :
                    collection.indexOf(rowID);
                /** @type {?} */
                var selectedChildren = [];
                this.get_selected_children(record, selectedChildren);
                if (selectedChildren.length > 0) {
                    treeGrid.deselectRows(selectedChildren);
                }
                if (treeGrid.transactions.enabled) {
                    /** @type {?} */
                    var path = treeGrid.generateRowPath(rowID);
                    treeGrid.transactions.add({
                        id: rowID,
                        type: TransactionType.DELETE,
                        newValue: null,
                        path: path
                    }, collection[index]);
                }
                else {
                    collection.splice(index, 1);
                }
            }
        };
        /**
         * Updates related row of provided grid's data source with provided new row value
         * @param grid Grid to update data for
         * @param rowID ID of the row to update
         * @param rowValueInDataSource Initial value of the row as it is in data source
         * @param rowCurrentValue Current value of the row as it is with applied previous transactions
         * @param rowNewValue New value of the row
         */
        /**
         * Updates related row of provided grid's data source with provided new row value
         * @protected
         * @param {?} grid Grid to update data for
         * @param {?} rowID ID of the row to update
         * @param {?} rowValueInDataSource Initial value of the row as it is in data source
         * @param {?} rowCurrentValue Current value of the row as it is with applied previous transactions
         * @param {?} rowNewValue New value of the row
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.updateData = /**
         * Updates related row of provided grid's data source with provided new row value
         * @protected
         * @param {?} grid Grid to update data for
         * @param {?} rowID ID of the row to update
         * @param {?} rowValueInDataSource Initial value of the row as it is in data source
         * @param {?} rowCurrentValue Current value of the row as it is with applied previous transactions
         * @param {?} rowNewValue New value of the row
         * @return {?}
         */
        function (grid, rowID, rowValueInDataSource, rowCurrentValue, rowNewValue) {
            if (grid.transactions.enabled) {
                /** @type {?} */
                var path = grid.generateRowPath(rowID);
                /** @type {?} */
                var transaction = {
                    id: rowID,
                    type: TransactionType.UPDATE,
                    newValue: rowNewValue,
                    path: path
                };
                grid.transactions.add(transaction, rowCurrentValue);
            }
            else {
                mergeObjects(rowValueInDataSource, rowNewValue);
            }
        };
        /**
         * @param {?} record
         * @param {?} selectedRowIDs
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.get_selected_children = /**
         * @param {?} record
         * @param {?} selectedRowIDs
         * @return {?}
         */
        function (record, selectedRowIDs) {
            var e_1, _a;
            /** @type {?} */
            var grid = this.grid;
            if (!record.children || record.children.length === 0) {
                return;
            }
            try {
                for (var _b = __values(record.children), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var child = _c.value;
                    if (grid.selectionService.isRowSelected(child.rowID)) {
                        selectedRowIDs.push(child.rowID);
                    }
                    this.get_selected_children(child, selectedRowIDs);
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /**
         * @param {?} rowID
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.row_deleted_transaction = /**
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            return this.row_deleted_parent(rowID) || _super.prototype.row_deleted_transaction.call(this, rowID);
        };
        /**
         * @private
         * @param {?} rowID
         * @return {?}
         */
        IgxTreeGridAPIService.prototype.row_deleted_parent = /**
         * @private
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            /** @type {?} */
            var grid = this.grid;
            if (!grid) {
                return false;
            }
            if ((grid.cascadeOnDelete && grid.foreignKey) || grid.childDataKey) {
                /** @type {?} */
                var node = grid.records.get(rowID);
                while (node) {
                    /** @type {?} */
                    var state = grid.transactions.getState(node.rowID);
                    if (state && state.type === TransactionType.DELETE) {
                        return true;
                    }
                    node = node.parent;
                }
            }
            return false;
        };
        return IgxTreeGridAPIService;
    }(GridBaseAPIService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTreeGridNavigationService = /** @class */ (function (_super) {
        __extends(IgxTreeGridNavigationService, _super);
        function IgxTreeGridNavigationService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @protected
         * @param {?=} visibleIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxTreeGridNavigationService.prototype.getCellSelector = /**
         * @protected
         * @param {?=} visibleIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (visibleIndex, isSummary) {
            if (isSummary === void 0) { isSummary = false; }
            if (isSummary) {
                return 'igx-grid-summary-cell';
            }
            if (visibleIndex === 0) {
                return 'igx-tree-grid-cell';
            }
            return 'igx-grid-cell';
        };
        /**
         * @protected
         * @return {?}
         */
        IgxTreeGridNavigationService.prototype.getRowSelector = /**
         * @protected
         * @return {?}
         */
        function () {
            return 'igx-tree-grid-row';
        };
        return IgxTreeGridNavigationService;
    }(IgxGridNavigationService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxRowLoadingIndicatorTemplateDirective = /** @class */ (function () {
        function IgxRowLoadingIndicatorTemplateDirective(template) {
            this.template = template;
        }
        IgxRowLoadingIndicatorTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRowLoadingIndicator]'
                    },] }
        ];
        /** @nocollapse */
        IgxRowLoadingIndicatorTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxRowLoadingIndicatorTemplateDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$n = 0;
    /**
     * **Ignite UI for Angular Tree Grid** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/grid.html)
     *
     * The Ignite UI Tree Grid displays and manipulates hierarchical data with consistent schema formatted as a table and
     * provides features such as sorting, filtering, editing, column pinning, paging, column moving and hiding.
     *
     * Example:
     * ```html
     * <igx-tree-grid [data]="employeeData" primaryKey="employeeID" foreignKey="PID" autoGenerate="false">
     *   <igx-column field="first" header="First Name"></igx-column>
     *   <igx-column field="last" header="Last Name"></igx-column>
     *   <igx-column field="role" header="Role"></igx-column>
     * </igx-tree-grid>
     * ```
     */
    var IgxTreeGridComponent = /** @class */ (function (_super) {
        __extends(IgxTreeGridComponent, _super);
        function IgxTreeGridComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this._id = "igx-tree-grid-" + NEXT_ID$n++;
            /**
             * Returns a map of all `ITreeGridRecord`s.
             * ```typescript
             * // gets the record with primaryKey=2
             * const states = this.grid.records.get(2);
             * ```
             * \@memberof IgxTreeGridComponent
             */
            _this.records = new Map();
            /**
             * Returns a map of all processed (filtered and sorted) `ITreeGridRecord`s.
             * ```typescript
             * // gets the processed record with primaryKey=2
             * const states = this.grid.processedRecords.get(2);
             * ```
             * \@memberof IgxTreeGridComponent
             */
            _this.processedRecords = new Map();
            /**
             * An \@Input property indicating whether child records should be deleted when their parent gets deleted.
             * By default it is set to true and deletes all children along with the parent.
             * ```html
             * <igx-tree-grid [data]="employeeData" [primaryKey]="'employeeID'" [foreignKey]="'parentID'" cascadeOnDelete="false">
             * </igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             */
            _this.cascadeOnDelete = true;
            _this._expansionDepth = Infinity;
            _this._expansionStates = new Map();
            /**
             * @hidden
             */
            _this.expansionStatesChange = new core.EventEmitter();
            /**
             * Emitted when the expanded state of a row gets changed.
             * ```typescript
             * rowToggle(event: IRowToggleEventArgs){
             *  // the id of the row
             *  const rowID = event.rowID;
             *  // the new expansion state
             *  const newExpandedState = event.expanded;
             *  // the original event that triggered onRowToggle
             *  const originalEvent = event.event;
             *  // whether the event should be cancelled
             *  event.cancel = true;
             * }
             * ```
             * ```html
             * <igx-tree-grid [data]="employeeData" (onRowToggle)="rowToggle($event)" [autoGenerate]="true"></igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             */
            _this.onRowToggle = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.loadingRows = new Set();
            _this._filteredData = null;
            return _this;
        }
        Object.defineProperty(IgxTreeGridComponent.prototype, "id", {
            /**
             * An @Input property that sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-tree-grid [id]="'igx-tree-grid-1'"></igx-tree-grid>
             * ```
             * @memberof IgxTreeGridComponent
             */
            get: /**
             * An \@Input property that sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-tree-grid [id]="'igx-tree-grid-1'"></igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             * @return {?}
             */
            function () {
                return this._id;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._id = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "data", {
            /**
             * An @Input property that lets you fill the `IgxTreeGridComponent` with an array of data.
             * ```html
             * <igx-tree-grid [data]="Data" [autoGenerate]="true"></igx-tree-grid>
             * ```
             * @memberof IgxTreeGridComponent
             */
            get: /**
             * An \@Input property that lets you fill the `IgxTreeGridComponent` with an array of data.
             * ```html
             * <igx-tree-grid [data]="Data" [autoGenerate]="true"></igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             * @return {?}
             */
            function () {
                return this._data;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._data = value || [];
                this.summaryService.clearSummaryCache();
                if (this.shouldGenerate) {
                    this.setupColumns();
                }
                this.cdr.markForCheck();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "filteredData", {
            /**
             * Returns an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * @memberof IgxTreeGridComponent
             */
            get: /**
             * Returns an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * \@memberof IgxTreeGridComponent
             * @return {?}
             */
            function () {
                return this._filteredData;
            },
            /**
             * Sets an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * this.grid.filteredData = [{
             *       ID: 1,
             *       Name: "A"
             * }];
             * ```
             * @memberof IgxTreeGridComponent
             */
            set: /**
             * Sets an array of objects containing the filtered data in the `IgxGridComponent`.
             * ```typescript
             * this.grid.filteredData = [{
             *       ID: 1,
             *       Name: "A"
             * }];
             * ```
             * \@memberof IgxTreeGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filteredData = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "transactions", {
            /**
             * Get transactions service for the grid.
             * @experimental @hidden
             */
            get: /**
             * Get transactions service for the grid.
             * \@experimental \@hidden
             * @return {?}
             */
            function () {
                return this._transactions;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "expansionDepth", {
            /**
             * An @Input property that sets the count of levels to be expanded in the `IgxTreeGridComponent`. By default it is
             * set to `Infinity` which means all levels would be expanded.
             * ```html
             * <igx-tree-grid #grid [data]="employeeData" [childDataKey]="'employees'" expansionDepth="1" [autoGenerate]="true"></igx-tree-grid>
             * ```
             * @memberof IgxTreeGridComponent
             */
            get: /**
             * An \@Input property that sets the count of levels to be expanded in the `IgxTreeGridComponent`. By default it is
             * set to `Infinity` which means all levels would be expanded.
             * ```html
             * <igx-tree-grid #grid [data]="employeeData" [childDataKey]="'employees'" expansionDepth="1" [autoGenerate]="true"></igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             * @return {?}
             */
            function () {
                return this._expansionDepth;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._expansionDepth = value;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "expansionStates", {
            /**
             * Returns a list of key-value pairs [row ID, expansion state]. Includes only states that differ from the default one.
             * ```typescript
             * const expansionStates = this.grid.expansionStates;
             * ```
             * @memberof IgxTreeGridComponent
             */
            get: /**
             * Returns a list of key-value pairs [row ID, expansion state]. Includes only states that differ from the default one.
             * ```typescript
             * const expansionStates = this.grid.expansionStates;
             * ```
             * \@memberof IgxTreeGridComponent
             * @return {?}
             */
            function () {
                return this._expansionStates;
            },
            /**
             * Sets a list of key-value pairs [row ID, expansion state].
             * ```typescript
             * const states = new Map<any, boolean>();
             * states.set(1, true);
             * this.grid.expansionStates = states;
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-tree-grid #grid [data]="employeeData" [childDataKey]="'employees'" [(expansionStates)]="model.expansionStates">
             * </igx-tree-grid>
             * ```
             * @memberof IgxTreeGridComponent
             */
            set: /**
             * Sets a list of key-value pairs [row ID, expansion state].
             * ```typescript
             * const states = new Map<any, boolean>();
             * states.set(1, true);
             * this.grid.expansionStates = states;
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-tree-grid #grid [data]="employeeData" [childDataKey]="'employees'" [(expansionStates)]="model.expansionStates">
             * </igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._expansionStates = this.cloneMap(value);
                this.expansionStatesChange.emit(this._expansionStates);
                if (this.gridAPI.grid) {
                    this.cdr.detectChanges();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "rowLoadingIndicatorTemplate", {
            /**
             * An @Input property that provides a template for the row loading indicator when load on demand is enabled.
             * ```html
             * <ng-template #rowLoadingTemplate>
             *     <igx-icon fontSet="material">loop</igx-icon>
             * </ng-template>
             *
             * <igx-tree-grid #grid [data]="employeeData" [primaryKey]="'ID'" [foreignKey]="'parentID'"
             *                [loadChildrenOnDemand]="loadChildren"
             *                [rowLoadingIndicatorTemplate]="rowLoadingTemplate">
             * </igx-tree-grid>
             * ```
             * @memberof IgxTreeGridComponent
             */
            get: /**
             * An \@Input property that provides a template for the row loading indicator when load on demand is enabled.
             * ```html
             * <ng-template #rowLoadingTemplate>
             *     <igx-icon fontSet="material">loop</igx-icon>
             * </ng-template>
             *
             * <igx-tree-grid #grid [data]="employeeData" [primaryKey]="'ID'" [foreignKey]="'parentID'"
             *                [loadChildrenOnDemand]="loadChildren"
             *                [rowLoadingIndicatorTemplate]="rowLoadingTemplate">
             * </igx-tree-grid>
             * ```
             * \@memberof IgxTreeGridComponent
             * @return {?}
             */
            function () {
                return this._rowLoadingIndicatorTemplate;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._rowLoadingIndicatorTemplate = value;
                this.notifyChanges();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridComponent.prototype, "_gridAPI", {
            // Kind of stupid
            get: 
            // Kind of stupid
            /**
             * @private
             * @return {?}
             */
            function () {
                return (/** @type {?} */ (this.gridAPI));
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTreeGridComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            _super.prototype.ngOnInit.call(this);
            this.onRowToggle.pipe(operators.takeUntil(this.destroy$)).subscribe(function (args) {
                _this.loadChildrenOnRowExpansion(args);
            });
        };
        /**
         * @return {?}
         */
        IgxTreeGridComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            _super.prototype.ngDoCheck.call(this);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTreeGridComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.rowLoadingTemplate) {
                this._rowLoadingIndicatorTemplate = this.rowLoadingTemplate.template;
            }
            _super.prototype.ngAfterContentInit.call(this);
        };
        /**
         * @private
         * @param {?} args
         * @return {?}
         */
        IgxTreeGridComponent.prototype.loadChildrenOnRowExpansion = /**
         * @private
         * @param {?} args
         * @return {?}
         */
        function (args) {
            var _this = this;
            if (this.loadChildrenOnDemand) {
                /** @type {?} */
                var parentID_1 = args.rowID;
                if (args.expanded && !this._expansionStates.has(parentID_1)) {
                    this.loadingRows.add(parentID_1);
                    this.loadChildrenOnDemand(parentID_1, function (children) {
                        _this.loadingRows.delete(parentID_1);
                        _this.addChildRows(children, parentID_1);
                        _this.notifyChanges();
                        requestAnimationFrame(function () {
                            /** @type {?} */
                            var cellID = _this.selectionService.activeElement;
                            if (cellID) {
                                /** @type {?} */
                                var cell = _this._gridAPI.get_cell_by_index(cellID.row, cellID.column);
                                if (cell) {
                                    cell.nativeElement.focus();
                                }
                            }
                        });
                    });
                }
            }
        };
        /**
         * @private
         * @param {?} children
         * @param {?} parentID
         * @return {?}
         */
        IgxTreeGridComponent.prototype.addChildRows = /**
         * @private
         * @param {?} children
         * @param {?} parentID
         * @return {?}
         */
        function (children, parentID) {
            var _this = this;
            var e_1, _a, _b;
            if (this.primaryKey && this.foreignKey) {
                try {
                    for (var children_1 = __values(children), children_1_1 = children_1.next(); !children_1_1.done; children_1_1 = children_1.next()) {
                        var child = children_1_1.value;
                        child[this.foreignKey] = parentID;
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (children_1_1 && !children_1_1.done && (_a = children_1.return)) _a.call(children_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
                (_b = this.data).push.apply(_b, __spread(children));
            }
            else if (this.childDataKey) {
                /** @type {?} */
                var parent_1 = this.records.get(parentID);
                /** @type {?} */
                var parentData = parent_1.data;
                if (this.transactions.enabled && this.transactions.getAggregatedChanges(true).length) {
                    /** @type {?} */
                    var path = [];
                    while (parent_1) {
                        path.push(parent_1.rowID);
                        parent_1 = parent_1.parent;
                    }
                    /** @type {?} */
                    var collection = this.data;
                    /** @type {?} */
                    var record = void 0;
                    var _loop_1 = function (i) {
                        /** @type {?} */
                        var pid = path[i];
                        record = collection.find(function (r) { return r[_this.primaryKey] === pid; });
                        if (!record) {
                            return "break";
                        }
                        collection = record[this_1.childDataKey];
                    };
                    var this_1 = this;
                    for (var i = path.length - 1; i >= 0; i--) {
                        var state_1 = _loop_1(i);
                        if (state_1 === "break")
                            break;
                    }
                    if (record) {
                        parentData = record;
                    }
                }
                parentData[this.childDataKey] = children;
            }
            this.selectionService.clearHeaderCBState();
            this._pipeTrigger++;
        };
        /**
         * @private
         * @param {?} mapIn
         * @return {?}
         */
        IgxTreeGridComponent.prototype.cloneMap = /**
         * @private
         * @param {?} mapIn
         * @return {?}
         */
        function (mapIn) {
            /** @type {?} */
            var mapCloned = new Map();
            mapIn.forEach(function (value, key, mapObj) {
                mapCloned.set(key, value);
            });
            return mapCloned;
        };
        /**
         * Expands the `IgxTreeGridRowComponent` with the specified rowID.
         * @param rowID The identifier of the row to be expanded.
         * ```typescript
         * this.grid.expandRow(2);
         * ```
         * @memberof IgxTreeGridComponent
         */
        /**
         * Expands the `IgxTreeGridRowComponent` with the specified rowID.
         * \@memberof IgxTreeGridComponent
         * @param {?} rowID The identifier of the row to be expanded.
         * ```typescript
         * this.grid.expandRow(2);
         * ```
         * @return {?}
         */
        IgxTreeGridComponent.prototype.expandRow = /**
         * Expands the `IgxTreeGridRowComponent` with the specified rowID.
         * \@memberof IgxTreeGridComponent
         * @param {?} rowID The identifier of the row to be expanded.
         * ```typescript
         * this.grid.expandRow(2);
         * ```
         * @return {?}
         */
        function (rowID) {
            this._gridAPI.expand_row(rowID);
        };
        /**
         * Collapses the `IgxTreeGridRowComponent` with the specified rowID.
         * @param rowID The identifier of the row to be collapsed.
         * ```typescript
         * this.grid.collapseRow(2);
         * ```
         * @memberof IgxTreeGridComponent
         */
        /**
         * Collapses the `IgxTreeGridRowComponent` with the specified rowID.
         * \@memberof IgxTreeGridComponent
         * @param {?} rowID The identifier of the row to be collapsed.
         * ```typescript
         * this.grid.collapseRow(2);
         * ```
         * @return {?}
         */
        IgxTreeGridComponent.prototype.collapseRow = /**
         * Collapses the `IgxTreeGridRowComponent` with the specified rowID.
         * \@memberof IgxTreeGridComponent
         * @param {?} rowID The identifier of the row to be collapsed.
         * ```typescript
         * this.grid.collapseRow(2);
         * ```
         * @return {?}
         */
        function (rowID) {
            this._gridAPI.collapse_row(rowID);
        };
        /**
         * Toggles the expansion state of the `IgxTreeGridRowComponent` with the specified rowID.
         * @param rowID The identifier of the row to be toggled.
         * ```typescript
         * this.grid.toggleRow(2);
         * ```
         * @memberof IgxTreeGridComponent
         */
        /**
         * Toggles the expansion state of the `IgxTreeGridRowComponent` with the specified rowID.
         * \@memberof IgxTreeGridComponent
         * @param {?} rowID The identifier of the row to be toggled.
         * ```typescript
         * this.grid.toggleRow(2);
         * ```
         * @return {?}
         */
        IgxTreeGridComponent.prototype.toggleRow = /**
         * Toggles the expansion state of the `IgxTreeGridRowComponent` with the specified rowID.
         * \@memberof IgxTreeGridComponent
         * @param {?} rowID The identifier of the row to be toggled.
         * ```typescript
         * this.grid.toggleRow(2);
         * ```
         * @return {?}
         */
        function (rowID) {
            this._gridAPI.toggle_row_expansion(rowID);
        };
        /**
         * Expands all rows.
         * ```typescript
         * this.grid.expandAll();
         * ```
         * @memberof IgxTreeGridComponent
         */
        /**
         * Expands all rows.
         * ```typescript
         * this.grid.expandAll();
         * ```
         * \@memberof IgxTreeGridComponent
         * @return {?}
         */
        IgxTreeGridComponent.prototype.expandAll = /**
         * Expands all rows.
         * ```typescript
         * this.grid.expandAll();
         * ```
         * \@memberof IgxTreeGridComponent
         * @return {?}
         */
        function () {
            this._expansionDepth = Infinity;
            this.expansionStates = new Map();
        };
        /**
         * Collapses all rows.
         * ```typescript
         * this.grid.collapseAll();
         * ```
         * @memberof IgxTreeGridComponent
         */
        /**
         * Collapses all rows.
         * ```typescript
         * this.grid.collapseAll();
         * ```
         * \@memberof IgxTreeGridComponent
         * @return {?}
         */
        IgxTreeGridComponent.prototype.collapseAll = /**
         * Collapses all rows.
         * ```typescript
         * this.grid.collapseAll();
         * ```
         * \@memberof IgxTreeGridComponent
         * @return {?}
         */
        function () {
            this._expansionDepth = 0;
            this.expansionStates = new Map();
        };
        /**
         * Creates a new `IgxTreeGridRowComponent` with the given data. If a parentRowID is not specified, the newly created
         * row would be added at the root level. Otherwise, it would be added as a child of the row whose primaryKey matches
         * the specified parentRowID. If the parentRowID does not exist, an error would be thrown.
         * ```typescript
         * const record = {
         *     ID: this.grid.data[this.grid1.data.length - 1].ID + 1,
         *     Name: this.newRecord
         * };
         * this.grid.addRow(record, 1); // Adds a new child row to the row with ID=1.
         * ```
         * @param data
         * @param parentRowID
         * @memberof IgxTreeGridComponent
         */
        /**
         * Creates a new `IgxTreeGridRowComponent` with the given data. If a parentRowID is not specified, the newly created
         * row would be added at the root level. Otherwise, it would be added as a child of the row whose primaryKey matches
         * the specified parentRowID. If the parentRowID does not exist, an error would be thrown.
         * ```typescript
         * const record = {
         *     ID: this.grid.data[this.grid1.data.length - 1].ID + 1,
         *     Name: this.newRecord
         * };
         * this.grid.addRow(record, 1); // Adds a new child row to the row with ID=1.
         * ```
         * \@memberof IgxTreeGridComponent
         * @param {?} data
         * @param {?=} parentRowID
         * @return {?}
         */
        IgxTreeGridComponent.prototype.addRow = /**
         * Creates a new `IgxTreeGridRowComponent` with the given data. If a parentRowID is not specified, the newly created
         * row would be added at the root level. Otherwise, it would be added as a child of the row whose primaryKey matches
         * the specified parentRowID. If the parentRowID does not exist, an error would be thrown.
         * ```typescript
         * const record = {
         *     ID: this.grid.data[this.grid1.data.length - 1].ID + 1,
         *     Name: this.newRecord
         * };
         * this.grid.addRow(record, 1); // Adds a new child row to the row with ID=1.
         * ```
         * \@memberof IgxTreeGridComponent
         * @param {?} data
         * @param {?=} parentRowID
         * @return {?}
         */
        function (data, parentRowID) {
            if (parentRowID !== undefined && parentRowID !== null) {
                _super.prototype.endEdit.call(this, true);
                /** @type {?} */
                var state = this.transactions.getState(parentRowID);
                // we should not allow adding of rows as child of deleted row
                if (state && state.type === TransactionType.DELETE) {
                    throw Error("Cannot add child row to deleted parent row");
                }
                /** @type {?} */
                var parentRecord = this.records.get(parentRowID);
                if (!parentRecord) {
                    throw Error('Invalid parent row ID!');
                }
                this.summaryService.clearSummaryCache({ rowID: parentRecord.rowID });
                if (this.primaryKey && this.foreignKey) {
                    data[this.foreignKey] = parentRowID;
                    _super.prototype.addRow.call(this, data);
                }
                else {
                    /** @type {?} */
                    var parentData = parentRecord.data;
                    /** @type {?} */
                    var childKey = this.childDataKey;
                    if (this.transactions.enabled) {
                        /** @type {?} */
                        var rowId = this.primaryKey ? data[this.primaryKey] : data;
                        /** @type {?} */
                        var path = [];
                        path.push.apply(path, __spread(this.generateRowPath(parentRowID)));
                        path.push(parentRowID);
                        this.transactions.add((/** @type {?} */ ({
                            id: rowId,
                            path: path,
                            newValue: data,
                            type: TransactionType.ADD
                        })), null);
                    }
                    else {
                        if (!parentData[childKey]) {
                            parentData[childKey] = [];
                        }
                        parentData[childKey].push(data);
                    }
                    this.onRowAdded.emit({ data: data });
                    this._pipeTrigger++;
                    this.notifyChanges();
                }
            }
            else {
                if (this.primaryKey && this.foreignKey) {
                    /** @type {?} */
                    var rowID = data[this.foreignKey];
                    this.summaryService.clearSummaryCache({ rowID: rowID });
                }
                _super.prototype.addRow.call(this, data);
            }
        };
        /** @hidden */
        /**
         * @hidden
         * @param {?} rowId
         * @return {?}
         */
        IgxTreeGridComponent.prototype.deleteRowById = /**
         * @hidden
         * @param {?} rowId
         * @return {?}
         */
        function (rowId) {
            //  if this is flat self-referencing data, and CascadeOnDelete is set to true
            //  and if we have transactions we should start pending transaction. This allows
            //  us in case of delete action to delete all child rows as single undo action
            this._gridAPI.deleteRowById(rowId);
        };
        /** @hidden */
        /**
         * @hidden
         * @param {?} rowId
         * @return {?}
         */
        IgxTreeGridComponent.prototype.generateRowPath = /**
         * @hidden
         * @param {?} rowId
         * @return {?}
         */
        function (rowId) {
            /** @type {?} */
            var path = [];
            /** @type {?} */
            var record = this.records.get(rowId);
            while (record.parent) {
                path.push(record.parent.rowID);
                record = record.parent;
            }
            return path.reverse();
        };
        /**
         * @hidden @internal
         */
        /**
         * @hidden \@internal
         * @protected
         * @return {?}
         */
        IgxTreeGridComponent.prototype.getDataBasedBodyHeight = /**
         * @hidden \@internal
         * @protected
         * @return {?}
         */
        function () {
            return !this.flatData || (this.flatData.length < this._defaultTargetRecordNumber) ?
                0 : this.defaultTargetBodyHeight;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} row
         * @param {?} column
         * @return {?}
         */
        IgxTreeGridComponent.prototype.scrollTo = /**
         * @hidden
         * @protected
         * @param {?} row
         * @param {?} column
         * @return {?}
         */
        function (row, column) {
            var _this = this;
            /** @type {?} */
            var delayScrolling = false;
            /** @type {?} */
            var record;
            if (typeof (row) !== 'number') {
                /** @type {?} */
                var rowData = row;
                /** @type {?} */
                var rowID = this._gridAPI.get_row_id(rowData);
                record = this.processedRecords.get(rowID);
                this._gridAPI.expand_path_to_record(record);
                if (this.paging) {
                    /** @type {?} */
                    var rowIndex = this.processedExpandedFlatData.indexOf(rowData);
                    /** @type {?} */
                    var page = Math.floor(rowIndex / this.perPage);
                    if (this.page !== page) {
                        delayScrolling = true;
                        this.page = page;
                    }
                }
            }
            if (delayScrolling) {
                this.verticalScrollContainer.onDataChanged.pipe(operators.first()).subscribe(function () {
                    _this.scrollDirective(_this.verticalScrollContainer, typeof (row) === 'number' ? row : _this.dataView.indexOf(record));
                });
            }
            else {
                this.scrollDirective(this.verticalScrollContainer, typeof (row) === 'number' ? row : this.dataView.indexOf(record));
            }
            this.scrollToHorizontally(column);
        };
        /**
        * @hidden
        */
        /**
         * @hidden
         * @param {?} rowData
         * @param {?} rowIndex
         * @return {?}
         */
        IgxTreeGridComponent.prototype.getContext = /**
         * @hidden
         * @param {?} rowData
         * @param {?} rowIndex
         * @return {?}
         */
        function (rowData, rowIndex) {
            return {
                $implicit: rowData,
                index: rowIndex,
                templateID: this.isSummaryRow(rowData) ? 'summaryRow' : 'dataRow'
            };
        };
        /**
         * @inheritdoc
         */
        /**
         * \@inheritdoc
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        IgxTreeGridComponent.prototype.getSelectedData = /**
         * \@inheritdoc
         * @param {?=} formatters
         * @param {?=} headers
         * @return {?}
         */
        function (formatters, headers) {
            if (formatters === void 0) { formatters = false; }
            if (headers === void 0) { headers = false; }
            /** @type {?} */
            var source = [];
            /** @type {?} */
            var process = function (record) {
                if (record.summaries) {
                    source.push(null);
                    return;
                }
                source.push(record.data);
            };
            this.dataView.forEach(process);
            return this.extractDataFromSelection(source, formatters, headers);
        };
        Object.defineProperty(IgxTreeGridComponent.prototype, "template", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.filteredData && this.filteredData.length === 0) {
                    return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyFilteredGridTemplate;
                }
                if (this.isLoading && (!this.data || this.dataLength === 0)) {
                    return this.loadingGridTemplate ? this.loadingGridTemplate : this.loadingGridDefaultTemplate;
                }
                if (this.dataLength === 0) {
                    return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyGridDefaultTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @protected
         * @param {?} rowIndex
         * @param {?} value
         * @return {?}
         */
        IgxTreeGridComponent.prototype.writeToData = /**
         * @protected
         * @param {?} rowIndex
         * @param {?} value
         * @return {?}
         */
        function (rowIndex, value) {
            mergeObjects(this.flatData[rowIndex], value);
        };
        /**
         * @hidden
        */
        /**
         * @hidden
         * @protected
         * @param {?} collection
         * @param {?=} cb
         * @return {?}
         */
        IgxTreeGridComponent.prototype.initColumns = /**
         * @hidden
         * @protected
         * @param {?} collection
         * @param {?=} cb
         * @return {?}
         */
        function (collection, cb) {
            if (cb === void 0) { cb = null; }
            if (this.hasColumnLayouts) {
                // invalid configuration - tree grid should not allow column layouts
                // remove column layouts
                /** @type {?} */
                var nonColumnLayoutColumns = this.columnList.filter(function (col) { return !col.columnLayout && !col.columnLayoutChild; });
                this.columnList.reset(nonColumnLayoutColumns);
            }
            _super.prototype.initColumns.call(this, collection, cb);
        };
        IgxTreeGridComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-tree-grid',
                        template: "<igx-grid-toolbar role=\"rowgroup\" [style.flex-basis.px]='outerWidth' *ngIf=\"showToolbar\" [gridID]=\"id\"\n    [displayDensity]=\"displayDensity\" #toolbar>\n</igx-grid-toolbar>\n\n<div class=\"igx-grid__thead\">\n    <div class=\"igx-grid__thead-wrapper\" role=\"rowgroup\" [style.width.px]='calcWidth' #theadRow>\n        <div class=\"igx-grid__tr\" [style.width.px]='calcWidth' role=\"row\">\n            <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length <= 0\"\n                [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n                class=\"igx-grid__scroll-on-drag-left\" [style.left.px]=\"featureColumnsWidth\"></span>\n            <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length > 0\"\n                [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n                class=\"igx-grid__scroll-on-drag-pinned\" [style.left.px]=\"pinnedWidth\"></span>\n            <ng-container *ngIf=\"rowDraggable\">\n                <div class=\"igx-grid__drag-indicator\" #headerDragContainer>\n                    <div style=\"visibility: hidden;\">\n                        <ng-container\n                            *ngTemplateOutlet=\"this.dragIndicatorIconTemplate ? this.dragIndicatorIconTemplate : this.dragIndicatorIconBase\">\n                        </ng-container>\n                    </div>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"showRowSelectors\">\n                <div class=\"igx-grid__cbx-selection\" (click)=\"onHeaderSelectorClick($event)\" #headerSelectorContainer [ngClass]=\"{\n                    'igx-grid__cbx-selection--push': filteringService.isFilterRowVisible }\">\n                    <ng-template #headSelector\n                        *ngTemplateOutlet=\"\n                        this.headSelectorTemplate ? this.headSelectorTemplate : headSelectorBaseTemplate;\n                        context: { $implicit: {\n                                        selectedCount: this.selectionService.filteredSelectedRowIds.length,\n                                        totalCount: this.totalRowsCountAfterFilter }}\">\n                    </ng-template>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"pinnedColumns.length > 0\">\n                <ng-template ngFor let-col [ngForOf]=\"pinnedColumns | igxTopLevel\">\n                    <igx-grid-header-group [column]=\"col\" [gridID]=\"id\" [style.min-width.px]=\"getHeaderGroupWidth(col)\"\n                        [style.flex-basis.px]=\"getHeaderGroupWidth(col)\"></igx-grid-header-group>\n                </ng-template>\n            </ng-container>\n            <ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxTopLevel\"\n                [igxForScrollOrientation]=\"'horizontal'\" [igxForScrollContainer]=\"parentVirtDir\"\n                [igxForContainerSize]='unpinnedWidth' [igxForTrackBy]='trackColumnChanges'\n                [igxForSizePropName]=\"'calcPixelWidth'\" #hContainer>\n                <igx-grid-header-group [column]=\"col\" [gridID]=\"id\" [style.min-width.px]=\"getHeaderGroupWidth(col)\"\n                    [style.flex-basis.px]=\"getHeaderGroupWidth(col)\"></igx-grid-header-group>\n            </ng-template>\n        </div>\n        <igx-grid-filtering-row #filteringRow *ngIf=\"filteringService.isFilterRowVisible\"\n            [column]=\"filteringService.filteredColumn\"></igx-grid-filtering-row>\n    </div>\n    <div class=\"igx-grid__thead-thumb\" [hidden]='!hasVerticalSroll()' [style.width.px]=\"scrollWidth\"></div>\n    <div [style.display]=\"shouldOverlayLoading ? 'flex' : 'none'\" #loadingOverlay>\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </div>\n    <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n        id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n</div>\n\n<div igxGridBody (keydown.control.c)=\"copyHandlerIE()\" (copy)=\"copyHandler($event)\" class=\"igx-grid__tbody\">\n    <div class=\"igx-grid__tbody-content\" role=\"rowgroup\" (onDragStop)=\"selectionService.dragMode = $event\"\n        (onDragScroll)=\"dragScroll($event)\" [igxGridDragSelect]=\"selectionService.dragMode\"\n        [style.height.px]='calcHeight' [style.width.px]='calcWidth' #tbody (scroll)='scrollHandler($event)'\n        (wheel)=\"wheelHandler()\">\n        <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length <= 0\"\n            [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n            class=\"igx-grid__scroll-on-drag-left\"></span>\n        <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length > 0\"\n            [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n            class=\"igx-grid__scroll-on-drag-pinned\" [style.left.px]=\"pinnedWidth\"></span>\n        <ng-template igxGridFor let-rowData\n            [igxGridForOf]=\"data\n        | treeGridTransaction:id:pipeTrigger\n        | visibleColumns:hasVisibleColumns\n        | treeGridHierarchizing:primaryKey:foreignKey:childDataKey:id:pipeTrigger\n        | treeGridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger\n        | treeGridSorting:sortingExpressions:id:pipeTrigger\n        | treeGridFlattening:id:expansionDepth:expansionStates:pipeTrigger\n        | treeGridPaging:page:perPage:id:pipeTrigger\n        | treeGridSummary:hasSummarizedColumns:summaryCalculationMode:summaryPosition:id:pipeTrigger:summaryPipeTrigger\" let-rowIndex=\"index\"\n            [igxForScrollOrientation]=\"'vertical'\" [igxForScrollContainer]='verticalScroll'\n            [igxForContainerSize]='calcHeight' [igxForItemSize]=\"renderedRowHeight\" #verticalScrollContainer\n            (onChunkPreload)=\"dataLoading($event)\">\n            <ng-template #record_template>\n                <igx-tree-grid-row [gridID]=\"id\" [index]=\"rowIndex\" [treeRow]=\"rowData\" #row>\n                </igx-tree-grid-row>\n            </ng-template>\n            <ng-template #summary_template>\n                <igx-grid-summary-row [gridID]=\"id\" [summaries]=\"rowData.summaries\"\n                    [firstCellIndentation]=\"rowData.cellIndentation\" [index]=\"rowIndex\"\n                    class=\"igx-grid__summaries--body\" #summaryRow>\n                </igx-grid-summary-row>\n            </ng-template>\n\n            <ng-template [igxTemplateOutlet]='isSummaryRow(rowData) ? summary_template : record_template'\n                [igxTemplateOutletContext]='getContext(rowData, rowIndex)'\n                (onCachedViewLoaded)='cachedViewLoaded($event)'\n                (onBeforeViewDetach)='viewDetachHandler($event)'>\n            </ng-template>\n        </ng-template>\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n        <div class=\"igx-grid__row-editing-outlet\" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>\n    </div>\n    <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n        id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n    <div [hidden]='!hasVerticalSroll()' class=\"igx-grid__tbody-scrollbar\" [style.width.px]=\"scrollWidth\"\n        [style.height.px]='calcHeight'>\n        <ng-template igxGridFor [igxGridForOf]='[]' #verticalScrollHolder></ng-template>\n    </div>\n</div>\n\n<div class=\"igx-grid__tfoot\" role=\"rowgroup\" [style.height.px]='summariesHeight' #tfoot>\n    <igx-grid-summary-row [style.width.px]='calcWidth' [style.height.px]='summariesHeight'\n        *ngIf=\"hasSummarizedColumns && rootSummariesEnabled\" [gridID]=\"id\"\n        [summaries]=\"id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe\" [index]=\"0\"\n        class=\"igx-grid__summaries\" #summaryRow>\n    </igx-grid-summary-row>\n    <div class=\"igx-grid__tfoot-thumb\" [hidden]='!hasVerticalSroll()' [style.height.px]='summariesHeight'\n        [style.width.px]=\"scrollWidth\"></div>\n</div>\n\n<div class=\"igx-grid__scroll\" [style.height]=\"'18px'\" #scr [hidden]=\"isHorizontalScrollHidden\">\n    <div class=\"igx-grid__scroll-start\" [style.width.px]='pinnedWidth' [hidden]=\"pinnedWidth === 0\"></div>\n    <div class=\"igx-grid__scroll-main\" [style.width.px]='unpinnedWidth'>\n        <ng-template igxGridFor [igxGridForOf]='[]' #scrollContainer>\n        </ng-template>\n    </div>\n</div>\n\n<div class=\"igx-grid__footer\" #footer>\n    <ng-content select=\"igx-grid-footer\"></ng-content>\n    <ng-container *ngIf=\"paging && totalRecords\">\n        <ng-container\n            *ngTemplateOutlet=\"paginationTemplate ? paginationTemplate : defaultPaginator; context: {$implicit: this}\">\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #defaultPaginator>\n    <igx-paginator [displayDensity]=\"displayDensity\" [(page)]=\"page\" [totalRecords]=\"processedExpandedFlatData.length\"\n        [(perPage)]=\"perPage\">\n    </igx-paginator>\n</ng-template>\n\n<ng-template #emptyFilteredGrid>\n    <span class=\"igx-grid__tbody-message\">{{emptyFilteredGridMessage}}</span>\n</ng-template>\n\n<ng-template #defaultEmptyGrid>\n    <span class=\"igx-grid__tbody-message\">{{emptyGridMessage}}</span>\n</ng-template>\n\n<ng-template #defaultLoadingGrid>\n    <div class=\"igx-grid__loading\">\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </div>\n</ng-template>\n\n<div *ngIf=\"rowEditable\" igxToggle>\n    <div [className]=\"bannerClass\">\n        <ng-container\n            *ngTemplateOutlet=\"rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: endEdit.bind(this) }\">\n        </ng-container>\n    </div>\n</div>\n\n<ng-template #defaultRowEditText>\n    You have {{ rowChangesCount }} changes in this row\n</ng-template>\n\n<ng-template #defaultRowEditActions>\n    <button igxButton igxRowEditTabStop (click)=\"endEdit(false, $event)\">Cancel</button>\n    <button igxButton igxRowEditTabStop (click)=\"endEdit(true, $event)\">Done</button>\n</ng-template>\n\n<ng-template #defaultRowEditTemplate>\n    <div class=\"igx-banner__message\">\n        <span class=\"igx-banner__text\">\n            <ng-container\n                *ngTemplateOutlet=\"rowEditText ? rowEditText : defaultRowEditText; context: { $implicit: rowChangesCount }\">\n            </ng-container>\n        </span>\n    </div>\n    <div class=\"igx-banner__actions\">\n        <div class=\"igx-banner__row\">\n            <ng-container\n                *ngTemplateOutlet=\"rowEditActions ? rowEditActions : defaultRowEditActions; context: { $implicit: endEdit.bind(this) }\">\n            </ng-container>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #dragIndicatorIconBase>\n    <igx-icon fontSet=\"material\">drag_indicator</igx-icon>\n</ng-template>\n\n<ng-template #headSelectorBaseTemplate igxHeadSelector let-context>\n    <div class=\"igx-grid__cbx-padding\">\n        <igx-checkbox\n            [checked]=\"context.selectedCount > 0 && context.totalCount === context.selectedCount\"\n            [ngStyle]=\"{'visibility': isMultiRowSelectionEnabled? 'visible' : 'hidden' }\"\n            [readonly]=\"true\"\n            disableRipple=\"true\"\n            [indeterminate]=\"context.selectedCount > 0 && context.selectedCount !== context.totalCount\"\n            [aria-label]=\"headSelectorBaseAriaLabel\"\n            #headerCheckbox>\n        </igx-checkbox>\n    </div>\n</ng-template>\n\n<igx-grid-column-resizer *ngIf=\"colResizingService.showResizer\"></igx-grid-column-resizer>\n<div class=\"igx-grid__loading-outlet\" #igxLoadingOverlayOutlet igxOverlayOutlet></div>\n<div class=\"igx-grid__outlet\" #igxFilteringOverlayOutlet igxOverlayOutlet (keydown)=\"gridOutletKeyboardHandler($event)\"></div>\n",
                        providers: [
                            IgxGridSelectionService,
                            IgxGridCRUDService,
                            IgxGridSummaryService,
                            { provide: IgxGridNavigationService, useClass: IgxTreeGridNavigationService },
                            { provide: GridBaseAPIService, useClass: IgxTreeGridAPIService },
                            { provide: IgxGridBaseComponent, useExisting: core.forwardRef(function () { return IgxTreeGridComponent; }) },
                            IgxFilteringService,
                            IgxForOfSyncService,
                            IgxForOfScrollSyncService,
                            IgxRowIslandAPIService
                        ]
                    }] }
        ];
        IgxTreeGridComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            data: [{ type: core.Input }],
            childDataKey: [{ type: core.Input }],
            foreignKey: [{ type: core.Input }],
            hasChildrenKey: [{ type: core.Input }],
            cascadeOnDelete: [{ type: core.Input }],
            expansionDepth: [{ type: core.Input }],
            expansionStates: [{ type: core.Input }],
            expansionStatesChange: [{ type: core.Output }],
            rowLoadingTemplate: [{ type: core.ContentChild, args: [IgxRowLoadingIndicatorTemplateDirective, { read: IgxRowLoadingIndicatorTemplateDirective, static: false },] }],
            rowLoadingIndicatorTemplate: [{ type: core.Input }],
            loadChildrenOnDemand: [{ type: core.Input }],
            onRowToggle: [{ type: core.Output }],
            dragIndicatorIconBase: [{ type: core.ViewChild, args: ['dragIndicatorIconBase', { read: core.TemplateRef, static: true },] }]
        };
        return IgxTreeGridComponent;
    }(IgxGridBaseComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTreeGridRowComponent = /** @class */ (function (_super) {
        __extends(IgxTreeGridRowComponent, _super);
        function IgxTreeGridRowComponent() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        Object.defineProperty(IgxTreeGridRowComponent.prototype, "treeRow", {
            /**
             * The `ITreeGridRecord` passed to the row component.
             *
             * ```typescript
             * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
             * const treeRow = row.treeRow;
             * ```
             */
            get: /**
             * The `ITreeGridRecord` passed to the row component.
             *
             * ```typescript
             * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
             * const treeRow = row.treeRow;
             * ```
             * @return {?}
             */
            function () {
                return this._treeRow;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._treeRow !== value) {
                    this._treeRow = value;
                    this.rowData = this._treeRow.data;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridRowComponent.prototype, "expanded", {
            /**
             * Returns a value indicating whether the row component is expanded.
             *
             * ```typescript
             * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
             * const expanded = row.expanded;
             * ```
             */
            get: /**
             * Returns a value indicating whether the row component is expanded.
             *
             * ```typescript
             * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
             * const expanded = row.expanded;
             * ```
             * @return {?}
             */
            function () {
                return this._treeRow.expanded;
            },
            /**
             * Sets a value indicating whether the row component is expanded.
             *
             * ```typescript
             * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
             * row.expanded = true;
             * ```
             */
            set: /**
             * Sets a value indicating whether the row component is expanded.
             *
             * ```typescript
             * const row = this.grid.getRowByKey(1) as IgxTreeGridRowComponent;
             * row.expanded = true;
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                ((/** @type {?} */ (this.gridAPI))).trigger_row_expansion_toggle(this._treeRow, value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridRowComponent.prototype, "viewIndex", {
            /**
             * @hidden
             * @internal
             */
            get: /**
             * @hidden
             * \@internal
             * @return {?}
             */
            function () {
                return this.index + this.grid.page * this.grid.perPage;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTreeGridRowComponent.prototype, "showIndicator", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid.loadChildrenOnDemand ?
                    this.grid.expansionStates.has(this.rowID) ?
                        this.treeRow.children && this.treeRow.children.length :
                        this.grid.hasChildrenKey ?
                            this.rowData[this.grid.hasChildrenKey] :
                            true :
                    this.treeRow.children && this.treeRow.children.length;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @return {?}
         */
        IgxTreeGridRowComponent.prototype.resolveClasses = /**
         * @hidden
         * @protected
         * @return {?}
         */
        function () {
            /** @type {?} */
            var classes = _super.prototype.resolveClasses.call(this);
            /** @type {?} */
            var filteredClass = this.treeRow.isFilteredOutParent ? 'igx-grid__tr--filtered' : '';
            return classes + " " + filteredClass;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTreeGridRowComponent.prototype.ngDoCheck = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.isLoading = this.grid.loadChildrenOnDemand ? this.grid.loadingRows.has(this.rowID) : false;
            _super.prototype.ngDoCheck.call(this);
        };
        IgxTreeGridRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        selector: 'igx-tree-grid-row',
                        template: "<ng-container *ngIf=\"rowDraggable\">\n    <div [class]=\"resolveDragIndicatorClasses\" [igxRowDrag]=\"this\" (click)=\"$event.stopPropagation()\" [ghostTemplate]=\"this.grid.getDragGhostCustomTemplate()\">\n        <ng-container *ngTemplateOutlet=\"this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase\"></ng-container>\n    </div>\n</ng-container>\n<ng-container *ngIf=\"showRowSelectors\">\n    <div class=\"igx-grid__cbx-selection\" (click)=\"onRowSelectorClick($event)\">\n        <ng-template *ngTemplateOutlet=\"\n            this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;\n            context: { $implicit: { index: viewIndex, rowID: rowID, selected: selected }}\">\n        </ng-template>\n    </div>\n</ng-container>\n<ng-container *ngIf=\"pinnedColumns.length > 0\">\n    <ng-template ngFor let-col [ngForOf]=\"pinnedColumns | igxNotGrouped\">\n        <ng-template #cellTemplate>\n            <igx-grid-cell\n                class=\"igx-grid__td igx-grid__td--fw igx-grid__td--pinned\"\n                [class.igx-grid__td--number]=\"col.dataType === 'number'\"\n                [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n                [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n                [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n                [column]=\"col\"\n                [formatter]=\"col.formatter\"\n                [row]=\"this\"\n                [lastPinned]=\"col.isLastPinned\"\n                [style.min-height.px]=\"grid.rowHeight || 32\"\n                [rowData]=\"rowData\"\n                [style.min-width.px]=\"col.width\"\n                [style.flex-basis.px]=\"col.width\"\n                [width]=\"col.getCellWidth()\"\n                [visibleColumnIndex]=\"col.visibleIndex\"\n                [value]=\"rowData[col.field]\"\n                [cellTemplate]=\"col.bodyTemplate\"\n                [cellSelectionMode]=\"grid.cellSelection\" #treeCell>\n            </igx-grid-cell>\n            </ng-template>\n        <ng-template #treeCellTemplate>\n            <igx-tree-grid-cell\n                class=\"igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell igx-grid__td--pinned\"\n                [class.igx-grid__td--number]=\"col.dataType === 'number' && col.visibleIndex !== 0\"\n                [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n                [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n                [level]=\"treeRow.level\"\n                [expanded]=\"treeRow.expanded\"\n                [showIndicator]=\"showIndicator\"\n                [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n                [column]=\"col\"\n                [formatter]=\"col.formatter\"\n                [row]=\"this\"\n                [lastPinned]=\"col.isLastPinned\"\n                [style.min-height.px]=\"grid.rowHeight || 32\"\n                [rowData]=\"rowData\"\n                [style.min-width.px]=\"col.width\"\n                [style.flex-basis.px]=\"col.width\"\n                [width]=\"col.getCellWidth()\"\n                [visibleColumnIndex]=\"col.visibleIndex\"\n                [value]=\"rowData[col.field]\"\n                [isLoading]=\"isLoading\"\n                [cellTemplate]=\"col.bodyTemplate\"\n                [cellSelectionMode]=\"grid.cellSelection\"  #treeCell>\n            </igx-tree-grid-cell>\n        </ng-template>\n        <ng-container *ngTemplateOutlet=\"col.visibleIndex === 0 ? treeCellTemplate : cellTemplate\"></ng-container>\n    </ng-template>\n</ng-container>\n<ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxNotGrouped\" [igxForScrollContainer]=\"grid.parentVirtDir\" let-colIndex=\"index\" [igxForScrollOrientation]=\"'horizontal'\" [igxForContainerSize]='grid.unpinnedWidth' [igxForSizePropName]=\"'calcPixelWidth'\" [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>\n    <ng-template #cellTemplate>\n        <igx-grid-cell\n            class=\"igx-grid__td igx-grid__td--fw\"\n            [class.igx-grid__td--number]=\"col.dataType === 'number'\"\n            [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n            [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n            [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n            [column]=\"col\"\n            [formatter]=\"col.formatter\"\n            [row]=\"this\"\n            [style.min-height.px]=\"grid.rowHeight || 32\"\n            [rowData]=\"rowData\"\n            [style.min-width.px]=\"col.width\"\n            [style.flex-basis.px]=\"col.width\"\n            [width]=\"col.getCellWidth()\"\n            [visibleColumnIndex]=\"col.visibleIndex\"\n            [value]=\"rowData[col.field]\"\n            [cellTemplate]=\"col.bodyTemplate\"\n            [cellSelectionMode]=\"grid.cellSelection\"  #treeCell>\n        </igx-grid-cell>\n    </ng-template>\n    <ng-template #treeCellTemplate>\n        <igx-tree-grid-cell\n            class=\"igx-grid__td igx-grid__td--fw igx-grid__td--tree-cell\"\n            [class.igx-grid__td--number]=\"col.dataType === 'number' && col.visibleIndex !== 0\"\n            [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n            [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n            [level]=\"treeRow.level\"\n            [expanded]=\"treeRow.expanded\"\n            [showIndicator]=\"showIndicator\"\n            [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n            [column]=\"col\"\n            [formatter]=\"col.formatter\"\n            [row]=\"this\"\n            [style.min-height.px]=\"grid.rowHeight || 32\"\n            [rowData]=\"rowData\"\n            [style.min-width.px]=\"col.width\"\n            [style.flex-basis.px]=\"col.width\"\n            [width]=\"col.getCellWidth()\"\n            [visibleColumnIndex]=\"col.visibleIndex\"\n            [value]=\"rowData[col.field]\"\n            [isLoading]=\"isLoading\"\n            [cellTemplate]=\"col.bodyTemplate\"\n            [cellSelectionMode]=\"grid.cellSelection\"  #treeCell>\n        </igx-tree-grid-cell>\n    </ng-template>\n    <ng-container *ngTemplateOutlet=\"col.visibleIndex === 0 ? treeCellTemplate : cellTemplate\"></ng-container>\n</ng-template>\n<ng-template #rowSelectorBaseTemplate>\n    <div class=\"igx-grid__cbx-padding\">\n        <igx-checkbox\n            [readonly]=\"true\"\n            [checked]=\"selected\"\n            [disabled]=\"deleted\"\n            disableRipple=\"true\"\n            [disableTransitions]=\"grid.disableTransitions\"\n            [aria-label]=\"rowCheckboxAriaLabel\">\n        </igx-checkbox>\n    </div>\n</ng-template>\n",
                        providers: [{ provide: IgxRowComponent, useExisting: core.forwardRef(function () { return IgxTreeGridRowComponent; }) }]
                    }] }
        ];
        IgxTreeGridRowComponent.propDecorators = {
            cells: [{ type: core.ViewChildren, args: ['treeCell',] }],
            treeRow: [{ type: core.Input }],
            expanded: [{ type: core.HostBinding, args: ['attr.aria-expanded',] }]
        };
        return IgxTreeGridRowComponent;
    }(IgxRowComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxTreeGridHierarchizingPipe = /** @class */ (function () {
        function IgxTreeGridHierarchizingPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?} primaryKey
         * @param {?} foreignKey
         * @param {?} childDataKey
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxTreeGridHierarchizingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} primaryKey
         * @param {?} foreignKey
         * @param {?} childDataKey
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (collection, primaryKey, foreignKey, childDataKey, id, pipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var hierarchicalRecords = [];
            /** @type {?} */
            var treeGridRecordsMap = new Map();
            /** @type {?} */
            var flatData = [];
            if (primaryKey && foreignKey) {
                hierarchicalRecords = this.hierarchizeFlatData(id, collection, primaryKey, foreignKey, treeGridRecordsMap, flatData);
            }
            else if (childDataKey) {
                hierarchicalRecords = this.hierarchizeRecursive(id, collection, primaryKey, childDataKey, undefined, flatData, 0, treeGridRecordsMap);
            }
            grid.flatData = flatData;
            grid.records = treeGridRecordsMap;
            grid.rootRecords = hierarchicalRecords;
            return hierarchicalRecords;
        };
        /**
         * @private
         * @param {?} primaryKey
         * @param {?} rowData
         * @return {?}
         */
        IgxTreeGridHierarchizingPipe.prototype.getRowID = /**
         * @private
         * @param {?} primaryKey
         * @param {?} rowData
         * @return {?}
         */
        function (primaryKey, rowData) {
            return primaryKey ? rowData[primaryKey] : rowData;
        };
        /**
         * @private
         * @param {?} id
         * @param {?} collection
         * @param {?} primaryKey
         * @param {?} foreignKey
         * @param {?} map
         * @param {?} flatData
         * @return {?}
         */
        IgxTreeGridHierarchizingPipe.prototype.hierarchizeFlatData = /**
         * @private
         * @param {?} id
         * @param {?} collection
         * @param {?} primaryKey
         * @param {?} foreignKey
         * @param {?} map
         * @param {?} flatData
         * @return {?}
         */
        function (id, collection, primaryKey, foreignKey, map, flatData) {
            var _this = this;
            /** @type {?} */
            var result = [];
            /** @type {?} */
            var missingParentRecords = [];
            collection.forEach(function (row) {
                /** @type {?} */
                var record = {
                    rowID: _this.getRowID(primaryKey, row),
                    data: row,
                    children: []
                };
                /** @type {?} */
                var parent = map.get(row[foreignKey]);
                if (parent) {
                    record.parent = parent;
                    parent.children.push(record);
                }
                else {
                    missingParentRecords.push(record);
                }
                map.set(row[primaryKey], record);
            });
            missingParentRecords.forEach(function (record) {
                /** @type {?} */
                var parent = map.get(record.data[foreignKey]);
                if (parent) {
                    record.parent = parent;
                    parent.children.push(record);
                }
                else {
                    result.push(record);
                }
            });
            this.setIndentationLevels(id, result, 0, flatData);
            return result;
        };
        /**
         * @private
         * @param {?} id
         * @param {?} collection
         * @param {?} indentationLevel
         * @param {?} flatData
         * @return {?}
         */
        IgxTreeGridHierarchizingPipe.prototype.setIndentationLevels = /**
         * @private
         * @param {?} id
         * @param {?} collection
         * @param {?} indentationLevel
         * @param {?} flatData
         * @return {?}
         */
        function (id, collection, indentationLevel, flatData) {
            for (var i = 0; i < collection.length; i++) {
                /** @type {?} */
                var record = collection[i];
                record.level = indentationLevel;
                record.expanded = this.gridAPI.get_row_expansion_state(record);
                flatData.push(record.data);
                if (record.children && record.children.length > 0) {
                    this.setIndentationLevels(id, record.children, indentationLevel + 1, flatData);
                }
            }
        };
        /**
         * @private
         * @param {?} id
         * @param {?} collection
         * @param {?} primaryKey
         * @param {?} childDataKey
         * @param {?} parent
         * @param {?} flatData
         * @param {?} indentationLevel
         * @param {?} map
         * @return {?}
         */
        IgxTreeGridHierarchizingPipe.prototype.hierarchizeRecursive = /**
         * @private
         * @param {?} id
         * @param {?} collection
         * @param {?} primaryKey
         * @param {?} childDataKey
         * @param {?} parent
         * @param {?} flatData
         * @param {?} indentationLevel
         * @param {?} map
         * @return {?}
         */
        function (id, collection, primaryKey, childDataKey, parent, flatData, indentationLevel, map) {
            /** @type {?} */
            var result = [];
            for (var i = 0; i < collection.length; i++) {
                /** @type {?} */
                var item = collection[i];
                /** @type {?} */
                var record = {
                    rowID: this.getRowID(primaryKey, item),
                    data: item,
                    parent: parent,
                    level: indentationLevel
                };
                record.expanded = this.gridAPI.get_row_expansion_state(record);
                flatData.push(item);
                map.set(record.rowID, record);
                record.children = item[childDataKey] ?
                    this.hierarchizeRecursive(id, item[childDataKey], primaryKey, childDataKey, record, flatData, indentationLevel + 1, map) :
                    undefined;
                result.push(record);
            }
            return result;
        };
        IgxTreeGridHierarchizingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridHierarchizing',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridHierarchizingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridHierarchizingPipe;
    }());
    /**
     * @hidden
     */
    var IgxTreeGridFlatteningPipe = /** @class */ (function () {
        function IgxTreeGridFlatteningPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?} id
         * @param {?} expandedLevels
         * @param {?} expandedStates
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxTreeGridFlatteningPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} id
         * @param {?} expandedLevels
         * @param {?} expandedStates
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (collection, id, expandedLevels, expandedStates, pipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var data = [];
            grid.processedRootRecords = collection;
            grid.processedRecords = new Map();
            this.getFlatDataRecursive(collection, data, expandedLevels, expandedStates, id, true);
            grid.processedExpandedFlatData = data.map(function (r) { return r.data; });
            return data;
        };
        /**
         * @private
         * @param {?} collection
         * @param {?} data
         * @param {?} expandedLevels
         * @param {?} expandedStates
         * @param {?} gridID
         * @param {?} parentExpanded
         * @return {?}
         */
        IgxTreeGridFlatteningPipe.prototype.getFlatDataRecursive = /**
         * @private
         * @param {?} collection
         * @param {?} data
         * @param {?} expandedLevels
         * @param {?} expandedStates
         * @param {?} gridID
         * @param {?} parentExpanded
         * @return {?}
         */
        function (collection, data, expandedLevels, expandedStates, gridID, parentExpanded) {
            if (!collection || !collection.length) {
                return;
            }
            /** @type {?} */
            var grid = this.gridAPI.grid;
            for (var i = 0; i < collection.length; i++) {
                /** @type {?} */
                var hierarchicalRecord = collection[i];
                if (parentExpanded) {
                    data.push(hierarchicalRecord);
                }
                hierarchicalRecord.expanded = this.gridAPI.get_row_expansion_state(hierarchicalRecord);
                this.updateNonProcessedRecordExpansion(grid, hierarchicalRecord);
                grid.processedRecords.set(hierarchicalRecord.rowID, hierarchicalRecord);
                this.getFlatDataRecursive(hierarchicalRecord.children, data, expandedLevels, expandedStates, gridID, parentExpanded && hierarchicalRecord.expanded);
            }
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} record
         * @return {?}
         */
        IgxTreeGridFlatteningPipe.prototype.updateNonProcessedRecordExpansion = /**
         * @private
         * @param {?} grid
         * @param {?} record
         * @return {?}
         */
        function (grid, record) {
            /** @type {?} */
            var rec = grid.records.get(record.rowID);
            rec.expanded = record.expanded;
        };
        IgxTreeGridFlatteningPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridFlattening',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridFlatteningPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridFlatteningPipe;
    }());
    /**
     * @hidden
     */
    var IgxTreeGridSortingPipe = /** @class */ (function () {
        function IgxTreeGridSortingPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} hierarchicalData
         * @param {?} expressions
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxTreeGridSortingPipe.prototype.transform = /**
         * @param {?} hierarchicalData
         * @param {?} expressions
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (hierarchicalData, expressions, id, pipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var result;
            if (!expressions.length) {
                result = hierarchicalData;
            }
            else {
                result = DataUtil.treeGridSort(hierarchicalData, expressions);
            }
            /** @type {?} */
            var filteredSortedData = [];
            this.flattenTreeGridRecords(result, filteredSortedData);
            grid.filteredSortedData = filteredSortedData;
            return result;
        };
        /**
         * @private
         * @param {?} records
         * @param {?} flatData
         * @return {?}
         */
        IgxTreeGridSortingPipe.prototype.flattenTreeGridRecords = /**
         * @private
         * @param {?} records
         * @param {?} flatData
         * @return {?}
         */
        function (records, flatData) {
            var e_1, _a;
            if (records && records.length) {
                try {
                    for (var records_1 = __values(records), records_1_1 = records_1.next(); !records_1_1.done; records_1_1 = records_1.next()) {
                        var record = records_1_1.value;
                        flatData.push(record.data);
                        this.flattenTreeGridRecords(record.children, flatData);
                    }
                }
                catch (e_1_1) { e_1 = { error: e_1_1 }; }
                finally {
                    try {
                        if (records_1_1 && !records_1_1.done && (_a = records_1.return)) _a.call(records_1);
                    }
                    finally { if (e_1) throw e_1.error; }
                }
            }
        };
        IgxTreeGridSortingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridSorting',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridSortingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridSortingPipe;
    }());
    /**
     * @hidden
     */
    var IgxTreeGridPagingPipe = /** @class */ (function () {
        function IgxTreeGridPagingPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?=} page
         * @param {?=} perPage
         * @param {?=} id
         * @param {?=} pipeTrigger
         * @return {?}
         */
        IgxTreeGridPagingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?=} page
         * @param {?=} perPage
         * @param {?=} id
         * @param {?=} pipeTrigger
         * @return {?}
         */
        function (collection, page, perPage, id, pipeTrigger) {
            if (page === void 0) { page = 0; }
            if (perPage === void 0) { perPage = 15; }
            /** @type {?} */
            var grid = this.gridAPI.grid;
            if (!grid.paging) {
                return collection;
            }
            /** @type {?} */
            var len = collection.length;
            /** @type {?} */
            var totalPages = Math.ceil(len / perPage);
            /** @type {?} */
            var state = {
                index: (totalPages > 0 && page >= totalPages) ? totalPages - 1 : page,
                recordsPerPage: perPage
            };
            /** @type {?} */
            var result = DataUtil.page(cloneArray(collection), state);
            grid.pagingState = state;
            ((/** @type {?} */ (grid)))._page = state.index;
            return result;
        };
        IgxTreeGridPagingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridPaging',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridPagingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridPagingPipe;
    }());
    /**
     * @hidden
     */
    var IgxTreeGridTransactionPipe = /** @class */ (function () {
        function IgxTreeGridTransactionPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} collection
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        IgxTreeGridTransactionPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?} id
         * @param {?} pipeTrigger
         * @return {?}
         */
        function (collection, id, pipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            if (grid.transactions.enabled) {
                /** @type {?} */
                var aggregatedChanges = grid.transactions.getAggregatedChanges(true);
                if (aggregatedChanges.length > 0) {
                    /** @type {?} */
                    var primaryKey = grid.primaryKey;
                    if (!primaryKey) {
                        return collection;
                    }
                    /** @type {?} */
                    var foreignKey = grid.foreignKey;
                    /** @type {?} */
                    var childDataKey = grid.childDataKey;
                    if (foreignKey) {
                        /** @type {?} */
                        var flatDataClone = cloneArray(collection);
                        return DataUtil.mergeTransactions(flatDataClone, aggregatedChanges, grid.primaryKey);
                    }
                    else if (childDataKey) {
                        /** @type {?} */
                        var hierarchicalDataClone = cloneHierarchicalArray(collection, childDataKey);
                        return DataUtil.mergeHierarchicalTransactions(hierarchicalDataClone, aggregatedChanges, childDataKey, grid.primaryKey);
                    }
                }
            }
            return collection;
        };
        IgxTreeGridTransactionPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridTransaction',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridTransactionPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridTransactionPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTreeGridCellComponent = /** @class */ (function (_super) {
        __extends(IgxTreeGridCellComponent, _super);
        function IgxTreeGridCellComponent(selectionService, crudService, gridAPI, cdr, element, zone, touchManager, document, platformUtil) {
            var _this = _super.call(this, selectionService, crudService, gridAPI, cdr, element, zone, touchManager, platformUtil) || this;
            _this.zone = zone;
            _this.document = document;
            _this.platformUtil = platformUtil;
            /**
             * @hidden
             */
            _this.expanded = false;
            /**
             * @hidden
             */
            _this.level = 0;
            /**
             * @hidden
             */
            _this.showIndicator = false;
            _this.treeGridAPI = (/** @type {?} */ (gridAPI));
            return _this;
        }
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTreeGridCellComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTreeGridCellComponent.prototype.toggle = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            this.treeGridAPI.trigger_row_expansion_toggle(this.row.treeRow, !this.row.expanded, event, this.visibleColumnIndex);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTreeGridCellComponent.prototype.onIndicatorFocus = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.gridAPI.submit_value();
            this.nativeElement.focus();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTreeGridCellComponent.prototype.onLoadingDblClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} range
         * @return {?}
         */
        IgxTreeGridCellComponent.prototype.calculateSizeToFit = /**
         * @hidden
         * @param {?} range
         * @return {?}
         */
        function (range) {
            /** @type {?} */
            var indicatorWidth = this.indicator.nativeElement.getBoundingClientRect().width;
            /** @type {?} */
            var indicatorStyle = this.document.defaultView.getComputedStyle(this.indicator.nativeElement);
            /** @type {?} */
            var indicatorMargin = parseFloat(indicatorStyle.marginRight);
            /** @type {?} */
            var leftPadding = 0;
            if (this.indentationDiv) {
                /** @type {?} */
                var indentationStyle = this.document.defaultView.getComputedStyle(this.indentationDiv.nativeElement);
                leftPadding = parseFloat(indentationStyle.paddingLeft);
            }
            /** @type {?} */
            var largestWidth = Math.max.apply(Math, __spread(Array.from(this.nativeElement.children)
                .map(function (child) { return getNodeSizeViaRange(range, child); })));
            return largestWidth + indicatorWidth + indicatorMargin + leftPadding;
        };
        Object.defineProperty(IgxTreeGridCellComponent.prototype, "iconTemplate", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.expanded) {
                    return this.grid.rowExpandedIndicatorTemplate || this.defaultExpandedTemplate;
                }
                else {
                    return this.grid.rowCollapsedIndicatorTemplate || this.defaultCollapsedTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        IgxTreeGridCellComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        selector: 'igx-tree-grid-cell',
                        template: "<ng-template #defaultCell>\n    <div igxTextHighlight style=\"pointer-events: none\" [cssClass]=\"highlightClass\" [activeCssClass]=\"activeHighlightClass\" [groupName]=\"gridID\"\n        [value]=\"formatter ? formatter(value) : column.dataType === 'number' ? (value | igxdecimal: grid.locale) : column.dataType === 'date' ? (value | igxdate: grid.locale) : value\"\n        [row]=\"rowData\" [column]=\"this.column.field\" [containerClass]=\"'igx-grid__td-text'\"\n        class=\"igx-grid__td-text\">{{ formatter ? formatter(value) : column.dataType === 'number' ? (value | igxdecimal:\n        grid.locale) : column.dataType === 'date' ? (value | igxdate: grid.locale) : value }}</div>\n</ng-template>\n<ng-template #inlineEditor  let-cell=\"cell\">\n    <ng-container *ngIf=\"column.dataType === 'string'\">\n        <igx-input-group displayDensity=\"compact\">\n            <input igxInput [(ngModel)]=\"editValue\" [igxFocus]=\"focused\">\n        </igx-input-group>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'number'\">\n        <igx-input-group displayDensity=\"compact\">\n            <input igxInput [(ngModel)]=\"editValue\" [igxFocus]=\"focused\"  type=\"number\">\n        </igx-input-group>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'boolean'\">\n        <igx-checkbox (change)=\"editValue = $event.checked\" [value]=\"editValue\" [checked]=\"editValue\" [disableRipple]=\"true\"></igx-checkbox>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'date'\">\n        <igx-date-picker [style.width.%]=\"100\" [outlet]=\"grid.outletDirective\" mode=\"dropdown\"\n        [locale]=\"grid.locale\" [(value)]=\"editValue\" [igxFocus]=\"focused\" [labelVisibility]=\"false\">\n    </igx-date-picker>\n    </ng-container>\n</ng-template>\n<ng-container *ngIf=\"!editMode\">\n    <ng-container *ngIf=\"level > 0\">\n        <div #indentationDiv class=\"igx-grid__tree-cell--padding-level-{{level}}\"></div>\n    </ng-container>\n    <div #indicator\n         *ngIf=\"!isLoading\"\n         class=\"igx-grid__tree-grouping-indicator\"\n         [ngStyle]=\"{'visibility': showIndicator ? 'visible' : 'hidden'}\"\n         (click)=\"toggle($event)\" (focus)=\"onIndicatorFocus()\" tabindex=\"-1\">\n         <ng-container *ngTemplateOutlet=\"iconTemplate; context: { $implicit:  this }\">\n        </ng-container>\n    </div>\n    <div *ngIf=\"isLoading\"\n         (dblclick)=\"onLoadingDblClick($event)\"\n         class=\"igx-grid__tree-loading-indicator\">\n        <ng-container *ngTemplateOutlet=\"grid.rowLoadingIndicatorTemplate ? grid.rowLoadingIndicatorTemplate : defaultLoadingIndicatorTemplate\">\n        </ng-container>\n    </div>\n    <ng-template #defaultLoadingIndicatorTemplate>\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </ng-template>\n</ng-container>\n<ng-container *ngTemplateOutlet=\"template; context: context\">\n</ng-container>\n<ng-template #defaultExpandedTemplate>\n        <igx-icon fontSet=\"material\">expand_more</igx-icon>\n</ng-template>\n<ng-template #defaultCollapsedTemplate>\n        <igx-icon fontSet=\"material\">chevron_right</igx-icon>\n</ng-template>\n",
                        providers: [HammerGesturesManager]
                    }] }
        ];
        /** @nocollapse */
        IgxTreeGridCellComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: GridBaseAPIService },
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: HammerGesturesManager },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: PlatformUtil }
        ]; };
        IgxTreeGridCellComponent.propDecorators = {
            expanded: [{ type: core.Input }],
            level: [{ type: core.Input }],
            showIndicator: [{ type: core.Input }],
            indicator: [{ type: core.ViewChild, args: ['indicator', { read: core.ElementRef, static: false },] }],
            indentationDiv: [{ type: core.ViewChild, args: ['indentationDiv', { read: core.ElementRef, static: false },] }],
            defaultContentElement: [{ type: core.ViewChild, args: ['defaultContentElement', { read: core.ElementRef, static: false },] }],
            defaultExpandedTemplate: [{ type: core.ViewChild, args: ['defaultExpandedTemplate', { read: core.TemplateRef, static: true },] }],
            defaultCollapsedTemplate: [{ type: core.ViewChild, args: ['defaultCollapsedTemplate', { read: core.TemplateRef, static: true },] }],
            isLoading: [{ type: core.Input }]
        };
        return IgxTreeGridCellComponent;
    }(IgxGridCellComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxTreeGridSummaryPipe = /** @class */ (function () {
        function IgxTreeGridSummaryPipe(gridAPI) {
            this.gridAPI = (/** @type {?} */ (gridAPI));
        }
        /**
         * @param {?} flatData
         * @param {?} hasSummary
         * @param {?} summaryCalculationMode
         * @param {?} summaryPosition
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} summaryPipeTrigger
         * @return {?}
         */
        IgxTreeGridSummaryPipe.prototype.transform = /**
         * @param {?} flatData
         * @param {?} hasSummary
         * @param {?} summaryCalculationMode
         * @param {?} summaryPosition
         * @param {?} id
         * @param {?} pipeTrigger
         * @param {?} summaryPipeTrigger
         * @return {?}
         */
        function (flatData, hasSummary, summaryCalculationMode, summaryPosition, id, pipeTrigger, summaryPipeTrigger) {
            /** @type {?} */
            var grid = this.gridAPI.grid;
            if (!flatData || !hasSummary || summaryCalculationMode === GridSummaryCalculationMode.rootLevelOnly) {
                return flatData;
            }
            return this.addSummaryRows(grid, flatData, summaryPosition);
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} collection
         * @param {?} summaryPosition
         * @return {?}
         */
        IgxTreeGridSummaryPipe.prototype.addSummaryRows = /**
         * @private
         * @param {?} grid
         * @param {?} collection
         * @param {?} summaryPosition
         * @return {?}
         */
        function (grid, collection, summaryPosition) {
            /** @type {?} */
            var recordsWithSummary = [];
            /** @type {?} */
            var maxSummaryHeight = grid.summaryService.calcMaxSummaryHeight();
            for (var i = 0; i < collection.length; i++) {
                /** @type {?} */
                var record = collection[i];
                recordsWithSummary.push(record);
                /** @type {?} */
                var isExpanded = record.children && record.children.length > 0 && record.expanded;
                if (summaryPosition === GridSummaryPosition.bottom && !isExpanded) {
                    /** @type {?} */
                    var childRecord = record;
                    /** @type {?} */
                    var parent_1 = record.parent;
                    while (parent_1) {
                        /** @type {?} */
                        var children = parent_1.children;
                        if (children[children.length - 1] === childRecord) {
                            /** @type {?} */
                            var childData = children.filter(function (r) { return !r.isFilteredOutParent; }).map(function (r) { return r.data; });
                            childData = this.removeDeletedRecord(grid, parent_1.rowID, childData);
                            /** @type {?} */
                            var summaries = grid.summaryService.calculateSummaries(parent_1.rowID, childData);
                            /** @type {?} */
                            var summaryRecord = {
                                summaries: summaries,
                                max: maxSummaryHeight,
                                cellIndentation: parent_1.level + 1
                            };
                            recordsWithSummary.push(summaryRecord);
                            childRecord = parent_1;
                            parent_1 = childRecord.parent;
                        }
                        else {
                            break;
                        }
                    }
                }
                else if (summaryPosition === GridSummaryPosition.top && isExpanded) {
                    /** @type {?} */
                    var childData = record.children.filter(function (r) { return !r.isFilteredOutParent; }).map(function (r) { return r.data; });
                    childData = this.removeDeletedRecord(grid, record.rowID, childData);
                    /** @type {?} */
                    var summaries = grid.summaryService.calculateSummaries(record.rowID, childData);
                    /** @type {?} */
                    var summaryRecord = {
                        summaries: summaries,
                        max: maxSummaryHeight,
                        cellIndentation: record.level + 1
                    };
                    recordsWithSummary.push(summaryRecord);
                }
            }
            return recordsWithSummary;
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} rowId
         * @param {?} data
         * @return {?}
         */
        IgxTreeGridSummaryPipe.prototype.removeDeletedRecord = /**
         * @private
         * @param {?} grid
         * @param {?} rowId
         * @param {?} data
         * @return {?}
         */
        function (grid, rowId, data) {
            if (!grid.transactions.enabled || !grid.cascadeOnDelete) {
                return data;
            }
            /** @type {?} */
            var deletedRows = grid.transactions.getTransactionLog().filter(function (t) { return t.type === 'delete'; }).map(function (t) { return t.id; });
            /** @type {?} */
            var row = grid.records.get(rowId);
            if (!row && deletedRows.lenght === 0) {
                return [];
            }
            row = row.children ? row : row.parent;
            while (row) {
                rowId = row.rowID;
                if (deletedRows.indexOf(rowId) !== -1) {
                    return [];
                }
                row = row.parent;
            }
            deletedRows.forEach(function (rowID) {
                /** @type {?} */
                var tempData = grid.primaryKey ? data.map(function (rec) { return rec[grid.primaryKey]; }) : data;
                /** @type {?} */
                var index = tempData.indexOf(rowID);
                if (index !== -1) {
                    data.splice(index, 1);
                }
            });
            return data;
        };
        IgxTreeGridSummaryPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'treeGridSummary',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxTreeGridSummaryPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxTreeGridSummaryPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxTreeGridModule = /** @class */ (function () {
        function IgxTreeGridModule() {
        }
        IgxTreeGridModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxTreeGridComponent,
                            IgxTreeGridRowComponent,
                            IgxTreeGridCellComponent,
                            IgxTreeGridHierarchizingPipe,
                            IgxTreeGridFlatteningPipe,
                            IgxTreeGridSortingPipe,
                            IgxTreeGridFilteringPipe,
                            IgxTreeGridPagingPipe,
                            IgxTreeGridTransactionPipe,
                            IgxTreeGridSummaryPipe,
                            IgxRowLoadingIndicatorTemplateDirective
                        ],
                        exports: [
                            IgxTreeGridComponent,
                            IgxTreeGridRowComponent,
                            IgxTreeGridCellComponent,
                            IgxRowLoadingIndicatorTemplateDirective,
                            IgxGridCommonModule
                        ],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IgxChipsModule,
                            IgxGridCommonModule,
                            IgxSelectModule
                        ]
                    },] }
        ];
        return IgxTreeGridModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxHierarchicalGridNavigationService = /** @class */ (function (_super) {
        __extends(IgxHierarchicalGridNavigationService, _super);
        function IgxHierarchicalGridNavigationService() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        /**
         * @protected
         * @param {?=} visibleIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getCellSelector = /**
         * @protected
         * @param {?=} visibleIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (visibleIndex, isSummary) {
            if (isSummary === void 0) { isSummary = false; }
            return isSummary ? 'igx-grid-summary-cell' : 'igx-hierarchical-grid-cell';
        };
        /**
         * @protected
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getRowSelector = /**
         * @protected
         * @return {?}
         */
        function () {
            return 'igx-hierarchical-grid-row';
        };
        /**
         * @protected
         * @param {?} index
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getRowByIndex = /**
         * @protected
         * @param {?} index
         * @return {?}
         */
        function (index) {
            var _this = this;
            /** @type {?} */
            var selector = this.getRowSelector();
            /** @type {?} */
            var rows = Array.from(this.grid.nativeElement.querySelectorAll(selector + "[data-rowindex=\"" + index + "\"]"));
            /** @type {?} */
            var row;
            rows.forEach(function (r) {
                /** @type {?} */
                var parentGrid = _this.getClosestElemByTag(r, 'igx-hierarchical-grid');
                if (parentGrid && parentGrid.getAttribute('id') === _this.grid.id) {
                    row = r;
                }
            });
            return row;
        };
        /**
         * @private
         * @param {?=} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getChildContainer = /**
         * @private
         * @param {?=} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var currGrid = grid || this.grid;
            return currGrid.nativeElement.parentNode.parentNode.parentNode;
        };
        /**
         * @private
         * @param {?=} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getChildGridRowContainer = /**
         * @private
         * @param {?=} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var currGrid = grid || this.grid;
            return currGrid.nativeElement.parentNode.parentNode;
        };
        /**
         * @private
         * @param {?} childGridID
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getChildGrid = /**
         * @private
         * @param {?} childGridID
         * @param {?} grid
         * @return {?}
         */
        function (childGridID, grid) {
            /** @type {?} */
            var cgrid = grid.hgridAPI.getChildGrids(true).filter(function (g) { return g.id === childGridID; })[0];
            return cgrid;
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype._isScrolledToBottom = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var scrollTop = grid.verticalScrollContainer.scrollPosition;
            /** @type {?} */
            var scrollHeight = grid.verticalScrollContainer.getScroll().scrollHeight;
            return scrollHeight === 0 || Math.round(scrollTop + grid.verticalScrollContainer.igxForContainerSize) === scrollHeight;
        };
        /**
         * @private
         * @param {?} index
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getIsChildAtIndex = /**
         * @private
         * @param {?} index
         * @return {?}
         */
        function (index) {
            return this.grid.isChildGridRecord(this.grid.dataView[index]);
        };
        /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getCellElementByVisibleIndex = /**
         * @param {?} rowIndex
         * @param {?} visibleColumnIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (rowIndex, visibleColumnIndex, isSummary) {
            if (isSummary === void 0) { isSummary = false; }
            /** @type {?} */
            var cellSelector = this.getCellSelector(visibleColumnIndex, isSummary);
            if (isSummary) {
                /** @type {?} */
                var summaryRow = this.grid.summariesRowList.toArray()[0].nativeElement;
                return summaryRow.querySelector(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
            }
            /** @type {?} */
            var row = this.getRowByIndex(rowIndex);
            return row.querySelector(cellSelector + "[data-rowindex=\"" + rowIndex + "\"][data-visibleIndex=\"" + visibleColumnIndex + "\"]");
        };
        /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.navigateUp = /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            var _this = this;
            if (selectedNode.isSummaryRow) {
                return;
            }
            /** @type {?} */
            var prevElem = rowElement.previousElementSibling;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var currentRowIndex = selectedNode.row;
            if (prevElem) {
                /** @type {?} */
                var nodeName = prevElem.children[0].nodeName.toLowerCase();
                /** @type {?} */
                var isElemChildGrid = nodeName.toLowerCase() === 'igx-child-grid-row';
                if (isElemChildGrid) {
                    this.focusPrevChild(prevElem, visibleColumnIndex, this.grid);
                }
                else {
                    if (this.grid.parent !== null) {
                        // currently navigating in child grid
                        this._navigateUpInChild(rowElement, currentRowIndex, visibleColumnIndex);
                    }
                    else {
                        _super.prototype.navigateUp.call(this, rowElement, selectedNode);
                    }
                }
            }
            else if (currentRowIndex !== 0) {
                // handle scenario when prev item is child grid but is not yet in view
                /** @type {?} */
                var isPrevChildGrid = this.getIsChildAtIndex(currentRowIndex - 1);
                if (!isPrevChildGrid) {
                    _super.prototype.navigateUp.call(this, rowElement, selectedNode);
                }
                else {
                    this.scrollGrid(this.grid, -rowElement.offsetHeight, function () {
                        rowElement = _this.getRowByIndex(currentRowIndex);
                        _this.navigateUp(rowElement, selectedNode);
                    });
                }
            }
            else if (this.grid.parent !== null &&
                currentRowIndex === 0) {
                // move to prev row in sibling layout or parent
                this.focusPrev(visibleColumnIndex);
            }
        };
        /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.navigateDown = /**
         * @param {?} rowElement
         * @param {?} selectedNode
         * @return {?}
         */
        function (rowElement, selectedNode) {
            if (selectedNode.isSummaryRow) {
                return;
            }
            /** @type {?} */
            var nextElem = rowElement.nextElementSibling;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var currentRowIndex = selectedNode.row;
            if (nextElem) {
                // next elem is in DOM
                /** @type {?} */
                var nodeName = nextElem.children[0].nodeName.toLowerCase();
                /** @type {?} */
                var isNextElemChildGrid = nodeName.toLowerCase() === 'igx-child-grid-row';
                if (isNextElemChildGrid) {
                    this.focusNextChild(nextElem, visibleColumnIndex, this.grid);
                }
                else {
                    if (this.grid.parent !== null) {
                        // currently navigating in child grid
                        this._navigateDownInChild(rowElement, currentRowIndex, visibleColumnIndex);
                    }
                    else {
                        _super.prototype.navigateDown.call(this, rowElement, selectedNode);
                    }
                }
            }
            else if (currentRowIndex !== this.grid.dataView.length - 1) {
                // scroll next in view
                _super.prototype.navigateDown.call(this, rowElement, selectedNode);
            }
            else if (this.grid.parent !== null &&
                currentRowIndex === this.grid.dataView.length - 1) {
                // move to next row in sibling layout or in parent
                this.focusNext(visibleColumnIndex);
            }
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.navigateTop = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            var _this = this;
            if (this.grid.parent !== null) {
                // navigating in child
                /** @type {?} */
                var childContainer = this.grid.nativeElement.parentNode.parentNode;
                /** @type {?} */
                var diff = childContainer.getBoundingClientRect().top - this.grid.rootGrid.tbody.nativeElement.getBoundingClientRect().top;
                /** @type {?} */
                var topIsVisible = diff >= 0;
                /** @type {?} */
                var scrollable = this.getNextScrollable(this.grid);
                if (!topIsVisible) {
                    this.scrollGrid(scrollable.grid, diff, function () { return _super.prototype.navigateTop.call(_this, visibleColumnIndex); });
                }
                else {
                    _super.prototype.navigateTop.call(this, visibleColumnIndex);
                }
            }
            else {
                _super.prototype.navigateTop.call(this, visibleColumnIndex);
            }
        };
        /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.navigateBottom = /**
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (visibleColumnIndex) {
            var _this = this;
            // handle scenario where last index is child grid
            // in that case focus cell in last data row
            /** @type {?} */
            var lastIndex = this.grid.dataView.length - 1;
            if (this.getIsChildAtIndex(lastIndex)) {
                /** @type {?} */
                var targetIndex_1 = lastIndex - 1;
                /** @type {?} */
                var scrTopPosition = this.grid.verticalScrollContainer.getScrollForIndex(targetIndex_1, true);
                /** @type {?} */
                var verticalScrollTop = this.grid.verticalScrollContainer.scrollPosition;
                /** @type {?} */
                var cellSelector_1 = this.getCellSelector(visibleColumnIndex);
                if (verticalScrollTop === scrTopPosition) {
                    /** @type {?} */
                    var cells = this.getRowByIndex(targetIndex_1).querySelectorAll(cellSelector_1 + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                    cells[cells.length - 1].focus();
                }
                else {
                    this.scrollGrid(this.grid, scrTopPosition - verticalScrollTop, function () {
                        /** @type {?} */
                        var cells = _this.getRowByIndex(targetIndex_1).querySelectorAll(cellSelector_1 + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                        if (cells.length > 0) {
                            cells[cells.length - 1].focus();
                        }
                    });
                }
            }
            else if (this.grid.parent !== null) {
                /** @type {?} */
                var childContainer = this.grid.nativeElement.parentNode.parentNode;
                /** @type {?} */
                var diff = childContainer.getBoundingClientRect().bottom - this.grid.rootGrid.tbody.nativeElement.getBoundingClientRect().bottom;
                /** @type {?} */
                var endIsVisible = diff < 0;
                /** @type {?} */
                var scrollable = this.getNextScrollableDown(this.grid);
                if (!endIsVisible) {
                    this.scrollGrid(scrollable.grid, diff, function () { return _super.prototype.navigateBottom.call(_this, visibleColumnIndex); });
                }
                else {
                    _super.prototype.navigateBottom.call(this, visibleColumnIndex);
                }
            }
            else {
                _super.prototype.navigateBottom.call(this, visibleColumnIndex);
            }
        };
        /**
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.goToLastCell = /**
         * @return {?}
         */
        function () {
            var _this = this;
            // handle scenario where last index is child grid
            // in that case focus last cell in last data row
            /** @type {?} */
            var lastIndex = this.grid.dataView.length - 1;
            if (this.getIsChildAtIndex(lastIndex)) {
                /** @type {?} */
                var targetIndex_2 = lastIndex - 1;
                /** @type {?} */
                var scrTopPosition = this.grid.verticalScrollContainer.getScrollForIndex(targetIndex_2, true);
                /** @type {?} */
                var verticalScrollTop = this.grid.verticalScrollContainer.scrollPosition;
                if (verticalScrollTop === scrTopPosition) {
                    this.onKeydownEnd(targetIndex_2);
                }
                else {
                    this.scrollGrid(this.grid, scrTopPosition - verticalScrollTop, function () {
                        _this.onKeydownEnd(targetIndex_2);
                    });
                }
            }
            else {
                _super.prototype.goToLastCell.call(this);
            }
        };
        /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.onKeydownEnd = /**
         * @param {?} rowIndex
         * @param {?=} isSummary
         * @return {?}
         */
        function (rowIndex, isSummary) {
            var _this = this;
            if (isSummary === void 0) { isSummary = false; }
            if (this.grid.parent && !isSummary) {
                // handle scenario where last child row might not be in view
                // parent should scroll to child grid end
                /** @type {?} */
                var childContainer = this.grid.nativeElement.parentNode.parentNode;
                /** @type {?} */
                var diffBottom = childContainer.getBoundingClientRect().bottom - this.grid.rootGrid.nativeElement.getBoundingClientRect().bottom;
                /** @type {?} */
                var row = this.grid.getRowByIndex(rowIndex).element.nativeElement;
                /** @type {?} */
                var rowBottom = row.getBoundingClientRect().bottom;
                /** @type {?} */
                var rowIsVisible = rowBottom <= this.grid.rootGrid.tbody.nativeElement.getBoundingClientRect().bottom;
                /** @type {?} */
                var gridTop = this._getMaxTop(this.grid);
                /** @type {?} */
                var diffTop = row.getBoundingClientRect().bottom -
                    row.offsetHeight - gridTop;
                /** @type {?} */
                var endIsVisible = diffBottom <= 0;
                /** @type {?} */
                var topVisible = diffTop >= 0;
                if (!endIsVisible && !rowIsVisible) {
                    this.scrollGrid(this.grid.parent, diffBottom, function () { return _super.prototype.onKeydownEnd.call(_this, rowIndex); });
                }
                else if (!topVisible) {
                    /** @type {?} */
                    var scrGrid = this.grid.verticalScrollContainer.scrollPosition !== 0 ? this.grid :
                        this.getNextScrollable(this.grid).grid;
                    /** @type {?} */
                    var topGrid = scrGrid.tbody.nativeElement.getBoundingClientRect().top >
                        this.grid.rootGrid.tbody.nativeElement.getBoundingClientRect().top ? scrGrid : this.grid.rootGrid;
                    this.scrollGrid(topGrid, diffTop, function () { return _super.prototype.onKeydownEnd.call(_this, rowIndex); });
                }
                else {
                    _super.prototype.onKeydownEnd.call(this, rowIndex, isSummary);
                }
            }
            else {
                _super.prototype.onKeydownEnd.call(this, rowIndex, isSummary);
            }
        };
        /**
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.goToFirstCell = /**
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var verticalScroll = this.grid.verticalScrollContainer.getScroll();
            /** @type {?} */
            var horizontalScroll = this.grid.dataRowList.first.virtDirRow.getScroll();
            if (verticalScroll.scrollTop === 0 && this.grid.parent) {
                // scroll parent so that current child is in view
                if (!horizontalScroll.clientWidth || parseInt(horizontalScroll.scrollLeft, 10) <= 1 || this.grid.pinnedColumns.length) {
                    this.navigateTop(0);
                }
                else {
                    this.horizontalScroll(this.grid.dataRowList.first.index).scrollTo(0);
                    this.grid.parentVirtDir.onChunkLoad
                        .pipe(operators.first())
                        .subscribe(function () {
                        _this.navigateTop(0);
                    });
                }
            }
            else {
                _super.prototype.goToFirstCell.call(this);
            }
        };
        /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.performTab = /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        function (currentRowEl, selectedNode) {
            var _this = this;
            if (this.grid.rowInEditMode) {
                _super.prototype.performTab.call(this, currentRowEl, selectedNode);
                return;
            }
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var isSummaryRow = selectedNode.isSummaryRow;
            /** @type {?} */
            var summaryRows = this.grid.summariesRowList.toArray();
            /** @type {?} */
            var hasSummaries = summaryRows.length > 0;
            /** @type {?} */
            var isLastDataRow = rowIndex === this.grid.dataView.length - 1;
            /** @type {?} */
            var nextIsDataRow = this.grid.dataRowList.find(function (row) { return row.index === rowIndex + 1; });
            /** @type {?} */
            var isLastColumn = this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex === visibleColumnIndex;
            /** @type {?} */
            var isLastSummaryRow = hasSummaries && isSummaryRow;
            /** @type {?} */
            var nextIndex = rowIndex + 1;
            /** @type {?} */
            var virt = this.grid.verticalScrollContainer;
            /** @type {?} */
            var isNextChild = nextIndex <= virt.igxForOf.length - 1 &&
                this.grid.isChildGridRecord(virt.igxForOf[nextIndex]);
            if (!nextIsDataRow && !(isLastDataRow && hasSummaries) && isLastColumn && !isSummaryRow) {
                // navigating in child, next is not summary
                /** @type {?} */
                var childContainer = this.getChildGridRowContainer();
                /** @type {?} */
                var nextIsSiblingChild = this.grid.parent ? !!childContainer.nextElementSibling : false;
                if (nextIsSiblingChild) {
                    this.focusNextChildDOMElem(childContainer, this.grid.parent);
                }
                else if (isNextChild) {
                    /** @type {?} */
                    var isInView = virt.state.startIndex + virt.state.chunkSize > nextIndex;
                    if (!isInView) {
                        this.scrollGrid(this.grid, 'next', function () {
                            _this.focusNextChildDOMElem(currentRowEl, _this.grid);
                        });
                    }
                    else {
                        this.focusNextChildDOMElem(currentRowEl, this.grid);
                    }
                }
                else if (this.grid.parent && this.grid.parent.summariesRowList.length > 0) {
                    this._navigateToNextParentRow(currentRowEl);
                }
                else {
                    this.navigateDown(currentRowEl, { row: rowIndex, column: 0 });
                }
            }
            else if (isLastSummaryRow && isLastColumn && this.grid.parent) {
                this._navigateToNextParentRow(currentRowEl);
            }
            else if (isLastDataRow && hasSummaries && isLastColumn && this.grid.parent) {
                // navigating in child rows, next is child grid's summary row
                this.focusNextRow(summaryRows[0].nativeElement, 0, this.grid.parent, true);
            }
            else {
                _super.prototype.performTab.call(this, currentRowEl, selectedNode);
            }
        };
        /**
         * @private
         * @param {?} currentRowEl
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype._navigateToNextParentRow = /**
         * @private
         * @param {?} currentRowEl
         * @return {?}
         */
        function (currentRowEl) {
            // next is parent summary or next parent row
            /** @type {?} */
            var parent = this.grid.parent;
            /** @type {?} */
            var parentHasSummary = parent.summariesRowList.length > 0;
            /** @type {?} */
            var parentRowIndex = parseInt(this.getClosestElemByTag(currentRowEl, 'igx-child-grid-row').parentNode.getAttribute('data-rowindex'), 10);
            /** @type {?} */
            var isLastRowInParent = parent.dataView.length - 1 === parentRowIndex;
            // check if next is sibling
            /** @type {?} */
            var childRowContainer = this.getChildGridRowContainer(this.grid);
            /** @type {?} */
            var nextIsSiblingChild = !!childRowContainer.nextElementSibling;
            if (isLastRowInParent && parentHasSummary && !nextIsSiblingChild) {
                // next is parent summary
                /** @type {?} */
                var parentSummary = parent.summariesRowList.first.nativeElement;
                parent.navigation.focusNextRow(parentSummary, 0, parent, true);
            }
            else {
                // next is sibling or parent
                this.focusNext(0);
            }
        };
        /**
         * @private
         * @param {?} currentRowEl
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusNextChildDOMElem = /**
         * @private
         * @param {?} currentRowEl
         * @param {?} grid
         * @return {?}
         */
        function (currentRowEl, grid) {
            /** @type {?} */
            var gridElem = currentRowEl.nextElementSibling.querySelector('igx-hierarchical-grid');
            /** @type {?} */
            var childGridID = gridElem.getAttribute('id');
            /** @type {?} */
            var childGrid = this.getChildGrid(childGridID, grid);
            if (childGrid.allowFiltering && childGrid.filterMode === FilterMode.quickFilter) {
                childGrid.navigation.moveFocusToFilterCell(true);
                return;
            }
            this.focusNextChild(currentRowEl.nextElementSibling, 0, grid);
        };
        /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.navigatePrevFilterCell = /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        function (column, eventArgs) {
            if (column.visibleIndex === 0 && this.grid.parent) {
                eventArgs.preventDefault();
                /** @type {?} */
                var targetGrid = this.grid.parent;
                /** @type {?} */
                var prevSiblingChild = this.getChildGridRowContainer().previousElementSibling;
                if (prevSiblingChild) {
                    /** @type {?} */
                    var gridElem = prevSiblingChild.querySelectorAll('igx-hierarchical-grid')[0];
                    targetGrid = this.getChildGrid(gridElem.getAttribute('id'), this.grid.parent);
                }
                this.focusPrev(targetGrid.unpinnedColumns[targetGrid.unpinnedColumns.length - 1].visibleIndex);
            }
            else {
                _super.prototype.navigatePrevFilterCell.call(this, column, eventArgs);
            }
        };
        /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.navigateNextFilterCell = /**
         * @param {?} column
         * @param {?} eventArgs
         * @return {?}
         */
        function (column, eventArgs) {
            /** @type {?} */
            var cols = this.grid.filteringService.unpinnedFilterableColumns;
            /** @type {?} */
            var nextFilterableIndex = cols.indexOf(column) + 1;
            if (nextFilterableIndex >= this.grid.filteringService.unpinnedFilterableColumns.length) {
                // next is not filter cell
                /** @type {?} */
                var dataRows = this.grid.rowList.toArray();
                /** @type {?} */
                var hasRows = dataRows.length !== 0;
                /** @type {?} */
                var summaryRows = this.grid.summariesRowList.toArray();
                /** @type {?} */
                var hasSummaries = summaryRows.length > 0 && summaryRows[0].summaryCells.length > 0;
                if (hasRows) {
                    this.focusNextRow(dataRows[0].nativeElement, 0, this.grid, false);
                }
                else if (hasSummaries) {
                    this.focusNextRow(summaryRows[0].nativeElement, 0, this.grid, true);
                }
                else {
                    this.focusNext(0);
                }
                eventArgs.preventDefault();
            }
            else {
                _super.prototype.navigateNextFilterCell.call(this, column, eventArgs);
            }
        };
        /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.performShiftTabKey = /**
         * @param {?} currentRowEl
         * @param {?} selectedNode
         * @return {?}
         */
        function (currentRowEl, selectedNode) {
            var _this = this;
            if (this.grid.rowInEditMode) {
                _super.prototype.performShiftTabKey.call(this, currentRowEl, selectedNode);
                return;
            }
            /** @type {?} */
            var rowIndex = selectedNode.row;
            /** @type {?} */
            var visibleColumnIndex = selectedNode.column;
            /** @type {?} */
            var isSummary = selectedNode.isSummaryRow;
            if (visibleColumnIndex === 0 && rowIndex === 0 && this.grid.parent && !isSummary) {
                if (this.grid.allowFiltering && this.grid.filterMode === FilterMode.quickFilter) {
                    this.moveFocusToFilterCell();
                }
                else {
                    /** @type {?} */
                    var prevSiblingChild = this.getChildGridRowContainer().previousElementSibling;
                    if (prevSiblingChild) {
                        /** @type {?} */
                        var gridElem = prevSiblingChild.querySelectorAll('igx-hierarchical-grid')[0];
                        this.performShiftTabIntoChild(gridElem, currentRowEl, rowIndex);
                    }
                    else {
                        /** @type {?} */
                        var selNode = {
                            row: rowIndex,
                            column: this.grid.parent.unpinnedColumns[this.grid.parent.unpinnedColumns.length - 1].visibleIndex
                        };
                        this.navigateUp(currentRowEl, selNode);
                    }
                }
            }
            else if (visibleColumnIndex === 0 && currentRowEl.previousElementSibling &&
                currentRowEl.previousElementSibling.children[0].tagName.toLowerCase() === 'igx-child-grid-row') {
                /** @type {?} */
                var gridElem = this.getLastGridElem(currentRowEl.previousElementSibling);
                this.performShiftTabIntoChild(gridElem, currentRowEl, rowIndex);
            }
            else if (visibleColumnIndex === 0 && isSummary) {
                /** @type {?} */
                var lastRowIndex_1 = this.grid.dataView.length - 1;
                if (lastRowIndex_1 === -1) {
                    // no child data
                    if (this.grid.allowFiltering && this.grid.filterMode === FilterMode.quickFilter) {
                        this.moveFocusToFilterCell();
                    }
                    else {
                        /** @type {?} */
                        var selNode = {
                            row: rowIndex,
                            column: this.grid.parent.unpinnedColumns[this.grid.parent.unpinnedColumns.length - 1].visibleIndex
                        };
                        this.navigateUp(currentRowEl, selNode);
                    }
                }
                else if (!this.getIsChildAtIndex(lastRowIndex_1)) {
                    _super.prototype.goToLastCell.call(this);
                }
                else {
                    /** @type {?} */
                    var scrTopPosition = this.grid.verticalScrollContainer.getScrollForIndex(lastRowIndex_1, true);
                    /** @type {?} */
                    var verticalScrollTop = this.grid.verticalScrollContainer.scrollPosition;
                    if (verticalScrollTop === scrTopPosition || isNaN(scrTopPosition)) {
                        /** @type {?} */
                        var closestChild = this.getLastGridElem(this.grid.getRowByIndex(lastRowIndex_1).nativeElement.parentElement);
                        this.performShiftTabIntoChild(closestChild, currentRowEl, rowIndex);
                    }
                    else {
                        this.scrollGrid(this.grid, scrTopPosition - verticalScrollTop, function () {
                            /** @type {?} */
                            var closestChild = _this.getLastGridElem(_this.grid.getRowByIndex(lastRowIndex_1).nativeElement.parentElement);
                            _this.performShiftTabIntoChild(closestChild, currentRowEl, rowIndex);
                        });
                    }
                }
            }
            else {
                _super.prototype.performShiftTabKey.call(this, currentRowEl, selectedNode);
            }
        };
        /**
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getFocusableGrid = /**
         * @return {?}
         */
        function () {
            return (isIE() && this.grid.rootGrid) ? this.grid.rootGrid : this.grid;
        };
        /**
         * @private
         * @param {?} trContainer
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getLastGridElem = /**
         * @private
         * @param {?} trContainer
         * @return {?}
         */
        function (trContainer) {
            /** @type {?} */
            var children = trContainer.children;
            /** @type {?} */
            var closestChild = children[children.length - 1].children[0].children[0];
            return closestChild;
        };
        /**
         * @private
         * @param {?} gridElem
         * @param {?} currentRowEl
         * @param {?} rowIndex
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.performShiftTabIntoChild = /**
         * @private
         * @param {?} gridElem
         * @param {?} currentRowEl
         * @param {?} rowIndex
         * @return {?}
         */
        function (gridElem, currentRowEl, rowIndex) {
            /** @type {?} */
            var childGridID = gridElem.getAttribute('id');
            /** @type {?} */
            var childGrid = this.getChildGrid(childGridID, this.grid) || this.getChildGrid(childGridID, this.grid.parent);
            /** @type {?} */
            var lastIndex = childGrid.unpinnedColumns[childGrid.unpinnedColumns.length - 1].visibleIndex;
            /** @type {?} */
            var summaryRows = childGrid.summariesRowList.toArray();
            if (summaryRows.length > 0 && summaryRows[0].summaryCells.length > 0) {
                // move focus to last summary row cell
                /** @type {?} */
                var summaryRow = summaryRows[0].nativeElement;
                this.focusPrevRow(summaryRow, lastIndex, childGrid, true, true);
            }
            else if (childGrid.rowList.length === 0 &&
                childGrid.allowFiltering && childGrid.filterMode === FilterMode.quickFilter) {
                // move to filter cell
                childGrid.navigation.moveFocusToFilterCell();
            }
            else if (childGrid.rowList.length === 0) {
                // move to prev child or parent row
                /** @type {?} */
                var prevChild = this.getSibling(childGrid);
                if (prevChild) {
                    this.performShiftTabIntoChild(prevChild, currentRowEl, rowIndex);
                }
                else {
                    /** @type {?} */
                    var selNode = {
                        row: rowIndex,
                        column: this.grid.unpinnedColumns[this.grid.unpinnedColumns.length - 1].visibleIndex
                    };
                    this.navigateUp(currentRowEl, selNode);
                }
            }
            else {
                // move to prev cell
                childGrid.navigation.goToLastCell();
            }
        };
        /**
         * @private
         * @param {?} childGrid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getSibling = /**
         * @private
         * @param {?} childGrid
         * @return {?}
         */
        function (childGrid) {
            /** @type {?} */
            var prevChildRow = childGrid.childRow.nativeElement.previousElementSibling;
            if (prevChildRow) {
                return prevChildRow.children[0].children[0];
            }
            return null;
        };
        /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusNextChild = /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @return {?}
         */
        function (elem, visibleColumnIndex, grid) {
            var _this = this;
            /** @type {?} */
            var gridElem = elem.querySelector('igx-hierarchical-grid');
            /** @type {?} */
            var childGridID = gridElem.getAttribute('id');
            /** @type {?} */
            var childGrid = this.getChildGrid(childGridID, grid);
            if (childGrid.rowList.length === 0) {
                this.focusNext(visibleColumnIndex, childGrid);
                return;
            }
            // Update column index since the next child can have in general less columns than visibleColumnIndex value.
            /** @type {?} */
            var lastCellIndex = childGrid.unpinnedColumns[childGrid.unpinnedColumns.length - 1].visibleIndex;
            visibleColumnIndex = Math.min(lastCellIndex, visibleColumnIndex);
            if (childGrid.verticalScrollContainer.state.startIndex !== 0) {
                // scroll to top
                this.scrollGrid(childGrid, 'top', function () { return _this.focusNextRow(elem, visibleColumnIndex, childGrid); });
            }
            else {
                this.focusNextRow(elem, visibleColumnIndex, childGrid);
            }
        };
        /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusPrevChild = /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @return {?}
         */
        function (elem, visibleColumnIndex, grid) {
            var _this = this;
            /** @type {?} */
            var grids = [];
            /** @type {?} */
            var gridElems = Array.from(elem.querySelectorAll('igx-hierarchical-grid'));
            /** @type {?} */
            var childLevel = grid.childLayoutList.first.level;
            gridElems.forEach(function (hg) {
                /** @type {?} */
                var parentRow = _this.getClosestElemByTag(hg, 'igx-child-grid-row');
                if (parentRow && parseInt(parentRow.getAttribute('data-level'), 10) === childLevel) {
                    grids.push(hg);
                }
            });
            /** @type {?} */
            var gridElem = grids[grids.length - 1];
            /** @type {?} */
            var childGridID = gridElem.getAttribute('id');
            /** @type {?} */
            var childGrid = this.getChildGrid(childGridID, grid);
            if (childGrid.rowList.length === 0) {
                this.focusPrev(visibleColumnIndex, childGrid);
                return;
            }
            // Update column index since the previous child can have in general less columns than visibleColumnIndex value.
            /** @type {?} */
            var lastCellIndex = childGrid.unpinnedColumns[childGrid.unpinnedColumns.length - 1].visibleIndex;
            visibleColumnIndex = Math.min(lastCellIndex, visibleColumnIndex);
            /** @type {?} */
            var isScrolledToBottom = this._isScrolledToBottom(childGrid);
            /** @type {?} */
            var lastIndex = childGrid.dataView.length - 1;
            if (!isScrolledToBottom) {
                // scroll to end
                this.scrollGrid(childGrid, 'bottom', function () { return _this.focusPrevChild(elem, visibleColumnIndex, grid); });
            }
            else {
                /** @type {?} */
                var lastRowInChild = childGrid.getRowByIndex(lastIndex);
                /** @type {?} */
                var isChildGrid = lastRowInChild.nativeElement.nodeName.toLowerCase() === 'igx-child-grid-row';
                if (isChildGrid) {
                    this.focusPrevChild(lastRowInChild.nativeElement.parentNode, visibleColumnIndex, childGrid);
                }
                else {
                    this.focusPrevRow(lastRowInChild.nativeElement, visibleColumnIndex, childGrid, true);
                }
            }
        };
        /**
         * @private
         * @param {?} visibleColumnIndex
         * @param {?=} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusPrev = /**
         * @private
         * @param {?} visibleColumnIndex
         * @param {?=} grid
         * @return {?}
         */
        function (visibleColumnIndex, grid) {
            var _this = this;
            /** @type {?} */
            var currGrid = grid || this.grid;
            /** @type {?} */
            var parentContainer = this.getChildContainer(currGrid);
            /** @type {?} */
            var childRowContainer = this.getChildGridRowContainer(currGrid);
            /** @type {?} */
            var prevIsSiblingChild = !!childRowContainer.previousElementSibling;
            /** @type {?} */
            var prev = childRowContainer.previousElementSibling || parentContainer.previousElementSibling;
            if (prev) {
                if (prevIsSiblingChild) {
                    this.focusPrevChild(prev, visibleColumnIndex, currGrid.parent);
                }
                else {
                    this.focusPrevRow(prev, visibleColumnIndex, currGrid.parent);
                }
            }
            else {
                this.scrollGrid(currGrid.parent, 'prev', function () {
                    parentContainer = _this.getChildContainer(grid);
                    childRowContainer = _this.getChildGridRowContainer(grid);
                    prev = childRowContainer.previousElementSibling || parentContainer.previousElementSibling;
                    if (prevIsSiblingChild) {
                        _this.focusPrevChild(prev, visibleColumnIndex, currGrid.parent);
                    }
                    else {
                        _this.focusPrevRow(prev, visibleColumnIndex, currGrid.parent);
                    }
                });
            }
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getNextParentInfo = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            // find next parent that is not at bottom
            /** @type {?} */
            var currGrid = grid.parent;
            /** @type {?} */
            var nextElem = this.getChildContainer(grid).nextElementSibling;
            while (!nextElem && currGrid.parent !== null) {
                nextElem = this.getChildContainer(currGrid).nextElementSibling;
                currGrid = currGrid.parent;
            }
            return { grid: currGrid, nextElement: nextElem };
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getNextScrollable = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var currGrid = grid.parent;
            if (!currGrid) {
                return { grid: grid, prev: null };
            }
            /** @type {?} */
            var nonScrollable = currGrid.verticalScrollContainer.scrollPosition === 0;
            /** @type {?} */
            var prev = grid;
            while (nonScrollable && currGrid.parent !== null) {
                prev = currGrid;
                currGrid = currGrid.parent;
                nonScrollable = currGrid.verticalScrollContainer.scrollPosition === 0;
            }
            return { grid: currGrid, prev: prev };
        };
        /**
         * @private
         * @param {?} visibleColumnIndex
         * @param {?=} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusNext = /**
         * @private
         * @param {?} visibleColumnIndex
         * @param {?=} grid
         * @return {?}
         */
        function (visibleColumnIndex, grid) {
            var _this = this;
            /** @type {?} */
            var currGrid = grid || this.grid;
            /** @type {?} */
            var parentInfo = this.getNextParentInfo(currGrid);
            /** @type {?} */
            var nextParentGrid = parentInfo.grid;
            /** @type {?} */
            var nextParentElem = parentInfo.nextElement;
            /** @type {?} */
            var childRowContainer = this.getChildGridRowContainer(currGrid);
            /** @type {?} */
            var nextIsSiblingChild = !!childRowContainer.nextElementSibling;
            /** @type {?} */
            var next = childRowContainer.nextElementSibling || nextParentElem;
            /** @type {?} */
            var verticalScroll = nextParentGrid.verticalScrollContainer.getScroll();
            /** @type {?} */
            var parentState = nextParentGrid.verticalScrollContainer.state;
            /** @type {?} */
            var atLastChunk = parentState.startIndex + parentState.chunkSize ===
                nextParentGrid.dataView.length;
            if (next) {
                if (nextIsSiblingChild) {
                    this.focusNextChild(next, visibleColumnIndex, nextParentGrid);
                }
                else {
                    this.focusNextRow(next, visibleColumnIndex, grid || nextParentGrid);
                }
            }
            else if (verticalScroll.scrollTop !==
                verticalScroll.scrollHeight - nextParentGrid.verticalScrollContainer.igxForContainerSize && !atLastChunk) {
                this.scrollGrid(nextParentGrid, 'next', function () {
                    nextParentElem = parentInfo.nextElement;
                    childRowContainer = _this.getChildGridRowContainer();
                    next = childRowContainer.nextElementSibling || nextParentElem;
                    if (next && nextIsSiblingChild) {
                        _this.focusNextChild(next, visibleColumnIndex, nextParentGrid);
                    }
                    else if (next) {
                        _this.focusNextRow(next, visibleColumnIndex, grid || nextParentGrid);
                    }
                });
            }
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getNextScrollableDown = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var currGrid = grid.parent;
            if (!currGrid) {
                return { grid: grid, prev: null };
            }
            /** @type {?} */
            var scrollTop = currGrid.verticalScrollContainer.scrollPosition;
            /** @type {?} */
            var scrollHeight = currGrid.verticalScrollContainer.getScroll().scrollHeight;
            /** @type {?} */
            var nonScrollable = scrollHeight === 0 ||
                Math.round(scrollTop + currGrid.verticalScrollContainer.igxForContainerSize) === scrollHeight;
            /** @type {?} */
            var prev = grid;
            while (nonScrollable && currGrid.parent !== null) {
                prev = currGrid;
                currGrid = currGrid.parent;
                scrollTop = currGrid.verticalScrollContainer.scrollPosition;
                scrollHeight = currGrid.verticalScrollContainer.getScroll().scrollHeight;
                nonScrollable = scrollHeight === 0 ||
                    Math.round(scrollTop + currGrid.verticalScrollContainer.igxForContainerSize) === scrollHeight;
            }
            return { grid: currGrid, prev: prev };
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype._getMinBottom = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var currGrid = grid;
            /** @type {?} */
            var bottom = currGrid.tbody.nativeElement.getBoundingClientRect().bottom;
            while (currGrid.parent) {
                currGrid = currGrid.parent;
                bottom = Math.min(bottom, currGrid.tbody.nativeElement.getBoundingClientRect().bottom);
            }
            return bottom;
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype._getMaxTop = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            /** @type {?} */
            var currGrid = grid;
            /** @type {?} */
            var top = currGrid.tbody.nativeElement.getBoundingClientRect().top;
            while (currGrid.parent) {
                currGrid = currGrid.parent;
                top = Math.max(top, currGrid.tbody.nativeElement.getBoundingClientRect().top);
            }
            return top;
        };
        /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @param {?=} isSummary
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusNextRow = /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @param {?=} isSummary
         * @return {?}
         */
        function (elem, visibleColumnIndex, grid, isSummary) {
            var _this = this;
            /** @type {?} */
            var lastCellIndex = grid.unpinnedColumns[grid.unpinnedColumns.length - 1].visibleIndex;
            visibleColumnIndex = Math.min(lastCellIndex, visibleColumnIndex);
            /** @type {?} */
            var cellSelector = this.getCellSelector(visibleColumnIndex, isSummary);
            if (grid.navigation.isColumnFullyVisible(visibleColumnIndex) || grid.rowList.length === 0) {
                /** @type {?} */
                var cell_1 = elem.querySelector(cellSelector + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                /** @type {?} */
                var closestScrollableGrid = this.getNextScrollableDown(grid).grid;
                // const diff = cell.getBoundingClientRect().bottom - grid.rootGrid.tbody.nativeElement.getBoundingClientRect().bottom;
                /** @type {?} */
                var gridBottom = this._getMinBottom(grid);
                /** @type {?} */
                var diff = cell_1.getBoundingClientRect().bottom - gridBottom;
                /** @type {?} */
                var inView = diff <= 0;
                /** @type {?} */
                var scrollTop = closestScrollableGrid.verticalScrollContainer.scrollPosition;
                /** @type {?} */
                var scrollHeight = closestScrollableGrid.verticalScrollContainer.getScroll().scrollHeight;
                /** @type {?} */
                var canScroll = !(scrollHeight === 0 ||
                    Math.round(scrollTop + closestScrollableGrid.verticalScrollContainer.igxForContainerSize) === scrollHeight);
                if (!inView && canScroll) {
                    this.scrollGrid(closestScrollableGrid, diff, function () { return cell_1.focus({ preventScroll: true }); });
                }
                else {
                    cell_1.focus({ preventScroll: true });
                }
            }
            else {
                this.horizontalScrollGridToIndex(grid, visibleColumnIndex, function () {
                    _this.focusNextRow(elem, visibleColumnIndex, grid, isSummary);
                });
            }
        };
        /**
         * @param {?} visibleColumnIndex
         * @param {?=} grid
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getColumnUnpinnedIndex = /**
         * @param {?} visibleColumnIndex
         * @param {?=} grid
         * @return {?}
         */
        function (visibleColumnIndex, grid) {
            /** @type {?} */
            var currGrid = grid || this.grid;
            /** @type {?} */
            var column = currGrid.unpinnedColumns.find(function (col) { return !col.columnGroup && col.visibleIndex === visibleColumnIndex; });
            return currGrid.pinnedColumns.length ? currGrid.unpinnedColumns.filter(function (c) { return !c.columnGroup; }).indexOf(column) :
                visibleColumnIndex;
        };
        /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @param {?=} inChild
         * @param {?=} isSummary
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.focusPrevRow = /**
         * @private
         * @param {?} elem
         * @param {?} visibleColumnIndex
         * @param {?} grid
         * @param {?=} inChild
         * @param {?=} isSummary
         * @return {?}
         */
        function (elem, visibleColumnIndex, grid, inChild, isSummary) {
            var _this = this;
            /** @type {?} */
            var lastCellIndex = grid.unpinnedColumns[grid.unpinnedColumns.length - 1].visibleIndex;
            visibleColumnIndex = Math.min(lastCellIndex, visibleColumnIndex);
            if (grid.navigation.isColumnFullyVisible(visibleColumnIndex)) {
                /** @type {?} */
                var cellSelector_2 = this.getCellSelector(visibleColumnIndex, isSummary);
                /** @type {?} */
                var cells = elem.querySelectorAll(cellSelector_2 + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]");
                /** @type {?} */
                var cell_2 = cells[cells.length - 1];
                /** @type {?} */
                var rIndex_1 = parseInt(elem.getAttribute('data-rowindex'), 10);
                /** @type {?} */
                var scrGrid = grid.verticalScrollContainer.scrollPosition !== 0 ? grid :
                    this.getNextScrollable(grid).grid;
                /** @type {?} */
                var topGrid = scrGrid.tbody.nativeElement.getBoundingClientRect().top >
                    grid.rootGrid.tbody.nativeElement.getBoundingClientRect().top ? scrGrid : grid.rootGrid;
                /** @type {?} */
                var gridTop = this._getMaxTop(grid);
                /** @type {?} */
                var scrTop = scrGrid.verticalScrollContainer.scrollPosition;
                /** @type {?} */
                var diff = cell_2.getBoundingClientRect().bottom -
                    cell_2.offsetHeight - gridTop;
                if (scrTop !== 0 && diff < 0 && !inChild) {
                    this.scrollGrid(scrGrid, diff, function () {
                        /** @type {?} */
                        var el = !isSummary ? grid.navigation.getRowByIndex(rIndex_1) : elem;
                        cell_2 = el.querySelectorAll(cellSelector_2 + "[data-visibleIndex=\"" + visibleColumnIndex + "\"]")[0];
                        cell_2.focus({ preventScroll: true });
                    });
                }
                else if (diff < 0 && inChild) {
                    this.scrollGrid(topGrid, diff, function () {
                        cell_2.focus({ preventScroll: true });
                    });
                }
                else {
                    cell_2.focus({ preventScroll: true });
                }
            }
            else {
                this.horizontalScrollGridToIndex(grid, visibleColumnIndex, function () {
                    _this.focusPrevRow(elem, visibleColumnIndex, grid, inChild, isSummary);
                });
            }
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} visibleColumnIndex
         * @param {?} callBackFunc
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.horizontalScrollGridToIndex = /**
         * @private
         * @param {?} grid
         * @param {?} visibleColumnIndex
         * @param {?} callBackFunc
         * @return {?}
         */
        function (grid, visibleColumnIndex, callBackFunc) {
            /** @type {?} */
            var unpinnedIndex = this.getColumnUnpinnedIndex(visibleColumnIndex, grid);
            grid.parentVirtDir.onChunkLoad
                .pipe(operators.first())
                .subscribe(callBackFunc);
            if (grid.dataRowList.length > 0) {
                grid.dataRowList.first.virtDirRow.scrollTo(unpinnedIndex);
            }
            else {
                grid.headerContainer.scrollTo(unpinnedIndex);
            }
        };
        /**
         * @private
         * @param {?} grid
         * @param {?} target
         * @param {?} callBackFunc
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.scrollGrid = /**
         * @private
         * @param {?} grid
         * @param {?} target
         * @param {?} callBackFunc
         * @return {?}
         */
        function (grid, target, callBackFunc) {
            this.getFocusableGrid().nativeElement.focus({ preventScroll: true });
            requestAnimationFrame(function () {
                if (typeof target === 'number') {
                    grid.verticalScrollContainer.addScrollTop(target);
                }
                else {
                    switch (target) {
                        case 'top':
                            grid.verticalScrollContainer.scrollTo(0);
                            break;
                        case 'bottom':
                            grid.verticalScrollContainer.scrollTo(grid.dataView.length - 1);
                            break;
                        case 'next':
                            grid.verticalScrollContainer.scrollNext();
                            break;
                        case 'prev':
                            grid.verticalScrollContainer.scrollPrev();
                            break;
                    }
                }
                grid.verticalScrollContainer.onChunkLoad
                    .pipe(operators.first())
                    .subscribe(callBackFunc);
            });
        };
        /**
         * @private
         * @param {?} rowElement
         * @param {?} currentRowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype._navigateUpInChild = /**
         * @private
         * @param {?} rowElement
         * @param {?} currentRowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (rowElement, currentRowIndex, visibleColumnIndex) {
            var _this = this;
            /** @type {?} */
            var prevElem = rowElement.previousElementSibling;
            /** @type {?} */
            var scrollable = this.getNextScrollable(this.grid);
            /** @type {?} */
            var grid = scrollable.grid;
            /** @type {?} */
            var scrTop = grid.verticalScrollContainer.scrollPosition;
            /** @type {?} */
            var containerTop = scrollable.prev.nativeElement.parentNode.parentNode.parentNode.parentNode;
            /** @type {?} */
            var top = parseInt(containerTop.style.top, 10);
            if (scrTop !== 0 && top < 0) {
                this.scrollGrid(grid, -prevElem.offsetHeight, function () { return _super.prototype.navigateUp.call(_this, rowElement, { row: currentRowIndex, column: visibleColumnIndex }); });
            }
            else {
                _super.prototype.navigateUp.call(this, rowElement, { row: currentRowIndex, column: visibleColumnIndex });
            }
        };
        /**
         * @private
         * @param {?} rowElement
         * @param {?} currentRowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype._navigateDownInChild = /**
         * @private
         * @param {?} rowElement
         * @param {?} currentRowIndex
         * @param {?} visibleColumnIndex
         * @return {?}
         */
        function (rowElement, currentRowIndex, visibleColumnIndex) {
            var _this = this;
            /** @type {?} */
            var nextElem = rowElement.nextElementSibling;
            /** @type {?} */
            var childContainer = this.grid.nativeElement.parentNode.parentNode;
            /** @type {?} */
            var diff = childContainer.getBoundingClientRect().bottom - this.grid.rootGrid.nativeElement.getBoundingClientRect().bottom;
            /** @type {?} */
            var endIsVisible = diff < 0;
            /** @type {?} */
            var scrollable = this.getNextScrollableDown(this.grid);
            /** @type {?} */
            var grid = scrollable.grid;
            if (!endIsVisible) {
                this.scrollGrid(grid, nextElem.offsetHeight, function () { return _super.prototype.navigateDown.call(_this, rowElement, { row: currentRowIndex, column: visibleColumnIndex }); });
            }
            else {
                _super.prototype.navigateDown.call(this, rowElement, { row: currentRowIndex, column: visibleColumnIndex });
            }
        };
        /**
         * @private
         * @param {?} sourceElem
         * @param {?} targetTag
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getClosestElemByTag = /**
         * @private
         * @param {?} sourceElem
         * @param {?} targetTag
         * @return {?}
         */
        function (sourceElem, targetTag) {
            /** @type {?} */
            var result = sourceElem;
            while (result !== null && result.nodeType === 1) {
                if (result.tagName.toLowerCase() === targetTag.toLowerCase()) {
                    return result;
                }
                result = result.parentNode;
            }
            return null;
        };
        /**
         * @protected
         * @param {?} nextIndex
         * @return {?}
         */
        IgxHierarchicalGridNavigationService.prototype.getNextRowByIndex = /**
         * @protected
         * @param {?} nextIndex
         * @return {?}
         */
        function (nextIndex) {
            return this.grid.dataRowList.find(function (element) { return element.index === nextIndex; }).element.nativeElement;
        };
        return IgxHierarchicalGridNavigationService;
    }(IgxGridNavigationService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var IgxHierarchicalTransactionServiceFactory = {
        provide: IgxGridTransaction,
        useFactory: hierarchicalTransactionServiceFactory
    };
    /**
     * @return {?}
     */
    function hierarchicalTransactionServiceFactory() {
        return function () { return new IgxHierarchicalTransactionService(); };
    }
    /**
     * @abstract
     */
    var IgxHierarchicalGridBaseComponent = /** @class */ (function (_super) {
        __extends(IgxHierarchicalGridBaseComponent, _super);
        function IgxHierarchicalGridBaseComponent(selectionService, crudService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions) {
            var _this = _super.call(this, selectionService, crudService, colResizingService, gridAPI, typeof transactionFactory === 'function' ? transactionFactory() : transactionFactory, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions) || this;
            _this.selectionService = selectionService;
            _this.colResizingService = colResizingService;
            _this.transactionFactory = transactionFactory;
            _this.document = document;
            _this.overlayService = overlayService;
            _this.summaryService = summaryService;
            _this._displayDensityOptions = _displayDensityOptions;
            _this.showExpandAll = false;
            _this._expandChildren = false;
            _this.hgridAPI = (/** @type {?} */ (gridAPI));
            return _this;
        }
        Object.defineProperty(IgxHierarchicalGridBaseComponent.prototype, "maxLevelHeaderDepth", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this._maxLevelHeaderDepth === null) {
                    this._maxLevelHeaderDepth = this.columnList.reduce(function (acc, col) { return Math.max(acc, col.level); }, 0);
                }
                return this._maxLevelHeaderDepth;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridBaseComponent.prototype, "outlet", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @protected
             * @return {?}
             */
            function () {
                return this.rootGrid ? this.rootGrid.outletDirective : this.outletDirective;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} cols
         * @return {?}
         */
        IgxHierarchicalGridBaseComponent.prototype.createColumnsList = /**
         * @hidden
         * @param {?} cols
         * @return {?}
         */
        function (cols) {
            var _this = this;
            /** @type {?} */
            var columns = [];
            /** @type {?} */
            var topLevelCols = this.onlyTopLevel(cols);
            topLevelCols.forEach(function (col) {
                /** @type {?} */
                var ref = _this._createColumn(col);
                ref.changeDetectorRef.detectChanges();
                columns.push(ref.instance);
            });
            /** @type {?} */
            var result = flatten$1(columns);
            this.columnList.reset(result);
            this.columnList.notifyOnChanges();
            this.initPinning();
        };
        /**
         * @protected
         * @param {?} col
         * @return {?}
         */
        IgxHierarchicalGridBaseComponent.prototype._createColumn = /**
         * @protected
         * @param {?} col
         * @return {?}
         */
        function (col) {
            /** @type {?} */
            var ref;
            if (col instanceof IgxColumnGroupComponent) {
                ref = this._createColGroupComponent(col);
            }
            else {
                ref = this._createColComponent(col);
            }
            return ref;
        };
        /**
         * @protected
         * @param {?} col
         * @return {?}
         */
        IgxHierarchicalGridBaseComponent.prototype._createColGroupComponent = /**
         * @protected
         * @param {?} col
         * @return {?}
         */
        function (col) {
            var _this = this;
            /** @type {?} */
            var factoryGroup = this.resolver.resolveComponentFactory(IgxColumnGroupComponent);
            /** @type {?} */
            var ref = this.viewRef.createComponent(factoryGroup, null, this.viewRef.injector);
            ref.changeDetectorRef.detectChanges();
            factoryGroup.inputs.forEach(function (input) {
                /** @type {?} */
                var propName = input.propName;
                ((/** @type {?} */ (ref.instance)))[propName] = ((/** @type {?} */ (col)))[propName];
            });
            if (col.children.length > 0) {
                /** @type {?} */
                var newChildren_1 = [];
                col.children.forEach(function (child) {
                    /** @type {?} */
                    var newCol = _this._createColumn(child).instance;
                    newCol.parent = ref.instance;
                    newChildren_1.push(newCol);
                });
                ((/** @type {?} */ (ref.instance))).children.reset(newChildren_1);
                ((/** @type {?} */ (ref.instance))).children.notifyOnChanges();
            }
            // (<IgxColumnGroupComponent>ref.instance).grid = this;
            return ref;
        };
        /**
         * @protected
         * @param {?} col
         * @return {?}
         */
        IgxHierarchicalGridBaseComponent.prototype._createColComponent = /**
         * @protected
         * @param {?} col
         * @return {?}
         */
        function (col) {
            /** @type {?} */
            var factoryColumn = this.resolver.resolveComponentFactory(IgxColumnComponent);
            /** @type {?} */
            var ref = this.viewRef.createComponent(factoryColumn, null, this.viewRef.injector);
            factoryColumn.inputs.forEach(function (input) {
                /** @type {?} */
                var propName = input.propName;
                if (!(((/** @type {?} */ (col)))[propName] instanceof IgxSummaryOperand)) {
                    ((/** @type {?} */ (ref.instance)))[propName] = ((/** @type {?} */ (col)))[propName];
                }
                else {
                    ((/** @type {?} */ (ref.instance)))[propName] = col[propName].constructor;
                }
            });
            // (<IgxColumnComponent>ref.instance).grid = this;
            return ref;
        };
        /**
         * @protected
         * @param {?} rowIslandID
         * @return {?}
         */
        IgxHierarchicalGridBaseComponent.prototype.getGridsForIsland = /**
         * @protected
         * @param {?} rowIslandID
         * @return {?}
         */
        function (rowIslandID) {
            return this.hgridAPI.getChildGridsForRowIsland(rowIslandID);
        };
        /**
         * @protected
         * @param {?} path
         * @return {?}
         */
        IgxHierarchicalGridBaseComponent.prototype.getChildGrid = /**
         * @protected
         * @param {?} path
         * @return {?}
         */
        function (path) {
            if (!path) {
                return;
            }
            return this.hgridAPI.getChildGrid(path);
        };
        /** @nocollapse */
        IgxHierarchicalGridBaseComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: IgxColumnResizingService },
            { type: GridBaseAPIService },
            { type: undefined, decorators: [{ type: core.Inject, args: [IgxGridTransaction,] }] },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.ChangeDetectorRef },
            { type: core.ComponentFactoryResolver },
            { type: core.IterableDiffers },
            { type: core.ViewContainerRef },
            { type: IgxHierarchicalGridNavigationService },
            { type: IgxFilteringService },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: IgxGridSummaryService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxHierarchicalGridBaseComponent.propDecorators = {
            expandChildren: [{ type: core.Input }],
            hasChildrenKey: [{ type: core.Input }],
            showExpandAll: [{ type: core.Input }],
            dragIndicatorIconBase: [{ type: core.ViewChild, args: ['dragIndicatorIconBase', { read: core.TemplateRef, static: true },] }]
        };
        return IgxHierarchicalGridBaseComponent;
    }(IgxGridBaseComponent));
    /**
     * @param {?} arr
     * @return {?}
     */
    function flatten$1(arr) {
        /** @type {?} */
        var result = [];
        arr.forEach(function (el) {
            result.push(el);
            if (el.children) {
                result = result.concat(flatten$1(el.children.toArray()));
            }
        });
        return result;
    }

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxHierarchicalGridAPIService = /** @class */ (function (_super) {
        __extends(IgxHierarchicalGridAPIService, _super);
        function IgxHierarchicalGridAPIService() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.childRowIslands = new Map();
            _this.childGrids = new Map();
            return _this;
        }
        /**
         * @param {?} rowIsland
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.registerChildRowIsland = /**
         * @param {?} rowIsland
         * @return {?}
         */
        function (rowIsland) {
            this.childRowIslands.set(rowIsland.key, rowIsland);
            this.destroyMap.set(rowIsland.key, new rxjs.Subject());
        };
        /**
         * @param {?} rowIsland
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.unsetChildRowIsland = /**
         * @param {?} rowIsland
         * @return {?}
         */
        function (rowIsland) {
            this.childGrids.delete(rowIsland.key);
            this.childRowIslands.delete(rowIsland.key);
            this.destroyMap.delete(rowIsland.key);
        };
        /**
         * @param {?} key
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.getChildRowIsland = /**
         * @param {?} key
         * @return {?}
         */
        function (key) {
            return this.childRowIslands.get(key);
        };
        /**
         * @param {?} path
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.getChildGrid = /**
         * @param {?} path
         * @return {?}
         */
        function (path) {
            /** @type {?} */
            var currPath = path;
            /** @type {?} */
            var grid;
            /** @type {?} */
            var pathElem = currPath.shift();
            /** @type {?} */
            var childrenForLayout = this.childGrids.get(pathElem.rowIslandKey);
            if (childrenForLayout) {
                /** @type {?} */
                var childGrid = childrenForLayout.get(pathElem.rowID);
                if (currPath.length === 0) {
                    grid = childGrid;
                }
                else {
                    grid = childGrid.hgridAPI.getChildGrid(currPath);
                }
            }
            return grid;
        };
        /**
         * @param {?=} inDepth
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.getChildGrids = /**
         * @param {?=} inDepth
         * @return {?}
         */
        function (inDepth) {
            /** @type {?} */
            var allChildren = [];
            this.childGrids.forEach(function (layoutMap) {
                layoutMap.forEach(function (grid) {
                    allChildren.push(grid);
                    if (inDepth) {
                        /** @type {?} */
                        var children = grid.hgridAPI.getChildGrids(inDepth);
                        children.forEach(function (item) {
                            allChildren.push(item);
                        });
                    }
                });
            });
            return allChildren;
        };
        /**
         * @param {?} childGrid
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.getParentRowId = /**
         * @param {?} childGrid
         * @return {?}
         */
        function (childGrid) {
            /** @type {?} */
            var rowID;
            this.childGrids.forEach(function (layoutMap) {
                layoutMap.forEach(function (grid, key) {
                    if (grid === childGrid) {
                        rowID = key;
                        return;
                    }
                });
            });
            return rowID;
        };
        /**
         * @param {?} parentRowID
         * @param {?} rowIslandKey
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.registerChildGrid = /**
         * @param {?} parentRowID
         * @param {?} rowIslandKey
         * @param {?} grid
         * @return {?}
         */
        function (parentRowID, rowIslandKey, grid) {
            /** @type {?} */
            var childrenForLayout = this.childGrids.get(rowIslandKey);
            if (!childrenForLayout) {
                this.childGrids.set(rowIslandKey, new Map());
                childrenForLayout = this.childGrids.get(rowIslandKey);
            }
            childrenForLayout.set(parentRowID, grid);
        };
        /**
         * @param {?} rowIslandKey
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.getChildGridsForRowIsland = /**
         * @param {?} rowIslandKey
         * @return {?}
         */
        function (rowIslandKey) {
            /** @type {?} */
            var childrenForLayout = this.childGrids.get(rowIslandKey);
            /** @type {?} */
            var children = [];
            if (childrenForLayout) {
                childrenForLayout.forEach(function (child) {
                    children.push(child);
                });
            }
            return children;
        };
        /**
         * @param {?} rowIslandKey
         * @param {?} rowID
         * @return {?}
         */
        IgxHierarchicalGridAPIService.prototype.getChildGridByID = /**
         * @param {?} rowIslandKey
         * @param {?} rowID
         * @return {?}
         */
        function (rowIslandKey, rowID) {
            /** @type {?} */
            var childrenForLayout = this.childGrids.get(rowIslandKey);
            return childrenForLayout.get(rowID);
        };
        return IgxHierarchicalGridAPIService;
    }(GridBaseAPIService));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxRowIslandComponent = /** @class */ (function (_super) {
        __extends(IgxRowIslandComponent, _super);
        function IgxRowIslandComponent(selectionService, crudService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions, rowIslandAPI) {
            var _this = _super.call(this, selectionService, crudService, colResizingService, gridAPI, typeof transactionFactory === 'function' ? transactionFactory() : transactionFactory, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions) || this;
            _this.selectionService = selectionService;
            _this.colResizingService = colResizingService;
            _this.transactionFactory = transactionFactory;
            _this.document = document;
            _this.overlayService = overlayService;
            _this.summaryService = summaryService;
            _this._displayDensityOptions = _displayDensityOptions;
            _this.rowIslandAPI = rowIslandAPI;
            /**
             * @hidden
             */
            _this.children = new core.QueryList();
            /**
             * @hidden
             */
            _this.childColumns = new core.QueryList();
            /**
             * @hidden
             */
            _this.onLayoutChange = new core.EventEmitter();
            /**
             * Event emmited when a grid is being created based on this row island.
             * ```html
             * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true">
             *      <igx-row-island [key]="'childData'" (onGridCreated)="gridCreated($event)" #rowIsland>
             *          <!-- ... -->
             *      </igx-row-island>
             * </igx-hierarchical-grid>
             * ```
             * \@memberof IgxRowIslandComponent
             */
            _this.onGridCreated = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.initialChanges = [];
            /**
             * @hidden
             */
            _this.rootGrid = null;
            _this.layout_id = "igx-row-island-";
            _this.isInit = false;
            _this.hgridAPI = (/** @type {?} */ (gridAPI));
            return _this;
        }
        Object.defineProperty(IgxRowIslandComponent.prototype, "expandChildren", {
            /**
             * Gets if all immediate children of the grids for this `IgxRowIslandComponent` have been set to be expanded/collapsed.
             * ```typescript
             * const expanded = this.rowIsland.expandChildren;
             * ```
             * @memberof IgxRowIslandComponent
             */
            get: /**
             * Gets if all immediate children of the grids for this `IgxRowIslandComponent` have been set to be expanded/collapsed.
             * ```typescript
             * const expanded = this.rowIsland.expandChildren;
             * ```
             * \@memberof IgxRowIslandComponent
             * @return {?}
             */
            function () {
                return this._expandChildren;
            },
            /**
             * Sets if all immediate children of the grids for this `IgxRowIslandComponent` should be expanded/collapsed.
             * ```html
             * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true">
             *      <igx-row-island [key]="'childData'" [expandChildren]="true" #rowIsland>
             *          <!-- ... -->
             *      </igx-row-island>
             * </igx-hierarchical-grid>
             * ```
             * @memberof IgxRowIslandComponent
             */
            set: /**
             * Sets if all immediate children of the grids for this `IgxRowIslandComponent` should be expanded/collapsed.
             * ```html
             * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true">
             *      <igx-row-island [key]="'childData'" [expandChildren]="true" #rowIsland>
             *          <!-- ... -->
             *      </igx-row-island>
             * </igx-hierarchical-grid>
             * ```
             * \@memberof IgxRowIslandComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._expandChildren = value;
                this.rowIslandAPI.getChildGrids().forEach(function (grid) {
                    if (document.body.contains(grid.nativeElement)) {
                        // Detect changes right away if the grid is visible
                        grid.expandChildren = value;
                        grid.markForCheck();
                    }
                    else {
                        // Else defer the detection on changes when the grid gets into view for performance.
                        grid.updateOnRender = true;
                    }
                });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowIslandComponent.prototype, "id", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var pId = this.parentId ? this.parentId.substring(this.parentId.indexOf(this.layout_id) + this.layout_id.length) + '-' : '';
                return this.layout_id + pId + this.key;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowIslandComponent.prototype, "parentId", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.parentIsland ? this.parentIsland.id : null;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowIslandComponent.prototype, "level", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var ptr = this.parentIsland;
                /** @type {?} */
                var lvl = 0;
                while (ptr) {
                    lvl++;
                    ptr = ptr.parentIsland;
                }
                return lvl + 1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRowIslandComponent.prototype, "transactions", {
            /**
             * Get transactions service for the children grid components.
             * @experimental @hidden
             */
            get: /**
             * Get transactions service for the children grid components.
             * \@experimental \@hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var grids = this.rowIslandAPI.getChildGrids();
                return grids.length ? grids[0].transactions : this._transactions;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.rootGrid = this.hgridAPI.grid;
            this.rowIslandAPI.rowIsland = this;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.ngDoCheck = /**
         * @hidden
         * @return {?}
         */
        function () {
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.updateChildren();
            this.children.notifyOnChanges();
            this.children.changes.pipe(operators.takeUntil(this.destroy$))
                .subscribe(function (change) {
                _this.updateChildren();
                // update existing grids since their child ri have been changed.
                _this.getGridsForIsland(_this.key).forEach(function (grid) {
                    ((/** @type {?} */ (grid))).onRowIslandChange(_this.children);
                });
            });
            /** @type {?} */
            var nestedColumns = this.children.map(function (layout) { return layout.columnList.toArray(); });
            /** @type {?} */
            var colsArray = [].concat.apply([], nestedColumns);
            /** @type {?} */
            var topCols = this.columnList.filter(function (item) {
                return colsArray.indexOf(item) === -1;
            });
            this.childColumns.reset(topCols);
            this.columnList.changes.pipe(operators.takeUntil(this.destroy$)).subscribe(function () { _this.updateColumnList(); });
        };
        /**
         * @protected
         * @return {?}
         */
        IgxRowIslandComponent.prototype.updateChildren = /**
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            this.children.reset(this.children.toArray().slice(1));
            this.children.forEach(function (child) {
                child.parentIsland = _this;
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.rowIslandAPI.register(this);
            if (this.parentIsland) {
                this.parentIsland.rowIslandAPI.registerChildRowIsland(this);
            }
            else {
                this.rootGrid.hgridAPI.registerChildRowIsland(this);
            }
            this._init = false;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        IgxRowIslandComponent.prototype.ngOnChanges = /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            this.onLayoutChange.emit(changes);
            if (!this.isInit) {
                this.initialChanges.push(changes);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            // Override the base destroy because we don't have rendered anything to use removeEventListener on
            this.destroy$.next(true);
            this.destroy$.complete();
            this._destroyed = true;
            this.rowIslandAPI.unset(this.id);
            if (this.parentIsland) {
                this.getGridsForIsland(this.key).forEach(function (grid) {
                    _this.cleanGridState(grid);
                    grid.hgridAPI.unsetChildRowIsland(_this);
                });
                this.parentIsland.rowIslandAPI.unsetChildRowIsland(this);
            }
            else {
                this.rootGrid.hgridAPI.unsetChildRowIsland(this);
                this.cleanGridState(this.rootGrid);
            }
        };
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxRowIslandComponent.prototype.cleanGridState = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            grid.childGridTemplates.forEach(function (tmpl) {
                tmpl.owner.cleanView(tmpl.context.templateID);
            });
            grid.childGridTemplates.clear();
            grid.onRowIslandChange();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.reflow = /**
         * @hidden
         * @return {?}
         */
        function () { };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxRowIslandComponent.prototype.calculateGridHeight = /**
         * @hidden
         * @return {?}
         */
        function () { };
        /**
         * @protected
         * @return {?}
         */
        IgxRowIslandComponent.prototype.updateColumnList = /**
         * @protected
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var nestedColumns = this.children.map(function (layout) { return layout.columnList.toArray(); });
            /** @type {?} */
            var colsArray = [].concat.apply([], nestedColumns);
            /** @type {?} */
            var topCols = this.columnList.filter(function (item) {
                if (colsArray.indexOf(item) === -1) {
                    /* Reset the default width of the columns that come into this row island,
                    because the root catches them first during the detectChanges() and sets their defaultWidth. */
                    item.defaultWidth = undefined;
                    return true;
                }
                return false;
            });
            this.childColumns.reset(topCols);
            if (this.parentIsland) {
                this.parentIsland.columnList.notifyOnChanges();
            }
            else {
                this.rootGrid.columnList.notifyOnChanges();
            }
            this.rowIslandAPI.getChildGrids().forEach(function (grid) {
                grid.createColumnsList(_this.childColumns.toArray());
                if (!document.body.contains(grid.nativeElement)) {
                    grid.updateOnRender = true;
                }
            });
        };
        IgxRowIslandComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        selector: 'igx-row-island',
                        template: "",
                        providers: [IgxRowIslandAPIService]
                    }] }
        ];
        /** @nocollapse */
        IgxRowIslandComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: IgxColumnResizingService },
            { type: GridBaseAPIService },
            { type: undefined, decorators: [{ type: core.Inject, args: [IgxGridTransaction,] }] },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.ChangeDetectorRef },
            { type: core.ComponentFactoryResolver },
            { type: core.IterableDiffers },
            { type: core.ViewContainerRef },
            { type: IgxHierarchicalGridNavigationService },
            { type: IgxFilteringService },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: IgxGridSummaryService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] },
            { type: IgxRowIslandAPIService }
        ]; };
        IgxRowIslandComponent.propDecorators = {
            key: [{ type: core.Input }],
            expandChildren: [{ type: core.Input }],
            children: [{ type: core.ContentChildren, args: [IgxRowIslandComponent, { read: IgxRowIslandComponent, descendants: false },] }],
            childColumns: [{ type: core.ContentChildren, args: [IgxColumnComponent, { read: IgxColumnComponent, descendants: false },] }],
            onLayoutChange: [{ type: core.Output }],
            onGridCreated: [{ type: core.Output }]
        };
        return IgxRowIslandComponent;
    }(IgxHierarchicalGridBaseComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxChildGridRowComponent = /** @class */ (function () {
        function IgxChildGridRowComponent(gridAPI, element, resolver, cdr) {
            this.gridAPI = gridAPI;
            this.element = element;
            this.cdr = cdr;
            /**
             * Returns whether the row is expanded.
             * ```typescript
             * const RowExpanded = this.grid1.rowList.first.expanded;
             * ```
             */
            this.expanded = false;
            /**
             *  The data passed to the row component.
             *
             * ```typescript
             * // get the row data for the first selected row
             * let selectedRowData = this.grid.selectedRows[0].rowData;
             * ```
             */
            this.rowData = [];
            /**
             * @hidden
             */
            this.tabindex = 0;
            /**
             * @hidden
             */
            this.role = 'row';
            this.resolver = resolver;
        }
        Object.defineProperty(IgxChildGridRowComponent.prototype, "parentHasScroll", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.parentGrid.verticalScrollContainer.dc.instance.notVirtual;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChildGridRowComponent.prototype, "parentGrid", {
            /**
             * Get a reference to the grid that contains the selected row.
             *
             * ```typescript
             * handleRowSelection(event) {
             *  // the grid on which the onRowSelectionChange event was triggered
             *  const grid = event.row.grid;
             * }
             * ```
             *
             * ```html
             *  <igx-grid
             *    [data]="data"
             *    (onRowSelectionChange)="handleRowSelection($event)">
             *  </igx-grid>
             * ```
             */
            // TODO: Refactor
            get: /**
             * Get a reference to the grid that contains the selected row.
             *
             * ```typescript
             * handleRowSelection(event) {
             *  // the grid on which the onRowSelectionChange event was triggered
             *  const grid = event.row.grid;
             * }
             * ```
             *
             * ```html
             *  <igx-grid
             *    [data]="data"
             *    (onRowSelectionChange)="handleRowSelection($event)">
             *  </igx-grid>
             * ```
             * @return {?}
             */
            // TODO: Refactor
            function () {
                return this.gridAPI.grid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChildGridRowComponent.prototype, "level", {
            get: /**
             * @return {?}
             */
            function () {
                return this.layout.level;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxChildGridRowComponent.prototype, "nativeElement", {
            /**
             * The native DOM element representing the row. Could be null in certain environments.
             *
             * ```typescript
             * // get the nativeElement of the second selected row
             * let selectedRowNativeElement = this.grid.selectedRows[1].nativeElement;
             * ```
             */
            get: /**
             * The native DOM element representing the row. Could be null in certain environments.
             *
             * ```typescript
             * // get the nativeElement of the second selected row
             * let selectedRowNativeElement = this.grid.selectedRows[1].nativeElement;
             * ```
             * @return {?}
             */
            function () {
                return this.element.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChildGridRowComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.layout.onLayoutChange.subscribe(function (ch) {
                _this._handleLayoutChanges(ch);
            });
            /** @type {?} */
            var changes = this.layout.initialChanges;
            changes.forEach(function (change) {
                _this._handleLayoutChanges(change);
            });
            this.hGrid.parent = this.parentGrid;
            this.hGrid.parentIsland = this.layout;
            this.hGrid.childRow = this;
            // handler logic that re-emits hgrid events on the row island
            this.setupEventEmitters();
            this.layout.onGridCreated.emit({
                owner: this.layout,
                parentID: this.rowData.rowID,
                grid: this.hGrid
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxChildGridRowComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.hGrid.childLayoutList = this.layout.children;
            if (this.layout.childColumns.length > 0 && !this.hGrid.autoGenerate) {
                this.hGrid.createColumnsList(this.layout.childColumns.toArray());
            }
            /** @type {?} */
            var layouts = this.hGrid.childLayoutList.toArray();
            layouts.forEach(function (l) { return _this.hGrid.hgridAPI.registerChildRowIsland(l); });
            this.parentGrid.hgridAPI.registerChildGrid(this.rowData.rowID, this.layout.key, this.hGrid);
            this.layout.rowIslandAPI.registerChildGrid(this.rowData.rowID, this.hGrid);
            this.hGrid.cdr.detectChanges();
        };
        /**
         * @private
         * @return {?}
         */
        IgxChildGridRowComponent.prototype.setupEventEmitters = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            /** @type {?} */
            var destructor = operators.takeUntil(this.hGrid.destroy$);
            /** @type {?} */
            var factory = this.resolver.resolveComponentFactory(IgxGridComponent);
            // exclude outputs related to two-way binding functionality
            /** @type {?} */
            var inputNames = factory.inputs.map(function (input) { return input.propName; });
            /** @type {?} */
            var outputs = factory.outputs.filter(function (o) {
                /** @type {?} */
                var matchingInputPropName = o.propName.slice(0, o.propName.indexOf('Change'));
                return inputNames.indexOf(matchingInputPropName) === -1;
            });
            outputs.forEach(function (output) {
                if (_this.hGrid[output.propName]) {
                    _this.hGrid[output.propName].pipe(destructor).subscribe(function (args) {
                        if (!args) {
                            args = {};
                        }
                        args.owner = _this.hGrid;
                        _this.layout[output.propName].emit(args);
                    });
                }
            });
        };
        /**
         * @private
         * @param {?} changes
         * @return {?}
         */
        IgxChildGridRowComponent.prototype._handleLayoutChanges = /**
         * @private
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            for (var change in changes) {
                if (changes.hasOwnProperty(change)) {
                    this.hGrid[change] = changes[change].currentValue;
                }
            }
        };
        IgxChildGridRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-child-grid-row',
                        template: "<div class=\"igx-grid__hierarchical-indent\" [ngClass]=\"{'igx-grid__hierarchical-indent--scroll': parentHasScroll}\">\n    <igx-hierarchical-grid #hgrid [data]='rowData.childGridsData[layout.key]'></igx-hierarchical-grid>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxChildGridRowComponent.ctorParameters = function () { return [
            { type: GridBaseAPIService },
            { type: core.ElementRef },
            { type: core.ComponentFactoryResolver },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxChildGridRowComponent.propDecorators = {
            layout: [{ type: core.Input }],
            parentGridID: [{ type: core.Input }],
            rowData: [{ type: core.Input }],
            index: [{ type: core.Input }],
            hGrid: [{ type: core.ViewChild, args: ['hgrid', { static: true },] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            level: [{ type: core.HostBinding, args: ['attr.data-level',] }]
        };
        return IgxChildGridRowComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$o = 0;
    var IgxHierarchicalGridComponent = /** @class */ (function (_super) {
        __extends(IgxHierarchicalGridComponent, _super);
        function IgxHierarchicalGridComponent(selectionService, crudService, colResizingService, gridAPI, transactionFactory, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions) {
            var _this = _super.call(this, selectionService, crudService, colResizingService, gridAPI, typeof transactionFactory === 'function' ? transactionFactory() : transactionFactory, elementRef, zone, document, cdr, resolver, differs, viewRef, navigation, filteringService, overlayService, summaryService, _displayDensityOptions) || this;
            _this.selectionService = selectionService;
            _this.colResizingService = colResizingService;
            _this.transactionFactory = transactionFactory;
            _this.document = document;
            _this.overlayService = overlayService;
            _this.summaryService = summaryService;
            _this._displayDensityOptions = _displayDensityOptions;
            /**
             * @hidden
             */
            _this.hierarchicalStateChange = new core.EventEmitter();
            /**
             * @hidden
             */
            _this.childLayoutKeys = [];
            /**
             * @hidden
             */
            _this.highlightedRowID = null;
            /**
             * @hidden
             */
            _this.updateOnRender = false;
            /**
             * @hidden
             */
            _this.parent = null;
            _this._hierarchicalState = [];
            _this._filteredData = null;
            _this.h_id = "igx-hierarchical-grid-" + NEXT_ID$o++;
            _this.childGridTemplates = new Map();
            _this.scrollTop = 0;
            _this.scrollLeft = 0;
            _this.hgridAPI = (/** @type {?} */ (gridAPI));
            return _this;
        }
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "id", {
            /**
             * Sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-hierarchical-grid [id]="'igx-hgrid-1'" [data]="Data" [autoGenerate]="true"></igx-hierarchical-grid>
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            get: /**
             * Sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-hierarchical-grid [id]="'igx-hgrid-1'" [data]="Data" [autoGenerate]="true"></igx-hierarchical-grid>
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @return {?}
             */
            function () {
                return this.h_id;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "data", {
            /**
             * Returns an array of data set to the `IgxHierarchicalGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            get: /**
             * Returns an array of data set to the `IgxHierarchicalGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @return {?}
             */
            function () {
                return this._data;
            },
            /**
             * An @Input property that lets you fill the `IgxHierarchicalGridComponent` with an array of data.
             * ```html
             * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true"></igx-hierarchical-grid>
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            set: /**
             * An \@Input property that lets you fill the `IgxHierarchicalGridComponent` with an array of data.
             * ```html
             * <igx-hierarchical-grid [data]="Data" [autoGenerate]="true"></igx-hierarchical-grid>
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._data = value || [];
                this.summaryService.clearSummaryCache();
                if (this.shouldGenerate) {
                    this.setupColumns();
                    this.reflow();
                }
                this.cdr.markForCheck();
                if (this.parent && (this.height === null || this.height.indexOf('%') !== -1)) {
                    // If the height will change based on how much data there is, recalculate sizes in igxForOf.
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "hierarchicalState", {
            /**
            * Sets the state of the `IgxHierarchicalGridComponent` containing which rows are expanded.
            * ```typescript
            * this.gridState = [{ rowID: 1 }, { rowID: 4}];
            * ```
            * ```html
            * <igx-hierarchical-grid [primaryKey]="'ID'" [data]="Data" [autoGenerate]="false" [hierarchicalState]="hgridState">
            *      <igx-column field="ID"  [dataType]='number'></igx-column>
            *      <igx-column field="Product"  [dataType]='string'></igx-column>
            *      <igx-column field="Description"  [dataType]='string'></igx-column>
            * </igx-hierarchical-grid>
            * ```
            *
            * Two-way data binding.
            * ```html
            * <igx-hierarchical-grid [primaryKey]="'ID'" [data]="Data" [autoGenerate]="false" [(hierarchicalState)]="hgridState">
            *      <igx-column field="ID"  [dataType]='number'></igx-column>
            *      <igx-column field="Product"  [dataType]='string'></igx-column>
            *      <igx-column field="Description"  [dataType]='string'></igx-column>
            * </igx-hierarchical-grid>
            * ```
            * @memberof IgxHierarchicalGridComponent
            */
            get: /**
             * Sets the state of the `IgxHierarchicalGridComponent` containing which rows are expanded.
             * ```typescript
             * this.gridState = [{ rowID: 1 }, { rowID: 4}];
             * ```
             * ```html
             * <igx-hierarchical-grid [primaryKey]="'ID'" [data]="Data" [autoGenerate]="false" [hierarchicalState]="hgridState">
             *      <igx-column field="ID"  [dataType]='number'></igx-column>
             *      <igx-column field="Product"  [dataType]='string'></igx-column>
             *      <igx-column field="Description"  [dataType]='string'></igx-column>
             * </igx-hierarchical-grid>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-hierarchical-grid [primaryKey]="'ID'" [data]="Data" [autoGenerate]="false" [(hierarchicalState)]="hgridState">
             *      <igx-column field="ID"  [dataType]='number'></igx-column>
             *      <igx-column field="Product"  [dataType]='string'></igx-column>
             *      <igx-column field="Description"  [dataType]='string'></igx-column>
             * </igx-hierarchical-grid>
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @return {?}
             */
            function () {
                return this._hierarchicalState;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                var _this = this;
                if (this._hierarchicalState !== val) {
                    this.hierarchicalStateChange.emit(val);
                }
                if (this.hasChildrenKey) {
                    val = val.filter(function (item) {
                        /** @type {?} */
                        var rec = _this.primaryKey ? _this.data.find(function (x) { return x[_this.primaryKey] === item.rowID; }) : item.rowID;
                        return rec[_this.hasChildrenKey];
                    });
                }
                this._hierarchicalState = val;
                if (this.parent) {
                    this.notifyChanges(true);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "filteredData", {
            /**
             * Returns an array of objects containing the filtered data in the `IgxHierarchicalGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            get: /**
             * Returns an array of objects containing the filtered data in the `IgxHierarchicalGridComponent`.
             * ```typescript
             * let filteredData = this.grid.filteredData;
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @return {?}
             */
            function () {
                return this._filteredData;
            },
            /**
             * Sets an array of objects containing the filtered data in the `IgxHierarchicalGridComponent`.
             * ```typescript
             * this.grid.filteredData = [{
             *       ID: 1,
             *       Name: "A"
             * }];
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            set: /**
             * Sets an array of objects containing the filtered data in the `IgxHierarchicalGridComponent`.
             * ```typescript
             * this.grid.filteredData = [{
             *       ID: 1,
             *       Name: "A"
             * }];
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._filteredData = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "expandChildren", {
            /**
             * Gets if all immediate children of the `IgxHierarchicalGridComponent` previously have been set to be expanded/collapsed.
             * If previously set and some rows have been manually expanded/collapsed it will still return the last set value.
             * ```typescript
             * const expanded = this.grid.expandChildren;
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            get: /**
             * Gets if all immediate children of the `IgxHierarchicalGridComponent` previously have been set to be expanded/collapsed.
             * If previously set and some rows have been manually expanded/collapsed it will still return the last set value.
             * ```typescript
             * const expanded = this.grid.expandChildren;
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @return {?}
             */
            function () {
                return this._expandChildren;
            },
            /**
             * Sets if all immediate children of the `IgxHierarchicalGridComponent` should be expanded/collapsed.
             * Defult value is false.
             * ```html
             * <igx-hierarchical-grid [id]="'igx-grid-1'" [data]="Data" [autoGenerate]="true" [expandChildren]="true"></igx-hierarchical-grid>
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            set: /**
             * Sets if all immediate children of the `IgxHierarchicalGridComponent` should be expanded/collapsed.
             * Defult value is false.
             * ```html
             * <igx-hierarchical-grid [id]="'igx-grid-1'" [data]="Data" [autoGenerate]="true" [expandChildren]="true"></igx-hierarchical-grid>
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                var _this = this;
                this._expandChildren = value;
                if (value && this.data) {
                    this.hierarchicalState = this.data.map(function (rec) {
                        return { rowID: _this.primaryKey ? rec[_this.primaryKey] : rec };
                    });
                }
                else if (this.data) {
                    this.hierarchicalState = [];
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "foreignKey", {
            /**
             * Gets the unique identifier of the parent row. It may be a `string` or `number` if `primaryKey` of the
             * parent grid is set or an object reference of the parent record otherwise.
             * ```typescript
             * const foreignKey = this.grid.foreignKey;
             * ```
             * @memberof IgxHierarchicalGridComponent
             */
            get: /**
             * Gets the unique identifier of the parent row. It may be a `string` or `number` if `primaryKey` of the
             * parent grid is set or an object reference of the parent record otherwise.
             * ```typescript
             * const foreignKey = this.grid.foreignKey;
             * ```
             * \@memberof IgxHierarchicalGridComponent
             * @return {?}
             */
            function () {
                if (!this.parent) {
                    return null;
                }
                return this.parent.hgridAPI.getParentRowId(this);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "hasExpandableChildren", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !!this.childLayoutKeys.length;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._transactions = this.parentIsland ? this.parentIsland.transactions : this._transactions;
            _super.prototype.ngOnInit.call(this);
        };
        /**
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.ngDoCheck = /**
         * @return {?}
         */
        function () {
            if (this._cdrRequestRepaint && !this._init) {
                this.updateSizes();
            }
            _super.prototype.ngDoCheck.call(this);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            _super.prototype.ngAfterViewInit.call(this);
            this.verticalScrollContainer.getScroll().addEventListener('scroll', this.hg_verticalScrollHandler.bind(this));
            this.headerContainer.getScroll().addEventListener('scroll', this.hg_horizontalScrollHandler.bind(this));
            if (this.expandChildren && this.data && this.hierarchicalState.length !== this.data.length) {
                this.hierarchicalState = this.data.map(function (rec) {
                    return { rowID: _this.primaryKey ? rec[_this.primaryKey] : rec };
                });
                this.cdr.detectChanges();
            }
            this.verticalScrollContainer.onBeforeViewDestroyed.pipe(operators.takeUntil(this.destroy$)).subscribe(function (view) {
                /** @type {?} */
                var rowData = view.context.$implicit;
                if (_this.isChildGridRecord(rowData)) {
                    /** @type {?} */
                    var cachedData = _this.childGridTemplates.get(rowData.rowID);
                    if (cachedData) {
                        /** @type {?} */
                        var tmlpOutlet = cachedData.owner;
                        tmlpOutlet._viewContainerRef.detach(0);
                    }
                }
            });
            if (this.parent) {
                this._displayDensity = this.rootGrid._displayDensity;
                this.rootGrid.onDensityChanged.pipe(operators.takeUntil(this.destroy$)).subscribe(function () {
                    _this._displayDensity = _this.rootGrid._displayDensity;
                    _this.notifyChanges(true);
                    _this.cdr.markForCheck();
                });
                this.childLayoutKeys = this.parentIsland.children.map(function (item) { return item.key; });
            }
            this.toolbarCustomContentTemplates = this.parentIsland ?
                this.parentIsland.toolbarCustomContentTemplates :
                this.toolbarCustomContentTemplates;
            this.headSelectorsTemplates = this.parentIsland ?
                this.parentIsland.headSelectorsTemplates :
                this.headSelectorsTemplates;
            this.rowSelectorsTemplates = this.parentIsland ?
                this.parentIsland.rowSelectorsTemplates :
                this.rowSelectorsTemplates;
            this.dragIndicatorIconTemplate = this.parentIsland ?
                this.parentIsland.dragIndicatorIconTemplate :
                this.dragIndicatorIconTemplate;
            this.rowExpandedIndicatorTemplate = this.rootGrid.rowExpandedIndicatorTemplate;
            this.rowCollapsedIndicatorTemplate = this.rootGrid.rowCollapsedIndicatorTemplate;
            this.headerCollapseIndicatorTemplate = this.rootGrid.headerCollapseIndicatorTemplate;
            this.headerExpandIndicatorTemplate = this.rootGrid.headerExpandIndicatorTemplate;
            this.hasChildrenKey = this.parentIsland ?
                this.parentIsland.hasChildrenKey || this.rootGrid.hasChildrenKey :
                this.rootGrid.hasChildrenKey;
            this.showExpandAll = this.parentIsland ?
                this.parentIsland.showExpandAll : this.rootGrid.showExpandAll;
        };
        /**
         * @private
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.updateSizes = /**
         * @private
         * @return {?}
         */
        function () {
            if (document.body.contains(this.nativeElement) && this.isPercentWidth) {
                this.reflow();
                this.hgridAPI.getChildGrids(false).forEach(function (grid) {
                    grid.updateSizes();
                });
            }
        };
        /**
         * @protected
         * @param {?} renderedHeight
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype._shouldAutoSize = /**
         * @protected
         * @param {?} renderedHeight
         * @return {?}
         */
        function (renderedHeight) {
            if (this.isPercentHeight && this.parent) {
                return true;
            }
            return _super.prototype._shouldAutoSize.call(this, renderedHeight);
        };
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "outletDirective", {
            get: /**
             * @return {?}
             */
            function () {
                return this.rootGrid._outletDirective;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.updateColumnList(false);
            this.childLayoutKeys = this.parent ?
                this.parentIsland.children.map(function (item) { return item.key; }) :
                this.childLayoutKeys = this.childLayoutList.map(function (item) { return item.key; });
            this.childLayoutList.notifyOnChanges();
            this.childLayoutList.changes.pipe(operators.takeUntil(this.destroy$))
                .subscribe(function () { return _this.onRowIslandChange(); });
            _super.prototype.ngAfterContentInit.call(this);
        };
        /**
        * @hidden
        */
        /**
         * @hidden
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.onRowIslandChange = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.parent) {
                this.childLayoutKeys = this.parentIsland.children.filter(function (item) { return !((/** @type {?} */ (item)))._destroyed; }).map(function (item) { return item.key; });
            }
            else {
                this.childLayoutKeys = this.childLayoutList.filter(function (item) { return !((/** @type {?} */ (item)))._destroyed; }).map(function (item) { return item.key; });
            }
            if (!((/** @type {?} */ (this.cdr))).destroyed) {
                this.cdr.detectChanges();
            }
        };
        /**
         * @protected
         * @param {?} change
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.onColumnsChanged = /**
         * @protected
         * @param {?} change
         * @return {?}
         */
        function (change) {
            var _this = this;
            this.updateColumnList();
            /** @type {?} */
            var cols = change.filter(function (c) { return c.gridAPI.grid === _this; });
            if (cols.length > 0) {
                this.columnList.reset(cols);
                _super.prototype.onColumnsChanged.call(this, this.columnList);
            }
        };
        /**
         * @private
         * @param {?=} recalcColSizes
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.updateColumnList = /**
         * @private
         * @param {?=} recalcColSizes
         * @return {?}
         */
        function (recalcColSizes) {
            if (recalcColSizes === void 0) { recalcColSizes = true; }
            /** @type {?} */
            var childLayouts = this.parent ? this.childLayoutList : this.allLayoutList;
            /** @type {?} */
            var nestedColumns = childLayouts.map(function (layout) {
                return layout.columnList.toArray();
            });
            /** @type {?} */
            var colsArray = [].concat.apply([], nestedColumns);
            /** @type {?} */
            var colLength = this.columnList.length;
            if (colsArray.length > 0) {
                /** @type {?} */
                var topCols = this.columnList.filter(function (item) {
                    return colsArray.indexOf(item) === -1;
                });
                this.columnList.reset(topCols);
                if (recalcColSizes && this.columnList.length !== colLength) {
                    this.calculateGridSizes();
                }
            }
        };
        /**
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            if (!this.parent) {
                this.hgridAPI.getChildGrids(true).forEach(function (grid) {
                    if (!grid.childRow.cdr.destroyed) {
                        grid.childRow.cdr.destroy();
                    }
                });
            }
            if (this.parent && this.selectionService.activeElement) {
                // in case selection is in destroyed child grid, selection should be cleared.
                this._clearSeletionHighlights();
            }
            _super.prototype.ngOnDestroy.call(this);
        };
        /**
         * @private
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype._clearSeletionHighlights = /**
         * @private
         * @return {?}
         */
        function () {
            __spread([this.rootGrid], this.rootGrid.getChildGrids(true)).forEach(function (grid) {
                grid.selectionService.clear();
                grid.selectionService.activeElement = null;
                grid.nativeElement.classList.remove('igx-grid__tr--highlighted');
                grid.highlightedRowID = null;
                grid.cdr.markForCheck();
            });
        };
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "template", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.filteredData && this.filteredData.length === 0) {
                    return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyFilteredGridTemplate;
                }
                if (this.isLoading && (!this.data || this.dataLength === 0)) {
                    return this.loadingGridTemplate ? this.loadingGridTemplate : this.loadingGridDefaultTemplate;
                }
                if (this.dataLength === 0) {
                    return this.emptyGridTemplate ? this.emptyGridTemplate : this.emptyGridDefaultTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         */
        /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.getFeatureColumnsWidth = /**
         * @hidden
         * Gets the combined width of the columns that are specific to the enabled grid features. They are fixed.
         * TODO: Remove for Angular 8. Calling parent class getter using super is not supported for now.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var width = _super.prototype.getFeatureColumnsWidth.call(this);
            if (this.hasExpandableChildren) {
                width += this.headerHierarchyExpander.nativeElement.offsetWidth || this.getDefaultExpanderWidth();
            }
            return width;
        };
        /**
         * @private
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.getDefaultExpanderWidth = /**
         * @private
         * @return {?}
         */
        function () {
            switch (this.displayDensity) {
                case DisplayDensity.cosy:
                    return 57;
                case DisplayDensity.compact:
                    return 49;
                default:
                    return 72;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} rowData
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.isRowHighlighted = /**
         * @hidden
         * @param {?} rowData
         * @return {?}
         */
        function (rowData) {
            return this.highlightedRowID === rowData.rowID;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.isHierarchicalRecord = /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        function (record) {
            return this.childLayoutList.length !== 0 && record[this.childLayoutList.first.key];
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.isChildGridRecord = /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        function (record) {
            // Can be null when there is defined layout but no child data was found
            return record.childGridsData !== undefined;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} index
         * @param {?} rec
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.trackChanges = /**
         * @hidden
         * @param {?} index
         * @param {?} rec
         * @return {?}
         */
        function (index, rec) {
            if (rec.childGridsData !== undefined) {
                // if is child rec
                return rec.rowID;
            }
            return rec;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} rowData
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.getContext = /**
         * @hidden
         * @param {?} rowData
         * @return {?}
         */
        function (rowData) {
            if (this.isChildGridRecord(rowData)) {
                /** @type {?} */
                var cachedData = this.childGridTemplates.get(rowData.rowID);
                if (cachedData) {
                    /** @type {?} */
                    var view = cachedData.view;
                    /** @type {?} */
                    var tmlpOutlet = cachedData.owner;
                    return {
                        $implicit: rowData,
                        moveView: view,
                        owner: tmlpOutlet,
                        index: this.dataView.indexOf(rowData)
                    };
                }
                else {
                    /** @type {?} */
                    var rowID = this.primaryKey ? rowData.rowID : this.data.indexOf(rowData.rowID);
                    // child rows contain unique grids, hence should have unique templates
                    return {
                        $implicit: rowData,
                        templateID: 'childRow-' + rowID,
                        index: this.dataView.indexOf(rowData)
                    };
                }
            }
            else {
                return {
                    $implicit: rowData,
                    templateID: 'dataRow',
                    index: this.dataView.indexOf(rowData)
                };
            }
        };
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "rootGrid", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @template THIS
             * @this {THIS}
             * @return {THIS}
             */
            function () {
                /** @type {?} */
                var currGrid = (/** @type {?} */ (this));
                while (currGrid.parent) {
                    currGrid = currGrid.parent;
                }
                return currGrid;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalGridComponent.prototype, "iconTemplate", {
            /**
             * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var expanded = this.hierarchicalState.length > 0 && this.hasExpandableChildren;
                if (!expanded && this.showExpandAll) {
                    return this.headerCollapseIndicatorTemplate || this.defaultCollapsedTemplate;
                }
                else {
                    return this.headerExpandIndicatorTemplate || this.defaultExpandedTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.getDragGhostCustomTemplate = /**
         * @hidden
         * \@internal
         * @return {?}
         */
        function () {
            if (this.parentIsland) {
                return this.parentIsland.getDragGhostCustomTemplate();
            }
            return _super.prototype.getDragGhostCustomTemplate.call(this);
        };
        /**
         * @hidden
        */
        /**
         * @hidden
         * @protected
         * @param {?} collection
         * @param {?=} cb
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.initColumns = /**
         * @hidden
         * @protected
         * @param {?} collection
         * @param {?=} cb
         * @return {?}
         */
        function (collection, cb) {
            if (cb === void 0) { cb = null; }
            if (this.hasColumnLayouts) {
                // invalid configuration - hierarchical grid should not allow column layouts
                // remove column layouts
                /** @type {?} */
                var nonColumnLayoutColumns = this.columnList.filter(function (col) { return !col.columnLayout && !col.columnLayoutChild; });
                this.columnList.reset(nonColumnLayoutColumns);
            }
            _super.prototype.initColumns.call(this, collection, cb);
        };
        /**
         * @hidden
         * Gets the visible content height that includes header + tbody + footer.
         * For hierarchical child grid it may be scrolled and not fully visible.
         */
        /**
         * @hidden
         * Gets the visible content height that includes header + tbody + footer.
         * For hierarchical child grid it may be scrolled and not fully visible.
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.getVisibleContentHeight = /**
         * @hidden
         * Gets the visible content height that includes header + tbody + footer.
         * For hierarchical child grid it may be scrolled and not fully visible.
         * @return {?}
         */
        function () {
            /** @type {?} */
            var height = _super.prototype.getVisibleContentHeight.call(this);
            if (this.parent) {
                /** @type {?} */
                var rootHeight = this.rootGrid.getVisibleContentHeight();
                /** @type {?} */
                var topDiff = this.nativeElement.getBoundingClientRect().top - this.rootGrid.nativeElement.getBoundingClientRect().top;
                height = rootHeight - topDiff > height ? height : rootHeight - topDiff;
            }
            return height;
        };
        /**
         * @hidden
        */
        /**
         * @hidden
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.toggleAll = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var expanded = this.hierarchicalState.length > 0 && this.hasExpandableChildren;
            if (!expanded && this.showExpandAll) {
                this.expandAll();
            }
            else {
                this.collapseAll();
            }
        };
        /**
         * Collapses all rows of the current hierarchical grid.
         * ```typescript
         * this.grid.collapseAll();
         * ```
         * @memberof IgxHierarchicalGridComponent
         */
        /**
         * Collapses all rows of the current hierarchical grid.
         * ```typescript
         * this.grid.collapseAll();
         * ```
         * \@memberof IgxHierarchicalGridComponent
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.collapseAll = /**
         * Collapses all rows of the current hierarchical grid.
         * ```typescript
         * this.grid.collapseAll();
         * ```
         * \@memberof IgxHierarchicalGridComponent
         * @return {?}
         */
        function () {
            this.hierarchicalState = [];
        };
        /**
         * Expands all rows of the current hierarchical grid.
         * ```typescript
         * this.grid.expandAll();
         * ```
         * @memberof IgxHierarchicalGridComponent
         */
        /**
         * Expands all rows of the current hierarchical grid.
         * ```typescript
         * this.grid.expandAll();
         * ```
         * \@memberof IgxHierarchicalGridComponent
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.expandAll = /**
         * Expands all rows of the current hierarchical grid.
         * ```typescript
         * this.grid.expandAll();
         * ```
         * \@memberof IgxHierarchicalGridComponent
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.data) {
                this.hierarchicalState = this.data.map(function (rec) {
                    return { rowID: _this.primaryKey ? rec[_this.primaryKey] : rec };
                });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.isExpanded = /**
         * @hidden
         * @param {?} record
         * @return {?}
         */
        function (record) {
            var _this = this;
            /** @type {?} */
            var inState;
            if (record.childGridsData !== undefined) {
                inState = !!this.hierarchicalState.find(function (v) { return v.rowID === record.rowID; });
            }
            else {
                inState = !!this.hierarchicalState.find(function (v) {
                    return _this.primaryKey ? v.rowID === record[_this.primaryKey] : v.rowID === record;
                });
            }
            return inState && this.childLayoutList.length !== 0;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.viewCreatedHandler = /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        function (args) {
            if (this.isChildGridRecord(args.context.$implicit)) {
                /** @type {?} */
                var key = args.context.$implicit.rowID;
                this.childGridTemplates.set(key, args);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.viewMovedHandler = /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        function (args) {
            var _this = this;
            if (this.isChildGridRecord(args.context.$implicit)) {
                // view was moved, update owner in cache
                /** @type {?} */
                var key = args.context.$implicit.rowID;
                /** @type {?} */
                var cachedData = this.childGridTemplates.get(key);
                cachedData.owner = args.owner;
                this.childLayoutList.forEach(function (layout) {
                    /** @type {?} */
                    var relatedGrid = _this.hgridAPI.getChildGridByID(layout.key, args.context.$implicit.rowID);
                    if (relatedGrid && relatedGrid.updateOnRender) {
                        // Detect changes if `expandChildren` has changed when the grid wasn't visible. This is for performance reasons.
                        relatedGrid.notifyChanges(true);
                        relatedGrid.updateOnRender = false;
                    }
                });
                /** @type {?} */
                var childGrids = this.getChildGrids(true);
                childGrids.forEach(function (grid) {
                    if (grid.isPercentWidth) {
                        grid.notifyChanges(true);
                    }
                    grid.updateScrollPosition();
                });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.updateScrollPosition = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var vScr = this.verticalScrollContainer.getScroll();
            /** @type {?} */
            var hScr = this.headerContainer.getScroll();
            if (vScr) {
                vScr.scrollTop = this.scrollTop;
            }
            if (hScr) {
                hScr.scrollLeft = this.scrollLeft;
            }
        };
        /**
         * @protected
         * @param {?=} inDeph
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.getChildGrids = /**
         * @protected
         * @param {?=} inDeph
         * @return {?}
         */
        function (inDeph) {
            return this.hgridAPI.getChildGrids(inDeph);
        };
        /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.generateDataFields = /**
         * @protected
         * @param {?} data
         * @return {?}
         */
        function (data) {
            var _this = this;
            return _super.prototype.generateDataFields.call(this, data).filter(function (field) {
                /** @type {?} */
                var layoutsList = _this.parentIsland ? _this.parentIsland.children : _this.childLayoutList;
                /** @type {?} */
                var keys = layoutsList.map(function (item) { return item.key; });
                return keys.indexOf(field) === -1;
            });
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.hg_verticalScrollHandler = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.scrollTop = event.target.scrollTop;
        };
        /**
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.onContainerScroll = /**
         * @return {?}
         */
        function () {
            this.hideOverlays();
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxHierarchicalGridComponent.prototype.hg_horizontalScrollHandler = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.scrollLeft = event.target.scrollLeft;
        };
        IgxHierarchicalGridComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-hierarchical-grid',
                        template: "<igx-grid-toolbar role=\"rowgroup\" [style.flex-basis.px]=\"outerWidth\" *ngIf=\"showToolbar\" [gridID]=\"id\"\n    [displayDensity]=\"displayDensity\" #toolbar>\n</igx-grid-toolbar>\n\n<div class=\"igx-grid__thead\">\n    <div class=\"igx-grid__thead-wrapper\" role=\"rowgroup\" [style.width.px]='calcWidth' #theadRow>\n        <div class=\"igx-grid__tr\" role=\"row\" [style.width.px]='calcWidth'>\n            <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length <= 0\"\n                [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n                class=\"igx-grid__scroll-on-drag-left\"></span>\n            <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length > 0\"\n                [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n                class=\"igx-grid__scroll-on-drag-pinned\" [style.left.px]=\"pinnedWidth\"></span>\n                <div #headerHierarchyExpander (click)=\"toggleAll()\" [hidden]='!hasExpandableChildren || !hasVisibleColumns' [ngClass]=\"{\n                    'igx-grid__hierarchical-expander igx-grid__hierarchical-expander--header': hasExpandableChildren,\n                    'igx-grid__hierarchical-expander--push': filteringService.isFilterRowVisible,\n                    'igx-grid__hierarchical-expander--no-border': isRowSelectable || rowDraggable\n                }\">\n                <ng-container *ngTemplateOutlet=\"iconTemplate; context: { $implicit: this }\"></ng-container>\n            </div>\n            <ng-container *ngIf=\"rowDraggable\">\n                <div class=\"igx-grid__drag-indicator\" [ngClass]=\"{\n                        'igx-grid__drag-indicator--header': !isRowSelectable\n                    }\" #headerDragContainer>\n                    <div style=\"visibility: hidden;\">\n                        <ng-container\n                            *ngTemplateOutlet=\"this.dragIndicatorIconTemplate ? this.dragIndicatorIconTemplate : this.dragIndicatorIconBase\">\n                        </ng-container>\n                    </div>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"showRowSelectors\">\n                <div class=\"igx-grid__cbx-selection\" (click)=\"onHeaderSelectorClick($event)\" #headerSelectorContainer [ngClass]=\"{\n                        'igx-grid__cbx-selection--push': filteringService.isFilterRowVisible\n                    }\">\n                    <ng-template #headSelector\n                        *ngTemplateOutlet=\"\n                        this.headSelectorTemplate ? this.headSelectorTemplate : headSelectorBaseTemplate;\n                        context: { $implicit: {\n                                        selectedCount: this.selectionService.filteredSelectedRowIds.length,\n                                        totalCount: this.totalRowsCountAfterFilter,\n                                        selectAll: selectAllRows.bind(this),\n                                        deselectAll: deselectAllRows.bind(this) }}\">\n                    </ng-template>\n                </div>\n            </ng-container>\n            <ng-container *ngIf=\"pinnedColumns.length > 0\">\n                <ng-template ngFor let-col [ngForOf]=\"pinnedColumns | igxTopLevel\">\n                    <igx-grid-header-group [column]=\"col\" [gridID]=\"id\" [style.min-width.px]=\"getHeaderGroupWidth(col)\"\n                        [style.flex-basis.px]=\"getHeaderGroupWidth(col)\"></igx-grid-header-group>\n                </ng-template>\n            </ng-container>\n            <ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxTopLevel\"\n                [igxForScrollOrientation]=\"'horizontal'\" [igxForScrollContainer]=\"parentVirtDir\"\n                [igxForContainerSize]='unpinnedWidth' [igxForTrackBy]='trackColumnChanges'\n                [igxForSizePropName]='\"calcPixelWidth\"' #hContainer>\n                <igx-grid-header-group [column]=\"col\" [gridID]=\"id\" [style.min-width.px]=\"getHeaderGroupWidth(col)\"\n                    [style.flex-basis.px]=\"getHeaderGroupWidth(col)\"></igx-grid-header-group>\n            </ng-template>\n        </div>\n        <igx-grid-filtering-row #filteringRow [style.width.px]='calcWidth' *ngIf=\"filteringService.isFilterRowVisible\"\n            [column]=\"filteringService.filteredColumn\"></igx-grid-filtering-row>\n    </div>\n    <div [style.display]=\"shouldOverlayLoading ? 'flex' : 'none'\" #loadingOverlay>\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </div>\n    <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n        id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n    <div class=\"igx-grid__thead-thumb\" [hidden]='!hasVerticalSroll()' [style.width.px]=\"scrollWidth\"></div>\n</div>\n\n<div igxGridBody (keydown.control.c)=\"copyHandlerIE()\" (copy)=\"copyHandler($event)\" class=\"igx-grid__tbody\">\n    <div class=\"igx-grid__tbody-content\" (onDragStop)=\"selectionService.dragMode = $event\"\n        (onDragScroll)=\"dragScroll($event)\" [igxGridDragSelect]=\"selectionService.dragMode\" role=\"rowgroup\"\n        [style.height.px]='calcHeight' [style.width.px]='calcWidth' #tbody (scroll)='scrollHandler($event)'>\n        <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length <= 0\"\n            [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n            class=\"igx-grid__scroll-on-drag-left\"></span>\n        <span *ngIf=\"hasMovableColumns && draggedColumn && pinnedColumns.length > 0\"\n            [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\" id=\"left\"\n            class=\"igx-grid__scroll-on-drag-pinned\" [style.left.px]=\"pinnedWidth\"></span>\n        <ng-template igxGridFor let-rowData [igxGridForOf]=\"data\n        | gridTransaction:id:pipeTrigger\n        | visibleColumns:hasVisibleColumns\n        | gridFiltering:filteringExpressionsTree:filterStrategy:advancedFilteringExpressionsTree:id:pipeTrigger:filteringPipeTrigger\n        | gridSort:sortingExpressions:id:pipeTrigger\n        | gridHierarchicalPaging:page:perPage:id:pipeTrigger\n        | gridHierarchical:hierarchicalState:id:primaryKey:childLayoutKeys:pipeTrigger\" let-rowIndex=\"index\"\n            [igxForScrollOrientation]=\"'vertical'\" [igxForScrollContainer]='verticalScroll'\n            [igxForContainerSize]='calcHeight' [igxForItemSize]=\"renderedRowHeight\" [igxForTrackBy]='trackChanges'\n            #verticalScrollContainer (onChunkPreload)=\"dataLoading($event)\">\n            <ng-template\n                [igxTemplateOutlet]='(isHierarchicalRecord(rowData) ? hierarchical_record_template : (isChildGridRecord(rowData) && isExpanded(rowData) ? child_record_template : hierarchical_record_template))'\n                [igxTemplateOutletContext]='getContext(rowData)' (onViewCreated)='viewCreatedHandler($event)'\n                (onViewMoved)='viewMovedHandler($event)' (onCachedViewLoaded)='cachedViewLoaded($event)' (onBeforeViewDetach)='viewDetachHandler($event)'></ng-template>\n            <!-- <ng-container *igxTemplateOutlet=\"(isHierarchicalRecord(rowData) ? hierarchical_record_template : (isChildGridRecord(rowData) && isExpanded(rowData) ? child_record_template : hierarchical_record_template)); context: getContext(rowData)\"></ng-container> -->\n        </ng-template>\n        <ng-template #hierarchical_record_template let-rowIndex=\"index\" let-rowData>\n            <igx-hierarchical-grid-row [gridID]=\"id\" [index]=\"rowIndex\" [rowData]=\"rowData\" #row>\n            </igx-hierarchical-grid-row>\n        </ng-template>\n        <ng-template #child_record_template let-rowIndex=\"index\" let-rowData>\n            <div style=\"overflow:auto;width: 100%;\" [attr.data-rowindex]='rowIndex' (scroll)='onContainerScroll()'\n                [ngClass]=\"{\n                'igx-grid__tr-container': true,\n                'igx-grid__tr--highlighted':isRowHighlighted(rowData)\n            }\">\n                <igx-child-grid-row *ngFor=\"let layout of childLayoutList\" [parentGridID]=\"id\" [index]=\"rowIndex\"\n                    [rowData]=\"rowData\" [layout]='layout' #row>\n                </igx-child-grid-row>\n            </div>\n        </ng-template>\n        <ng-template #summary_template let-rowIndex=\"index\" let-rowData>\n            <igx-grid-summary-row [gridID]=\"id\" [summaries]=\"rowData.summaries\" [index]=\"rowIndex\"\n                class=\"igx-grid__summaries--body\" #summaryRow>\n            </igx-grid-summary-row>\n        </ng-template>\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n        <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n            id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n        <div class=\"igx-grid__row-editing-outlet\" igxOverlayOutlet #igxRowEditingOverlayOutlet></div>\n    </div>\n    <span *ngIf=\"hasMovableColumns && draggedColumn\" [igxColumnMovingDrop]=\"headerContainer\" [attr.droppable]=\"true\"\n        id=\"right\" class=\"igx-grid__scroll-on-drag-right\"></span>\n    <div [hidden]='!hasVerticalSroll()' class=\"igx-grid__tbody-scrollbar\" [style.width.px]=\"scrollWidth\"\n        [style.height.px]='calcHeight'>\n        <ng-template igxGridFor [igxGridForOf]='[]' #verticalScrollHolder></ng-template>\n    </div>\n</div>\n\n\n<div class=\"igx-grid__tfoot\" role=\"rowgroup\" [style.height.px]='summariesHeight' #tfoot>\n    <igx-grid-summary-row [style.width.px]='calcWidth' [style.height.px]='summariesHeight'\n        *ngIf=\"hasSummarizedColumns && rootSummariesEnabled\" [gridID]=\"id\"\n        [summaries]=\"id | igxGridSummaryDataPipe:summaryService.retriggerRootPipe\" [index]=\"0\"\n        class=\"igx-grid__summaries\" #summaryRow>\n    </igx-grid-summary-row>\n    <div class=\"igx-grid__tfoot-thumb\" [hidden]='!hasVerticalSroll()' [style.height.px]='summariesHeight'\n        [style.width.px]=\"scrollWidth\"></div>\n</div>\n\n<div class=\"igx-grid__scroll\" [style.height]=\"'18px'\" #scr [hidden]=\"isHorizontalScrollHidden\">\n    <div class=\"igx-grid__scroll-start\" [style.width.px]='pinnedWidth' [hidden]=\"pinnedWidth === 0\"></div>\n    <div class=\"igx-grid__scroll-main\" [style.width.px]='unpinnedWidth'>\n        <ng-template igxGridFor [igxGridForOf]='[]' #scrollContainer>\n        </ng-template>\n    </div>\n</div>\n\n<div class=\"igx-grid__footer\" #footer>\n    <ng-content select=\"igx-grid-footer\"></ng-content>\n    <ng-container *ngIf=\"paging && totalRecords\">\n        <ng-container\n            *ngTemplateOutlet=\"paginationTemplate ? paginationTemplate : defaultPaginator; context: {$implicit: this}\">\n        </ng-container>\n    </ng-container>\n</div>\n\n<ng-template #defaultPaginator>\n    <igx-paginator [displayDensity]=\"displayDensity\" [(page)]=\"page\" [totalRecords]=\"totalRecords\" [(perPage)]=\"perPage\">\n    </igx-paginator>\n</ng-template>\n\n<ng-template #emptyFilteredGrid>\n    <span class=\"igx-grid__tbody-message\">{{emptyFilteredGridMessage}}</span>\n</ng-template>\n\n<ng-template #defaultEmptyGrid>\n    <span class=\"igx-grid__tbody-message\">{{emptyGridMessage}}</span>\n</ng-template>\n\n<ng-template #defaultLoadingGrid>\n    <div class=\"igx-grid__loading\">\n        <igx-circular-bar [indeterminate]=\"true\">\n        </igx-circular-bar>\n    </div>\n</ng-template>\n\n<ng-template #defaultCollapsedTemplate>\n    <igx-icon role=\"button\" fontSet=\"material\">unfold_more</igx-icon>\n</ng-template>\n\n<ng-template #defaultExpandedTemplate>\n    <igx-icon role=\"button\" [isActive]='hierarchicalState.length > 0 && hasExpandableChildren' [isActive]='true' fontSet=\"material\">unfold_less</igx-icon>\n</ng-template>\n\n<div *ngIf=\"rowEditable\" igxToggle>\n    <div [className]=\"bannerClass\">\n        <ng-container\n            *ngTemplateOutlet=\"rowEditContainer; context: { rowChangesCount: rowChangesCount, endEdit: endEdit.bind(this) }\">\n        </ng-container>\n    </div>\n</div>\n<ng-template #defaultRowEditText>\n    You have {{ rowChangesCount }} changes in this row\n</ng-template>\n<ng-template #defaultRowEditActions>\n    <button igxButton igxRowEditTabStop (click)=\"endEdit(false, $event)\">Cancel</button>\n    <button igxButton igxRowEditTabStop (click)=\"endEdit(true, $event)\">Done</button>\n</ng-template>\n<ng-template #defaultRowEditTemplate>\n    <div class=\"igx-banner__message\">\n        <span class=\"igx-banner__text\">\n            <ng-container\n                *ngTemplateOutlet=\"rowEditText ? rowEditText : defaultRowEditText; context: { $implicit: rowChangesCount }\">\n            </ng-container>\n        </span>\n    </div>\n    <div class=\"igx-banner__actions\">\n        <div class=\"igx-banner__row\">\n            <ng-container\n                *ngTemplateOutlet=\"rowEditActions ? rowEditActions : defaultRowEditActions; context: { $implicit: endEdit.bind(this) }\">\n            </ng-container>\n        </div>\n    </div>\n</ng-template>\n\n<ng-template #dragIndicatorIconBase>\n    <igx-icon fontSet=\"material\">drag_indicator</igx-icon>\n</ng-template>\n\n<ng-template #headSelectorBaseTemplate igxHeadSelector let-context>\n    <div class=\"igx-grid__cbx-padding\">\n        <igx-checkbox\n            [readonly]=\"true\"\n            [checked]=\"context.selectedCount > 0 && context.totalCount === context.selectedCount\"\n            disableRipple=\"true\"\n            [ngStyle]=\"{'visibility': isMultiRowSelectionEnabled? 'visible' : 'hidden' }\"\n            [indeterminate]=\"context.selectedCount > 0 && context.selectedCount !== context.totalCount\"\n            [aria-label]=\"headSelectorBaseAriaLabel\"\n            #headerCheckbox>\n        </igx-checkbox>\n    </div>\n</ng-template>\n\n<igx-grid-column-resizer *ngIf=\"colResizingService.showResizer\"></igx-grid-column-resizer>\n<div class=\"igx-grid__loading-outlet\" #igxLoadingOverlayOutlet igxOverlayOutlet></div>\n<div class=\"igx-grid__outlet\" #igxFilteringOverlayOutlet igxOverlayOutlet (keydown)=\"gridOutletKeyboardHandler($event)\"></div>\n",
                        providers: [
                            IgxGridSelectionService,
                            IgxGridCRUDService,
                            { provide: GridBaseAPIService, useClass: IgxHierarchicalGridAPIService },
                            { provide: IgxGridBaseComponent, useExisting: core.forwardRef(function () { return IgxHierarchicalGridComponent; }) },
                            IgxGridSummaryService,
                            IgxFilteringService,
                            IgxHierarchicalGridNavigationService,
                            IgxForOfSyncService,
                            IgxForOfScrollSyncService
                        ]
                    }] }
        ];
        /** @nocollapse */
        IgxHierarchicalGridComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: IgxColumnResizingService },
            { type: GridBaseAPIService },
            { type: undefined, decorators: [{ type: core.Inject, args: [IgxGridTransaction,] }] },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: undefined, decorators: [{ type: core.Inject, args: [common.DOCUMENT,] }] },
            { type: core.ChangeDetectorRef },
            { type: core.ComponentFactoryResolver },
            { type: core.IterableDiffers },
            { type: core.ViewContainerRef },
            { type: IgxHierarchicalGridNavigationService },
            { type: IgxFilteringService },
            { type: IgxOverlayService, decorators: [{ type: core.Inject, args: [IgxOverlayService,] }] },
            { type: IgxGridSummaryService },
            { type: undefined, decorators: [{ type: core.Optional }, { type: core.Inject, args: [DisplayDensityToken,] }] }
        ]; };
        IgxHierarchicalGridComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            data: [{ type: core.Input }],
            hierarchicalState: [{ type: core.Input }],
            hierarchicalStateChange: [{ type: core.Output }],
            expandChildren: [{ type: core.Input }],
            childLayoutList: [{ type: core.ContentChildren, args: [IgxRowIslandComponent, { read: IgxRowIslandComponent, descendants: false },] }],
            allLayoutList: [{ type: core.ContentChildren, args: [IgxRowIslandComponent, { read: IgxRowIslandComponent, descendants: true },] }],
            hierarchicalRecordTemplate: [{ type: core.ViewChild, args: ['hierarchical_record_template', { read: core.TemplateRef, static: true },] }],
            childTemplate: [{ type: core.ViewChild, args: ['child_record_template', { read: core.TemplateRef, static: true },] }],
            headerHierarchyExpander: [{ type: core.ViewChild, args: ['headerHierarchyExpander', { read: core.ElementRef, static: true },] }],
            templateOutlets: [{ type: core.ViewChildren, args: [IgxTemplateOutletDirective, { read: IgxTemplateOutletDirective },] }],
            hierarchicalRows: [{ type: core.ViewChildren, args: [IgxChildGridRowComponent, { read: IgxChildGridRowComponent },] }]
        };
        return IgxHierarchicalGridComponent;
    }(IgxHierarchicalGridBaseComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxHierarchicalGridCellComponent = /** @class */ (function (_super) {
        __extends(IgxHierarchicalGridCellComponent, _super);
        function IgxHierarchicalGridCellComponent(selectionService, crudService, gridAPI, cdr, helement, zone, touchManager, platformUtil) {
            var _this = _super.call(this, selectionService, crudService, gridAPI, cdr, helement, zone, touchManager, platformUtil) || this;
            _this.selectionService = selectionService;
            _this.crudService = crudService;
            _this.gridAPI = gridAPI;
            _this.cdr = cdr;
            _this.helement = helement;
            _this.zone = zone;
            _this.platformUtil = platformUtil;
            return _this;
            // this.hSelection = <IgxHierarchicalSelectionAPIService>selection;
        }
        /**
         * @return {?}
         */
        IgxHierarchicalGridCellComponent.prototype.ngOnInit = /**
         * @return {?}
         */
        function () {
            _super.prototype.ngOnInit.call(this);
            this._rootGrid = this._getRootGrid();
        };
        /**
         * @private
         * @return {?}
         */
        IgxHierarchicalGridCellComponent.prototype._getRootGrid = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var currGrid = this.grid;
            while (currGrid.parent) {
                currGrid = currGrid.parent;
            }
            return currGrid;
        };
        // TODO: Extend the new selection service to avoid complete traversal
        // TODO: Extend the new selection service to avoid complete traversal
        /**
         * @return {?}
         */
        IgxHierarchicalGridCellComponent.prototype._clearAllHighlights = 
        // TODO: Extend the new selection service to avoid complete traversal
        /**
         * @return {?}
         */
        function () {
            __spread([this._rootGrid], this._rootGrid.getChildGrids(true)).forEach(function (grid) {
                grid.selectionService.clear();
                grid.selectionService.activeElement = null;
                grid.nativeElement.classList.remove('igx-grid__tr--highlighted');
                grid.highlightedRowID = null;
                grid.cdr.markForCheck();
            });
        };
        /**
         * @hidden
         * @internal
         */
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxHierarchicalGridCellComponent.prototype.onFocus = /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this._clearAllHighlights();
            /** @type {?} */
            var currentElement = this.grid.nativeElement;
            /** @type {?} */
            var parentGrid = this.grid;
            /** @type {?} */
            var childGrid;
            // add highligh to the current grid
            if (this._rootGrid.id !== currentElement.id) {
                currentElement.classList.add('igx-grid__tr--highlighted');
            }
            // add highligh to the current grid
            while (this._rootGrid.id !== parentGrid.id) {
                childGrid = parentGrid;
                parentGrid = parentGrid.parent;
                /** @type {?} */
                var parentRowID = parentGrid.hgridAPI.getParentRowId(childGrid);
                parentGrid.highlightedRowID = parentRowID;
            }
            _super.prototype.onFocus.call(this, event);
        };
        // TODO: Refactor
        /**
         * @hidden
         * @internal
         */
        // TODO: Refactor
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        IgxHierarchicalGridCellComponent.prototype.dispatchEvent = 
        // TODO: Refactor
        /**
         * @hidden
         * \@internal
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            /** @type {?} */
            var key = event.key.toLowerCase();
            if (event.altKey && !this.row.added) {
                /** @type {?} */
                var grid = this.gridAPI.grid;
                /** @type {?} */
                var state = this.gridAPI.grid.hierarchicalState;
                /** @type {?} */
                var collapse = this.row.expanded && (key === 'left' || key === 'arrowleft' || key === 'up' || key === 'arrowup');
                /** @type {?} */
                var expand = !this.row.expanded && (key === 'right' || key === 'arrowright' || key === 'down' || key === 'arrowdown');
                if (collapse) {
                    grid.hierarchicalState = state.filter(function (v) {
                        return v.rowID !== _this.row.rowID;
                    });
                }
                else if (expand) {
                    state.push({ rowID: this.row.rowID });
                    grid.hierarchicalState = __spread(state);
                }
                if (expand || collapse) {
                    /** @type {?} */
                    var rowID = this.cellID.rowID;
                    grid.cdr.detectChanges();
                    this.persistFocusedCell(rowID);
                }
                return;
            }
            _super.prototype.dispatchEvent.call(this, event);
        };
        /**
         * @protected
         * @param {?} rowID
         * @return {?}
         */
        IgxHierarchicalGridCellComponent.prototype.persistFocusedCell = /**
         * @protected
         * @param {?} rowID
         * @return {?}
         */
        function (rowID) {
            var _this = this;
            requestAnimationFrame(function () {
                // TODO: Test it out
                /** @type {?} */
                var cell = _this.gridAPI.get_cell_by_key(rowID, _this.column.field);
                if (cell) {
                    cell.nativeElement.focus();
                }
            });
        };
        IgxHierarchicalGridCellComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-hierarchical-grid-cell',
                        template: "<ng-template #defaultCell>\n    <div igxTextHighlight style=\"pointer-events: none\" [cssClass]=\"highlightClass\" [activeCssClass]=\"activeHighlightClass\" [groupName]=\"gridID\"\n        [value]=\"formatter ? formatter(value) : column.dataType === 'number' ? (value | igxdecimal: grid.locale) : column.dataType === 'date' ? (value | igxdate: grid.locale) : value\"\n        [row]=\"rowData\" [column]=\"this.column.field\" [containerClass]=\"'igx-grid__td-text'\"\n        class=\"igx-grid__td-text\">{{ formatter ? formatter(value) : column.dataType === 'number' ? (value | igxdecimal:\n        grid.locale) : column.dataType === 'date' ? (value | igxdate: grid.locale) : value }}</div>\n</ng-template>\n<ng-template #inlineEditor let-cell=\"cell\">\n    <ng-container *ngIf=\"column.dataType === 'string'\">\n        <igx-input-group displayDensity=\"compact\">\n            <input igxInput [value]=\"editValue\" (input)=\"editValue = $event.target.value\" [igxFocus]=\"focused\" />\n        </igx-input-group>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'number'\">\n        <igx-input-group displayDensity=\"compact\">\n            <input igxInput [value]=\"editValue\" (input)=\"editValue = $event.target.value\" [igxFocus]=\"focused\" type=\"number\">\n        </igx-input-group>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'boolean'\">\n        <igx-checkbox (change)=\"editValue = $event.checked\" [value]=\"editValue\" [checked]=\"editValue\"\n            [igxFocus]=\"focused\" [disableRipple]=\"true\"></igx-checkbox>\n    </ng-container>\n    <ng-container *ngIf=\"column.dataType === 'date'\">\n        <igx-date-picker [style.width.%]=\"100\" [outlet]=\"grid.outletDirective\" mode=\"dropdown\"\n            [locale]=\"grid.locale\" [(value)]=\"editValue\" [igxFocus]=\"focused\" [labelVisibility]=\"false\">\n        </igx-date-picker>\n    </ng-container>\n</ng-template>\n<ng-container *ngTemplateOutlet=\"template; context: context\">\n</ng-container>\n",
                        providers: [HammerGesturesManager]
                    }] }
        ];
        /** @nocollapse */
        IgxHierarchicalGridCellComponent.ctorParameters = function () { return [
            { type: IgxGridSelectionService },
            { type: IgxGridCRUDService },
            { type: GridBaseAPIService },
            { type: core.ChangeDetectorRef },
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: HammerGesturesManager },
            { type: PlatformUtil }
        ]; };
        IgxHierarchicalGridCellComponent.propDecorators = {
            onFocus: [{ type: core.HostListener, args: ['focus', ['$event'],] }],
            dispatchEvent: [{ type: core.HostListener, args: ['keydown', ['$event'],] }]
        };
        return IgxHierarchicalGridCellComponent;
    }(IgxGridCellComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxHierarchicalRowComponent = /** @class */ (function (_super) {
        __extends(IgxHierarchicalRowComponent, _super);
        function IgxHierarchicalRowComponent() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            /**
             * @hidden
             */
            _this.tabindex = 0;
            /**
             * @hidden
             * \@internal
             */
            _this.select = function () {
                _this.grid.selectRows([_this.rowID]);
            };
            /**
             * @hidden
             * \@internal
             */
            _this.deselect = function () {
                _this.grid.deselectRows([_this.rowID]);
            };
            return _this;
        }
        Object.defineProperty(IgxHierarchicalRowComponent.prototype, "viewIndex", {
            get: /**
             * @return {?}
             */
            function () {
                return this.index + this.grid.page * this.grid.perPage;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalRowComponent.prototype, "expanded", {
            /**
         * Returns whether the row is expanded.
         * ```typescript
         * const RowExpanded = this.grid1.rowList.first.expanded;
         * ```
         */
            get: /**
             * Returns whether the row is expanded.
             * ```typescript
             * const RowExpanded = this.grid1.rowList.first.expanded;
             * ```
             * @return {?}
             */
            function () {
                return this.grid.isExpanded(this.rowData);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalRowComponent.prototype, "hasChildren", {
            get: /**
             * @return {?}
             */
            function () {
                return !!this.grid.childLayoutKeys.length;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHierarchicalRowComponent.prototype, "highlighted", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.grid && this.grid.highlightedRowID === this.rowID;
            },
            enumerable: true,
            configurable: true
        });
        /**
        * @hidden
        */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxHierarchicalRowComponent.prototype.expanderClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            this.toggle();
        };
        /**
         * Toggles the hierarchical row.
         * ```typescript
         * this.grid1.rowList.first.toggle()
         * ```
         */
        /**
         * Toggles the hierarchical row.
         * ```typescript
         * this.grid1.rowList.first.toggle()
         * ```
         * @return {?}
         */
        IgxHierarchicalRowComponent.prototype.toggle = /**
         * Toggles the hierarchical row.
         * ```typescript
         * this.grid1.rowList.first.toggle()
         * ```
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.added) {
                return;
            }
            /** @type {?} */
            var grid = this.gridAPI.grid;
            this.endEdit(grid.rootGrid);
            /** @type {?} */
            var state = this.gridAPI.grid.hierarchicalState;
            if (!this.expanded) {
                state.push({ rowID: this.rowID });
                grid.hierarchicalState = __spread(state);
            }
            else {
                grid.hierarchicalState = state.filter(function (v) {
                    return v.rowID !== _this.rowID;
                });
            }
            grid.cdr.detectChanges();
        };
        Object.defineProperty(IgxHierarchicalRowComponent.prototype, "iconTemplate", {
            /**
            * @hidden
            */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var expandable = true;
                if (this.grid.hasChildrenKey) {
                    expandable = this.rowData[this.grid.hasChildrenKey];
                }
                if (!expandable) {
                    return this.defaultEmptyTemplate;
                }
                if (this.expanded) {
                    return this.grid.rowExpandedIndicatorTemplate || this.defaultExpandedTemplate;
                }
                else {
                    return this.grid.rowCollapsedIndicatorTemplate || this.defaultCollapsedTemplate;
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        IgxHierarchicalRowComponent.prototype.endEdit = /**
         * @private
         * @param {?} grid
         * @return {?}
         */
        function (grid) {
            if (grid.crudService.inEditMode) {
                grid.endEdit();
            }
            grid.hgridAPI.getChildGrids(true).forEach(function (g) {
                if (g.crudService.inEditMode) {
                    g.endEdit();
                }
            });
        };
        IgxHierarchicalRowComponent.decorators = [
            { type: core.Component, args: [{
                        changeDetection: core.ChangeDetectionStrategy.OnPush,
                        preserveWhitespaces: false,
                        selector: 'igx-hierarchical-grid-row',
                        template: "<div (click)=\"expanderClick($event)\" class=\"igx-grid__hierarchical-expander\" [tabIndex]=\"tabindex\" *ngIf=\"hasChildren\" #expander>\n        <ng-container *ngTemplateOutlet=\"iconTemplate; context: { $implicit: this }\">\n        </ng-container>\n</div>\n<ng-template #defaultExpandedTemplate>\n        <igx-icon [isActive]='!added' fontSet=\"material\">expand_more</igx-icon>\n    </ng-template>\n\n<ng-template #defaultCollapsedTemplate>\n        <igx-icon [isActive]='!added' fontSet=\"material\">chevron_right</igx-icon>\n </ng-template>\n\n <ng-template #defaultEmptyTemplate>\n    <igx-icon fontSet=\"material\"></igx-icon>\n</ng-template>\n\n<ng-container *ngIf=\"rowDraggable\">\n    <div [class]=\"resolveDragIndicatorClasses\" [igxRowDrag]=\"this\" (click)=\"$event.stopPropagation()\" [ghostTemplate]=\"this.grid.getDragGhostCustomTemplate()\">\n            <ng-container *ngTemplateOutlet=\"this.grid.dragIndicatorIconTemplate ? this.grid.dragIndicatorIconTemplate : this.grid.dragIndicatorIconBase\"></ng-container>\n    </div>\n</ng-container>\n<ng-container *ngIf=\"showRowSelectors\">\n    <div class=\"igx-grid__cbx-selection\" (click)=\"onRowSelectorClick($event)\">\n        <ng-template *ngTemplateOutlet=\"\n            this.grid.rowSelectorTemplate ? this.grid.rowSelectorTemplate : rowSelectorBaseTemplate;\n            context: { $implicit: {\n                            index: viewIndex,\n                            rowID: rowID,\n                            selected: selected,\n                            select: select,\n                            deselect: deselect }}\">\n        </ng-template>\n    </div>\n</ng-container>\n\n<ng-container *ngIf=\"pinnedColumns.length > 0\">\n    <igx-hierarchical-grid-cell *ngFor=\"let col of pinnedColumns | igxNotGrouped\"\n        class=\"igx-grid__td igx-grid__td--fw igx-grid__td--pinned\"\n        [class.igx-grid__td--number]=\"col.dataType === 'number'\"\n        [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n        [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n        [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n        [column]=\"col\"\n        [formatter]=\"col.formatter\"\n        [row]=\"this\"\n        [lastPinned]=\"col.isLastPinned\"\n        [style.min-height.px]=\"grid.rowHeight || 32\"\n        [rowData]=\"rowData\"\n        [style.min-width.px]=\"col.width\"\n        [style.flex-basis.px]=\"col.width\"\n        [width]=\"col.getCellWidth()\"\n        [visibleColumnIndex]=\"col.visibleIndex\"\n        [value]=\"rowData[col.field]\"\n        [cellTemplate]=\"col.bodyTemplate\"\n        [cellSelectionMode]=\"grid.cellSelection\">\n    </igx-hierarchical-grid-cell>\n</ng-container>\n\n<ng-template igxGridFor let-col [igxGridForOf]=\"unpinnedColumns | igxNotGrouped\" [igxForScrollContainer]=\"grid.parentVirtDir\" let-colIndex=\"index\" [igxForSizePropName]='\"calcPixelWidth\"' [igxForScrollOrientation]=\"'horizontal'\" [igxForContainerSize]='grid.unpinnedWidth' [igxForTrackBy]='grid.trackColumnChanges' #igxDirRef>\n    <igx-hierarchical-grid-cell\n        class=\"igx-grid__td igx-grid__td--fw\"\n        [class.igx-grid__td--number]=\"col.dataType === 'number'\"\n        [ngClass]=\"col.cellClasses | igxCellStyleClasses:rowData[col.field]:rowData:col.field:viewIndex\"\n        [ngStyle]=\"col.cellStyles | igxCellStyles:rowData[col.field]:rowData:col.field:viewIndex\"\n        [editMode]=\"col.editable && crudService.isInEditMode(index, col.index)\"\n        [column]=\"col\"\n        [formatter]=\"col.formatter\"\n        [row]=\"this\"\n        [style.min-height.px]=\"grid.rowHeight || 32\"\n        [rowData]=\"rowData\"\n        [style.min-width.px]=\"col.width\"\n        [style.flex-basis.px]=\"col.width\"\n        [width]=\"col.getCellWidth()\"\n        [visibleColumnIndex]=\"col.visibleIndex\"\n        [value]=\"rowData[col.field]\"\n        [cellTemplate]=\"col.bodyTemplate\"\n        [cellSelectionMode]=\"grid.cellSelection\">\n    </igx-hierarchical-grid-cell>\n</ng-template>\n\n<ng-template #rowSelectorBaseTemplate>\n    <div class=\"igx-grid__cbx-padding\">\n        <igx-checkbox\n            [readonly]=\"true\"\n            [checked]=\"selected\"\n            disableRipple=\"true\"\n            [disabled]=\"deleted\"\n            [disableTransitions]=\"grid.disableTransitions\"\n            [aria-label]=\"rowCheckboxAriaLabel\">\n        </igx-checkbox>\n    </div>\n</ng-template>\n",
                        providers: [{ provide: IgxRowComponent, useExisting: core.forwardRef(function () { return IgxHierarchicalRowComponent; }) }]
                    }] }
        ];
        IgxHierarchicalRowComponent.propDecorators = {
            cells: [{ type: core.ViewChildren, args: [core.forwardRef(function () { return IgxHierarchicalGridCellComponent; }), { read: IgxHierarchicalGridCellComponent },] }],
            expander: [{ type: core.ViewChild, args: ['expander', { read: core.ElementRef, static: false },] }],
            defaultExpandedTemplate: [{ type: core.ViewChild, args: ['defaultExpandedTemplate', { read: core.TemplateRef, static: true },] }],
            defaultEmptyTemplate: [{ type: core.ViewChild, args: ['defaultEmptyTemplate', { read: core.TemplateRef, static: true },] }],
            defaultCollapsedTemplate: [{ type: core.ViewChild, args: ['defaultCollapsedTemplate', { read: core.TemplateRef, static: true },] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            expanded: [{ type: core.HostBinding, args: ['class.igx-grid__tr--expanded',] }],
            highlighted: [{ type: core.HostBinding, args: ['class.igx-grid__tr--highlighted',] }]
        };
        return IgxHierarchicalRowComponent;
    }(IgxRowComponent));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxGridHierarchicalPipe = /** @class */ (function () {
        function IgxGridHierarchicalPipe(gridAPI) {
            this.gridAPI = gridAPI;
        }
        /**
         * @param {?} collection
         * @param {?=} state
         * @param {?=} id
         * @param {?=} primaryKey
         * @param {?=} childKeys
         * @param {?=} pipeTrigger
         * @return {?}
         */
        IgxGridHierarchicalPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?=} state
         * @param {?=} id
         * @param {?=} primaryKey
         * @param {?=} childKeys
         * @param {?=} pipeTrigger
         * @return {?}
         */
        function (collection, state, id, primaryKey, childKeys, pipeTrigger) {
            if (state === void 0) { state = []; }
            if (childKeys.length === 0) {
                return collection;
            }
            /** @type {?} */
            var grid = this.gridAPI.grid;
            /** @type {?} */
            var result = this.addHierarchy(grid, cloneArray(collection), state, primaryKey, childKeys);
            return result;
        };
        /**
         * @template T
         * @param {?} grid
         * @param {?} data
         * @param {?} state
         * @param {?} primaryKey
         * @param {?} childKeys
         * @return {?}
         */
        IgxGridHierarchicalPipe.prototype.addHierarchy = /**
         * @template T
         * @param {?} grid
         * @param {?} data
         * @param {?} state
         * @param {?} primaryKey
         * @param {?} childKeys
         * @return {?}
         */
        function (grid, data, state, primaryKey, childKeys) {
            /** @type {?} */
            var result = [];
            data.forEach(function (v) {
                result.push(v);
                /** @type {?} */
                var childGridsData = {};
                childKeys.forEach(function (childKey) {
                    /** @type {?} */
                    var childData = v[childKey] ? v[childKey] : null;
                    childGridsData[childKey] = childData;
                });
                if (grid.isExpanded(v)) {
                    result.push({ rowID: primaryKey ? v[primaryKey] : v, childGridsData: childGridsData });
                }
            });
            return result;
        };
        IgxGridHierarchicalPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridHierarchical',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridHierarchicalPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridHierarchicalPipe;
    }());
    /**
     * @hidden
     */
    var IgxGridHierarchicalPagingPipe = /** @class */ (function () {
        function IgxGridHierarchicalPagingPipe(gridAPI) {
            this.gridAPI = gridAPI;
        }
        /**
         * @param {?} collection
         * @param {?=} page
         * @param {?=} perPage
         * @param {?=} id
         * @param {?=} pipeTrigger
         * @return {?}
         */
        IgxGridHierarchicalPagingPipe.prototype.transform = /**
         * @param {?} collection
         * @param {?=} page
         * @param {?=} perPage
         * @param {?=} id
         * @param {?=} pipeTrigger
         * @return {?}
         */
        function (collection, page, perPage, id, pipeTrigger) {
            if (page === void 0) { page = 0; }
            if (perPage === void 0) { perPage = 15; }
            if (!this.gridAPI.grid.paging) {
                return collection;
            }
            /** @type {?} */
            var state = {
                index: page,
                recordsPerPage: perPage
            };
            /** @type {?} */
            var result = DataUtil.page(cloneArray(collection), state);
            this.gridAPI.grid.pagingState = state;
            return result;
        };
        IgxGridHierarchicalPagingPipe.decorators = [
            { type: core.Pipe, args: [{
                        name: 'gridHierarchicalPaging',
                        pure: true
                    },] }
        ];
        /** @nocollapse */
        IgxGridHierarchicalPagingPipe.ctorParameters = function () { return [
            { type: GridBaseAPIService }
        ]; };
        return IgxGridHierarchicalPagingPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxHierarchicalGridModule = /** @class */ (function () {
        function IgxHierarchicalGridModule() {
        }
        IgxHierarchicalGridModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxHierarchicalGridComponent,
                            IgxHierarchicalRowComponent,
                            IgxRowIslandComponent,
                            IgxChildGridRowComponent,
                            IgxHierarchicalGridCellComponent,
                            IgxGridHierarchicalPipe,
                            IgxGridHierarchicalPagingPipe
                        ],
                        exports: [
                            IgxGridModule,
                            IgxHierarchicalGridComponent,
                            IgxHierarchicalRowComponent,
                            IgxHierarchicalGridCellComponent,
                            IgxRowIslandComponent,
                            IgxChildGridRowComponent
                        ],
                        imports: [
                            common.CommonModule,
                            forms.FormsModule,
                            IgxChipsModule,
                            IgxGridModule,
                            IgxSelectModule
                        ],
                        providers: [
                            IgxRowIslandAPIService
                        ],
                        entryComponents: [
                            IgxGridComponent
                        ]
                    },] }
        ];
        return IgxHierarchicalGridModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * IgxActionIcon is a container for the action nav icon of the IgxNavbar.
     */
    var IgxActionIconDirective = /** @class */ (function () {
        function IgxActionIconDirective() {
        }
        IgxActionIconDirective.decorators = [
            { type: core.Directive, args: [{
                        // tslint:disable-next-line:directive-selector
                        selector: 'igx-action-icon'
                    },] }
        ];
        return IgxActionIconDirective;
    }());
    /** @type {?} */
    var NEXT_ID$p = 0;
    /**
     * **Ignite UI for Angular Navbar** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/navbar.html)
     *
     * The Ignite UI Navbar is most commonly used to provide an app header with a hamburger menu and navigation
     * state such as a "Go Back" button. It also supports other actions represented by icons.
     *
     * Example:
     * ```html
     * <igx-navbar title="Sample App" actionButtonIcon="menu">
     *   <igx-icon>search</igx-icon>
     *   <igx-icon>favorite</igx-icon>
     *   <igx-icon>more_vert</igx-icon>
     * </igx-navbar>
     * ```
     */
    var IgxNavbarComponent = /** @class */ (function () {
        function IgxNavbarComponent() {
            this.isVisible = true;
            /**
             * An \@Input property that sets the value of the `id` attribute. If not provided it will be automatically generated.
             * ```html
             * <igx-navbar [id]="'igx-navbar-12'" title="Sample App" actionButtonIcon="menu">
             * ```
             */
            this.id = "igx-navbar-" + NEXT_ID$p++;
            /**
             * The event that will be thrown when the action is executed,
             * provides reference to the `IgxNavbar` component as argument
             * ```typescript
             * public actionExc(event){
             *    alert("Action Execute!");
             * }
             * //..
             * ```
             * ```html
             * <igx-navbar (onAction)="actionExc($event)" title="Sample App" actionButtonIcon="menu">
             * ```
             */
            this.onAction = new core.EventEmitter();
            /**
             * An \@Input property that sets the titleId of the `IgxNavbarComponent`. If not set it will be automatically generated.
             * ```html
             * <igx-navbar [titleId]="'igx-navbar-7'" title="Sample App" actionButtonIcon="menu">
             * ```
             */
            this.titleId = "igx-navbar-" + IgxNavbarComponent.NEXT_ID++;
        }
        Object.defineProperty(IgxNavbarComponent.prototype, "isActionButtonVisible", {
            /**
             *Returns whether the `IgxNavbarComponent` action button is visible, true/false.
             *```typescript
             *@ViewChild("MyChild")
             *public navBar: IgxNavbarComponent;
             *ngAfterViewInit(){
             *    let actionButtonVisibile = this.navBar.isActionButtonVisible;
             *}
             *```
             */
            get: /**
             * Returns whether the `IgxNavbarComponent` action button is visible, true/false.
             * ```typescript
             * \@ViewChild("MyChild")
             * public navBar: IgxNavbarComponent;
             * ngAfterViewInit(){
             *    let actionButtonVisibile = this.navBar.isActionButtonVisible;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.actionIconTemplate || !this.actionButtonIcon) {
                    return false;
                }
                return this.isVisible;
            },
            /**
             *Sets whether the action button of the `IgxNavbarComponent` is visible.
             *```html
             *<igx-navbar [title]="currentView" [isActionButtonVisible]="'false'"></igx-navbar>
             *```
             */
            set: /**
             * Sets whether the action button of the `IgxNavbarComponent` is visible.
             * ```html
             * <igx-navbar [title]="currentView" [isActionButtonVisible]="'false'"></igx-navbar>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this.isVisible = value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxNavbarComponent.prototype._triggerAction = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.onAction.emit(this);
        };
        IgxNavbarComponent.NEXT_ID = 1;
        IgxNavbarComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-navbar',
                        template: "<nav class=\"igx-navbar\" role=\"navigation\" [attr.aria-labelledby]=\"titleId\">\n    <div class=\"igx-navbar__left\">\n        <igx-icon (click)=\"_triggerAction()\" fontSet=\"material\" *ngIf=\"isActionButtonVisible\">{{actionButtonIcon}}</igx-icon>\n        <ng-content select=\"igx-action-icon\"></ng-content>\n        <h1 class=\"igx-navbar__title\" [attr.id]=\"titleId\">{{ title }}</h1>\n    </div>\n    <div class=\"igx-navbar__right\">\n        <ng-content></ng-content>\n    </div>\n</nav>\n",
                        styles: ["\n        :host {\n            display: block;\n        }\n    "]
                    }] }
        ];
        IgxNavbarComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            isActionButtonVisible: [{ type: core.Input }],
            actionButtonIcon: [{ type: core.Input }],
            title: [{ type: core.Input }],
            onAction: [{ type: core.Output }],
            titleId: [{ type: core.Input }],
            actionIconTemplate: [{ type: core.ContentChild, args: [IgxActionIconDirective, { read: IgxActionIconDirective, static: false },] }]
        };
        return IgxNavbarComponent;
    }());
    /**
     * @hidden
     */
    var IgxNavbarModule = /** @class */ (function () {
        function IgxNavbarModule() {
        }
        IgxNavbarModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxNavbarComponent, IgxActionIconDirective],
                        exports: [IgxNavbarComponent, IgxActionIconDirective],
                        imports: [IgxButtonModule, IgxIconModule, common.CommonModule]
                    },] }
        ];
        return IgxNavbarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxNavDrawerItemDirective = /** @class */ (function () {
        function IgxNavDrawerItemDirective() {
            /**
             * @hidden
             */
            this.active = false;
            /**
             * @hidden
             */
            this.isHeader = false;
            /**
             * @hidden
             */
            this.activeClass = 'igx-nav-drawer__item--active';
        }
        Object.defineProperty(IgxNavDrawerItemDirective.prototype, "defaultCSS", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return !this.active && !this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavDrawerItemDirective.prototype, "currentCSS", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.active && !this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavDrawerItemDirective.prototype, "headerCSS", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.isHeader;
            },
            enumerable: true,
            configurable: true
        });
        IgxNavDrawerItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDrawerItem]',
                        exportAs: 'igxDrawerItem'
                    },] }
        ];
        IgxNavDrawerItemDirective.propDecorators = {
            active: [{ type: core.Input, args: ['active',] }],
            isHeader: [{ type: core.Input, args: ['isHeader',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-nav-drawer__item',] }],
            currentCSS: [{ type: core.HostBinding, args: ['class.igx-nav-drawer__item--active',] }],
            headerCSS: [{ type: core.HostBinding, args: ['class.igx-nav-drawer__item--header',] }]
        };
        return IgxNavDrawerItemDirective;
    }());
    var IgxNavDrawerTemplateDirective = /** @class */ (function () {
        function IgxNavDrawerTemplateDirective(template) {
            this.template = template;
        }
        IgxNavDrawerTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDrawer]'
                    },] }
        ];
        /** @nocollapse */
        IgxNavDrawerTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxNavDrawerTemplateDirective;
    }());
    var IgxNavDrawerMiniTemplateDirective = /** @class */ (function () {
        function IgxNavDrawerMiniTemplateDirective(template) {
            this.template = template;
        }
        IgxNavDrawerMiniTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxDrawerMini]'
                    },] }
        ];
        /** @nocollapse */
        IgxNavDrawerMiniTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxNavDrawerMiniTemplateDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$q = 0;
    /**
     * **Ignite UI for Angular Navigation Drawer** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/navdrawer.html)
     *
     * The Ignite UI Navigation Drawer is a collapsible side navigation container commonly used in combination with the Navbar.
     *
     * Example:
     * ```html
     * <igx-nav-drawer id="navigation" [isOpen]="true">
     *   <ng-template igxDrawer>
     *     <nav>
     *       <span igxDrawerItem [isHeader]="true">Email</span>
     *       <span igxDrawerItem igxRipple>Inbox</span>
     *       <span igxDrawerItem igxRipple>Deleted</span>
     *       <span igxDrawerItem igxRipple>Sent</span>
     *     </nav>
     *   </ng-template>
     * </igx-nav-drawer>
     * ```
     */
    var IgxNavigationDrawerComponent = /** @class */ (function () {
        function IgxNavigationDrawerComponent(elementRef, _state, renderer, _touchManager, platformUtil) {
            var _this = this;
            this.elementRef = elementRef;
            this._state = _state;
            this.renderer = renderer;
            this._touchManager = _touchManager;
            this.platformUtil = platformUtil;
            this._isOpen = false;
            /**
             * @hidden \@internal
             */
            this.cssClass = true;
            /**
             * ID of the component
             *
             * ```typescript
             * // get
             * let myNavDrawerId = this.navdrawer.id;
             * ```
             *
             * ```html
             * <!--set-->
             *  <igx-nav-drawer id='navdrawer'></igx-nav-drawer>
             * ```
             */
            this.id = "igx-nav-drawer-" + NEXT_ID$q++;
            /**
             * Position of the Navigation Drawer. Can be "left"(default) or "right".
             *
             * ```typescript
             * // get
             * let myNavDrawerPosition = this.navdrawer.position;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [position]="'left'"></igx-nav-drawer>
             * ```
             */
            this.position = 'left';
            /**
             * Enables the use of touch gestures to manipulate the drawer:
             * - swipe/pan from edge to open, swipe-toggle and pan-drag.
             *
             * ```typescript
             * // get
             * let gesturesEnabled = this.navdrawer.enableGestures;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [enableGestures]='true'></igx-nav-drawer>
             * ```
             */
            this.enableGestures = true;
            /**
             * @hidden
             */
            this.isOpenChange = new core.EventEmitter();
            /**
             * When pinned the drawer is relatively positioned instead of sitting above content.
             * May require additional layout styling.
             *
             * ```typescript
             * // get
             * let navDrawerIsPinned = this.navdrawer.pin;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [pin]='false'></igx-nav-drawer>
             * ```
             */
            this.pin = false;
            /**
             * Minimum device width required for automatic pin to be toggled.
             * Default is 1024, can be set to a falsy value to disable this behavior.
             *
             * ```typescript
             * // get
             * let navDrawerPinTreshold = this.navdrawer.pinThreshold;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [pinTreshold]='1024'></igx-nav-drawer>
             * ```
             */
            this.pinThreshold = 1024;
            /**
             * Width of the drawer in its open state. Defaults to "280px".
             *
             * ```typescript
             * // get
             * let navDrawerWidth = this.navdrawer.width;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [width]="'228px'"></igx-nav-drawer>
             * ```
             */
            this.width = '280px';
            /**
             * Width of the drawer in its mini state. Defaults to 68px.
             *
             * ```typescript
             * // get
             * let navDrawerMiniWidth = this.navdrawer.miniWidth;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [miniWidth]="'34px'"></igx-nav-drawer>
             * ```
             */
            this.miniWidth = '68px';
            /**
             * Pinned state change output for two-way binding.
             *
             * ```html
             * <igx-nav-drawer [(pin)]='isPinned'></igx-nav-drawer>
             * ```
             */
            this.pinChange = new core.EventEmitter(true);
            /**
             * Event fired as the Navigation Drawer is about to open.
             *
             * ```html
             *  <igx-nav-drawer (opening)='onOpening()'></igx-nav-drawer>
             * ```
             */
            this.opening = new core.EventEmitter();
            /**
             * Event fired when the Navigation Drawer has opened.
             *
             * ```html
             * <igx-nav-drawer (opened)='onOpened()'></igx-nav-drawer>
             * ```
             */
            this.opened = new core.EventEmitter();
            /**
             * Event fired as the Navigation Drawer is about to close.
             *
             * ```html
             * <igx-nav-drawer (closing)='onClosing()'></igx-nav-drawer>
             * ```
             */
            this.closing = new core.EventEmitter();
            /**
             * Event fired when the Navigation Drawer has closed.
             *
             * ```html
             * <igx-nav-drawer (closed)='onClosed()'></igx-nav-drawer>
             * ```
             */
            this.closed = new core.EventEmitter();
            this._gesturesAttached = false;
            this._widthCache = { width: null, miniWidth: null, windowWidth: null };
            this.css = {
                drawer: 'igx-nav-drawer__aside',
                mini: 'igx-nav-drawer__aside--mini',
                overlay: 'igx-nav-drawer__overlay',
                styleDummy: 'igx-nav-drawer__style-dummy'
            };
            /**
             * Pan animation properties
             */
            this._panning = false;
            this._maxEdgeZone = 50;
            this.checkPinThreshold = function (evt) {
                if (!_this.platformUtil.isBrowser) {
                    return;
                }
                /** @type {?} */
                var windowWidth;
                if (_this.pinThreshold) {
                    windowWidth = _this.getWindowWidth();
                    if (evt && _this._widthCache.windowWidth === windowWidth) {
                        return;
                    }
                    _this._widthCache.windowWidth = windowWidth;
                    if (!_this.pin && windowWidth >= _this.pinThreshold) {
                        _this.pin = true;
                        _this.pinChange.emit(true);
                    }
                    else if (_this.pin && windowWidth < _this.pinThreshold) {
                        _this.pin = false;
                        _this.pinChange.emit(false);
                    }
                }
            };
            this.swipe = function (evt) {
                // TODO: Could also force input type: http://stackoverflow.com/a/27108052
                if (!_this.enableGestures || evt.pointerType !== 'touch') {
                    return;
                }
                // HammerJS swipe is horizontal-only by default, don't check deltaY
                /** @type {?} */
                var deltaX;
                /** @type {?} */
                var startPosition;
                if (_this.position === 'right') {
                    // when on the right use inverse of deltaX
                    deltaX = -evt.deltaX;
                    startPosition = _this.getWindowWidth() - (evt.center.x + evt.distance);
                }
                else {
                    deltaX = evt.deltaX;
                    startPosition = evt.center.x - evt.distance;
                }
                // only accept closing swipe (ignoring minEdgeZone) when the drawer is expanded:
                if ((_this.isOpen && deltaX < 0) ||
                    // positive deltaX from the edge:
                    (deltaX > 0 && startPosition < _this.maxEdgeZone)) {
                    _this.toggle();
                }
            };
            this.panstart = function (evt) {
                if (!_this.enableGestures || _this.pin || evt.pointerType !== 'touch') {
                    return;
                }
                /** @type {?} */
                var startPosition = _this.position === 'right' ? _this.getWindowWidth() - (evt.center.x + evt.distance)
                    : evt.center.x - evt.distance;
                // cache width during animation, flag to allow further handling
                if (_this.isOpen || (startPosition < _this.maxEdgeZone)) {
                    _this._panning = true;
                    _this._panStartWidth = _this.getExpectedWidth(!_this.isOpen);
                    _this._panLimit = _this.getExpectedWidth(_this.isOpen);
                    _this.renderer.setElementClass(_this.overlay, 'panning', true);
                    _this.renderer.setElementClass(_this.drawer, 'panning', true);
                }
            };
            this.pan = function (evt) {
                // TODO: input.deltaX = prevDelta.x + (center.x - offset.x);
                // get actual delta (not total session one) from event?
                // pan WILL also fire after a full swipe, only resize on flag
                if (!_this._panning) {
                    return;
                }
                /** @type {?} */
                var right = _this.position === 'right';
                // when on the right use inverse of deltaX
                /** @type {?} */
                var deltaX = right ? -evt.deltaX : evt.deltaX;
                /** @type {?} */
                var visibleWidth;
                /** @type {?} */
                var newX;
                /** @type {?} */
                var percent;
                visibleWidth = _this._panStartWidth + deltaX;
                if (_this.isOpen && deltaX < 0) {
                    // when visibleWidth hits limit - stop animating
                    if (visibleWidth <= _this._panLimit) {
                        return;
                    }
                    if (_this.hasAnimateWidth) {
                        percent = (visibleWidth - _this._panLimit) / (_this._panStartWidth - _this._panLimit);
                        newX = visibleWidth;
                    }
                    else {
                        percent = visibleWidth / _this._panStartWidth;
                        newX = evt.deltaX;
                    }
                    _this.setXSize(newX, percent.toPrecision(2));
                }
                else if (!_this.isOpen && deltaX > 0) {
                    // when visibleWidth hits limit - stop animating
                    if (visibleWidth >= _this._panLimit) {
                        return;
                    }
                    if (_this.hasAnimateWidth) {
                        percent = (visibleWidth - _this._panStartWidth) / (_this._panLimit - _this._panStartWidth);
                        newX = visibleWidth;
                    }
                    else {
                        percent = visibleWidth / _this._panLimit;
                        newX = (_this._panLimit - visibleWidth) * (right ? 1 : -1);
                    }
                    _this.setXSize(newX, percent.toPrecision(2));
                }
            };
            this.panEnd = function (evt) {
                if (_this._panning) {
                    /** @type {?} */
                    var deltaX = _this.position === 'right' ? -evt.deltaX : evt.deltaX;
                    /** @type {?} */
                    var visibleWidth = _this._panStartWidth + deltaX;
                    _this.resetPan();
                    // check if pan brought the drawer to 50%
                    if (_this.isOpen && visibleWidth <= _this._panStartWidth / 2) {
                        _this.close();
                    }
                    else if (!_this.isOpen && visibleWidth >= _this._panLimit / 2) {
                        _this.open();
                    }
                    _this._panStartWidth = null;
                }
            };
            this.toggleOpenedEvent = function (evt) {
                _this.elementRef.nativeElement.removeEventListener('transitionend', _this.toggleOpenedEvent, false);
                _this.opened.emit();
            };
            this.toggleClosedEvent = function (evt) {
                _this.elementRef.nativeElement.removeEventListener('transitionend', _this.toggleClosedEvent, false);
                _this.closed.emit();
            };
        }
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "isOpen", {
            /**
             * State of the drawer.
             *
             * ```typescript
             * // get
             * let navDrawerIsOpen = this.navdrawer.isOpen;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [isOpen]='false'></igx-nav-drawer>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <!--set-->
             * <igx-nav-drawer [(isOpen)]='model.isOpen'></igx-nav-drawer>
             * ```
             */
            get: /**
             * State of the drawer.
             *
             * ```typescript
             * // get
             * let navDrawerIsOpen = this.navdrawer.isOpen;
             * ```
             *
             * ```html
             * <!--set-->
             * <igx-nav-drawer [isOpen]='false'></igx-nav-drawer>
             * ```
             *
             * Two-way data binding.
             * ```html
             * <!--set-->
             * <igx-nav-drawer [(isOpen)]='model.isOpen'></igx-nav-drawer>
             * ```
             * @return {?}
             */
            function () {
                return this._isOpen;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._isOpen = value;
                this.isOpenChange.emit(this._isOpen);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "element", {
            /**
             * Returns nativeElement of the component.
             *
             * @hidden
             */
            get: /**
             * Returns nativeElement of the component.
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "template", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.miniTemplate && !this.isOpen) {
                    return this.miniTemplate.template;
                }
                else if (this.contentTemplate) {
                    return this.contentTemplate.template;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "miniTemplate", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._miniTemplate;
            },
            /**
             * @hidden
             */
            set: /**
             * @hidden
             * @param {?} v
             * @return {?}
             */
            function (v) {
                if (!this.isOpen) {
                    this.setDrawerWidth(v ? this.miniWidth : '');
                }
                this._miniTemplate = v;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "flexWidth", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (!this.pin) {
                    return '0px';
                }
                if (this.isOpen) {
                    return this.width;
                }
                if (this.miniTemplate && this.miniWidth) {
                    return this.miniWidth;
                }
                return '0px';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "isPinnedRight", {
            /** @hidden */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.pin && this.position === 'right' ? '1' : '0';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "drawer", {
            /**
              * @hidden
              */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._drawer.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "overlay", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._overlay.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "styleDummy", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._styleDummy.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "hasAnimateWidth", {
            /**
             * Property to decide whether to change width or translate the drawer from pan gesture.
             *
             * @hidden
             */
            get: /**
             * Property to decide whether to change width or translate the drawer from pan gesture.
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this.pin || !!this.miniTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "maxEdgeZone", {
            /**
             * Used for touch gestures (swipe and pan).
             * Defaults to 50 (in px) and is extended to at least 110% of the mini template width if available.
             *
             * @hidden
             */
            get: /**
             * Used for touch gestures (swipe and pan).
             * Defaults to 50 (in px) and is extended to at least 110% of the mini template width if available.
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this._maxEdgeZone;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "expectedWidth", {
            /**
             * Gets the Drawer width for specific state.
             * Will attempt to evaluate requested state and cache.
             *
             *
             * @hidden
             */
            get: /**
             * Gets the Drawer width for specific state.
             * Will attempt to evaluate requested state and cache.
             *
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this.getExpectedWidth(false);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "expectedMiniWidth", {
            /**
             * Get the Drawer mini width for specific state.
             * Will attempt to evaluate requested state and cache.
             *
             * @hidden
             */
            get: /**
             * Get the Drawer mini width for specific state.
             * Will attempt to evaluate requested state and cache.
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this.getExpectedWidth(true);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "touchManager", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._touchManager;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxNavigationDrawerComponent.prototype, "state", {
            /**
             * Exposes optional navigation service
             *
             * @hidden
             */
            get: /**
             * Exposes optional navigation service
             *
             * @hidden
             * @return {?}
             */
            function () {
                return this._state;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            // DOM and @Input()-s initialized
            if (this._state) {
                this._state.add(this.id, this);
            }
            if (this.isOpen) {
                this.setDrawerWidth(this.width);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            // wait for template and ng-content to be ready
            this.updateEdgeZone();
            this.checkPinThreshold();
            this.ensureEvents();
            // TODO: apply platform-safe Ruler from http://plnkr.co/edit/81nWDyreYMzkunihfRgX?p=preview
            // (https://github.com/angular/angular/issues/6515), blocked by https://github.com/angular/angular/issues/6904
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._touchManager.destroy();
            if (this._state) {
                this._state.remove(this.id);
            }
            if (this._resizeObserver) {
                this._resizeObserver.unsubscribe();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.ngOnChanges = /**
         * @hidden
         * @param {?} changes
         * @return {?}
         */
        function (changes) {
            // simple settings can come from attribute set (rather than binding), make sure boolean props are converted
            if (changes.enableGestures && changes.enableGestures.currentValue !== undefined) {
                this.enableGestures = !!(this.enableGestures && this.enableGestures.toString() === 'true');
                this.ensureEvents();
            }
            if (changes.pin && changes.pin.currentValue !== undefined) {
                this.pin = !!(this.pin && this.pin.toString() === 'true');
                if (this.pin) {
                    this._touchManager.destroy();
                    this._gesturesAttached = false;
                }
                else {
                    this.ensureEvents();
                }
            }
            if (changes.pinThreshold) {
                if (this.pinThreshold) {
                    this.ensureEvents();
                    this.checkPinThreshold();
                }
            }
            if (changes.width && this.isOpen) {
                this.setDrawerWidth(changes.width.currentValue);
            }
            if (changes.miniWidth) {
                if (!this.isOpen) {
                    this.setDrawerWidth(changes.miniWidth.currentValue);
                }
                this.updateEdgeZone();
            }
        };
        /**
         * Toggle the open state of the Navigation Drawer.
         *
         * ```typescript
         * this.navdrawer.toggle();
         * ```
         */
        /**
         * Toggle the open state of the Navigation Drawer.
         *
         * ```typescript
         * this.navdrawer.toggle();
         * ```
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.toggle = /**
         * Toggle the open state of the Navigation Drawer.
         *
         * ```typescript
         * this.navdrawer.toggle();
         * ```
         * @return {?}
         */
        function () {
            if (this.isOpen) {
                this.close();
            }
            else {
                this.open();
            }
        };
        /**
         * Open the Navigation Drawer. Has no effect if already opened.
         *
         * ```typescript
         * this.navdrawer.open();
         * ```
         */
        /**
         * Open the Navigation Drawer. Has no effect if already opened.
         *
         * ```typescript
         * this.navdrawer.open();
         * ```
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.open = /**
         * Open the Navigation Drawer. Has no effect if already opened.
         *
         * ```typescript
         * this.navdrawer.open();
         * ```
         * @return {?}
         */
        function () {
            if (this._panning) {
                this.resetPan();
            }
            if (this.isOpen) {
                return;
            }
            this.opening.emit();
            this.isOpen = true;
            // TODO: Switch to animate API when available
            // var animationCss = this.animate.css();
            //     animationCss
            //         .setStyles({'width':'50px'}, {'width':'400px'})
            //         .start(this.elementRef.nativeElement)
            //         .onComplete(() => animationCss.setToStyles({'width':'auto'}).start(this.elementRef.nativeElement));
            this.elementRef.nativeElement.addEventListener('transitionend', this.toggleOpenedEvent, false);
            this.setDrawerWidth(this.width);
        };
        /**
         * Close the Navigation Drawer. Has no effect if already closed.
         *
         * ```typescript
         * this.navdrawer.close();
         * ```
         */
        /**
         * Close the Navigation Drawer. Has no effect if already closed.
         *
         * ```typescript
         * this.navdrawer.close();
         * ```
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.close = /**
         * Close the Navigation Drawer. Has no effect if already closed.
         *
         * ```typescript
         * this.navdrawer.close();
         * ```
         * @return {?}
         */
        function () {
            if (this._panning) {
                this.resetPan();
            }
            if (!this.isOpen) {
                return;
            }
            this.closing.emit();
            this.isOpen = false;
            this.setDrawerWidth(this.miniTemplate ? this.miniWidth : '');
            this.elementRef.nativeElement.addEventListener('transitionend', this.toggleClosedEvent, false);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @protected
         * @param {?} value
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.set_maxEdgeZone = /**
         * @hidden
         * @protected
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._maxEdgeZone = value;
        };
        /**
         * Get the Drawer width for specific state. Will attempt to evaluate requested state and cache.
         *
         * @hidden
         * @param [mini] - Request mini width instead
         */
        /**
         * Get the Drawer width for specific state. Will attempt to evaluate requested state and cache.
         *
         * @hidden
         * @protected
         * @param {?=} mini
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.getExpectedWidth = /**
         * Get the Drawer width for specific state. Will attempt to evaluate requested state and cache.
         *
         * @hidden
         * @protected
         * @param {?=} mini
         * @return {?}
         */
        function (mini) {
            if (mini) {
                if (!this.miniTemplate) {
                    return 0;
                }
                if (this.miniWidth) {
                    return parseFloat(this.miniWidth);
                }
                else {
                    // if (!this.isOpen) { // This WON'T work due to transition timings...
                    //     return this.elementRef.nativeElement.children[1].offsetWidth;
                    // } else {
                    if (this._widthCache.miniWidth === null) {
                        // force class for width calc. TODO?
                        this.renderer.setElementClass(this.styleDummy, this.css.drawer, true);
                        this.renderer.setElementClass(this.styleDummy, this.css.mini, true);
                        this._widthCache.miniWidth = this.styleDummy.offsetWidth;
                        this.renderer.setElementClass(this.styleDummy, this.css.drawer, false);
                        this.renderer.setElementClass(this.styleDummy, this.css.mini, false);
                    }
                    return this._widthCache.miniWidth;
                }
            }
            else {
                if (this.width) {
                    return parseFloat(this.width);
                }
                else {
                    if (this._widthCache.width === null) {
                        // force class for width calc. TODO?
                        this.renderer.setElementClass(this.styleDummy, this.css.drawer, true);
                        this._widthCache.width = this.styleDummy.offsetWidth;
                        this.renderer.setElementClass(this.styleDummy, this.css.drawer, false);
                    }
                    return this._widthCache.width;
                }
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.getWindowWidth = /**
         * @private
         * @return {?}
         */
        function () {
            return (window.innerWidth > 0) ? window.innerWidth : screen.width;
        };
        /**
         * Sets the drawer width.
         */
        /**
         * Sets the drawer width.
         * @private
         * @param {?} width
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.setDrawerWidth = /**
         * Sets the drawer width.
         * @private
         * @param {?} width
         * @return {?}
         */
        function (width) {
            var _this = this;
            if (this.platformUtil.isBrowser) {
                requestAnimationFrame(function () {
                    if (_this.drawer) {
                        _this.renderer.setElementStyle(_this.drawer, 'width', width);
                    }
                });
            }
            else {
                this.renderer.setElementStyle(this.drawer, 'width', width);
            }
        };
        /**
         * Get current Drawer width.
         */
        /**
         * Get current Drawer width.
         * @private
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.getDrawerWidth = /**
         * Get current Drawer width.
         * @private
         * @return {?}
         */
        function () {
            return this.drawer.offsetWidth;
        };
        /**
         * @private
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.ensureEvents = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            // set listeners for swipe/pan only if needed, but just once
            if (this.enableGestures && !this.pin && !this._gesturesAttached) {
                // Built-in manager handler(L20887) causes endless loop and max stack exception.
                // https://github.com/angular/angular/issues/6993
                // Use ours for now (until beta.10):
                // this.renderer.listen(document, "swipe", this.swipe);
                this._touchManager.addGlobalEventListener('document', 'swipe', this.swipe);
                this._gesturesAttached = true;
                // this.renderer.listen(document, "panstart", this.panstart);
                // this.renderer.listen(document, "pan", this.pan);
                this._touchManager.addGlobalEventListener('document', 'panstart', this.panstart);
                this._touchManager.addGlobalEventListener('document', 'panmove', this.pan);
                this._touchManager.addGlobalEventListener('document', 'panend', this.panEnd);
            }
            if (!this._resizeObserver && this.platformUtil.isBrowser) {
                this._resizeObserver = rxjs.fromEvent(window, 'resize').pipe(operators.debounce(function () { return rxjs.interval(150); }))
                    .subscribe(function (value) {
                    _this.checkPinThreshold(value);
                });
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.updateEdgeZone = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var maxValue;
            if (this.miniTemplate) {
                maxValue = Math.max(this._maxEdgeZone, this.getExpectedWidth(true) * 1.1);
                this.set_maxEdgeZone(maxValue);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.resetPan = /**
         * @private
         * @return {?}
         */
        function () {
            this._panning = false;
            /* styles fail to apply when set on parent due to extra attributes, prob ng bug */
            this.renderer.setElementClass(this.overlay, 'panning', false);
            this.renderer.setElementClass(this.drawer, 'panning', false);
            this.setXSize(0, '');
        };
        /**
         * Sets the absolute position or width in case the drawer doesn't change position.
         * @param x the number pixels to translate on the X axis or the width to set. 0 width will clear the style instead.
         * @param opacity optional value to apply to the overlay
         */
        /**
         * Sets the absolute position or width in case the drawer doesn't change position.
         * @private
         * @param {?} x the number pixels to translate on the X axis or the width to set. 0 width will clear the style instead.
         * @param {?=} opacity optional value to apply to the overlay
         * @return {?}
         */
        IgxNavigationDrawerComponent.prototype.setXSize = /**
         * Sets the absolute position or width in case the drawer doesn't change position.
         * @private
         * @param {?} x the number pixels to translate on the X axis or the width to set. 0 width will clear the style instead.
         * @param {?=} opacity optional value to apply to the overlay
         * @return {?}
         */
        function (x, opacity) {
            var _this = this;
            // Angular polyfills patches window.requestAnimationFrame, but switch to DomAdapter API (TODO)
            window.requestAnimationFrame(function () {
                if (_this.hasAnimateWidth) {
                    _this.renderer.setElementStyle(_this.drawer, 'width', x ? Math.abs(x) + 'px' : '');
                }
                else {
                    /** @type {?} */
                    var transform = x ? 'translate3d(' + x + 'px,0,0)' : '';
                    _this.renderer.setElementStyle(_this.drawer, 'transform', transform);
                    _this.renderer.setElementStyle(_this.drawer, '-webkit-transform', transform);
                }
                if (opacity !== undefined) {
                    _this.renderer.setElementStyle(_this.overlay, 'opacity', opacity);
                }
            });
        };
        IgxNavigationDrawerComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [HammerGesturesManager],
                        selector: 'igx-nav-drawer',
                        template: "<ng-template #defaultItemsTemplate>\n    <div igxDrawerItem [isHeader]=\"true\">Navigation Drawer</div>\n    <div igxDrawerItem> Start by adding</div>\n    <div igxDrawerItem> <code>&lt;ng-template igxDrawer&gt;</code> </div>\n    <div igxDrawerItem> And some items inside </div>\n    <div igxDrawerItem> Style with igxDrawerItem </div>\n    <div igxDrawerItem> and igxRipple directives</div>\n</ng-template>\n\n<div [hidden]=\"pin\"\n    class=\"igx-nav-drawer__overlay\"\n    [class.igx-nav-drawer__overlay--hidden]=\"!isOpen\"\n    (click)=\"close()\" #overlay>\n</div>\n<aside role=\"navigation\"\n    class=\"igx-nav-drawer__aside\"\n    [class.igx-nav-drawer__aside--collapsed]=\"!miniTemplate && !isOpen\"\n    [class.igx-nav-drawer__aside--mini]=\"miniTemplate && !isOpen\"\n    [class.igx-nav-drawer__aside--normal]=\"!miniTemplate || isOpen\"\n    [class.igx-nav-drawer__aside--pinned]=\"pin\"\n    [class.igx-nav-drawer__aside--right]=\"position == 'right'\" #aside>\n\n    <ng-container *ngTemplateOutlet=\"template || defaultItemsTemplate\"></ng-container>\n</aside>\n<div class=\"igx-nav-drawer__style-dummy\" #dummy></div>\n",
                        styles: ["\n        :host {\n            display: block;\n            height: 100%;\n        }\n    "]
                    }] }
        ];
        /** @nocollapse */
        IgxNavigationDrawerComponent.ctorParameters = function () { return [
            { type: core.ElementRef, decorators: [{ type: core.Inject, args: [core.ElementRef,] }] },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] },
            { type: core.Renderer },
            { type: HammerGesturesManager },
            { type: PlatformUtil }
        ]; };
        IgxNavigationDrawerComponent.propDecorators = {
            cssClass: [{ type: core.HostBinding, args: ['class.igx-nav-drawer',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            position: [{ type: core.Input }],
            enableGestures: [{ type: core.Input }],
            isOpen: [{ type: core.Input }],
            isOpenChange: [{ type: core.Output }],
            pin: [{ type: core.Input }],
            pinThreshold: [{ type: core.Input }],
            width: [{ type: core.Input }],
            miniWidth: [{ type: core.Input }],
            pinChange: [{ type: core.Output }],
            opening: [{ type: core.Output }],
            opened: [{ type: core.Output }],
            closing: [{ type: core.Output }],
            closed: [{ type: core.Output }],
            miniTemplate: [{ type: core.ContentChild, args: [IgxNavDrawerMiniTemplateDirective, { read: IgxNavDrawerMiniTemplateDirective, static: false },] }],
            contentTemplate: [{ type: core.ContentChild, args: [IgxNavDrawerTemplateDirective, { read: IgxNavDrawerTemplateDirective, static: false },] }],
            flexWidth: [{ type: core.HostBinding, args: ['style.flexBasis',] }],
            isPinnedRight: [{ type: core.HostBinding, args: ['style.order',] }],
            _drawer: [{ type: core.ViewChild, args: ['aside', { static: true },] }],
            _overlay: [{ type: core.ViewChild, args: ['overlay', { static: true },] }],
            _styleDummy: [{ type: core.ViewChild, args: ['dummy', { static: true },] }]
        };
        return IgxNavigationDrawerComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxNavigationDrawerModule = /** @class */ (function () {
        function IgxNavigationDrawerModule() {
        }
        IgxNavigationDrawerModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxNavigationDrawerComponent,
                            IgxNavDrawerItemDirective,
                            IgxNavDrawerMiniTemplateDirective,
                            IgxNavDrawerTemplateDirective
                        ],
                        exports: [
                            IgxNavigationDrawerComponent,
                            IgxNavDrawerItemDirective,
                            IgxNavDrawerMiniTemplateDirective,
                            IgxNavDrawerTemplateDirective
                        ],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxNavigationDrawerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Template directive that allows you to set a custom template representing the lower label value of the {\@link IgxSliderComponent}
     *
     * ```html
     * <igx-slider>
     *  <ng-template igxSliderThumbFrom let-value let-labels>{{value}}</ng-template>
     * </igx-slider>
     * ```
     *
     * \@context {\@link IgxSliderComponent.context}
     */
    var IgxThumbFromTemplateDirective = /** @class */ (function () {
        function IgxThumbFromTemplateDirective() {
        }
        IgxThumbFromTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxSliderThumbFrom]'
                    },] }
        ];
        return IgxThumbFromTemplateDirective;
    }());
    /**
     * Template directive that allows you to set a custom template representing the upper label value of the {\@link IgxSliderComponent}
     *
     * ```html
     * <igx-slider>
     *  <ng-template igxSliderThumbTo let-value let-labels>{{value}}</ng-template>
     * </igx-slider>
     * ```
     *
     * \@context {\@link IgxSliderComponent.context}
     */
    var IgxThumbToTemplateDirective = /** @class */ (function () {
        function IgxThumbToTemplateDirective() {
        }
        IgxThumbToTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxSliderThumbTo]'
                    },] }
        ];
        return IgxThumbToTemplateDirective;
    }());
    /** @enum {number} */
    var SliderType = {
        /**
         * Slider with single thumb.
         */
        SLIDER: 0,
        /**
         *  Range slider with multiple thumbs, that can mark the range.
         */
        RANGE: 1,
    };
    SliderType[SliderType.SLIDER] = 'SLIDER';
    SliderType[SliderType.RANGE] = 'RANGE';
    /** @enum {number} */
    var SliderHandle = {
        FROM: 0,
        TO: 1,
    };
    SliderHandle[SliderHandle.FROM] = 'FROM';
    SliderHandle[SliderHandle.TO] = 'TO';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxSliderThumbComponent = /** @class */ (function () {
        function IgxSliderThumbComponent(_elementRef) {
            this._elementRef = _elementRef;
            this._isActive = false;
            this._isPressed = false;
            this._destroy$ = new rxjs.Subject();
            this.isActive = false;
            this.onThumbValueChange = new core.EventEmitter();
            this.onChange = new core.EventEmitter();
            this.onHoverChange = new core.EventEmitter();
            this.tabindex = 0;
            this.zIndex = 0;
        }
        Object.defineProperty(IgxSliderThumbComponent.prototype, "thumbPositionX", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                /** @type {?} */
                var thumbBounderies = this.nativeElement.getBoundingClientRect();
                /** @type {?} */
                var thumbCenter = (thumbBounderies.right - thumbBounderies.left) / 2;
                return thumbBounderies.left + thumbCenter;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "thumbFromClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.FROM;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "thumbToClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.TO;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "thumbFromActiveClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.FROM && this._isActive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "thumbToActiveClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.TO && this._isActive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "thumbPressedClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isActive && this._isPressed;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this._elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderThumbComponent.prototype, "destroy", {
            get: /**
             * @return {?}
             */
            function () {
                return this._destroy$;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this.onPan
                .pipe(operators.takeUntil(this._destroy$))
                .subscribe(function (mouseX) {
                return _this.updateThumbValue(mouseX);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._destroy$.next(true);
            this._destroy$.complete();
        };
        /**
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.onPinterEnter = /**
         * @return {?}
         */
        function () {
            this.onHoverChange.emit(true);
        };
        /**
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.onPointerLeave = /**
         * @return {?}
         */
        function () {
            this.onHoverChange.emit(false);
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.onKeyDown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.disabled) {
                return;
            }
            /** @type {?} */
            var increment = 0;
            if (event.key.endsWith('Left')) {
                increment = this.step * -1;
            }
            else if (event.key.endsWith('Right')) {
                increment = this.step;
            }
            else {
                return;
            }
            this.onChange.emit();
            this.onThumbValueChange.emit(increment);
        };
        /**
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.onBlur = /**
         * @return {?}
         */
        function () {
            this.isActive = false;
            this.zIndex = 0;
        };
        /**
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.onFocusListener = /**
         * @return {?}
         */
        function () {
            this.isActive = true;
            this.zIndex = 1;
        };
        /**
         * Show thumb label and ripple.
         */
        /**
         * Show thumb label and ripple.
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.showThumbIndicators = /**
         * Show thumb label and ripple.
         * @return {?}
         */
        function () {
            this.toggleThumbIndicators(true);
        };
        /**
         * Hide thumb label and ripple.
         */
        /**
         * Hide thumb label and ripple.
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.hideThumbIndicators = /**
         * Hide thumb label and ripple.
         * @return {?}
         */
        function () {
            this.toggleThumbIndicators(false);
        };
        /**
         * @private
         * @param {?} mouseX
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.updateThumbValue = /**
         * @private
         * @param {?} mouseX
         * @return {?}
         */
        function (mouseX) {
            /** @type {?} */
            var updateValue = this.calculateTrackUpdate(mouseX);
            if (this.isActive && updateValue !== 0) {
                this.onThumbValueChange.emit(updateValue);
            }
        };
        /**
         * @private
         * @param {?} mouseX
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.calculateTrackUpdate = /**
         * @private
         * @param {?} mouseX
         * @return {?}
         */
        function (mouseX) {
            /** @type {?} */
            var scaleX = mouseX - this.thumbPositionX;
            /** @type {?} */
            var stepDistanceCenter = this.stepDistance / 2;
            // If the thumb scale range (slider update) is less thàn a half step,
            // the position stays the same.
            /** @type {?} */
            var scaleXPositive = Math.abs(scaleX);
            if (scaleXPositive < stepDistanceCenter) {
                return 0;
            }
            return this.stepToProceed(scaleX, this.stepDistance);
        };
        /**
         * @private
         * @param {?} scaleX
         * @param {?} stepDist
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.stepToProceed = /**
         * @private
         * @param {?} scaleX
         * @param {?} stepDist
         * @return {?}
         */
        function (scaleX, stepDist) {
            return Math.round(scaleX / stepDist) * this.step;
        };
        /**
         * @private
         * @param {?} visible
         * @return {?}
         */
        IgxSliderThumbComponent.prototype.toggleThumbIndicators = /**
         * @private
         * @param {?} visible
         * @return {?}
         */
        function (visible) {
            this._isPressed = visible;
            if (!this.continuous) {
                this._isActive = visible;
            }
        };
        IgxSliderThumbComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-thumb',
                        template: "<div class=\"dot\"></div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxSliderThumbComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxSliderThumbComponent.propDecorators = {
            value: [{ type: core.Input }],
            continuous: [{ type: core.Input }],
            thumbLabelVisibilityDuration: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            onPan: [{ type: core.Input }],
            stepDistance: [{ type: core.Input }],
            step: [{ type: core.Input }],
            templateRef: [{ type: core.Input }],
            context: [{ type: core.Input }],
            type: [{ type: core.Input }],
            onThumbValueChange: [{ type: core.Output }],
            onChange: [{ type: core.Output }],
            onHoverChange: [{ type: core.Output }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            zIndex: [{ type: core.HostBinding, args: ['attr.z-index',] }],
            thumbFromClass: [{ type: core.HostBinding, args: ['class.igx-slider__thumb-from',] }],
            thumbToClass: [{ type: core.HostBinding, args: ['class.igx-slider__thumb-to',] }],
            thumbFromActiveClass: [{ type: core.HostBinding, args: ['class.igx-slider__thumb-from--active',] }],
            thumbToActiveClass: [{ type: core.HostBinding, args: ['class.igx-slider__thumb-to--active',] }],
            thumbPressedClass: [{ type: core.HostBinding, args: ['class.igx-slider__thumb--pressed',] }],
            onPinterEnter: [{ type: core.HostListener, args: ['pointerenter',] }],
            onPointerLeave: [{ type: core.HostListener, args: ['pointerleave',] }],
            onKeyDown: [{ type: core.HostListener, args: ['keydown', ['$event'],] }],
            onBlur: [{ type: core.HostListener, args: ['blur',] }],
            onFocusListener: [{ type: core.HostListener, args: ['focus',] }]
        };
        return IgxSliderThumbComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxThumbLabelComponent = /** @class */ (function () {
        function IgxThumbLabelComponent(_elementRef) {
            this._elementRef = _elementRef;
        }
        Object.defineProperty(IgxThumbLabelComponent.prototype, "thumbFromClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.FROM;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxThumbLabelComponent.prototype, "thumbToClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.TO;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxThumbLabelComponent.prototype, "thumbFromActiveClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.FROM && this.active;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxThumbLabelComponent.prototype, "thumbToActiveClass", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === SliderHandle.TO && this.active;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxThumbLabelComponent.prototype, "nativeElement", {
            get: /**
             * @return {?}
             */
            function () {
                return this._elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxThumbLabelComponent.prototype, "active", {
            get: /**
             * @return {?}
             */
            function () {
                return this._active;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                if (this.continuous) {
                    return;
                }
                this._active = val;
            },
            enumerable: true,
            configurable: true
        });
        IgxThumbLabelComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-thumb-label',
                        template: "<div class=\"label\">\n    <ng-container *ngTemplateOutlet=\"templateRef ? templateRef : thumbFromDefaultTemplate; context: context\"></ng-container>\n</div>\n\n<ng-template #thumbFromDefaultTemplate>\n    {{ value }}\n</ng-template>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxThumbLabelComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxThumbLabelComponent.propDecorators = {
            value: [{ type: core.Input }],
            templateRef: [{ type: core.Input }],
            context: [{ type: core.Input }],
            type: [{ type: core.Input }],
            continuous: [{ type: core.Input }],
            thumbFromClass: [{ type: core.HostBinding, args: ['class.igx-slider__label-from',] }],
            thumbToClass: [{ type: core.HostBinding, args: ['class.igx-slider__label-to',] }],
            thumbFromActiveClass: [{ type: core.HostBinding, args: ['class.igx-slider__label-from--active',] }],
            thumbToActiveClass: [{ type: core.HostBinding, args: ['class.igx-slider__label-to--active',] }]
        };
        return IgxThumbLabelComponent;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var noop$7 = function () {
    };
    /** @type {?} */
    var NEXT_ID$r = 0;
    /**
     * **Ignite UI for Angular Slider** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/slider.html)
     *
     * The Ignite UI Slider allows selection in a given range by moving the thumb along the track. The track
     * can be defined as continuous or stepped, and you can choose between single and range slider types.
     *
     * Example:
     * ```html
     * <igx-slider id="slider"
     *            [minValue]="0" [maxValue]="100"
     *            [continuous]=true [(ngModel)]="volume">
     * </igx-slider>
     * ```
     */
    var IgxSliderComponent = /** @class */ (function () {
        function IgxSliderComponent(renderer, _el, _cdr) {
            this.renderer = renderer;
            this._el = _el;
            this._cdr = _cdr;
            // Limit handle travel zone
            this._pMin = 0;
            this._pMax = 1;
            // From/upperValue in percent values
            this._hasViewInit = false;
            this._minValue = 0;
            this._maxValue = 100;
            this._continuous = false;
            this._disabled = false;
            this._step = 1;
            this._labels = new Array();
            this._type = SliderType.SLIDER;
            this._destroyer$ = new rxjs.Subject();
            this._indicatorsDestroyer$ = new rxjs.Subject();
            this._onChangeCallback = noop$7;
            this._onTouchedCallback = noop$7;
            /**
             * @hidden
             */
            this.thumbs = new core.QueryList();
            /**
             * @hidden
             */
            this.labelRefs = new core.QueryList();
            /**
             * @hidden
             */
            this.stepDistance = this._step;
            /**
             * @hidden
             */
            this.onPan = new rxjs.Subject();
            /**
             * @hidden
             */
            this.role = 'slider';
            /**
             * @hidden
             */
            this.slierClass = true;
            /**
             * An \@Input property that sets the value of the `id` attribute.
             * If not provided it will be automatically generated.
             * ```html
             * <igx-slider [id]="'igx-slider-32'" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
             * ```
             */
            this.id = "igx-slider-" + NEXT_ID$r++;
            /**
             * An \@Input property that sets the duration visibility of thumbs labels. The default value is 750 milliseconds.
             * ```html
             * <igx-slider #slider [thumbLabelVisibilityDuration]="3000" [(ngModel)]="task.percentCompleted" [step]="5">
             * ```
             */
            this.thumbLabelVisibilityDuration = 750;
            /**
             * This event is emitted when user has stopped interacting the thumb and value is changed.
             * ```typescript
             * public change(event){
             *    alert("The value has been changed!");
             * }
             * ```
             * ```html
             * <igx-slider (onValueChange)="change($event)" #slider [(ngModel)]="task.percentCompleted" [step]="5">
             * ```
             */
            this.onValueChange = new core.EventEmitter();
        }
        Object.defineProperty(IgxSliderComponent.prototype, "thumbFrom", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.thumbs.find(function (thumb) { return thumb.type === SliderHandle.FROM; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "thumbTo", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.thumbs.find(function (thumb) { return thumb.type === SliderHandle.TO; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "labelFrom", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.labelRefs.find(function (label) { return label.type === SliderHandle.FROM; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "labelTo", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                return this.labelRefs.find(function (label) { return label.type === SliderHandle.TO; });
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "valuemin", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.minValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "valuemax", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.maxValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "readonly", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.disabled;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "disabledClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.disabled;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "type", {
            /**
             * An @Input property that gets the type of the `IgxSliderComponent`. The slider can be SliderType.SLIDER(default) or SliderType.RANGE.
             * ```typescript
             * @ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let type = this.slider.type;
             * }
             */
            get: /**
             * An \@Input property that gets the type of the `IgxSliderComponent`. The slider can be SliderType.SLIDER(default) or SliderType.RANGE.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let type = this.slider.type;
             * }
             * @return {?}
             */
            function () {
                return this._type;
            },
            /**
             * An @Input property that sets the type of the `IgxSliderComponent`. The slider can be SliderType.SLIDER(default) or SliderType.RANGE.
             * ```typescript
             * sliderType: SliderType = SliderType.RANGE;
             * ```
             * ```html
             * <igx-slider #slider2 [type]="sliderType" [(ngModel)]="rangeValue" [minValue]="0" [maxValue]="100">
             * ```
             */
            set: /**
             * An \@Input property that sets the type of the `IgxSliderComponent`. The slider can be SliderType.SLIDER(default) or SliderType.RANGE.
             * ```typescript
             * sliderType: SliderType = SliderType.RANGE;
             * ```
             * ```html
             * <igx-slider #slider2 [type]="sliderType" [(ngModel)]="rangeValue" [minValue]="0" [maxValue]="100">
             * ```
             * @param {?} type
             * @return {?}
             */
            function (type) {
                this._type = type;
                if (type === SliderType.SLIDER) {
                    this.lowerValue = 0;
                }
                if (this.labelsViewEnabled && this.upperValue > this.maxValue) {
                    this.upperValue = this.labels.length - 1;
                }
                if (this._hasViewInit) {
                    this.updateTrack();
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "labels", {
            /**
             * Enables `labelView`, by accepting a collection of primitive values with more than one element.
             * Each element will be equally spread over the slider and it will serve as a thumb label.
             * Once the property is set, it will precendence over {@link maxValue}, {@link minValue}, {@link step}.
             * This means that the manipulation for those properties won't be allowed.
             */
            get: /**
             * Enables `labelView`, by accepting a collection of primitive values with more than one element.
             * Each element will be equally spread over the slider and it will serve as a thumb label.
             * Once the property is set, it will precendence over {\@link maxValue}, {\@link minValue}, {\@link step}.
             * This means that the manipulation for those properties won't be allowed.
             * @return {?}
             */
            function () {
                return this._labels;
            },
            set: /**
             * @param {?} labels
             * @return {?}
             */
            function (labels) {
                this._labels = labels;
                this._pMax = 1;
                if (this._hasViewInit) {
                    this.stepDistance = this.calculateStepDistance();
                    this.positionHandlesAndUpdateTrack();
                    this.setTickInterval(labels);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "context", {
            /**
             * Returns the template context corresponding
             * to {@link IgxThumbFromTemplateDirective} and {@link IgxThumbToTemplateDirective} templates.
             *
             * return {
             *  $implicit: {@link value},
             *  labels: {@link labels}
             * }
             * ```
             */
            get: /**
             * Returns the template context corresponding
             * to {\@link IgxThumbFromTemplateDirective} and {\@link IgxThumbToTemplateDirective} templates.
             *
             * return {
             *  $implicit: {\@link value},
             *  labels: {\@link labels}
             * }
             * ```
             * @return {?}
             */
            function () {
                return {
                    $implicit: this.value,
                    labels: this.labels
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "step", {
            /**
             * Returns the incremental/decremental dragging step of the {@link IgxSliderComponent}.
             * ```typescript
             * @ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let step = this.slider.step;
             * }
             * ```
             */
            get: /**
             * Returns the incremental/decremental dragging step of the {\@link IgxSliderComponent}.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let step = this.slider.step;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.labelsViewEnabled ? 1 : this._step;
            },
            /**
             * An @Input property that sets the incremental/decremental step of the value when dragging the thumb.
             * The default step is 1, and step should not be less or equal than 0.
             * ```html
             * <igx-slider #slider [(ngModel)]="task.percentCompleted" [step]="5">
             * ```
             */
            set: /**
             * An \@Input property that sets the incremental/decremental step of the value when dragging the thumb.
             * The default step is 1, and step should not be less or equal than 0.
             * ```html
             * <igx-slider #slider [(ngModel)]="task.percentCompleted" [step]="5">
             * ```
             * @param {?} step
             * @return {?}
             */
            function (step) {
                this._step = step;
                if (this._hasViewInit) {
                    this.stepDistance = this.calculateStepDistance();
                    this.normalizeByStep(this.value);
                    this.setTickInterval(this.labels);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "disabled", {
            /**
             * Returns if the {@link IgxSliderComponent} is disabled.
             * ```typescript
             * @ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let isDisabled = this.slider.disabled;
             * }
             * ```
             */
            get: /**
             * Returns if the {\@link IgxSliderComponent} is disabled.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let isDisabled = this.slider.disabled;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._disabled;
            },
            /**
             *An @Input property that disables or enables UI interaction.
             *```html
             *<igx-slider #slider [disabled]="'true'" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
             *```
             */
            set: /**
             * An \@Input property that disables or enables UI interaction.
             * ```html
             * <igx-slider #slider [disabled]="'true'" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
             * ```
             * @param {?} disable
             * @return {?}
             */
            function (disable) {
                this._disabled = disable;
                if (this._hasViewInit) {
                    this.changeThumbFocusableState(disable);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "continuous", {
            /**
             * Returns if the {@link IgxSliderComponent} is set as continuous.
             * ```typescript
             * @ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let continuous = this.slider.continuous;
             * }
             * ```
             */
            get: /**
             * Returns if the {\@link IgxSliderComponent} is set as continuous.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let continuous = this.slider.continuous;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._continuous;
            },
            /**
             * An @Input property that marks the {@link IgxSliderComponent} as continuous.
             * By default is considered that the {@link IgxSliderComponent} is discrete.
             * Discrete {@link IgxSliderComponent} does not have ticks and does not show bubble labels for values.
             * ```html
             * <igx-slider #slider [continuous]="'true'" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
             * ```
             */
            set: /**
             * An \@Input property that marks the {\@link IgxSliderComponent} as continuous.
             * By default is considered that the {\@link IgxSliderComponent} is discrete.
             * Discrete {\@link IgxSliderComponent} does not have ticks and does not show bubble labels for values.
             * ```html
             * <igx-slider #slider [continuous]="'true'" [(ngModel)]="task.percentCompleted" [step]="5" [lowerBound]="20">
             * ```
             * @param {?} continuous
             * @return {?}
             */
            function (continuous) {
                this._continuous = continuous;
                this.setTickInterval(null);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "isContinuous", {
            /**
             * Returns if the {@link IgxSliderComponent} is set as continuous.
             * ```typescript
             * @ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let continuous = this.slider.continuous;
             * }
             * ```
             */
            get: /**
             * Returns if the {\@link IgxSliderComponent} is set as continuous.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *     let continuous = this.slider.continuous;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.continuous;
            },
            /**
             * @hidden
             * @internal
             */
            set: /**
             * @hidden
             * \@internal
             * @param {?} continuous
             * @return {?}
             */
            function (continuous) {
                this.continuous = continuous;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "maxValue", {
            /**
             * Returns the maximum value for the {@link IgxSliderComponent}.
             * ```typescript
             *@ViewChild("slider")
             *public slider: IgxSliderComponent;
             *ngAfterViewInit(){
             *    let sliderMax = this.slider.maxValue;
             *}
             * ```
             */
            get: /**
             * Returns the maximum value for the {\@link IgxSliderComponent}.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *    let sliderMax = this.slider.maxValue;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.labelsViewEnabled ?
                    this.labels.length - 1 :
                    this._maxValue;
            },
            /**
             * Sets the maximal value for the `IgxSliderComponent`.
             * The default maximum value is 100.
             * ```html
             * <igx-slider [type]="sliderType" [minValue]="56" [maxValue]="256">
             * ```
             */
            set: /**
             * Sets the maximal value for the `IgxSliderComponent`.
             * The default maximum value is 100.
             * ```html
             * <igx-slider [type]="sliderType" [minValue]="56" [maxValue]="256">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value <= this._minValue) {
                    this._maxValue = this._minValue + 1;
                }
                else {
                    this._maxValue = value;
                }
                if (value < this.lowerBound) {
                    this.updateLowerBoundAndMinTravelZone();
                    this.upperBound = value;
                }
                // refresh max travel zone limits.
                this._pMax = 1;
                // recalculate step distance.
                this.stepDistance = this.calculateStepDistance();
                this.positionHandlesAndUpdateTrack();
                this.setTickInterval(null);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "minValue", {
            /**
             *Returns the minimal value of the `IgxSliderComponent`.
             *```typescript
             *@ViewChild("slider2")
             *public slider: IgxSliderComponent;
             *ngAfterViewInit(){
             *    let sliderMin = this.slider.minValue;
             *}
             *```
             */
            get: /**
             * Returns the minimal value of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *    let sliderMin = this.slider.minValue;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.labelsViewEnabled) {
                    return 0;
                }
                return this._minValue;
            },
            /**
             * Sets the minimal value for the `IgxSliderComponent`.
             * The default minimal value is 0.
             * ```html
             * <igx-slider [type]="sliderType" [minValue]="56" [maxValue]="100">
             * ```
             */
            set: /**
             * Sets the minimal value for the `IgxSliderComponent`.
             * The default minimal value is 0.
             * ```html
             * <igx-slider [type]="sliderType" [minValue]="56" [maxValue]="100">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value >= this.maxValue) {
                    this._minValue = this.maxValue - 1;
                }
                else {
                    this._minValue = value;
                }
                if (value > this.upperBound) {
                    this.updateUpperBoundAndMaxTravelZone();
                    this.lowerBound = value;
                }
                // Refresh min travel zone limit.
                this._pMin = 0;
                // Recalculate step distance.
                this.stepDistance = this.calculateStepDistance();
                this.positionHandlesAndUpdateTrack();
                this.setTickInterval(null);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "lowerBound", {
            /**
             * Returns the lower boundary of the `IgxSliderComponent`.
             *```typescript
             *@ViewChild("slider")
             *public slider: IgxSliderComponent;
             *ngAfterViewInit(){
             *    let sliderLowBound = this.slider.lowerBound;
             *}
             *```
             */
            get: /**
             * Returns the lower boundary of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *    let sliderLowBound = this.slider.lowerBound;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (!Number.isNaN(this._lowerBound) && this._lowerBound !== undefined) {
                    return this.valueInRange(this._lowerBound, this.minValue, this.maxValue);
                }
                return this.minValue;
            },
            /**
             * Sets the lower boundary of the `IgxSliderComponent`.
             * If not set is the same as min value.
             * ```html
             * <igx-slider [step]="5" [lowerBound]="20">
             * ```
             */
            set: /**
             * Sets the lower boundary of the `IgxSliderComponent`.
             * If not set is the same as min value.
             * ```html
             * <igx-slider [step]="5" [lowerBound]="20">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value >= this.upperBound || (this.labelsViewEnabled && value < 0)) {
                    return;
                }
                this._lowerBound = this.valueInRange(value, this.minValue, this.maxValue);
                // Refresh time travel zone.
                this._pMin = this.valueToFraction(this._lowerBound) || 0;
                this.positionHandlesAndUpdateTrack();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "upperBound", {
            /**
             * Returns the upper boundary of the `IgxSliderComponent`.
             * ```typescript
             *@ViewChild("slider")
             *public slider: IgxSliderComponent;
             *ngAfterViewInit(){
             *    let sliderUpBound = this.slider.upperBound;
             *}
             * ```
             */
            get: /**
             * Returns the upper boundary of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *    let sliderUpBound = this.slider.upperBound;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (!Number.isNaN(this._upperBound) && this._upperBound !== undefined) {
                    return this.valueInRange(this._upperBound, this.minValue, this.maxValue);
                }
                return this.maxValue;
            },
            /**
             * Sets the upper boundary of the `IgxSliderComponent`.
             * If not set is the same as max value.
             * ```html
             * <igx-slider [step]="5" [upperBound]="20">
             * ```
             */
            set: /**
             * Sets the upper boundary of the `IgxSliderComponent`.
             * If not set is the same as max value.
             * ```html
             * <igx-slider [step]="5" [upperBound]="20">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (value <= this.lowerBound || (this.labelsViewEnabled && value > this.labels.length - 1)) {
                    return;
                }
                this._upperBound = this.valueInRange(value, this.minValue, this.maxValue);
                // Refresh time travel zone.
                this._pMax = this.valueToFraction(this._upperBound) || 1;
                this.positionHandlesAndUpdateTrack();
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "value", {
            /**
             * Returns the slider value. If the slider is of type {@link SliderType.SLIDER} the returned value is number.
             * If the slider type is {@link SliderType.RANGE} the returned value represents an object of {@link lowerValue} and {@link upperValue}.
             *```typescript
             *@ViewChild("slider2")
             *public slider: IgxSliderComponent;
             *public sliderValue(event){
             *    let sliderVal = this.slider.value;
             *}
             *```
             */
            get: /**
             * Returns the slider value. If the slider is of type {\@link SliderType.SLIDER} the returned value is number.
             * If the slider type is {\@link SliderType.RANGE} the returned value represents an object of {\@link lowerValue} and {\@link upperValue}.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * public sliderValue(event){
             *    let sliderVal = this.slider.value;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.isRange) {
                    return {
                        lower: this.valueInRange(this.lowerValue, this.lowerBound, this.upperBound),
                        upper: this.valueInRange(this.upperValue, this.lowerBound, this.upperBound)
                    };
                }
                else {
                    return this.valueInRange(this.upperValue, this.lowerBound, this.upperBound);
                }
            },
            /**
             * Sets the slider value.
             * If the slider is of type {@link SliderType.SLIDER} the argument is number. By default the {@link value} gets the {@link lowerBound}.
             * If the slider type is {@link SliderType.RANGE} the argument
             * represents an object of {@link lowerValue} and {@link upperValue} properties.
             * By default the object is associated with the {@link lowerBound} and {@link upperBound} property values.
             * ```typescript
             *rangeValue = {
             *   lower: 30,
             *   upper: 60
             *};
             * ```
             * ```html
             * <igx-slider [type]="sliderType" [(ngModel)]="rangeValue" [minValue]="56" [maxValue]="256">
             * ```
             */
            set: /**
             * Sets the slider value.
             * If the slider is of type {\@link SliderType.SLIDER} the argument is number. By default the {\@link value} gets the {\@link lowerBound}.
             * If the slider type is {\@link SliderType.RANGE} the argument
             * represents an object of {\@link lowerValue} and {\@link upperValue} properties.
             * By default the object is associated with the {\@link lowerBound} and {\@link upperBound} property values.
             * ```typescript
             * rangeValue = {
             *   lower: 30,
             *   upper: 60
             * };
             * ```
             * ```html
             * <igx-slider [type]="sliderType" [(ngModel)]="rangeValue" [minValue]="56" [maxValue]="256">
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (!this.isRange) {
                    this.upperValue = (/** @type {?} */ (value));
                }
                else {
                    value = this.validateInitialValue((/** @type {?} */ (value)));
                    this.upperValue = ((/** @type {?} */ (value))).upper;
                    this.lowerValue = ((/** @type {?} */ (value))).lower;
                }
                this._onChangeCallback(this.value);
                if (this._hasViewInit) {
                    this.positionHandlesAndUpdateTrack();
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} $event
         * @return {?}
         */
        IgxSliderComponent.prototype.onPointerDown = /**
         * @hidden
         * @param {?} $event
         * @return {?}
         */
        function ($event) {
            this.findClosestThumb($event);
            if (!this.thumbTo.isActive && this.thumbFrom === undefined) {
                return;
            }
            /** @type {?} */
            var activeThumb = this.thumbTo.isActive ? this.thumbTo : this.thumbFrom;
            activeThumb.nativeElement.setPointerCapture($event.pointerId);
            this.showSliderIndicators();
            $event.preventDefault();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} $event
         * @return {?}
         */
        IgxSliderComponent.prototype.onPointerUp = /**
         * @hidden
         * @param {?} $event
         * @return {?}
         */
        function ($event) {
            if (!this.thumbTo.isActive && this.thumbFrom === undefined) {
                return;
            }
            /** @type {?} */
            var activeThumb = this.thumbTo.isActive ? this.thumbTo : this.thumbTo;
            activeThumb.nativeElement.releasePointerCapture($event.pointerId);
            this.hideSliderIndicators();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.onFocus = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.toggleSliderIndicators();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} $event
         * @return {?}
         */
        IgxSliderComponent.prototype.onPanListener = /**
         * @hidden
         * @param {?} $event
         * @return {?}
         */
        function ($event) {
            this.update($event.srcEvent.clientX);
        };
        /**
         * @return {?}
         */
        IgxSliderComponent.prototype.onPanStart = /**
         * @return {?}
         */
        function () {
            this.showSliderIndicators();
        };
        /**
         * @return {?}
         */
        IgxSliderComponent.prototype.onPanEnd = /**
         * @return {?}
         */
        function () {
            this.hideSliderIndicators();
        };
        Object.defineProperty(IgxSliderComponent.prototype, "isRange", {
            /**
             *Returns whether the `IgxSliderComponent` type is RANGE.
             *```typescript
             *@ViewChild("slider")
             *public slider: IgxSliderComponent;
             *ngAfterViewInit(){
             *    let sliderRange = this.slider.isRange;
             *}
             * ```
             */
            get: /**
             * Returns whether the `IgxSliderComponent` type is RANGE.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * ngAfterViewInit(){
             *    let sliderRange = this.slider.isRange;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this.type === SliderType.RANGE;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "lowerValue", {
            /**
             * Returns the lower value of the `IgxSliderComponent`.
             * ```typescript
             * @ViewChild("slider")
             * public slider: IgxSliderComponent;
             * public lowValue(event){
             *    let sliderLowValue = this.slider.lowerValue;
             *}
             *```
             */
            get: /**
             * Returns the lower value of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * public lowValue(event){
             *    let sliderLowValue = this.slider.lowerValue;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (!Number.isNaN(this._lowerValue) && this._lowerValue !== undefined && this._lowerValue >= this.lowerBound) {
                    return this._lowerValue;
                }
                return this.lowerBound;
            },
            /**
             *Sets the lower value of the `IgxSliderComponent`.
             *```typescript
             *@ViewChild("slider2")
             *public slider: IgxSliderComponent;
             *public lowValue(event){
             *    this.slider.lowerValue = 120;
             *}
             *```
             */
            set: /**
             * Sets the lower value of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * public lowValue(event){
             *    this.slider.lowerValue = 120;
             * }
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                value = this.valueInRange(value, this.lowerBound, this.upperBound);
                this._lowerValue = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "upperValue", {
            /**
             *Returns the upper value of the `IgxSliderComponent`.
             *```typescript
             *@ViewChild("slider2")
             *public slider: IgxSliderComponent;
             *public upperValue(event){
             *    let upperValue = this.slider.upperValue;
             *}
             *```
             */
            get: /**
             * Returns the upper value of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * public upperValue(event){
             *    let upperValue = this.slider.upperValue;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (!Number.isNaN(this._upperValue) && this._upperValue !== undefined && this._upperValue <= this.upperBound) {
                    return this._upperValue;
                }
                return this.upperBound;
            },
            /**
             *Sets the upper value of the `IgxSliderComponent`.
             *```typescript
             *@ViewChild("slider2")
             *public slider: IgxSliderComponent;
             *public upperValue(event){
             *    this.slider.upperValue = 120;
             *}
             *```
             */
            set: /**
             * Sets the upper value of the `IgxSliderComponent`.
             * ```typescript
             * \@ViewChild("slider2")
             * public slider: IgxSliderComponent;
             * public upperValue(event){
             *    this.slider.upperValue = 120;
             * }
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                value = this.valueInRange(value, this.lowerBound, this.upperBound);
                this._upperValue = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "lowerLabel", {
            /**
             * Returns the value corresponding the lower label.
             *```typescript
             * @ViewChild("slider")
             * public slider: IgxSliderComponent;
             * let label = this.slider.lowerLabel;
             *```
             */
            get: /**
             * Returns the value corresponding the lower label.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * let label = this.slider.lowerLabel;
             * ```
             * @return {?}
             */
            function () {
                return this.labelsViewEnabled ?
                    this.labels[this.lowerValue] :
                    this.lowerValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "upperLabel", {
            /**
             * Returns the value corresponding the upper label.
             *```typescript
             * @ViewChild("slider")
             * public slider: IgxSliderComponent;
             * let label = this.slider.upperLabel;
             *```
             */
            get: /**
             * Returns the value corresponding the upper label.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * let label = this.slider.upperLabel;
             * ```
             * @return {?}
             */
            function () {
                return this.labelsViewEnabled ?
                    this.labels[this.upperValue] :
                    this.upperValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxSliderComponent.prototype, "labelsViewEnabled", {
            /**
             * Returns if label view is enabled.
             * If the {@link labels} is set, the view is automatically activated.
             *```typescript
             * @ViewChild("slider")
             * public slider: IgxSliderComponent;
             * let labelView = this.slider.labelsViewEnabled;
             *```
             */
            get: /**
             * Returns if label view is enabled.
             * If the {\@link labels} is set, the view is automatically activated.
             * ```typescript
             * \@ViewChild("slider")
             * public slider: IgxSliderComponent;
             * let labelView = this.slider.labelsViewEnabled;
             * ```
             * @return {?}
             */
            function () {
                return !!(this.labels && this.labels.length > 1);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.sliderSetup();
            // Set track travel zone
            this._pMin = this.valueToFraction(this.lowerBound) || 0;
            this._pMax = this.valueToFraction(this.upperBound) || 1;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            this._hasViewInit = true;
            this.positionHandlesAndUpdateTrack();
            this.setTickInterval(this.labels);
            this.changeThumbFocusableState(this.disabled);
            this.subscribeTo(this.thumbFrom, this.thumbChanged.bind(this));
            this.subscribeTo(this.thumbTo, this.thumbChanged.bind(this));
            this.thumbs.changes.pipe(operators.takeUntil(this._destroyer$)).subscribe(function (change) {
                /** @type {?} */
                var thumbFrom = change.find(function (thumb) { return thumb.type === SliderHandle.FROM; });
                /** @type {?} */
                var labelFrom = _this.labelRefs.find(function (label) { return label.type === SliderHandle.FROM; });
                _this.positionHandle(thumbFrom, labelFrom, _this.lowerValue);
                _this.subscribeTo(thumbFrom, _this.thumbChanged.bind(_this));
                _this.changeThumbFocusableState(_this.disabled);
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.ngAfterContentChecked = /**
         * @hidden
         * @return {?}
         */
        function () {
            // Calculates the distance between every step in pixels.
            this.stepDistance = this.calculateStepDistance();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._destroyer$.next(true);
            this._destroyer$.complete();
            this._indicatorsDestroyer$.next(true);
            this._indicatorsDestroyer$.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxSliderComponent.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (!value) {
                return;
            }
            this.normalizeByStep(value);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxSliderComponent.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onChangeCallback = fn;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxSliderComponent.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) {
            this._onTouchedCallback = fn;
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this.isRange ? this.thumbFrom.nativeElement : this.thumbTo.nativeElement;
        };
        /**
         *
         * @hidden
         */
        /**
         *
         * @hidden
         * @param {?} mouseX
         * @return {?}
         */
        IgxSliderComponent.prototype.update = /**
         *
         * @hidden
         * @param {?} mouseX
         * @return {?}
         */
        function (mouseX) {
            if (this.disabled) {
                return;
            }
            // Update To/From Values
            this.onPan.next(mouseX);
            // Finally do positionHandlesAndUpdateTrack the DOM
            // based on data values
            this.positionHandlesAndUpdateTrack();
            this._onTouchedCallback();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @param {?} thumbType
         * @return {?}
         */
        IgxSliderComponent.prototype.thumbChanged = /**
         * @hidden
         * @param {?} value
         * @param {?} thumbType
         * @return {?}
         */
        function (value, thumbType) {
            /** @type {?} */
            var oldValue = this.value;
            /** @type {?} */
            var newVal;
            if (this.isRange) {
                if (thumbType === SliderHandle.FROM) {
                    newVal = {
                        lower: ((/** @type {?} */ (this.value))).lower + value,
                        upper: ((/** @type {?} */ (this.value))).upper
                    };
                }
                else {
                    newVal = {
                        lower: ((/** @type {?} */ (this.value))).lower,
                        upper: ((/** @type {?} */ (this.value))).upper + value
                    };
                }
                // Swap the thumbs if a collision appears.
                if (newVal.lower >= newVal.upper) {
                    this.value = this.swapThumb(newVal);
                }
                else {
                    this.value = newVal;
                }
            }
            else {
                this.value = (/** @type {?} */ (this.value)) + value;
            }
            if (this.hasValueChanged(oldValue)) {
                this.emitValueChanged(oldValue);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSliderComponent.prototype.onThumbChange = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.toggleSliderIndicators();
        };
        /**
         * @param {?} state
         * @return {?}
         */
        IgxSliderComponent.prototype.onHoverChange = /**
         * @param {?} state
         * @return {?}
         */
        function (state) {
            return state ? this.showSliderIndicators() : this.hideSliderIndicators();
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxSliderComponent.prototype.swapThumb = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.thumbFrom.isActive) {
                value.upper = this.upperValue;
                value.lower = this.upperValue;
            }
            else {
                value.upper = this.lowerValue;
                value.lower = this.lowerValue;
            }
            this.toggleThumb();
            return value;
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxSliderComponent.prototype.findClosestThumb = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.isRange) {
                this.closestHandle(event);
            }
            else {
                this.thumbTo.nativeElement.focus();
            }
            this.update(event.clientX);
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.updateLowerBoundAndMinTravelZone = /**
         * @private
         * @return {?}
         */
        function () {
            this.lowerBound = this.minValue;
            this._pMin = 0;
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.updateUpperBoundAndMaxTravelZone = /**
         * @private
         * @return {?}
         */
        function () {
            this.upperBound = this.maxValue;
            this._pMax = 1;
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.sliderSetup = /**
         * @private
         * @return {?}
         */
        function () {
            /**
             * if {@link SliderType.SLIDER} than the initial value shold be the lowest one.
             */
            if (!this.isRange && this.value === this.upperBound) {
                this.value = this.lowerBound;
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.calculateStepDistance = /**
         * @private
         * @return {?}
         */
        function () {
            return this._el.nativeElement.getBoundingClientRect().width / (this.maxValue - this.minValue) * this.step;
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.toggleThumb = /**
         * @private
         * @return {?}
         */
        function () {
            return this.thumbFrom.isActive ?
                this.thumbTo.nativeElement.focus() :
                this.thumbFrom.nativeElement.focus();
        };
        /**
         * @private
         * @param {?} value
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
        IgxSliderComponent.prototype.valueInRange = /**
         * @private
         * @param {?} value
         * @param {?=} min
         * @param {?=} max
         * @return {?}
         */
        function (value, min, max) {
            if (min === void 0) { min = 0; }
            if (max === void 0) { max = 100; }
            return Math.max(Math.min(value, max), min);
        };
        /**
         * @private
         * @param {?} color
         * @param {?} interval
         * @return {?}
         */
        IgxSliderComponent.prototype.generateTickMarks = /**
         * @private
         * @param {?} color
         * @param {?} interval
         * @return {?}
         */
        function (color, interval) {
            return interval !== null ? "repeating-linear-gradient(\n            " + 'to left' + ",\n            " + color + ",\n            " + color + " 1.5px,\n            transparent 1.5px,\n            transparent " + interval + "%\n        ), repeating-linear-gradient(\n            " + 'to right' + ",\n            " + color + ",\n            " + color + " 1.5px,\n            transparent 1.5px,\n            transparent " + interval + "%\n        )" : interval;
        };
        /**
         * @private
         * @param {?} thumbHandle
         * @param {?} labelHandle
         * @param {?} position
         * @return {?}
         */
        IgxSliderComponent.prototype.positionHandle = /**
         * @private
         * @param {?} thumbHandle
         * @param {?} labelHandle
         * @param {?} position
         * @return {?}
         */
        function (thumbHandle, labelHandle, position) {
            /** @type {?} */
            var positionLeft = this.valueToFraction(position) * 100 + "%";
            if (thumbHandle) {
                thumbHandle.nativeElement.style.left = positionLeft;
            }
            if (labelHandle) {
                labelHandle.nativeElement.style.left = positionLeft;
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.positionHandlesAndUpdateTrack = /**
         * @private
         * @return {?}
         */
        function () {
            if (!this.isRange) {
                this.positionHandle(this.thumbTo, this.labelTo, (/** @type {?} */ (this.value)));
            }
            else {
                this.positionHandle(this.thumbTo, this.labelTo, ((/** @type {?} */ (this.value))).upper);
                this.positionHandle(this.thumbFrom, this.labelFrom, ((/** @type {?} */ (this.value))).lower);
            }
            this.updateTrack();
        };
        /**
         * @private
         * @param {?} event
         * @return {?}
         */
        IgxSliderComponent.prototype.closestHandle = /**
         * @private
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var fromOffset = this.thumbFrom.nativeElement.offsetLeft + this.thumbFrom.nativeElement.offsetWidth / 2;
            /** @type {?} */
            var toOffset = this.thumbTo.nativeElement.offsetLeft + this.thumbTo.nativeElement.offsetWidth / 2;
            /** @type {?} */
            var xPointer = event.clientX - this._el.nativeElement.getBoundingClientRect().left;
            /** @type {?} */
            var match = this.closestTo(xPointer, [fromOffset, toOffset]);
            if (fromOffset === toOffset && toOffset < xPointer) {
                this.thumbTo.nativeElement.focus();
            }
            else if (fromOffset === toOffset && toOffset > xPointer) {
                this.thumbFrom.nativeElement.focus();
            }
            else if (match === fromOffset) {
                this.thumbFrom.nativeElement.focus();
            }
            else {
                this.thumbTo.nativeElement.focus();
            }
        };
        /**
         * @private
         * @param {?} labels
         * @return {?}
         */
        IgxSliderComponent.prototype.setTickInterval = /**
         * @private
         * @param {?} labels
         * @return {?}
         */
        function (labels) {
            /** @type {?} */
            var interval;
            /** @type {?} */
            var trackProgress = 100;
            if (this.labelsViewEnabled) {
                // Calc ticks depending on the labels length;
                interval = ((trackProgress / (this.labels.length - 1) * 10)) / 10;
            }
            else {
                /** @type {?} */
                var trackRange = this.maxValue - this.minValue;
                interval = this.step > 1 ?
                    (trackProgress / ((trackRange / this.step)) * 10) / 10
                    : null;
            }
            /** @type {?} */
            var renderCallbackExecution = !this.continuous ? this.generateTickMarks('white', interval) : null;
            this.renderer.setStyle(this.ticks.nativeElement, 'background', renderCallbackExecution);
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.showSliderIndicators = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.disabled) {
                return;
            }
            if (this._indicatorsTimer) {
                this._indicatorsDestroyer$.next(true);
                this._indicatorsTimer = null;
            }
            this.thumbTo.showThumbIndicators();
            this.labelTo.active = true;
            if (this.thumbFrom) {
                this.thumbFrom.showThumbIndicators();
            }
            if (this.labelFrom) {
                this.labelFrom.active = true;
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.hideSliderIndicators = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.disabled) {
                return;
            }
            this._indicatorsTimer = rxjs.timer(this.thumbLabelVisibilityDuration);
            this._indicatorsTimer.pipe(operators.takeUntil(this._indicatorsDestroyer$)).subscribe(function () {
                _this.thumbTo.hideThumbIndicators();
                _this.labelTo.active = false;
                if (_this.thumbFrom) {
                    _this.thumbFrom.hideThumbIndicators();
                }
                if (_this.labelFrom) {
                    _this.labelFrom.active = false;
                }
            });
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.toggleSliderIndicators = /**
         * @private
         * @return {?}
         */
        function () {
            this.showSliderIndicators();
            this.hideSliderIndicators();
        };
        /**
         * @private
         * @param {?} state
         * @return {?}
         */
        IgxSliderComponent.prototype.changeThumbFocusableState = /**
         * @private
         * @param {?} state
         * @return {?}
         */
        function (state) {
            /** @type {?} */
            var value = state ? -1 : 1;
            if (this.isRange) {
                this.thumbFrom.tabindex = value;
            }
            this.thumbTo.tabindex = value;
            this._cdr.detectChanges();
        };
        /**
         * @private
         * @param {?} goal
         * @param {?} positions
         * @return {?}
         */
        IgxSliderComponent.prototype.closestTo = /**
         * @private
         * @param {?} goal
         * @param {?} positions
         * @return {?}
         */
        function (goal, positions) {
            return positions.reduce(function (previous, current) {
                return (Math.abs(goal - current) < Math.abs(goal - previous) ? current : previous);
            });
        };
        /**
         * @private
         * @param {?} value
         * @param {?=} pMin
         * @param {?=} pMax
         * @return {?}
         */
        IgxSliderComponent.prototype.valueToFraction = /**
         * @private
         * @param {?} value
         * @param {?=} pMin
         * @param {?=} pMax
         * @return {?}
         */
        function (value, pMin, pMax) {
            if (pMin === void 0) { pMin = this._pMin; }
            if (pMax === void 0) { pMax = this._pMax; }
            return this.valueInRange((value - this.minValue) / (this.maxValue - this.minValue), pMin, pMax);
        };
        /**
         * @hidden
         * Normalizе the value when two-way data bind is used and {@link this.step} is set.
         * @param value
         */
        /**
         * @hidden
         * Normalizе the value when two-way data bind is used and {\@link this.step} is set.
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxSliderComponent.prototype.normalizeByStep = /**
         * @hidden
         * Normalizе the value when two-way data bind is used and {\@link this.step} is set.
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.isRange) {
                this.value = {
                    lower: ((/** @type {?} */ (value))).lower - (((/** @type {?} */ (value))).lower % this.step),
                    upper: ((/** @type {?} */ (value))).upper - (((/** @type {?} */ (value))).upper % this.step)
                };
            }
            else {
                this.value = ((/** @type {?} */ (value))) - (((/** @type {?} */ (value))) % this.step);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxSliderComponent.prototype.updateTrack = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var fromPosition = this.valueToFraction(this.lowerValue);
            /** @type {?} */
            var toPosition = this.valueToFraction(this.upperValue);
            /** @type {?} */
            var positionGap = toPosition - fromPosition;
            /** @type {?} */
            var trackLeftIndention = fromPosition;
            if (this.isRange) {
                if (positionGap) {
                    trackLeftIndention = Math.round((1 / positionGap * fromPosition) * 100);
                }
                this.renderer.setStyle(this.track.nativeElement, 'transform', "scaleX(" + positionGap + ") translateX(" + trackLeftIndention + "%)");
            }
            else {
                this.renderer.setStyle(this.track.nativeElement, 'transform', "scaleX(" + toPosition + ")");
            }
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxSliderComponent.prototype.validateInitialValue = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (value.lower < this.lowerBound && value.upper < this.lowerBound) {
                value.upper = this.lowerBound;
                value.lower = this.lowerBound;
            }
            if (value.lower > this.upperBound && value.upper > this.upperBound) {
                value.upper = this.upperBound;
                value.lower = this.upperBound;
            }
            if (value.upper < value.lower) {
                value.upper = this.upperValue;
                value.lower = this.lowerValue;
            }
            return value;
        };
        /**
         * @private
         * @param {?} thumb
         * @param {?} callback
         * @return {?}
         */
        IgxSliderComponent.prototype.subscribeTo = /**
         * @private
         * @param {?} thumb
         * @param {?} callback
         * @return {?}
         */
        function (thumb, callback) {
            if (!thumb) {
                return;
            }
            thumb.onThumbValueChange
                .pipe(operators.takeUntil(this.unsubscriber(thumb)))
                .subscribe(function (value) { return callback(value, thumb.type); });
        };
        /**
         * @private
         * @param {?} thumb
         * @return {?}
         */
        IgxSliderComponent.prototype.unsubscriber = /**
         * @private
         * @param {?} thumb
         * @return {?}
         */
        function (thumb) {
            return rxjs.merge(this._destroyer$, thumb.destroy);
        };
        /**
         * @private
         * @param {?} oldValue
         * @return {?}
         */
        IgxSliderComponent.prototype.hasValueChanged = /**
         * @private
         * @param {?} oldValue
         * @return {?}
         */
        function (oldValue) {
            /** @type {?} */
            var isSliderWithDifferentValue = !this.isRange && oldValue !== this.value;
            /** @type {?} */
            var isRangeWithOneDifferentValue = this.isRange &&
                (((/** @type {?} */ (oldValue))).lower !== ((/** @type {?} */ (this.value))).lower ||
                    ((/** @type {?} */ (oldValue))).upper !== ((/** @type {?} */ (this.value))).upper);
            return isSliderWithDifferentValue || isRangeWithOneDifferentValue;
        };
        /**
         * @private
         * @param {?} oldValue
         * @return {?}
         */
        IgxSliderComponent.prototype.emitValueChanged = /**
         * @private
         * @param {?} oldValue
         * @return {?}
         */
        function (oldValue) {
            this.onValueChange.emit({ oldValue: oldValue, value: this.value });
        };
        IgxSliderComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxSliderComponent, multi: true }],
                        selector: 'igx-slider',
                        template: "<div class=\"igx-slider__track\">\n    <div #track class=\"igx-slider__track-fill\"></div>\n    <div #ticks class=\"igx-slider__track-ticks\"></div>\n</div>\n<div class=\"igx-slider__thumbs\">\n    <igx-thumb-label\n        *ngIf=\"isRange\"\n        [type]=\"0\"\n        [value]=\"lowerLabel\"\n        [templateRef]=\"thumbFromTemplateRef\"\n        [continuous]=\"continuous\"\n        [context]=\"context\"></igx-thumb-label>\n\n    <igx-thumb *ngIf=\"isRange\"\n        #thumbFrom\n        [type]=\"0\"\n        [value]=\"lowerLabel\"\n        [disabled]=\"disabled\"\n        [continuous]=\"continuous\"\n        [onPan]=\"onPan\"\n        [stepDistance]=\"stepDistance\"\n        [step]=\"step\"\n        [templateRef]=\"thumbFromTemplateRef\"\n        [context]=\"context\"\n        (onChange)=\"onThumbChange()\"\n        (onHoverChange)=\"onHoverChange($event)\"\n        [thumbLabelVisibilityDuration]=\"thumbLabelVisibilityDuration\"></igx-thumb>\n\n    <igx-thumb-label\n        [value]=\"upperLabel\"\n        [type]=\"1\"\n        [templateRef]=\"thumbToTemplateRef\"\n        [continuous]=\"continuous\"\n        [context]=\"context\"></igx-thumb-label>\n\n    <igx-thumb\n        #thumbTo\n        [type]=\"1\"\n        [value]=\"upperLabel\"\n        [disabled]=\"disabled\"\n        [continuous]=\"continuous\"\n        [onPan]=\"onPan\"\n        [stepDistance]=\"stepDistance\"\n        [step]=\"step\"\n        [templateRef]=\"thumbToTemplateRef\"\n        [context]=\"context\"\n        (onChange)=\"onThumbChange()\"\n        (onHoverChange)=\"onHoverChange($event)\"\n        [thumbLabelVisibilityDuration]=\"thumbLabelVisibilityDuration\"></igx-thumb>\n</div>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxSliderComponent.ctorParameters = function () { return [
            { type: core.Renderer2 },
            { type: core.ElementRef },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxSliderComponent.propDecorators = {
            track: [{ type: core.ViewChild, args: ['track', { static: true },] }],
            ticks: [{ type: core.ViewChild, args: ['ticks', { static: true },] }],
            thumbs: [{ type: core.ViewChildren, args: [IgxSliderThumbComponent,] }],
            labelRefs: [{ type: core.ViewChildren, args: [IgxThumbLabelComponent,] }],
            thumbFromTemplateRef: [{ type: core.ContentChild, args: [IgxThumbFromTemplateDirective, { read: core.TemplateRef, static: false },] }],
            thumbToTemplateRef: [{ type: core.ContentChild, args: [IgxThumbToTemplateDirective, { read: core.TemplateRef, static: false },] }],
            role: [{ type: core.HostBinding, args: ["attr.role",] }],
            valuemin: [{ type: core.HostBinding, args: ["attr.aria-valuemin",] }],
            valuemax: [{ type: core.HostBinding, args: ["attr.aria-valuemax",] }],
            readonly: [{ type: core.HostBinding, args: ["attr.aria-readonly",] }],
            slierClass: [{ type: core.HostBinding, args: ['class.igx-slider',] }],
            disabledClass: [{ type: core.HostBinding, args: ['class.igx-slider--disabled',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            type: [{ type: core.Input }],
            thumbLabelVisibilityDuration: [{ type: core.Input }],
            labels: [{ type: core.Input }],
            step: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            continuous: [{ type: core.Input }],
            isContinuous: [{ type: core.Input }],
            maxValue: [{ type: core.Input }],
            minValue: [{ type: core.Input }],
            lowerBound: [{ type: core.Input }],
            upperBound: [{ type: core.Input }],
            value: [{ type: core.Input }],
            onValueChange: [{ type: core.Output }],
            onPointerDown: [{ type: core.HostListener, args: ['pointerdown', ['$event'],] }],
            onPointerUp: [{ type: core.HostListener, args: ['pointerup', ['$event'],] }],
            onFocus: [{ type: core.HostListener, args: ['focus',] }],
            onPanListener: [{ type: core.HostListener, args: ['pan', ['$event'],] }],
            onPanStart: [{ type: core.HostListener, args: ['panstart',] }],
            onPanEnd: [{ type: core.HostListener, args: ['panend',] }]
        };
        __decorate([
            DeprecateProperty("IgxSliderComponent `isContinuous` property is deprecated.\nUse `continuous` instead."),
            __metadata("design:type", Boolean),
            __metadata("design:paramtypes", [Boolean])
        ], IgxSliderComponent.prototype, "isContinuous", null);
        return IgxSliderComponent;
    }());
    /**
     * @hidden
     */
    var IgxSliderModule = /** @class */ (function () {
        function IgxSliderModule() {
        }
        IgxSliderModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxSliderComponent,
                            IgxThumbFromTemplateDirective,
                            IgxThumbToTemplateDirective,
                            IgxSliderThumbComponent,
                            IgxThumbLabelComponent
                        ],
                        exports: [
                            IgxSliderComponent,
                            IgxThumbFromTemplateDirective,
                            IgxThumbToTemplateDirective,
                            IgxSliderThumbComponent,
                            IgxThumbLabelComponent
                        ],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxSliderModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$s = 0;
    /**
     * **Ignite UI for Angular Snackbar** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/snackbar.html)
     *
     * The Ignite UI Snack Bar provides feedback about an operation with a single-line message, which can
     * include a link to an action such as Undo.
     *
     * Example:
     * ```html
     * <button (click)="snackbar.show()">Send message</button>
     * <div>
     *   <igx-snackbar #snackbar message="Message sent">
     *   </igx-snackbar>
     * </div>
     * ```
     */
    var IgxSnackbarComponent = /** @class */ (function () {
        function IgxSnackbarComponent(zone) {
            this.zone = zone;
            /**
             * Sets/gets the `id` of the snackbar.
             * If not set, the `id` of the first snackbar component  will be `"igx-snackbar-0"`;
             * ```html
             * <igx-snackbar id = "Snackbar1"></igx-snackbar>
             * ```
             * ```typescript
             * let snackbarId = this.snackbar.id;
             * ```
             * \@memberof IgxSnackbarComponent
             */
            this.id = "igx-snackbar-" + NEXT_ID$s++;
            /**
             * Enables/Disables the visibility of the snackbar.
             * If not set, the `isVisible` attribute will have value `false`.
             * ```html
             * <igx-snackbar [isVisible] = "true"></igx-snackbar>
             * ```
             * ```typescript
             * let isVisible =  this.snackbar.isVisible;
             * ```
             */
            this.isVisible = false;
            /**
             * Sets/gets if the snackbar will be automatically hidden after the `displayTime` is over.
             * Default value is `true`.
             * ```html
             * <igx-snackbar [autoHide] = "false"></igx-snackbar>
             * ```
             * ```typescript
             * let autoHide =  this.snackbar.autoHide;
             * ```
             */
            this.autoHide = true;
            /**
             * Sets/gets the duration of time(in milliseconds) in which the snackbar will be visible after it is being shown.
             * Default value is 4000.
             * ```html
             * <igx-snackbar [displayTime] = "2000"></igx-snackbar>
             * ```
             * ```typescript
             * let displayTime = this.snackbar.displayTime;
             * ```
             */
            this.displayTime = 4000;
            /**
             * An event that will be emitted when the action is executed.
             * Provides reference to the `IgxSnackbarComponent` as an argument.
             * ```html
             * <igx-snackbar (onAction) = "onAction($event)"></igx-snackbar>
             * ```
             */
            this.onAction = new core.EventEmitter();
            /**
             * An event that will be emitted when the snackbar animation starts.
             * Provides reference to the `AnimationEvent` interface as an argument.
             * ```html
             * <igx-snackbar (animationStarted) = "animationStarted($event)"></igx-snackbar>
             * ```
             */
            this.animationStarted = new core.EventEmitter();
            /**
             * An event that will be emitted when the snackbar animation ends.
             * Provides reference to the `AnimationEvent` interface as an argument.
             * ```html
             * <igx-snackbar (animationDone) = "animationDone($event)"></igx-snackbar>
             * ```
             */
            this.animationDone = new core.EventEmitter();
        }
        /**
         * Shows the snackbar and hides it after the `displayTime` is over if `autoHide` is set to `true`.
         * ```typescript
         * this.snackbar.show();
         * ```
         */
        /**
         * Shows the snackbar and hides it after the `displayTime` is over if `autoHide` is set to `true`.
         * ```typescript
         * this.snackbar.show();
         * ```
         * @return {?}
         */
        IgxSnackbarComponent.prototype.show = /**
         * Shows the snackbar and hides it after the `displayTime` is over if `autoHide` is set to `true`.
         * ```typescript
         * this.snackbar.show();
         * ```
         * @return {?}
         */
        function () {
            var _this = this;
            clearTimeout(this.timeoutId);
            setTimeout(this.timeoutId);
            this.isVisible = true;
            if (this.autoHide) {
                this.timeoutId = setTimeout(function () {
                    _this.hide();
                }, this.displayTime);
            }
        };
        /**
         * Hides the snackbar.
         * ```typescript
         * this.snackbar.hide();
         * ```
         */
        /**
         * Hides the snackbar.
         * ```typescript
         * this.snackbar.hide();
         * ```
         * @return {?}
         */
        IgxSnackbarComponent.prototype.hide = /**
         * Hides the snackbar.
         * ```typescript
         * this.snackbar.hide();
         * ```
         * @return {?}
         */
        function () {
            this.isVisible = false;
            clearTimeout(this.timeoutId);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxSnackbarComponent.prototype.triggerAction = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.onAction.emit(this);
        };
        /**
         *@hidden
         * @memberof IgxSnackbarComponent
         */
        /**
         * @hidden
         * \@memberof IgxSnackbarComponent
         * @param {?} evt
         * @return {?}
         */
        IgxSnackbarComponent.prototype.snackbarAnimationStarted = /**
         * @hidden
         * \@memberof IgxSnackbarComponent
         * @param {?} evt
         * @return {?}
         */
        function (evt) {
            if (evt.fromState === 'void') {
                this.animationStarted.emit(evt);
            }
        };
        /**
         *@hidden
         * @memberof IgxSnackbarComponent
         */
        /**
         * @hidden
         * \@memberof IgxSnackbarComponent
         * @param {?} evt
         * @return {?}
         */
        IgxSnackbarComponent.prototype.snackbarAnimationDone = /**
         * @hidden
         * \@memberof IgxSnackbarComponent
         * @param {?} evt
         * @return {?}
         */
        function (evt) {
            if (evt.fromState === 'show') {
                this.animationDone.emit(evt);
            }
        };
        IgxSnackbarComponent.decorators = [
            { type: core.Component, args: [{
                        animations: [
                            animations.trigger('slideInOut', [
                                animations.transition('void => *', [
                                    animations.useAnimation(slideInBottom, {
                                        params: {
                                            duration: '.35s',
                                            easing: 'cubic-bezier(0.0, 0.0, 0.2, 1)',
                                            fromPosition: 'translateY(100%)',
                                            toPosition: 'translateY(0)'
                                        }
                                    })
                                ]),
                                animations.transition('* => void', [
                                    animations.useAnimation(slideOutBottom, {
                                        params: {
                                            duration: '.2s',
                                            easing: 'cubic-bezier(0.4, 0.0, 1, 1)',
                                            fromPosition: 'translateY(0)',
                                            toOpacity: 1,
                                            toPosition: 'translateY(100%)'
                                        }
                                    })
                                ])
                            ]),
                            animations.trigger('fadeInOut', [
                                animations.transition('void => *', [
                                    animations.useAnimation(fadeIn, {
                                        params: {
                                            duration: '.35s',
                                            easing: 'ease-out'
                                        }
                                    })
                                ]),
                                animations.transition('* => void', [
                                    animations.useAnimation(fadeOut, {
                                        params: {
                                            duration: '.2s',
                                            easing: 'ease-out'
                                        }
                                    })
                                ])
                            ])
                        ],
                        selector: 'igx-snackbar',
                        template: "<div class=\"igx-snackbar\" *ngIf=\"isVisible\" (@slideInOut.start)=\"snackbarAnimationStarted($event)\" (@slideInOut.done)=\"snackbarAnimationDone($event)\"\n    [@slideInOut]=\"isVisible\">\n    <div class=\"igx-snackbar__message\" [@fadeInOut]=\"isVisible\">\n        {{ message }}\n        <ng-content></ng-content>\n    </div>\n    <button class=\"igx-snackbar__button\" igxRipple=\"white\" *ngIf=\"actionText\" [@fadeInOut] (click)=\"triggerAction()\">\n        {{ actionText }}\n    </button>\n</div>\n",
                        styles: ["\n        :host {\n            display: block;\n        }\n    "]
                    }] }
        ];
        /** @nocollapse */
        IgxSnackbarComponent.ctorParameters = function () { return [
            { type: core.NgZone }
        ]; };
        IgxSnackbarComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            message: [{ type: core.Input }],
            isVisible: [{ type: core.Input }],
            autoHide: [{ type: core.Input }],
            displayTime: [{ type: core.Input }],
            actionText: [{ type: core.Input }],
            onAction: [{ type: core.Output }],
            animationStarted: [{ type: core.Output }],
            animationDone: [{ type: core.Output }]
        };
        return IgxSnackbarComponent;
    }());
    /**
     * @hidden
     */
    var IgxSnackbarModule = /** @class */ (function () {
        function IgxSnackbarModule() {
        }
        IgxSnackbarModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxSnackbarComponent],
                        exports: [IgxSnackbarComponent],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxSnackbarModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var SwitchLabelPosition = {
        BEFORE: 'before',
        AFTER: 'after',
    };
    /** @type {?} */
    var noop$8 = function () { };
    /** @type {?} */
    var nextId$3 = 0;
    /**
     * **Ignite UI for Angular Switch** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/switch.html)
     *
     * The Ignite UI Switch lets the user toggle between on/off or true/false states.
     *
     * Example:
     * ```html
     * <igx-switch [checked]="true">
     *   Simple switch
     * </igx-switch>
     * ```
     */
    var IgxSwitchComponent = /** @class */ (function () {
        function IgxSwitchComponent() {
            /**
             * Sets/gets the `id` of the switch component.
             * If not set, the `id` of the first switch component will be `"igx-switch-0"`.
             * ```html
             * <igx-switch id="my-first-switch"></igx-switch>
             * ```
             * ```typescript
             * let switchId =  this.switch.id;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.id = "igx-switch-" + nextId$3++;
            /**
             * Sets/gets the id of the `label` element in the switch component.
             * If not set, the label of the first switch component will have value `"igx-switch-0-label"`.
             * ```html
             * <igx-switch labelId="Label1"></igx-switch>
             * ```
             * ```typescript
             * let labelId =  this.switch.labelId;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.labelId = this.id + "-label";
            /**
             * Sets/gets the value of the `tabindex` attribute.
             * ```html
             * <igx-switch [tabindex]="1"></igx-switch>
             * ```
             * ```typescript
             * let tabIndex =  this.switch.tabindex;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.tabindex = null;
            /**
             * Sets/gets the position of the `label` in the switch component.
             * If not set, `labelPosition` will have value `"after"`.
             * ```html
             * <igx-switch labelPosition="before"></igx-switch>
             * ```
             * ```typescript
             * let labelPosition =  this.switch.labelPosition;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.labelPosition = 'after';
            /**
             * Enables/Disables the ripple effect
             * If not set, `disableRipple` will have value `false`.
             * ```html
             * <igx-switch [disableRipple]="true"></igx-switch>
             * ```
             * ```typescript
             * let isRippleDisabled = this.switch.disableRipple;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.disableRipple = false;
            /**
             * Sets/gets whether switch is required.
             * If not set, `required` will have value `false`.
             * ```html
             * <igx-switch [required]="true"></igx-switch>
             * ```
             * ```typescript
             * let isRequired = this.switch.required;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.required = false;
            /**
             * Sets/gets the `aria-labelledBy` attribute.
             * If not set, the  value of `aria-labelledBy` will be equal to the value of `labelId` attribute.
             * ```html
             * <igx-switch aria-labelledby = "Label1"></igx-switch>
             * ```
             * ```typescript
             * let ariaLabelledBy = this.switch.ariaLabelledBy;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.ariaLabelledBy = this.labelId;
            /**
             * Sets/gets the value of the `aria-label` attribute.
             * ```html
             * <igx-switch aria-label="Label1"></igx-switch>
             * ```
             * ```typescript
             * let ariaLabel =  this.switch.ariaLabel;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.ariaLabel = null;
            /**
             * An event that is emitted after the switch state is changed.
             * Provides references to the `IgxSwitchComponent` and the `checked` property as event arguments.
             * \@memberof IgxSwitchComponent
             */
            this.change = new core.EventEmitter();
            /**
             * @hidden
             * \@memberof IgxSwitchComponent
             */
            this._onTouchedCallback = noop$8;
            /**
             * @hidden
             * \@memberof IgxSwitchComponent
             */
            this._onChangeCallback = noop$8;
            /**
             * Returns the class of the switch component.
             * ```typescript
             * let switchClass = this.switch.cssClass;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.cssClass = 'igx-switch';
            /**
             * Sets/gets whether the switch is on or off.
             * Default value is 'false'.
             * ```html
             *  <igx-switch [checked] = "true"></igx-switch>
             * ```
             * ```typescript
             * let isChecked =  this.switch.checked;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.checked = false;
            /**
             * Sets/gets the `disabled` attribute.
             * Default value is `false`.
             * ```html
             * <igx-switch [disabled] = "true"><igx-switch>
             * ```
             * ```typescript
             * let isDisabled =  this.switch.disabled;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.disabled = false;
            /**
             * Sets/gets whether the switch component is on focus.
             * Default value is `false`.
             * ```typescript
             * this.switch.focused = true;
             * ```
             * ```typescript
             * let isFocused =  this.switch.focused;
             * ```
             * \@memberof IgxSwitchComponent
             */
            this.focused = false;
            /**
             * @hidden
             */
            this.inputId = this.id + "-input";
        }
        /**
         * Toggles the checked state of the switch.
         * ```typescript
         * this.switch.toggle();
         * ```
         * @memberof IgxSwitchComponent
         */
        /**
         * Toggles the checked state of the switch.
         * ```typescript
         * this.switch.toggle();
         * ```
         * \@memberof IgxSwitchComponent
         * @return {?}
         */
        IgxSwitchComponent.prototype.toggle = /**
         * Toggles the checked state of the switch.
         * ```typescript
         * this.switch.toggle();
         * ```
         * \@memberof IgxSwitchComponent
         * @return {?}
         */
        function () {
            if (this.disabled) {
                return;
            }
            this.checked = !this.checked;
            this.focused = false;
            this.change.emit({ checked: this.checked, switch: this });
            this._onChangeCallback(this.checked);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxSwitchComponent.prototype._onSwitchChange = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxSwitchComponent.prototype._onSwitchClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.stopPropagation();
            this.toggle();
            if (isIE()) {
                this.nativeCheckbox.nativeElement.blur();
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxSwitchComponent.prototype._onLabelClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.toggle();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxSwitchComponent.prototype.onFocus = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.focused = true;
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxSwitchComponent.prototype.onBlur = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.focused = false;
            this._onTouchedCallback();
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        IgxSwitchComponent.prototype.writeValue = /**
         * @hidden
         * @param {?} value
         * @return {?}
         */
        function (value) {
            this._value = value;
            this.checked = !!this._value;
        };
        /** @hidden */
        /**
         * @hidden
         * @return {?}
         */
        IgxSwitchComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this.nativeCheckbox.nativeElement;
        };
        Object.defineProperty(IgxSwitchComponent.prototype, "labelClass", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                switch (this.labelPosition) {
                    case SwitchLabelPosition.BEFORE:
                        return this.cssClass + "__label--before";
                    case SwitchLabelPosition.AFTER:
                    default:
                        return this.cssClass + "__label";
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxSwitchComponent.prototype.registerOnChange = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        IgxSwitchComponent.prototype.registerOnTouched = /**
         * @hidden
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onTouchedCallback = fn; };
        IgxSwitchComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [{ provide: forms.NG_VALUE_ACCESSOR, useExisting: IgxSwitchComponent, multi: true }],
                        selector: 'igx-switch',
                        template: "<input #checkbox class=\"igx-switch__input\" type=\"checkbox\"\n    [id]=\"inputId\"\n    [name]=\"name\"\n    [value]=\"value\"\n    [tabindex]=\"tabindex\"\n    [disabled]=\"disabled\"\n    [checked]=\"checked\"\n    [required]=\"required\"\n    [attr.aria-checked]=\"checked\"\n    [attr.aria-labelledby]=\"ariaLabelledBy\"\n    [attr.aria-label]=\"ariaLabel\"\n    (change)=\"_onSwitchChange($event)\"\n    (click)=\"_onSwitchClick($event)\"\n    (focus)=\"onFocus($event)\"\n    (blur)=\"onBlur($event)\" />\n\n<label #label class =\"igx-switch__composite\" [for]=\"inputId\"\n    igxRipple\n    igxRippleTarget=\".igx-switch__ripple\"\n    [igxRippleDisabled]=\"disableRipple\"\n    [igxRippleCentered]=\"true\"\n    [igxRippleDuration]=\"300\">\n    <div class=\"igx-switch__composite-thumb\">\n        <div class=\"igx-switch__ripple\"></div>\n    </div>\n</label>\n\n<span #placeholderLabel role=\"label\"\n    [class]=\"labelClass\"\n    [id]=\"labelId\"\n    (click)=\"_onLabelClick($event)\">\n    <ng-content></ng-content>\n</span>\n"
                    }] }
        ];
        IgxSwitchComponent.propDecorators = {
            nativeCheckbox: [{ type: core.ViewChild, args: ['checkbox', { static: true },] }],
            nativeLabel: [{ type: core.ViewChild, args: ['label', { static: true },] }],
            placeholderLabel: [{ type: core.ViewChild, args: ['placeholderLabel', { static: true },] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            labelId: [{ type: core.Input }],
            value: [{ type: core.Input }],
            name: [{ type: core.Input }],
            tabindex: [{ type: core.Input }],
            labelPosition: [{ type: core.Input }],
            disableRipple: [{ type: core.Input }],
            required: [{ type: core.Input }],
            ariaLabelledBy: [{ type: core.Input, args: ['aria-labelledby',] }],
            ariaLabel: [{ type: core.Input, args: ['aria-label',] }],
            change: [{ type: core.Output }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-switch',] }],
            checked: [{ type: core.HostBinding, args: ['class.igx-switch--checked',] }, { type: core.Input }],
            disabled: [{ type: core.HostBinding, args: ['class.igx-switch--disabled',] }, { type: core.Input }],
            focused: [{ type: core.HostBinding, args: ['class.igx-switch--focused',] }]
        };
        return IgxSwitchComponent;
    }());
    /** @type {?} */
    var IGX_SWITCH_REQUIRED_VALIDATOR = {
        provide: forms.NG_VALIDATORS,
        useExisting: core.forwardRef(function () { return IgxSwitchRequiredDirective; }),
        multi: true
    };
    /* tslint:disable directive-selector */
    var IgxSwitchRequiredDirective = /** @class */ (function (_super) {
        __extends(IgxSwitchRequiredDirective, _super);
        function IgxSwitchRequiredDirective() {
            return _super !== null && _super.apply(this, arguments) || this;
        }
        IgxSwitchRequiredDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: "igx-switch[required][formControlName],\n    igx-switch[required][formControl],\n    igx-switch[required][ngModel]",
                        providers: [IGX_SWITCH_REQUIRED_VALIDATOR]
                    },] }
        ];
        return IgxSwitchRequiredDirective;
    }(forms.CheckboxRequiredValidator));
    /**
     * @hidden
     */
    var IgxSwitchModule = /** @class */ (function () {
        function IgxSwitchModule() {
        }
        IgxSwitchModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxSwitchComponent, IgxSwitchRequiredDirective],
                        exports: [IgxSwitchComponent, IgxSwitchRequiredDirective],
                        imports: [IgxRippleModule]
                    },] }
        ];
        return IgxSwitchModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$t = 0;
    var IgxTabTemplateDirective = /** @class */ (function () {
        function IgxTabTemplateDirective(template) {
            this.template = template;
        }
        IgxTabTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxTab]'
                    },] }
        ];
        /** @nocollapse */
        IgxTabTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxTabTemplateDirective;
    }());
    /**
     * **Ignite UI for Angular Tab Bar** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/tabbar.html)
     *
     * The Ignite UI Tab Bar enables the user to navigate among a number of content panels displayed in a single view.
     *
     * Example:
     * ```html
     * <igx-bottom-nav>
     *   <igx-tab-panel label="Tab 1">Tab 1 Content</igx-tab-panel>
     *   <igx-tab-panel label="Tab 2">Tab 2 Content</igx-tab-panel>
     *   <igx-tab-panel label="Tab 3">Tab 3 Content</igx-tab-panel>
     * </igx-bottom-nav>
     * ```
     */
    var IgxBottomNavComponent = /** @class */ (function () {
        function IgxBottomNavComponent(_element) {
            this._element = _element;
            /**
             * Sets/gets the `id` of the tab bar.
             * If not set, the `id` of the first tab bar component will be `"igx-bottom-nav-0"`.
             * ```html
             * <igx-bottom-nav id = "my-first-tab-bar"></igx-bottom-nav>
             * ```
             * ```typescript
             * let tabBarId =  this.tabBar.id;
             * ```
             * \@memberof IgxBottomNavComponent
             */
            this.id = "igx-bottom-nav-" + NEXT_ID$t++;
            /**
             * Emits an event when a new tab is selected.
             * Provides references to the `IgxTabComponent` and `IgxTabPanelComponent` as event arguments.
             * ```html
             * <igx-bottom-nav (onTableSelected) = "onTabSelected($event)"><igx-bottom-nav>
             * ```
             * \@memberof IgxBottomNavComponent
             */
            this.onTabSelected = new core.EventEmitter();
            /**
             * Emits an event when a tab is deselected.
             * Provides references to the `IgxTabComponent` and `IgxTabPanelComponent` as event arguments.
             * ```html
             * <igx-bottom-nav (onTabDeselected) = "onTabDeselected($event)"><igx-bottom-nav>
             * ```
             * \@memberof IgxBottomNavComponent
             */
            this.onTabDeselected = new core.EventEmitter();
            /**
             * Gets the `index` of selected tab/panel in the respective collection.
             * ```typescript
             * let index =  this.tabBar.selectedIndex;
             * ```
             * \@memberof IgxBottomNavComponent
             */
            this.selectedIndex = -1;
            /**
             * @hidden
             */
            this._itemStyle = 'igx-bottom-nav';
        }
        Object.defineProperty(IgxBottomNavComponent.prototype, "tabs", {
            /**
             * Gets the `IgxTabComponent` elements for this bottom navigation component.
             * First try to get them as content children if not available get them as view children.
             * ```typescript
             * let tabs: QueryList<IgxTabComponent> =  this.tabBar.tabs;
             * ```
             * @memberof IgxBottomNavComponent
             */
            get: /**
             * Gets the `IgxTabComponent` elements for this bottom navigation component.
             * First try to get them as content children if not available get them as view children.
             * ```typescript
             * let tabs: QueryList<IgxTabComponent> =  this.tabBar.tabs;
             * ```
             * \@memberof IgxBottomNavComponent
             * @return {?}
             */
            function () {
                return this.hasContentTabs ? this.contentTabs : this.viewTabs;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBottomNavComponent.prototype, "itemStyle", {
            /**
             * Gets the `itemStyle` of the tab bar.
             * ```typescript
             * let itemStyle =  this.tabBar.itemStyle;
             * ```
             * @memberof IgxBottomNavComponent
             */
            get: /**
             * Gets the `itemStyle` of the tab bar.
             * ```typescript
             * let itemStyle =  this.tabBar.itemStyle;
             * ```
             * \@memberof IgxBottomNavComponent
             * @return {?}
             */
            function () {
                return this._itemStyle;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBottomNavComponent.prototype, "hasContentTabs", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return (this.contentTabs && this.contentTabs.length > 0);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxBottomNavComponent.prototype, "selectedTab", {
            /**
             * Gets the selected tab in the tab bar.
             * ```typescript
             * let tab =  this.tabBar.selectedTab;
             * ```
             * @memberof IgxBottomNavComponent
             */
            get: /**
             * Gets the selected tab in the tab bar.
             * ```typescript
             * let tab =  this.tabBar.selectedTab;
             * ```
             * \@memberof IgxBottomNavComponent
             * @return {?}
             */
            function () {
                if (this.tabs && this.selectedIndex !== undefined) {
                    return this.tabs.toArray()[this.selectedIndex];
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxBottomNavComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            // initial selection
            setTimeout(function () {
                if (_this.selectedIndex === -1) {
                    /** @type {?} */
                    var selectablePanels = _this.panels.filter(function (p) { return !p.disabled; });
                    /** @type {?} */
                    var panel = selectablePanels[0];
                    if (panel) {
                        panel.select();
                    }
                }
            }, 0);
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        IgxBottomNavComponent.prototype._selectedPanelHandler = /**
         * @hidden
         * @param {?} args
         * @return {?}
         */
        function (args) {
            var _this = this;
            if (this.hasContentTabs) {
                this.selectedIndex = args.tab.index;
                this.contentTabs.forEach(function (t) {
                    if (t !== args.tab) {
                        _this._deselectTab(t);
                    }
                });
            }
            else {
                if (args.panel) {
                    this.selectedIndex = args.panel.index;
                    this.panels.forEach(function (p) {
                        if (p.index !== _this.selectedIndex) {
                            _this._deselectPanel(p);
                        }
                    });
                }
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @private
         * @param {?} panel
         * @return {?}
         */
        IgxBottomNavComponent.prototype._deselectPanel = /**
         * @hidden
         * @private
         * @param {?} panel
         * @return {?}
         */
        function (panel) {
            // Cannot deselect the selected tab - this will mean that there will be not selected tab left
            if (panel.disabled || this.selectedTab.index === panel.index) {
                return;
            }
            panel.isSelected = false;
            this.onTabDeselected.emit({ tab: this.tabs[panel.index], panel: panel });
        };
        /**
         * @private
         * @param {?} aTab
         * @return {?}
         */
        IgxBottomNavComponent.prototype._deselectTab = /**
         * @private
         * @param {?} aTab
         * @return {?}
         */
        function (aTab) {
            aTab.isSelected = false;
            this.onTabDeselected.emit({ tab: aTab, panel: null });
        };
        IgxBottomNavComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-bottom-nav',
                        template: "<div *ngIf=\"!hasContentTabs\">\n    <ng-content></ng-content>\n</div>\n<div #tablist class=\"{{itemStyle}}__menu {{itemStyle}}__menu--bottom\" role=\"tablist\" aria-orientation=\"horizontal\">\n    <ng-container *ngIf=\"!hasContentTabs\">    \n        <igx-tab *ngFor=\"let panel of panels\" [relatedPanel]=\"panel\">\n        </igx-tab>\n    </ng-container>\n    <ng-content select=\"igx-tab\"></ng-content>\n</div>",
                        styles: ["\n        :host {\n            display: block;\n        }\n    "]
                    }] }
        ];
        /** @nocollapse */
        IgxBottomNavComponent.ctorParameters = function () { return [
            { type: core.ElementRef }
        ]; };
        IgxBottomNavComponent.propDecorators = {
            viewTabs: [{ type: core.ViewChildren, args: [core.forwardRef(function () { return IgxTabComponent; }),] }],
            contentTabs: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxTabComponent; }),] }],
            panels: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxTabPanelComponent; }),] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            onTabSelected: [{ type: core.Output }],
            onTabDeselected: [{ type: core.Output }],
            _selectedPanelHandler: [{ type: core.HostListener, args: ['onTabSelected', ['$event'],] }]
        };
        return IgxBottomNavComponent;
    }());
    // ================================= IgxTabPanelComponent ======================================
    var IgxTabPanelComponent = /** @class */ (function () {
        function IgxTabPanelComponent(_tabBar, _element) {
            this._tabBar = _tabBar;
            this._element = _element;
            /**
             * @hidden
             */
            this._itemStyle = 'igx-tab-panel';
            /**
             * @hidden
             */
            this._isSelected = false;
            /**
             * Gets the role of the tab panel.
             * ```typescript
             * let tabPanelRole = this.tabPanel.role;
             * ```
             * \@memberof IgxTabPanelComponent
             */
            this.role = 'tabpanel';
        }
        Object.defineProperty(IgxTabPanelComponent.prototype, "styleClass", {
            /**
             * Gets whether a tab panel will have `igx-bottom-nav__panel` class.
             * ```typescript
             * let styleClass = this.tabPanel.styleClass;
             * ```
             * @memberof IgxTabPanelComponent
             */
            get: /**
             * Gets whether a tab panel will have `igx-bottom-nav__panel` class.
             * ```typescript
             * let styleClass = this.tabPanel.styleClass;
             * ```
             * \@memberof IgxTabPanelComponent
             * @return {?}
             */
            function () {
                return (!this.isSelected);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabPanelComponent.prototype, "isSelected", {
            /**
             * Sets/gets whether a tab panel is selected.
             * ```typescript
             * this.tabPanel.isSelected = true;
             * ```
             * ```typescript
             * let isSelected =  this.tabPanel.isSelected;
             * ```
             * @memberof IgxTabPanelComponent
             */
            get: /**
             * Sets/gets whether a tab panel is selected.
             * ```typescript
             * this.tabPanel.isSelected = true;
             * ```
             * ```typescript
             * let isSelected =  this.tabPanel.isSelected;
             * ```
             * \@memberof IgxTabPanelComponent
             * @return {?}
             */
            function () {
                return this._isSelected;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this._isSelected !== newValue) {
                    if (newValue) {
                        this.select();
                    }
                    else {
                        this._isSelected = newValue;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabPanelComponent.prototype, "itemStyle", {
            /**
             * Gets the `itemStyle` of the tab panel.
             * ```typescript
             * let itemStyle = this.tabPanel.itemStyle;
             * ```
             * @memberof IgxTabPanelComponent
             */
            get: /**
             * Gets the `itemStyle` of the tab panel.
             * ```typescript
             * let itemStyle = this.tabPanel.itemStyle;
             * ```
             * \@memberof IgxTabPanelComponent
             * @return {?}
             */
            function () {
                return this._itemStyle;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabPanelComponent.prototype, "relatedTab", {
            /**
             * Gets the tab associated with the panel.
             * ```typescript
             * let tab = this.tabPanel.relatedTab;
             * ```
             * @memberof IgxTabPanelComponent
             */
            get: /**
             * Gets the tab associated with the panel.
             * ```typescript
             * let tab = this.tabPanel.relatedTab;
             * ```
             * \@memberof IgxTabPanelComponent
             * @return {?}
             */
            function () {
                if (this._tabBar.tabs) {
                    return this._tabBar.tabs.toArray()[this.index];
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabPanelComponent.prototype, "changesCount", {
            /**
             * Gets the changes and updates accordingly applied to the tab/panel.
             *
             * @memberof IgxTabComponent
             */
            get: /**
             * Gets the changes and updates accordingly applied to the tab/panel.
             *
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                return this.relatedTab ? this.relatedTab.changesCount : 0;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabPanelComponent.prototype, "index", {
            /**
             * Gets the index of a panel in the panels collection.
             * ```typescript
             * let panelIndex =  this.tabPanel.index
             * ```
             * @memberof IgxTabPanelComponent
             */
            get: /**
             * Gets the index of a panel in the panels collection.
             * ```typescript
             * let panelIndex =  this.tabPanel.index
             * ```
             * \@memberof IgxTabPanelComponent
             * @return {?}
             */
            function () {
                if (this._tabBar.panels) {
                    return this._tabBar.panels.toArray().indexOf(this);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabPanelComponent.prototype, "customTabTemplate", {
            /**
             * Gets the tab template.
             * ```typescript
             * let tabTemplate = this.tabPanel.customTabTemplate
             * ```
             * @memberof IgxTabPanelComponent
             */
            get: /**
             * Gets the tab template.
             * ```typescript
             * let tabTemplate = this.tabPanel.customTabTemplate
             * ```
             * \@memberof IgxTabPanelComponent
             * @return {?}
             */
            function () {
                return this._tabTemplate;
            },
            /**
             * Sets the tab template.
             * ```typescript
             * this.tabPanel.customTabTemplate(tabTemplate);
             * ```
             * @memberof IgxTabPanelComponent
             */
            set: /**
             * Sets the tab template.
             * ```typescript
             * this.tabPanel.customTabTemplate(tabTemplate);
             * ```
             * \@memberof IgxTabPanelComponent
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._tabTemplate = template;
            },
            enumerable: true,
            configurable: true
        });
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabPanelComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.tabTemplate) {
                this._tabTemplate = this.tabTemplate.template;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabPanelComponent.prototype.ngAfterViewChecked = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._element.nativeElement.setAttribute('aria-labelledby', "igx-tab-" + this.index);
            this._element.nativeElement.setAttribute('id', "igx-bottom-nav__panel-" + this.index);
        };
        /**
         * Selects the current tab and the tab panel.
         * ```typescript
         * this.tabPanel.select();
         * ```
         * @memberof IgxTabPanelComponent
         */
        /**
         * Selects the current tab and the tab panel.
         * ```typescript
         * this.tabPanel.select();
         * ```
         * \@memberof IgxTabPanelComponent
         * @return {?}
         */
        IgxTabPanelComponent.prototype.select = /**
         * Selects the current tab and the tab panel.
         * ```typescript
         * this.tabPanel.select();
         * ```
         * \@memberof IgxTabPanelComponent
         * @return {?}
         */
        function () {
            if (this.disabled || this._tabBar.selectedIndex === this.index) {
                return;
            }
            this._isSelected = true;
            this._tabBar.onTabSelected.emit({ tab: this._tabBar.tabs.toArray()[this.index], panel: this });
        };
        IgxTabPanelComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-tab-panel',
                        template: "<ng-content></ng-content>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxTabPanelComponent.ctorParameters = function () { return [
            { type: IgxBottomNavComponent },
            { type: core.ElementRef }
        ]; };
        IgxTabPanelComponent.propDecorators = {
            label: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-bottom-nav__panel',] }],
            isSelected: [{ type: core.HostBinding, args: ['class.igx-bottom-nav__panel--selected',] }],
            tabTemplate: [{ type: core.ContentChild, args: [IgxTabTemplateDirective, { read: IgxTabTemplateDirective, static: false },] }]
        };
        return IgxTabPanelComponent;
    }());
    // ======================================= IgxTabComponent ==========================================
    var IgxTabComponent = /** @class */ (function () {
        function IgxTabComponent(_tabBar, _element) {
            this._tabBar = _tabBar;
            this._element = _element;
            /**
             * Gets the `role` attribute.
             * ```typescript
             * let tabRole = this.tab.role;
             * ```
             * \@memberof IgxTabComponent
             */
            this.role = 'tab';
            /**
             * @hidden \@internal
             */
            this.id = 'igx-tab-' + this.index;
            /**
             * @hidden \@internal
             */
            this.ariaLabel = this.label;
            /**
             * @hidden \@internal
             */
            this.ariaDisabled = this.disabled;
            /**
             * @hidden \@internal
             */
            this.ariaSelected = this.isSelected;
            /**
             * @hidden \@internal
             */
            this.ariaControls = 'igx-tab-panel-' + this.index;
            /**
             * @hidden
             */
            this._changesCount = 0; // changes and updates accordingly applied to the tab.
            this._disabled = false;
            this._selected = false;
        }
        Object.defineProperty(IgxTabComponent.prototype, "label", {
            /**
             * Sets/gets the `label` of the tab panel.
             * ```html
             * <igx-tab [label] = "'Tab label'"><igx-tab>
             * ```
             * ```typescript
             * let tabLabel = this.tab.label;
             * ```
             * @memberof IgxTabComponent
             */
            get: /**
             * Sets/gets the `label` of the tab panel.
             * ```html
             * <igx-tab [label] = "'Tab label'"><igx-tab>
             * ```
             * ```typescript
             * let tabLabel = this.tab.label;
             * ```
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                return this.relatedPanel ? this.relatedPanel.label : this._label;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedPanel) {
                    this.relatedPanel.label = newValue;
                }
                this._label = newValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "icon", {
            /**
             * Sets/gets  the `icon` of the tab panel.
             * ```html
             * <igx-tab [icon] = "tab_icon"><igx-tab>
             * ```
             * ```typescript
             * let tabIcon =  this.tab.icon;
             * ```
             * @memberof IgxTabComponent
             */
            get: /**
             * Sets/gets  the `icon` of the tab panel.
             * ```html
             * <igx-tab [icon] = "tab_icon"><igx-tab>
             * ```
             * ```typescript
             * let tabIcon =  this.tab.icon;
             * ```
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                return this.relatedPanel ? this.relatedPanel.icon : this._icon;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedPanel) {
                    this.relatedPanel.icon = newValue;
                }
                this._icon = newValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "changesCount", {
            /**
             * Gets the changes and updates accordingly applied to the tab.
             *
             * @memberof IgxTabComponent
             */
            get: 
            // changes and updates accordingly applied to the tab.
            /**
             * Gets the changes and updates accordingly applied to the tab.
             *
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                return this._changesCount;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "disabled", {
            /**
             * Gets whether the tab is disabled.
             * ```typescript
             * let isDisabled = this.tab.disabled;
             * ```
             * @memberof IgxTabComponent
             */
            get: /**
             * Gets whether the tab is disabled.
             * ```typescript
             * let isDisabled = this.tab.disabled;
             * ```
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                return this.relatedPanel ? this.relatedPanel.disabled : this._disabled;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedPanel) {
                    this.relatedPanel.disabled = newValue;
                }
                else {
                    this._disabled = newValue;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "isSelected", {
            get: /**
             * @return {?}
             */
            function () {
                return this.relatedPanel ? this.relatedPanel.isSelected : this._selected;
            },
            /**
             * Gets whether the tab is selected.
             * ```typescript
             * let isSelected  = this.tab.isSelected;
             * ```
             * @memberof IgxTabComponent
             */
            set: /**
             * Gets whether the tab is selected.
             * ```typescript
             * let isSelected  = this.tab.isSelected;
             * ```
             * \@memberof IgxTabComponent
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedPanel) {
                    this.relatedPanel.isSelected = newValue;
                }
                else if (this._selected !== newValue) {
                    this._selected = newValue;
                    if (this._selected) {
                        this._tabBar.onTabSelected.emit({ tab: this, panel: null });
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "cssClassSelected", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelected;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "cssClassDisabled", {
            get: /**
             * @return {?}
             */
            function () {
                return this.disabled;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "cssClass", {
            get: /**
             * @return {?}
             */
            function () {
                return (!this.disabled && !this.isSelected);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "index", {
            /**
             * Gets the `index` of the tab.
             * ```typescript
             * let tabIndex = this.tab.index;
             * ```
             * @memberof IgxTabComponent
             */
            get: /**
             * Gets the `index` of the tab.
             * ```typescript
             * let tabIndex = this.tab.index;
             * ```
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                if (this._tabBar.tabs) {
                    return this._tabBar.tabs.toArray().indexOf(this);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "template", {
            /**
             * Returns the `template` for this IgxTabComponent.
             * ```typescript
             * let tabItemTemplate = this.tabItem.template;
             * ```
             * @memberof IgxTabComponent
             */
            get: /**
             * Returns the `template` for this IgxTabComponent.
             * ```typescript
             * let tabItemTemplate = this.tabItem.template;
             * ```
             * \@memberof IgxTabComponent
             * @return {?}
             */
            function () {
                if (this.relatedPanel && this.relatedPanel.customTabTemplate) {
                    return this.relatedPanel.customTabTemplate;
                }
                if (this.customTabTemplateDir) {
                    return this.customTabTemplateDir.template;
                }
                return this.defaultTabTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabComponent.prototype, "context", {
            /**
             * Returns the `context` object for the template of this `IgxTabComponent`.
             * ```typescript
             * let tabItemContext = this.tabItem.context;
             * ```
             */
            get: /**
             * Returns the `context` object for the template of this `IgxTabComponent`.
             * ```typescript
             * let tabItemContext = this.tabItem.context;
             * ```
             * @return {?}
             */
            function () {
                return this.relatedPanel ? this.relatedPanel : this;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Selects the current tab and the associated panel.
         * ```typescript
         * this.tab.select();
         * ```
         * @memberof IgxTabComponent
         */
        /**
         * Selects the current tab and the associated panel.
         * ```typescript
         * this.tab.select();
         * ```
         * \@memberof IgxTabComponent
         * @return {?}
         */
        IgxTabComponent.prototype.select = /**
         * Selects the current tab and the associated panel.
         * ```typescript
         * this.tab.select();
         * ```
         * \@memberof IgxTabComponent
         * @return {?}
         */
        function () {
            if (this.relatedPanel) {
                this.relatedPanel.select();
            }
            else {
                this._selected = true;
                this._tabBar.onTabSelected.emit({ tab: this, panel: null });
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabComponent.prototype.onClick = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.select();
        };
        /**
         * @return {?}
         */
        IgxTabComponent.prototype.elementRef = /**
         * @return {?}
         */
        function () {
            return this._element;
        };
        IgxTabComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-tab',
                        template: "<ng-template #defaultTabTemplate let-context>\n    <div *ngIf=\"context.icon\" class=\"tab-icon\">\n        <igx-icon fontSet=\"material\">{{context.icon}}</igx-icon>\n        <igx-badge [value]=\"context.changesCount\" [hidden]=\"context.changesCount === 0\"></igx-badge>\n    </div>\n    <div *ngIf=\"context.label\" ngClass=\"tab-label\">{{context.label}}</div>\n</ng-template>\n<ng-container *ngTemplateOutlet=\"template; context: { $implicit: this.context }\">\n</ng-container>"
                    }] }
        ];
        /** @nocollapse */
        IgxTabComponent.ctorParameters = function () { return [
            { type: IgxBottomNavComponent },
            { type: core.ElementRef }
        ]; };
        IgxTabComponent.propDecorators = {
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }],
            ariaLabel: [{ type: core.HostBinding, args: ['attr.aria-label',] }],
            ariaDisabled: [{ type: core.HostBinding, args: ['attr.aria-disabled',] }],
            ariaSelected: [{ type: core.HostBinding, args: ['attr.aria-selected',] }],
            ariaControls: [{ type: core.HostBinding, args: ['attr.aria-controls',] }],
            relatedPanel: [{ type: core.Input }],
            label: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            isSelected: [{ type: core.Input }],
            cssClassSelected: [{ type: core.HostBinding, args: ['class.igx-bottom-nav__menu-item--selected',] }],
            cssClassDisabled: [{ type: core.HostBinding, args: ['class.igx-bottom-nav__menu-item--disabled',] }],
            cssClass: [{ type: core.HostBinding, args: ['class.igx-bottom-nav__menu-item',] }],
            defaultTabTemplate: [{ type: core.ViewChild, args: ['defaultTabTemplate', { read: core.TemplateRef, static: true },] }],
            customTabTemplateDir: [{ type: core.ContentChild, args: [IgxTabTemplateDirective, { read: IgxTabTemplateDirective, static: false },] }],
            onClick: [{ type: core.HostListener, args: ['click',] }]
        };
        return IgxTabComponent;
    }());
    /**
     * @hidden
     */
    var IgxBottomNavModule = /** @class */ (function () {
        function IgxBottomNavModule() {
        }
        IgxBottomNavModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxBottomNavComponent, IgxTabPanelComponent, IgxTabComponent, IgxTabTemplateDirective],
                        exports: [IgxBottomNavComponent, IgxTabPanelComponent, IgxTabComponent, IgxTabTemplateDirective],
                        imports: [common.CommonModule, IgxBadgeModule, IgxIconModule]
                    },] }
        ];
        return IgxBottomNavModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @abstract
     */
    var   /**
     * @hidden
     * @abstract
     */
    IgxTabsBase = /** @class */ (function () {
        function IgxTabsBase() {
        }
        /**
         * @param {?} element
         * @param {?} scrollRight
         * @return {?}
         */
        IgxTabsBase.prototype.scrollElement = /**
         * @param {?} element
         * @param {?} scrollRight
         * @return {?}
         */
        function (element, scrollRight) { };
        /**
         * @param {?} newTab
         * @return {?}
         */
        IgxTabsBase.prototype.performSelectionChange = /**
         * @param {?} newTab
         * @return {?}
         */
        function (newTab) { };
        /**
         * @param {?} tab
         * @param {?} duration
         * @return {?}
         */
        IgxTabsBase.prototype.transformContentAnimation = /**
         * @param {?} tab
         * @param {?} duration
         * @return {?}
         */
        function (tab, duration) { };
        /**
         * @param {?} element
         * @param {?=} duration
         * @return {?}
         */
        IgxTabsBase.prototype.transformIndicatorAnimation = /**
         * @param {?} element
         * @param {?=} duration
         * @return {?}
         */
        function (element, duration) { };
        return IgxTabsBase;
    }());
    /**
     * @hidden
     * @abstract
     */
    var   /**
     * @hidden
     * @abstract
     */
    IgxTabItemBase = /** @class */ (function () {
        function IgxTabItemBase() {
        }
        Object.defineProperty(IgxTabItemBase.prototype, "index", {
            get: /**
             * @return {?}
             */
            function () { return 0; },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxTabItemBase.prototype.select = /**
         * @return {?}
         */
        function () { };
        /**
         * @param {?} newValue
         * @return {?}
         */
        IgxTabItemBase.prototype.setSelectedInternal = /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) { };
        return IgxTabItemBase;
    }());
    /**
     * @hidden
     * @abstract
     */
    var   /**
     * @hidden
     * @abstract
     */
    IgxTabsGroupBase = /** @class */ (function () {
        function IgxTabsGroupBase() {
        }
        /**
         * @return {?}
         */
        IgxTabsGroupBase.prototype.select = /**
         * @return {?}
         */
        function () { };
        /**
         * @param {?} newValue
         * @return {?}
         */
        IgxTabsGroupBase.prototype.setSelectedInternal = /**
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) { };
        return IgxTabsGroupBase;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var ButtonStyle = {
        VISIBLE: 'visible',
        HIDDEN: 'hidden',
        NOT_DISPLAYED: 'not_displayed',
    };
    var IgxRightButtonStyleDirective = /** @class */ (function () {
        function IgxRightButtonStyleDirective(tabs) {
            this.tabs = tabs;
        }
        Object.defineProperty(IgxRightButtonStyleDirective.prototype, "visibleCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.getRightButtonStyle() === ButtonStyle.VISIBLE) ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRightButtonStyleDirective.prototype, "hiddenCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.getRightButtonStyle() === ButtonStyle.HIDDEN) ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxRightButtonStyleDirective.prototype, "notDisplayedCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.getRightButtonStyle() === ButtonStyle.NOT_DISPLAYED) ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @return {?}
         */
        IgxRightButtonStyleDirective.prototype.getRightButtonStyle = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var viewPortWidth = this.tabs.viewPort.nativeElement.offsetWidth;
            // We use this hacky way to get the width of the itemsContainer,
            // because there is inconsistency in IE we cannot use offsetWidth or scrollOffset.
            /** @type {?} */
            var itemsContainerChildrenCount = this.tabs.itemsContainer.nativeElement.children.length;
            /** @type {?} */
            var itemsContainerWidth = 0;
            if (itemsContainerChildrenCount > 1) {
                /** @type {?} */
                var lastTab = this.tabs.itemsContainer.nativeElement.children[itemsContainerChildrenCount - 2];
                itemsContainerWidth = lastTab.offsetLeft + lastTab.offsetWidth;
            }
            /** @type {?} */
            var headerContainerWidth = this.tabs.headerContainer.nativeElement.offsetWidth;
            /** @type {?} */
            var offset = this.tabs.offset;
            /** @type {?} */
            var total = offset + viewPortWidth;
            // Fix for IE 11, a difference is accumulated from the widths calculations.
            if (itemsContainerWidth - headerContainerWidth <= 1 && offset === 0) {
                return ButtonStyle.NOT_DISPLAYED;
            }
            if (itemsContainerWidth > total) {
                return ButtonStyle.VISIBLE;
            }
            else {
                return ButtonStyle.HIDDEN;
            }
        };
        IgxRightButtonStyleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxRightButtonStyle]'
                    },] }
        ];
        /** @nocollapse */
        IgxRightButtonStyleDirective.ctorParameters = function () { return [
            { type: IgxTabsBase }
        ]; };
        IgxRightButtonStyleDirective.propDecorators = {
            visibleCSS: [{ type: core.HostBinding, args: ['class.igx-tabs__header-button',] }],
            hiddenCSS: [{ type: core.HostBinding, args: ['class.igx-tabs__header-button--hidden',] }],
            notDisplayedCSS: [{ type: core.HostBinding, args: ['class.igx-tabs__header-button--none',] }]
        };
        return IgxRightButtonStyleDirective;
    }());
    var IgxLeftButtonStyleDirective = /** @class */ (function () {
        function IgxLeftButtonStyleDirective(tabs) {
            this.tabs = tabs;
        }
        Object.defineProperty(IgxLeftButtonStyleDirective.prototype, "visibleCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.getLeftButtonStyle() === ButtonStyle.VISIBLE) ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLeftButtonStyleDirective.prototype, "hiddenCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.getLeftButtonStyle() === ButtonStyle.HIDDEN) ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxLeftButtonStyleDirective.prototype, "notDisplayedCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return (this.getLeftButtonStyle() === ButtonStyle.NOT_DISPLAYED) ? true : false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @private
         * @return {?}
         */
        IgxLeftButtonStyleDirective.prototype.getLeftButtonStyle = /**
         * @private
         * @return {?}
         */
        function () {
            // We use this hacky way to get the width of the itemsContainer,
            // because there is inconsistency in IE we cannot use offsetWidth or scrollOffset.
            /** @type {?} */
            var itemsContainerChildrenCount = this.tabs.itemsContainer.nativeElement.children.length;
            /** @type {?} */
            var itemsContainerWidth = 0;
            if (itemsContainerChildrenCount > 1) {
                /** @type {?} */
                var lastTab = this.tabs.itemsContainer.nativeElement.children[itemsContainerChildrenCount - 2];
                itemsContainerWidth = lastTab.offsetLeft + lastTab.offsetWidth;
            }
            /** @type {?} */
            var headerContainerWidth = this.tabs.headerContainer.nativeElement.offsetWidth;
            /** @type {?} */
            var offset = this.tabs.offset;
            if (offset === 0) {
                // Fix for IE 11, a difference is accumulated from the widths calculations.
                if (itemsContainerWidth - headerContainerWidth <= 1) {
                    return ButtonStyle.NOT_DISPLAYED;
                }
                return ButtonStyle.HIDDEN;
            }
            else {
                return ButtonStyle.VISIBLE;
            }
        };
        IgxLeftButtonStyleDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxLeftButtonStyle]'
                    },] }
        ];
        /** @nocollapse */
        IgxLeftButtonStyleDirective.ctorParameters = function () { return [
            { type: IgxTabsBase }
        ]; };
        IgxLeftButtonStyleDirective.propDecorators = {
            visibleCSS: [{ type: core.HostBinding, args: ['class.igx-tabs__header-button',] }],
            hiddenCSS: [{ type: core.HostBinding, args: ['class.igx-tabs__header-button--hidden',] }],
            notDisplayedCSS: [{ type: core.HostBinding, args: ['class.igx-tabs__header-button--none',] }]
        };
        return IgxLeftButtonStyleDirective;
    }());
    var IgxTabItemTemplateDirective = /** @class */ (function () {
        function IgxTabItemTemplateDirective(template) {
            this.template = template;
        }
        IgxTabItemTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxTab]'
                    },] }
        ];
        /** @nocollapse */
        IgxTabItemTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxTabItemTemplateDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTabsGroupComponent = /** @class */ (function (_super) {
        __extends(IgxTabsGroupComponent, _super);
        function IgxTabsGroupComponent(_tabs, _element) {
            var _this = _super.call(this) || this;
            _this._tabs = _tabs;
            _this._element = _element;
            /**
             * An \@Input property that allows you to enable/disable the `IgxTabGroupComponent`.
             * ```html
             * <igx-tabs-group label="Tab 2  Lorem ipsum dolor sit" icon="home" [disabled]="true">
             * ```
             */
            _this.disabled = false;
            _this._isSelected = false;
            /**
             * @hidden
             */
            _this.role = 'tabpanel';
            /**
             * @hidden
             */
            _this.styleClass = true;
            return _this;
        }
        Object.defineProperty(IgxTabsGroupComponent.prototype, "isSelected", {
            /**
             * Sets/gets whether a tab group is selected.
             * ```typescript
             * this.tabGroup.isSelected = true;
             * ```
             * ```typescript
             * let isSelected = this.tabGroup.isSelected;
             * ```
             * @memberof IgxTabsGroupComponent
             */
            get: /**
             * Sets/gets whether a tab group is selected.
             * ```typescript
             * this.tabGroup.isSelected = true;
             * ```
             * ```typescript
             * let isSelected = this.tabGroup.isSelected;
             * ```
             * \@memberof IgxTabsGroupComponent
             * @return {?}
             */
            function () {
                return this._isSelected;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (!this.disabled && this.isSelected !== newValue) {
                    this._tabs.performSelectionChange(newValue ? this.relatedTab : null);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabsGroupComponent.prototype, "relatedTab", {
            /**
             * An accessor that returns the `IgxTabItemComponent` component.
             * ```typescript
             * @ViewChild("MyTabsGroup")
             * public tab: IgxTabsGroupComponent;
             * ngAfterViewInIt(){
             *    let tabComponent = this.tab.relatedTab;
             * }
             * ```
             */
            get: /**
             * An accessor that returns the `IgxTabItemComponent` component.
             * ```typescript
             * \@ViewChild("MyTabsGroup")
             * public tab: IgxTabsGroupComponent;
             * ngAfterViewInIt(){
             *    let tabComponent = this.tab.relatedTab;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this._tabs.tabs) {
                    return (/** @type {?} */ (this._tabs.tabs.toArray()[this.index]));
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabsGroupComponent.prototype, "index", {
            /**
             * An accessor that returns the value of the index of the `IgxTabsGroupComponent`.
             * ```typescript
             * @ViewChild("MyTabsGroup")
             * public tab: IgxTabsGroupComponent;
             * ngAfterViewInIt(){
             *    let tabIndex = this.tab.index;
             * }
             * ```
             */
            get: /**
             * An accessor that returns the value of the index of the `IgxTabsGroupComponent`.
             * ```typescript
             * \@ViewChild("MyTabsGroup")
             * public tab: IgxTabsGroupComponent;
             * ngAfterViewInIt(){
             *    let tabIndex = this.tab.index;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this._tabs.groups) {
                    return this._tabs.groups.toArray().indexOf(this);
                }
                return -1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabsGroupComponent.prototype, "customTabTemplate", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._tabTemplate;
            },
            /**
             *@hidden
             */
            set: /**
             * @hidden
             * @param {?} template
             * @return {?}
             */
            function (template) {
                this._tabTemplate = template;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabsGroupComponent.prototype.ngAfterContentInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.tabTemplate) {
                this._tabTemplate = this.tabTemplate.template;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabsGroupComponent.prototype.ngAfterViewChecked = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._element.nativeElement.setAttribute('aria-labelledby', "igx-tab-item-" + this.index);
            this._element.nativeElement.setAttribute('id', "igx-tabs__group-" + this.index);
        };
        /**
         * A method that sets the focus on a tab.
         * @memberof {@link IgxTabsGroupComponent}
         *```typescript
         *@ViewChild("MyChild")
         *public tab : IgxTabsGroupComponent;
         *ngAfterViewInit(){
         *    this.tab.select();
         *}
         *```
         */
        /**
         * A method that sets the focus on a tab.
         * \@memberof {\@link IgxTabsGroupComponent}
         * ```typescript
         * \@ViewChild("MyChild")
         * public tab : IgxTabsGroupComponent;
         * ngAfterViewInit(){
         *    this.tab.select();
         * }
         * ```
         * @return {?}
         */
        IgxTabsGroupComponent.prototype.select = /**
         * A method that sets the focus on a tab.
         * \@memberof {\@link IgxTabsGroupComponent}
         * ```typescript
         * \@ViewChild("MyChild")
         * public tab : IgxTabsGroupComponent;
         * ngAfterViewInit(){
         *    this.tab.select();
         * }
         * ```
         * @return {?}
         */
        function () {
            if (!this.disabled && !this.isSelected) {
                this._tabs.performSelectionChange(this.relatedTab);
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} newValue
         * @return {?}
         */
        IgxTabsGroupComponent.prototype.setSelectedInternal = /**
         * @hidden
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            this._isSelected = newValue;
        };
        IgxTabsGroupComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-tabs-group',
                        template: "<ng-content *ngIf=\"isSelected\"></ng-content>\n"
                    }] }
        ];
        /** @nocollapse */
        IgxTabsGroupComponent.ctorParameters = function () { return [
            { type: IgxTabsBase },
            { type: core.ElementRef }
        ]; };
        IgxTabsGroupComponent.propDecorators = {
            disabled: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            label: [{ type: core.Input }],
            tabTemplate: [{ type: core.ContentChild, args: [IgxTabItemTemplateDirective, { read: IgxTabItemTemplateDirective, static: false },] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            styleClass: [{ type: core.HostBinding, args: ['class.igx-tabs__group',] }]
        };
        return IgxTabsGroupComponent;
    }(IgxTabsGroupBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    var IgxTabItemComponent = /** @class */ (function (_super) {
        __extends(IgxTabItemComponent, _super);
        function IgxTabItemComponent(_tabs, _element, _ngZone) {
            var _this = _super.call(this) || this;
            _this._tabs = _tabs;
            _this._element = _element;
            _this._ngZone = _ngZone;
            _this._changesCount = 0; // changes and updates accordingly applied to the tab.
            // changes and updates accordingly applied to the tab.
            _this._isSelected = false;
            _this._disabled = false;
            /**
             * @hidden \@internal
             */
            _this.role = 'tab';
            /**
             * @hidden \@internal
             */
            _this.id = 'igx-tab-item-' + _this.index;
            /**
             * @hidden \@internal
             */
            _this.ariaLabel = _this.label;
            /**
             * @hidden \@internal
             */
            _this.ariaDisabled = _this.disabled;
            /**
             * @hidden \@internal
             */
            _this.ariaSelected = _this.isSelected;
            /**
             * @hidden \@internal
             */
            _this.ariaControls = 'igx-tab-item-group-' + _this.index;
            _this._nativeTabItem = _element;
            return _this;
        }
        Object.defineProperty(IgxTabItemComponent.prototype, "icon", {
            /**
            * An @Input property that sets the value of the `icon`.
            * The value should be valid icon name from {@link https://material.io/tools/icons/?style=baseline}.
            *```html
            *<igx-tab-item label="Tab 1" icon="home">
            *```
            */
            get: /**
             * An \@Input property that sets the value of the `icon`.
             * The value should be valid icon name from {\@link https://material.io/tools/icons/?style=baseline}.
             * ```html
             * <igx-tab-item label="Tab 1" icon="home">
             * ```
             * @return {?}
             */
            function () {
                return this.relatedGroup ? this.relatedGroup.icon : this._icon;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedGroup) {
                    this.relatedGroup.icon = newValue;
                }
                this._icon = newValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "label", {
            /**
            * An @Input property that sets the value of the `label`.
            *```html
            *<igx-tabs-item label="Tab 2" icon="folder">
            *```
            */
            get: /**
             * An \@Input property that sets the value of the `label`.
             * ```html
             * <igx-tabs-item label="Tab 2" icon="folder">
             * ```
             * @return {?}
             */
            function () {
                return this.relatedGroup ? this.relatedGroup.label : this._label;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedGroup) {
                    this.relatedGroup.label = newValue;
                }
                this._label = newValue;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "provideCssClassSelected", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelected;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "provideCssClassDisabled", {
            get: /**
             * @return {?}
             */
            function () {
                return this.disabled;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "provideCssClass", {
            get: /**
             * @return {?}
             */
            function () {
                return (!this.disabled && !this.isSelected);
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxTabItemComponent.prototype.ngAfterViewInit = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this._ngZone.runOutsideAngular(function () {
                _this._resizeObserver = new ResizeObserver(function () {
                    _this._tabs.transformIndicatorAnimation(_this._nativeTabItem.nativeElement, 0);
                });
            });
        };
        /**
         * @return {?}
         */
        IgxTabItemComponent.prototype.ngOnDestroy = /**
         * @return {?}
         */
        function () {
            var _this = this;
            this._ngZone.runOutsideAngular(function () {
                _this._resizeObserver.disconnect();
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabItemComponent.prototype.onClick = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.select();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabItemComponent.prototype.onKeydownArrowRight = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onKeyDown(false);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabItemComponent.prototype.onKeydownArrowLeft = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.onKeyDown(true);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabItemComponent.prototype.onKeydownHome = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.onKeyDown(false, 0);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabItemComponent.prototype.onKeydownEnd = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.onKeyDown(false, this._tabs.tabs.toArray().length - 1);
        };
        Object.defineProperty(IgxTabItemComponent.prototype, "changesCount", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._changesCount;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "nativeTabItem", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._nativeTabItem;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "disabled", {
            /**
            * 	Gets whether the tab is disabled.
            * ```
            * const disabledItem = this.myTabComponent.tabs.first.disabled;
            * ```
            */
            get: /**
             * 	Gets whether the tab is disabled.
             * ```
             * const disabledItem = this.myTabComponent.tabs.first.disabled;
             * ```
             * @return {?}
             */
            function () {
                return this.relatedGroup ? this.relatedGroup.disabled : this._disabled;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (this.relatedGroup) {
                    this.relatedGroup.disabled = newValue;
                }
                else {
                    this._disabled = newValue;
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "isSelected", {
            /**
             * Gets whether the tab is selected.
             * ```typescript
             * const selectedItem = this.myTabComponent.tabs.first.isSelected;
             * ```
             */
            get: /**
             * Gets whether the tab is selected.
             * ```typescript
             * const selectedItem = this.myTabComponent.tabs.first.isSelected;
             * ```
             * @return {?}
             */
            function () {
                return this.relatedGroup ? this.relatedGroup.isSelected : this._isSelected;
            },
            set: /**
             * @param {?} newValue
             * @return {?}
             */
            function (newValue) {
                if (!this.disabled && this.isSelected !== newValue) {
                    this._tabs.performSelectionChange(newValue ? this : null);
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabItemComponent.prototype.select = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (!this.disabled && !this.isSelected) {
                this._tabs.performSelectionChange(this);
            }
        };
        Object.defineProperty(IgxTabItemComponent.prototype, "index", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this._tabs.tabs) {
                    return this._tabs.tabs.toArray().indexOf(this);
                }
                return -1;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} newValue
         * @return {?}
         */
        IgxTabItemComponent.prototype.setSelectedInternal = /**
         * @hidden
         * @param {?} newValue
         * @return {?}
         */
        function (newValue) {
            var _this = this;
            this._isSelected = newValue;
            this._ngZone.runOutsideAngular(function () {
                if (_this._resizeObserver) {
                    if (_this._isSelected) {
                        _this._resizeObserver.observe(_this._element.nativeElement);
                    }
                    else {
                        _this._resizeObserver.disconnect();
                    }
                }
            });
            this.tabindex = newValue ? 0 : -1;
        };
        /**
         * @private
         * @param {?} isLeftArrow
         * @param {?=} index
         * @return {?}
         */
        IgxTabItemComponent.prototype.onKeyDown = /**
         * @private
         * @param {?} isLeftArrow
         * @param {?=} index
         * @return {?}
         */
        function (isLeftArrow, index) {
            if (index === void 0) { index = null; }
            /** @type {?} */
            var tabsArray = this._tabs.tabs.toArray();
            if (index === null) {
                index = (isLeftArrow)
                    ? (this._tabs.selectedIndex === 0) ? tabsArray.length - 1 : this._tabs.selectedIndex - 1
                    : (this._tabs.selectedIndex === tabsArray.length - 1) ? 0 : this._tabs.selectedIndex + 1;
            }
            /** @type {?} */
            var tab = tabsArray[index];
            tab.select();
        };
        Object.defineProperty(IgxTabItemComponent.prototype, "template", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this.relatedGroup && this.relatedGroup.customTabTemplate) {
                    return this.relatedGroup.customTabTemplate;
                }
                if (this.customTabTemplateDir) {
                    return this.customTabTemplateDir.template;
                }
                return this.defaultTabTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabItemComponent.prototype, "context", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.relatedGroup ? this.relatedGroup : this;
            },
            enumerable: true,
            configurable: true
        });
        IgxTabItemComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-tab-item',
                        template: "<ng-template #defaultTabTemplate let-context>\n    <div *ngIf=\"context.icon\" class=\"igx-tabs__header-menu-item-icon\">\n        <igx-icon fontSet=\"material\">{{context.icon}}</igx-icon>\n        <igx-badge [value]=\"changesCount\" [hidden]=\"changesCount === 0\"></igx-badge>\n    </div>\n    <div *ngIf=\"context.label\" ngClass=\"igx-tabs__item-label\">{{context.label}}</div>\n</ng-template>\n<ng-container *ngTemplateOutlet=\"template; context: { $implicit: this.context }\">\n</ng-container>"
                    }] }
        ];
        /** @nocollapse */
        IgxTabItemComponent.ctorParameters = function () { return [
            { type: IgxTabsBase },
            { type: core.ElementRef },
            { type: core.NgZone }
        ]; };
        IgxTabItemComponent.propDecorators = {
            relatedGroup: [{ type: core.Input }],
            icon: [{ type: core.Input }],
            label: [{ type: core.Input }],
            defaultTabTemplate: [{ type: core.ViewChild, args: ['defaultTabTemplate', { read: core.TemplateRef, static: true },] }],
            customTabTemplateDir: [{ type: core.ContentChild, args: [IgxTabItemTemplateDirective, { read: IgxTabItemTemplateDirective, static: false },] }],
            provideCssClassSelected: [{ type: core.HostBinding, args: ['class.igx-tabs__header-menu-item--selected',] }],
            provideCssClassDisabled: [{ type: core.HostBinding, args: ['class.igx-tabs__header-menu-item--disabled',] }],
            provideCssClass: [{ type: core.HostBinding, args: ['class.igx-tabs__header-menu-item',] }],
            role: [{ type: core.HostBinding, args: ['attr.role',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            id: [{ type: core.HostBinding, args: ['attr.id',] }],
            ariaLabel: [{ type: core.HostBinding, args: ['attr.aria-label',] }],
            ariaDisabled: [{ type: core.HostBinding, args: ['attr.aria-disabled',] }],
            ariaSelected: [{ type: core.HostBinding, args: ['attr.aria-selected',] }],
            ariaControls: [{ type: core.HostBinding, args: ['attr.aria-controls',] }],
            onClick: [{ type: core.HostListener, args: ['click', ['$event'],] }],
            onKeydownArrowRight: [{ type: core.HostListener, args: ['keydown.arrowright', ['$event'],] }],
            onKeydownArrowLeft: [{ type: core.HostListener, args: ['keydown.arrowleft', ['$event'],] }],
            onKeydownHome: [{ type: core.HostListener, args: ['keydown.home', ['$event'],] }],
            onKeydownEnd: [{ type: core.HostListener, args: ['keydown.end', ['$event'],] }],
            disabled: [{ type: core.Input }],
            isSelected: [{ type: core.Input }]
        };
        return IgxTabItemComponent;
    }(IgxTabItemBase));

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @enum {string} */
    var TabsType = {
        FIXED: 'fixed',
        CONTENTFIT: 'contentfit',
    };
    var IgxTabsComponent = /** @class */ (function () {
        function IgxTabsComponent(_element, _ngZone, platformUtil) {
            this._element = _element;
            this._ngZone = _ngZone;
            this.platformUtil = platformUtil;
            /**
             * @hidden
             */
            this.selectedIndexChange = new core.EventEmitter();
            /**
             * Defines the tab header sizing mode. You can choose between `contentfit` or `fixed`.
             * By default the header sizing mode is `contentfit`.
             * ```html
             * <igx-tabs tabsType="fixed">
             *     <igx-tabs-group label="HOME">Home</igx-tabs-group>
             * </igx-tabs>
             * ```
             */
            this.tabsType = 'contentfit';
            /**
             * @hidden
             */
            this.class = '';
            /**
             * Emitted when a tab item is deselected.
             * ```html
             * <igx-tabs (onTabItemDeselected)="itemDeselected($event)">
             *      <igx-tabs-group label="Tab 1">This is Tab 1 content.</igx-tabs-group>
             *      <igx-tabs-group label="Tab 2">This is Tab 2 content.</igx-tabs-group>
             * </igx-tabs>
             * ```
             * ```typescript
             * itemDeselected(e){
             *      const tabGroup = e.group;
             *      const tabItem = e.tab;
             * }
             * ```
             */
            this.onTabItemDeselected = new core.EventEmitter();
            /**
             * Emitted when a tab item is selected.
             * ```html
             * <igx-tabs (onTabItemSelected)="itemSelected($event)">
             *      <igx-tabs-group label="Tab 1">This is Tab 1 content.</igx-tabs-group>
             *      <igx-tabs-group label="Tab 2">This is Tab 2 content.</igx-tabs-group>
             * </igx-tabs>
             * ```
             * ```typescript
             * itemSelected(e){
             *      const tabGroup = e.group;
             *      const tabItem = e.tab;
             * }
             * ```
             */
            this.onTabItemSelected = new core.EventEmitter();
            /**
             * @hidden
             */
            this.offset = 0;
            this._selectedIndex = -1;
        }
        Object.defineProperty(IgxTabsComponent.prototype, "selectedIndex", {
            /**
            * An @Input property that sets the value of the `selectedIndex`.
            * Default value is 0.
            * ```html
            * <igx-tabs selectedIndex="1">
            * ```
            *
            * Two-way data binding.
            * ```html
            * <igx-tabs [(selectedIndex)]="model.selectedIndex">
            * ```
            */
            get: /**
             * An \@Input property that sets the value of the `selectedIndex`.
             * Default value is 0.
             * ```html
             * <igx-tabs selectedIndex="1">
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-tabs [(selectedIndex)]="model.selectedIndex">
             * ```
             * @return {?}
             */
            function () {
                return this._selectedIndex;
            },
            set: /**
             * @param {?} index
             * @return {?}
             */
            function (index) {
                /** @type {?} */
                var newIndex = typeof index !== 'number' ? parseInt(index, 10) : index;
                if (this._selectedIndex !== newIndex) {
                    if (this.tabs && this.tabs.length > 0) {
                        /** @type {?} */
                        var newTab = this.tabs.toArray()[newIndex];
                        if (newTab) {
                            this.performSelectionChange(newTab);
                        }
                    }
                    else {
                        this._selectedIndex = newIndex;
                    }
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabsComponent.prototype, "tabs", {
            /**
             * Provides an observable collection of all `IgxTabItemComponent`s.
             * First try to get them as content children if not available get them as view children.
             * ```typescript
             * const tabItems = this.myTabComponent.tabs;
             * ```
             */
            get: /**
             * Provides an observable collection of all `IgxTabItemComponent`s.
             * First try to get them as content children if not available get them as view children.
             * ```typescript
             * const tabItems = this.myTabComponent.tabs;
             * ```
             * @return {?}
             */
            function () {
                if (this.hasContentTabs) {
                    return this.contentTabs;
                }
                return this.viewTabs;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabsComponent.prototype, "hasContentTabs", {
            /**
             *@hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return (this.contentTabs && this.contentTabs.length > 0);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTabsComponent.prototype, "cssClass", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var defaultStyle = "igx-tabs";
                /** @type {?} */
                var fixedStyle = "igx-tabs--fixed";
                /** @type {?} */
                var iconStyle = "igx-tabs--icons";
                /** @type {?} */
                var iconLabelFoundInGroups = this.groups.find(function (group) { return group.icon != null && group.label != null; });
                /** @type {?} */
                var iconLabelFoundInTabs = this.contentTabs.find(function (tab) { return tab.icon != null && tab.label != null; });
                /** @type {?} */
                var css;
                switch (TabsType[this.tabsType.toUpperCase()]) {
                    case TabsType.FIXED: {
                        css = fixedStyle;
                        break;
                    }
                    default: {
                        css = defaultStyle;
                        break;
                    }
                }
                // Layout fix for items with icons
                if (iconLabelFoundInGroups !== undefined || iconLabelFoundInTabs !== undefined) {
                    css = css + " " + iconStyle;
                }
                return css + " " + this.class;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabsComponent.prototype.scrollLeft = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.scroll(false);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTabsComponent.prototype.scrollRight = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.scroll(true);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} element
         * @param {?} scrollRight
         * @return {?}
         */
        IgxTabsComponent.prototype.scrollElement = /**
         * @hidden
         * @param {?} element
         * @param {?} scrollRight
         * @return {?}
         */
        function (element, scrollRight) {
            /** @type {?} */
            var viewPortWidth = this.viewPort.nativeElement.offsetWidth;
            this.offset = (scrollRight) ? element.offsetWidth + element.offsetLeft - viewPortWidth : element.offsetLeft;
            this.itemsContainer.nativeElement.style.transform = "translate(" + -this.offset + "px)";
        };
        Object.defineProperty(IgxTabsComponent.prototype, "selectedTabItem", {
            /**
             * Gets the selected `IgxTabItemComponent`.
             * ```
             * const selectedItem = this.myTabComponent.selectedTabItem;
             * ```
             */
            get: /**
             * Gets the selected `IgxTabItemComponent`.
             * ```
             * const selectedItem = this.myTabComponent.selectedTabItem;
             * ```
             * @return {?}
             */
            function () {
                if (this.tabs && this.selectedIndex !== undefined) {
                    return this.tabs.toArray()[this.selectedIndex];
                }
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabsComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this._selectedIndex === -1) {
                this.tabs.forEach(function (t) {
                    if (t.isSelected) {
                        _this._selectedIndex = t.index;
                    }
                });
            }
            if (!this.hasContentTabs && (this.selectedIndex < 0 || this.selectedIndex >= this.groups.length)) {
                this._selectedIndex = 0;
            }
            if (this.platformUtil.isBrowser) {
                requestAnimationFrame(function () {
                    /** @type {?} */
                    var newTab = _this.tabs.toArray()[_this._selectedIndex];
                    if (newTab) {
                        _this.performSelection(newTab);
                    }
                    else {
                        _this.hideIndicator();
                    }
                });
                this._ngZone.runOutsideAngular(function () {
                    _this._resizeObserver = new ResizeObserver(function () {
                        if (!_this.hasContentTabs && _this._selectedIndex >= 0 && _this._selectedIndex < _this.tabs.length) {
                            /** @type {?} */
                            var newTab = _this.tabs.toArray()[_this._selectedIndex];
                            _this.transformContentAnimation(newTab, 0);
                        }
                    });
                    _this._resizeObserver.observe(_this.tabsContainer.nativeElement);
                });
            }
            this._groupChanges$ = this.groups.changes.subscribe(function () {
                _this.resetSelectionOnCollectionChanged();
            });
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTabsComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this._groupChanges$) {
                this._groupChanges$.unsubscribe();
            }
            if (this._resizeObserver) {
                this._ngZone.runOutsideAngular(function () {
                    _this._resizeObserver.disconnect();
                });
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTabsComponent.prototype.resetSelectionOnCollectionChanged = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            requestAnimationFrame(function () {
                /** @type {?} */
                var currentTab = _this.tabs.toArray()[_this.selectedIndex];
                if (currentTab) {
                    _this.performSelectionChange(currentTab);
                }
                else if (_this.selectedIndex >= _this.tabs.length) {
                    _this.performSelectionChange(_this.tabs.last);
                }
                else {
                    _this.hideIndicator();
                }
            });
        };
        /**
         * @private
         * @param {?} scrollRight
         * @return {?}
         */
        IgxTabsComponent.prototype.scroll = /**
         * @private
         * @param {?} scrollRight
         * @return {?}
         */
        function (scrollRight) {
            var e_1, _a;
            /** @type {?} */
            var tabsArray = this.tabs.toArray();
            try {
                for (var tabsArray_1 = __values(tabsArray), tabsArray_1_1 = tabsArray_1.next(); !tabsArray_1_1.done; tabsArray_1_1 = tabsArray_1.next()) {
                    var tab = tabsArray_1_1.value;
                    /** @type {?} */
                    var element = tab.nativeTabItem.nativeElement;
                    if (scrollRight) {
                        if (element.offsetWidth + element.offsetLeft > this.viewPort.nativeElement.offsetWidth + this.offset) {
                            this.scrollElement(element, scrollRight);
                            break;
                        }
                    }
                    else {
                        if (element.offsetWidth + element.offsetLeft >= this.offset) {
                            this.scrollElement(element, scrollRight);
                            break;
                        }
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (tabsArray_1_1 && !tabsArray_1_1.done && (_a = tabsArray_1.return)) _a.call(tabsArray_1);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} newTab
         * @return {?}
         */
        IgxTabsComponent.prototype.performSelectionChange = /**
         * @hidden
         * @param {?} newTab
         * @return {?}
         */
        function (newTab) {
            /** @type {?} */
            var oldTab = this.selectedTabItem;
            if (oldTab) {
                this.performDeselection(oldTab);
            }
            if (newTab) {
                this.performSelection(newTab);
            }
            else {
                // if there is no new selected tab hide the selection indicator
                this.hideIndicator();
            }
            this.selectedIndexChange.emit(this._selectedIndex);
        };
        /**
         * @private
         * @param {?} oldTab
         * @return {?}
         */
        IgxTabsComponent.prototype.performDeselection = /**
         * @private
         * @param {?} oldTab
         * @return {?}
         */
        function (oldTab) {
            oldTab.setSelectedInternal(false);
            /** @type {?} */
            var oldTabRelatedGroup = this.groups.toArray()[oldTab.index];
            if (oldTabRelatedGroup) {
                oldTabRelatedGroup.setSelectedInternal(false);
            }
            this._selectedIndex = -1;
            this.onTabItemDeselected.emit({ tab: oldTab, group: oldTabRelatedGroup });
        };
        /**
         * @private
         * @param {?} newTab
         * @return {?}
         */
        IgxTabsComponent.prototype.performSelection = /**
         * @private
         * @param {?} newTab
         * @return {?}
         */
        function (newTab) {
            var _this = this;
            newTab.setSelectedInternal(true);
            this._selectedIndex = newTab.index;
            /** @type {?} */
            var newTabRelatedGroup = null;
            if (!this.hasContentTabs && this.groups) {
                newTabRelatedGroup = this.groups.toArray()[newTab.index];
                if (newTabRelatedGroup) {
                    newTabRelatedGroup.setSelectedInternal(true);
                }
            }
            this.onTabItemSelected.emit({ tab: newTab, group: newTabRelatedGroup });
            requestAnimationFrame(function () {
                // bring the new selected tab into view if it is not
                _this.bringNewTabIntoView(newTab);
                // animate the new selection indicator
                _this.transformIndicatorAnimation(newTab.nativeTabItem.nativeElement);
                // animate the new tab's group content
                if (!_this.hasContentTabs) {
                    _this.transformContentAnimation(newTab, 0.2);
                }
            });
        };
        /**
         * @private
         * @param {?} newTab
         * @return {?}
         */
        IgxTabsComponent.prototype.bringNewTabIntoView = /**
         * @private
         * @param {?} newTab
         * @return {?}
         */
        function (newTab) {
            /** @type {?} */
            var tabNativeElement = newTab.nativeTabItem.nativeElement;
            // Scroll left if there is need
            if (tabNativeElement.offsetLeft < this.offset) {
                this.scrollElement(tabNativeElement, false);
            }
            // Scroll right if there is need
            /** @type {?} */
            var viewPortOffsetWidth = this.viewPort.nativeElement.offsetWidth;
            /** @type {?} */
            var delta = (tabNativeElement.offsetLeft + tabNativeElement.offsetWidth) - (viewPortOffsetWidth + this.offset);
            // Fix for IE 11, a difference is accumulated from the widths calculations
            if (delta > 1) {
                this.scrollElement(tabNativeElement, true);
            }
        };
        /**
         * @hidden
         */
        // animation for the new panel/group (not needed for tab only mode)
        /**
         * @hidden
         * @param {?} tab
         * @param {?} duration
         * @return {?}
         */
        // animation for the new panel/group (not needed for tab only mode)
        IgxTabsComponent.prototype.transformContentAnimation = /**
         * @hidden
         * @param {?} tab
         * @param {?} duration
         * @return {?}
         */
        // animation for the new panel/group (not needed for tab only mode)
        function (tab, duration) {
            /** @type {?} */
            var contentOffset = this.tabsContainer.nativeElement.offsetWidth * tab.index;
            this.contentsContainer.nativeElement.style.transitionDuration = duration > 0 ? duration + "s" : 'initial';
            this.contentsContainer.nativeElement.style.transform = "translate(" + -contentOffset + "px)";
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} element
         * @param {?=} duration
         * @return {?}
         */
        IgxTabsComponent.prototype.transformIndicatorAnimation = /**
         * @hidden
         * @param {?} element
         * @param {?=} duration
         * @return {?}
         */
        function (element, duration) {
            if (duration === void 0) { duration = 0.3; }
            if (this.selectedIndicator) {
                this.selectedIndicator.nativeElement.style.visibility = 'visible';
                this.selectedIndicator.nativeElement.style.transitionDuration = duration > 0 ? duration + "s" : 'initial';
                this.selectedIndicator.nativeElement.style.width = element.offsetWidth + "px";
                this.selectedIndicator.nativeElement.style.transform = "translate(" + element.offsetLeft + "px)";
            }
        };
        /**
         * @return {?}
         */
        IgxTabsComponent.prototype.hideIndicator = /**
         * @return {?}
         */
        function () {
            if (this.selectedIndicator) {
                this.selectedIndicator.nativeElement.style.visibility = 'hidden';
            }
        };
        IgxTabsComponent.decorators = [
            { type: core.Component, args: [{
                        selector: 'igx-tabs',
                        template: "<!-- TODO Remove tab container from here -->\n<div #tabsContainer>\n    <div class=\"igx-tabs__header\" #headerContainer>\n        <button igxRipple class=\"igx-tabs__header-button\" igxButton=\"icon\" (click)=\"scrollLeft($event)\" igxLeftButtonStyle>\n            <igx-icon fontSet=\"material\">navigate_before</igx-icon>\n        </button>\n        <div class=\"igx-tabs__header-wrapper-fixed\" #viewPort>\n            <div #itemsContainer class=\"igx-tabs__header-wrapper-fluid\">\n                <ng-container *ngIf=\"!hasContentTabs\">\n                    <igx-tab-item igxRipple *ngFor=\"let group of groups\" [relatedGroup]=\"group\">\n                    </igx-tab-item>\n                </ng-container>\n                <ng-content select=\"igx-tab-item\"></ng-content>\n                <div #selectedIndicator *ngIf=\"groups.length > 0 || contentTabs.length > 0\" class=\"igx-tabs__header-menu-item-indicator\"></div>\n            </div>\n        </div>\n        <button igxRipple class=\"igx-tabs__header-button\" igxButton=\"icon\" (click)=\"scrollRight($event)\" igxRightButtonStyle>\n            <igx-icon fontSet=\"material\">navigate_next</igx-icon>\n        </button>\n    </div>\n    <div class=\"igx-tabs__content-fixed\">\n        <div #contentsContainer class=\"igx-tabs__content-fluid\">\n            <ng-content></ng-content>\n        </div>\n    </div>\n</div>",
                        providers: [{ provide: IgxTabsBase, useExisting: IgxTabsComponent }]
                    }] }
        ];
        /** @nocollapse */
        IgxTabsComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: core.NgZone },
            { type: PlatformUtil }
        ]; };
        IgxTabsComponent.propDecorators = {
            groups: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxTabsGroupComponent; }),] }],
            contentTabs: [{ type: core.ContentChildren, args: [core.forwardRef(function () { return IgxTabItemComponent; }),] }],
            selectedIndex: [{ type: core.Input }],
            selectedIndexChange: [{ type: core.Output }],
            tabsType: [{ type: core.Input, args: ['tabsType',] }],
            class: [{ type: core.Input }],
            onTabItemDeselected: [{ type: core.Output }],
            onTabItemSelected: [{ type: core.Output }],
            contentsContainer: [{ type: core.ViewChild, args: ['contentsContainer', { static: true },] }],
            headerContainer: [{ type: core.ViewChild, args: ['headerContainer', { static: true },] }],
            itemsContainer: [{ type: core.ViewChild, args: ['itemsContainer', { static: true },] }],
            selectedIndicator: [{ type: core.ViewChild, args: ['selectedIndicator', { static: false },] }],
            tabsContainer: [{ type: core.ViewChild, args: ['tabsContainer', { static: true },] }],
            viewPort: [{ type: core.ViewChild, args: ['viewPort', { static: true },] }],
            viewTabs: [{ type: core.ViewChildren, args: [core.forwardRef(function () { return IgxTabItemComponent; }),] }],
            cssClass: [{ type: core.HostBinding, args: ['attr.class',] }]
        };
        return IgxTabsComponent;
    }());
    /**
     * @hidden
     */
    var IgxTabsModule = /** @class */ (function () {
        function IgxTabsModule() {
        }
        IgxTabsModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxTabsComponent,
                            IgxTabsGroupComponent,
                            IgxTabItemComponent,
                            IgxTabItemTemplateDirective,
                            IgxRightButtonStyleDirective,
                            IgxLeftButtonStyleDirective],
                        exports: [IgxTabsComponent,
                            IgxTabsGroupComponent,
                            IgxTabItemComponent,
                            IgxTabItemTemplateDirective,
                            IgxRightButtonStyleDirective,
                            IgxLeftButtonStyleDirective],
                        imports: [common.CommonModule, IgxBadgeModule, IgxIconModule, IgxRippleModule]
                    },] }
        ];
        return IgxTabsModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     * @type {?}
     */
    var IGX_TIME_PICKER_COMPONENT = 'IgxTimePickerComponentToken';

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * @hidden
     */
    var IgxItemListDirective = /** @class */ (function () {
        function IgxItemListDirective(timePicker, elementRef) {
            this.timePicker = timePicker;
            this.elementRef = elementRef;
            this.tabindex = 0;
        }
        Object.defineProperty(IgxItemListDirective.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxItemListDirective.prototype, "hourCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === 'hourList';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxItemListDirective.prototype, "minuteCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === 'minuteList';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxItemListDirective.prototype, "ampmCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.type === 'ampmList';
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @return {?}
         */
        IgxItemListDirective.prototype.onFocus = /**
         * @return {?}
         */
        function () {
            this.isActive = true;
        };
        /**
         * @return {?}
         */
        IgxItemListDirective.prototype.onBlur = /**
         * @return {?}
         */
        function () {
            this.isActive = false;
        };
        /**
         * @private
         * @return {?}
         */
        IgxItemListDirective.prototype.nextItem = /**
         * @private
         * @return {?}
         */
        function () {
            switch (this.type) {
                case 'hourList': {
                    this.timePicker.nextHour();
                    break;
                }
                case 'minuteList': {
                    this.timePicker.nextMinute();
                    break;
                }
                case 'ampmList': {
                    this.timePicker.nextAmPm();
                    break;
                }
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxItemListDirective.prototype.prevItem = /**
         * @private
         * @return {?}
         */
        function () {
            switch (this.type) {
                case 'hourList': {
                    this.timePicker.prevHour();
                    break;
                }
                case 'minuteList': {
                    this.timePicker.prevMinute();
                    break;
                }
                case 'ampmList': {
                    this.timePicker.prevAmPm();
                    break;
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onKeydownArrowDown = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.nextItem();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onKeydownArrowUp = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.prevItem();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onKeydownArrowRight = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            /** @type {?} */
            var listName = ((/** @type {?} */ (event.target))).className;
            if (listName.indexOf('hourList') !== -1 && this.timePicker.minuteList) {
                this.timePicker.minuteList.nativeElement.focus();
            }
            else if ((listName.indexOf('hourList') !== -1 || listName.indexOf('minuteList') !== -1) && this.timePicker.ampmList) {
                this.timePicker.ampmList.nativeElement.focus();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onKeydownArrowLeft = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            /** @type {?} */
            var listName = ((/** @type {?} */ (event.target))).className;
            if (listName.indexOf('ampmList') !== -1 && this.timePicker.minuteList) {
                this.timePicker.minuteList.nativeElement.focus();
            }
            else if ((listName.indexOf('ampmList') !== -1 || listName.indexOf('minuteList') !== -1) && this.timePicker.hourList) {
                this.timePicker.hourList.nativeElement.focus();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onKeydownEnter = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            if (this.timePicker.mode === InteractionMode.DropDown) {
                this.timePicker.close();
                return;
            }
            this.timePicker.okButtonClick();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onKeydownEscape = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            this.timePicker.cancelButtonClick();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxItemListDirective.prototype.onHover = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.elementRef.nativeElement.focus();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onScroll = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            event.preventDefault();
            event.stopPropagation();
            if (event.deltaY > 0) {
                this.nextItem();
            }
            else if (event.deltaY < 0) {
                this.prevItem();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxItemListDirective.prototype.onPanMove = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (event.deltaY < 0) {
                this.nextItem();
            }
            else if (event.deltaY > 0) {
                this.prevItem();
            }
        };
        IgxItemListDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxItemList]'
                    },] }
        ];
        /** @nocollapse */
        IgxItemListDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_TIME_PICKER_COMPONENT,] }] },
            { type: core.ElementRef }
        ]; };
        IgxItemListDirective.propDecorators = {
            type: [{ type: core.Input, args: ['igxItemList',] }],
            tabindex: [{ type: core.HostBinding, args: ['attr.tabindex',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__column',] }],
            hourCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__hourList',] }],
            minuteCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__minuteList',] }],
            ampmCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__ampmList',] }],
            onFocus: [{ type: core.HostListener, args: ['focus',] }],
            onBlur: [{ type: core.HostListener, args: ['blur',] }],
            onKeydownArrowDown: [{ type: core.HostListener, args: ['keydown.arrowdown', ['$event'],] }],
            onKeydownArrowUp: [{ type: core.HostListener, args: ['keydown.arrowup', ['$event'],] }],
            onKeydownArrowRight: [{ type: core.HostListener, args: ['keydown.arrowright', ['$event'],] }],
            onKeydownArrowLeft: [{ type: core.HostListener, args: ['keydown.arrowleft', ['$event'],] }],
            onKeydownEnter: [{ type: core.HostListener, args: ['keydown.enter', ['$event'],] }],
            onKeydownEscape: [{ type: core.HostListener, args: ['keydown.escape', ['$event'],] }],
            onHover: [{ type: core.HostListener, args: ['mouseover',] }],
            onScroll: [{ type: core.HostListener, args: ['wheel', ['$event'],] }],
            onPanMove: [{ type: core.HostListener, args: ['panmove', ['$event'],] }]
        };
        return IgxItemListDirective;
    }());
    /**
     * @hidden
     */
    var IgxHourItemDirective = /** @class */ (function () {
        function IgxHourItemDirective(timePicker, itemList) {
            this.timePicker = timePicker;
            this.itemList = itemList;
        }
        Object.defineProperty(IgxHourItemDirective.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHourItemDirective.prototype, "selectedCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelectedHour;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHourItemDirective.prototype, "activeCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelectedHour && this.itemList.isActive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxHourItemDirective.prototype, "isSelectedHour", {
            get: /**
             * @return {?}
             */
            function () {
                return this.timePicker.selectedHour === this.value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} item
         * @return {?}
         */
        IgxHourItemDirective.prototype.onClick = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item !== '') {
                this.timePicker.scrollHourIntoView(item);
            }
        };
        IgxHourItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxHourItem]'
                    },] }
        ];
        /** @nocollapse */
        IgxHourItemDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_TIME_PICKER_COMPONENT,] }] },
            { type: IgxItemListDirective }
        ]; };
        IgxHourItemDirective.propDecorators = {
            value: [{ type: core.Input, args: ['igxHourItem',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item',] }],
            selectedCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item--selected',] }],
            activeCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item--active',] }],
            onClick: [{ type: core.HostListener, args: ['click', ['value'],] }]
        };
        return IgxHourItemDirective;
    }());
    /**
     * @hidden
     */
    var IgxMinuteItemDirective = /** @class */ (function () {
        function IgxMinuteItemDirective(timePicker, itemList) {
            this.timePicker = timePicker;
            this.itemList = itemList;
        }
        Object.defineProperty(IgxMinuteItemDirective.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMinuteItemDirective.prototype, "selectedCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelectedMinute;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMinuteItemDirective.prototype, "activeCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelectedMinute && this.itemList.isActive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxMinuteItemDirective.prototype, "isSelectedMinute", {
            get: /**
             * @return {?}
             */
            function () {
                return this.timePicker.selectedMinute === this.value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} item
         * @return {?}
         */
        IgxMinuteItemDirective.prototype.onClick = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item !== '') {
                this.timePicker.scrollMinuteIntoView(item);
            }
        };
        IgxMinuteItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxMinuteItem]'
                    },] }
        ];
        /** @nocollapse */
        IgxMinuteItemDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_TIME_PICKER_COMPONENT,] }] },
            { type: IgxItemListDirective }
        ]; };
        IgxMinuteItemDirective.propDecorators = {
            value: [{ type: core.Input, args: ['igxMinuteItem',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item',] }],
            selectedCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item--selected',] }],
            activeCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item--active',] }],
            onClick: [{ type: core.HostListener, args: ['click', ['value'],] }]
        };
        return IgxMinuteItemDirective;
    }());
    /**
     * @hidden
     */
    var IgxAmPmItemDirective = /** @class */ (function () {
        function IgxAmPmItemDirective(timePicker, itemList) {
            this.timePicker = timePicker;
            this.itemList = itemList;
        }
        Object.defineProperty(IgxAmPmItemDirective.prototype, "defaultCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return true;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAmPmItemDirective.prototype, "selectedCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelectedAmPm;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAmPmItemDirective.prototype, "activeCSS", {
            get: /**
             * @return {?}
             */
            function () {
                return this.isSelectedAmPm && this.itemList.isActive;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxAmPmItemDirective.prototype, "isSelectedAmPm", {
            get: /**
             * @return {?}
             */
            function () {
                return this.timePicker.selectedAmPm === this.value;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @param {?} item
         * @return {?}
         */
        IgxAmPmItemDirective.prototype.onClick = /**
         * @param {?} item
         * @return {?}
         */
        function (item) {
            if (item !== '') {
                this.timePicker.scrollAmPmIntoView(item);
            }
        };
        IgxAmPmItemDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxAmPmItem]'
                    },] }
        ];
        /** @nocollapse */
        IgxAmPmItemDirective.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_TIME_PICKER_COMPONENT,] }] },
            { type: IgxItemListDirective }
        ]; };
        IgxAmPmItemDirective.propDecorators = {
            value: [{ type: core.Input, args: ['igxAmPmItem',] }],
            defaultCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item',] }],
            selectedCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item--selected',] }],
            activeCSS: [{ type: core.HostBinding, args: ['class.igx-time-picker__item--active',] }],
            onClick: [{ type: core.HostListener, args: ['click', ['value'],] }]
        };
        return IgxAmPmItemDirective;
    }());
    /**
     * This directive should be used to mark which ng-template will be used from IgxTimePicker when re-templating its input group.
     */
    var IgxTimePickerTemplateDirective = /** @class */ (function () {
        function IgxTimePickerTemplateDirective(template) {
            this.template = template;
        }
        IgxTimePickerTemplateDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxTimePickerTemplate]'
                    },] }
        ];
        /** @nocollapse */
        IgxTimePickerTemplateDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxTimePickerTemplateDirective;
    }());
    /**
     * This directive can be used to add custom action buttons to the dropdownb/dialog.
     */
    var IgxTimePickerActionsDirective = /** @class */ (function () {
        function IgxTimePickerActionsDirective(template) {
            this.template = template;
        }
        IgxTimePickerActionsDirective.decorators = [
            { type: core.Directive, args: [{
                        selector: '[igxTimePickerActions]'
                    },] }
        ];
        /** @nocollapse */
        IgxTimePickerActionsDirective.ctorParameters = function () { return [
            { type: core.TemplateRef }
        ]; };
        return IgxTimePickerActionsDirective;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /**
     * Formats `IgxTimePickerComponent` display value according to the `format` property,
     * when the input element loses focus.
     *
     */
    var TimeDisplayFormatPipe = /** @class */ (function () {
        function TimeDisplayFormatPipe(timePicker) {
            this.timePicker = timePicker;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        TimeDisplayFormatPipe.prototype.transform = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var hour;
            /** @type {?} */
            var minutes;
            /** @type {?} */
            var amPM;
            /** @type {?} */
            var maskAmPM = this.timePicker.parseMask();
            /** @type {?} */
            var mask = this.timePicker.parseMask(false);
            if (!value || value === mask || value === maskAmPM) {
                return '';
            }
            /** @type {?} */
            var sections = value.split(/[\s:]+/);
            if (this.timePicker.showHoursList) {
                hour = sections[0];
            }
            if (this.timePicker.showMinutesList) {
                minutes = this.timePicker.showHoursList ? sections[1] : sections[0];
            }
            if (this.timePicker.showAmPmList) {
                amPM = sections[sections.length - 1];
            }
            /** @type {?} */
            var format = this.timePicker.format;
            /** @type {?} */
            var prompt = this.timePicker.promptChar;
            /** @type {?} */
            var regExp = new RegExp(this.timePicker.promptChar, 'g');
            if (format.indexOf('hh') !== -1 || format.indexOf('HH') !== -1 && hour.indexOf(prompt) !== -1) {
                hour = hour === prompt + prompt ? '00' : hour.replace(regExp, '0');
            }
            if (format.indexOf('mm') !== -1 && minutes.indexOf(prompt) !== -1) {
                minutes = minutes === prompt + prompt ? '00' : minutes.replace(regExp, '0');
            }
            if (format.indexOf('hh') === -1 && format.indexOf('HH') === -1 && hour !== undefined) {
                hour = hour.indexOf(prompt) !== -1 ? hour.replace(regExp, '') : hour;
                /** @type {?} */
                var hourVal = parseInt(hour, 10);
                hour = !hourVal ? '0' : hourVal < 10 && hourVal !== 0 ? hour.replace('0', '') : hour;
            }
            if (format.indexOf('mm') === -1 && minutes !== undefined) {
                minutes = minutes.indexOf(prompt) !== -1 ? minutes.replace(regExp, '') : minutes;
                /** @type {?} */
                var minutesVal = parseInt(minutes, 10);
                minutes = !minutesVal ? '0' : minutesVal < 10 && minutesVal !== 0 ? minutes.replace('0', '') : minutes;
            }
            if (format.indexOf('tt') !== -1 && (amPM !== 'AM' || amPM !== 'PM')) {
                amPM = amPM.indexOf('p') !== -1 || amPM.indexOf('P') !== -1 ? 'PM' : 'AM';
            }
            /** @type {?} */
            var result = amPM ? hour + ":" + minutes + " " + amPM : hour + ":" + minutes;
            if (!hour) {
                result = result.slice(result.indexOf(':') + 1, result.length);
            }
            if (!minutes) {
                result = result.slice(0, result.indexOf(':'));
                if (amPM) {
                    result = result + ' ' + amPM;
                }
            }
            return result;
        };
        TimeDisplayFormatPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'displayFormat' },] }
        ];
        /** @nocollapse */
        TimeDisplayFormatPipe.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_TIME_PICKER_COMPONENT,] }] }
        ]; };
        return TimeDisplayFormatPipe;
    }());
    /**
     * Formats `IgxTimePickerComponent` display value according to the `format` property,
     * when the input element gets focus.
     *
     */
    var TimeInputFormatPipe = /** @class */ (function () {
        function TimeInputFormatPipe(timePicker) {
            this.timePicker = timePicker;
        }
        /**
         * @param {?} value
         * @return {?}
         */
        TimeInputFormatPipe.prototype.transform = /**
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var prompt = this.timePicker.promptChar;
            /** @type {?} */
            var regExp = new RegExp(prompt, 'g');
            /** @type {?} */
            var mask;
            /** @type {?} */
            var hour;
            /** @type {?} */
            var minutes;
            /** @type {?} */
            var amPM;
            if (this.timePicker.cleared) {
                this.timePicker.cleared = false;
                mask = this.timePicker.parseMask(false);
            }
            else {
                mask = this.timePicker.parseMask();
            }
            if (!value || value === mask) {
                return mask;
            }
            /** @type {?} */
            var sections = value.split(/[\s:]+/);
            if (this.timePicker.showHoursList) {
                hour = sections[0];
                hour = hour.replace(regExp, '');
                /** @type {?} */
                var leadZeroHour = (parseInt(hour, 10) < 10 && !hour.startsWith('0')) || hour === '0';
                hour = leadZeroHour ? '0' + hour : hour;
            }
            if (this.timePicker.showMinutesList) {
                minutes = this.timePicker.showHoursList ? sections[1] : sections[0];
                minutes = minutes.replace(regExp, '');
                /** @type {?} */
                var leadZeroMinutes = (parseInt(minutes, 10) < 10 && !minutes.startsWith('0')) || minutes === '0';
                minutes = leadZeroMinutes ? '0' + minutes : minutes;
            }
            if (this.timePicker.showAmPmList) {
                amPM = sections[sections.length - 1];
            }
            /** @type {?} */
            var result = amPM ? hour + ":" + minutes + " " + amPM : hour + ":" + minutes;
            if (!hour) {
                result = result.slice(result.indexOf(':') + 1, result.length);
            }
            if (!minutes) {
                result = result.slice(0, result.indexOf(':'));
                if (amPM) {
                    result = result + ' ' + amPM;
                }
            }
            return result;
        };
        TimeInputFormatPipe.decorators = [
            { type: core.Pipe, args: [{ name: 'inputFormat' },] }
        ];
        /** @nocollapse */
        TimeInputFormatPipe.ctorParameters = function () { return [
            { type: undefined, decorators: [{ type: core.Inject, args: [IGX_TIME_PICKER_COMPONENT,] }] }
        ]; };
        return TimeInputFormatPipe;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$u = 0;
    /** @type {?} */
    var HOURS_POS = [0, 1, 2];
    /** @type {?} */
    var MINUTES_POS = [3, 4, 5];
    /** @type {?} */
    var AMPM_POS = [6, 7, 8];
    /** @type {?} */
    var ITEMS_COUNT = 7;
    var TimePickerHammerConfig = /** @class */ (function (_super) {
        __extends(TimePickerHammerConfig, _super);
        function TimePickerHammerConfig() {
            var _this = _super !== null && _super.apply(this, arguments) || this;
            _this.overrides = {
                pan: { direction: Hammer.DIRECTION_VERTICAL, threshold: 1 }
            };
            return _this;
        }
        TimePickerHammerConfig.decorators = [
            { type: core.Injectable }
        ];
        return TimePickerHammerConfig;
    }(platformBrowser.HammerGestureConfig));
    /** @type {?} */
    var noop$9 = function () { };
    var IgxTimePickerComponent = /** @class */ (function () {
        function IgxTimePickerComponent(_injector, _cdr) {
            this._injector = _injector;
            this._cdr = _cdr;
            /**
             * An \@Input property that sets the value of the `id` attribute.
             * ```html
             * <igx-time-picker [id]="'igx-time-picker-5'" format="h:mm tt" ></igx-time-picker>
             * ```
             */
            this.id = "igx-time-picker-" + NEXT_ID$u++;
            /**
             * An \@Input property that allows you to disable the `igx-time-picker` component. By default `disabled` is set to false.
             * ```html
             * <igx-time-picker [disabled]="'true'" [vertical]="true" format="h:mm tt" ></igx-time-picker>
             * ```
             */
            this.disabled = false;
            /**
             * An \@Input property that gets/sets the delta by which hour and minute items would be changed <br>
             * when the user presses the Up/Down keys.
             * By default `itemsDelta` is set to `{hours: 1, minutes:1}`
             * ```html
             * <igx-time-picker [itemsDelta]="{hours:3, minutes:5}" id="time-picker"></igx-time-picker>
             * ```
             */
            this.itemsDelta = { hours: 1, minutes: 1 };
            /**
             * An \@Input property that determines the spin behavior. By default `isSpinLoop` is set to true.
             * The minutes and hour spinning will wrap around by default.
             * ```html
             * <igx-time-picker [isSpinLoop]="false" id="time-picker"></igx-time-picker>
             * ```
             */
            this.isSpinLoop = true;
            /**
             * An \@Input property that Gets/Sets the orientation of the `igxTimePicker`. By default `vertical` is set to false.
             * ```html
             * <igx-time-picker [vertical]="true" id="time-picker"></igx-time-picker>
             * ```
             */
            this.vertical = false;
            /**
             * Sets the character used to prompt the user for input.
             * Default value is "'-'".
             * ```html
             * <igx-time-picker [promptChar] = "'_'">
             * ```
             * \@memberof IgxTimePickerComponent
             */
            this.promptChar = '-';
            /**
             * An \@Input property that allows you to switch the interaction mode between
             * a dialog picker or dropdown with editable masked input.
             * Deafult is dialog picker.
             * ```html
             * public mode = InteractionMode.DROPDOWN;
             *  //..
             * <igx-time-picker [mode]="mode"></igx-time-picker>
             * ```
             * \@memberof IgxTimePickerComponent
             */
            this.mode = InteractionMode.Dialog;
            /**
             * Emitted when selection is made. The event contains the selected value. Returns {`oldValue`: `Date`, `newValue`: `Date`}.
             * ```typescript
             * \@ViewChild("toast")
             * private toast: IgxToastComponent;
             * public onValueChanged(timepicker){
             *    this.toast.show()
             * }
             * //...
             * ```
             * ```html
             * <igx-time-picker (onValueChanged)="onValueChanged($event)"></igx-time-picker>
             * <igx-toast #toast message="The value has been changed!"></igx-toast>
             * ```
             */
            this.onValueChanged = new core.EventEmitter();
            /**
             * Emitted when an invalid value is being set. Returns {`timePicker`: `any`, `currentValue`: `Date`, `setThroughUI`: `boolean`}
             * ```typescript
             * public min: string = "09:00";
             * public max: string = "18:00";
             * \@ViewChild("toast")
             * private toast: IgxToastComponent;
             * public onValidationFailed(timepicker){
             *    this.toast.show();
             * }
             * //...
             * ```
             * ```html
             * <igx-time-picker [minValue]="min" [maxValue]="max" (onValidationFailed)="onValidationFailed($event)"></igx-time-picker>
             * <igx-toast #toast message="Value must be between 09:00 and 18:00!"></igx-toast>
             * ```
             */
            this.onValidationFailed = new core.EventEmitter();
            /**
             * Emitted when a timePicker is opened.
             */
            this.onOpened = new core.EventEmitter();
            /**
             * Emitted when a timePicker is closed.
             */
            this.onClosed = new core.EventEmitter();
            /**
             * Emitted when a timePicker is being closed.
             */
            this.onClosing = new core.EventEmitter();
            /**
             * @hidden
             */
            this._hourItems = [];
            /**
             * @hidden
             */
            this._minuteItems = [];
            /**
             * @hidden
             */
            this._ampmItems = [];
            /**
             * @hidden
             */
            this.cleared = false;
            /**
             * @hidden
             */
            this.isNotEmpty = false;
            /**
             * @hidden
             */
            this.displayFormat = new TimeDisplayFormatPipe(this);
            /**
             * @hidden
             */
            this.inputFormat = new TimeInputFormatPipe(this);
            this._resourceStrings = CurrentResourceStrings.TimePickerResStrings;
            this._okButtonLabel = null;
            this._cancelButtonLabel = null;
            this._isHourListLoop = this.isSpinLoop;
            this._isMinuteListLoop = this.isSpinLoop;
            this._hourView = [];
            this._minuteView = [];
            this._ampmView = [];
            this._destroy$ = new rxjs.Subject();
            this._onOpen = new core.EventEmitter();
            this._onClose = new core.EventEmitter();
            this._hoursPos = new Set();
            this._minutesPos = new Set();
            this._secondsPos = new Set();
            this._amPmPos = new Set();
            this._ngControl = null;
            //#region ControlValueAccessor
            this._onChangeCallback = noop$9;
            this._onTouchedCallback = noop$9;
        }
        Object.defineProperty(IgxTimePickerComponent.prototype, "value", {
            /**
             * An accessor that returns the value of `igx-time-picker` component.
             * ```html
             *@ViewChild("MyPick")
             *public pick: IgxTimePickerComponent;
             *ngAfterViewInit(){
             *    let pickSelect = this.pick.value;
             * }
             * ```
             */
            get: /**
             * An accessor that returns the value of `igx-time-picker` component.
             * ```html
             * \@ViewChild("MyPick")
             * public pick: IgxTimePickerComponent;
             * ngAfterViewInit(){
             *    let pickSelect = this.pick.value;
             * }
             * ```
             * @return {?}
             */
            function () {
                return this._value;
            },
            /**
             * An accessor that allows you to set a time using the `value` input.
             * ```html
             *public date: Date = new Date(Date.now());
             *  //...
             *<igx-time-picker [value]="date" format="h:mm tt"></igx-time-picker>
             * ```
             */
            set: /**
             * An accessor that allows you to set a time using the `value` input.
             * ```html
             * public date: Date = new Date(Date.now());
             *  //...
             * <igx-time-picker [value]="date" format="h:mm tt"></igx-time-picker>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                if (this._isValueValid(value)) {
                    /** @type {?} */
                    var oldVal = this._value;
                    this._value = value;
                    this._onChangeCallback(value);
                    /** @type {?} */
                    var dispVal = this._formatTime(this.value, this.format);
                    if (this.mode === InteractionMode.DropDown && this._displayValue !== dispVal) {
                        this.displayValue = dispVal;
                    }
                    /** @type {?} */
                    var args = {
                        oldValue: oldVal,
                        newValue: value
                    };
                    this.onValueChanged.emit(args);
                }
                else {
                    /** @type {?} */
                    var args = {
                        timePicker: this,
                        currentValue: value,
                        setThroughUI: false
                    };
                    this.onValidationFailed.emit(args);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "resourceStrings", {
            /**
             * An accessor that returns the resource strings.
            */
            get: /**
             * An accessor that returns the resource strings.
             * @return {?}
             */
            function () {
                return this._resourceStrings;
            },
            /**
             * An accessor that sets the resource strings.
             * By default it uses EN resources.
            */
            set: /**
             * An accessor that sets the resource strings.
             * By default it uses EN resources.
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._resourceStrings = Object.assign({}, this._resourceStrings, value);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "okButtonLabel", {
            /**
             * An accessor that returns the label of ok button.
            */
            get: /**
             * An accessor that returns the label of ok button.
             * @return {?}
             */
            function () {
                if (this._okButtonLabel === null) {
                    return this.resourceStrings.igx_time_picker_ok;
                }
                return this._okButtonLabel;
            },
            /**
             * An @Input property that renders OK button with custom text. By default `okButtonLabel` is set to OK.
             * ```html
             * <igx-time-picker okButtonLabel='SET' [value]="date" format="h:mm tt"></igx-time-picker>
             * ```
             */
            set: /**
             * An \@Input property that renders OK button with custom text. By default `okButtonLabel` is set to OK.
             * ```html
             * <igx-time-picker okButtonLabel='SET' [value]="date" format="h:mm tt"></igx-time-picker>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._okButtonLabel = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "cancelButtonLabel", {
            /**
            * An accessor that returns the label of cancel button.
            */
            get: /**
             * An accessor that returns the label of cancel button.
             * @return {?}
             */
            function () {
                if (this._cancelButtonLabel === null) {
                    return this.resourceStrings.igx_time_picker_cancel;
                }
                return this._cancelButtonLabel;
            },
            /**
             * An @Input property that renders cancel button with custom text.
             * By default `cancelButtonLabel` is set to Cancel.
             * ```html
             * <igx-time-picker cancelButtonLabel='Exit' [value]="date" format="h:mm tt"></igx-time-picker>
             * ```
             */
            set: /**
             * An \@Input property that renders cancel button with custom text.
             * By default `cancelButtonLabel` is set to Cancel.
             * ```html
             * <igx-time-picker cancelButtonLabel='Exit' [value]="date" format="h:mm tt"></igx-time-picker>
             * ```
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._cancelButtonLabel = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "format", {
            /**
             * An @Input property that Gets/Sets format of time while `igxTimePicker` does not have focus. <br>
             * By default `format` is set to hh:mm tt. <br>
             * List of time-flags: <br>
             * `h` : hours field in 12-hours format without leading zero <br>
             * `hh` : hours field in 12-hours format with leading zero <br>
             * `H` : hours field in 24-hours format without leading zero <br>
             * `HH` : hours field in 24-hours format with leading zero <br>
             * `m` : minutes field without leading zero <br>
             * `mm` : minutes field with leading zero <br>
             * `tt` : 2 character string which represents AM/PM field <br>
             * ```html
             *<igx-time-picker format="HH:m" id="time-picker"></igx-time-picker>
             * ```
             */
            get: /**
             * An \@Input property that Gets/Sets format of time while `igxTimePicker` does not have focus. <br>
             * By default `format` is set to hh:mm tt. <br>
             * List of time-flags: <br>
             * `h` : hours field in 12-hours format without leading zero <br>
             * `hh` : hours field in 12-hours format with leading zero <br>
             * `H` : hours field in 24-hours format without leading zero <br>
             * `HH` : hours field in 24-hours format with leading zero <br>
             * `m` : minutes field without leading zero <br>
             * `mm` : minutes field with leading zero <br>
             * `tt` : 2 character string which represents AM/PM field <br>
             * ```html
             * <igx-time-picker format="HH:m" id="time-picker"></igx-time-picker>
             * ```
             * @return {?}
             */
            function () {
                return this._format || 'hh:mm tt';
            },
            set: /**
             * @param {?} formatValue
             * @return {?}
             */
            function (formatValue) {
                this._format = formatValue;
                this.mask = this._format.indexOf('tt') !== -1 ? '00:00 LL' : '00:00';
                if (!this.showHoursList || !this.showMinutesList) {
                    this.mask = this.mask.slice(this.mask.indexOf(':') + 1, this.mask.length);
                }
                if (this.displayValue) {
                    this.displayValue = this._formatTime(this.value, this._format);
                }
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "overlaySettings", {
            get: /**
             * @return {?}
             */
            function () {
                return this._overlaySettings ? this._overlaySettings :
                    (this.mode === InteractionMode.Dialog ? this._dialogOverlaySettings : this._dropDownOverlaySettings);
            },
            /**
            * An @Input property that allows you to modify overlay positioning, interaction and scroll behavior.
            * ```typescript
            * const settings: OverlaySettings = {
            *      closeOnOutsideClick: true,
            *      modal: false
            *  }
            * ```
            * ---
            * ```html
            * <igx-time-picker [overlaySettings]="settings"></igx-time-picker>
            * ```
             * @memberof IgxTimePickerComponent
             */
            set: /**
             * An \@Input property that allows you to modify overlay positioning, interaction and scroll behavior.
             * ```typescript
             * const settings: OverlaySettings = {
             *      closeOnOutsideClick: true,
             *      modal: false
             *  }
             * ```
             * ---
             * ```html
             * <igx-time-picker [overlaySettings]="settings"></igx-time-picker>
             * ```
             * \@memberof IgxTimePickerComponent
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._overlaySettings = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "onOpen", {
            /**
             * @deprecated Use 'onOpened' instead.
             * Emitted when a timePicker is being opened.
             * ```html
             *@ViewChild("toast")
             *private toast: IgxToastComponent;
             *public onOpen(timepicker){
             *    this.toast.show();
             *}
             * //...
             * ```
             * ```html
             *<igx-time-picker [minValue]="min" [maxValue]="max" (onOpen)="onOpen($event)"></igx-time-picker>
             *<igx-toast #toast message="The time picker has been opened!"></igx-toast>
             * ```
             */
            get: /**
             * @deprecated Use 'onOpened' instead.
             * Emitted when a timePicker is being opened.
             * ```html
             * \@ViewChild("toast")
             * private toast: IgxToastComponent;
             * public onOpen(timepicker){
             *    this.toast.show();
             * }
             * //...
             * ```
             * ```html
             * <igx-time-picker [minValue]="min" [maxValue]="max" (onOpen)="onOpen($event)"></igx-time-picker>
             * <igx-toast #toast message="The time picker has been opened!"></igx-toast>
             * ```
             * @return {?}
             */
            function () {
                return this._onOpen;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._onOpen = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "onClose", {
            /**
             * @deprecated Use 'onClosed' instead.
             * Emitted when a timePicker is being closed.
             */
            get: /**
             * @deprecated Use 'onClosed' instead.
             * Emitted when a timePicker is being closed.
             * @return {?}
             */
            function () {
                return this._onClose;
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._onClose = val;
            },
            enumerable: true,
            configurable: true
        });
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} value
         * @return {?}
         */
        IgxTimePickerComponent.prototype.writeValue = /**
         * @hidden \@internal
         * @param {?} value
         * @return {?}
         */
        function (value) {
            // use this flag to make sure that min/maxValue are checked (in _convertMinMaxValue() method)
            // against the real value when initializing the component and value is bound via ngModel
            this._dateFromModel = value;
            this._value = value;
            if (this.mode === InteractionMode.DropDown) {
                this.displayValue = this._formatTime(this.value, this.format);
            }
        };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxTimePickerComponent.prototype.registerOnChange = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onChangeCallback = fn; };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        IgxTimePickerComponent.prototype.registerOnTouched = /**
         * @hidden \@internal
         * @param {?} fn
         * @return {?}
         */
        function (fn) { this._onTouchedCallback = fn; };
        /** @hidden @internal */
        /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        IgxTimePickerComponent.prototype.setDisabledState = /**
         * @hidden \@internal
         * @param {?} isDisabled
         * @return {?}
         */
        function (isDisabled) { this.disabled = isDisabled; };
        Object.defineProperty(IgxTimePickerComponent.prototype, "mask", {
            //#endregion
            /**
             * @hidden
            */
            get: 
            //#endregion
            /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._mask || '00:00 LL';
            },
            set: /**
             * @param {?} val
             * @return {?}
             */
            function (val) {
                this._mask = val;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "displayValue", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                if (this._displayValue === undefined) {
                    return this._formatTime(this.value, this.format);
                }
                return this._displayValue;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._displayValue = value;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "displayTime", {
            /**
             * Returns the current time formatted as string using the `format` option.
             * If there is no set time the return is an empty string.
             *```typescript
             *@ViewChild("MyChild")
             *private picker: IgxTimePickerComponent;
             *ngAfterViewInit(){
             *    let time = this.picker.displayTime;
             *}
             *```
             */
            get: /**
             * Returns the current time formatted as string using the `format` option.
             * If there is no set time the return is an empty string.
             * ```typescript
             * \@ViewChild("MyChild")
             * private picker: IgxTimePickerComponent;
             * ngAfterViewInit(){
             *    let time = this.picker.displayTime;
             * }
             * ```
             * @return {?}
             */
            function () {
                if (this.value) {
                    return this._formatTime(this.value, this.format);
                }
                return '';
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "hourView", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._hourView;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "minuteView", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._minuteView;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "ampmView", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this._ampmView;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "showClearButton", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return (this.displayValue && this.displayValue !== this.parseMask(false)) || this.isNotEmpty;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "showHoursList", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.format.indexOf('h') !== -1 || this.format.indexOf('H') !== -1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "showMinutesList", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.format.indexOf('m') !== -1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "showAmPmList", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                return this.format.indexOf('t') !== -1;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "validMinuteEntries", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var minuteEntries = [];
                for (var i = 0; i < 60; i++) {
                    minuteEntries.push(i);
                }
                return minuteEntries;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "validHourEntries", {
            /**
             * @hidden
             */
            get: /**
             * @hidden
             * @return {?}
             */
            function () {
                /** @type {?} */
                var hourEntries = [];
                /** @type {?} */
                var index = this.format.indexOf('h') !== -1 ? 13 : 24;
                for (var i = 0; i < index; i++) {
                    hourEntries.push(i);
                }
                return hourEntries;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "template", {
            /**
             * Gets the input group template.
             * ```typescript
             * let template = this.template();
             * ```
             * @memberof IgxTimePickerComponent
             */
            get: /**
             * Gets the input group template.
             * ```typescript
             * let template = this.template();
             * ```
             * \@memberof IgxTimePickerComponent
             * @return {?}
             */
            function () {
                if (this.timePickerTemplateDirective) {
                    return this.timePickerTemplateDirective.template;
                }
                return this.mode === InteractionMode.Dialog ? this.defaultTimePickerTemplate : this.dropdownInputTemplate;
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "context", {
            /**
             * Gets the context passed to the input group template.
             * @memberof IgxTimePickerComponent
             */
            get: /**
             * Gets the context passed to the input group template.
             * \@memberof IgxTimePickerComponent
             * @return {?}
             */
            function () {
                var _this = this;
                return {
                    value: this.value,
                    displayTime: this.displayTime,
                    displayValue: this.displayValue,
                    openDialog: function (target) { return _this.openDialog(target); }
                };
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxTimePickerComponent.prototype, "required", {
            get: /**
             * @private
             * @return {?}
             */
            function () {
                if (this._ngControl && this._ngControl.control && this._ngControl.control.validator) {
                    // Run the validation with empty object to check if required is enabled.
                    /** @type {?} */
                    var error = this._ngControl.control.validator((/** @type {?} */ ({})));
                    return error && error.required;
                }
                return false;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._generateHours();
            this._generateMinutes();
            if (this.format.indexOf('tt') !== -1) {
                this._generateAmPm();
            }
            this._dropDownOverlaySettings = {
                modal: false,
                closeOnOutsideClick: true,
                scrollStrategy: new AbsoluteScrollStrategy(),
                positionStrategy: new AutoPositionStrategy()
            };
            this._dialogOverlaySettings = {};
            this._ngControl = this._injector.get((/** @type {?} */ (forms.NgControl)), null);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.ngAfterViewInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.mode === InteractionMode.DropDown && this._inputElementRef) {
                rxjs.fromEvent(this._inputElementRef.nativeElement, 'keydown').pipe(operators.throttle(function () { return rxjs.interval(0, rxjs.animationFrameScheduler); }), operators.takeUntil(this._destroy$)).subscribe(function (event) {
                    if (event.key === "ArrowUp" /* UP_ARROW */ || event.key === "Up" /* UP_ARROW_IE */ ||
                        event.key === "ArrowDown" /* DOWN_ARROW */ || event.key === "Down" /* DOWN_ARROW_IE */) {
                        _this.spinOnEdit(event);
                    }
                });
            }
            if (this.toggleRef && this._inputGroup) {
                this.toggleRef.element.style.width = this._inputGroup.element.nativeElement.getBoundingClientRect().width + 'px';
            }
            if (this.toggleRef) {
                this.toggleRef.onClosed.pipe(operators.takeUntil(this._destroy$)).subscribe(function () {
                    if (_this.mode === InteractionMode.DropDown) {
                        _this._onDropDownClosed();
                    }
                    _this.onClosed.emit(_this);
                    // TODO: remove this line after deprecating 'onClose'
                    _this._onClose.emit(_this);
                });
                this.toggleRef.onOpened.pipe(operators.takeUntil(this._destroy$)).subscribe(function () {
                    _this.onOpened.emit(_this);
                    // TODO: remove this line after deprecating 'onOpen'
                    _this._onOpen.emit(_this);
                });
                this.toggleRef.onClosing.pipe(operators.takeUntil(this._destroy$)).subscribe(function (event) {
                    _this.onClosing.emit(event);
                    // If canceled in a user onClosing handler
                    if (event.cancel) {
                        return;
                    }
                    // Do not focus the input if clicking outside in dropdown mode
                    /** @type {?} */
                    var input = _this.getEditElement();
                    if (input && !(event.event && _this.mode === InteractionMode.DropDown)) {
                        input.focus();
                    }
                    else {
                        _this._updateValidityOnBlur();
                    }
                });
                this.determineCursorPos();
                if (this._ngControl) {
                    this._statusChanges$ = this._ngControl.statusChanges.subscribe(this.onStatusChanged.bind(this));
                }
            }
        };
        /**
         * @return {?}
         */
        IgxTimePickerComponent.prototype.ngAfterViewChecked = /**
         * @return {?}
         */
        function () {
            // if one sets mode at run time this forces initialization of new igxInputGroup
            // As a result a new igxInputDirective is initialized too. In ngAfterViewInit of
            // the new directive isRequired of the igxInputGroup is set again. However
            // ngAfterViewInit of the time picker is not called again and we may finish with wrong
            // isRequired in igxInputGroup. This is why we should set it her, only when needed
            if (this._inputGroup && this._inputGroup.isRequired !== this.required) {
                this._inputGroup.isRequired = this.required;
                this._cdr.detectChanges();
            }
        };
        /**
     * @hidden
     */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            this._destroy$.next(true);
            this._destroy$.complete();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTimePickerComponent.prototype.onKeydownSpace = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.openDialog(this.getInputGroupElement());
            event.preventDefault();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.onAltArrowDown = /**
         * @hidden
         * @return {?}
         */
        function () {
            this.openDialog(this.getInputGroupElement());
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype.determineCursorPos = /**
         * @private
         * @return {?}
         */
        function () {
            var e_1, _a;
            this.clearCursorPos();
            try {
                for (var _b = __values(this.format), _c = _b.next(); !_c.done; _c = _b.next()) {
                    var char = _c.value;
                    switch (char) {
                        case 'H':
                        case 'h':
                            this._hoursPos.size === 0 ? this._hoursPos.add(this.format.indexOf(char)) :
                                this._hoursPos.add(this.format.lastIndexOf(char));
                            this._hoursPos.add(this.format.lastIndexOf(char) + 1);
                            break;
                        case 'M':
                        case 'm':
                            this._minutesPos.size === 0 ? this._minutesPos.add(this.format.indexOf(char)) :
                                this._minutesPos.add(this.format.lastIndexOf(char));
                            this._minutesPos.add(this.format.lastIndexOf(char) + 1);
                            break;
                        case 'S':
                        case 's':
                            this._secondsPos.size === 0 ? this._secondsPos.add(this.format.indexOf(char)) :
                                this._secondsPos.add(this.format.lastIndexOf(char));
                            this._secondsPos.add(this.format.lastIndexOf(char) + 1);
                            break;
                        case 'T':
                        case 't':
                            this._amPmPos.size === 0 ? this._amPmPos.add(this.format.indexOf(char)) :
                                this._amPmPos.add(this.format.lastIndexOf(char));
                            this._amPmPos.add(this.format.lastIndexOf(char) + 1);
                            break;
                    }
                }
            }
            catch (e_1_1) { e_1 = { error: e_1_1 }; }
            finally {
                try {
                    if (_c && !_c.done && (_a = _b.return)) _a.call(_b);
                }
                finally { if (e_1) throw e_1.error; }
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype.clearCursorPos = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            this._hoursPos.forEach(function (v) { return _this._hoursPos.delete(v); });
            this._minutesPos.forEach(function (v) { return _this._minutesPos.delete(v); });
            this._secondsPos.forEach(function (v) { return _this._secondsPos.delete(v); });
            this._amPmPos.forEach(function (v) { return _this._amPmPos.delete(v); });
        };
        /**
         * @private
         * @param {?} item
         * @param {?} items
         * @param {?} selectedItem
         * @param {?} isListLoop
         * @param {?} viewType
         * @return {?}
         */
        IgxTimePickerComponent.prototype._scrollItemIntoView = /**
         * @private
         * @param {?} item
         * @param {?} items
         * @param {?} selectedItem
         * @param {?} isListLoop
         * @param {?} viewType
         * @return {?}
         */
        function (item, items, selectedItem, isListLoop, viewType) {
            /** @type {?} */
            var itemIntoView;
            if (items) {
                /** @type {?} */
                var index = (item === 'AM' || item === 'PM') ? items.indexOf(item) : items.indexOf(parseInt(item, 10));
                /** @type {?} */
                var view = void 0;
                if (index !== -1) {
                    if (isListLoop) {
                        if (index > 0) {
                            selectedItem = this._itemToString(items[index - 1], viewType);
                            itemIntoView = this._nextItem(items, selectedItem, isListLoop, viewType);
                        }
                        else {
                            selectedItem = this._itemToString(items[1], viewType);
                            itemIntoView = this._prevItem(items, selectedItem, isListLoop, viewType);
                        }
                    }
                    else {
                        view = items.slice(index - 3, index + 4);
                        selectedItem = this._itemToString(items[index], viewType);
                        itemIntoView = { selectedItem: selectedItem, view: view };
                    }
                    itemIntoView.view = this._viewToString(itemIntoView.view, viewType);
                }
            }
            return itemIntoView;
        };
        /**
         * @private
         * @param {?} view
         * @param {?} viewType
         * @return {?}
         */
        IgxTimePickerComponent.prototype._viewToString = /**
         * @private
         * @param {?} view
         * @param {?} viewType
         * @return {?}
         */
        function (view, viewType) {
            for (var i = 0; i < view.length; i++) {
                if (typeof (view[i]) !== 'string') {
                    view[i] = this._itemToString(view[i], viewType);
                }
            }
            return view;
        };
        /**
         * @private
         * @param {?} item
         * @param {?} viewType
         * @return {?}
         */
        IgxTimePickerComponent.prototype._itemToString = /**
         * @private
         * @param {?} item
         * @param {?} viewType
         * @return {?}
         */
        function (item, viewType) {
            if (item === null) {
                item = '';
            }
            else if (viewType && typeof (item) !== 'string') {
                /** @type {?} */
                var leadZeroHour = (item < 10 && (this.format.indexOf('hh') !== -1 || this.format.indexOf('HH') !== -1));
                /** @type {?} */
                var leadZeroMinute = (item < 10 && this.format.indexOf('mm') !== -1);
                /** @type {?} */
                var leadZero = (viewType === 'hour') ? leadZeroHour : leadZeroMinute;
                item = (leadZero) ? '0' + item : "" + item;
            }
            return item;
        };
        /**
         * @private
         * @param {?} items
         * @param {?} selectedItem
         * @param {?} isListLoop
         * @param {?} viewType
         * @return {?}
         */
        IgxTimePickerComponent.prototype._prevItem = /**
         * @private
         * @param {?} items
         * @param {?} selectedItem
         * @param {?} isListLoop
         * @param {?} viewType
         * @return {?}
         */
        function (items, selectedItem, isListLoop, viewType) {
            /** @type {?} */
            var selectedIndex = items.indexOf(parseInt(selectedItem, 10));
            /** @type {?} */
            var itemsCount = items.length;
            /** @type {?} */
            var view;
            if (selectedIndex === -1) {
                view = items.slice(0, 7);
                selectedItem = items[3];
            }
            else if (isListLoop) {
                if (selectedIndex - 4 < 0) {
                    view = items.slice(itemsCount - (4 - selectedIndex), itemsCount);
                    view = view.concat(items.slice(0, selectedIndex + 3));
                }
                else if (selectedIndex + 4 > itemsCount) {
                    view = items.slice(selectedIndex - 4, itemsCount);
                    view = view.concat(items.slice(0, selectedIndex + 3 - itemsCount));
                }
                else {
                    view = items.slice(selectedIndex - 4, selectedIndex + 3);
                }
                selectedItem = (selectedIndex === 0) ? items[itemsCount - 1] : items[selectedIndex - 1];
            }
            else if (selectedIndex > 3) {
                view = items.slice(selectedIndex - 4, selectedIndex + 3);
                selectedItem = items[selectedIndex - 1];
            }
            else if (selectedIndex === 3) {
                view = items.slice(0, 7);
            }
            view = this._viewToString(view, viewType);
            selectedItem = this._itemToString(selectedItem, viewType);
            return {
                selectedItem: selectedItem,
                view: view
            };
        };
        /**
         * @private
         * @param {?} items
         * @param {?} selectedItem
         * @param {?} isListLoop
         * @param {?} viewType
         * @return {?}
         */
        IgxTimePickerComponent.prototype._nextItem = /**
         * @private
         * @param {?} items
         * @param {?} selectedItem
         * @param {?} isListLoop
         * @param {?} viewType
         * @return {?}
         */
        function (items, selectedItem, isListLoop, viewType) {
            /** @type {?} */
            var selectedIndex = items.indexOf(parseInt(selectedItem, 10));
            /** @type {?} */
            var itemsCount = items.length;
            /** @type {?} */
            var view;
            if (selectedIndex === -1) {
                view = items.slice(0, 7);
                selectedItem = items[3];
            }
            else if (isListLoop) {
                if (selectedIndex < 2) {
                    view = items.slice(itemsCount - (2 - selectedIndex), itemsCount);
                    view = view.concat(items.slice(0, selectedIndex + 5));
                }
                else if (selectedIndex + 4 >= itemsCount) {
                    view = items.slice(selectedIndex - 2, itemsCount);
                    view = view.concat(items.slice(0, selectedIndex + 5 - itemsCount));
                }
                else {
                    view = items.slice(selectedIndex - 2, selectedIndex + 5);
                }
                selectedItem = (selectedIndex === itemsCount - 1) ? items[0] : items[selectedIndex + 1];
            }
            else if (selectedIndex + 1 < itemsCount - 3) {
                view = items.slice(selectedIndex - 2, selectedIndex + 5);
                selectedItem = items[selectedIndex + 1];
            }
            else if (selectedIndex === itemsCount - 4) {
                view = items.slice(selectedIndex - 3, itemsCount);
            }
            view = this._viewToString(view, viewType);
            selectedItem = this._itemToString(selectedItem, viewType);
            return {
                selectedItem: selectedItem,
                view: view
            };
        };
        /**
         * @private
         * @param {?} value
         * @param {?} format
         * @return {?}
         */
        IgxTimePickerComponent.prototype._formatTime = /**
         * @private
         * @param {?} value
         * @param {?} format
         * @return {?}
         */
        function (value, format) {
            if (!value) {
                return '';
            }
            else {
                /** @type {?} */
                var hour = value.getHours();
                /** @type {?} */
                var formattedMinute = void 0;
                /** @type {?} */
                var formattedHour = void 0;
                /** @type {?} */
                var minute = value.getMinutes();
                /** @type {?} */
                var amPM = (hour > 11) ? 'PM' : 'AM';
                if (format.indexOf('h') !== -1) {
                    if (hour > 12) {
                        hour -= 12;
                        formattedHour = hour < 10 && format.indexOf('hh') !== -1 ? '0' + hour : "" + hour;
                    }
                    else if (hour === 0) {
                        formattedHour = '12';
                    }
                    else if (hour < 10 && format.indexOf('hh') !== -1) {
                        formattedHour = '0' + hour;
                    }
                    else {
                        formattedHour = "" + hour;
                    }
                }
                else {
                    if (hour < 10 && format.indexOf('HH') !== -1) {
                        formattedHour = '0' + hour;
                    }
                    else {
                        formattedHour = "" + hour;
                    }
                }
                formattedMinute = minute < 10 && format.indexOf('mm') !== -1 ? '0' + minute : "" + minute;
                return format.replace('hh', formattedHour).replace('h', formattedHour)
                    .replace('HH', formattedHour).replace('H', formattedHour)
                    .replace('mm', formattedMinute).replace('m', formattedMinute)
                    .replace('tt', amPM);
            }
        };
        /**
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        IgxTimePickerComponent.prototype._updateHourView = /**
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        function (start, end) {
            this._hourView = this._viewToString(this._hourItems.slice(start, end), 'hour');
        };
        /**
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        IgxTimePickerComponent.prototype._updateMinuteView = /**
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        function (start, end) {
            this._minuteView = this._viewToString(this._minuteItems.slice(start, end), 'minute');
        };
        /**
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        IgxTimePickerComponent.prototype._updateAmPmView = /**
         * @private
         * @param {?} start
         * @param {?} end
         * @return {?}
         */
        function (start, end) {
            this._ampmView = this._ampmItems.slice(start, end);
        };
        /**
         * @private
         * @param {?} items
         * @return {?}
         */
        IgxTimePickerComponent.prototype._addEmptyItems = /**
         * @private
         * @param {?} items
         * @return {?}
         */
        function (items) {
            for (var i = 0; i < 3; i++) {
                items.push(null);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._generateHours = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var hourItemsCount = 24;
            if (this.format.indexOf('h') !== -1) {
                hourItemsCount = 13;
            }
            hourItemsCount /= this.itemsDelta.hours;
            /** @type {?} */
            var i = this.format.indexOf('H') !== -1 ? 0 : 1;
            if (hourItemsCount < 7 || !this.isSpinLoop) {
                this._addEmptyItems(this._hourItems);
                this._isHourListLoop = false;
            }
            if (hourItemsCount > 1) {
                for (i; i < hourItemsCount; i++) {
                    this._hourItems.push(i * this.itemsDelta.hours);
                }
            }
            else {
                this._hourItems.push(0);
            }
            if (hourItemsCount < 7 || !this.isSpinLoop) {
                this._addEmptyItems(this._hourItems);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._generateMinutes = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var minuteItemsCount = 60 / this.itemsDelta.minutes;
            if (minuteItemsCount < 7 || !this.isSpinLoop) {
                this._addEmptyItems(this._minuteItems);
                this._isMinuteListLoop = false;
            }
            for (var i = 0; i < minuteItemsCount; i++) {
                this._minuteItems.push(i * this.itemsDelta.minutes);
            }
            if (minuteItemsCount < 7 || !this.isSpinLoop) {
                this._addEmptyItems(this._minuteItems);
            }
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._generateAmPm = /**
         * @private
         * @return {?}
         */
        function () {
            this._addEmptyItems(this._ampmItems);
            this._ampmItems.push('AM');
            this._ampmItems.push('PM');
            this._addEmptyItems(this._ampmItems);
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._getSelectedTime = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var date = this.value ? new Date(this.value) : new Date();
            if (this.selectedHour) {
                date.setHours(parseInt(this.selectedHour, 10));
            }
            if (this.selectedMinute) {
                date.setMinutes(parseInt(this.selectedMinute, 10));
            }
            date.setSeconds(0);
            if (((this.showHoursList && this.selectedHour !== '12') || (!this.showHoursList && this.selectedHour <= '11')) &&
                this.selectedAmPm === 'PM') {
                date.setHours(date.getHours() + 12);
            }
            if (!this.showHoursList && this.selectedAmPm === 'AM' && this.selectedHour > '11') {
                date.setHours(date.getHours() - 12);
            }
            if (this.selectedAmPm === 'AM' && this.selectedHour === '12') {
                date.setHours(0);
            }
            return date;
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxTimePickerComponent.prototype._convertMinMaxValue = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            /** @type {?} */
            var date = this.value ? new Date(this.value) : this._dateFromModel ? new Date(this._dateFromModel) : new Date();
            /** @type {?} */
            var sections = value.split(/[\s:]+/);
            /** @type {?} */
            var hour;
            /** @type {?} */
            var minutes;
            /** @type {?} */
            var amPM;
            date.setSeconds(0);
            if (this.showHoursList) {
                hour = sections[0];
                date.setHours(parseInt(hour, 10));
            }
            if (this.showMinutesList) {
                minutes = this.showHoursList ? sections[1] : sections[0];
                date.setMinutes(parseInt(minutes, 10));
            }
            if (this.showAmPmList) {
                amPM = sections[sections.length - 1];
                if (((this.showHoursList && date.getHours().toString() !== '12') ||
                    (!this.showHoursList && date.getHours().toString() <= '11')) && amPM === 'PM') {
                    date.setHours(date.getHours() + 12);
                }
                if (!this.showHoursList && amPM === 'AM' && date.getHours().toString() > '11') {
                    date.setHours(date.getHours() - 12);
                }
                if (this.showHoursList && date.getHours() === 12 && amPM === 'AM') {
                    date.setHours(0);
                }
            }
            return date;
        };
        /**
         * @private
         * @param {?} value
         * @return {?}
         */
        IgxTimePickerComponent.prototype._isValueValid = /**
         * @private
         * @param {?} value
         * @return {?}
         */
        function (value) {
            if (this.maxValue && value > this._convertMinMaxValue(this.maxValue)) {
                return false;
            }
            else if (this.minValue && value < this._convertMinMaxValue(this.minValue)) {
                return false;
            }
            return true;
        };
        /**
         * @private
         * @param {?} val
         * @return {?}
         */
        IgxTimePickerComponent.prototype._isEntryValid = /**
         * @private
         * @param {?} val
         * @return {?}
         */
        function (val) {
            /** @type {?} */
            var validH = true;
            /** @type {?} */
            var validM = true;
            /** @type {?} */
            var sections = val.split(/[\s:]+/);
            /** @type {?} */
            var re = new RegExp(this.promptChar, 'g');
            if (this.showHoursList) {
                validH = this.validHourEntries.indexOf(parseInt(sections[0].replace(re, ''), 10)) !== -1;
            }
            if (this.showMinutesList) {
                /** @type {?} */
                var minutes = this.showHoursList ? sections[1] : sections[0];
                validM = this.validMinuteEntries.indexOf(parseInt(minutes.replace(re, ''), 10)) !== -1;
            }
            return validH && validM;
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._getCursorPosition = /**
         * @private
         * @return {?}
         */
        function () {
            return this._inputElementRef.nativeElement.selectionStart;
        };
        /**
         * @private
         * @param {?} start
         * @param {?=} end
         * @return {?}
         */
        IgxTimePickerComponent.prototype._setCursorPosition = /**
         * @private
         * @param {?} start
         * @param {?=} end
         * @return {?}
         */
        function (start, end) {
            if (end === void 0) { end = start; }
            this._inputElementRef.nativeElement.setSelectionRange(start, end);
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._updateEditableInput = /**
         * @private
         * @return {?}
         */
        function () {
            if (this.mode === InteractionMode.DropDown) {
                this.displayValue = this._formatTime(this._getSelectedTime(), this.format);
            }
        };
        /**
         * @private
         * @param {?} currentVal
         * @param {?} minVal
         * @param {?} maxVal
         * @param {?} hDelta
         * @param {?} sign
         * @return {?}
         */
        IgxTimePickerComponent.prototype._spinHours = /**
         * @private
         * @param {?} currentVal
         * @param {?} minVal
         * @param {?} maxVal
         * @param {?} hDelta
         * @param {?} sign
         * @return {?}
         */
        function (currentVal, minVal, maxVal, hDelta, sign) {
            /** @type {?} */
            var oldVal = new Date(currentVal);
            currentVal.setMinutes(sign * hDelta);
            if (currentVal.getDate() !== oldVal.getDate() && this.isSpinLoop) {
                currentVal.setDate(oldVal.getDate());
            }
            /** @type {?} */
            var minutes = currentVal.getMinutes();
            if (currentVal.getTime() > maxVal.getTime()) {
                if (this.isSpinLoop) {
                    minutes = minutes < minVal.getMinutes() ? 60 + minutes : minutes;
                    minVal.setMinutes(sign * minutes);
                    return minVal;
                }
                else {
                    return oldVal;
                }
            }
            else if (currentVal.getTime() < minVal.getTime()) {
                if (this.isSpinLoop) {
                    minutes = minutes <= maxVal.getMinutes() ? minutes : minutes - 60;
                    maxVal.setMinutes(minutes);
                    return maxVal;
                }
                else {
                    return oldVal;
                }
            }
            else {
                return currentVal;
            }
        };
        /**
         * @private
         * @param {?} currentVal
         * @param {?} mDelta
         * @param {?} sign
         * @return {?}
         */
        IgxTimePickerComponent.prototype._spinMinutes = /**
         * @private
         * @param {?} currentVal
         * @param {?} mDelta
         * @param {?} sign
         * @return {?}
         */
        function (currentVal, mDelta, sign) {
            /** @type {?} */
            var minutes = currentVal.getMinutes() + (sign * mDelta);
            if (minutes < 0 || minutes >= 60) {
                minutes = this.isSpinLoop ? minutes - (sign * 60) : currentVal.getMinutes();
            }
            currentVal.setMinutes(minutes);
            return currentVal;
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._initializeContainer = /**
         * @private
         * @return {?}
         */
        function () {
            var _this = this;
            if (this.value) {
                /** @type {?} */
                var formttedTime = this._formatTime(this.value, this.format);
                /** @type {?} */
                var sections = formttedTime.split(/[\s:]+/);
                if (this.showHoursList) {
                    this.selectedHour = sections[0];
                }
                if (this.showMinutesList) {
                    this.selectedMinute = this.showHoursList ? sections[1] : sections[0];
                }
                if (this.showAmPmList && this._ampmItems !== null) {
                    this.selectedAmPm = sections[sections.length - 1];
                }
            }
            if (this.selectedHour === undefined) {
                this.selectedHour = !this.showHoursList && this.value ? this.value.getHours().toString() :
                    this.showHoursList ? "" + this._hourItems[3] : '0';
            }
            if (this.selectedMinute === undefined) {
                this.selectedMinute = !this.showMinutesList && this.value ? this.value.getMinutes().toString() : '0';
            }
            if (this.selectedAmPm === undefined && this._ampmItems !== null) {
                this.selectedAmPm = this._ampmItems[3];
            }
            this._prevSelectedHour = this.selectedHour;
            this._prevSelectedMinute = this.selectedMinute;
            this._prevSelectedAmPm = this.selectedAmPm;
            this._onTouchedCallback();
            this._updateHourView(0, ITEMS_COUNT);
            this._updateMinuteView(0, ITEMS_COUNT);
            this._updateAmPmView(0, ITEMS_COUNT);
            if (this.selectedHour) {
                this.scrollHourIntoView(this.selectedHour);
            }
            if (this.selectedMinute) {
                this.scrollMinuteIntoView(this.selectedMinute);
            }
            if (this.selectedAmPm) {
                this.scrollAmPmIntoView(this.selectedAmPm);
            }
            requestAnimationFrame(function () {
                if (_this.hourList) {
                    _this.hourList.nativeElement.focus();
                }
                else if (_this.minuteList) {
                    _this.minuteList.nativeElement.focus();
                }
            });
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._onDropDownClosed = /**
         * @private
         * @return {?}
         */
        function () {
            /** @type {?} */
            var oldValue = this.value;
            /** @type {?} */
            var newVal = this._convertMinMaxValue(this.displayValue);
            if (this.displayValue === this.parseMask(false)) {
                return;
            }
            if (this._isValueValid(newVal)) {
                if (!this.value || oldValue.getTime() !== newVal.getTime()) {
                    this.value = newVal;
                }
            }
            else {
                this.displayValue = this.inputFormat.transform(this._formatTime(oldValue, this.format));
                /** @type {?} */
                var args = {
                    timePicker: this,
                    currentValue: newVal,
                    setThroughUI: true
                };
                this.onValidationFailed.emit(args);
            }
        };
        /**
         * @protected
         * @return {?}
         */
        IgxTimePickerComponent.prototype.onStatusChanged = /**
         * @protected
         * @return {?}
         */
        function () {
            if ((this._ngControl.control.touched || this._ngControl.control.dirty) &&
                (this._ngControl.control.validator || this._ngControl.control.asyncValidator)) {
                /** @type {?} */
                var input = this._inputDirective || this._inputDirectiveUserTemplate;
                if (this._inputGroup.isFocused) {
                    input.valid = this._ngControl.valid ? IgxInputState.VALID : IgxInputState.INVALID;
                }
                else {
                    input.valid = this._ngControl.valid ? IgxInputState.INITIAL : IgxInputState.INVALID;
                }
            }
            if (this._inputGroup && this._inputGroup.isRequired !== this.required) {
                this._inputGroup.isRequired = this.required;
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.getEditElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this._inputElementRef ? this._inputElementRef.nativeElement : null;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.getInputGroupElement = /**
         * @hidden
         * @return {?}
         */
        function () {
            return this._inputGroup ? this._inputGroup.element.nativeElement : null;
        };
        /**
         * opens the dialog.
         * @param target HTMLElement - the target element to use for positioning the drop down container according to
         * ```html
         * <igx-time-picker [value]="date" mode="dropdown" #retemplated>
         *   <ng-template igxTimePickerTemplate let-openDialog="openDialog"
         *                let-displayTime="displayTime">
         *     <igx-input-group>
         *       <input #dropDownTarget igxInput [value]="displayTime" />
         *       <igx-suffix (click)="openDialog(dropDownTarget)">
         *         <igx-icon>alarm</igx-icon>
         *       </igx-suffix>
         *     </igx-input-group>
         *   </ng-template>
         * </igx-time-picker>
         * ```
         */
        /**
         * opens the dialog.
         * @param {?=} target HTMLElement - the target element to use for positioning the drop down container according to
         * ```html
         * <igx-time-picker [value]="date" mode="dropdown" #retemplated>
         *   <ng-template igxTimePickerTemplate let-openDialog="openDialog"
         *                let-displayTime="displayTime">
         *     <igx-input-group>
         *       <input #dropDownTarget igxInput [value]="displayTime" />
         *       <igx-suffix (click)="openDialog(dropDownTarget)">
         *         <igx-icon>alarm</igx-icon>
         *       </igx-suffix>
         *     </igx-input-group>
         *   </ng-template>
         * </igx-time-picker>
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.openDialog = /**
         * opens the dialog.
         * @param {?=} target HTMLElement - the target element to use for positioning the drop down container according to
         * ```html
         * <igx-time-picker [value]="date" mode="dropdown" #retemplated>
         *   <ng-template igxTimePickerTemplate let-openDialog="openDialog"
         *                let-displayTime="displayTime">
         *     <igx-input-group>
         *       <input #dropDownTarget igxInput [value]="displayTime" />
         *       <igx-suffix (click)="openDialog(dropDownTarget)">
         *         <igx-icon>alarm</igx-icon>
         *       </igx-suffix>
         *     </igx-input-group>
         *   </ng-template>
         * </igx-time-picker>
         * ```
         * @return {?}
         */
        function (target) {
            if (!this.toggleRef.collapsed) {
                return this._onDropDownClosed();
            }
            /** @type {?} */
            var settings = this.overlaySettings;
            if (target && settings && settings.positionStrategy) {
                settings.positionStrategy.settings.target = target;
            }
            if (this.outlet) {
                settings.outlet = this.outlet;
            }
            this.toggleRef.open(settings);
            this._initializeContainer();
        };
        /**
         * Scrolls a hour item into view.
         * ```typescript
         *scrhintoView(picker) {
         *picker.scrollHourIntoView('2');
         *}
         * ```
         *```html
         *<igx-time-picker #picker format="h:mm tt" (onOpen)="scrhintoView(picker)"></igx-time-picker>
         *```
         *@param item to be scrolled in view.
         */
        /**
         * Scrolls a hour item into view.
         * ```typescript
         * scrhintoView(picker) {
         * picker.scrollHourIntoView('2');
         * }
         * ```
         * ```html
         * <igx-time-picker #picker format="h:mm tt" (onOpen)="scrhintoView(picker)"></igx-time-picker>
         * ```
         * @param {?} item to be scrolled in view.
         * @return {?}
         */
        IgxTimePickerComponent.prototype.scrollHourIntoView = /**
         * Scrolls a hour item into view.
         * ```typescript
         * scrhintoView(picker) {
         * picker.scrollHourIntoView('2');
         * }
         * ```
         * ```html
         * <igx-time-picker #picker format="h:mm tt" (onOpen)="scrhintoView(picker)"></igx-time-picker>
         * ```
         * @param {?} item to be scrolled in view.
         * @return {?}
         */
        function (item) {
            if (this.showHoursList) {
                /** @type {?} */
                var hourIntoView = this._scrollItemIntoView(item, this._hourItems, this.selectedHour, this._isHourListLoop, 'hour');
                if (hourIntoView) {
                    this._hourView = hourIntoView.view;
                    this.selectedHour = hourIntoView.selectedItem;
                    this._updateEditableInput();
                }
            }
        };
        /**
         * Scrolls a minute item into view.
         * ```typescript
         *scrMintoView(picker) {
         *picker.scrollMinuteIntoView('3');
         *}
         * ```
         *```html
         *<igx-time-picker #picker format="h:mm tt" (onOpen)="scrMintoView(picker)"></igx-time-picker>
         *```
         * @param item to be scrolled in view.
         */
        /**
         * Scrolls a minute item into view.
         * ```typescript
         * scrMintoView(picker) {
         * picker.scrollMinuteIntoView('3');
         * }
         * ```
         * ```html
         * <igx-time-picker #picker format="h:mm tt" (onOpen)="scrMintoView(picker)"></igx-time-picker>
         * ```
         * @param {?} item to be scrolled in view.
         * @return {?}
         */
        IgxTimePickerComponent.prototype.scrollMinuteIntoView = /**
         * Scrolls a minute item into view.
         * ```typescript
         * scrMintoView(picker) {
         * picker.scrollMinuteIntoView('3');
         * }
         * ```
         * ```html
         * <igx-time-picker #picker format="h:mm tt" (onOpen)="scrMintoView(picker)"></igx-time-picker>
         * ```
         * @param {?} item to be scrolled in view.
         * @return {?}
         */
        function (item) {
            if (this.showMinutesList) {
                /** @type {?} */
                var minuteIntoView = this._scrollItemIntoView(item, this._minuteItems, this.selectedMinute, this._isMinuteListLoop, 'minute');
                if (minuteIntoView) {
                    this._minuteView = minuteIntoView.view;
                    this.selectedMinute = minuteIntoView.selectedItem;
                    this._updateEditableInput();
                }
            }
        };
        /**
         * Scrolls an ampm item into view.
         * ```typescript
         *scrAmPmIntoView(picker) {
         *picker.scrollAmPmIntoView('PM');
         *}
         * ```
         *```html
         *<igx-time-picker #picker format="h:mm tt" (onOpen)="scrAmPmIntoView(picker)"></igx-time-picker>
         *```
         * @param item to be scrolled in view.
         */
        /**
         * Scrolls an ampm item into view.
         * ```typescript
         * scrAmPmIntoView(picker) {
         * picker.scrollAmPmIntoView('PM');
         * }
         * ```
         * ```html
         * <igx-time-picker #picker format="h:mm tt" (onOpen)="scrAmPmIntoView(picker)"></igx-time-picker>
         * ```
         * @param {?} item to be scrolled in view.
         * @return {?}
         */
        IgxTimePickerComponent.prototype.scrollAmPmIntoView = /**
         * Scrolls an ampm item into view.
         * ```typescript
         * scrAmPmIntoView(picker) {
         * picker.scrollAmPmIntoView('PM');
         * }
         * ```
         * ```html
         * <igx-time-picker #picker format="h:mm tt" (onOpen)="scrAmPmIntoView(picker)"></igx-time-picker>
         * ```
         * @param {?} item to be scrolled in view.
         * @return {?}
         */
        function (item) {
            if (this.showAmPmList) {
                /** @type {?} */
                var ampmIntoView = this._scrollItemIntoView(item, this._ampmItems, this.selectedAmPm, false, null);
                if (ampmIntoView) {
                    this._ampmView = ampmIntoView.view;
                    this.selectedAmPm = ampmIntoView.selectedItem;
                    this._updateEditableInput();
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.nextHour = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var nextHour = this._nextItem(this._hourItems, this.selectedHour, this._isHourListLoop, 'hour');
            this._hourView = nextHour.view;
            this.selectedHour = nextHour.selectedItem;
            this._updateEditableInput();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.prevHour = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var prevHour = this._prevItem(this._hourItems, this.selectedHour, this._isHourListLoop, 'hour');
            this._hourView = prevHour.view;
            this.selectedHour = prevHour.selectedItem;
            this._updateEditableInput();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.nextMinute = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var nextMinute = this._nextItem(this._minuteItems, this.selectedMinute, this._isMinuteListLoop, 'minute');
            this._minuteView = nextMinute.view;
            this.selectedMinute = nextMinute.selectedItem;
            this._updateEditableInput();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.prevMinute = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var prevMinute = this._prevItem(this._minuteItems, this.selectedMinute, this._isMinuteListLoop, 'minute');
            this._minuteView = prevMinute.view;
            this.selectedMinute = prevMinute.selectedItem;
            this._updateEditableInput();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.nextAmPm = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selectedIndex = this._ampmItems.indexOf(this.selectedAmPm);
            if (selectedIndex + 1 < this._ampmItems.length - 3) {
                this._updateAmPmView(selectedIndex - 2, selectedIndex + 5);
                this.selectedAmPm = this._ampmItems[selectedIndex + 1];
                this._updateEditableInput();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.prevAmPm = /**
         * @hidden
         * @return {?}
         */
        function () {
            /** @type {?} */
            var selectedIndex = this._ampmItems.indexOf(this.selectedAmPm);
            if (selectedIndex > 3) {
                this._updateAmPmView(selectedIndex - 4, selectedIndex + 3);
                this.selectedAmPm = this._ampmItems[selectedIndex - 1];
                this._updateEditableInput();
            }
        };
        /**
         * If current value is valid selects it, closes the dialog and returns true, otherwise returns false.
         * ```html
         * <igx-dialog class="igx-time-picker__dialog-popup" [rightButtonLabel]="okButtonLabel" (onRightButtonSelect)="okButtonClick()">
         * //..
         * </igx-dialog>
         * ```
         */
        /**
         * If current value is valid selects it, closes the dialog and returns true, otherwise returns false.
         * ```html
         * <igx-dialog class="igx-time-picker__dialog-popup" [rightButtonLabel]="okButtonLabel" (onRightButtonSelect)="okButtonClick()">
         * //..
         * </igx-dialog>
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.okButtonClick = /**
         * If current value is valid selects it, closes the dialog and returns true, otherwise returns false.
         * ```html
         * <igx-dialog class="igx-time-picker__dialog-popup" [rightButtonLabel]="okButtonLabel" (onRightButtonSelect)="okButtonClick()">
         * //..
         * </igx-dialog>
         * ```
         * @return {?}
         */
        function () {
            /** @type {?} */
            var time = this._getSelectedTime();
            if (this._isValueValid(time)) {
                this.close();
                this.value = time;
                return true;
            }
            else {
                /** @type {?} */
                var args = {
                    timePicker: this,
                    currentValue: time,
                    setThroughUI: true
                };
                this.onValidationFailed.emit(args);
                return false;
            }
        };
        /**
         * Closes the dialog without selecting the current value.
         * ```html
         * <igx-dialog class="igx-time-picker__dialog-popup" [leftButtonLabel]="cancelButtonLabel" (onLeftButtonSelect)="cancelButtonClick()">
         * //...
         * </igx-dialog>
         * ```
         */
        /**
         * Closes the dialog without selecting the current value.
         * ```html
         * <igx-dialog class="igx-time-picker__dialog-popup" [leftButtonLabel]="cancelButtonLabel" (onLeftButtonSelect)="cancelButtonClick()">
         * //...
         * </igx-dialog>
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.cancelButtonClick = /**
         * Closes the dialog without selecting the current value.
         * ```html
         * <igx-dialog class="igx-time-picker__dialog-popup" [leftButtonLabel]="cancelButtonLabel" (onLeftButtonSelect)="cancelButtonClick()">
         * //...
         * </igx-dialog>
         * ```
         * @return {?}
         */
        function () {
            if (this.mode === InteractionMode.DropDown) {
                this.displayValue = this.value ? this._formatTime(this.value, this.format) : this.parseMask(false);
            }
            this.close();
            this.selectedHour = this._prevSelectedHour;
            this.selectedMinute = this._prevSelectedMinute;
            this.selectedAmPm = this._prevSelectedAmPm;
        };
        /**
         * Returns an array of the hours currently in view.
         *```html
         *@ViewChild("MyChild")
         *private picker: IgxTimePickerComponent;
         *ngAfterViewInit(){
         *    let hInView = this.picker.hoursInView;
         *}
         *```
         */
        /**
         * Returns an array of the hours currently in view.
         * ```html
         * \@ViewChild("MyChild")
         * private picker: IgxTimePickerComponent;
         * ngAfterViewInit(){
         *    let hInView = this.picker.hoursInView;
         * }
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.hoursInView = /**
         * Returns an array of the hours currently in view.
         * ```html
         * \@ViewChild("MyChild")
         * private picker: IgxTimePickerComponent;
         * ngAfterViewInit(){
         *    let hInView = this.picker.hoursInView;
         * }
         * ```
         * @return {?}
         */
        function () {
            return this._hourView.filter(function (hour) { return hour !== ''; });
        };
        /**
         * Returns an array of the minutes currently in view.
         *```html
         *@ViewChild("MyChild")
         *private picker: IgxTimePickerComponent;
         *ngAfterViewInit(){
         *    let minInView = this.picker.minutesInView;
         *}
         *```
         */
        /**
         * Returns an array of the minutes currently in view.
         * ```html
         * \@ViewChild("MyChild")
         * private picker: IgxTimePickerComponent;
         * ngAfterViewInit(){
         *    let minInView = this.picker.minutesInView;
         * }
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.minutesInView = /**
         * Returns an array of the minutes currently in view.
         * ```html
         * \@ViewChild("MyChild")
         * private picker: IgxTimePickerComponent;
         * ngAfterViewInit(){
         *    let minInView = this.picker.minutesInView;
         * }
         * ```
         * @return {?}
         */
        function () {
            return this._minuteView.filter(function (minute) { return minute !== ''; });
        };
        /**
         * Returns an array of the AM/PM currently in view.
         *```html
         *@ViewChild("MyChild")
         *private picker: IgxTimePickerComponent;
         *ngAfterViewInit(){
         *    let ApInView = this.picker.ampmInView;
         *}
         *```
         */
        /**
         * Returns an array of the AM/PM currently in view.
         * ```html
         * \@ViewChild("MyChild")
         * private picker: IgxTimePickerComponent;
         * ngAfterViewInit(){
         *    let ApInView = this.picker.ampmInView;
         * }
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.ampmInView = /**
         * Returns an array of the AM/PM currently in view.
         * ```html
         * \@ViewChild("MyChild")
         * private picker: IgxTimePickerComponent;
         * ngAfterViewInit(){
         *    let ApInView = this.picker.ampmInView;
         * }
         * ```
         * @return {?}
         */
        function () {
            return this._ampmView.filter(function (ampm) { return ampm !== ''; });
        };
        /**
         * Closes the dropdown/dialog.
         * ```html
         *<igx-time-picker #timePicker></igx-time-picker>
         * ```
         * ```typescript
         * @ViewChild('timePicker', { read: IgxTimePickerComponent }) picker: IgxTimePickerComponent;
         * picker.close();
         * ```
         */
        /**
         * Closes the dropdown/dialog.
         * ```html
         * <igx-time-picker #timePicker></igx-time-picker>
         * ```
         * ```typescript
         * \@ViewChild('timePicker', { read: IgxTimePickerComponent }) picker: IgxTimePickerComponent;
         * picker.close();
         * ```
         * @return {?}
         */
        IgxTimePickerComponent.prototype.close = /**
         * Closes the dropdown/dialog.
         * ```html
         * <igx-time-picker #timePicker></igx-time-picker>
         * ```
         * ```typescript
         * \@ViewChild('timePicker', { read: IgxTimePickerComponent }) picker: IgxTimePickerComponent;
         * picker.close();
         * ```
         * @return {?}
         */
        function () {
            this.toggleRef.close();
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?=} preserveAmPm
         * @return {?}
         */
        IgxTimePickerComponent.prototype.parseMask = /**
         * @hidden
         * @param {?=} preserveAmPm
         * @return {?}
         */
        function (preserveAmPm) {
            if (preserveAmPm === void 0) { preserveAmPm = true; }
            /** @type {?} */
            var maskWithAmPm = this.mask.replace(new RegExp('0', 'g'), this.promptChar).replace('LL', 'AM');
            /** @type {?} */
            var pureMask = this.mask.replace(new RegExp('0', 'g'), this.promptChar).replace(new RegExp('L', 'g'), this.promptChar);
            return preserveAmPm ? maskWithAmPm : pureMask;
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxTimePickerComponent.prototype.clear = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.toggleRef.collapsed) {
                this.cleared = true;
                this.isNotEmpty = false;
                /** @type {?} */
                var oldVal = new Date(this.value);
                this.displayValue = '';
                this.value.setHours(0, 0);
                if (oldVal.getTime() !== this.value.getTime()) {
                    /** @type {?} */
                    var args = {
                        oldValue: oldVal,
                        newValue: this.value
                    };
                    this.onValueChanged.emit(args);
                }
            }
            else {
                this.close();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTimePickerComponent.prototype.onInput = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            /** @type {?} */
            var val = event.target.value;
            /** @type {?} */
            var oldVal = new Date(this.value);
            this.isNotEmpty = val !== this.parseMask(false);
            // handle cases where all empty positions (promts) are filled and we want to update
            // timepicker own value property if it is a valid Date
            if (val.indexOf(this.promptChar) === -1) {
                if (this._isEntryValid(val)) {
                    /** @type {?} */
                    var newVal = this._convertMinMaxValue(val);
                    if (oldVal.getTime() !== newVal.getTime()) {
                        this.value = newVal;
                    }
                }
                else {
                    /** @type {?} */
                    var args = {
                        timePicker: this,
                        currentValue: val,
                        setThroughUI: false
                    };
                    this.onValidationFailed.emit(args);
                }
                // handle cases where the user deletes the display value (when pressing backspace or delete)
            }
            else if (!this.value || !val || val === this.parseMask(false)) {
                this.isNotEmpty = false;
                this.value.setHours(0, 0);
                this.displayValue = val;
                if (oldVal.getTime() !== this.value.getTime()) {
                    /** @type {?} */
                    var args = {
                        oldValue: oldVal,
                        newValue: this.value
                    };
                    this.onValueChanged.emit(args);
                }
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTimePickerComponent.prototype.onFocus = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            this.isNotEmpty = event.target.value !== this.parseMask(false);
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTimePickerComponent.prototype.onBlur = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            if (this.mode === InteractionMode.DropDown) {
                /** @type {?} */
                var value = event.target.value;
                this.isNotEmpty = value !== '';
                this.displayValue = value;
                if (value && value !== this.parseMask()) {
                    if (this._isEntryValid(value)) {
                        /** @type {?} */
                        var newVal = this._convertMinMaxValue(value);
                        if (!this.value || this.value.getTime() !== newVal.getTime()) {
                            this.value = newVal;
                        }
                    }
                    else {
                        /** @type {?} */
                        var args = {
                            timePicker: this,
                            currentValue: value,
                            setThroughUI: false
                        };
                        this.onValidationFailed.emit(args);
                    }
                }
            }
            if (this.toggleRef.collapsed) {
                this._updateValidityOnBlur();
            }
        };
        /**
         * @param {?} event
         * @return {?}
         */
        IgxTimePickerComponent.prototype.mouseDown = /**
         * @param {?} event
         * @return {?}
         */
        function (event) {
            // if the click is not on the input but in input group
            // e.g. on prefix or suffix, prevent default and this way prevent blur
            if (event.target !== this.getEditElement()) {
                event.preventDefault();
            }
        };
        /**
         * @hidden
         */
        /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        IgxTimePickerComponent.prototype.spinOnEdit = /**
         * @hidden
         * @param {?} event
         * @return {?}
         */
        function (event) {
            var _this = this;
            event.preventDefault();
            /** @type {?} */
            var sign;
            /** @type {?} */
            var displayVal;
            /** @type {?} */
            var currentVal = new Date(this.value);
            /** @type {?} */
            var min = this.minValue ? this._convertMinMaxValue(this.minValue) : this._convertMinMaxValue('00:00');
            /** @type {?} */
            var max = this.maxValue ? this._convertMinMaxValue(this.maxValue) : this._convertMinMaxValue('24:00');
            /** @type {?} */
            var cursor = this._getCursorPosition();
            if (event.key) {
                /** @type {?} */
                var key = event.key;
                sign = key === "ArrowDown" /* DOWN_ARROW */ || key === "Down" /* DOWN_ARROW_IE */ ? -1 : 1;
            }
            if (event.deltaY) {
                sign = event.deltaY < 0 ? 1 : -1;
            }
            if (!this.displayValue) {
                this.value = min;
                displayVal = this._formatTime(this.value, this.format);
            }
            else {
                /** @type {?} */
                var hDelta = this.itemsDelta.hours * 60 + (sign * this.value.getMinutes());
                /** @type {?} */
                var mDelta = this.itemsDelta.minutes;
                if (this.showHoursList && HOURS_POS.indexOf(cursor) !== -1) {
                    this.value = this._spinHours(currentVal, min, max, hDelta, sign);
                }
                if (this.showMinutesList &&
                    ((this.showHoursList && MINUTES_POS.indexOf(cursor) !== -1) || (!this.showHoursList && HOURS_POS.indexOf(cursor) !== -1))) {
                    this.value = this._spinMinutes(currentVal, mDelta, sign);
                }
                if (this.showAmPmList) {
                    if (((!this.showHoursList || !this.showMinutesList) && MINUTES_POS.indexOf(cursor) !== -1) ||
                        (this.showHoursList && this.showMinutesList && AMPM_POS.indexOf(cursor) !== -1)) {
                        /** @type {?} */
                        var sections = this.displayValue.split(/[\s:]+/);
                        sign = sections[sections.length - 1] === 'AM' ? 1 : -1;
                        currentVal.setHours(currentVal.getHours() + (sign * 12));
                        this.value = currentVal;
                    }
                }
                displayVal = this._formatTime(this.value, this.format);
            }
            // minor hack for preventing cursor jumping in IE
            this.displayValue = this.inputFormat.transform(displayVal);
            this._inputElementRef.nativeElement.value = this.displayValue;
            this._setCursorPosition(cursor);
            requestAnimationFrame(function () {
                _this._setCursorPosition(cursor);
            });
        };
        /**
         * @private
         * @return {?}
         */
        IgxTimePickerComponent.prototype._updateValidityOnBlur = /**
         * @private
         * @return {?}
         */
        function () {
            this._onTouchedCallback();
            /** @type {?} */
            var input = this._inputDirective || this._inputDirectiveUserTemplate;
            if (this._ngControl && !this._ngControl.valid) {
                input.valid = IgxInputState.INVALID;
            }
            else {
                input.valid = IgxInputState.INITIAL;
            }
        };
        IgxTimePickerComponent.decorators = [
            { type: core.Component, args: [{
                        providers: [
                            {
                                provide: forms.NG_VALUE_ACCESSOR,
                                useExisting: IgxTimePickerComponent,
                                multi: true
                            },
                            {
                                provide: platformBrowser.HAMMER_GESTURE_CONFIG,
                                useClass: TimePickerHammerConfig
                            },
                            {
                                provide: IGX_TIME_PICKER_COMPONENT,
                                useExisting: IgxTimePickerComponent
                            }
                        ],
                        selector: 'igx-time-picker',
                        template: "<ng-template #dropdownInputTemplate>\n    <igx-input-group #group (mousedown)=\"mouseDown($event)\">\n        <label igxLabel>Time</label>\n        <igx-prefix (click)=\"openDialog(group.element.nativeElement)\">\n            <igx-icon>access_time</igx-icon>\n        </igx-prefix>\n        <input \n            type=\"text\"\n            [igxMask]=\"mask\"\n            igxInput\n            [includeLiterals]=\"false\"\n            [placeholder]=\"format\"\n            [displayValuePipe]=\"displayFormat\"\n            [focusedValuePipe]=\"inputFormat\"\n            [promptChar]=\"promptChar\"\n            [value]=\"displayValue\"\n            (input)=\"onInput($event)\"\n            (blur)=\"onBlur($event)\"\n            (focus)=\"onFocus($event)\"\n            (wheel)=\"spinOnEdit($event)\"\n            [disabled]=\"disabled\" />\n        <igx-suffix *ngIf=\"showClearButton\" igxRipple (click)=\"clear()\">\n            <igx-icon fontSet=\"material\">clear</igx-icon>\n        </igx-suffix>\n    </igx-input-group>\n</ng-template>\n<ng-template #defaultTimePickerTemplate>\n    <igx-input-group (click)=\"openDialog()\" (mousedown)=\"mouseDown($event)\">\n        <igx-prefix>\n            <igx-icon>access_time</igx-icon>\n        </igx-prefix>\n        <label igxLabel>Time</label>\n        <input\n            igxInput\n            [value]=\"displayTime || ''\"\n            [disabled]=\"disabled\"\n            tabindex=\"0\" readonly\n            (blur)=\"onBlur($event)\" />\n    </igx-input-group>\n</ng-template>\n<ng-container *ngTemplateOutlet=\"template; context: context\"></ng-container>\n\n<ng-template #defaultTimePickerActions>\n    <div *ngIf=\"cancelButtonLabel || okButtonLabel\" class=\"igx-time-picker__buttons\">\n        <button *ngIf=\"cancelButtonLabel\" igxButton=\"flat\" (click)=\"cancelButtonClick()\">\n            {{cancelButtonLabel}}\n        </button>\n        <button *ngIf=\"okButtonLabel\" igxButton=\"flat\" (click)=\"okButtonClick()\">\n            {{okButtonLabel}}\n        </button>\n    </div>\n</ng-template>\n<div igxToggle class=\"igx-time-picker\"\n    [ngClass]=\"{'igx-time-picker--dropdown': mode === 'dropdown', 'igx-time-picker--vertical': vertical && mode === 'dialog'}\">\n    <div *ngIf=\"mode === 'dialog'\" class=\"igx-time-picker__header\">\n        <h5 class=\"igx-time-picker__header-ampm\">{{ selectedAmPm }}</h5>\n        <h2 class=\"igx-time-picker__header-hour\">\n            <span>{{ selectedHour }}</span>:<span>{{ selectedMinute }}</span>\n        </h2>\n    </div>\n    <div class=\"igx-time-picker__main\">\n        <div class=\"igx-time-picker__body\">\n            <div *ngIf=\"showHoursList\" #hourList [igxItemList]=\"'hourList'\">\n                <span [igxHourItem]=\"hour\" *ngFor=\"let hour of hourView\">{{ hour }}</span>\n            </div>\n            <div *ngIf=\"showMinutesList\" #minuteList [igxItemList]=\"'minuteList'\">\n                <span [igxMinuteItem]=\"minute\" *ngFor=\"let minute of minuteView\">{{ minute }}</span>\n            </div>\n            <div *ngIf=\"showAmPmList\" #ampmList [igxItemList]=\"'ampmList'\">\n                <span [igxAmPmItem]=\"ampm\" *ngFor=\"let ampm of ampmView\">{{ ampm }}</span>\n            </div>\n        </div>\n        <ng-container *ngTemplateOutlet=\"timePickerActionsDirective ? timePickerActionsDirective.template : defaultTimePickerActions\"></ng-container>\n    </div>\n</div>",
                        styles: [":host {\n            display: block;\n        }"]
                    }] }
        ];
        /** @nocollapse */
        IgxTimePickerComponent.ctorParameters = function () { return [
            { type: core.Injector },
            { type: core.ChangeDetectorRef }
        ]; };
        IgxTimePickerComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            value: [{ type: core.Input }],
            disabled: [{ type: core.Input }],
            resourceStrings: [{ type: core.Input }],
            okButtonLabel: [{ type: core.Input }],
            cancelButtonLabel: [{ type: core.Input }],
            itemsDelta: [{ type: core.Input }],
            minValue: [{ type: core.Input }],
            maxValue: [{ type: core.Input }],
            isSpinLoop: [{ type: core.Input }],
            vertical: [{ type: core.Input }],
            format: [{ type: core.Input }],
            promptChar: [{ type: core.Input }],
            mode: [{ type: core.Input }],
            outlet: [{ type: core.Input }],
            overlaySettings: [{ type: core.Input }],
            onValueChanged: [{ type: core.Output }],
            onValidationFailed: [{ type: core.Output }],
            onOpen: [{ type: core.Output }],
            onOpened: [{ type: core.Output }],
            onClose: [{ type: core.Output }],
            onClosed: [{ type: core.Output }],
            onClosing: [{ type: core.Output }],
            hourList: [{ type: core.ViewChild, args: ['hourList', { static: false },] }],
            minuteList: [{ type: core.ViewChild, args: ['minuteList', { static: false },] }],
            ampmList: [{ type: core.ViewChild, args: ['ampmList', { static: false },] }],
            defaultTimePickerTemplate: [{ type: core.ViewChild, args: ['defaultTimePickerTemplate', { read: core.TemplateRef, static: true },] }],
            dropdownInputTemplate: [{ type: core.ViewChild, args: ['dropdownInputTemplate', { read: core.TemplateRef, static: true },] }],
            timePickerTemplateDirective: [{ type: core.ContentChild, args: [IgxTimePickerTemplateDirective, { read: IgxTimePickerTemplateDirective, static: false },] }],
            timePickerActionsDirective: [{ type: core.ContentChild, args: [IgxTimePickerActionsDirective, { read: IgxTimePickerActionsDirective, static: false },] }],
            toggleRef: [{ type: core.ViewChild, args: [IgxToggleDirective, { static: true },] }],
            _inputElementRef: [{ type: core.ViewChild, args: [IgxInputDirective, { read: core.ElementRef, static: false },] }],
            _inputDirective: [{ type: core.ViewChild, args: [IgxInputDirective, { read: IgxInputDirective, static: false },] }],
            _inputDirectiveUserTemplate: [{ type: core.ContentChild, args: [IgxInputDirective, { read: IgxInputDirective, static: false },] }],
            _inputGroup: [{ type: core.ViewChild, args: [IgxInputGroupComponent, { read: IgxInputGroupComponent, static: false },] }],
            onKeydownSpace: [{ type: core.HostListener, args: ['keydown.spacebar', ['$event'],] }, { type: core.HostListener, args: ['keydown.space', ['$event'],] }],
            onAltArrowDown: [{ type: core.HostListener, args: ['keydown.Alt.ArrowDown',] }]
        };
        __decorate([
            DeprecateProperty("'onOpen' @Output property is deprecated. Use 'onOpened' instead."),
            __metadata("design:type", core.EventEmitter),
            __metadata("design:paramtypes", [core.EventEmitter])
        ], IgxTimePickerComponent.prototype, "onOpen", null);
        __decorate([
            DeprecateProperty("'onClose' @Output property is deprecated. Use 'onClosed' instead."),
            __metadata("design:type", core.EventEmitter),
            __metadata("design:paramtypes", [core.EventEmitter])
        ], IgxTimePickerComponent.prototype, "onClose", null);
        return IgxTimePickerComponent;
    }());
    /**
     * @hidden
     */
    var IgxTimePickerModule = /** @class */ (function () {
        function IgxTimePickerModule() {
        }
        IgxTimePickerModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [
                            IgxTimePickerComponent,
                            IgxHourItemDirective,
                            IgxItemListDirective,
                            IgxMinuteItemDirective,
                            IgxAmPmItemDirective,
                            IgxTimePickerTemplateDirective,
                            IgxTimePickerActionsDirective,
                            TimeDisplayFormatPipe,
                            TimeInputFormatPipe
                        ],
                        exports: [
                            IgxTimePickerComponent,
                            IgxTimePickerTemplateDirective,
                            IgxTimePickerActionsDirective,
                            TimeDisplayFormatPipe,
                            TimeInputFormatPipe
                        ],
                        imports: [
                            common.CommonModule,
                            IgxInputGroupModule,
                            IgxIconModule,
                            IgxButtonModule,
                            IgxMaskModule,
                            IgxToggleModule
                        ],
                        providers: []
                    },] }
        ];
        return IgxTimePickerModule;
    }());

    /**
     * @fileoverview added by tsickle
     * @suppress {checkTypes,extraRequire,missingReturn,unusedPrivateMembers,uselessCode} checked by tsc
     */
    /** @type {?} */
    var NEXT_ID$v = 0;
    /**
     * **Ignite UI for Angular Toast** -
     * [Documentation](https://www.infragistics.com/products/ignite-ui-angular/angular/components/toast.html)
     *
     * The Ignite UI Toast provides information and warning messages that are non-interactive and cannot
     * be dismissed by the user. Toasts can be displayed at the bottom, middle, or top of the page.
     *
     * Example:
     * ```html
     * <button (click)="toast.show()">Show notification</button>
     * <igx-toast #toast
     *           message="Notification displayed"
     *           displayTime="1000">
     * </igx-toast>
     * ```
     */
    var IgxToastComponent = /** @class */ (function () {
        function IgxToastComponent(elementRef, navService) {
            this.elementRef = elementRef;
            this.navService = navService;
            this._isVisible = false;
            /**
             * Returns a list of available CSS classes.
             * ```typescript
             * let toastClasses =  this.toast.CSS_CLASSES;
             * ```
             * \@memberof IgxToastComponent
             */
            this.CSS_CLASSES = {
                IGX_TOAST_BOTTOM: 'igx-toast--bottom',
                IGX_TOAST_MIDDLE: 'igx-toast--middle',
                IGX_TOAST_TOP: 'igx-toast--top'
            };
            /**
             * Sets/gets the `id` of the toast.
             * If not set, the `id` will have value `"igx-toast-0"`.
             * ```html
             * <igx-toast id = "my-first-toast"></igx-toast>
             * ```
             * ```typescript
             * let toastId = this.toast.id;
             * ```
             */
            this.id = "igx-toast-" + NEXT_ID$v++;
            /**
             * Emits an event prior the toast is shown.
             * Provides reference to the `IgxToastComponent` as event argument.
             * ```html
             * <igx-toast (onShowing) = "onShowing($event)"></igx-toast>
             * ```
             * \@memberof IgxToastComponent
             */
            this.onShowing = new core.EventEmitter();
            /**
             * Emits an event when the toast is shown.
             * Provides reference to the `IgxToastComponent` as event argument.
             * ```html
             * <igx-toast (onShown) = "onShown($event)"></igx-toast>
             * ```
             * \@memberof IgxToastComponent
             */
            this.onShown = new core.EventEmitter();
            /**
             * Emits an event prior the toast is hidden.
             * Provides reference to the `IgxToastComponent` as event argument.
             * ```html
             * <igx-toast (onHiding) = "onHiding($event)"></igx-toast>
             * ```
             * \@memberof IgxToastComponent
             */
            this.onHiding = new core.EventEmitter();
            /**
             *  Emits an event when the toast is hidden.
             *  Provides reference to the `IgxToastComponent` as event argument.
             * ```html
             * <igx-toast (onHidden) = "onHidden($event)"></igx-toast>
             * ```
             * \@memberof IgxToastComponent
             */
            this.onHidden = new core.EventEmitter();
            /**
             * Sets/gets the `role` attribute.
             * If not set, `role` will have value `"alert"`.
             * ```html
             * <igx-toast [role] = "'notify'"></igx-toast>
             * ```
             * ```typescript
             * let toastRole = this.toast.role;
             * ```
             * \@memberof IgxToastComponent
             */
            this.role = 'alert';
            /**
             * Sets/gets whether the toast will be hidden after the `displayTime` is over.
             * Default value is `true`.
             * ```html
             * <igx-toast [autoHide] = "false"></igx-toast>
             * ```
             * ```typescript
             * let autoHide = this.toast.autoHide;
             * ```
             * \@memberof IgxToastComponent
             */
            this.autoHide = true;
            /**
             * Sets/gets the duration of time span(in milliseconds) which the toast will be visible
             * after it is being shown.
             * Default value is `4000`.
             * ```html
             * <igx-toast [displayTime] = "2500"></igx-toast>
             * ```
             * ```typescript
             * let displayTime = this.toast.displayTime;
             * ```
             * \@memberof IgxToastComponent
             */
            this.displayTime = 4000;
            /**
             * @hidden
             */
            this.isVisibleChange = new core.EventEmitter();
            /**
             * Sets/gets the position of the toast.
             * If not set, the `position` attribute will have value `IgxToastPosition.Bottom`.
             * ```html
             * <igx-toast [position] = "top"></igx-toast>
             * ```
             * ```typescript
             * let toastPosition = this.toast.position;
             * ```
             * \@memberof IgxToastComponent
             */
            this.position = IgxToastPosition.Bottom;
        }
        Object.defineProperty(IgxToastComponent.prototype, "isVisible", {
            /**
             * Enables/Disables the visibility of the toast.
             * If not set, the `isVisible` attribute will have value `false`.
             * ```html
             * <igx-toast [isVisible] = "true"></igx-toast>
             * ```
             * ```typescript
             * let isVisible = this.toast.isVisible;
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-toast [(isVisible)] = "model.isVisible"></igx-toast>
             * ```
             * @memberof IgxToastComponent
             */
            get: /**
             * Enables/Disables the visibility of the toast.
             * If not set, the `isVisible` attribute will have value `false`.
             * ```html
             * <igx-toast [isVisible] = "true"></igx-toast>
             * ```
             * ```typescript
             * let isVisible = this.toast.isVisible;
             * ```
             *
             * Two-way data binding.
             * ```html
             * <igx-toast [(isVisible)] = "model.isVisible"></igx-toast>
             * ```
             * \@memberof IgxToastComponent
             * @return {?}
             */
            function () {
                return this._isVisible;
            },
            set: /**
             * @param {?} value
             * @return {?}
             */
            function (value) {
                this._isVisible = value;
                this.isVisibleChange.emit(this._isVisible);
            },
            enumerable: true,
            configurable: true
        });
        Object.defineProperty(IgxToastComponent.prototype, "element", {
            /**
             * Gets the nativeElement of the toast.
             * ```typescript
             * let nativeElement = this.toast.element;
             * ```
             * @memberof IgxToastComponent
             */
            get: /**
             * Gets the nativeElement of the toast.
             * ```typescript
             * let nativeElement = this.toast.element;
             * ```
             * \@memberof IgxToastComponent
             * @return {?}
             */
            function () {
                return this.elementRef.nativeElement;
            },
            enumerable: true,
            configurable: true
        });
        /**
         * Shows the toast.
         * If `autoHide` is enabled, the toast will hide after `displayTime` is over.
         * ```typescript
         * this.toast.show();
         * ```
         * @memberof IgxToastComponent
         */
        /**
         * Shows the toast.
         * If `autoHide` is enabled, the toast will hide after `displayTime` is over.
         * ```typescript
         * this.toast.show();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        IgxToastComponent.prototype.show = /**
         * Shows the toast.
         * If `autoHide` is enabled, the toast will hide after `displayTime` is over.
         * ```typescript
         * this.toast.show();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        function () {
            var _this = this;
            clearInterval(this.timeoutId);
            this.onShowing.emit(this);
            this.isVisible = true;
            if (this.autoHide) {
                this.timeoutId = setTimeout(function () {
                    _this.hide();
                }, this.displayTime);
            }
            this.onShown.emit(this);
        };
        /**
         * Hides the toast.
         * ```typescript
         * this.toast.hide();
         * ```
         * @memberof IgxToastComponent
         */
        /**
         * Hides the toast.
         * ```typescript
         * this.toast.hide();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        IgxToastComponent.prototype.hide = /**
         * Hides the toast.
         * ```typescript
         * this.toast.hide();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        function () {
            this.onHiding.emit(this);
            this.isVisible = false;
            this.onHidden.emit(this);
            clearInterval(this.timeoutId);
        };
        /**
         * Wraps @show() method due @IToggleView interface implementation.
         * @hidden
         */
        /**
         * Wraps \@show() method due \@IToggleView interface implementation.
         * @hidden
         * @return {?}
         */
        IgxToastComponent.prototype.open = /**
         * Wraps \@show() method due \@IToggleView interface implementation.
         * @hidden
         * @return {?}
         */
        function () {
            this.show();
        };
        /**
         * Wraps @hide() method due @IToggleView interface implementation.
         * @hidden
         */
        /**
         * Wraps \@hide() method due \@IToggleView interface implementation.
         * @hidden
         * @return {?}
         */
        IgxToastComponent.prototype.close = /**
         * Wraps \@hide() method due \@IToggleView interface implementation.
         * @hidden
         * @return {?}
         */
        function () {
            this.hide();
        };
        /**
         * Toggles the visible state of the toast.
         * ```typescript
         * this.toast.toggle();
         * ```
         * @memberof IgxToastComponent
         */
        /**
         * Toggles the visible state of the toast.
         * ```typescript
         * this.toast.toggle();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        IgxToastComponent.prototype.toggle = /**
         * Toggles the visible state of the toast.
         * ```typescript
         * this.toast.toggle();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        function () {
            this.isVisible ? this.close() : this.open();
        };
        /**
         * Sets/gets the class name of the toast based on the `position` value.
         * ```typescript
         * let className =  this.toast.mapPositionToClassName();
         * ```
         * @memberof IgxToastComponent
         */
        /**
         * Sets/gets the class name of the toast based on the `position` value.
         * ```typescript
         * let className =  this.toast.mapPositionToClassName();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        IgxToastComponent.prototype.mapPositionToClassName = /**
         * Sets/gets the class name of the toast based on the `position` value.
         * ```typescript
         * let className =  this.toast.mapPositionToClassName();
         * ```
         * \@memberof IgxToastComponent
         * @return {?}
         */
        function () {
            if (this.position === IgxToastPosition.Top) {
                return this.CSS_CLASSES.IGX_TOAST_TOP;
            }
            if (this.position === IgxToastPosition.Middle) {
                return this.CSS_CLASSES.IGX_TOAST_MIDDLE;
            }
            if (this.position === IgxToastPosition.Bottom) {
                return this.CSS_CLASSES.IGX_TOAST_BOTTOM;
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxToastComponent.prototype.ngOnInit = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.navService && this.id) {
                this.navService.add(this.id, this);
            }
        };
        /**
         *@hidden
         */
        /**
         * @hidden
         * @return {?}
         */
        IgxToastComponent.prototype.ngOnDestroy = /**
         * @hidden
         * @return {?}
         */
        function () {
            if (this.navService && this.id) {
                this.navService.remove(this.id);
            }
        };
        IgxToastComponent.decorators = [
            { type: core.Component, args: [{
                        animations: [
                            animations.trigger('animate', [
                                animations.state('show', animations.style({
                                    opacity: 1
                                })),
                                animations.transition('* => show', animations.animate('.20s ease')),
                                animations.transition('show => *', animations.animate('.40s ease-out'))
                            ])
                        ],
                        selector: 'igx-toast',
                        template: "<div [ngClass]=\"mapPositionToClassName()\" *ngIf=\"this.isVisible\" [@animate]=\"'show'\">\n    {{ message }}\n</div>\n",
                        styles: ["\n        :host {\n            display: block;\n        }\n    "]
                    }] }
        ];
        /** @nocollapse */
        IgxToastComponent.ctorParameters = function () { return [
            { type: core.ElementRef },
            { type: IgxNavigationService, decorators: [{ type: core.Optional }] }
        ]; };
        IgxToastComponent.propDecorators = {
            id: [{ type: core.HostBinding, args: ['attr.id',] }, { type: core.Input }],
            onShowing: [{ type: core.Output }],
            onShown: [{ type: core.Output }],
            onHiding: [{ type: core.Output }],
            onHidden: [{ type: core.Output }],
            role: [{ type: core.Input }],
            autoHide: [{ type: core.Input }],
            displayTime: [{ type: core.Input }],
            isVisible: [{ type: core.Input }],
            isVisibleChange: [{ type: core.Output }],
            message: [{ type: core.Input }],
            position: [{ type: core.Input }]
        };
        return IgxToastComponent;
    }());
    /** @enum {number} */
    var IgxToastPosition = {
        Bottom: 0,
        Middle: 1,
        Top: 2,
    };
    IgxToastPosition[IgxToastPosition.Bottom] = 'Bottom';
    IgxToastPosition[IgxToastPosition.Middle] = 'Middle';
    IgxToastPosition[IgxToastPosition.Top] = 'Top';
    /**
     * @hidden
     */
    var IgxToastModule = /** @class */ (function () {
        function IgxToastModule() {
        }
        IgxToastModule.decorators = [
            { type: core.NgModule, args: [{
                        declarations: [IgxToastComponent],
                        exports: [IgxToastComponent],
                        imports: [common.CommonModule]
                    },] }
        ];
        return IgxToastModule;
    }());

    exports.AbsoluteScrollStrategy = AbsoluteScrollStrategy;
    exports.AutoPositionStrategy = AutoPositionStrategy;
    exports.AvatarType = AvatarType;
    exports.BaseFilteringStrategy = BaseFilteringStrategy;
    exports.BaseProgress = BaseProgress;
    exports.BlockScrollStrategy = BlockScrollStrategy;
    exports.ButtonGroupAlignment = ButtonGroupAlignment;
    exports.Calendar = Calendar;
    exports.CalendarHammerConfig = CalendarHammerConfig;
    exports.CalendarView = CalendarView;
    exports.CloseScrollStrategy = CloseScrollStrategy;
    exports.ColumnDisplayOrder = ColumnDisplayOrder;
    exports.ConnectedPositioningStrategy = ConnectedPositioningStrategy;
    exports.ContainerPositionStrategy = ContainerPositionStrategy;
    exports.CsvFileTypes = CsvFileTypes;
    exports.DataType = DataType;
    exports.DataUtil = DataUtil;
    exports.DateRangeType = DateRangeType;
    exports.DefaultSortingStrategy = DefaultSortingStrategy;
    exports.Direction = Direction$1;
    exports.DisplayDensity = DisplayDensity;
    exports.DisplayDensityBase = DisplayDensityBase;
    exports.DisplayDensityToken = DisplayDensityToken;
    exports.DropPosition = DropPosition;
    exports.ElasticPositionStrategy = ElasticPositionStrategy;
    exports.FilterMode = FilterMode;
    exports.FilteringExpressionsTree = FilteringExpressionsTree;
    exports.FilteringExpressionsTreeType = FilteringExpressionsTreeType;
    exports.FilteringLogic = FilteringLogic;
    exports.FilteringStrategy = FilteringStrategy;
    exports.GlobalPositionStrategy = GlobalPositionStrategy;
    exports.GridBaseAPIService = GridBaseAPIService;
    exports.GridKeydownTargetType = GridKeydownTargetType;
    exports.GridSelectionMode = GridSelectionMode;
    exports.GridSummaryCalculationMode = GridSummaryCalculationMode;
    exports.GridSummaryPosition = GridSummaryPosition;
    exports.GroupedRecords = GroupedRecords;
    exports.HorizontalAlignment = HorizontalAlignment;
    exports.IGX_CHECKBOX_REQUIRED_VALIDATOR = IGX_CHECKBOX_REQUIRED_VALIDATOR;
    exports.IGX_SWITCH_REQUIRED_VALIDATOR = IGX_SWITCH_REQUIRED_VALIDATOR;
    exports.IgxActionIconDirective = IgxActionIconDirective;
    exports.IgxAppendDropStrategy = IgxAppendDropStrategy;
    exports.IgxAutocompleteDirective = IgxAutocompleteDirective;
    exports.IgxAutocompleteModule = IgxAutocompleteModule;
    exports.IgxAvatarComponent = IgxAvatarComponent;
    exports.IgxAvatarModule = IgxAvatarModule;
    exports.IgxBadgeComponent = IgxBadgeComponent;
    exports.IgxBadgeModule = IgxBadgeModule;
    exports.IgxBannerComponent = IgxBannerComponent;
    exports.IgxBannerModule = IgxBannerModule;
    exports.IgxBaseExporter = IgxBaseExporter;
    exports.IgxBaseTransactionService = IgxBaseTransactionService;
    exports.IgxBooleanFilteringOperand = IgxBooleanFilteringOperand;
    exports.IgxBottomNavComponent = IgxBottomNavComponent;
    exports.IgxBottomNavModule = IgxBottomNavModule;
    exports.IgxButtonDirective = IgxButtonDirective;
    exports.IgxButtonGroupComponent = IgxButtonGroupComponent;
    exports.IgxButtonGroupModule = IgxButtonGroupModule;
    exports.IgxButtonModule = IgxButtonModule;
    exports.IgxCalendarComponent = IgxCalendarComponent;
    exports.IgxCalendarHeaderTemplateDirective = IgxCalendarHeaderTemplateDirective;
    exports.IgxCalendarModule = IgxCalendarModule;
    exports.IgxCalendarMonthDirective = IgxCalendarMonthDirective;
    exports.IgxCalendarScrollMonthDirective = IgxCalendarScrollMonthDirective;
    exports.IgxCalendarSubheaderTemplateDirective = IgxCalendarSubheaderTemplateDirective;
    exports.IgxCalendarYearDirective = IgxCalendarYearDirective;
    exports.IgxCardActionsComponent = IgxCardActionsComponent;
    exports.IgxCardActionsLayout = IgxCardActionsLayout;
    exports.IgxCardComponent = IgxCardComponent;
    exports.IgxCardContentDirective = IgxCardContentDirective;
    exports.IgxCardFooterDirective = IgxCardFooterDirective;
    exports.IgxCardHeaderComponent = IgxCardHeaderComponent;
    exports.IgxCardHeaderSubtitleDirective = IgxCardHeaderSubtitleDirective;
    exports.IgxCardHeaderTitleDirective = IgxCardHeaderTitleDirective;
    exports.IgxCardMediaDirective = IgxCardMediaDirective;
    exports.IgxCardModule = IgxCardModule;
    exports.IgxCardThumbnailDirective = IgxCardThumbnailDirective;
    exports.IgxCardType = IgxCardType;
    exports.IgxCarouselComponent = IgxCarouselComponent;
    exports.IgxCarouselModule = IgxCarouselModule;
    exports.IgxCellEditorTemplateDirective = IgxCellEditorTemplateDirective;
    exports.IgxCellFooterTemplateDirective = IgxCellFooterTemplateDirective;
    exports.IgxCellHeaderTemplateDirective = IgxCellHeaderTemplateDirective;
    exports.IgxCellTemplateDirective = IgxCellTemplateDirective;
    exports.IgxCheckboxComponent = IgxCheckboxComponent;
    exports.IgxCheckboxModule = IgxCheckboxModule;
    exports.IgxCheckboxRequiredDirective = IgxCheckboxRequiredDirective;
    exports.IgxChipComponent = IgxChipComponent;
    exports.IgxChipsAreaComponent = IgxChipsAreaComponent;
    exports.IgxChipsModule = IgxChipsModule;
    exports.IgxCircularProgressBarComponent = IgxCircularProgressBarComponent;
    exports.IgxColumnComponent = IgxColumnComponent;
    exports.IgxColumnGroupComponent = IgxColumnGroupComponent;
    exports.IgxColumnHidingComponent = IgxColumnHidingComponent;
    exports.IgxColumnHidingModule = IgxColumnHidingModule;
    exports.IgxColumnLayoutComponent = IgxColumnLayoutComponent;
    exports.IgxColumnMovingDragDirective = IgxColumnMovingDragDirective;
    exports.IgxColumnMovingDropDirective = IgxColumnMovingDropDirective;
    exports.IgxColumnMovingService = IgxColumnMovingService;
    exports.IgxColumnPinningComponent = IgxColumnPinningComponent;
    exports.IgxColumnPinningItemDirective = IgxColumnPinningItemDirective;
    exports.IgxColumnPinningModule = IgxColumnPinningModule;
    exports.IgxColumnResizerDirective = IgxColumnResizerDirective;
    exports.IgxComboComponent = IgxComboComponent;
    exports.IgxComboModule = IgxComboModule;
    exports.IgxComboState = IgxComboState;
    exports.IgxCsvExporterOptions = IgxCsvExporterOptions;
    exports.IgxCsvExporterService = IgxCsvExporterService;
    exports.IgxDataLoadingTemplateDirective = IgxDataLoadingTemplateDirective;
    exports.IgxDataRecordSorting = IgxDataRecordSorting;
    exports.IgxDateFilteringOperand = IgxDateFilteringOperand;
    exports.IgxDatePickerComponent = IgxDatePickerComponent;
    exports.IgxDatePickerModule = IgxDatePickerModule;
    exports.IgxDatePipeComponent = IgxDatePipeComponent;
    exports.IgxDateSummaryOperand = IgxDateSummaryOperand;
    exports.IgxDaysViewComponent = IgxDaysViewComponent;
    exports.IgxDecimalPipeComponent = IgxDecimalPipeComponent;
    exports.IgxDefaultDropStrategy = IgxDefaultDropStrategy;
    exports.IgxDialogComponent = IgxDialogComponent;
    exports.IgxDialogModule = IgxDialogModule;
    exports.IgxDividerDirective = IgxDividerDirective;
    exports.IgxDividerModule = IgxDividerModule;
    exports.IgxDividerType = IgxDividerType;
    exports.IgxDragDirective = IgxDragDirective;
    exports.IgxDragDropModule = IgxDragDropModule;
    exports.IgxDragLocation = IgxDragLocation;
    exports.IgxDropDirective = IgxDropDirective;
    exports.IgxDropDownBase = IgxDropDownBase;
    exports.IgxDropDownComponent = IgxDropDownComponent;
    exports.IgxDropDownGroupComponent = IgxDropDownGroupComponent;
    exports.IgxDropDownItemBase = IgxDropDownItemBase;
    exports.IgxDropDownItemComponent = IgxDropDownItemComponent;
    exports.IgxDropDownItemNavigationDirective = IgxDropDownItemNavigationDirective;
    exports.IgxDropDownModule = IgxDropDownModule;
    exports.IgxEmptyListTemplateDirective = IgxEmptyListTemplateDirective;
    exports.IgxExcelExporterOptions = IgxExcelExporterOptions;
    exports.IgxExcelExporterService = IgxExcelExporterService;
    exports.IgxExpansionPanelBodyComponent = IgxExpansionPanelBodyComponent;
    exports.IgxExpansionPanelComponent = IgxExpansionPanelComponent;
    exports.IgxExpansionPanelHeaderComponent = IgxExpansionPanelHeaderComponent;
    exports.IgxExpansionPanelModule = IgxExpansionPanelModule;
    exports.IgxExporterOptionsBase = IgxExporterOptionsBase;
    exports.IgxFilterCellTemplateDirective = IgxFilterCellTemplateDirective;
    exports.IgxFilterDirective = IgxFilterDirective;
    exports.IgxFilterModule = IgxFilterModule;
    exports.IgxFilterOptions = IgxFilterOptions;
    exports.IgxFilterPipe = IgxFilterPipe;
    exports.IgxFilteringOperand = IgxFilteringOperand;
    exports.IgxFlexDirective = IgxFlexDirective;
    exports.IgxFocusDirective = IgxFocusDirective;
    exports.IgxFocusModule = IgxFocusModule;
    exports.IgxForOfContext = IgxForOfContext;
    exports.IgxForOfDirective = IgxForOfDirective;
    exports.IgxForOfModule = IgxForOfModule;
    exports.IgxGridAPIService = IgxGridAPIService;
    exports.IgxGridBaseComponent = IgxGridBaseComponent;
    exports.IgxGridBodyDirective = IgxGridBodyDirective;
    exports.IgxGridCellComponent = IgxGridCellComponent;
    exports.IgxGridCommonModule = IgxGridCommonModule;
    exports.IgxGridComponent = IgxGridComponent;
    exports.IgxGridForOfDirective = IgxGridForOfDirective;
    exports.IgxGridGroupByRowComponent = IgxGridGroupByRowComponent;
    exports.IgxGridModule = IgxGridModule;
    exports.IgxGridRowComponent = IgxGridRowComponent;
    exports.IgxGridTransaction = IgxGridTransaction;
    exports.IgxGroupAreaDropDirective = IgxGroupAreaDropDirective;
    exports.IgxGroupByRowTemplateDirective = IgxGroupByRowTemplateDirective;
    exports.IgxGrouping = IgxGrouping;
    exports.IgxHeaderCollapseIndicatorDirective = IgxHeaderCollapseIndicatorDirective;
    exports.IgxHeaderExpandIndicatorDirective = IgxHeaderExpandIndicatorDirective;
    exports.IgxHierarchicalGridAPIService = IgxHierarchicalGridAPIService;
    exports.IgxHierarchicalGridBaseComponent = IgxHierarchicalGridBaseComponent;
    exports.IgxHierarchicalGridCellComponent = IgxHierarchicalGridCellComponent;
    exports.IgxHierarchicalGridComponent = IgxHierarchicalGridComponent;
    exports.IgxHierarchicalGridModule = IgxHierarchicalGridModule;
    exports.IgxHierarchicalRowComponent = IgxHierarchicalRowComponent;
    exports.IgxHierarchicalTransactionService = IgxHierarchicalTransactionService;
    exports.IgxHierarchicalTransactionServiceFactory = IgxHierarchicalTransactionServiceFactory;
    exports.IgxHintDirective = IgxHintDirective;
    exports.IgxIconComponent = IgxIconComponent;
    exports.IgxIconModule = IgxIconModule;
    exports.IgxIconService = IgxIconService;
    exports.IgxInputDirective = IgxInputDirective;
    exports.IgxInputGroupComponent = IgxInputGroupComponent;
    exports.IgxInputGroupModule = IgxInputGroupModule;
    exports.IgxInputState = IgxInputState;
    exports.IgxInsertDropStrategy = IgxInsertDropStrategy;
    exports.IgxLabelDirective = IgxLabelDirective;
    exports.IgxLayoutDirective = IgxLayoutDirective;
    exports.IgxLayoutModule = IgxLayoutModule;
    exports.IgxLeftButtonStyleDirective = IgxLeftButtonStyleDirective;
    exports.IgxLinearProgressBarComponent = IgxLinearProgressBarComponent;
    exports.IgxListActionDirective = IgxListActionDirective;
    exports.IgxListBase = IgxListBase;
    exports.IgxListComponent = IgxListComponent;
    exports.IgxListItemComponent = IgxListItemComponent;
    exports.IgxListItemLeftPanningTemplateDirective = IgxListItemLeftPanningTemplateDirective;
    exports.IgxListItemRightPanningTemplateDirective = IgxListItemRightPanningTemplateDirective;
    exports.IgxListLineDirective = IgxListLineDirective;
    exports.IgxListLineSubTitleDirective = IgxListLineSubTitleDirective;
    exports.IgxListLineTitleDirective = IgxListLineTitleDirective;
    exports.IgxListModule = IgxListModule;
    exports.IgxListPanState = IgxListPanState;
    exports.IgxListThumbnailDirective = IgxListThumbnailDirective;
    exports.IgxMaskDirective = IgxMaskDirective;
    exports.IgxMaskModule = IgxMaskModule;
    exports.IgxMonthPickerBase = IgxMonthPickerBase;
    exports.IgxMonthPickerComponent = IgxMonthPickerComponent;
    exports.IgxMonthsViewComponent = IgxMonthsViewComponent;
    exports.IgxNavDrawerItemDirective = IgxNavDrawerItemDirective;
    exports.IgxNavDrawerMiniTemplateDirective = IgxNavDrawerMiniTemplateDirective;
    exports.IgxNavDrawerTemplateDirective = IgxNavDrawerTemplateDirective;
    exports.IgxNavbarComponent = IgxNavbarComponent;
    exports.IgxNavbarModule = IgxNavbarModule;
    exports.IgxNavigationCloseDirective = IgxNavigationCloseDirective;
    exports.IgxNavigationDrawerComponent = IgxNavigationDrawerComponent;
    exports.IgxNavigationDrawerModule = IgxNavigationDrawerModule;
    exports.IgxNavigationModule = IgxNavigationModule;
    exports.IgxNavigationService = IgxNavigationService;
    exports.IgxNavigationToggleDirective = IgxNavigationToggleDirective;
    exports.IgxNumberFilteringOperand = IgxNumberFilteringOperand;
    exports.IgxNumberSummaryOperand = IgxNumberSummaryOperand;
    exports.IgxOverlayOutletDirective = IgxOverlayOutletDirective;
    exports.IgxOverlayService = IgxOverlayService;
    exports.IgxPaginatorComponent = IgxPaginatorComponent;
    exports.IgxPaginatorModule = IgxPaginatorModule;
    exports.IgxPrefixDirective = IgxPrefixDirective;
    exports.IgxPrefixModule = IgxPrefixModule;
    exports.IgxPrependDropStrategy = IgxPrependDropStrategy;
    exports.IgxProgressBarModule = IgxProgressBarModule;
    exports.IgxProgressType = IgxProgressType;
    exports.IgxRadioComponent = IgxRadioComponent;
    exports.IgxRadioGroupDirective = IgxRadioGroupDirective;
    exports.IgxRadioModule = IgxRadioModule;
    exports.IgxResizeHandleDirective = IgxResizeHandleDirective;
    exports.IgxRightButtonStyleDirective = IgxRightButtonStyleDirective;
    exports.IgxRippleDirective = IgxRippleDirective;
    exports.IgxRippleModule = IgxRippleModule;
    exports.IgxRowCollapsedIndicatorDirective = IgxRowCollapsedIndicatorDirective;
    exports.IgxRowComponent = IgxRowComponent;
    exports.IgxRowExpandedIndicatorDirective = IgxRowExpandedIndicatorDirective;
    exports.IgxRowIslandAPIService = IgxRowIslandAPIService;
    exports.IgxRowIslandComponent = IgxRowIslandComponent;
    exports.IgxSelectComponent = IgxSelectComponent;
    exports.IgxSelectGroupComponent = IgxSelectGroupComponent;
    exports.IgxSelectItemComponent = IgxSelectItemComponent;
    exports.IgxSelectModule = IgxSelectModule;
    exports.IgxSelectToggleIconDirective = IgxSelectToggleIconDirective;
    exports.IgxSlideComponent = IgxSlideComponent;
    exports.IgxSliderComponent = IgxSliderComponent;
    exports.IgxSliderModule = IgxSliderModule;
    exports.IgxSnackbarComponent = IgxSnackbarComponent;
    exports.IgxSnackbarModule = IgxSnackbarModule;
    exports.IgxSorting = IgxSorting;
    exports.IgxStringFilteringOperand = IgxStringFilteringOperand;
    exports.IgxSuffixDirective = IgxSuffixDirective;
    exports.IgxSuffixModule = IgxSuffixModule;
    exports.IgxSummaryOperand = IgxSummaryOperand;
    exports.IgxSwitchComponent = IgxSwitchComponent;
    exports.IgxSwitchModule = IgxSwitchModule;
    exports.IgxSwitchRequiredDirective = IgxSwitchRequiredDirective;
    exports.IgxTabComponent = IgxTabComponent;
    exports.IgxTabItemComponent = IgxTabItemComponent;
    exports.IgxTabItemTemplateDirective = IgxTabItemTemplateDirective;
    exports.IgxTabPanelComponent = IgxTabPanelComponent;
    exports.IgxTabTemplateDirective = IgxTabTemplateDirective;
    exports.IgxTabsComponent = IgxTabsComponent;
    exports.IgxTabsGroupComponent = IgxTabsGroupComponent;
    exports.IgxTabsModule = IgxTabsModule;
    exports.IgxTextAlign = IgxTextAlign;
    exports.IgxTextHighlightDirective = IgxTextHighlightDirective;
    exports.IgxTextHighlightModule = IgxTextHighlightModule;
    exports.IgxTextSelectionDirective = IgxTextSelectionDirective;
    exports.IgxTextSelectionModule = IgxTextSelectionModule;
    exports.IgxThumbFromTemplateDirective = IgxThumbFromTemplateDirective;
    exports.IgxThumbToTemplateDirective = IgxThumbToTemplateDirective;
    exports.IgxTimePickerComponent = IgxTimePickerComponent;
    exports.IgxTimePickerModule = IgxTimePickerModule;
    exports.IgxToastComponent = IgxToastComponent;
    exports.IgxToastModule = IgxToastModule;
    exports.IgxToastPosition = IgxToastPosition;
    exports.IgxToggleActionDirective = IgxToggleActionDirective;
    exports.IgxToggleDirective = IgxToggleDirective;
    exports.IgxToggleModule = IgxToggleModule;
    exports.IgxTooltipDirective = IgxTooltipDirective;
    exports.IgxTooltipModule = IgxTooltipModule;
    exports.IgxTooltipTargetDirective = IgxTooltipTargetDirective;
    exports.IgxTransactionService = IgxTransactionService;
    exports.IgxTreeGridAPIService = IgxTreeGridAPIService;
    exports.IgxTreeGridCellComponent = IgxTreeGridCellComponent;
    exports.IgxTreeGridComponent = IgxTreeGridComponent;
    exports.IgxTreeGridModule = IgxTreeGridModule;
    exports.IgxTreeGridRowComponent = IgxTreeGridRowComponent;
    exports.IgxYearsViewComponent = IgxYearsViewComponent;
    exports.InteractionMode = InteractionMode;
    exports.LabelPosition = LabelPosition;
    exports.NoOpScrollStrategy = NoOpScrollStrategy;
    exports.PagingError = PagingError;
    exports.Point = Point;
    exports.PredefinedFormatOptions = PredefinedFormatOptions;
    exports.RadioLabelPosition = RadioLabelPosition;
    exports.RestrictDrag = RestrictDrag;
    exports.RowEditPositionStrategy = RowEditPositionStrategy;
    exports.ScrollStrategy = ScrollStrategy;
    exports.Size = Size;
    exports.SliderHandle = SliderHandle;
    exports.SliderType = SliderType;
    exports.SortingDirection = SortingDirection;
    exports.SwitchLabelPosition = SwitchLabelPosition;
    exports.TabsType = TabsType;
    exports.TimePickerHammerConfig = TimePickerHammerConfig;
    exports.TransactionType = TransactionType;
    exports.Type = Type;
    exports.VerticalAlignment = VerticalAlignment;
    exports.WEEKDAYS = WEEKDAYS;
    exports.blink = blink;
    exports.changei18n = changei18n;
    exports.convertInPercentage = convertInPercentage;
    exports.fadeIn = fadeIn;
    exports.fadeOut = fadeOut;
    exports.filteringStateDefaults = filteringStateDefaults;
    exports.flipBottom = flipBottom;
    exports.flipHorBck = flipHorBck;
    exports.flipHorFwd = flipHorFwd;
    exports.flipLeft = flipLeft;
    exports.flipRight = flipRight;
    exports.flipTop = flipTop;
    exports.flipVerBck = flipVerBck;
    exports.flipVerFwd = flipVerFwd;
    exports.getCurrentResourceStrings = getCurrentResourceStrings;
    exports.getTypeNameForDebugging = getTypeNameForDebugging;
    exports.getValueInProperRange = getValueInProperRange;
    exports.growVerIn = growVerIn;
    exports.growVerOut = growVerOut;
    exports.heartbeat = heartbeat;
    exports.hierarchicalTransactionServiceFactory = hierarchicalTransactionServiceFactory;
    exports.isDateInRanges = isDateInRanges;
    exports.isLeap = isLeap;
    exports.monthRange = monthRange;
    exports.pulsateBck = pulsateBck;
    exports.pulsateFwd = pulsateFwd;
    exports.range = range;
    exports.rotateInBl = rotateInBl;
    exports.rotateInBottom = rotateInBottom;
    exports.rotateInBr = rotateInBr;
    exports.rotateInCenter = rotateInCenter;
    exports.rotateInDiagonal1 = rotateInDiagonal1;
    exports.rotateInDiagonal2 = rotateInDiagonal2;
    exports.rotateInHor = rotateInHor;
    exports.rotateInLeft = rotateInLeft;
    exports.rotateInRight = rotateInRight;
    exports.rotateInTl = rotateInTl;
    exports.rotateInTop = rotateInTop;
    exports.rotateInTr = rotateInTr;
    exports.rotateInVer = rotateInVer;
    exports.rotateOutBl = rotateOutBl;
    exports.rotateOutBottom = rotateOutBottom;
    exports.rotateOutBr = rotateOutBr;
    exports.rotateOutCenter = rotateOutCenter;
    exports.rotateOutDiagonal1 = rotateOutDiagonal1;
    exports.rotateOutDiagonal2 = rotateOutDiagonal2;
    exports.rotateOutHor = rotateOutHor;
    exports.rotateOutLeft = rotateOutLeft;
    exports.rotateOutRight = rotateOutRight;
    exports.rotateOutTl = rotateOutTl;
    exports.rotateOutTop = rotateOutTop;
    exports.rotateOutTr = rotateOutTr;
    exports.rotateOutVer = rotateOutVer;
    exports.scaleInBl = scaleInBl;
    exports.scaleInBottom = scaleInBottom;
    exports.scaleInBr = scaleInBr;
    exports.scaleInCenter = scaleInCenter;
    exports.scaleInHorCenter = scaleInHorCenter;
    exports.scaleInHorLeft = scaleInHorLeft;
    exports.scaleInHorRight = scaleInHorRight;
    exports.scaleInLeft = scaleInLeft;
    exports.scaleInRight = scaleInRight;
    exports.scaleInTl = scaleInTl;
    exports.scaleInTop = scaleInTop;
    exports.scaleInTr = scaleInTr;
    exports.scaleInVerBottom = scaleInVerBottom;
    exports.scaleInVerCenter = scaleInVerCenter;
    exports.scaleInVerTop = scaleInVerTop;
    exports.scaleOutBl = scaleOutBl;
    exports.scaleOutBottom = scaleOutBottom;
    exports.scaleOutBr = scaleOutBr;
    exports.scaleOutCenter = scaleOutCenter;
    exports.scaleOutHorCenter = scaleOutHorCenter;
    exports.scaleOutHorLeft = scaleOutHorLeft;
    exports.scaleOutHorRight = scaleOutHorRight;
    exports.scaleOutLeft = scaleOutLeft;
    exports.scaleOutRight = scaleOutRight;
    exports.scaleOutTl = scaleOutTl;
    exports.scaleOutTop = scaleOutTop;
    exports.scaleOutTr = scaleOutTr;
    exports.scaleOutVerBottom = scaleOutVerBottom;
    exports.scaleOutVerCenter = scaleOutVerCenter;
    exports.scaleOutVerTop = scaleOutVerTop;
    exports.shakeBl = shakeBl;
    exports.shakeBottom = shakeBottom;
    exports.shakeBr = shakeBr;
    exports.shakeCenter = shakeCenter;
    exports.shakeHor = shakeHor;
    exports.shakeLeft = shakeLeft;
    exports.shakeRight = shakeRight;
    exports.shakeTl = shakeTl;
    exports.shakeTop = shakeTop;
    exports.shakeTr = shakeTr;
    exports.shakeVer = shakeVer;
    exports.slideInBl = slideInBl;
    exports.slideInBottom = slideInBottom;
    exports.slideInBr = slideInBr;
    exports.slideInLeft = slideInLeft;
    exports.slideInRight = slideInRight;
    exports.slideInTl = slideInTl;
    exports.slideInTop = slideInTop;
    exports.slideInTr = slideInTr;
    exports.slideOutBl = slideOutBl;
    exports.slideOutBottom = slideOutBottom;
    exports.slideOutBr = slideOutBr;
    exports.slideOutLeft = slideOutLeft;
    exports.slideOutRight = slideOutRight;
    exports.slideOutTl = slideOutTl;
    exports.slideOutTop = slideOutTop;
    exports.slideOutTr = slideOutTr;
    exports.swingInBottomBck = swingInBottomBck;
    exports.swingInBottomFwd = swingInBottomFwd;
    exports.swingInLeftBck = swingInLeftBck;
    exports.swingInLeftFwd = swingInLeftFwd;
    exports.swingInRightBck = swingInRightBck;
    exports.swingInRightFwd = swingInRightFwd;
    exports.swingInTopBck = swingInTopBck;
    exports.swingInTopFwd = swingInTopFwd;
    exports.swingOutBottomBck = swingOutBottomBck;
    exports.swingOutBottomFwd = swingOutBottomFwd;
    exports.swingOutLeftBck = swingOutLeftBck;
    exports.swingOutLefttFwd = swingOutLefttFwd;
    exports.swingOutRightBck = swingOutRightBck;
    exports.swingOutRightFwd = swingOutRightFwd;
    exports.swingOutTopBck = swingOutTopBck;
    exports.swingOutTopFwd = swingOutTopFwd;
    exports.weekDay = weekDay;
    exports.ɵa = IGX_DROPDOWN_BASE;
    exports.ɵba = IgxExpansionPanelDescriptionDirective;
    exports.ɵbb = IgxExpansionPanelIconDirective;
    exports.ɵbc = IgxCalendarBase;
    exports.ɵbd = IgxDaysViewNavigationService;
    exports.ɵbe = IgxDayItemComponent;
    exports.ɵbf = IgxMonthViewSlotsCalendar;
    exports.ɵbg = IgxGetViewDateCalendar;
    exports.ɵbh = IgxComboAPIService;
    exports.ɵbi = IGX_COMBO_COMPONENT;
    exports.ɵbk = IgxComboDropDownComponent;
    exports.ɵbl = IgxComboItemComponent;
    exports.ɵbm = IgxComboHeaderDirective;
    exports.ɵbn = IgxComboFooterDirective;
    exports.ɵbo = IgxComboItemDirective;
    exports.ɵbp = IgxComboEmptyDirective;
    exports.ɵbq = IgxComboHeaderItemDirective;
    exports.ɵbr = IgxComboAddItemDirective;
    exports.ɵbs = IgxComboToggleIconDirective;
    exports.ɵbt = IgxComboClearIconDirective;
    exports.ɵbu = IgxComboFilteringPipe;
    exports.ɵbv = IgxComboSortingPipe;
    exports.ɵbw = IgxComboGroupingPipe;
    exports.ɵbx = IgxComboFilterConditionPipe;
    exports.ɵby = IgxComboAddItemComponent;
    exports.ɵbz = IgxDatePickerTemplateDirective;
    exports.ɵc = ColumnChooserBase;
    exports.ɵca = IgxDatePickerActionsDirective;
    exports.ɵcb = IgxCalendarContainerComponent;
    exports.ɵcc = DatePickerDisplayValuePipe;
    exports.ɵcd = DatePickerInputValuePipe;
    exports.ɵce = IGX_DATE_PICKER_COMPONENT;
    exports.ɵcg = IgxDialogTitleDirective;
    exports.ɵch = IgxDialogActionsDirective;
    exports.ɵci = HammerGesturesManager;
    exports.ɵcj = IgxGridCRUDService;
    exports.ɵck = IgxGridSelectionService;
    exports.ɵcl = WatchChanges;
    exports.ɵcm = WatchColumnChanges;
    exports.ɵcn = notifyChanges;
    exports.ɵco = IgxGridColumnResizerComponent;
    exports.ɵcp = IgxColumnResizingService;
    exports.ɵcq = IgxExcelStyleSortingTemplateDirective;
    exports.ɵcr = IgxExcelStyleMovingTemplateDirective;
    exports.ɵcs = IgxExcelStyleHidingTemplateDirective;
    exports.ɵct = IgxExcelStylePinningTemplateDirective;
    exports.ɵcu = IgxGridExcelStyleFilteringComponent;
    exports.ɵcv = IgxExcelStyleLoadingValuesTemplateDirective;
    exports.ɵcw = IgxExcelStyleSearchComponent;
    exports.ɵcx = IgxGridHeaderGroupComponent;
    exports.ɵcy = IgxGridHeaderComponent;
    exports.ɵcz = IgxFilteringService;
    exports.ɵd = IgxColumnHidingItemDirective;
    exports.ɵda = IgxGridFilteringCellComponent;
    exports.ɵdb = IgxChipsAreaComponent;
    exports.ɵdc = IgxChipComponent;
    exports.ɵdd = IgxGridNavigationService;
    exports.ɵde = IgxSummaryRowComponent;
    exports.ɵdf = IgxSummaryCellComponent;
    exports.ɵdg = IgxGridToolbarComponent;
    exports.ɵdh = IgxGridToolbarCustomContentDirective;
    exports.ɵdi = IgxRowSelectorDirective;
    exports.ɵdj = IgxHeadSelectorDirective;
    exports.ɵdk = IgxRowSelectorsModule;
    exports.ɵdl = IgxRowDragDirective;
    exports.ɵdm = IgxDragIndicatorIconDirective;
    exports.ɵdn = IgxRowDragGhostDirective;
    exports.ɵdo = IgxRowDragModule;
    exports.ɵdp = IgxGridFilteringRowComponent;
    exports.ɵdq = IgxTemplateOutletDirective;
    exports.ɵdr = IgxTemplateOutletModule;
    exports.ɵds = IgxRowEditTemplateDirective;
    exports.ɵdt = IgxRowEditTextDirective;
    exports.ɵdu = IgxRowEditActionsDirective;
    exports.ɵdv = IgxRowEditTabStopDirective;
    exports.ɵdw = IgxGridSummaryService;
    exports.ɵdx = ConnectedPositioningStrategy;
    exports.ɵdy = IgxSummaryDataPipe;
    exports.ɵdz = IgxGridDragSelectDirective;
    exports.ɵea = IgxGridFooterComponent;
    exports.ɵeb = IgxAdvancedFilteringDialogComponent;
    exports.ɵec = ItemPropertyValueChanged;
    exports.ɵed = ColumnChooserItemBase;
    exports.ɵee = IgxProcessBarTextTemplateDirective;
    exports.ɵef = IgxGridPipesModule;
    exports.ɵeg = IgxGridCellStyleClassesPipe;
    exports.ɵeh = IgxGridCellStylesPipe;
    exports.ɵei = IgxGridNotGroupedPipe;
    exports.ɵej = IgxGridTopLevelColumns;
    exports.ɵek = IgxGridFilterConditionPipe;
    exports.ɵel = IgxGridTransactionPipe;
    exports.ɵem = IgxGridPaginatorOptionsPipe;
    exports.ɵen = IgxHasVisibleColumnsPipe;
    exports.ɵeo = IgxGridExcelStyleFilteringModule;
    exports.ɵep = IgxDropDownComponent;
    exports.ɵeq = IgxExcelStyleCustomDialogComponent;
    exports.ɵer = IgxExcelStyleDefaultExpressionComponent;
    exports.ɵes = IgxExcelStyleDateExpressionComponent;
    exports.ɵet = IgxExcelStyleSortingComponent;
    exports.ɵeu = IgxExcelStyleColumnMovingComponent;
    exports.ɵev = IgxExcelStyleSearchFilterPipe;
    exports.ɵew = IgxSelectItemNavigationDirective;
    exports.ɵex = IgxGridSortingPipe;
    exports.ɵey = IgxGridGroupingPipe;
    exports.ɵez = IgxGridPagingPipe;
    exports.ɵf = IGX_EXPANSION_PANEL_COMPONENT;
    exports.ɵfa = IgxGridFilteringPipe;
    exports.ɵfb = IgxGridSummaryPipe;
    exports.ɵfc = IgxTreeGridNavigationService;
    exports.ɵfd = IgxRowLoadingIndicatorTemplateDirective;
    exports.ɵfe = IgxTreeGridHierarchizingPipe;
    exports.ɵff = IgxTreeGridFlatteningPipe;
    exports.ɵfg = IgxTreeGridSortingPipe;
    exports.ɵfh = IgxTreeGridPagingPipe;
    exports.ɵfi = IgxTreeGridTransactionPipe;
    exports.ɵfj = IgxTreeGridFilteringPipe;
    exports.ɵfk = IgxTreeGridSummaryPipe;
    exports.ɵfl = IgxHierarchicalGridNavigationService;
    exports.ɵfm = GridBaseAPIService;
    exports.ɵfn = IgxChildGridRowComponent;
    exports.ɵfo = IgxGridHierarchicalPipe;
    exports.ɵfp = IgxGridHierarchicalPagingPipe;
    exports.ɵfq = IgxSliderThumbComponent;
    exports.ɵfr = IgxThumbLabelComponent;
    exports.ɵfs = IgxTabsBase;
    exports.ɵft = IgxTabItemBase;
    exports.ɵfu = IgxTabsGroupBase;
    exports.ɵfv = IGX_TIME_PICKER_COMPONENT;
    exports.ɵfx = IgxItemListDirective;
    exports.ɵfy = IgxHourItemDirective;
    exports.ɵfz = IgxMinuteItemDirective;
    exports.ɵg = PlatformUtil;
    exports.ɵga = IgxAmPmItemDirective;
    exports.ɵgb = IgxTimePickerTemplateDirective;
    exports.ɵgc = IgxTimePickerActionsDirective;
    exports.ɵgd = TimeDisplayFormatPipe;
    exports.ɵge = TimeInputFormatPipe;
    exports.ɵh = EaseIn;
    exports.ɵi = EaseOut;
    exports.ɵj = IgxInputGroupBase;
    exports.ɵk = IgxForOfSyncService;
    exports.ɵl = IgxForOfScrollSyncService;
    exports.ɵm = DeprecateMethod;
    exports.ɵn = DeprecateProperty;
    exports.ɵo = IgxSelectionAPIService;
    exports.ɵp = IgxDragHandleDirective;
    exports.ɵq = DisplayContainerComponent;
    exports.ɵr = VirtualHelperComponent;
    exports.ɵs = VirtualHelperBaseDirective;
    exports.ɵt = HVirtualHelperComponent;
    exports.ɵu = IgxScrollInertiaDirective;
    exports.ɵv = IgxScrollInertiaModule;
    exports.ɵw = isHierarchyMatch;
    exports.ɵx = getHierarchy;
    exports.ɵy = IgxBannerActionsDirective;
    exports.ɵz = IgxExpansionPanelTitleDirective;

    Object.defineProperty(exports, '__esModule', { value: true });

}));
//# sourceMappingURL=igniteui-angular.umd.js.map
